//
//                           VELOXCHEM 1.0-RC
//      ---------------------------------------------------
//                     An Electronic Structure Code
//
//  Copyright © 2018-2020 by VeloxChem developers. All rights reserved.
//  Contact: https://veloxchem.org/contact

#include "ElectronRepulsionRecFuncForKL.hpp"

namespace erirecfunc { // erirecfunc namespace

    void
    compElectronRepulsionForSKSL(      CMemBlock2D<double>* primBuffer,
                                 const CRecursionMap&       recursionMap,
                                 const CMemBlock2D<double>& osFactors,
                                 const CMemBlock2D<double>& wpDistances,
                                 const CGtoPairsBlock&      braGtoPairsBlock,
                                 const CGtoPairsBlock&      ketGtoPairsBlock,
                                 const int32_t              nKetPrimPairs,
                                 const int32_t              iContrPair)
    {
        erirecfunc::compElectronRepulsionForSKSL_0_96(primBuffer,
                                                      recursionMap,
                                                      osFactors,
                                                      wpDistances, 
                                                      braGtoPairsBlock,
                                                      ketGtoPairsBlock,
                                                      nKetPrimPairs,
                                                      iContrPair); 

        erirecfunc::compElectronRepulsionForSKSL_96_192(primBuffer,
                                                        recursionMap,
                                                        osFactors,
                                                        wpDistances, 
                                                        braGtoPairsBlock,
                                                        ketGtoPairsBlock,
                                                        nKetPrimPairs,
                                                        iContrPair); 

        erirecfunc::compElectronRepulsionForSKSL_192_288(primBuffer,
                                                         recursionMap,
                                                         osFactors,
                                                         wpDistances, 
                                                         braGtoPairsBlock,
                                                         ketGtoPairsBlock,
                                                         nKetPrimPairs,
                                                         iContrPair); 

        erirecfunc::compElectronRepulsionForSKSL_288_384(primBuffer,
                                                         recursionMap,
                                                         osFactors,
                                                         wpDistances, 
                                                         braGtoPairsBlock,
                                                         ketGtoPairsBlock,
                                                         nKetPrimPairs,
                                                         iContrPair); 

        erirecfunc::compElectronRepulsionForSKSL_384_480(primBuffer,
                                                         recursionMap,
                                                         osFactors,
                                                         wpDistances, 
                                                         braGtoPairsBlock,
                                                         ketGtoPairsBlock,
                                                         nKetPrimPairs,
                                                         iContrPair); 

        erirecfunc::compElectronRepulsionForSKSL_480_575(primBuffer,
                                                         recursionMap,
                                                         osFactors,
                                                         wpDistances, 
                                                         braGtoPairsBlock,
                                                         ketGtoPairsBlock,
                                                         nKetPrimPairs,
                                                         iContrPair); 

        erirecfunc::compElectronRepulsionForSKSL_575_670(primBuffer,
                                                         recursionMap,
                                                         osFactors,
                                                         wpDistances, 
                                                         braGtoPairsBlock,
                                                         ketGtoPairsBlock,
                                                         nKetPrimPairs,
                                                         iContrPair); 

        erirecfunc::compElectronRepulsionForSKSL_670_765(primBuffer,
                                                         recursionMap,
                                                         osFactors,
                                                         wpDistances, 
                                                         braGtoPairsBlock,
                                                         ketGtoPairsBlock,
                                                         nKetPrimPairs,
                                                         iContrPair); 

        erirecfunc::compElectronRepulsionForSKSL_765_860(primBuffer,
                                                         recursionMap,
                                                         osFactors,
                                                         wpDistances, 
                                                         braGtoPairsBlock,
                                                         ketGtoPairsBlock,
                                                         nKetPrimPairs,
                                                         iContrPair); 

        erirecfunc::compElectronRepulsionForSKSL_860_955(primBuffer,
                                                         recursionMap,
                                                         osFactors,
                                                         wpDistances, 
                                                         braGtoPairsBlock,
                                                         ketGtoPairsBlock,
                                                         nKetPrimPairs,
                                                         iContrPair); 

        erirecfunc::compElectronRepulsionForSKSL_955_1050(primBuffer,
                                                          recursionMap,
                                                          osFactors,
                                                          wpDistances, 
                                                          braGtoPairsBlock,
                                                          ketGtoPairsBlock,
                                                          nKetPrimPairs,
                                                          iContrPair); 

        erirecfunc::compElectronRepulsionForSKSL_1050_1145(primBuffer,
                                                           recursionMap,
                                                           osFactors,
                                                           wpDistances, 
                                                           braGtoPairsBlock,
                                                           ketGtoPairsBlock,
                                                           nKetPrimPairs,
                                                           iContrPair); 

        erirecfunc::compElectronRepulsionForSKSL_1145_1240(primBuffer,
                                                           recursionMap,
                                                           osFactors,
                                                           wpDistances, 
                                                           braGtoPairsBlock,
                                                           ketGtoPairsBlock,
                                                           nKetPrimPairs,
                                                           iContrPair); 

        erirecfunc::compElectronRepulsionForSKSL_1240_1335(primBuffer,
                                                           recursionMap,
                                                           osFactors,
                                                           wpDistances, 
                                                           braGtoPairsBlock,
                                                           ketGtoPairsBlock,
                                                           nKetPrimPairs,
                                                           iContrPair); 

        erirecfunc::compElectronRepulsionForSKSL_1335_1430(primBuffer,
                                                           recursionMap,
                                                           osFactors,
                                                           wpDistances, 
                                                           braGtoPairsBlock,
                                                           ketGtoPairsBlock,
                                                           nKetPrimPairs,
                                                           iContrPair); 

        erirecfunc::compElectronRepulsionForSKSL_1430_1525(primBuffer,
                                                           recursionMap,
                                                           osFactors,
                                                           wpDistances, 
                                                           braGtoPairsBlock,
                                                           ketGtoPairsBlock,
                                                           nKetPrimPairs,
                                                           iContrPair); 

        erirecfunc::compElectronRepulsionForSKSL_1525_1620(primBuffer,
                                                           recursionMap,
                                                           osFactors,
                                                           wpDistances, 
                                                           braGtoPairsBlock,
                                                           ketGtoPairsBlock,
                                                           nKetPrimPairs,
                                                           iContrPair); 
    }

    void
    compElectronRepulsionForSKSL_0_96(      CMemBlock2D<double>* primBuffer,
                                      const CRecursionMap&       recursionMap,
                                      const CMemBlock2D<double>& osFactors,
                                      const CMemBlock2D<double>& wpDistances,
                                      const CGtoPairsBlock&      braGtoPairsBlock,
                                      const CGtoPairsBlock&      ketGtoPairsBlock,
                                      const int32_t              nKetPrimPairs,
                                      const int32_t              iContrPair)
    {
        // Batch of Integrals (0,96)

        // set up pointers to primitives data on bra side

        auto spos = braGtoPairsBlock.getStartPositions();

        auto epos = braGtoPairsBlock.getEndPositions();

        // set up pointers to tensor of distance R(PB) = P - B

        auto r_pb_x = braGtoPairsBlock.getDistancesPBX();

        // set up pointers to common Obara-Saika factors

        auto b_fx = braGtoPairsBlock.getFactorsOneOverXi();

        // set up maximum order of integral

        auto mord = recursionMap.getMaxOrder({"Electron Repulsion"},
                                             {7, -1, -1, -1},
                                             {8, -1, -1, -1},
                                             1, 1);

        for (int32_t iord = 0; iord <= mord; iord++)
        {
            // set up index of integral

            auto pidx_g_7_8_m0 = recursionMap.index(CRecursionTerm({"Electron Repulsion"}, 0, true, 
                                                                   {7, -1, -1, -1}, {8, -1, -1, -1}, 
                                                                   1, 1, iord));

            // check if integral is needed in recursion expansion

            if (pidx_g_7_8_m0 == -1) continue;

            // set up indexes of auxilary integral

            auto pidx_g_6_8_m0 = recursionMap.index(CRecursionTerm({"Electron Repulsion"}, 0, true, 
                                                                   {6, -1, -1, -1}, {8, -1, -1, -1}, 
                                                                   1, 1, iord));

            auto pidx_g_6_8_m1 = recursionMap.index(CRecursionTerm({"Electron Repulsion"}, 0, true, 
                                                                   {6, -1, -1, -1}, {8, -1, -1, -1}, 
                                                                   1, 1, iord + 1));

            auto pidx_g_5_8_m0 = recursionMap.index(CRecursionTerm({"Electron Repulsion"}, 0, true, 
                                                                   {5, -1, -1, -1}, {8, -1, -1, -1}, 
                                                                   1, 1, iord));

            auto pidx_g_5_8_m1 = recursionMap.index(CRecursionTerm({"Electron Repulsion"}, 0, true, 
                                                                   {5, -1, -1, -1}, {8, -1, -1, -1}, 
                                                                   1, 1, iord + 1));

            auto pidx_g_6_7_m1 = recursionMap.index(CRecursionTerm({"Electron Repulsion"}, 0, true, 
                                                                   {6, -1, -1, -1}, {7, -1, -1, -1}, 
                                                                   1, 1, iord + 1));

            // loop over contracted GTO on bra side

            int32_t idx = 0;

            for (int32_t i = spos[iContrPair]; i < epos[iContrPair]; i++)
            {
                // set up pointers to Obara-Saika factors

                double fx = b_fx[i];

                auto fza = osFactors.data(4 * idx + 2);

                auto fxn = osFactors.data(4 * idx);

                // set up distances R(PB) = P - B

                auto pb_x = r_pb_x[i];

                // set up pointers to tensors product of distances R(WP) = W - P

                auto wp_x = wpDistances.data(3 * idx);

                // set up pointers to auxilary integrals

                auto tg_xxxxxx_xxxxxxxx_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx); 

                auto tg_xxxxxx_xxxxxxxy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1); 

                auto tg_xxxxxx_xxxxxxxz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 2); 

                auto tg_xxxxxx_xxxxxxyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 3); 

                auto tg_xxxxxx_xxxxxxyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 4); 

                auto tg_xxxxxx_xxxxxxzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 5); 

                auto tg_xxxxxx_xxxxxyyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 6); 

                auto tg_xxxxxx_xxxxxyyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 7); 

                auto tg_xxxxxx_xxxxxyzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 8); 

                auto tg_xxxxxx_xxxxxzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 9); 

                auto tg_xxxxxx_xxxxyyyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 10); 

                auto tg_xxxxxx_xxxxyyyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 11); 

                auto tg_xxxxxx_xxxxyyzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 12); 

                auto tg_xxxxxx_xxxxyzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 13); 

                auto tg_xxxxxx_xxxxzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 14); 

                auto tg_xxxxxx_xxxyyyyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 15); 

                auto tg_xxxxxx_xxxyyyyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 16); 

                auto tg_xxxxxx_xxxyyyzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 17); 

                auto tg_xxxxxx_xxxyyzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 18); 

                auto tg_xxxxxx_xxxyzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 19); 

                auto tg_xxxxxx_xxxzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 20); 

                auto tg_xxxxxx_xxyyyyyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 21); 

                auto tg_xxxxxx_xxyyyyyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 22); 

                auto tg_xxxxxx_xxyyyyzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 23); 

                auto tg_xxxxxx_xxyyyzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 24); 

                auto tg_xxxxxx_xxyyzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 25); 

                auto tg_xxxxxx_xxyzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 26); 

                auto tg_xxxxxx_xxzzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 27); 

                auto tg_xxxxxx_xyyyyyyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 28); 

                auto tg_xxxxxx_xyyyyyyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 29); 

                auto tg_xxxxxx_xyyyyyzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 30); 

                auto tg_xxxxxx_xyyyyzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 31); 

                auto tg_xxxxxx_xyyyzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 32); 

                auto tg_xxxxxx_xyyzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 33); 

                auto tg_xxxxxx_xyzzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 34); 

                auto tg_xxxxxx_xzzzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 35); 

                auto tg_xxxxxx_yyyyyyyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 36); 

                auto tg_xxxxxx_yyyyyyyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 37); 

                auto tg_xxxxxx_yyyyyyzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 38); 

                auto tg_xxxxxx_yyyyyzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 39); 

                auto tg_xxxxxx_yyyyzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 40); 

                auto tg_xxxxxx_yyyzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 41); 

                auto tg_xxxxxx_yyzzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 42); 

                auto tg_xxxxxx_yzzzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 43); 

                auto tg_xxxxxx_zzzzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 44); 

                auto tg_xxxxxy_xxxxxxxx_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 45); 

                auto tg_xxxxxy_xxxxxxxy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 46); 

                auto tg_xxxxxy_xxxxxxxz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 47); 

                auto tg_xxxxxy_xxxxxxyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 48); 

                auto tg_xxxxxy_xxxxxxyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 49); 

                auto tg_xxxxxy_xxxxxxzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 50); 

                auto tg_xxxxxy_xxxxxyyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 51); 

                auto tg_xxxxxy_xxxxxyyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 52); 

                auto tg_xxxxxy_xxxxxyzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 53); 

                auto tg_xxxxxy_xxxxxzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 54); 

                auto tg_xxxxxy_xxxxyyyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 55); 

                auto tg_xxxxxy_xxxxyyyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 56); 

                auto tg_xxxxxy_xxxxyyzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 57); 

                auto tg_xxxxxy_xxxxyzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 58); 

                auto tg_xxxxxy_xxxxzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 59); 

                auto tg_xxxxxy_xxxyyyyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 60); 

                auto tg_xxxxxy_xxxyyyyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 61); 

                auto tg_xxxxxy_xxxyyyzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 62); 

                auto tg_xxxxxy_xxxyyzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 63); 

                auto tg_xxxxxy_xxxyzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 64); 

                auto tg_xxxxxy_xxxzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 65); 

                auto tg_xxxxxy_xxyyyyyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 66); 

                auto tg_xxxxxy_xxyyyyyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 67); 

                auto tg_xxxxxy_xxyyyyzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 68); 

                auto tg_xxxxxy_xxyyyzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 69); 

                auto tg_xxxxxy_xxyyzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 70); 

                auto tg_xxxxxy_xxyzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 71); 

                auto tg_xxxxxy_xxzzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 72); 

                auto tg_xxxxxy_xyyyyyyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 73); 

                auto tg_xxxxxy_xyyyyyyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 74); 

                auto tg_xxxxxy_xyyyyyzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 75); 

                auto tg_xxxxxy_xyyyyzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 76); 

                auto tg_xxxxxy_xyyyzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 77); 

                auto tg_xxxxxy_xyyzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 78); 

                auto tg_xxxxxy_xyzzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 79); 

                auto tg_xxxxxy_xzzzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 80); 

                auto tg_xxxxxy_yyyyyyyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 81); 

                auto tg_xxxxxy_yyyyyyyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 82); 

                auto tg_xxxxxy_yyyyyyzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 83); 

                auto tg_xxxxxy_yyyyyzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 84); 

                auto tg_xxxxxy_yyyyzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 85); 

                auto tg_xxxxxy_yyyzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 86); 

                auto tg_xxxxxy_yyzzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 87); 

                auto tg_xxxxxy_yzzzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 88); 

                auto tg_xxxxxy_zzzzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 89); 

                auto tg_xxxxxz_xxxxxxxx_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 90); 

                auto tg_xxxxxz_xxxxxxxy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 91); 

                auto tg_xxxxxz_xxxxxxxz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 92); 

                auto tg_xxxxxz_xxxxxxyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 93); 

                auto tg_xxxxxz_xxxxxxyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 94); 

                auto tg_xxxxxz_xxxxxxzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 95); 

                auto tg_xxxxxx_xxxxxxxx_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx); 

                auto tg_xxxxxx_xxxxxxxy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1); 

                auto tg_xxxxxx_xxxxxxxz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 2); 

                auto tg_xxxxxx_xxxxxxyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 3); 

                auto tg_xxxxxx_xxxxxxyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 4); 

                auto tg_xxxxxx_xxxxxxzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 5); 

                auto tg_xxxxxx_xxxxxyyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 6); 

                auto tg_xxxxxx_xxxxxyyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 7); 

                auto tg_xxxxxx_xxxxxyzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 8); 

                auto tg_xxxxxx_xxxxxzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 9); 

                auto tg_xxxxxx_xxxxyyyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 10); 

                auto tg_xxxxxx_xxxxyyyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 11); 

                auto tg_xxxxxx_xxxxyyzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 12); 

                auto tg_xxxxxx_xxxxyzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 13); 

                auto tg_xxxxxx_xxxxzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 14); 

                auto tg_xxxxxx_xxxyyyyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 15); 

                auto tg_xxxxxx_xxxyyyyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 16); 

                auto tg_xxxxxx_xxxyyyzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 17); 

                auto tg_xxxxxx_xxxyyzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 18); 

                auto tg_xxxxxx_xxxyzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 19); 

                auto tg_xxxxxx_xxxzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 20); 

                auto tg_xxxxxx_xxyyyyyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 21); 

                auto tg_xxxxxx_xxyyyyyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 22); 

                auto tg_xxxxxx_xxyyyyzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 23); 

                auto tg_xxxxxx_xxyyyzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 24); 

                auto tg_xxxxxx_xxyyzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 25); 

                auto tg_xxxxxx_xxyzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 26); 

                auto tg_xxxxxx_xxzzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 27); 

                auto tg_xxxxxx_xyyyyyyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 28); 

                auto tg_xxxxxx_xyyyyyyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 29); 

                auto tg_xxxxxx_xyyyyyzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 30); 

                auto tg_xxxxxx_xyyyyzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 31); 

                auto tg_xxxxxx_xyyyzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 32); 

                auto tg_xxxxxx_xyyzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 33); 

                auto tg_xxxxxx_xyzzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 34); 

                auto tg_xxxxxx_xzzzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 35); 

                auto tg_xxxxxx_yyyyyyyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 36); 

                auto tg_xxxxxx_yyyyyyyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 37); 

                auto tg_xxxxxx_yyyyyyzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 38); 

                auto tg_xxxxxx_yyyyyzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 39); 

                auto tg_xxxxxx_yyyyzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 40); 

                auto tg_xxxxxx_yyyzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 41); 

                auto tg_xxxxxx_yyzzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 42); 

                auto tg_xxxxxx_yzzzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 43); 

                auto tg_xxxxxx_zzzzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 44); 

                auto tg_xxxxxy_xxxxxxxx_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 45); 

                auto tg_xxxxxy_xxxxxxxy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 46); 

                auto tg_xxxxxy_xxxxxxxz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 47); 

                auto tg_xxxxxy_xxxxxxyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 48); 

                auto tg_xxxxxy_xxxxxxyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 49); 

                auto tg_xxxxxy_xxxxxxzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 50); 

                auto tg_xxxxxy_xxxxxyyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 51); 

                auto tg_xxxxxy_xxxxxyyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 52); 

                auto tg_xxxxxy_xxxxxyzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 53); 

                auto tg_xxxxxy_xxxxxzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 54); 

                auto tg_xxxxxy_xxxxyyyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 55); 

                auto tg_xxxxxy_xxxxyyyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 56); 

                auto tg_xxxxxy_xxxxyyzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 57); 

                auto tg_xxxxxy_xxxxyzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 58); 

                auto tg_xxxxxy_xxxxzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 59); 

                auto tg_xxxxxy_xxxyyyyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 60); 

                auto tg_xxxxxy_xxxyyyyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 61); 

                auto tg_xxxxxy_xxxyyyzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 62); 

                auto tg_xxxxxy_xxxyyzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 63); 

                auto tg_xxxxxy_xxxyzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 64); 

                auto tg_xxxxxy_xxxzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 65); 

                auto tg_xxxxxy_xxyyyyyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 66); 

                auto tg_xxxxxy_xxyyyyyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 67); 

                auto tg_xxxxxy_xxyyyyzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 68); 

                auto tg_xxxxxy_xxyyyzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 69); 

                auto tg_xxxxxy_xxyyzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 70); 

                auto tg_xxxxxy_xxyzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 71); 

                auto tg_xxxxxy_xxzzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 72); 

                auto tg_xxxxxy_xyyyyyyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 73); 

                auto tg_xxxxxy_xyyyyyyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 74); 

                auto tg_xxxxxy_xyyyyyzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 75); 

                auto tg_xxxxxy_xyyyyzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 76); 

                auto tg_xxxxxy_xyyyzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 77); 

                auto tg_xxxxxy_xyyzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 78); 

                auto tg_xxxxxy_xyzzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 79); 

                auto tg_xxxxxy_xzzzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 80); 

                auto tg_xxxxxy_yyyyyyyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 81); 

                auto tg_xxxxxy_yyyyyyyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 82); 

                auto tg_xxxxxy_yyyyyyzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 83); 

                auto tg_xxxxxy_yyyyyzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 84); 

                auto tg_xxxxxy_yyyyzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 85); 

                auto tg_xxxxxy_yyyzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 86); 

                auto tg_xxxxxy_yyzzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 87); 

                auto tg_xxxxxy_yzzzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 88); 

                auto tg_xxxxxy_zzzzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 89); 

                auto tg_xxxxxz_xxxxxxxx_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 90); 

                auto tg_xxxxxz_xxxxxxxy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 91); 

                auto tg_xxxxxz_xxxxxxxz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 92); 

                auto tg_xxxxxz_xxxxxxyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 93); 

                auto tg_xxxxxz_xxxxxxyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 94); 

                auto tg_xxxxxz_xxxxxxzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 95); 

                auto tg_xxxxx_xxxxxxxx_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx); 

                auto tg_xxxxx_xxxxxxxy_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 1); 

                auto tg_xxxxx_xxxxxxxz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 2); 

                auto tg_xxxxx_xxxxxxyy_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 3); 

                auto tg_xxxxx_xxxxxxyz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 4); 

                auto tg_xxxxx_xxxxxxzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 5); 

                auto tg_xxxxx_xxxxxyyy_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 6); 

                auto tg_xxxxx_xxxxxyyz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 7); 

                auto tg_xxxxx_xxxxxyzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 8); 

                auto tg_xxxxx_xxxxxzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 9); 

                auto tg_xxxxx_xxxxyyyy_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 10); 

                auto tg_xxxxx_xxxxyyyz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 11); 

                auto tg_xxxxx_xxxxyyzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 12); 

                auto tg_xxxxx_xxxxyzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 13); 

                auto tg_xxxxx_xxxxzzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 14); 

                auto tg_xxxxx_xxxyyyyy_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 15); 

                auto tg_xxxxx_xxxyyyyz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 16); 

                auto tg_xxxxx_xxxyyyzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 17); 

                auto tg_xxxxx_xxxyyzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 18); 

                auto tg_xxxxx_xxxyzzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 19); 

                auto tg_xxxxx_xxxzzzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 20); 

                auto tg_xxxxx_xxyyyyyy_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 21); 

                auto tg_xxxxx_xxyyyyyz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 22); 

                auto tg_xxxxx_xxyyyyzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 23); 

                auto tg_xxxxx_xxyyyzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 24); 

                auto tg_xxxxx_xxyyzzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 25); 

                auto tg_xxxxx_xxyzzzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 26); 

                auto tg_xxxxx_xxzzzzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 27); 

                auto tg_xxxxx_xyyyyyyy_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 28); 

                auto tg_xxxxx_xyyyyyyz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 29); 

                auto tg_xxxxx_xyyyyyzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 30); 

                auto tg_xxxxx_xyyyyzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 31); 

                auto tg_xxxxx_xyyyzzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 32); 

                auto tg_xxxxx_xyyzzzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 33); 

                auto tg_xxxxx_xyzzzzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 34); 

                auto tg_xxxxx_xzzzzzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 35); 

                auto tg_xxxxx_yyyyyyyy_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 36); 

                auto tg_xxxxx_yyyyyyyz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 37); 

                auto tg_xxxxx_yyyyyyzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 38); 

                auto tg_xxxxx_yyyyyzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 39); 

                auto tg_xxxxx_yyyyzzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 40); 

                auto tg_xxxxx_yyyzzzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 41); 

                auto tg_xxxxx_yyzzzzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 42); 

                auto tg_xxxxx_yzzzzzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 43); 

                auto tg_xxxxx_zzzzzzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 44); 

                auto tg_xxxxy_xxxxxxxx_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 45); 

                auto tg_xxxxy_xxxxxxxy_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 46); 

                auto tg_xxxxy_xxxxxxxz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 47); 

                auto tg_xxxxy_xxxxxxyy_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 48); 

                auto tg_xxxxy_xxxxxxyz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 49); 

                auto tg_xxxxy_xxxxxxzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 50); 

                auto tg_xxxxy_xxxxxyyy_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 51); 

                auto tg_xxxxy_xxxxxyyz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 52); 

                auto tg_xxxxy_xxxxxyzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 53); 

                auto tg_xxxxy_xxxxxzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 54); 

                auto tg_xxxxy_xxxxyyyy_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 55); 

                auto tg_xxxxy_xxxxyyyz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 56); 

                auto tg_xxxxy_xxxxyyzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 57); 

                auto tg_xxxxy_xxxxyzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 58); 

                auto tg_xxxxy_xxxxzzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 59); 

                auto tg_xxxxy_xxxyyyyy_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 60); 

                auto tg_xxxxy_xxxyyyyz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 61); 

                auto tg_xxxxy_xxxyyyzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 62); 

                auto tg_xxxxy_xxxyyzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 63); 

                auto tg_xxxxy_xxxyzzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 64); 

                auto tg_xxxxy_xxxzzzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 65); 

                auto tg_xxxxy_xxyyyyyy_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 66); 

                auto tg_xxxxy_xxyyyyyz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 67); 

                auto tg_xxxxy_xxyyyyzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 68); 

                auto tg_xxxxy_xxyyyzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 69); 

                auto tg_xxxxy_xxyyzzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 70); 

                auto tg_xxxxy_xxyzzzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 71); 

                auto tg_xxxxy_xxzzzzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 72); 

                auto tg_xxxxy_xyyyyyyy_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 73); 

                auto tg_xxxxy_xyyyyyyz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 74); 

                auto tg_xxxxy_xyyyyyzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 75); 

                auto tg_xxxxy_xyyyyzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 76); 

                auto tg_xxxxy_xyyyzzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 77); 

                auto tg_xxxxy_xyyzzzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 78); 

                auto tg_xxxxy_xyzzzzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 79); 

                auto tg_xxxxy_xzzzzzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 80); 

                auto tg_xxxxy_yyyyyyyy_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 81); 

                auto tg_xxxxy_yyyyyyyz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 82); 

                auto tg_xxxxy_yyyyyyzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 83); 

                auto tg_xxxxy_yyyyyzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 84); 

                auto tg_xxxxy_yyyyzzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 85); 

                auto tg_xxxxy_yyyzzzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 86); 

                auto tg_xxxxy_yyzzzzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 87); 

                auto tg_xxxxy_yzzzzzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 88); 

                auto tg_xxxxy_zzzzzzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 89); 

                auto tg_xxxxz_xxxxxxxx_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 90); 

                auto tg_xxxxz_xxxxxxxy_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 91); 

                auto tg_xxxxz_xxxxxxxz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 92); 

                auto tg_xxxxz_xxxxxxyy_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 93); 

                auto tg_xxxxz_xxxxxxyz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 94); 

                auto tg_xxxxz_xxxxxxzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 95); 

                auto tg_xxxxx_xxxxxxxx_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx); 

                auto tg_xxxxx_xxxxxxxy_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 1); 

                auto tg_xxxxx_xxxxxxxz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 2); 

                auto tg_xxxxx_xxxxxxyy_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 3); 

                auto tg_xxxxx_xxxxxxyz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 4); 

                auto tg_xxxxx_xxxxxxzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 5); 

                auto tg_xxxxx_xxxxxyyy_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 6); 

                auto tg_xxxxx_xxxxxyyz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 7); 

                auto tg_xxxxx_xxxxxyzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 8); 

                auto tg_xxxxx_xxxxxzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 9); 

                auto tg_xxxxx_xxxxyyyy_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 10); 

                auto tg_xxxxx_xxxxyyyz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 11); 

                auto tg_xxxxx_xxxxyyzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 12); 

                auto tg_xxxxx_xxxxyzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 13); 

                auto tg_xxxxx_xxxxzzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 14); 

                auto tg_xxxxx_xxxyyyyy_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 15); 

                auto tg_xxxxx_xxxyyyyz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 16); 

                auto tg_xxxxx_xxxyyyzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 17); 

                auto tg_xxxxx_xxxyyzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 18); 

                auto tg_xxxxx_xxxyzzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 19); 

                auto tg_xxxxx_xxxzzzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 20); 

                auto tg_xxxxx_xxyyyyyy_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 21); 

                auto tg_xxxxx_xxyyyyyz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 22); 

                auto tg_xxxxx_xxyyyyzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 23); 

                auto tg_xxxxx_xxyyyzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 24); 

                auto tg_xxxxx_xxyyzzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 25); 

                auto tg_xxxxx_xxyzzzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 26); 

                auto tg_xxxxx_xxzzzzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 27); 

                auto tg_xxxxx_xyyyyyyy_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 28); 

                auto tg_xxxxx_xyyyyyyz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 29); 

                auto tg_xxxxx_xyyyyyzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 30); 

                auto tg_xxxxx_xyyyyzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 31); 

                auto tg_xxxxx_xyyyzzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 32); 

                auto tg_xxxxx_xyyzzzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 33); 

                auto tg_xxxxx_xyzzzzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 34); 

                auto tg_xxxxx_xzzzzzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 35); 

                auto tg_xxxxx_yyyyyyyy_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 36); 

                auto tg_xxxxx_yyyyyyyz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 37); 

                auto tg_xxxxx_yyyyyyzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 38); 

                auto tg_xxxxx_yyyyyzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 39); 

                auto tg_xxxxx_yyyyzzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 40); 

                auto tg_xxxxx_yyyzzzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 41); 

                auto tg_xxxxx_yyzzzzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 42); 

                auto tg_xxxxx_yzzzzzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 43); 

                auto tg_xxxxx_zzzzzzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 44); 

                auto tg_xxxxy_xxxxxxxx_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 45); 

                auto tg_xxxxy_xxxxxxxy_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 46); 

                auto tg_xxxxy_xxxxxxxz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 47); 

                auto tg_xxxxy_xxxxxxyy_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 48); 

                auto tg_xxxxy_xxxxxxyz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 49); 

                auto tg_xxxxy_xxxxxxzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 50); 

                auto tg_xxxxy_xxxxxyyy_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 51); 

                auto tg_xxxxy_xxxxxyyz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 52); 

                auto tg_xxxxy_xxxxxyzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 53); 

                auto tg_xxxxy_xxxxxzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 54); 

                auto tg_xxxxy_xxxxyyyy_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 55); 

                auto tg_xxxxy_xxxxyyyz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 56); 

                auto tg_xxxxy_xxxxyyzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 57); 

                auto tg_xxxxy_xxxxyzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 58); 

                auto tg_xxxxy_xxxxzzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 59); 

                auto tg_xxxxy_xxxyyyyy_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 60); 

                auto tg_xxxxy_xxxyyyyz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 61); 

                auto tg_xxxxy_xxxyyyzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 62); 

                auto tg_xxxxy_xxxyyzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 63); 

                auto tg_xxxxy_xxxyzzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 64); 

                auto tg_xxxxy_xxxzzzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 65); 

                auto tg_xxxxy_xxyyyyyy_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 66); 

                auto tg_xxxxy_xxyyyyyz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 67); 

                auto tg_xxxxy_xxyyyyzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 68); 

                auto tg_xxxxy_xxyyyzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 69); 

                auto tg_xxxxy_xxyyzzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 70); 

                auto tg_xxxxy_xxyzzzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 71); 

                auto tg_xxxxy_xxzzzzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 72); 

                auto tg_xxxxy_xyyyyyyy_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 73); 

                auto tg_xxxxy_xyyyyyyz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 74); 

                auto tg_xxxxy_xyyyyyzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 75); 

                auto tg_xxxxy_xyyyyzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 76); 

                auto tg_xxxxy_xyyyzzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 77); 

                auto tg_xxxxy_xyyzzzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 78); 

                auto tg_xxxxy_xyzzzzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 79); 

                auto tg_xxxxy_xzzzzzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 80); 

                auto tg_xxxxy_yyyyyyyy_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 81); 

                auto tg_xxxxy_yyyyyyyz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 82); 

                auto tg_xxxxy_yyyyyyzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 83); 

                auto tg_xxxxy_yyyyyzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 84); 

                auto tg_xxxxy_yyyyzzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 85); 

                auto tg_xxxxy_yyyzzzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 86); 

                auto tg_xxxxy_yyzzzzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 87); 

                auto tg_xxxxy_yzzzzzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 88); 

                auto tg_xxxxy_zzzzzzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 89); 

                auto tg_xxxxz_xxxxxxxx_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 90); 

                auto tg_xxxxz_xxxxxxxy_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 91); 

                auto tg_xxxxz_xxxxxxxz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 92); 

                auto tg_xxxxz_xxxxxxyy_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 93); 

                auto tg_xxxxz_xxxxxxyz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 94); 

                auto tg_xxxxz_xxxxxxzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 95); 

                auto tg_xxxxxx_xxxxxxx_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx); 

                auto tg_xxxxxx_xxxxxxy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 1); 

                auto tg_xxxxxx_xxxxxxz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 2); 

                auto tg_xxxxxx_xxxxxyy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 3); 

                auto tg_xxxxxx_xxxxxyz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 4); 

                auto tg_xxxxxx_xxxxxzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 5); 

                auto tg_xxxxxx_xxxxyyy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 6); 

                auto tg_xxxxxx_xxxxyyz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 7); 

                auto tg_xxxxxx_xxxxyzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 8); 

                auto tg_xxxxxx_xxxxzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 9); 

                auto tg_xxxxxx_xxxyyyy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 10); 

                auto tg_xxxxxx_xxxyyyz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 11); 

                auto tg_xxxxxx_xxxyyzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 12); 

                auto tg_xxxxxx_xxxyzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 13); 

                auto tg_xxxxxx_xxxzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 14); 

                auto tg_xxxxxx_xxyyyyy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 15); 

                auto tg_xxxxxx_xxyyyyz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 16); 

                auto tg_xxxxxx_xxyyyzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 17); 

                auto tg_xxxxxx_xxyyzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 18); 

                auto tg_xxxxxx_xxyzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 19); 

                auto tg_xxxxxx_xxzzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 20); 

                auto tg_xxxxxx_xyyyyyy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 21); 

                auto tg_xxxxxx_xyyyyyz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 22); 

                auto tg_xxxxxx_xyyyyzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 23); 

                auto tg_xxxxxx_xyyyzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 24); 

                auto tg_xxxxxx_xyyzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 25); 

                auto tg_xxxxxx_xyzzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 26); 

                auto tg_xxxxxx_xzzzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 27); 

                auto tg_xxxxxx_yyyyyyy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 28); 

                auto tg_xxxxxx_yyyyyyz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 29); 

                auto tg_xxxxxx_yyyyyzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 30); 

                auto tg_xxxxxx_yyyyzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 31); 

                auto tg_xxxxxx_yyyzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 32); 

                auto tg_xxxxxx_yyzzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 33); 

                auto tg_xxxxxx_yzzzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 34); 

                auto tg_xxxxxx_zzzzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 35); 

                auto tg_xxxxxy_xxxxxxx_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 36); 

                auto tg_xxxxxy_xxxxxxy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 37); 

                auto tg_xxxxxy_xxxxxxz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 38); 

                auto tg_xxxxxy_xxxxxyy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 39); 

                auto tg_xxxxxy_xxxxxyz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 40); 

                auto tg_xxxxxy_xxxxxzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 41); 

                auto tg_xxxxxy_xxxxyyy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 42); 

                auto tg_xxxxxy_xxxxyyz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 43); 

                auto tg_xxxxxy_xxxxyzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 44); 

                auto tg_xxxxxy_xxxxzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 45); 

                auto tg_xxxxxy_xxxyyyy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 46); 

                auto tg_xxxxxy_xxxyyyz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 47); 

                auto tg_xxxxxy_xxxyyzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 48); 

                auto tg_xxxxxy_xxxyzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 49); 

                auto tg_xxxxxy_xxxzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 50); 

                auto tg_xxxxxy_xxyyyyy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 51); 

                auto tg_xxxxxy_xxyyyyz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 52); 

                auto tg_xxxxxy_xxyyyzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 53); 

                auto tg_xxxxxy_xxyyzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 54); 

                auto tg_xxxxxy_xxyzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 55); 

                auto tg_xxxxxy_xxzzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 56); 

                auto tg_xxxxxy_xyyyyyy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 57); 

                auto tg_xxxxxy_xyyyyyz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 58); 

                auto tg_xxxxxy_xyyyyzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 59); 

                auto tg_xxxxxy_xyyyzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 60); 

                auto tg_xxxxxy_xyyzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 61); 

                auto tg_xxxxxy_xyzzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 62); 

                auto tg_xxxxxy_xzzzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 63); 

                auto tg_xxxxxy_yyyyyyy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 64); 

                auto tg_xxxxxy_yyyyyyz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 65); 

                auto tg_xxxxxy_yyyyyzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 66); 

                auto tg_xxxxxy_yyyyzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 67); 

                auto tg_xxxxxy_yyyzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 68); 

                auto tg_xxxxxy_yyzzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 69); 

                auto tg_xxxxxy_yzzzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 70); 

                auto tg_xxxxxy_zzzzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 71); 

                auto tg_xxxxxz_xxxxxxx_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 72); 

                auto tg_xxxxxz_xxxxxxy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 73); 

                auto tg_xxxxxz_xxxxxxz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 74); 

                auto tg_xxxxxz_xxxxxyy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 75); 

                auto tg_xxxxxz_xxxxxyz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 76); 

                auto tg_xxxxxz_xxxxxzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 77); 

                // set up pointers to integrals

                auto tg_xxxxxxx_xxxxxxxx_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx); 

                auto tg_xxxxxxx_xxxxxxxy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1); 

                auto tg_xxxxxxx_xxxxxxxz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 2); 

                auto tg_xxxxxxx_xxxxxxyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 3); 

                auto tg_xxxxxxx_xxxxxxyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 4); 

                auto tg_xxxxxxx_xxxxxxzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 5); 

                auto tg_xxxxxxx_xxxxxyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 6); 

                auto tg_xxxxxxx_xxxxxyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 7); 

                auto tg_xxxxxxx_xxxxxyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 8); 

                auto tg_xxxxxxx_xxxxxzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 9); 

                auto tg_xxxxxxx_xxxxyyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 10); 

                auto tg_xxxxxxx_xxxxyyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 11); 

                auto tg_xxxxxxx_xxxxyyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 12); 

                auto tg_xxxxxxx_xxxxyzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 13); 

                auto tg_xxxxxxx_xxxxzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 14); 

                auto tg_xxxxxxx_xxxyyyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 15); 

                auto tg_xxxxxxx_xxxyyyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 16); 

                auto tg_xxxxxxx_xxxyyyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 17); 

                auto tg_xxxxxxx_xxxyyzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 18); 

                auto tg_xxxxxxx_xxxyzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 19); 

                auto tg_xxxxxxx_xxxzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 20); 

                auto tg_xxxxxxx_xxyyyyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 21); 

                auto tg_xxxxxxx_xxyyyyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 22); 

                auto tg_xxxxxxx_xxyyyyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 23); 

                auto tg_xxxxxxx_xxyyyzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 24); 

                auto tg_xxxxxxx_xxyyzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 25); 

                auto tg_xxxxxxx_xxyzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 26); 

                auto tg_xxxxxxx_xxzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 27); 

                auto tg_xxxxxxx_xyyyyyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 28); 

                auto tg_xxxxxxx_xyyyyyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 29); 

                auto tg_xxxxxxx_xyyyyyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 30); 

                auto tg_xxxxxxx_xyyyyzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 31); 

                auto tg_xxxxxxx_xyyyzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 32); 

                auto tg_xxxxxxx_xyyzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 33); 

                auto tg_xxxxxxx_xyzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 34); 

                auto tg_xxxxxxx_xzzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 35); 

                auto tg_xxxxxxx_yyyyyyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 36); 

                auto tg_xxxxxxx_yyyyyyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 37); 

                auto tg_xxxxxxx_yyyyyyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 38); 

                auto tg_xxxxxxx_yyyyyzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 39); 

                auto tg_xxxxxxx_yyyyzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 40); 

                auto tg_xxxxxxx_yyyzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 41); 

                auto tg_xxxxxxx_yyzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 42); 

                auto tg_xxxxxxx_yzzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 43); 

                auto tg_xxxxxxx_zzzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 44); 

                auto tg_xxxxxxy_xxxxxxxx_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 45); 

                auto tg_xxxxxxy_xxxxxxxy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 46); 

                auto tg_xxxxxxy_xxxxxxxz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 47); 

                auto tg_xxxxxxy_xxxxxxyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 48); 

                auto tg_xxxxxxy_xxxxxxyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 49); 

                auto tg_xxxxxxy_xxxxxxzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 50); 

                auto tg_xxxxxxy_xxxxxyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 51); 

                auto tg_xxxxxxy_xxxxxyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 52); 

                auto tg_xxxxxxy_xxxxxyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 53); 

                auto tg_xxxxxxy_xxxxxzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 54); 

                auto tg_xxxxxxy_xxxxyyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 55); 

                auto tg_xxxxxxy_xxxxyyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 56); 

                auto tg_xxxxxxy_xxxxyyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 57); 

                auto tg_xxxxxxy_xxxxyzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 58); 

                auto tg_xxxxxxy_xxxxzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 59); 

                auto tg_xxxxxxy_xxxyyyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 60); 

                auto tg_xxxxxxy_xxxyyyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 61); 

                auto tg_xxxxxxy_xxxyyyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 62); 

                auto tg_xxxxxxy_xxxyyzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 63); 

                auto tg_xxxxxxy_xxxyzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 64); 

                auto tg_xxxxxxy_xxxzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 65); 

                auto tg_xxxxxxy_xxyyyyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 66); 

                auto tg_xxxxxxy_xxyyyyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 67); 

                auto tg_xxxxxxy_xxyyyyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 68); 

                auto tg_xxxxxxy_xxyyyzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 69); 

                auto tg_xxxxxxy_xxyyzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 70); 

                auto tg_xxxxxxy_xxyzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 71); 

                auto tg_xxxxxxy_xxzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 72); 

                auto tg_xxxxxxy_xyyyyyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 73); 

                auto tg_xxxxxxy_xyyyyyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 74); 

                auto tg_xxxxxxy_xyyyyyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 75); 

                auto tg_xxxxxxy_xyyyyzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 76); 

                auto tg_xxxxxxy_xyyyzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 77); 

                auto tg_xxxxxxy_xyyzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 78); 

                auto tg_xxxxxxy_xyzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 79); 

                auto tg_xxxxxxy_xzzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 80); 

                auto tg_xxxxxxy_yyyyyyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 81); 

                auto tg_xxxxxxy_yyyyyyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 82); 

                auto tg_xxxxxxy_yyyyyyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 83); 

                auto tg_xxxxxxy_yyyyyzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 84); 

                auto tg_xxxxxxy_yyyyzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 85); 

                auto tg_xxxxxxy_yyyzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 86); 

                auto tg_xxxxxxy_yyzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 87); 

                auto tg_xxxxxxy_yzzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 88); 

                auto tg_xxxxxxy_zzzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 89); 

                auto tg_xxxxxxz_xxxxxxxx_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 90); 

                auto tg_xxxxxxz_xxxxxxxy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 91); 

                auto tg_xxxxxxz_xxxxxxxz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 92); 

                auto tg_xxxxxxz_xxxxxxyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 93); 

                auto tg_xxxxxxz_xxxxxxyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 94); 

                auto tg_xxxxxxz_xxxxxxzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 95); 

                // Batch of Integrals (0,96)

                #pragma omp simd aligned(fxn, fza, tg_xxxxx_xxxxxxxx_0, tg_xxxxx_xxxxxxxx_1, \
                                         tg_xxxxx_xxxxxxxy_0, tg_xxxxx_xxxxxxxy_1, tg_xxxxx_xxxxxxxz_0, tg_xxxxx_xxxxxxxz_1, \
                                         tg_xxxxx_xxxxxxyy_0, tg_xxxxx_xxxxxxyy_1, tg_xxxxx_xxxxxxyz_0, tg_xxxxx_xxxxxxyz_1, \
                                         tg_xxxxx_xxxxxxzz_0, tg_xxxxx_xxxxxxzz_1, tg_xxxxx_xxxxxyyy_0, tg_xxxxx_xxxxxyyy_1, \
                                         tg_xxxxx_xxxxxyyz_0, tg_xxxxx_xxxxxyyz_1, tg_xxxxx_xxxxxyzz_0, tg_xxxxx_xxxxxyzz_1, \
                                         tg_xxxxx_xxxxxzzz_0, tg_xxxxx_xxxxxzzz_1, tg_xxxxx_xxxxyyyy_0, tg_xxxxx_xxxxyyyy_1, \
                                         tg_xxxxx_xxxxyyyz_0, tg_xxxxx_xxxxyyyz_1, tg_xxxxx_xxxxyyzz_0, tg_xxxxx_xxxxyyzz_1, \
                                         tg_xxxxx_xxxxyzzz_0, tg_xxxxx_xxxxyzzz_1, tg_xxxxx_xxxxzzzz_0, tg_xxxxx_xxxxzzzz_1, \
                                         tg_xxxxx_xxxyyyyy_0, tg_xxxxx_xxxyyyyy_1, tg_xxxxx_xxxyyyyz_0, tg_xxxxx_xxxyyyyz_1, \
                                         tg_xxxxx_xxxyyyzz_0, tg_xxxxx_xxxyyyzz_1, tg_xxxxx_xxxyyzzz_0, tg_xxxxx_xxxyyzzz_1, \
                                         tg_xxxxx_xxxyzzzz_0, tg_xxxxx_xxxyzzzz_1, tg_xxxxx_xxxzzzzz_0, tg_xxxxx_xxxzzzzz_1, \
                                         tg_xxxxx_xxyyyyyy_0, tg_xxxxx_xxyyyyyy_1, tg_xxxxx_xxyyyyyz_0, tg_xxxxx_xxyyyyyz_1, \
                                         tg_xxxxx_xxyyyyzz_0, tg_xxxxx_xxyyyyzz_1, tg_xxxxx_xxyyyzzz_0, tg_xxxxx_xxyyyzzz_1, \
                                         tg_xxxxx_xxyyzzzz_0, tg_xxxxx_xxyyzzzz_1, tg_xxxxx_xxyzzzzz_0, tg_xxxxx_xxyzzzzz_1, \
                                         tg_xxxxx_xxzzzzzz_0, tg_xxxxx_xxzzzzzz_1, tg_xxxxx_xyyyyyyy_0, tg_xxxxx_xyyyyyyy_1, \
                                         tg_xxxxx_xyyyyyyz_0, tg_xxxxx_xyyyyyyz_1, tg_xxxxx_xyyyyyzz_0, tg_xxxxx_xyyyyyzz_1, \
                                         tg_xxxxx_xyyyyzzz_0, tg_xxxxx_xyyyyzzz_1, tg_xxxxx_xyyyzzzz_0, tg_xxxxx_xyyyzzzz_1, \
                                         tg_xxxxx_xyyzzzzz_0, tg_xxxxx_xyyzzzzz_1, tg_xxxxx_xyzzzzzz_0, tg_xxxxx_xyzzzzzz_1, \
                                         tg_xxxxx_xzzzzzzz_0, tg_xxxxx_xzzzzzzz_1, tg_xxxxx_yyyyyyyy_0, tg_xxxxx_yyyyyyyy_1, \
                                         tg_xxxxx_yyyyyyyz_0, tg_xxxxx_yyyyyyyz_1, tg_xxxxx_yyyyyyzz_0, tg_xxxxx_yyyyyyzz_1, \
                                         tg_xxxxx_yyyyyzzz_0, tg_xxxxx_yyyyyzzz_1, tg_xxxxx_yyyyzzzz_0, tg_xxxxx_yyyyzzzz_1, \
                                         tg_xxxxx_yyyzzzzz_0, tg_xxxxx_yyyzzzzz_1, tg_xxxxx_yyzzzzzz_0, tg_xxxxx_yyzzzzzz_1, \
                                         tg_xxxxx_yzzzzzzz_0, tg_xxxxx_yzzzzzzz_1, tg_xxxxx_zzzzzzzz_0, tg_xxxxx_zzzzzzzz_1, \
                                         tg_xxxxxx_xxxxxxx_1, tg_xxxxxx_xxxxxxxx_0, tg_xxxxxx_xxxxxxxx_1, tg_xxxxxx_xxxxxxxy_0, \
                                         tg_xxxxxx_xxxxxxxy_1, tg_xxxxxx_xxxxxxxz_0, tg_xxxxxx_xxxxxxxz_1, tg_xxxxxx_xxxxxxy_1, \
                                         tg_xxxxxx_xxxxxxyy_0, tg_xxxxxx_xxxxxxyy_1, tg_xxxxxx_xxxxxxyz_0, tg_xxxxxx_xxxxxxyz_1, \
                                         tg_xxxxxx_xxxxxxz_1, tg_xxxxxx_xxxxxxzz_0, tg_xxxxxx_xxxxxxzz_1, tg_xxxxxx_xxxxxyy_1, \
                                         tg_xxxxxx_xxxxxyyy_0, tg_xxxxxx_xxxxxyyy_1, tg_xxxxxx_xxxxxyyz_0, tg_xxxxxx_xxxxxyyz_1, \
                                         tg_xxxxxx_xxxxxyz_1, tg_xxxxxx_xxxxxyzz_0, tg_xxxxxx_xxxxxyzz_1, tg_xxxxxx_xxxxxzz_1, \
                                         tg_xxxxxx_xxxxxzzz_0, tg_xxxxxx_xxxxxzzz_1, tg_xxxxxx_xxxxyyy_1, tg_xxxxxx_xxxxyyyy_0, \
                                         tg_xxxxxx_xxxxyyyy_1, tg_xxxxxx_xxxxyyyz_0, tg_xxxxxx_xxxxyyyz_1, tg_xxxxxx_xxxxyyz_1, \
                                         tg_xxxxxx_xxxxyyzz_0, tg_xxxxxx_xxxxyyzz_1, tg_xxxxxx_xxxxyzz_1, tg_xxxxxx_xxxxyzzz_0, \
                                         tg_xxxxxx_xxxxyzzz_1, tg_xxxxxx_xxxxzzz_1, tg_xxxxxx_xxxxzzzz_0, tg_xxxxxx_xxxxzzzz_1, \
                                         tg_xxxxxx_xxxyyyy_1, tg_xxxxxx_xxxyyyyy_0, tg_xxxxxx_xxxyyyyy_1, tg_xxxxxx_xxxyyyyz_0, \
                                         tg_xxxxxx_xxxyyyyz_1, tg_xxxxxx_xxxyyyz_1, tg_xxxxxx_xxxyyyzz_0, tg_xxxxxx_xxxyyyzz_1, \
                                         tg_xxxxxx_xxxyyzz_1, tg_xxxxxx_xxxyyzzz_0, tg_xxxxxx_xxxyyzzz_1, tg_xxxxxx_xxxyzzz_1, \
                                         tg_xxxxxx_xxxyzzzz_0, tg_xxxxxx_xxxyzzzz_1, tg_xxxxxx_xxxzzzz_1, tg_xxxxxx_xxxzzzzz_0, \
                                         tg_xxxxxx_xxxzzzzz_1, tg_xxxxxx_xxyyyyy_1, tg_xxxxxx_xxyyyyyy_0, tg_xxxxxx_xxyyyyyy_1, \
                                         tg_xxxxxx_xxyyyyyz_0, tg_xxxxxx_xxyyyyyz_1, tg_xxxxxx_xxyyyyz_1, tg_xxxxxx_xxyyyyzz_0, \
                                         tg_xxxxxx_xxyyyyzz_1, tg_xxxxxx_xxyyyzz_1, tg_xxxxxx_xxyyyzzz_0, tg_xxxxxx_xxyyyzzz_1, \
                                         tg_xxxxxx_xxyyzzz_1, tg_xxxxxx_xxyyzzzz_0, tg_xxxxxx_xxyyzzzz_1, tg_xxxxxx_xxyzzzz_1, \
                                         tg_xxxxxx_xxyzzzzz_0, tg_xxxxxx_xxyzzzzz_1, tg_xxxxxx_xxzzzzz_1, tg_xxxxxx_xxzzzzzz_0, \
                                         tg_xxxxxx_xxzzzzzz_1, tg_xxxxxx_xyyyyyy_1, tg_xxxxxx_xyyyyyyy_0, tg_xxxxxx_xyyyyyyy_1, \
                                         tg_xxxxxx_xyyyyyyz_0, tg_xxxxxx_xyyyyyyz_1, tg_xxxxxx_xyyyyyz_1, tg_xxxxxx_xyyyyyzz_0, \
                                         tg_xxxxxx_xyyyyyzz_1, tg_xxxxxx_xyyyyzz_1, tg_xxxxxx_xyyyyzzz_0, tg_xxxxxx_xyyyyzzz_1, \
                                         tg_xxxxxx_xyyyzzz_1, tg_xxxxxx_xyyyzzzz_0, tg_xxxxxx_xyyyzzzz_1, tg_xxxxxx_xyyzzzz_1, \
                                         tg_xxxxxx_xyyzzzzz_0, tg_xxxxxx_xyyzzzzz_1, tg_xxxxxx_xyzzzzz_1, tg_xxxxxx_xyzzzzzz_0, \
                                         tg_xxxxxx_xyzzzzzz_1, tg_xxxxxx_xzzzzzz_1, tg_xxxxxx_xzzzzzzz_0, tg_xxxxxx_xzzzzzzz_1, \
                                         tg_xxxxxx_yyyyyyy_1, tg_xxxxxx_yyyyyyyy_0, tg_xxxxxx_yyyyyyyy_1, tg_xxxxxx_yyyyyyyz_0, \
                                         tg_xxxxxx_yyyyyyyz_1, tg_xxxxxx_yyyyyyz_1, tg_xxxxxx_yyyyyyzz_0, tg_xxxxxx_yyyyyyzz_1, \
                                         tg_xxxxxx_yyyyyzz_1, tg_xxxxxx_yyyyyzzz_0, tg_xxxxxx_yyyyyzzz_1, tg_xxxxxx_yyyyzzz_1, \
                                         tg_xxxxxx_yyyyzzzz_0, tg_xxxxxx_yyyyzzzz_1, tg_xxxxxx_yyyzzzz_1, tg_xxxxxx_yyyzzzzz_0, \
                                         tg_xxxxxx_yyyzzzzz_1, tg_xxxxxx_yyzzzzz_1, tg_xxxxxx_yyzzzzzz_0, tg_xxxxxx_yyzzzzzz_1, \
                                         tg_xxxxxx_yzzzzzz_1, tg_xxxxxx_yzzzzzzz_0, tg_xxxxxx_yzzzzzzz_1, tg_xxxxxx_zzzzzzz_1, \
                                         tg_xxxxxx_zzzzzzzz_0, tg_xxxxxx_zzzzzzzz_1, tg_xxxxxxx_xxxxxxxx_0, \
                                         tg_xxxxxxx_xxxxxxxy_0, tg_xxxxxxx_xxxxxxxz_0, tg_xxxxxxx_xxxxxxyy_0, \
                                         tg_xxxxxxx_xxxxxxyz_0, tg_xxxxxxx_xxxxxxzz_0, tg_xxxxxxx_xxxxxyyy_0, \
                                         tg_xxxxxxx_xxxxxyyz_0, tg_xxxxxxx_xxxxxyzz_0, tg_xxxxxxx_xxxxxzzz_0, \
                                         tg_xxxxxxx_xxxxyyyy_0, tg_xxxxxxx_xxxxyyyz_0, tg_xxxxxxx_xxxxyyzz_0, \
                                         tg_xxxxxxx_xxxxyzzz_0, tg_xxxxxxx_xxxxzzzz_0, tg_xxxxxxx_xxxyyyyy_0, \
                                         tg_xxxxxxx_xxxyyyyz_0, tg_xxxxxxx_xxxyyyzz_0, tg_xxxxxxx_xxxyyzzz_0, \
                                         tg_xxxxxxx_xxxyzzzz_0, tg_xxxxxxx_xxxzzzzz_0, tg_xxxxxxx_xxyyyyyy_0, \
                                         tg_xxxxxxx_xxyyyyyz_0, tg_xxxxxxx_xxyyyyzz_0, tg_xxxxxxx_xxyyyzzz_0, \
                                         tg_xxxxxxx_xxyyzzzz_0, tg_xxxxxxx_xxyzzzzz_0, tg_xxxxxxx_xxzzzzzz_0, \
                                         tg_xxxxxxx_xyyyyyyy_0, tg_xxxxxxx_xyyyyyyz_0, tg_xxxxxxx_xyyyyyzz_0, \
                                         tg_xxxxxxx_xyyyyzzz_0, tg_xxxxxxx_xyyyzzzz_0, tg_xxxxxxx_xyyzzzzz_0, \
                                         tg_xxxxxxx_xyzzzzzz_0, tg_xxxxxxx_xzzzzzzz_0, tg_xxxxxxx_yyyyyyyy_0, \
                                         tg_xxxxxxx_yyyyyyyz_0, tg_xxxxxxx_yyyyyyzz_0, tg_xxxxxxx_yyyyyzzz_0, \
                                         tg_xxxxxxx_yyyyzzzz_0, tg_xxxxxxx_yyyzzzzz_0, tg_xxxxxxx_yyzzzzzz_0, \
                                         tg_xxxxxxx_yzzzzzzz_0, tg_xxxxxxx_zzzzzzzz_0, tg_xxxxxxy_xxxxxxxx_0, \
                                         tg_xxxxxxy_xxxxxxxy_0, tg_xxxxxxy_xxxxxxxz_0, tg_xxxxxxy_xxxxxxyy_0, \
                                         tg_xxxxxxy_xxxxxxyz_0, tg_xxxxxxy_xxxxxxzz_0, tg_xxxxxxy_xxxxxyyy_0, \
                                         tg_xxxxxxy_xxxxxyyz_0, tg_xxxxxxy_xxxxxyzz_0, tg_xxxxxxy_xxxxxzzz_0, \
                                         tg_xxxxxxy_xxxxyyyy_0, tg_xxxxxxy_xxxxyyyz_0, tg_xxxxxxy_xxxxyyzz_0, \
                                         tg_xxxxxxy_xxxxyzzz_0, tg_xxxxxxy_xxxxzzzz_0, tg_xxxxxxy_xxxyyyyy_0, \
                                         tg_xxxxxxy_xxxyyyyz_0, tg_xxxxxxy_xxxyyyzz_0, tg_xxxxxxy_xxxyyzzz_0, \
                                         tg_xxxxxxy_xxxyzzzz_0, tg_xxxxxxy_xxxzzzzz_0, tg_xxxxxxy_xxyyyyyy_0, \
                                         tg_xxxxxxy_xxyyyyyz_0, tg_xxxxxxy_xxyyyyzz_0, tg_xxxxxxy_xxyyyzzz_0, \
                                         tg_xxxxxxy_xxyyzzzz_0, tg_xxxxxxy_xxyzzzzz_0, tg_xxxxxxy_xxzzzzzz_0, \
                                         tg_xxxxxxy_xyyyyyyy_0, tg_xxxxxxy_xyyyyyyz_0, tg_xxxxxxy_xyyyyyzz_0, \
                                         tg_xxxxxxy_xyyyyzzz_0, tg_xxxxxxy_xyyyzzzz_0, tg_xxxxxxy_xyyzzzzz_0, \
                                         tg_xxxxxxy_xyzzzzzz_0, tg_xxxxxxy_xzzzzzzz_0, tg_xxxxxxy_yyyyyyyy_0, \
                                         tg_xxxxxxy_yyyyyyyz_0, tg_xxxxxxy_yyyyyyzz_0, tg_xxxxxxy_yyyyyzzz_0, \
                                         tg_xxxxxxy_yyyyzzzz_0, tg_xxxxxxy_yyyzzzzz_0, tg_xxxxxxy_yyzzzzzz_0, \
                                         tg_xxxxxxy_yzzzzzzz_0, tg_xxxxxxy_zzzzzzzz_0, tg_xxxxxxz_xxxxxxxx_0, \
                                         tg_xxxxxxz_xxxxxxxy_0, tg_xxxxxxz_xxxxxxxz_0, tg_xxxxxxz_xxxxxxyy_0, \
                                         tg_xxxxxxz_xxxxxxyz_0, tg_xxxxxxz_xxxxxxzz_0, tg_xxxxxy_xxxxxxx_1, tg_xxxxxy_xxxxxxxx_0, \
                                         tg_xxxxxy_xxxxxxxx_1, tg_xxxxxy_xxxxxxxy_0, tg_xxxxxy_xxxxxxxy_1, tg_xxxxxy_xxxxxxxz_0, \
                                         tg_xxxxxy_xxxxxxxz_1, tg_xxxxxy_xxxxxxy_1, tg_xxxxxy_xxxxxxyy_0, tg_xxxxxy_xxxxxxyy_1, \
                                         tg_xxxxxy_xxxxxxyz_0, tg_xxxxxy_xxxxxxyz_1, tg_xxxxxy_xxxxxxz_1, tg_xxxxxy_xxxxxxzz_0, \
                                         tg_xxxxxy_xxxxxxzz_1, tg_xxxxxy_xxxxxyy_1, tg_xxxxxy_xxxxxyyy_0, tg_xxxxxy_xxxxxyyy_1, \
                                         tg_xxxxxy_xxxxxyyz_0, tg_xxxxxy_xxxxxyyz_1, tg_xxxxxy_xxxxxyz_1, tg_xxxxxy_xxxxxyzz_0, \
                                         tg_xxxxxy_xxxxxyzz_1, tg_xxxxxy_xxxxxzz_1, tg_xxxxxy_xxxxxzzz_0, tg_xxxxxy_xxxxxzzz_1, \
                                         tg_xxxxxy_xxxxyyy_1, tg_xxxxxy_xxxxyyyy_0, tg_xxxxxy_xxxxyyyy_1, tg_xxxxxy_xxxxyyyz_0, \
                                         tg_xxxxxy_xxxxyyyz_1, tg_xxxxxy_xxxxyyz_1, tg_xxxxxy_xxxxyyzz_0, tg_xxxxxy_xxxxyyzz_1, \
                                         tg_xxxxxy_xxxxyzz_1, tg_xxxxxy_xxxxyzzz_0, tg_xxxxxy_xxxxyzzz_1, tg_xxxxxy_xxxxzzz_1, \
                                         tg_xxxxxy_xxxxzzzz_0, tg_xxxxxy_xxxxzzzz_1, tg_xxxxxy_xxxyyyy_1, tg_xxxxxy_xxxyyyyy_0, \
                                         tg_xxxxxy_xxxyyyyy_1, tg_xxxxxy_xxxyyyyz_0, tg_xxxxxy_xxxyyyyz_1, tg_xxxxxy_xxxyyyz_1, \
                                         tg_xxxxxy_xxxyyyzz_0, tg_xxxxxy_xxxyyyzz_1, tg_xxxxxy_xxxyyzz_1, tg_xxxxxy_xxxyyzzz_0, \
                                         tg_xxxxxy_xxxyyzzz_1, tg_xxxxxy_xxxyzzz_1, tg_xxxxxy_xxxyzzzz_0, tg_xxxxxy_xxxyzzzz_1, \
                                         tg_xxxxxy_xxxzzzz_1, tg_xxxxxy_xxxzzzzz_0, tg_xxxxxy_xxxzzzzz_1, tg_xxxxxy_xxyyyyy_1, \
                                         tg_xxxxxy_xxyyyyyy_0, tg_xxxxxy_xxyyyyyy_1, tg_xxxxxy_xxyyyyyz_0, tg_xxxxxy_xxyyyyyz_1, \
                                         tg_xxxxxy_xxyyyyz_1, tg_xxxxxy_xxyyyyzz_0, tg_xxxxxy_xxyyyyzz_1, tg_xxxxxy_xxyyyzz_1, \
                                         tg_xxxxxy_xxyyyzzz_0, tg_xxxxxy_xxyyyzzz_1, tg_xxxxxy_xxyyzzz_1, tg_xxxxxy_xxyyzzzz_0, \
                                         tg_xxxxxy_xxyyzzzz_1, tg_xxxxxy_xxyzzzz_1, tg_xxxxxy_xxyzzzzz_0, tg_xxxxxy_xxyzzzzz_1, \
                                         tg_xxxxxy_xxzzzzz_1, tg_xxxxxy_xxzzzzzz_0, tg_xxxxxy_xxzzzzzz_1, tg_xxxxxy_xyyyyyy_1, \
                                         tg_xxxxxy_xyyyyyyy_0, tg_xxxxxy_xyyyyyyy_1, tg_xxxxxy_xyyyyyyz_0, tg_xxxxxy_xyyyyyyz_1, \
                                         tg_xxxxxy_xyyyyyz_1, tg_xxxxxy_xyyyyyzz_0, tg_xxxxxy_xyyyyyzz_1, tg_xxxxxy_xyyyyzz_1, \
                                         tg_xxxxxy_xyyyyzzz_0, tg_xxxxxy_xyyyyzzz_1, tg_xxxxxy_xyyyzzz_1, tg_xxxxxy_xyyyzzzz_0, \
                                         tg_xxxxxy_xyyyzzzz_1, tg_xxxxxy_xyyzzzz_1, tg_xxxxxy_xyyzzzzz_0, tg_xxxxxy_xyyzzzzz_1, \
                                         tg_xxxxxy_xyzzzzz_1, tg_xxxxxy_xyzzzzzz_0, tg_xxxxxy_xyzzzzzz_1, tg_xxxxxy_xzzzzzz_1, \
                                         tg_xxxxxy_xzzzzzzz_0, tg_xxxxxy_xzzzzzzz_1, tg_xxxxxy_yyyyyyy_1, tg_xxxxxy_yyyyyyyy_0, \
                                         tg_xxxxxy_yyyyyyyy_1, tg_xxxxxy_yyyyyyyz_0, tg_xxxxxy_yyyyyyyz_1, tg_xxxxxy_yyyyyyz_1, \
                                         tg_xxxxxy_yyyyyyzz_0, tg_xxxxxy_yyyyyyzz_1, tg_xxxxxy_yyyyyzz_1, tg_xxxxxy_yyyyyzzz_0, \
                                         tg_xxxxxy_yyyyyzzz_1, tg_xxxxxy_yyyyzzz_1, tg_xxxxxy_yyyyzzzz_0, tg_xxxxxy_yyyyzzzz_1, \
                                         tg_xxxxxy_yyyzzzz_1, tg_xxxxxy_yyyzzzzz_0, tg_xxxxxy_yyyzzzzz_1, tg_xxxxxy_yyzzzzz_1, \
                                         tg_xxxxxy_yyzzzzzz_0, tg_xxxxxy_yyzzzzzz_1, tg_xxxxxy_yzzzzzz_1, tg_xxxxxy_yzzzzzzz_0, \
                                         tg_xxxxxy_yzzzzzzz_1, tg_xxxxxy_zzzzzzz_1, tg_xxxxxy_zzzzzzzz_0, tg_xxxxxy_zzzzzzzz_1, \
                                         tg_xxxxxz_xxxxxxx_1, tg_xxxxxz_xxxxxxxx_0, tg_xxxxxz_xxxxxxxx_1, tg_xxxxxz_xxxxxxxy_0, \
                                         tg_xxxxxz_xxxxxxxy_1, tg_xxxxxz_xxxxxxxz_0, tg_xxxxxz_xxxxxxxz_1, tg_xxxxxz_xxxxxxy_1, \
                                         tg_xxxxxz_xxxxxxyy_0, tg_xxxxxz_xxxxxxyy_1, tg_xxxxxz_xxxxxxyz_0, tg_xxxxxz_xxxxxxyz_1, \
                                         tg_xxxxxz_xxxxxxz_1, tg_xxxxxz_xxxxxxzz_0, tg_xxxxxz_xxxxxxzz_1, tg_xxxxxz_xxxxxyy_1, \
                                         tg_xxxxxz_xxxxxyz_1, tg_xxxxxz_xxxxxzz_1, tg_xxxxy_xxxxxxxx_0, tg_xxxxy_xxxxxxxx_1, \
                                         tg_xxxxy_xxxxxxxy_0, tg_xxxxy_xxxxxxxy_1, tg_xxxxy_xxxxxxxz_0, tg_xxxxy_xxxxxxxz_1, \
                                         tg_xxxxy_xxxxxxyy_0, tg_xxxxy_xxxxxxyy_1, tg_xxxxy_xxxxxxyz_0, tg_xxxxy_xxxxxxyz_1, \
                                         tg_xxxxy_xxxxxxzz_0, tg_xxxxy_xxxxxxzz_1, tg_xxxxy_xxxxxyyy_0, tg_xxxxy_xxxxxyyy_1, \
                                         tg_xxxxy_xxxxxyyz_0, tg_xxxxy_xxxxxyyz_1, tg_xxxxy_xxxxxyzz_0, tg_xxxxy_xxxxxyzz_1, \
                                         tg_xxxxy_xxxxxzzz_0, tg_xxxxy_xxxxxzzz_1, tg_xxxxy_xxxxyyyy_0, tg_xxxxy_xxxxyyyy_1, \
                                         tg_xxxxy_xxxxyyyz_0, tg_xxxxy_xxxxyyyz_1, tg_xxxxy_xxxxyyzz_0, tg_xxxxy_xxxxyyzz_1, \
                                         tg_xxxxy_xxxxyzzz_0, tg_xxxxy_xxxxyzzz_1, tg_xxxxy_xxxxzzzz_0, tg_xxxxy_xxxxzzzz_1, \
                                         tg_xxxxy_xxxyyyyy_0, tg_xxxxy_xxxyyyyy_1, tg_xxxxy_xxxyyyyz_0, tg_xxxxy_xxxyyyyz_1, \
                                         tg_xxxxy_xxxyyyzz_0, tg_xxxxy_xxxyyyzz_1, tg_xxxxy_xxxyyzzz_0, tg_xxxxy_xxxyyzzz_1, \
                                         tg_xxxxy_xxxyzzzz_0, tg_xxxxy_xxxyzzzz_1, tg_xxxxy_xxxzzzzz_0, tg_xxxxy_xxxzzzzz_1, \
                                         tg_xxxxy_xxyyyyyy_0, tg_xxxxy_xxyyyyyy_1, tg_xxxxy_xxyyyyyz_0, tg_xxxxy_xxyyyyyz_1, \
                                         tg_xxxxy_xxyyyyzz_0, tg_xxxxy_xxyyyyzz_1, tg_xxxxy_xxyyyzzz_0, tg_xxxxy_xxyyyzzz_1, \
                                         tg_xxxxy_xxyyzzzz_0, tg_xxxxy_xxyyzzzz_1, tg_xxxxy_xxyzzzzz_0, tg_xxxxy_xxyzzzzz_1, \
                                         tg_xxxxy_xxzzzzzz_0, tg_xxxxy_xxzzzzzz_1, tg_xxxxy_xyyyyyyy_0, tg_xxxxy_xyyyyyyy_1, \
                                         tg_xxxxy_xyyyyyyz_0, tg_xxxxy_xyyyyyyz_1, tg_xxxxy_xyyyyyzz_0, tg_xxxxy_xyyyyyzz_1, \
                                         tg_xxxxy_xyyyyzzz_0, tg_xxxxy_xyyyyzzz_1, tg_xxxxy_xyyyzzzz_0, tg_xxxxy_xyyyzzzz_1, \
                                         tg_xxxxy_xyyzzzzz_0, tg_xxxxy_xyyzzzzz_1, tg_xxxxy_xyzzzzzz_0, tg_xxxxy_xyzzzzzz_1, \
                                         tg_xxxxy_xzzzzzzz_0, tg_xxxxy_xzzzzzzz_1, tg_xxxxy_yyyyyyyy_0, tg_xxxxy_yyyyyyyy_1, \
                                         tg_xxxxy_yyyyyyyz_0, tg_xxxxy_yyyyyyyz_1, tg_xxxxy_yyyyyyzz_0, tg_xxxxy_yyyyyyzz_1, \
                                         tg_xxxxy_yyyyyzzz_0, tg_xxxxy_yyyyyzzz_1, tg_xxxxy_yyyyzzzz_0, tg_xxxxy_yyyyzzzz_1, \
                                         tg_xxxxy_yyyzzzzz_0, tg_xxxxy_yyyzzzzz_1, tg_xxxxy_yyzzzzzz_0, tg_xxxxy_yyzzzzzz_1, \
                                         tg_xxxxy_yzzzzzzz_0, tg_xxxxy_yzzzzzzz_1, tg_xxxxy_zzzzzzzz_0, tg_xxxxy_zzzzzzzz_1, \
                                         tg_xxxxz_xxxxxxxx_0, tg_xxxxz_xxxxxxxx_1, tg_xxxxz_xxxxxxxy_0, tg_xxxxz_xxxxxxxy_1, \
                                         tg_xxxxz_xxxxxxxz_0, tg_xxxxz_xxxxxxxz_1, tg_xxxxz_xxxxxxyy_0, tg_xxxxz_xxxxxxyy_1, \
                                         tg_xxxxz_xxxxxxyz_0, tg_xxxxz_xxxxxxyz_1, tg_xxxxz_xxxxxxzz_0, tg_xxxxz_xxxxxxzz_1, \
                                         wp_x: VLX_ALIGN)
                for (int32_t j = 0; j < nKetPrimPairs; j++)
                {
                    double fl1_fx = fx;

                    double fl1_fxn = fxn[j];

                    double fl1_fza = fza[j];

                    double fr = wp_x[j]; 

                    tg_xxxxxxx_xxxxxxxx_0[j] = pb_x * tg_xxxxxx_xxxxxxxx_0[j] + fr * tg_xxxxxx_xxxxxxxx_1[j] + 3.0 * fl1_fx * (tg_xxxxx_xxxxxxxx_0[j] - tg_xxxxx_xxxxxxxx_1[j] * fl1_fza) + 4.0 * fl1_fxn * tg_xxxxxx_xxxxxxx_1[j];

                    tg_xxxxxxx_xxxxxxxy_0[j] = pb_x * tg_xxxxxx_xxxxxxxy_0[j] + fr * tg_xxxxxx_xxxxxxxy_1[j] + 3.0 * fl1_fx * (tg_xxxxx_xxxxxxxy_0[j] - tg_xxxxx_xxxxxxxy_1[j] * fl1_fza) + 3.5 * fl1_fxn * tg_xxxxxx_xxxxxxy_1[j];

                    tg_xxxxxxx_xxxxxxxz_0[j] = pb_x * tg_xxxxxx_xxxxxxxz_0[j] + fr * tg_xxxxxx_xxxxxxxz_1[j] + 3.0 * fl1_fx * (tg_xxxxx_xxxxxxxz_0[j] - tg_xxxxx_xxxxxxxz_1[j] * fl1_fza) + 3.5 * fl1_fxn * tg_xxxxxx_xxxxxxz_1[j];

                    tg_xxxxxxx_xxxxxxyy_0[j] = pb_x * tg_xxxxxx_xxxxxxyy_0[j] + fr * tg_xxxxxx_xxxxxxyy_1[j] + 3.0 * fl1_fx * (tg_xxxxx_xxxxxxyy_0[j] - tg_xxxxx_xxxxxxyy_1[j] * fl1_fza) + 3.0 * fl1_fxn * tg_xxxxxx_xxxxxyy_1[j];

                    tg_xxxxxxx_xxxxxxyz_0[j] = pb_x * tg_xxxxxx_xxxxxxyz_0[j] + fr * tg_xxxxxx_xxxxxxyz_1[j] + 3.0 * fl1_fx * (tg_xxxxx_xxxxxxyz_0[j] - tg_xxxxx_xxxxxxyz_1[j] * fl1_fza) + 3.0 * fl1_fxn * tg_xxxxxx_xxxxxyz_1[j];

                    tg_xxxxxxx_xxxxxxzz_0[j] = pb_x * tg_xxxxxx_xxxxxxzz_0[j] + fr * tg_xxxxxx_xxxxxxzz_1[j] + 3.0 * fl1_fx * (tg_xxxxx_xxxxxxzz_0[j] - tg_xxxxx_xxxxxxzz_1[j] * fl1_fza) + 3.0 * fl1_fxn * tg_xxxxxx_xxxxxzz_1[j];

                    tg_xxxxxxx_xxxxxyyy_0[j] = pb_x * tg_xxxxxx_xxxxxyyy_0[j] + fr * tg_xxxxxx_xxxxxyyy_1[j] + 3.0 * fl1_fx * (tg_xxxxx_xxxxxyyy_0[j] - tg_xxxxx_xxxxxyyy_1[j] * fl1_fza) + 2.5 * fl1_fxn * tg_xxxxxx_xxxxyyy_1[j];

                    tg_xxxxxxx_xxxxxyyz_0[j] = pb_x * tg_xxxxxx_xxxxxyyz_0[j] + fr * tg_xxxxxx_xxxxxyyz_1[j] + 3.0 * fl1_fx * (tg_xxxxx_xxxxxyyz_0[j] - tg_xxxxx_xxxxxyyz_1[j] * fl1_fza) + 2.5 * fl1_fxn * tg_xxxxxx_xxxxyyz_1[j];

                    tg_xxxxxxx_xxxxxyzz_0[j] = pb_x * tg_xxxxxx_xxxxxyzz_0[j] + fr * tg_xxxxxx_xxxxxyzz_1[j] + 3.0 * fl1_fx * (tg_xxxxx_xxxxxyzz_0[j] - tg_xxxxx_xxxxxyzz_1[j] * fl1_fza) + 2.5 * fl1_fxn * tg_xxxxxx_xxxxyzz_1[j];

                    tg_xxxxxxx_xxxxxzzz_0[j] = pb_x * tg_xxxxxx_xxxxxzzz_0[j] + fr * tg_xxxxxx_xxxxxzzz_1[j] + 3.0 * fl1_fx * (tg_xxxxx_xxxxxzzz_0[j] - tg_xxxxx_xxxxxzzz_1[j] * fl1_fza) + 2.5 * fl1_fxn * tg_xxxxxx_xxxxzzz_1[j];

                    tg_xxxxxxx_xxxxyyyy_0[j] = pb_x * tg_xxxxxx_xxxxyyyy_0[j] + fr * tg_xxxxxx_xxxxyyyy_1[j] + 3.0 * fl1_fx * (tg_xxxxx_xxxxyyyy_0[j] - tg_xxxxx_xxxxyyyy_1[j] * fl1_fza) + 2.0 * fl1_fxn * tg_xxxxxx_xxxyyyy_1[j];

                    tg_xxxxxxx_xxxxyyyz_0[j] = pb_x * tg_xxxxxx_xxxxyyyz_0[j] + fr * tg_xxxxxx_xxxxyyyz_1[j] + 3.0 * fl1_fx * (tg_xxxxx_xxxxyyyz_0[j] - tg_xxxxx_xxxxyyyz_1[j] * fl1_fza) + 2.0 * fl1_fxn * tg_xxxxxx_xxxyyyz_1[j];

                    tg_xxxxxxx_xxxxyyzz_0[j] = pb_x * tg_xxxxxx_xxxxyyzz_0[j] + fr * tg_xxxxxx_xxxxyyzz_1[j] + 3.0 * fl1_fx * (tg_xxxxx_xxxxyyzz_0[j] - tg_xxxxx_xxxxyyzz_1[j] * fl1_fza) + 2.0 * fl1_fxn * tg_xxxxxx_xxxyyzz_1[j];

                    tg_xxxxxxx_xxxxyzzz_0[j] = pb_x * tg_xxxxxx_xxxxyzzz_0[j] + fr * tg_xxxxxx_xxxxyzzz_1[j] + 3.0 * fl1_fx * (tg_xxxxx_xxxxyzzz_0[j] - tg_xxxxx_xxxxyzzz_1[j] * fl1_fza) + 2.0 * fl1_fxn * tg_xxxxxx_xxxyzzz_1[j];

                    tg_xxxxxxx_xxxxzzzz_0[j] = pb_x * tg_xxxxxx_xxxxzzzz_0[j] + fr * tg_xxxxxx_xxxxzzzz_1[j] + 3.0 * fl1_fx * (tg_xxxxx_xxxxzzzz_0[j] - tg_xxxxx_xxxxzzzz_1[j] * fl1_fza) + 2.0 * fl1_fxn * tg_xxxxxx_xxxzzzz_1[j];

                    tg_xxxxxxx_xxxyyyyy_0[j] = pb_x * tg_xxxxxx_xxxyyyyy_0[j] + fr * tg_xxxxxx_xxxyyyyy_1[j] + 3.0 * fl1_fx * (tg_xxxxx_xxxyyyyy_0[j] - tg_xxxxx_xxxyyyyy_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_xxxxxx_xxyyyyy_1[j];

                    tg_xxxxxxx_xxxyyyyz_0[j] = pb_x * tg_xxxxxx_xxxyyyyz_0[j] + fr * tg_xxxxxx_xxxyyyyz_1[j] + 3.0 * fl1_fx * (tg_xxxxx_xxxyyyyz_0[j] - tg_xxxxx_xxxyyyyz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_xxxxxx_xxyyyyz_1[j];

                    tg_xxxxxxx_xxxyyyzz_0[j] = pb_x * tg_xxxxxx_xxxyyyzz_0[j] + fr * tg_xxxxxx_xxxyyyzz_1[j] + 3.0 * fl1_fx * (tg_xxxxx_xxxyyyzz_0[j] - tg_xxxxx_xxxyyyzz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_xxxxxx_xxyyyzz_1[j];

                    tg_xxxxxxx_xxxyyzzz_0[j] = pb_x * tg_xxxxxx_xxxyyzzz_0[j] + fr * tg_xxxxxx_xxxyyzzz_1[j] + 3.0 * fl1_fx * (tg_xxxxx_xxxyyzzz_0[j] - tg_xxxxx_xxxyyzzz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_xxxxxx_xxyyzzz_1[j];

                    tg_xxxxxxx_xxxyzzzz_0[j] = pb_x * tg_xxxxxx_xxxyzzzz_0[j] + fr * tg_xxxxxx_xxxyzzzz_1[j] + 3.0 * fl1_fx * (tg_xxxxx_xxxyzzzz_0[j] - tg_xxxxx_xxxyzzzz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_xxxxxx_xxyzzzz_1[j];

                    tg_xxxxxxx_xxxzzzzz_0[j] = pb_x * tg_xxxxxx_xxxzzzzz_0[j] + fr * tg_xxxxxx_xxxzzzzz_1[j] + 3.0 * fl1_fx * (tg_xxxxx_xxxzzzzz_0[j] - tg_xxxxx_xxxzzzzz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_xxxxxx_xxzzzzz_1[j];

                    tg_xxxxxxx_xxyyyyyy_0[j] = pb_x * tg_xxxxxx_xxyyyyyy_0[j] + fr * tg_xxxxxx_xxyyyyyy_1[j] + 3.0 * fl1_fx * (tg_xxxxx_xxyyyyyy_0[j] - tg_xxxxx_xxyyyyyy_1[j] * fl1_fza) + fl1_fxn * tg_xxxxxx_xyyyyyy_1[j];

                    tg_xxxxxxx_xxyyyyyz_0[j] = pb_x * tg_xxxxxx_xxyyyyyz_0[j] + fr * tg_xxxxxx_xxyyyyyz_1[j] + 3.0 * fl1_fx * (tg_xxxxx_xxyyyyyz_0[j] - tg_xxxxx_xxyyyyyz_1[j] * fl1_fza) + fl1_fxn * tg_xxxxxx_xyyyyyz_1[j];

                    tg_xxxxxxx_xxyyyyzz_0[j] = pb_x * tg_xxxxxx_xxyyyyzz_0[j] + fr * tg_xxxxxx_xxyyyyzz_1[j] + 3.0 * fl1_fx * (tg_xxxxx_xxyyyyzz_0[j] - tg_xxxxx_xxyyyyzz_1[j] * fl1_fza) + fl1_fxn * tg_xxxxxx_xyyyyzz_1[j];

                    tg_xxxxxxx_xxyyyzzz_0[j] = pb_x * tg_xxxxxx_xxyyyzzz_0[j] + fr * tg_xxxxxx_xxyyyzzz_1[j] + 3.0 * fl1_fx * (tg_xxxxx_xxyyyzzz_0[j] - tg_xxxxx_xxyyyzzz_1[j] * fl1_fza) + fl1_fxn * tg_xxxxxx_xyyyzzz_1[j];

                    tg_xxxxxxx_xxyyzzzz_0[j] = pb_x * tg_xxxxxx_xxyyzzzz_0[j] + fr * tg_xxxxxx_xxyyzzzz_1[j] + 3.0 * fl1_fx * (tg_xxxxx_xxyyzzzz_0[j] - tg_xxxxx_xxyyzzzz_1[j] * fl1_fza) + fl1_fxn * tg_xxxxxx_xyyzzzz_1[j];

                    tg_xxxxxxx_xxyzzzzz_0[j] = pb_x * tg_xxxxxx_xxyzzzzz_0[j] + fr * tg_xxxxxx_xxyzzzzz_1[j] + 3.0 * fl1_fx * (tg_xxxxx_xxyzzzzz_0[j] - tg_xxxxx_xxyzzzzz_1[j] * fl1_fza) + fl1_fxn * tg_xxxxxx_xyzzzzz_1[j];

                    tg_xxxxxxx_xxzzzzzz_0[j] = pb_x * tg_xxxxxx_xxzzzzzz_0[j] + fr * tg_xxxxxx_xxzzzzzz_1[j] + 3.0 * fl1_fx * (tg_xxxxx_xxzzzzzz_0[j] - tg_xxxxx_xxzzzzzz_1[j] * fl1_fza) + fl1_fxn * tg_xxxxxx_xzzzzzz_1[j];

                    tg_xxxxxxx_xyyyyyyy_0[j] = pb_x * tg_xxxxxx_xyyyyyyy_0[j] + fr * tg_xxxxxx_xyyyyyyy_1[j] + 3.0 * fl1_fx * (tg_xxxxx_xyyyyyyy_0[j] - tg_xxxxx_xyyyyyyy_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xxxxxx_yyyyyyy_1[j];

                    tg_xxxxxxx_xyyyyyyz_0[j] = pb_x * tg_xxxxxx_xyyyyyyz_0[j] + fr * tg_xxxxxx_xyyyyyyz_1[j] + 3.0 * fl1_fx * (tg_xxxxx_xyyyyyyz_0[j] - tg_xxxxx_xyyyyyyz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xxxxxx_yyyyyyz_1[j];

                    tg_xxxxxxx_xyyyyyzz_0[j] = pb_x * tg_xxxxxx_xyyyyyzz_0[j] + fr * tg_xxxxxx_xyyyyyzz_1[j] + 3.0 * fl1_fx * (tg_xxxxx_xyyyyyzz_0[j] - tg_xxxxx_xyyyyyzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xxxxxx_yyyyyzz_1[j];

                    tg_xxxxxxx_xyyyyzzz_0[j] = pb_x * tg_xxxxxx_xyyyyzzz_0[j] + fr * tg_xxxxxx_xyyyyzzz_1[j] + 3.0 * fl1_fx * (tg_xxxxx_xyyyyzzz_0[j] - tg_xxxxx_xyyyyzzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xxxxxx_yyyyzzz_1[j];

                    tg_xxxxxxx_xyyyzzzz_0[j] = pb_x * tg_xxxxxx_xyyyzzzz_0[j] + fr * tg_xxxxxx_xyyyzzzz_1[j] + 3.0 * fl1_fx * (tg_xxxxx_xyyyzzzz_0[j] - tg_xxxxx_xyyyzzzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xxxxxx_yyyzzzz_1[j];

                    tg_xxxxxxx_xyyzzzzz_0[j] = pb_x * tg_xxxxxx_xyyzzzzz_0[j] + fr * tg_xxxxxx_xyyzzzzz_1[j] + 3.0 * fl1_fx * (tg_xxxxx_xyyzzzzz_0[j] - tg_xxxxx_xyyzzzzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xxxxxx_yyzzzzz_1[j];

                    tg_xxxxxxx_xyzzzzzz_0[j] = pb_x * tg_xxxxxx_xyzzzzzz_0[j] + fr * tg_xxxxxx_xyzzzzzz_1[j] + 3.0 * fl1_fx * (tg_xxxxx_xyzzzzzz_0[j] - tg_xxxxx_xyzzzzzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xxxxxx_yzzzzzz_1[j];

                    tg_xxxxxxx_xzzzzzzz_0[j] = pb_x * tg_xxxxxx_xzzzzzzz_0[j] + fr * tg_xxxxxx_xzzzzzzz_1[j] + 3.0 * fl1_fx * (tg_xxxxx_xzzzzzzz_0[j] - tg_xxxxx_xzzzzzzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xxxxxx_zzzzzzz_1[j];

                    tg_xxxxxxx_yyyyyyyy_0[j] = pb_x * tg_xxxxxx_yyyyyyyy_0[j] + fr * tg_xxxxxx_yyyyyyyy_1[j] + 3.0 * fl1_fx * (tg_xxxxx_yyyyyyyy_0[j] - tg_xxxxx_yyyyyyyy_1[j] * fl1_fza);

                    tg_xxxxxxx_yyyyyyyz_0[j] = pb_x * tg_xxxxxx_yyyyyyyz_0[j] + fr * tg_xxxxxx_yyyyyyyz_1[j] + 3.0 * fl1_fx * (tg_xxxxx_yyyyyyyz_0[j] - tg_xxxxx_yyyyyyyz_1[j] * fl1_fza);

                    tg_xxxxxxx_yyyyyyzz_0[j] = pb_x * tg_xxxxxx_yyyyyyzz_0[j] + fr * tg_xxxxxx_yyyyyyzz_1[j] + 3.0 * fl1_fx * (tg_xxxxx_yyyyyyzz_0[j] - tg_xxxxx_yyyyyyzz_1[j] * fl1_fza);

                    tg_xxxxxxx_yyyyyzzz_0[j] = pb_x * tg_xxxxxx_yyyyyzzz_0[j] + fr * tg_xxxxxx_yyyyyzzz_1[j] + 3.0 * fl1_fx * (tg_xxxxx_yyyyyzzz_0[j] - tg_xxxxx_yyyyyzzz_1[j] * fl1_fza);

                    tg_xxxxxxx_yyyyzzzz_0[j] = pb_x * tg_xxxxxx_yyyyzzzz_0[j] + fr * tg_xxxxxx_yyyyzzzz_1[j] + 3.0 * fl1_fx * (tg_xxxxx_yyyyzzzz_0[j] - tg_xxxxx_yyyyzzzz_1[j] * fl1_fza);

                    tg_xxxxxxx_yyyzzzzz_0[j] = pb_x * tg_xxxxxx_yyyzzzzz_0[j] + fr * tg_xxxxxx_yyyzzzzz_1[j] + 3.0 * fl1_fx * (tg_xxxxx_yyyzzzzz_0[j] - tg_xxxxx_yyyzzzzz_1[j] * fl1_fza);

                    tg_xxxxxxx_yyzzzzzz_0[j] = pb_x * tg_xxxxxx_yyzzzzzz_0[j] + fr * tg_xxxxxx_yyzzzzzz_1[j] + 3.0 * fl1_fx * (tg_xxxxx_yyzzzzzz_0[j] - tg_xxxxx_yyzzzzzz_1[j] * fl1_fza);

                    tg_xxxxxxx_yzzzzzzz_0[j] = pb_x * tg_xxxxxx_yzzzzzzz_0[j] + fr * tg_xxxxxx_yzzzzzzz_1[j] + 3.0 * fl1_fx * (tg_xxxxx_yzzzzzzz_0[j] - tg_xxxxx_yzzzzzzz_1[j] * fl1_fza);

                    tg_xxxxxxx_zzzzzzzz_0[j] = pb_x * tg_xxxxxx_zzzzzzzz_0[j] + fr * tg_xxxxxx_zzzzzzzz_1[j] + 3.0 * fl1_fx * (tg_xxxxx_zzzzzzzz_0[j] - tg_xxxxx_zzzzzzzz_1[j] * fl1_fza);

                    tg_xxxxxxy_xxxxxxxx_0[j] = pb_x * tg_xxxxxy_xxxxxxxx_0[j] + fr * tg_xxxxxy_xxxxxxxx_1[j] + 2.5 * fl1_fx * (tg_xxxxy_xxxxxxxx_0[j] - tg_xxxxy_xxxxxxxx_1[j] * fl1_fza) + 4.0 * fl1_fxn * tg_xxxxxy_xxxxxxx_1[j];

                    tg_xxxxxxy_xxxxxxxy_0[j] = pb_x * tg_xxxxxy_xxxxxxxy_0[j] + fr * tg_xxxxxy_xxxxxxxy_1[j] + 2.5 * fl1_fx * (tg_xxxxy_xxxxxxxy_0[j] - tg_xxxxy_xxxxxxxy_1[j] * fl1_fza) + 3.5 * fl1_fxn * tg_xxxxxy_xxxxxxy_1[j];

                    tg_xxxxxxy_xxxxxxxz_0[j] = pb_x * tg_xxxxxy_xxxxxxxz_0[j] + fr * tg_xxxxxy_xxxxxxxz_1[j] + 2.5 * fl1_fx * (tg_xxxxy_xxxxxxxz_0[j] - tg_xxxxy_xxxxxxxz_1[j] * fl1_fza) + 3.5 * fl1_fxn * tg_xxxxxy_xxxxxxz_1[j];

                    tg_xxxxxxy_xxxxxxyy_0[j] = pb_x * tg_xxxxxy_xxxxxxyy_0[j] + fr * tg_xxxxxy_xxxxxxyy_1[j] + 2.5 * fl1_fx * (tg_xxxxy_xxxxxxyy_0[j] - tg_xxxxy_xxxxxxyy_1[j] * fl1_fza) + 3.0 * fl1_fxn * tg_xxxxxy_xxxxxyy_1[j];

                    tg_xxxxxxy_xxxxxxyz_0[j] = pb_x * tg_xxxxxy_xxxxxxyz_0[j] + fr * tg_xxxxxy_xxxxxxyz_1[j] + 2.5 * fl1_fx * (tg_xxxxy_xxxxxxyz_0[j] - tg_xxxxy_xxxxxxyz_1[j] * fl1_fza) + 3.0 * fl1_fxn * tg_xxxxxy_xxxxxyz_1[j];

                    tg_xxxxxxy_xxxxxxzz_0[j] = pb_x * tg_xxxxxy_xxxxxxzz_0[j] + fr * tg_xxxxxy_xxxxxxzz_1[j] + 2.5 * fl1_fx * (tg_xxxxy_xxxxxxzz_0[j] - tg_xxxxy_xxxxxxzz_1[j] * fl1_fza) + 3.0 * fl1_fxn * tg_xxxxxy_xxxxxzz_1[j];

                    tg_xxxxxxy_xxxxxyyy_0[j] = pb_x * tg_xxxxxy_xxxxxyyy_0[j] + fr * tg_xxxxxy_xxxxxyyy_1[j] + 2.5 * fl1_fx * (tg_xxxxy_xxxxxyyy_0[j] - tg_xxxxy_xxxxxyyy_1[j] * fl1_fza) + 2.5 * fl1_fxn * tg_xxxxxy_xxxxyyy_1[j];

                    tg_xxxxxxy_xxxxxyyz_0[j] = pb_x * tg_xxxxxy_xxxxxyyz_0[j] + fr * tg_xxxxxy_xxxxxyyz_1[j] + 2.5 * fl1_fx * (tg_xxxxy_xxxxxyyz_0[j] - tg_xxxxy_xxxxxyyz_1[j] * fl1_fza) + 2.5 * fl1_fxn * tg_xxxxxy_xxxxyyz_1[j];

                    tg_xxxxxxy_xxxxxyzz_0[j] = pb_x * tg_xxxxxy_xxxxxyzz_0[j] + fr * tg_xxxxxy_xxxxxyzz_1[j] + 2.5 * fl1_fx * (tg_xxxxy_xxxxxyzz_0[j] - tg_xxxxy_xxxxxyzz_1[j] * fl1_fza) + 2.5 * fl1_fxn * tg_xxxxxy_xxxxyzz_1[j];

                    tg_xxxxxxy_xxxxxzzz_0[j] = pb_x * tg_xxxxxy_xxxxxzzz_0[j] + fr * tg_xxxxxy_xxxxxzzz_1[j] + 2.5 * fl1_fx * (tg_xxxxy_xxxxxzzz_0[j] - tg_xxxxy_xxxxxzzz_1[j] * fl1_fza) + 2.5 * fl1_fxn * tg_xxxxxy_xxxxzzz_1[j];

                    tg_xxxxxxy_xxxxyyyy_0[j] = pb_x * tg_xxxxxy_xxxxyyyy_0[j] + fr * tg_xxxxxy_xxxxyyyy_1[j] + 2.5 * fl1_fx * (tg_xxxxy_xxxxyyyy_0[j] - tg_xxxxy_xxxxyyyy_1[j] * fl1_fza) + 2.0 * fl1_fxn * tg_xxxxxy_xxxyyyy_1[j];

                    tg_xxxxxxy_xxxxyyyz_0[j] = pb_x * tg_xxxxxy_xxxxyyyz_0[j] + fr * tg_xxxxxy_xxxxyyyz_1[j] + 2.5 * fl1_fx * (tg_xxxxy_xxxxyyyz_0[j] - tg_xxxxy_xxxxyyyz_1[j] * fl1_fza) + 2.0 * fl1_fxn * tg_xxxxxy_xxxyyyz_1[j];

                    tg_xxxxxxy_xxxxyyzz_0[j] = pb_x * tg_xxxxxy_xxxxyyzz_0[j] + fr * tg_xxxxxy_xxxxyyzz_1[j] + 2.5 * fl1_fx * (tg_xxxxy_xxxxyyzz_0[j] - tg_xxxxy_xxxxyyzz_1[j] * fl1_fza) + 2.0 * fl1_fxn * tg_xxxxxy_xxxyyzz_1[j];

                    tg_xxxxxxy_xxxxyzzz_0[j] = pb_x * tg_xxxxxy_xxxxyzzz_0[j] + fr * tg_xxxxxy_xxxxyzzz_1[j] + 2.5 * fl1_fx * (tg_xxxxy_xxxxyzzz_0[j] - tg_xxxxy_xxxxyzzz_1[j] * fl1_fza) + 2.0 * fl1_fxn * tg_xxxxxy_xxxyzzz_1[j];

                    tg_xxxxxxy_xxxxzzzz_0[j] = pb_x * tg_xxxxxy_xxxxzzzz_0[j] + fr * tg_xxxxxy_xxxxzzzz_1[j] + 2.5 * fl1_fx * (tg_xxxxy_xxxxzzzz_0[j] - tg_xxxxy_xxxxzzzz_1[j] * fl1_fza) + 2.0 * fl1_fxn * tg_xxxxxy_xxxzzzz_1[j];

                    tg_xxxxxxy_xxxyyyyy_0[j] = pb_x * tg_xxxxxy_xxxyyyyy_0[j] + fr * tg_xxxxxy_xxxyyyyy_1[j] + 2.5 * fl1_fx * (tg_xxxxy_xxxyyyyy_0[j] - tg_xxxxy_xxxyyyyy_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_xxxxxy_xxyyyyy_1[j];

                    tg_xxxxxxy_xxxyyyyz_0[j] = pb_x * tg_xxxxxy_xxxyyyyz_0[j] + fr * tg_xxxxxy_xxxyyyyz_1[j] + 2.5 * fl1_fx * (tg_xxxxy_xxxyyyyz_0[j] - tg_xxxxy_xxxyyyyz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_xxxxxy_xxyyyyz_1[j];

                    tg_xxxxxxy_xxxyyyzz_0[j] = pb_x * tg_xxxxxy_xxxyyyzz_0[j] + fr * tg_xxxxxy_xxxyyyzz_1[j] + 2.5 * fl1_fx * (tg_xxxxy_xxxyyyzz_0[j] - tg_xxxxy_xxxyyyzz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_xxxxxy_xxyyyzz_1[j];

                    tg_xxxxxxy_xxxyyzzz_0[j] = pb_x * tg_xxxxxy_xxxyyzzz_0[j] + fr * tg_xxxxxy_xxxyyzzz_1[j] + 2.5 * fl1_fx * (tg_xxxxy_xxxyyzzz_0[j] - tg_xxxxy_xxxyyzzz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_xxxxxy_xxyyzzz_1[j];

                    tg_xxxxxxy_xxxyzzzz_0[j] = pb_x * tg_xxxxxy_xxxyzzzz_0[j] + fr * tg_xxxxxy_xxxyzzzz_1[j] + 2.5 * fl1_fx * (tg_xxxxy_xxxyzzzz_0[j] - tg_xxxxy_xxxyzzzz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_xxxxxy_xxyzzzz_1[j];

                    tg_xxxxxxy_xxxzzzzz_0[j] = pb_x * tg_xxxxxy_xxxzzzzz_0[j] + fr * tg_xxxxxy_xxxzzzzz_1[j] + 2.5 * fl1_fx * (tg_xxxxy_xxxzzzzz_0[j] - tg_xxxxy_xxxzzzzz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_xxxxxy_xxzzzzz_1[j];

                    tg_xxxxxxy_xxyyyyyy_0[j] = pb_x * tg_xxxxxy_xxyyyyyy_0[j] + fr * tg_xxxxxy_xxyyyyyy_1[j] + 2.5 * fl1_fx * (tg_xxxxy_xxyyyyyy_0[j] - tg_xxxxy_xxyyyyyy_1[j] * fl1_fza) + fl1_fxn * tg_xxxxxy_xyyyyyy_1[j];

                    tg_xxxxxxy_xxyyyyyz_0[j] = pb_x * tg_xxxxxy_xxyyyyyz_0[j] + fr * tg_xxxxxy_xxyyyyyz_1[j] + 2.5 * fl1_fx * (tg_xxxxy_xxyyyyyz_0[j] - tg_xxxxy_xxyyyyyz_1[j] * fl1_fza) + fl1_fxn * tg_xxxxxy_xyyyyyz_1[j];

                    tg_xxxxxxy_xxyyyyzz_0[j] = pb_x * tg_xxxxxy_xxyyyyzz_0[j] + fr * tg_xxxxxy_xxyyyyzz_1[j] + 2.5 * fl1_fx * (tg_xxxxy_xxyyyyzz_0[j] - tg_xxxxy_xxyyyyzz_1[j] * fl1_fza) + fl1_fxn * tg_xxxxxy_xyyyyzz_1[j];

                    tg_xxxxxxy_xxyyyzzz_0[j] = pb_x * tg_xxxxxy_xxyyyzzz_0[j] + fr * tg_xxxxxy_xxyyyzzz_1[j] + 2.5 * fl1_fx * (tg_xxxxy_xxyyyzzz_0[j] - tg_xxxxy_xxyyyzzz_1[j] * fl1_fza) + fl1_fxn * tg_xxxxxy_xyyyzzz_1[j];

                    tg_xxxxxxy_xxyyzzzz_0[j] = pb_x * tg_xxxxxy_xxyyzzzz_0[j] + fr * tg_xxxxxy_xxyyzzzz_1[j] + 2.5 * fl1_fx * (tg_xxxxy_xxyyzzzz_0[j] - tg_xxxxy_xxyyzzzz_1[j] * fl1_fza) + fl1_fxn * tg_xxxxxy_xyyzzzz_1[j];

                    tg_xxxxxxy_xxyzzzzz_0[j] = pb_x * tg_xxxxxy_xxyzzzzz_0[j] + fr * tg_xxxxxy_xxyzzzzz_1[j] + 2.5 * fl1_fx * (tg_xxxxy_xxyzzzzz_0[j] - tg_xxxxy_xxyzzzzz_1[j] * fl1_fza) + fl1_fxn * tg_xxxxxy_xyzzzzz_1[j];

                    tg_xxxxxxy_xxzzzzzz_0[j] = pb_x * tg_xxxxxy_xxzzzzzz_0[j] + fr * tg_xxxxxy_xxzzzzzz_1[j] + 2.5 * fl1_fx * (tg_xxxxy_xxzzzzzz_0[j] - tg_xxxxy_xxzzzzzz_1[j] * fl1_fza) + fl1_fxn * tg_xxxxxy_xzzzzzz_1[j];

                    tg_xxxxxxy_xyyyyyyy_0[j] = pb_x * tg_xxxxxy_xyyyyyyy_0[j] + fr * tg_xxxxxy_xyyyyyyy_1[j] + 2.5 * fl1_fx * (tg_xxxxy_xyyyyyyy_0[j] - tg_xxxxy_xyyyyyyy_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xxxxxy_yyyyyyy_1[j];

                    tg_xxxxxxy_xyyyyyyz_0[j] = pb_x * tg_xxxxxy_xyyyyyyz_0[j] + fr * tg_xxxxxy_xyyyyyyz_1[j] + 2.5 * fl1_fx * (tg_xxxxy_xyyyyyyz_0[j] - tg_xxxxy_xyyyyyyz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xxxxxy_yyyyyyz_1[j];

                    tg_xxxxxxy_xyyyyyzz_0[j] = pb_x * tg_xxxxxy_xyyyyyzz_0[j] + fr * tg_xxxxxy_xyyyyyzz_1[j] + 2.5 * fl1_fx * (tg_xxxxy_xyyyyyzz_0[j] - tg_xxxxy_xyyyyyzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xxxxxy_yyyyyzz_1[j];

                    tg_xxxxxxy_xyyyyzzz_0[j] = pb_x * tg_xxxxxy_xyyyyzzz_0[j] + fr * tg_xxxxxy_xyyyyzzz_1[j] + 2.5 * fl1_fx * (tg_xxxxy_xyyyyzzz_0[j] - tg_xxxxy_xyyyyzzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xxxxxy_yyyyzzz_1[j];

                    tg_xxxxxxy_xyyyzzzz_0[j] = pb_x * tg_xxxxxy_xyyyzzzz_0[j] + fr * tg_xxxxxy_xyyyzzzz_1[j] + 2.5 * fl1_fx * (tg_xxxxy_xyyyzzzz_0[j] - tg_xxxxy_xyyyzzzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xxxxxy_yyyzzzz_1[j];

                    tg_xxxxxxy_xyyzzzzz_0[j] = pb_x * tg_xxxxxy_xyyzzzzz_0[j] + fr * tg_xxxxxy_xyyzzzzz_1[j] + 2.5 * fl1_fx * (tg_xxxxy_xyyzzzzz_0[j] - tg_xxxxy_xyyzzzzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xxxxxy_yyzzzzz_1[j];

                    tg_xxxxxxy_xyzzzzzz_0[j] = pb_x * tg_xxxxxy_xyzzzzzz_0[j] + fr * tg_xxxxxy_xyzzzzzz_1[j] + 2.5 * fl1_fx * (tg_xxxxy_xyzzzzzz_0[j] - tg_xxxxy_xyzzzzzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xxxxxy_yzzzzzz_1[j];

                    tg_xxxxxxy_xzzzzzzz_0[j] = pb_x * tg_xxxxxy_xzzzzzzz_0[j] + fr * tg_xxxxxy_xzzzzzzz_1[j] + 2.5 * fl1_fx * (tg_xxxxy_xzzzzzzz_0[j] - tg_xxxxy_xzzzzzzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xxxxxy_zzzzzzz_1[j];

                    tg_xxxxxxy_yyyyyyyy_0[j] = pb_x * tg_xxxxxy_yyyyyyyy_0[j] + fr * tg_xxxxxy_yyyyyyyy_1[j] + 2.5 * fl1_fx * (tg_xxxxy_yyyyyyyy_0[j] - tg_xxxxy_yyyyyyyy_1[j] * fl1_fza);

                    tg_xxxxxxy_yyyyyyyz_0[j] = pb_x * tg_xxxxxy_yyyyyyyz_0[j] + fr * tg_xxxxxy_yyyyyyyz_1[j] + 2.5 * fl1_fx * (tg_xxxxy_yyyyyyyz_0[j] - tg_xxxxy_yyyyyyyz_1[j] * fl1_fza);

                    tg_xxxxxxy_yyyyyyzz_0[j] = pb_x * tg_xxxxxy_yyyyyyzz_0[j] + fr * tg_xxxxxy_yyyyyyzz_1[j] + 2.5 * fl1_fx * (tg_xxxxy_yyyyyyzz_0[j] - tg_xxxxy_yyyyyyzz_1[j] * fl1_fza);

                    tg_xxxxxxy_yyyyyzzz_0[j] = pb_x * tg_xxxxxy_yyyyyzzz_0[j] + fr * tg_xxxxxy_yyyyyzzz_1[j] + 2.5 * fl1_fx * (tg_xxxxy_yyyyyzzz_0[j] - tg_xxxxy_yyyyyzzz_1[j] * fl1_fza);

                    tg_xxxxxxy_yyyyzzzz_0[j] = pb_x * tg_xxxxxy_yyyyzzzz_0[j] + fr * tg_xxxxxy_yyyyzzzz_1[j] + 2.5 * fl1_fx * (tg_xxxxy_yyyyzzzz_0[j] - tg_xxxxy_yyyyzzzz_1[j] * fl1_fza);

                    tg_xxxxxxy_yyyzzzzz_0[j] = pb_x * tg_xxxxxy_yyyzzzzz_0[j] + fr * tg_xxxxxy_yyyzzzzz_1[j] + 2.5 * fl1_fx * (tg_xxxxy_yyyzzzzz_0[j] - tg_xxxxy_yyyzzzzz_1[j] * fl1_fza);

                    tg_xxxxxxy_yyzzzzzz_0[j] = pb_x * tg_xxxxxy_yyzzzzzz_0[j] + fr * tg_xxxxxy_yyzzzzzz_1[j] + 2.5 * fl1_fx * (tg_xxxxy_yyzzzzzz_0[j] - tg_xxxxy_yyzzzzzz_1[j] * fl1_fza);

                    tg_xxxxxxy_yzzzzzzz_0[j] = pb_x * tg_xxxxxy_yzzzzzzz_0[j] + fr * tg_xxxxxy_yzzzzzzz_1[j] + 2.5 * fl1_fx * (tg_xxxxy_yzzzzzzz_0[j] - tg_xxxxy_yzzzzzzz_1[j] * fl1_fza);

                    tg_xxxxxxy_zzzzzzzz_0[j] = pb_x * tg_xxxxxy_zzzzzzzz_0[j] + fr * tg_xxxxxy_zzzzzzzz_1[j] + 2.5 * fl1_fx * (tg_xxxxy_zzzzzzzz_0[j] - tg_xxxxy_zzzzzzzz_1[j] * fl1_fza);

                    tg_xxxxxxz_xxxxxxxx_0[j] = pb_x * tg_xxxxxz_xxxxxxxx_0[j] + fr * tg_xxxxxz_xxxxxxxx_1[j] + 2.5 * fl1_fx * (tg_xxxxz_xxxxxxxx_0[j] - tg_xxxxz_xxxxxxxx_1[j] * fl1_fza) + 4.0 * fl1_fxn * tg_xxxxxz_xxxxxxx_1[j];

                    tg_xxxxxxz_xxxxxxxy_0[j] = pb_x * tg_xxxxxz_xxxxxxxy_0[j] + fr * tg_xxxxxz_xxxxxxxy_1[j] + 2.5 * fl1_fx * (tg_xxxxz_xxxxxxxy_0[j] - tg_xxxxz_xxxxxxxy_1[j] * fl1_fza) + 3.5 * fl1_fxn * tg_xxxxxz_xxxxxxy_1[j];

                    tg_xxxxxxz_xxxxxxxz_0[j] = pb_x * tg_xxxxxz_xxxxxxxz_0[j] + fr * tg_xxxxxz_xxxxxxxz_1[j] + 2.5 * fl1_fx * (tg_xxxxz_xxxxxxxz_0[j] - tg_xxxxz_xxxxxxxz_1[j] * fl1_fza) + 3.5 * fl1_fxn * tg_xxxxxz_xxxxxxz_1[j];

                    tg_xxxxxxz_xxxxxxyy_0[j] = pb_x * tg_xxxxxz_xxxxxxyy_0[j] + fr * tg_xxxxxz_xxxxxxyy_1[j] + 2.5 * fl1_fx * (tg_xxxxz_xxxxxxyy_0[j] - tg_xxxxz_xxxxxxyy_1[j] * fl1_fza) + 3.0 * fl1_fxn * tg_xxxxxz_xxxxxyy_1[j];

                    tg_xxxxxxz_xxxxxxyz_0[j] = pb_x * tg_xxxxxz_xxxxxxyz_0[j] + fr * tg_xxxxxz_xxxxxxyz_1[j] + 2.5 * fl1_fx * (tg_xxxxz_xxxxxxyz_0[j] - tg_xxxxz_xxxxxxyz_1[j] * fl1_fza) + 3.0 * fl1_fxn * tg_xxxxxz_xxxxxyz_1[j];

                    tg_xxxxxxz_xxxxxxzz_0[j] = pb_x * tg_xxxxxz_xxxxxxzz_0[j] + fr * tg_xxxxxz_xxxxxxzz_1[j] + 2.5 * fl1_fx * (tg_xxxxz_xxxxxxzz_0[j] - tg_xxxxz_xxxxxxzz_1[j] * fl1_fza) + 3.0 * fl1_fxn * tg_xxxxxz_xxxxxzz_1[j];
                }

                idx++;
            }
        }
    }

    void
    compElectronRepulsionForSKSL_96_192(      CMemBlock2D<double>* primBuffer,
                                        const CRecursionMap&       recursionMap,
                                        const CMemBlock2D<double>& osFactors,
                                        const CMemBlock2D<double>& wpDistances,
                                        const CGtoPairsBlock&      braGtoPairsBlock,
                                        const CGtoPairsBlock&      ketGtoPairsBlock,
                                        const int32_t              nKetPrimPairs,
                                        const int32_t              iContrPair)
    {
        // Batch of Integrals (96,192)

        // set up pointers to primitives data on bra side

        auto spos = braGtoPairsBlock.getStartPositions();

        auto epos = braGtoPairsBlock.getEndPositions();

        // set up pointers to tensor of distance R(PB) = P - B

        auto r_pb_x = braGtoPairsBlock.getDistancesPBX();

        // set up pointers to common Obara-Saika factors

        auto b_fx = braGtoPairsBlock.getFactorsOneOverXi();

        // set up maximum order of integral

        auto mord = recursionMap.getMaxOrder({"Electron Repulsion"},
                                             {7, -1, -1, -1},
                                             {8, -1, -1, -1},
                                             1, 1);

        for (int32_t iord = 0; iord <= mord; iord++)
        {
            // set up index of integral

            auto pidx_g_7_8_m0 = recursionMap.index(CRecursionTerm({"Electron Repulsion"}, 0, true, 
                                                                   {7, -1, -1, -1}, {8, -1, -1, -1}, 
                                                                   1, 1, iord));

            // check if integral is needed in recursion expansion

            if (pidx_g_7_8_m0 == -1) continue;

            // set up indexes of auxilary integral

            auto pidx_g_6_8_m0 = recursionMap.index(CRecursionTerm({"Electron Repulsion"}, 0, true, 
                                                                   {6, -1, -1, -1}, {8, -1, -1, -1}, 
                                                                   1, 1, iord));

            auto pidx_g_6_8_m1 = recursionMap.index(CRecursionTerm({"Electron Repulsion"}, 0, true, 
                                                                   {6, -1, -1, -1}, {8, -1, -1, -1}, 
                                                                   1, 1, iord + 1));

            auto pidx_g_5_8_m0 = recursionMap.index(CRecursionTerm({"Electron Repulsion"}, 0, true, 
                                                                   {5, -1, -1, -1}, {8, -1, -1, -1}, 
                                                                   1, 1, iord));

            auto pidx_g_5_8_m1 = recursionMap.index(CRecursionTerm({"Electron Repulsion"}, 0, true, 
                                                                   {5, -1, -1, -1}, {8, -1, -1, -1}, 
                                                                   1, 1, iord + 1));

            auto pidx_g_6_7_m1 = recursionMap.index(CRecursionTerm({"Electron Repulsion"}, 0, true, 
                                                                   {6, -1, -1, -1}, {7, -1, -1, -1}, 
                                                                   1, 1, iord + 1));

            // loop over contracted GTO on bra side

            int32_t idx = 0;

            for (int32_t i = spos[iContrPair]; i < epos[iContrPair]; i++)
            {
                // set up pointers to Obara-Saika factors

                double fx = b_fx[i];

                auto fza = osFactors.data(4 * idx + 2);

                auto fxn = osFactors.data(4 * idx);

                // set up distances R(PB) = P - B

                auto pb_x = r_pb_x[i];

                // set up pointers to tensors product of distances R(WP) = W - P

                auto wp_x = wpDistances.data(3 * idx);

                // set up pointers to auxilary integrals

                auto tg_xxxxxz_xxxxxyyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 96); 

                auto tg_xxxxxz_xxxxxyyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 97); 

                auto tg_xxxxxz_xxxxxyzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 98); 

                auto tg_xxxxxz_xxxxxzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 99); 

                auto tg_xxxxxz_xxxxyyyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 100); 

                auto tg_xxxxxz_xxxxyyyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 101); 

                auto tg_xxxxxz_xxxxyyzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 102); 

                auto tg_xxxxxz_xxxxyzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 103); 

                auto tg_xxxxxz_xxxxzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 104); 

                auto tg_xxxxxz_xxxyyyyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 105); 

                auto tg_xxxxxz_xxxyyyyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 106); 

                auto tg_xxxxxz_xxxyyyzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 107); 

                auto tg_xxxxxz_xxxyyzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 108); 

                auto tg_xxxxxz_xxxyzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 109); 

                auto tg_xxxxxz_xxxzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 110); 

                auto tg_xxxxxz_xxyyyyyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 111); 

                auto tg_xxxxxz_xxyyyyyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 112); 

                auto tg_xxxxxz_xxyyyyzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 113); 

                auto tg_xxxxxz_xxyyyzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 114); 

                auto tg_xxxxxz_xxyyzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 115); 

                auto tg_xxxxxz_xxyzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 116); 

                auto tg_xxxxxz_xxzzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 117); 

                auto tg_xxxxxz_xyyyyyyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 118); 

                auto tg_xxxxxz_xyyyyyyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 119); 

                auto tg_xxxxxz_xyyyyyzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 120); 

                auto tg_xxxxxz_xyyyyzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 121); 

                auto tg_xxxxxz_xyyyzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 122); 

                auto tg_xxxxxz_xyyzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 123); 

                auto tg_xxxxxz_xyzzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 124); 

                auto tg_xxxxxz_xzzzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 125); 

                auto tg_xxxxxz_yyyyyyyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 126); 

                auto tg_xxxxxz_yyyyyyyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 127); 

                auto tg_xxxxxz_yyyyyyzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 128); 

                auto tg_xxxxxz_yyyyyzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 129); 

                auto tg_xxxxxz_yyyyzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 130); 

                auto tg_xxxxxz_yyyzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 131); 

                auto tg_xxxxxz_yyzzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 132); 

                auto tg_xxxxxz_yzzzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 133); 

                auto tg_xxxxxz_zzzzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 134); 

                auto tg_xxxxyy_xxxxxxxx_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 135); 

                auto tg_xxxxyy_xxxxxxxy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 136); 

                auto tg_xxxxyy_xxxxxxxz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 137); 

                auto tg_xxxxyy_xxxxxxyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 138); 

                auto tg_xxxxyy_xxxxxxyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 139); 

                auto tg_xxxxyy_xxxxxxzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 140); 

                auto tg_xxxxyy_xxxxxyyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 141); 

                auto tg_xxxxyy_xxxxxyyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 142); 

                auto tg_xxxxyy_xxxxxyzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 143); 

                auto tg_xxxxyy_xxxxxzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 144); 

                auto tg_xxxxyy_xxxxyyyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 145); 

                auto tg_xxxxyy_xxxxyyyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 146); 

                auto tg_xxxxyy_xxxxyyzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 147); 

                auto tg_xxxxyy_xxxxyzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 148); 

                auto tg_xxxxyy_xxxxzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 149); 

                auto tg_xxxxyy_xxxyyyyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 150); 

                auto tg_xxxxyy_xxxyyyyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 151); 

                auto tg_xxxxyy_xxxyyyzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 152); 

                auto tg_xxxxyy_xxxyyzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 153); 

                auto tg_xxxxyy_xxxyzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 154); 

                auto tg_xxxxyy_xxxzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 155); 

                auto tg_xxxxyy_xxyyyyyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 156); 

                auto tg_xxxxyy_xxyyyyyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 157); 

                auto tg_xxxxyy_xxyyyyzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 158); 

                auto tg_xxxxyy_xxyyyzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 159); 

                auto tg_xxxxyy_xxyyzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 160); 

                auto tg_xxxxyy_xxyzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 161); 

                auto tg_xxxxyy_xxzzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 162); 

                auto tg_xxxxyy_xyyyyyyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 163); 

                auto tg_xxxxyy_xyyyyyyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 164); 

                auto tg_xxxxyy_xyyyyyzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 165); 

                auto tg_xxxxyy_xyyyyzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 166); 

                auto tg_xxxxyy_xyyyzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 167); 

                auto tg_xxxxyy_xyyzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 168); 

                auto tg_xxxxyy_xyzzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 169); 

                auto tg_xxxxyy_xzzzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 170); 

                auto tg_xxxxyy_yyyyyyyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 171); 

                auto tg_xxxxyy_yyyyyyyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 172); 

                auto tg_xxxxyy_yyyyyyzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 173); 

                auto tg_xxxxyy_yyyyyzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 174); 

                auto tg_xxxxyy_yyyyzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 175); 

                auto tg_xxxxyy_yyyzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 176); 

                auto tg_xxxxyy_yyzzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 177); 

                auto tg_xxxxyy_yzzzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 178); 

                auto tg_xxxxyy_zzzzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 179); 

                auto tg_xxxxyz_xxxxxxxx_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 180); 

                auto tg_xxxxyz_xxxxxxxy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 181); 

                auto tg_xxxxyz_xxxxxxxz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 182); 

                auto tg_xxxxyz_xxxxxxyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 183); 

                auto tg_xxxxyz_xxxxxxyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 184); 

                auto tg_xxxxyz_xxxxxxzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 185); 

                auto tg_xxxxyz_xxxxxyyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 186); 

                auto tg_xxxxyz_xxxxxyyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 187); 

                auto tg_xxxxyz_xxxxxyzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 188); 

                auto tg_xxxxyz_xxxxxzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 189); 

                auto tg_xxxxyz_xxxxyyyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 190); 

                auto tg_xxxxyz_xxxxyyyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 191); 

                auto tg_xxxxxz_xxxxxyyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 96); 

                auto tg_xxxxxz_xxxxxyyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 97); 

                auto tg_xxxxxz_xxxxxyzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 98); 

                auto tg_xxxxxz_xxxxxzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 99); 

                auto tg_xxxxxz_xxxxyyyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 100); 

                auto tg_xxxxxz_xxxxyyyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 101); 

                auto tg_xxxxxz_xxxxyyzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 102); 

                auto tg_xxxxxz_xxxxyzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 103); 

                auto tg_xxxxxz_xxxxzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 104); 

                auto tg_xxxxxz_xxxyyyyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 105); 

                auto tg_xxxxxz_xxxyyyyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 106); 

                auto tg_xxxxxz_xxxyyyzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 107); 

                auto tg_xxxxxz_xxxyyzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 108); 

                auto tg_xxxxxz_xxxyzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 109); 

                auto tg_xxxxxz_xxxzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 110); 

                auto tg_xxxxxz_xxyyyyyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 111); 

                auto tg_xxxxxz_xxyyyyyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 112); 

                auto tg_xxxxxz_xxyyyyzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 113); 

                auto tg_xxxxxz_xxyyyzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 114); 

                auto tg_xxxxxz_xxyyzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 115); 

                auto tg_xxxxxz_xxyzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 116); 

                auto tg_xxxxxz_xxzzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 117); 

                auto tg_xxxxxz_xyyyyyyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 118); 

                auto tg_xxxxxz_xyyyyyyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 119); 

                auto tg_xxxxxz_xyyyyyzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 120); 

                auto tg_xxxxxz_xyyyyzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 121); 

                auto tg_xxxxxz_xyyyzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 122); 

                auto tg_xxxxxz_xyyzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 123); 

                auto tg_xxxxxz_xyzzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 124); 

                auto tg_xxxxxz_xzzzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 125); 

                auto tg_xxxxxz_yyyyyyyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 126); 

                auto tg_xxxxxz_yyyyyyyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 127); 

                auto tg_xxxxxz_yyyyyyzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 128); 

                auto tg_xxxxxz_yyyyyzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 129); 

                auto tg_xxxxxz_yyyyzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 130); 

                auto tg_xxxxxz_yyyzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 131); 

                auto tg_xxxxxz_yyzzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 132); 

                auto tg_xxxxxz_yzzzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 133); 

                auto tg_xxxxxz_zzzzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 134); 

                auto tg_xxxxyy_xxxxxxxx_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 135); 

                auto tg_xxxxyy_xxxxxxxy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 136); 

                auto tg_xxxxyy_xxxxxxxz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 137); 

                auto tg_xxxxyy_xxxxxxyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 138); 

                auto tg_xxxxyy_xxxxxxyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 139); 

                auto tg_xxxxyy_xxxxxxzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 140); 

                auto tg_xxxxyy_xxxxxyyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 141); 

                auto tg_xxxxyy_xxxxxyyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 142); 

                auto tg_xxxxyy_xxxxxyzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 143); 

                auto tg_xxxxyy_xxxxxzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 144); 

                auto tg_xxxxyy_xxxxyyyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 145); 

                auto tg_xxxxyy_xxxxyyyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 146); 

                auto tg_xxxxyy_xxxxyyzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 147); 

                auto tg_xxxxyy_xxxxyzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 148); 

                auto tg_xxxxyy_xxxxzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 149); 

                auto tg_xxxxyy_xxxyyyyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 150); 

                auto tg_xxxxyy_xxxyyyyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 151); 

                auto tg_xxxxyy_xxxyyyzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 152); 

                auto tg_xxxxyy_xxxyyzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 153); 

                auto tg_xxxxyy_xxxyzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 154); 

                auto tg_xxxxyy_xxxzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 155); 

                auto tg_xxxxyy_xxyyyyyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 156); 

                auto tg_xxxxyy_xxyyyyyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 157); 

                auto tg_xxxxyy_xxyyyyzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 158); 

                auto tg_xxxxyy_xxyyyzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 159); 

                auto tg_xxxxyy_xxyyzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 160); 

                auto tg_xxxxyy_xxyzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 161); 

                auto tg_xxxxyy_xxzzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 162); 

                auto tg_xxxxyy_xyyyyyyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 163); 

                auto tg_xxxxyy_xyyyyyyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 164); 

                auto tg_xxxxyy_xyyyyyzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 165); 

                auto tg_xxxxyy_xyyyyzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 166); 

                auto tg_xxxxyy_xyyyzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 167); 

                auto tg_xxxxyy_xyyzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 168); 

                auto tg_xxxxyy_xyzzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 169); 

                auto tg_xxxxyy_xzzzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 170); 

                auto tg_xxxxyy_yyyyyyyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 171); 

                auto tg_xxxxyy_yyyyyyyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 172); 

                auto tg_xxxxyy_yyyyyyzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 173); 

                auto tg_xxxxyy_yyyyyzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 174); 

                auto tg_xxxxyy_yyyyzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 175); 

                auto tg_xxxxyy_yyyzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 176); 

                auto tg_xxxxyy_yyzzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 177); 

                auto tg_xxxxyy_yzzzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 178); 

                auto tg_xxxxyy_zzzzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 179); 

                auto tg_xxxxyz_xxxxxxxx_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 180); 

                auto tg_xxxxyz_xxxxxxxy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 181); 

                auto tg_xxxxyz_xxxxxxxz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 182); 

                auto tg_xxxxyz_xxxxxxyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 183); 

                auto tg_xxxxyz_xxxxxxyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 184); 

                auto tg_xxxxyz_xxxxxxzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 185); 

                auto tg_xxxxyz_xxxxxyyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 186); 

                auto tg_xxxxyz_xxxxxyyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 187); 

                auto tg_xxxxyz_xxxxxyzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 188); 

                auto tg_xxxxyz_xxxxxzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 189); 

                auto tg_xxxxyz_xxxxyyyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 190); 

                auto tg_xxxxyz_xxxxyyyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 191); 

                auto tg_xxxxz_xxxxxyyy_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 96); 

                auto tg_xxxxz_xxxxxyyz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 97); 

                auto tg_xxxxz_xxxxxyzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 98); 

                auto tg_xxxxz_xxxxxzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 99); 

                auto tg_xxxxz_xxxxyyyy_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 100); 

                auto tg_xxxxz_xxxxyyyz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 101); 

                auto tg_xxxxz_xxxxyyzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 102); 

                auto tg_xxxxz_xxxxyzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 103); 

                auto tg_xxxxz_xxxxzzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 104); 

                auto tg_xxxxz_xxxyyyyy_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 105); 

                auto tg_xxxxz_xxxyyyyz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 106); 

                auto tg_xxxxz_xxxyyyzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 107); 

                auto tg_xxxxz_xxxyyzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 108); 

                auto tg_xxxxz_xxxyzzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 109); 

                auto tg_xxxxz_xxxzzzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 110); 

                auto tg_xxxxz_xxyyyyyy_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 111); 

                auto tg_xxxxz_xxyyyyyz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 112); 

                auto tg_xxxxz_xxyyyyzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 113); 

                auto tg_xxxxz_xxyyyzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 114); 

                auto tg_xxxxz_xxyyzzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 115); 

                auto tg_xxxxz_xxyzzzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 116); 

                auto tg_xxxxz_xxzzzzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 117); 

                auto tg_xxxxz_xyyyyyyy_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 118); 

                auto tg_xxxxz_xyyyyyyz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 119); 

                auto tg_xxxxz_xyyyyyzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 120); 

                auto tg_xxxxz_xyyyyzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 121); 

                auto tg_xxxxz_xyyyzzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 122); 

                auto tg_xxxxz_xyyzzzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 123); 

                auto tg_xxxxz_xyzzzzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 124); 

                auto tg_xxxxz_xzzzzzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 125); 

                auto tg_xxxxz_yyyyyyyy_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 126); 

                auto tg_xxxxz_yyyyyyyz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 127); 

                auto tg_xxxxz_yyyyyyzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 128); 

                auto tg_xxxxz_yyyyyzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 129); 

                auto tg_xxxxz_yyyyzzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 130); 

                auto tg_xxxxz_yyyzzzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 131); 

                auto tg_xxxxz_yyzzzzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 132); 

                auto tg_xxxxz_yzzzzzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 133); 

                auto tg_xxxxz_zzzzzzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 134); 

                auto tg_xxxyy_xxxxxxxx_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 135); 

                auto tg_xxxyy_xxxxxxxy_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 136); 

                auto tg_xxxyy_xxxxxxxz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 137); 

                auto tg_xxxyy_xxxxxxyy_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 138); 

                auto tg_xxxyy_xxxxxxyz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 139); 

                auto tg_xxxyy_xxxxxxzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 140); 

                auto tg_xxxyy_xxxxxyyy_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 141); 

                auto tg_xxxyy_xxxxxyyz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 142); 

                auto tg_xxxyy_xxxxxyzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 143); 

                auto tg_xxxyy_xxxxxzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 144); 

                auto tg_xxxyy_xxxxyyyy_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 145); 

                auto tg_xxxyy_xxxxyyyz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 146); 

                auto tg_xxxyy_xxxxyyzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 147); 

                auto tg_xxxyy_xxxxyzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 148); 

                auto tg_xxxyy_xxxxzzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 149); 

                auto tg_xxxyy_xxxyyyyy_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 150); 

                auto tg_xxxyy_xxxyyyyz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 151); 

                auto tg_xxxyy_xxxyyyzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 152); 

                auto tg_xxxyy_xxxyyzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 153); 

                auto tg_xxxyy_xxxyzzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 154); 

                auto tg_xxxyy_xxxzzzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 155); 

                auto tg_xxxyy_xxyyyyyy_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 156); 

                auto tg_xxxyy_xxyyyyyz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 157); 

                auto tg_xxxyy_xxyyyyzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 158); 

                auto tg_xxxyy_xxyyyzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 159); 

                auto tg_xxxyy_xxyyzzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 160); 

                auto tg_xxxyy_xxyzzzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 161); 

                auto tg_xxxyy_xxzzzzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 162); 

                auto tg_xxxyy_xyyyyyyy_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 163); 

                auto tg_xxxyy_xyyyyyyz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 164); 

                auto tg_xxxyy_xyyyyyzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 165); 

                auto tg_xxxyy_xyyyyzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 166); 

                auto tg_xxxyy_xyyyzzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 167); 

                auto tg_xxxyy_xyyzzzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 168); 

                auto tg_xxxyy_xyzzzzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 169); 

                auto tg_xxxyy_xzzzzzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 170); 

                auto tg_xxxyy_yyyyyyyy_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 171); 

                auto tg_xxxyy_yyyyyyyz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 172); 

                auto tg_xxxyy_yyyyyyzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 173); 

                auto tg_xxxyy_yyyyyzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 174); 

                auto tg_xxxyy_yyyyzzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 175); 

                auto tg_xxxyy_yyyzzzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 176); 

                auto tg_xxxyy_yyzzzzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 177); 

                auto tg_xxxyy_yzzzzzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 178); 

                auto tg_xxxyy_zzzzzzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 179); 

                auto tg_xxxyz_xxxxxxxx_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 180); 

                auto tg_xxxyz_xxxxxxxy_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 181); 

                auto tg_xxxyz_xxxxxxxz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 182); 

                auto tg_xxxyz_xxxxxxyy_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 183); 

                auto tg_xxxyz_xxxxxxyz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 184); 

                auto tg_xxxyz_xxxxxxzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 185); 

                auto tg_xxxyz_xxxxxyyy_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 186); 

                auto tg_xxxyz_xxxxxyyz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 187); 

                auto tg_xxxyz_xxxxxyzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 188); 

                auto tg_xxxyz_xxxxxzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 189); 

                auto tg_xxxyz_xxxxyyyy_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 190); 

                auto tg_xxxyz_xxxxyyyz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 191); 

                auto tg_xxxxz_xxxxxyyy_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 96); 

                auto tg_xxxxz_xxxxxyyz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 97); 

                auto tg_xxxxz_xxxxxyzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 98); 

                auto tg_xxxxz_xxxxxzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 99); 

                auto tg_xxxxz_xxxxyyyy_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 100); 

                auto tg_xxxxz_xxxxyyyz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 101); 

                auto tg_xxxxz_xxxxyyzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 102); 

                auto tg_xxxxz_xxxxyzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 103); 

                auto tg_xxxxz_xxxxzzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 104); 

                auto tg_xxxxz_xxxyyyyy_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 105); 

                auto tg_xxxxz_xxxyyyyz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 106); 

                auto tg_xxxxz_xxxyyyzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 107); 

                auto tg_xxxxz_xxxyyzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 108); 

                auto tg_xxxxz_xxxyzzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 109); 

                auto tg_xxxxz_xxxzzzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 110); 

                auto tg_xxxxz_xxyyyyyy_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 111); 

                auto tg_xxxxz_xxyyyyyz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 112); 

                auto tg_xxxxz_xxyyyyzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 113); 

                auto tg_xxxxz_xxyyyzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 114); 

                auto tg_xxxxz_xxyyzzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 115); 

                auto tg_xxxxz_xxyzzzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 116); 

                auto tg_xxxxz_xxzzzzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 117); 

                auto tg_xxxxz_xyyyyyyy_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 118); 

                auto tg_xxxxz_xyyyyyyz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 119); 

                auto tg_xxxxz_xyyyyyzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 120); 

                auto tg_xxxxz_xyyyyzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 121); 

                auto tg_xxxxz_xyyyzzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 122); 

                auto tg_xxxxz_xyyzzzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 123); 

                auto tg_xxxxz_xyzzzzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 124); 

                auto tg_xxxxz_xzzzzzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 125); 

                auto tg_xxxxz_yyyyyyyy_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 126); 

                auto tg_xxxxz_yyyyyyyz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 127); 

                auto tg_xxxxz_yyyyyyzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 128); 

                auto tg_xxxxz_yyyyyzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 129); 

                auto tg_xxxxz_yyyyzzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 130); 

                auto tg_xxxxz_yyyzzzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 131); 

                auto tg_xxxxz_yyzzzzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 132); 

                auto tg_xxxxz_yzzzzzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 133); 

                auto tg_xxxxz_zzzzzzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 134); 

                auto tg_xxxyy_xxxxxxxx_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 135); 

                auto tg_xxxyy_xxxxxxxy_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 136); 

                auto tg_xxxyy_xxxxxxxz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 137); 

                auto tg_xxxyy_xxxxxxyy_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 138); 

                auto tg_xxxyy_xxxxxxyz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 139); 

                auto tg_xxxyy_xxxxxxzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 140); 

                auto tg_xxxyy_xxxxxyyy_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 141); 

                auto tg_xxxyy_xxxxxyyz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 142); 

                auto tg_xxxyy_xxxxxyzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 143); 

                auto tg_xxxyy_xxxxxzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 144); 

                auto tg_xxxyy_xxxxyyyy_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 145); 

                auto tg_xxxyy_xxxxyyyz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 146); 

                auto tg_xxxyy_xxxxyyzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 147); 

                auto tg_xxxyy_xxxxyzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 148); 

                auto tg_xxxyy_xxxxzzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 149); 

                auto tg_xxxyy_xxxyyyyy_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 150); 

                auto tg_xxxyy_xxxyyyyz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 151); 

                auto tg_xxxyy_xxxyyyzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 152); 

                auto tg_xxxyy_xxxyyzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 153); 

                auto tg_xxxyy_xxxyzzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 154); 

                auto tg_xxxyy_xxxzzzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 155); 

                auto tg_xxxyy_xxyyyyyy_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 156); 

                auto tg_xxxyy_xxyyyyyz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 157); 

                auto tg_xxxyy_xxyyyyzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 158); 

                auto tg_xxxyy_xxyyyzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 159); 

                auto tg_xxxyy_xxyyzzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 160); 

                auto tg_xxxyy_xxyzzzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 161); 

                auto tg_xxxyy_xxzzzzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 162); 

                auto tg_xxxyy_xyyyyyyy_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 163); 

                auto tg_xxxyy_xyyyyyyz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 164); 

                auto tg_xxxyy_xyyyyyzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 165); 

                auto tg_xxxyy_xyyyyzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 166); 

                auto tg_xxxyy_xyyyzzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 167); 

                auto tg_xxxyy_xyyzzzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 168); 

                auto tg_xxxyy_xyzzzzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 169); 

                auto tg_xxxyy_xzzzzzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 170); 

                auto tg_xxxyy_yyyyyyyy_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 171); 

                auto tg_xxxyy_yyyyyyyz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 172); 

                auto tg_xxxyy_yyyyyyzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 173); 

                auto tg_xxxyy_yyyyyzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 174); 

                auto tg_xxxyy_yyyyzzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 175); 

                auto tg_xxxyy_yyyzzzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 176); 

                auto tg_xxxyy_yyzzzzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 177); 

                auto tg_xxxyy_yzzzzzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 178); 

                auto tg_xxxyy_zzzzzzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 179); 

                auto tg_xxxyz_xxxxxxxx_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 180); 

                auto tg_xxxyz_xxxxxxxy_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 181); 

                auto tg_xxxyz_xxxxxxxz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 182); 

                auto tg_xxxyz_xxxxxxyy_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 183); 

                auto tg_xxxyz_xxxxxxyz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 184); 

                auto tg_xxxyz_xxxxxxzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 185); 

                auto tg_xxxyz_xxxxxyyy_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 186); 

                auto tg_xxxyz_xxxxxyyz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 187); 

                auto tg_xxxyz_xxxxxyzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 188); 

                auto tg_xxxyz_xxxxxzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 189); 

                auto tg_xxxyz_xxxxyyyy_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 190); 

                auto tg_xxxyz_xxxxyyyz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 191); 

                auto tg_xxxxxz_xxxxyyy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 78); 

                auto tg_xxxxxz_xxxxyyz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 79); 

                auto tg_xxxxxz_xxxxyzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 80); 

                auto tg_xxxxxz_xxxxzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 81); 

                auto tg_xxxxxz_xxxyyyy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 82); 

                auto tg_xxxxxz_xxxyyyz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 83); 

                auto tg_xxxxxz_xxxyyzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 84); 

                auto tg_xxxxxz_xxxyzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 85); 

                auto tg_xxxxxz_xxxzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 86); 

                auto tg_xxxxxz_xxyyyyy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 87); 

                auto tg_xxxxxz_xxyyyyz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 88); 

                auto tg_xxxxxz_xxyyyzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 89); 

                auto tg_xxxxxz_xxyyzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 90); 

                auto tg_xxxxxz_xxyzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 91); 

                auto tg_xxxxxz_xxzzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 92); 

                auto tg_xxxxxz_xyyyyyy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 93); 

                auto tg_xxxxxz_xyyyyyz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 94); 

                auto tg_xxxxxz_xyyyyzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 95); 

                auto tg_xxxxxz_xyyyzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 96); 

                auto tg_xxxxxz_xyyzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 97); 

                auto tg_xxxxxz_xyzzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 98); 

                auto tg_xxxxxz_xzzzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 99); 

                auto tg_xxxxxz_yyyyyyy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 100); 

                auto tg_xxxxxz_yyyyyyz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 101); 

                auto tg_xxxxxz_yyyyyzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 102); 

                auto tg_xxxxxz_yyyyzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 103); 

                auto tg_xxxxxz_yyyzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 104); 

                auto tg_xxxxxz_yyzzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 105); 

                auto tg_xxxxxz_yzzzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 106); 

                auto tg_xxxxxz_zzzzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 107); 

                auto tg_xxxxyy_xxxxxxx_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 108); 

                auto tg_xxxxyy_xxxxxxy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 109); 

                auto tg_xxxxyy_xxxxxxz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 110); 

                auto tg_xxxxyy_xxxxxyy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 111); 

                auto tg_xxxxyy_xxxxxyz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 112); 

                auto tg_xxxxyy_xxxxxzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 113); 

                auto tg_xxxxyy_xxxxyyy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 114); 

                auto tg_xxxxyy_xxxxyyz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 115); 

                auto tg_xxxxyy_xxxxyzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 116); 

                auto tg_xxxxyy_xxxxzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 117); 

                auto tg_xxxxyy_xxxyyyy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 118); 

                auto tg_xxxxyy_xxxyyyz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 119); 

                auto tg_xxxxyy_xxxyyzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 120); 

                auto tg_xxxxyy_xxxyzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 121); 

                auto tg_xxxxyy_xxxzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 122); 

                auto tg_xxxxyy_xxyyyyy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 123); 

                auto tg_xxxxyy_xxyyyyz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 124); 

                auto tg_xxxxyy_xxyyyzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 125); 

                auto tg_xxxxyy_xxyyzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 126); 

                auto tg_xxxxyy_xxyzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 127); 

                auto tg_xxxxyy_xxzzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 128); 

                auto tg_xxxxyy_xyyyyyy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 129); 

                auto tg_xxxxyy_xyyyyyz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 130); 

                auto tg_xxxxyy_xyyyyzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 131); 

                auto tg_xxxxyy_xyyyzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 132); 

                auto tg_xxxxyy_xyyzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 133); 

                auto tg_xxxxyy_xyzzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 134); 

                auto tg_xxxxyy_xzzzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 135); 

                auto tg_xxxxyy_yyyyyyy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 136); 

                auto tg_xxxxyy_yyyyyyz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 137); 

                auto tg_xxxxyy_yyyyyzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 138); 

                auto tg_xxxxyy_yyyyzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 139); 

                auto tg_xxxxyy_yyyzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 140); 

                auto tg_xxxxyy_yyzzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 141); 

                auto tg_xxxxyy_yzzzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 142); 

                auto tg_xxxxyy_zzzzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 143); 

                auto tg_xxxxyz_xxxxxxx_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 144); 

                auto tg_xxxxyz_xxxxxxy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 145); 

                auto tg_xxxxyz_xxxxxxz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 146); 

                auto tg_xxxxyz_xxxxxyy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 147); 

                auto tg_xxxxyz_xxxxxyz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 148); 

                auto tg_xxxxyz_xxxxxzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 149); 

                auto tg_xxxxyz_xxxxyyy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 150); 

                auto tg_xxxxyz_xxxxyyz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 151); 

                auto tg_xxxxyz_xxxxyzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 152); 

                auto tg_xxxxyz_xxxxzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 153); 

                auto tg_xxxxyz_xxxyyyy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 154); 

                auto tg_xxxxyz_xxxyyyz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 155); 

                // set up pointers to integrals

                auto tg_xxxxxxz_xxxxxyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 96); 

                auto tg_xxxxxxz_xxxxxyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 97); 

                auto tg_xxxxxxz_xxxxxyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 98); 

                auto tg_xxxxxxz_xxxxxzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 99); 

                auto tg_xxxxxxz_xxxxyyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 100); 

                auto tg_xxxxxxz_xxxxyyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 101); 

                auto tg_xxxxxxz_xxxxyyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 102); 

                auto tg_xxxxxxz_xxxxyzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 103); 

                auto tg_xxxxxxz_xxxxzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 104); 

                auto tg_xxxxxxz_xxxyyyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 105); 

                auto tg_xxxxxxz_xxxyyyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 106); 

                auto tg_xxxxxxz_xxxyyyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 107); 

                auto tg_xxxxxxz_xxxyyzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 108); 

                auto tg_xxxxxxz_xxxyzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 109); 

                auto tg_xxxxxxz_xxxzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 110); 

                auto tg_xxxxxxz_xxyyyyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 111); 

                auto tg_xxxxxxz_xxyyyyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 112); 

                auto tg_xxxxxxz_xxyyyyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 113); 

                auto tg_xxxxxxz_xxyyyzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 114); 

                auto tg_xxxxxxz_xxyyzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 115); 

                auto tg_xxxxxxz_xxyzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 116); 

                auto tg_xxxxxxz_xxzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 117); 

                auto tg_xxxxxxz_xyyyyyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 118); 

                auto tg_xxxxxxz_xyyyyyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 119); 

                auto tg_xxxxxxz_xyyyyyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 120); 

                auto tg_xxxxxxz_xyyyyzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 121); 

                auto tg_xxxxxxz_xyyyzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 122); 

                auto tg_xxxxxxz_xyyzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 123); 

                auto tg_xxxxxxz_xyzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 124); 

                auto tg_xxxxxxz_xzzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 125); 

                auto tg_xxxxxxz_yyyyyyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 126); 

                auto tg_xxxxxxz_yyyyyyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 127); 

                auto tg_xxxxxxz_yyyyyyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 128); 

                auto tg_xxxxxxz_yyyyyzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 129); 

                auto tg_xxxxxxz_yyyyzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 130); 

                auto tg_xxxxxxz_yyyzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 131); 

                auto tg_xxxxxxz_yyzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 132); 

                auto tg_xxxxxxz_yzzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 133); 

                auto tg_xxxxxxz_zzzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 134); 

                auto tg_xxxxxyy_xxxxxxxx_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 135); 

                auto tg_xxxxxyy_xxxxxxxy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 136); 

                auto tg_xxxxxyy_xxxxxxxz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 137); 

                auto tg_xxxxxyy_xxxxxxyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 138); 

                auto tg_xxxxxyy_xxxxxxyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 139); 

                auto tg_xxxxxyy_xxxxxxzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 140); 

                auto tg_xxxxxyy_xxxxxyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 141); 

                auto tg_xxxxxyy_xxxxxyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 142); 

                auto tg_xxxxxyy_xxxxxyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 143); 

                auto tg_xxxxxyy_xxxxxzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 144); 

                auto tg_xxxxxyy_xxxxyyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 145); 

                auto tg_xxxxxyy_xxxxyyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 146); 

                auto tg_xxxxxyy_xxxxyyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 147); 

                auto tg_xxxxxyy_xxxxyzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 148); 

                auto tg_xxxxxyy_xxxxzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 149); 

                auto tg_xxxxxyy_xxxyyyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 150); 

                auto tg_xxxxxyy_xxxyyyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 151); 

                auto tg_xxxxxyy_xxxyyyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 152); 

                auto tg_xxxxxyy_xxxyyzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 153); 

                auto tg_xxxxxyy_xxxyzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 154); 

                auto tg_xxxxxyy_xxxzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 155); 

                auto tg_xxxxxyy_xxyyyyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 156); 

                auto tg_xxxxxyy_xxyyyyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 157); 

                auto tg_xxxxxyy_xxyyyyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 158); 

                auto tg_xxxxxyy_xxyyyzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 159); 

                auto tg_xxxxxyy_xxyyzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 160); 

                auto tg_xxxxxyy_xxyzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 161); 

                auto tg_xxxxxyy_xxzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 162); 

                auto tg_xxxxxyy_xyyyyyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 163); 

                auto tg_xxxxxyy_xyyyyyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 164); 

                auto tg_xxxxxyy_xyyyyyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 165); 

                auto tg_xxxxxyy_xyyyyzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 166); 

                auto tg_xxxxxyy_xyyyzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 167); 

                auto tg_xxxxxyy_xyyzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 168); 

                auto tg_xxxxxyy_xyzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 169); 

                auto tg_xxxxxyy_xzzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 170); 

                auto tg_xxxxxyy_yyyyyyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 171); 

                auto tg_xxxxxyy_yyyyyyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 172); 

                auto tg_xxxxxyy_yyyyyyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 173); 

                auto tg_xxxxxyy_yyyyyzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 174); 

                auto tg_xxxxxyy_yyyyzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 175); 

                auto tg_xxxxxyy_yyyzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 176); 

                auto tg_xxxxxyy_yyzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 177); 

                auto tg_xxxxxyy_yzzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 178); 

                auto tg_xxxxxyy_zzzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 179); 

                auto tg_xxxxxyz_xxxxxxxx_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 180); 

                auto tg_xxxxxyz_xxxxxxxy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 181); 

                auto tg_xxxxxyz_xxxxxxxz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 182); 

                auto tg_xxxxxyz_xxxxxxyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 183); 

                auto tg_xxxxxyz_xxxxxxyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 184); 

                auto tg_xxxxxyz_xxxxxxzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 185); 

                auto tg_xxxxxyz_xxxxxyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 186); 

                auto tg_xxxxxyz_xxxxxyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 187); 

                auto tg_xxxxxyz_xxxxxyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 188); 

                auto tg_xxxxxyz_xxxxxzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 189); 

                auto tg_xxxxxyz_xxxxyyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 190); 

                auto tg_xxxxxyz_xxxxyyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 191); 

                // Batch of Integrals (96,192)

                #pragma omp simd aligned(fxn, fza, tg_xxxxxxz_xxxxxyyy_0, tg_xxxxxxz_xxxxxyyz_0, \
                                         tg_xxxxxxz_xxxxxyzz_0, tg_xxxxxxz_xxxxxzzz_0, tg_xxxxxxz_xxxxyyyy_0, \
                                         tg_xxxxxxz_xxxxyyyz_0, tg_xxxxxxz_xxxxyyzz_0, tg_xxxxxxz_xxxxyzzz_0, \
                                         tg_xxxxxxz_xxxxzzzz_0, tg_xxxxxxz_xxxyyyyy_0, tg_xxxxxxz_xxxyyyyz_0, \
                                         tg_xxxxxxz_xxxyyyzz_0, tg_xxxxxxz_xxxyyzzz_0, tg_xxxxxxz_xxxyzzzz_0, \
                                         tg_xxxxxxz_xxxzzzzz_0, tg_xxxxxxz_xxyyyyyy_0, tg_xxxxxxz_xxyyyyyz_0, \
                                         tg_xxxxxxz_xxyyyyzz_0, tg_xxxxxxz_xxyyyzzz_0, tg_xxxxxxz_xxyyzzzz_0, \
                                         tg_xxxxxxz_xxyzzzzz_0, tg_xxxxxxz_xxzzzzzz_0, tg_xxxxxxz_xyyyyyyy_0, \
                                         tg_xxxxxxz_xyyyyyyz_0, tg_xxxxxxz_xyyyyyzz_0, tg_xxxxxxz_xyyyyzzz_0, \
                                         tg_xxxxxxz_xyyyzzzz_0, tg_xxxxxxz_xyyzzzzz_0, tg_xxxxxxz_xyzzzzzz_0, \
                                         tg_xxxxxxz_xzzzzzzz_0, tg_xxxxxxz_yyyyyyyy_0, tg_xxxxxxz_yyyyyyyz_0, \
                                         tg_xxxxxxz_yyyyyyzz_0, tg_xxxxxxz_yyyyyzzz_0, tg_xxxxxxz_yyyyzzzz_0, \
                                         tg_xxxxxxz_yyyzzzzz_0, tg_xxxxxxz_yyzzzzzz_0, tg_xxxxxxz_yzzzzzzz_0, \
                                         tg_xxxxxxz_zzzzzzzz_0, tg_xxxxxyy_xxxxxxxx_0, tg_xxxxxyy_xxxxxxxy_0, \
                                         tg_xxxxxyy_xxxxxxxz_0, tg_xxxxxyy_xxxxxxyy_0, tg_xxxxxyy_xxxxxxyz_0, \
                                         tg_xxxxxyy_xxxxxxzz_0, tg_xxxxxyy_xxxxxyyy_0, tg_xxxxxyy_xxxxxyyz_0, \
                                         tg_xxxxxyy_xxxxxyzz_0, tg_xxxxxyy_xxxxxzzz_0, tg_xxxxxyy_xxxxyyyy_0, \
                                         tg_xxxxxyy_xxxxyyyz_0, tg_xxxxxyy_xxxxyyzz_0, tg_xxxxxyy_xxxxyzzz_0, \
                                         tg_xxxxxyy_xxxxzzzz_0, tg_xxxxxyy_xxxyyyyy_0, tg_xxxxxyy_xxxyyyyz_0, \
                                         tg_xxxxxyy_xxxyyyzz_0, tg_xxxxxyy_xxxyyzzz_0, tg_xxxxxyy_xxxyzzzz_0, \
                                         tg_xxxxxyy_xxxzzzzz_0, tg_xxxxxyy_xxyyyyyy_0, tg_xxxxxyy_xxyyyyyz_0, \
                                         tg_xxxxxyy_xxyyyyzz_0, tg_xxxxxyy_xxyyyzzz_0, tg_xxxxxyy_xxyyzzzz_0, \
                                         tg_xxxxxyy_xxyzzzzz_0, tg_xxxxxyy_xxzzzzzz_0, tg_xxxxxyy_xyyyyyyy_0, \
                                         tg_xxxxxyy_xyyyyyyz_0, tg_xxxxxyy_xyyyyyzz_0, tg_xxxxxyy_xyyyyzzz_0, \
                                         tg_xxxxxyy_xyyyzzzz_0, tg_xxxxxyy_xyyzzzzz_0, tg_xxxxxyy_xyzzzzzz_0, \
                                         tg_xxxxxyy_xzzzzzzz_0, tg_xxxxxyy_yyyyyyyy_0, tg_xxxxxyy_yyyyyyyz_0, \
                                         tg_xxxxxyy_yyyyyyzz_0, tg_xxxxxyy_yyyyyzzz_0, tg_xxxxxyy_yyyyzzzz_0, \
                                         tg_xxxxxyy_yyyzzzzz_0, tg_xxxxxyy_yyzzzzzz_0, tg_xxxxxyy_yzzzzzzz_0, \
                                         tg_xxxxxyy_zzzzzzzz_0, tg_xxxxxyz_xxxxxxxx_0, tg_xxxxxyz_xxxxxxxy_0, \
                                         tg_xxxxxyz_xxxxxxxz_0, tg_xxxxxyz_xxxxxxyy_0, tg_xxxxxyz_xxxxxxyz_0, \
                                         tg_xxxxxyz_xxxxxxzz_0, tg_xxxxxyz_xxxxxyyy_0, tg_xxxxxyz_xxxxxyyz_0, \
                                         tg_xxxxxyz_xxxxxyzz_0, tg_xxxxxyz_xxxxxzzz_0, tg_xxxxxyz_xxxxyyyy_0, \
                                         tg_xxxxxyz_xxxxyyyz_0, tg_xxxxxz_xxxxxyyy_0, tg_xxxxxz_xxxxxyyy_1, tg_xxxxxz_xxxxxyyz_0, \
                                         tg_xxxxxz_xxxxxyyz_1, tg_xxxxxz_xxxxxyzz_0, tg_xxxxxz_xxxxxyzz_1, tg_xxxxxz_xxxxxzzz_0, \
                                         tg_xxxxxz_xxxxxzzz_1, tg_xxxxxz_xxxxyyy_1, tg_xxxxxz_xxxxyyyy_0, tg_xxxxxz_xxxxyyyy_1, \
                                         tg_xxxxxz_xxxxyyyz_0, tg_xxxxxz_xxxxyyyz_1, tg_xxxxxz_xxxxyyz_1, tg_xxxxxz_xxxxyyzz_0, \
                                         tg_xxxxxz_xxxxyyzz_1, tg_xxxxxz_xxxxyzz_1, tg_xxxxxz_xxxxyzzz_0, tg_xxxxxz_xxxxyzzz_1, \
                                         tg_xxxxxz_xxxxzzz_1, tg_xxxxxz_xxxxzzzz_0, tg_xxxxxz_xxxxzzzz_1, tg_xxxxxz_xxxyyyy_1, \
                                         tg_xxxxxz_xxxyyyyy_0, tg_xxxxxz_xxxyyyyy_1, tg_xxxxxz_xxxyyyyz_0, tg_xxxxxz_xxxyyyyz_1, \
                                         tg_xxxxxz_xxxyyyz_1, tg_xxxxxz_xxxyyyzz_0, tg_xxxxxz_xxxyyyzz_1, tg_xxxxxz_xxxyyzz_1, \
                                         tg_xxxxxz_xxxyyzzz_0, tg_xxxxxz_xxxyyzzz_1, tg_xxxxxz_xxxyzzz_1, tg_xxxxxz_xxxyzzzz_0, \
                                         tg_xxxxxz_xxxyzzzz_1, tg_xxxxxz_xxxzzzz_1, tg_xxxxxz_xxxzzzzz_0, tg_xxxxxz_xxxzzzzz_1, \
                                         tg_xxxxxz_xxyyyyy_1, tg_xxxxxz_xxyyyyyy_0, tg_xxxxxz_xxyyyyyy_1, tg_xxxxxz_xxyyyyyz_0, \
                                         tg_xxxxxz_xxyyyyyz_1, tg_xxxxxz_xxyyyyz_1, tg_xxxxxz_xxyyyyzz_0, tg_xxxxxz_xxyyyyzz_1, \
                                         tg_xxxxxz_xxyyyzz_1, tg_xxxxxz_xxyyyzzz_0, tg_xxxxxz_xxyyyzzz_1, tg_xxxxxz_xxyyzzz_1, \
                                         tg_xxxxxz_xxyyzzzz_0, tg_xxxxxz_xxyyzzzz_1, tg_xxxxxz_xxyzzzz_1, tg_xxxxxz_xxyzzzzz_0, \
                                         tg_xxxxxz_xxyzzzzz_1, tg_xxxxxz_xxzzzzz_1, tg_xxxxxz_xxzzzzzz_0, tg_xxxxxz_xxzzzzzz_1, \
                                         tg_xxxxxz_xyyyyyy_1, tg_xxxxxz_xyyyyyyy_0, tg_xxxxxz_xyyyyyyy_1, tg_xxxxxz_xyyyyyyz_0, \
                                         tg_xxxxxz_xyyyyyyz_1, tg_xxxxxz_xyyyyyz_1, tg_xxxxxz_xyyyyyzz_0, tg_xxxxxz_xyyyyyzz_1, \
                                         tg_xxxxxz_xyyyyzz_1, tg_xxxxxz_xyyyyzzz_0, tg_xxxxxz_xyyyyzzz_1, tg_xxxxxz_xyyyzzz_1, \
                                         tg_xxxxxz_xyyyzzzz_0, tg_xxxxxz_xyyyzzzz_1, tg_xxxxxz_xyyzzzz_1, tg_xxxxxz_xyyzzzzz_0, \
                                         tg_xxxxxz_xyyzzzzz_1, tg_xxxxxz_xyzzzzz_1, tg_xxxxxz_xyzzzzzz_0, tg_xxxxxz_xyzzzzzz_1, \
                                         tg_xxxxxz_xzzzzzz_1, tg_xxxxxz_xzzzzzzz_0, tg_xxxxxz_xzzzzzzz_1, tg_xxxxxz_yyyyyyy_1, \
                                         tg_xxxxxz_yyyyyyyy_0, tg_xxxxxz_yyyyyyyy_1, tg_xxxxxz_yyyyyyyz_0, tg_xxxxxz_yyyyyyyz_1, \
                                         tg_xxxxxz_yyyyyyz_1, tg_xxxxxz_yyyyyyzz_0, tg_xxxxxz_yyyyyyzz_1, tg_xxxxxz_yyyyyzz_1, \
                                         tg_xxxxxz_yyyyyzzz_0, tg_xxxxxz_yyyyyzzz_1, tg_xxxxxz_yyyyzzz_1, tg_xxxxxz_yyyyzzzz_0, \
                                         tg_xxxxxz_yyyyzzzz_1, tg_xxxxxz_yyyzzzz_1, tg_xxxxxz_yyyzzzzz_0, tg_xxxxxz_yyyzzzzz_1, \
                                         tg_xxxxxz_yyzzzzz_1, tg_xxxxxz_yyzzzzzz_0, tg_xxxxxz_yyzzzzzz_1, tg_xxxxxz_yzzzzzz_1, \
                                         tg_xxxxxz_yzzzzzzz_0, tg_xxxxxz_yzzzzzzz_1, tg_xxxxxz_zzzzzzz_1, tg_xxxxxz_zzzzzzzz_0, \
                                         tg_xxxxxz_zzzzzzzz_1, tg_xxxxyy_xxxxxxx_1, tg_xxxxyy_xxxxxxxx_0, tg_xxxxyy_xxxxxxxx_1, \
                                         tg_xxxxyy_xxxxxxxy_0, tg_xxxxyy_xxxxxxxy_1, tg_xxxxyy_xxxxxxxz_0, tg_xxxxyy_xxxxxxxz_1, \
                                         tg_xxxxyy_xxxxxxy_1, tg_xxxxyy_xxxxxxyy_0, tg_xxxxyy_xxxxxxyy_1, tg_xxxxyy_xxxxxxyz_0, \
                                         tg_xxxxyy_xxxxxxyz_1, tg_xxxxyy_xxxxxxz_1, tg_xxxxyy_xxxxxxzz_0, tg_xxxxyy_xxxxxxzz_1, \
                                         tg_xxxxyy_xxxxxyy_1, tg_xxxxyy_xxxxxyyy_0, tg_xxxxyy_xxxxxyyy_1, tg_xxxxyy_xxxxxyyz_0, \
                                         tg_xxxxyy_xxxxxyyz_1, tg_xxxxyy_xxxxxyz_1, tg_xxxxyy_xxxxxyzz_0, tg_xxxxyy_xxxxxyzz_1, \
                                         tg_xxxxyy_xxxxxzz_1, tg_xxxxyy_xxxxxzzz_0, tg_xxxxyy_xxxxxzzz_1, tg_xxxxyy_xxxxyyy_1, \
                                         tg_xxxxyy_xxxxyyyy_0, tg_xxxxyy_xxxxyyyy_1, tg_xxxxyy_xxxxyyyz_0, tg_xxxxyy_xxxxyyyz_1, \
                                         tg_xxxxyy_xxxxyyz_1, tg_xxxxyy_xxxxyyzz_0, tg_xxxxyy_xxxxyyzz_1, tg_xxxxyy_xxxxyzz_1, \
                                         tg_xxxxyy_xxxxyzzz_0, tg_xxxxyy_xxxxyzzz_1, tg_xxxxyy_xxxxzzz_1, tg_xxxxyy_xxxxzzzz_0, \
                                         tg_xxxxyy_xxxxzzzz_1, tg_xxxxyy_xxxyyyy_1, tg_xxxxyy_xxxyyyyy_0, tg_xxxxyy_xxxyyyyy_1, \
                                         tg_xxxxyy_xxxyyyyz_0, tg_xxxxyy_xxxyyyyz_1, tg_xxxxyy_xxxyyyz_1, tg_xxxxyy_xxxyyyzz_0, \
                                         tg_xxxxyy_xxxyyyzz_1, tg_xxxxyy_xxxyyzz_1, tg_xxxxyy_xxxyyzzz_0, tg_xxxxyy_xxxyyzzz_1, \
                                         tg_xxxxyy_xxxyzzz_1, tg_xxxxyy_xxxyzzzz_0, tg_xxxxyy_xxxyzzzz_1, tg_xxxxyy_xxxzzzz_1, \
                                         tg_xxxxyy_xxxzzzzz_0, tg_xxxxyy_xxxzzzzz_1, tg_xxxxyy_xxyyyyy_1, tg_xxxxyy_xxyyyyyy_0, \
                                         tg_xxxxyy_xxyyyyyy_1, tg_xxxxyy_xxyyyyyz_0, tg_xxxxyy_xxyyyyyz_1, tg_xxxxyy_xxyyyyz_1, \
                                         tg_xxxxyy_xxyyyyzz_0, tg_xxxxyy_xxyyyyzz_1, tg_xxxxyy_xxyyyzz_1, tg_xxxxyy_xxyyyzzz_0, \
                                         tg_xxxxyy_xxyyyzzz_1, tg_xxxxyy_xxyyzzz_1, tg_xxxxyy_xxyyzzzz_0, tg_xxxxyy_xxyyzzzz_1, \
                                         tg_xxxxyy_xxyzzzz_1, tg_xxxxyy_xxyzzzzz_0, tg_xxxxyy_xxyzzzzz_1, tg_xxxxyy_xxzzzzz_1, \
                                         tg_xxxxyy_xxzzzzzz_0, tg_xxxxyy_xxzzzzzz_1, tg_xxxxyy_xyyyyyy_1, tg_xxxxyy_xyyyyyyy_0, \
                                         tg_xxxxyy_xyyyyyyy_1, tg_xxxxyy_xyyyyyyz_0, tg_xxxxyy_xyyyyyyz_1, tg_xxxxyy_xyyyyyz_1, \
                                         tg_xxxxyy_xyyyyyzz_0, tg_xxxxyy_xyyyyyzz_1, tg_xxxxyy_xyyyyzz_1, tg_xxxxyy_xyyyyzzz_0, \
                                         tg_xxxxyy_xyyyyzzz_1, tg_xxxxyy_xyyyzzz_1, tg_xxxxyy_xyyyzzzz_0, tg_xxxxyy_xyyyzzzz_1, \
                                         tg_xxxxyy_xyyzzzz_1, tg_xxxxyy_xyyzzzzz_0, tg_xxxxyy_xyyzzzzz_1, tg_xxxxyy_xyzzzzz_1, \
                                         tg_xxxxyy_xyzzzzzz_0, tg_xxxxyy_xyzzzzzz_1, tg_xxxxyy_xzzzzzz_1, tg_xxxxyy_xzzzzzzz_0, \
                                         tg_xxxxyy_xzzzzzzz_1, tg_xxxxyy_yyyyyyy_1, tg_xxxxyy_yyyyyyyy_0, tg_xxxxyy_yyyyyyyy_1, \
                                         tg_xxxxyy_yyyyyyyz_0, tg_xxxxyy_yyyyyyyz_1, tg_xxxxyy_yyyyyyz_1, tg_xxxxyy_yyyyyyzz_0, \
                                         tg_xxxxyy_yyyyyyzz_1, tg_xxxxyy_yyyyyzz_1, tg_xxxxyy_yyyyyzzz_0, tg_xxxxyy_yyyyyzzz_1, \
                                         tg_xxxxyy_yyyyzzz_1, tg_xxxxyy_yyyyzzzz_0, tg_xxxxyy_yyyyzzzz_1, tg_xxxxyy_yyyzzzz_1, \
                                         tg_xxxxyy_yyyzzzzz_0, tg_xxxxyy_yyyzzzzz_1, tg_xxxxyy_yyzzzzz_1, tg_xxxxyy_yyzzzzzz_0, \
                                         tg_xxxxyy_yyzzzzzz_1, tg_xxxxyy_yzzzzzz_1, tg_xxxxyy_yzzzzzzz_0, tg_xxxxyy_yzzzzzzz_1, \
                                         tg_xxxxyy_zzzzzzz_1, tg_xxxxyy_zzzzzzzz_0, tg_xxxxyy_zzzzzzzz_1, tg_xxxxyz_xxxxxxx_1, \
                                         tg_xxxxyz_xxxxxxxx_0, tg_xxxxyz_xxxxxxxx_1, tg_xxxxyz_xxxxxxxy_0, tg_xxxxyz_xxxxxxxy_1, \
                                         tg_xxxxyz_xxxxxxxz_0, tg_xxxxyz_xxxxxxxz_1, tg_xxxxyz_xxxxxxy_1, tg_xxxxyz_xxxxxxyy_0, \
                                         tg_xxxxyz_xxxxxxyy_1, tg_xxxxyz_xxxxxxyz_0, tg_xxxxyz_xxxxxxyz_1, tg_xxxxyz_xxxxxxz_1, \
                                         tg_xxxxyz_xxxxxxzz_0, tg_xxxxyz_xxxxxxzz_1, tg_xxxxyz_xxxxxyy_1, tg_xxxxyz_xxxxxyyy_0, \
                                         tg_xxxxyz_xxxxxyyy_1, tg_xxxxyz_xxxxxyyz_0, tg_xxxxyz_xxxxxyyz_1, tg_xxxxyz_xxxxxyz_1, \
                                         tg_xxxxyz_xxxxxyzz_0, tg_xxxxyz_xxxxxyzz_1, tg_xxxxyz_xxxxxzz_1, tg_xxxxyz_xxxxxzzz_0, \
                                         tg_xxxxyz_xxxxxzzz_1, tg_xxxxyz_xxxxyyy_1, tg_xxxxyz_xxxxyyyy_0, tg_xxxxyz_xxxxyyyy_1, \
                                         tg_xxxxyz_xxxxyyyz_0, tg_xxxxyz_xxxxyyyz_1, tg_xxxxyz_xxxxyyz_1, tg_xxxxyz_xxxxyzz_1, \
                                         tg_xxxxyz_xxxxzzz_1, tg_xxxxyz_xxxyyyy_1, tg_xxxxyz_xxxyyyz_1, tg_xxxxz_xxxxxyyy_0, \
                                         tg_xxxxz_xxxxxyyy_1, tg_xxxxz_xxxxxyyz_0, tg_xxxxz_xxxxxyyz_1, tg_xxxxz_xxxxxyzz_0, \
                                         tg_xxxxz_xxxxxyzz_1, tg_xxxxz_xxxxxzzz_0, tg_xxxxz_xxxxxzzz_1, tg_xxxxz_xxxxyyyy_0, \
                                         tg_xxxxz_xxxxyyyy_1, tg_xxxxz_xxxxyyyz_0, tg_xxxxz_xxxxyyyz_1, tg_xxxxz_xxxxyyzz_0, \
                                         tg_xxxxz_xxxxyyzz_1, tg_xxxxz_xxxxyzzz_0, tg_xxxxz_xxxxyzzz_1, tg_xxxxz_xxxxzzzz_0, \
                                         tg_xxxxz_xxxxzzzz_1, tg_xxxxz_xxxyyyyy_0, tg_xxxxz_xxxyyyyy_1, tg_xxxxz_xxxyyyyz_0, \
                                         tg_xxxxz_xxxyyyyz_1, tg_xxxxz_xxxyyyzz_0, tg_xxxxz_xxxyyyzz_1, tg_xxxxz_xxxyyzzz_0, \
                                         tg_xxxxz_xxxyyzzz_1, tg_xxxxz_xxxyzzzz_0, tg_xxxxz_xxxyzzzz_1, tg_xxxxz_xxxzzzzz_0, \
                                         tg_xxxxz_xxxzzzzz_1, tg_xxxxz_xxyyyyyy_0, tg_xxxxz_xxyyyyyy_1, tg_xxxxz_xxyyyyyz_0, \
                                         tg_xxxxz_xxyyyyyz_1, tg_xxxxz_xxyyyyzz_0, tg_xxxxz_xxyyyyzz_1, tg_xxxxz_xxyyyzzz_0, \
                                         tg_xxxxz_xxyyyzzz_1, tg_xxxxz_xxyyzzzz_0, tg_xxxxz_xxyyzzzz_1, tg_xxxxz_xxyzzzzz_0, \
                                         tg_xxxxz_xxyzzzzz_1, tg_xxxxz_xxzzzzzz_0, tg_xxxxz_xxzzzzzz_1, tg_xxxxz_xyyyyyyy_0, \
                                         tg_xxxxz_xyyyyyyy_1, tg_xxxxz_xyyyyyyz_0, tg_xxxxz_xyyyyyyz_1, tg_xxxxz_xyyyyyzz_0, \
                                         tg_xxxxz_xyyyyyzz_1, tg_xxxxz_xyyyyzzz_0, tg_xxxxz_xyyyyzzz_1, tg_xxxxz_xyyyzzzz_0, \
                                         tg_xxxxz_xyyyzzzz_1, tg_xxxxz_xyyzzzzz_0, tg_xxxxz_xyyzzzzz_1, tg_xxxxz_xyzzzzzz_0, \
                                         tg_xxxxz_xyzzzzzz_1, tg_xxxxz_xzzzzzzz_0, tg_xxxxz_xzzzzzzz_1, tg_xxxxz_yyyyyyyy_0, \
                                         tg_xxxxz_yyyyyyyy_1, tg_xxxxz_yyyyyyyz_0, tg_xxxxz_yyyyyyyz_1, tg_xxxxz_yyyyyyzz_0, \
                                         tg_xxxxz_yyyyyyzz_1, tg_xxxxz_yyyyyzzz_0, tg_xxxxz_yyyyyzzz_1, tg_xxxxz_yyyyzzzz_0, \
                                         tg_xxxxz_yyyyzzzz_1, tg_xxxxz_yyyzzzzz_0, tg_xxxxz_yyyzzzzz_1, tg_xxxxz_yyzzzzzz_0, \
                                         tg_xxxxz_yyzzzzzz_1, tg_xxxxz_yzzzzzzz_0, tg_xxxxz_yzzzzzzz_1, tg_xxxxz_zzzzzzzz_0, \
                                         tg_xxxxz_zzzzzzzz_1, tg_xxxyy_xxxxxxxx_0, tg_xxxyy_xxxxxxxx_1, tg_xxxyy_xxxxxxxy_0, \
                                         tg_xxxyy_xxxxxxxy_1, tg_xxxyy_xxxxxxxz_0, tg_xxxyy_xxxxxxxz_1, tg_xxxyy_xxxxxxyy_0, \
                                         tg_xxxyy_xxxxxxyy_1, tg_xxxyy_xxxxxxyz_0, tg_xxxyy_xxxxxxyz_1, tg_xxxyy_xxxxxxzz_0, \
                                         tg_xxxyy_xxxxxxzz_1, tg_xxxyy_xxxxxyyy_0, tg_xxxyy_xxxxxyyy_1, tg_xxxyy_xxxxxyyz_0, \
                                         tg_xxxyy_xxxxxyyz_1, tg_xxxyy_xxxxxyzz_0, tg_xxxyy_xxxxxyzz_1, tg_xxxyy_xxxxxzzz_0, \
                                         tg_xxxyy_xxxxxzzz_1, tg_xxxyy_xxxxyyyy_0, tg_xxxyy_xxxxyyyy_1, tg_xxxyy_xxxxyyyz_0, \
                                         tg_xxxyy_xxxxyyyz_1, tg_xxxyy_xxxxyyzz_0, tg_xxxyy_xxxxyyzz_1, tg_xxxyy_xxxxyzzz_0, \
                                         tg_xxxyy_xxxxyzzz_1, tg_xxxyy_xxxxzzzz_0, tg_xxxyy_xxxxzzzz_1, tg_xxxyy_xxxyyyyy_0, \
                                         tg_xxxyy_xxxyyyyy_1, tg_xxxyy_xxxyyyyz_0, tg_xxxyy_xxxyyyyz_1, tg_xxxyy_xxxyyyzz_0, \
                                         tg_xxxyy_xxxyyyzz_1, tg_xxxyy_xxxyyzzz_0, tg_xxxyy_xxxyyzzz_1, tg_xxxyy_xxxyzzzz_0, \
                                         tg_xxxyy_xxxyzzzz_1, tg_xxxyy_xxxzzzzz_0, tg_xxxyy_xxxzzzzz_1, tg_xxxyy_xxyyyyyy_0, \
                                         tg_xxxyy_xxyyyyyy_1, tg_xxxyy_xxyyyyyz_0, tg_xxxyy_xxyyyyyz_1, tg_xxxyy_xxyyyyzz_0, \
                                         tg_xxxyy_xxyyyyzz_1, tg_xxxyy_xxyyyzzz_0, tg_xxxyy_xxyyyzzz_1, tg_xxxyy_xxyyzzzz_0, \
                                         tg_xxxyy_xxyyzzzz_1, tg_xxxyy_xxyzzzzz_0, tg_xxxyy_xxyzzzzz_1, tg_xxxyy_xxzzzzzz_0, \
                                         tg_xxxyy_xxzzzzzz_1, tg_xxxyy_xyyyyyyy_0, tg_xxxyy_xyyyyyyy_1, tg_xxxyy_xyyyyyyz_0, \
                                         tg_xxxyy_xyyyyyyz_1, tg_xxxyy_xyyyyyzz_0, tg_xxxyy_xyyyyyzz_1, tg_xxxyy_xyyyyzzz_0, \
                                         tg_xxxyy_xyyyyzzz_1, tg_xxxyy_xyyyzzzz_0, tg_xxxyy_xyyyzzzz_1, tg_xxxyy_xyyzzzzz_0, \
                                         tg_xxxyy_xyyzzzzz_1, tg_xxxyy_xyzzzzzz_0, tg_xxxyy_xyzzzzzz_1, tg_xxxyy_xzzzzzzz_0, \
                                         tg_xxxyy_xzzzzzzz_1, tg_xxxyy_yyyyyyyy_0, tg_xxxyy_yyyyyyyy_1, tg_xxxyy_yyyyyyyz_0, \
                                         tg_xxxyy_yyyyyyyz_1, tg_xxxyy_yyyyyyzz_0, tg_xxxyy_yyyyyyzz_1, tg_xxxyy_yyyyyzzz_0, \
                                         tg_xxxyy_yyyyyzzz_1, tg_xxxyy_yyyyzzzz_0, tg_xxxyy_yyyyzzzz_1, tg_xxxyy_yyyzzzzz_0, \
                                         tg_xxxyy_yyyzzzzz_1, tg_xxxyy_yyzzzzzz_0, tg_xxxyy_yyzzzzzz_1, tg_xxxyy_yzzzzzzz_0, \
                                         tg_xxxyy_yzzzzzzz_1, tg_xxxyy_zzzzzzzz_0, tg_xxxyy_zzzzzzzz_1, tg_xxxyz_xxxxxxxx_0, \
                                         tg_xxxyz_xxxxxxxx_1, tg_xxxyz_xxxxxxxy_0, tg_xxxyz_xxxxxxxy_1, tg_xxxyz_xxxxxxxz_0, \
                                         tg_xxxyz_xxxxxxxz_1, tg_xxxyz_xxxxxxyy_0, tg_xxxyz_xxxxxxyy_1, tg_xxxyz_xxxxxxyz_0, \
                                         tg_xxxyz_xxxxxxyz_1, tg_xxxyz_xxxxxxzz_0, tg_xxxyz_xxxxxxzz_1, tg_xxxyz_xxxxxyyy_0, \
                                         tg_xxxyz_xxxxxyyy_1, tg_xxxyz_xxxxxyyz_0, tg_xxxyz_xxxxxyyz_1, tg_xxxyz_xxxxxyzz_0, \
                                         tg_xxxyz_xxxxxyzz_1, tg_xxxyz_xxxxxzzz_0, tg_xxxyz_xxxxxzzz_1, tg_xxxyz_xxxxyyyy_0, \
                                         tg_xxxyz_xxxxyyyy_1, tg_xxxyz_xxxxyyyz_0, tg_xxxyz_xxxxyyyz_1, wp_x: VLX_ALIGN)
                for (int32_t j = 0; j < nKetPrimPairs; j++)
                {
                    double fl1_fx = fx;

                    double fl1_fxn = fxn[j];

                    double fl1_fza = fza[j];

                    double fr = wp_x[j]; 

                    tg_xxxxxxz_xxxxxyyy_0[j] = pb_x * tg_xxxxxz_xxxxxyyy_0[j] + fr * tg_xxxxxz_xxxxxyyy_1[j] + 2.5 * fl1_fx * (tg_xxxxz_xxxxxyyy_0[j] - tg_xxxxz_xxxxxyyy_1[j] * fl1_fza) + 2.5 * fl1_fxn * tg_xxxxxz_xxxxyyy_1[j];

                    tg_xxxxxxz_xxxxxyyz_0[j] = pb_x * tg_xxxxxz_xxxxxyyz_0[j] + fr * tg_xxxxxz_xxxxxyyz_1[j] + 2.5 * fl1_fx * (tg_xxxxz_xxxxxyyz_0[j] - tg_xxxxz_xxxxxyyz_1[j] * fl1_fza) + 2.5 * fl1_fxn * tg_xxxxxz_xxxxyyz_1[j];

                    tg_xxxxxxz_xxxxxyzz_0[j] = pb_x * tg_xxxxxz_xxxxxyzz_0[j] + fr * tg_xxxxxz_xxxxxyzz_1[j] + 2.5 * fl1_fx * (tg_xxxxz_xxxxxyzz_0[j] - tg_xxxxz_xxxxxyzz_1[j] * fl1_fza) + 2.5 * fl1_fxn * tg_xxxxxz_xxxxyzz_1[j];

                    tg_xxxxxxz_xxxxxzzz_0[j] = pb_x * tg_xxxxxz_xxxxxzzz_0[j] + fr * tg_xxxxxz_xxxxxzzz_1[j] + 2.5 * fl1_fx * (tg_xxxxz_xxxxxzzz_0[j] - tg_xxxxz_xxxxxzzz_1[j] * fl1_fza) + 2.5 * fl1_fxn * tg_xxxxxz_xxxxzzz_1[j];

                    tg_xxxxxxz_xxxxyyyy_0[j] = pb_x * tg_xxxxxz_xxxxyyyy_0[j] + fr * tg_xxxxxz_xxxxyyyy_1[j] + 2.5 * fl1_fx * (tg_xxxxz_xxxxyyyy_0[j] - tg_xxxxz_xxxxyyyy_1[j] * fl1_fza) + 2.0 * fl1_fxn * tg_xxxxxz_xxxyyyy_1[j];

                    tg_xxxxxxz_xxxxyyyz_0[j] = pb_x * tg_xxxxxz_xxxxyyyz_0[j] + fr * tg_xxxxxz_xxxxyyyz_1[j] + 2.5 * fl1_fx * (tg_xxxxz_xxxxyyyz_0[j] - tg_xxxxz_xxxxyyyz_1[j] * fl1_fza) + 2.0 * fl1_fxn * tg_xxxxxz_xxxyyyz_1[j];

                    tg_xxxxxxz_xxxxyyzz_0[j] = pb_x * tg_xxxxxz_xxxxyyzz_0[j] + fr * tg_xxxxxz_xxxxyyzz_1[j] + 2.5 * fl1_fx * (tg_xxxxz_xxxxyyzz_0[j] - tg_xxxxz_xxxxyyzz_1[j] * fl1_fza) + 2.0 * fl1_fxn * tg_xxxxxz_xxxyyzz_1[j];

                    tg_xxxxxxz_xxxxyzzz_0[j] = pb_x * tg_xxxxxz_xxxxyzzz_0[j] + fr * tg_xxxxxz_xxxxyzzz_1[j] + 2.5 * fl1_fx * (tg_xxxxz_xxxxyzzz_0[j] - tg_xxxxz_xxxxyzzz_1[j] * fl1_fza) + 2.0 * fl1_fxn * tg_xxxxxz_xxxyzzz_1[j];

                    tg_xxxxxxz_xxxxzzzz_0[j] = pb_x * tg_xxxxxz_xxxxzzzz_0[j] + fr * tg_xxxxxz_xxxxzzzz_1[j] + 2.5 * fl1_fx * (tg_xxxxz_xxxxzzzz_0[j] - tg_xxxxz_xxxxzzzz_1[j] * fl1_fza) + 2.0 * fl1_fxn * tg_xxxxxz_xxxzzzz_1[j];

                    tg_xxxxxxz_xxxyyyyy_0[j] = pb_x * tg_xxxxxz_xxxyyyyy_0[j] + fr * tg_xxxxxz_xxxyyyyy_1[j] + 2.5 * fl1_fx * (tg_xxxxz_xxxyyyyy_0[j] - tg_xxxxz_xxxyyyyy_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_xxxxxz_xxyyyyy_1[j];

                    tg_xxxxxxz_xxxyyyyz_0[j] = pb_x * tg_xxxxxz_xxxyyyyz_0[j] + fr * tg_xxxxxz_xxxyyyyz_1[j] + 2.5 * fl1_fx * (tg_xxxxz_xxxyyyyz_0[j] - tg_xxxxz_xxxyyyyz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_xxxxxz_xxyyyyz_1[j];

                    tg_xxxxxxz_xxxyyyzz_0[j] = pb_x * tg_xxxxxz_xxxyyyzz_0[j] + fr * tg_xxxxxz_xxxyyyzz_1[j] + 2.5 * fl1_fx * (tg_xxxxz_xxxyyyzz_0[j] - tg_xxxxz_xxxyyyzz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_xxxxxz_xxyyyzz_1[j];

                    tg_xxxxxxz_xxxyyzzz_0[j] = pb_x * tg_xxxxxz_xxxyyzzz_0[j] + fr * tg_xxxxxz_xxxyyzzz_1[j] + 2.5 * fl1_fx * (tg_xxxxz_xxxyyzzz_0[j] - tg_xxxxz_xxxyyzzz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_xxxxxz_xxyyzzz_1[j];

                    tg_xxxxxxz_xxxyzzzz_0[j] = pb_x * tg_xxxxxz_xxxyzzzz_0[j] + fr * tg_xxxxxz_xxxyzzzz_1[j] + 2.5 * fl1_fx * (tg_xxxxz_xxxyzzzz_0[j] - tg_xxxxz_xxxyzzzz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_xxxxxz_xxyzzzz_1[j];

                    tg_xxxxxxz_xxxzzzzz_0[j] = pb_x * tg_xxxxxz_xxxzzzzz_0[j] + fr * tg_xxxxxz_xxxzzzzz_1[j] + 2.5 * fl1_fx * (tg_xxxxz_xxxzzzzz_0[j] - tg_xxxxz_xxxzzzzz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_xxxxxz_xxzzzzz_1[j];

                    tg_xxxxxxz_xxyyyyyy_0[j] = pb_x * tg_xxxxxz_xxyyyyyy_0[j] + fr * tg_xxxxxz_xxyyyyyy_1[j] + 2.5 * fl1_fx * (tg_xxxxz_xxyyyyyy_0[j] - tg_xxxxz_xxyyyyyy_1[j] * fl1_fza) + fl1_fxn * tg_xxxxxz_xyyyyyy_1[j];

                    tg_xxxxxxz_xxyyyyyz_0[j] = pb_x * tg_xxxxxz_xxyyyyyz_0[j] + fr * tg_xxxxxz_xxyyyyyz_1[j] + 2.5 * fl1_fx * (tg_xxxxz_xxyyyyyz_0[j] - tg_xxxxz_xxyyyyyz_1[j] * fl1_fza) + fl1_fxn * tg_xxxxxz_xyyyyyz_1[j];

                    tg_xxxxxxz_xxyyyyzz_0[j] = pb_x * tg_xxxxxz_xxyyyyzz_0[j] + fr * tg_xxxxxz_xxyyyyzz_1[j] + 2.5 * fl1_fx * (tg_xxxxz_xxyyyyzz_0[j] - tg_xxxxz_xxyyyyzz_1[j] * fl1_fza) + fl1_fxn * tg_xxxxxz_xyyyyzz_1[j];

                    tg_xxxxxxz_xxyyyzzz_0[j] = pb_x * tg_xxxxxz_xxyyyzzz_0[j] + fr * tg_xxxxxz_xxyyyzzz_1[j] + 2.5 * fl1_fx * (tg_xxxxz_xxyyyzzz_0[j] - tg_xxxxz_xxyyyzzz_1[j] * fl1_fza) + fl1_fxn * tg_xxxxxz_xyyyzzz_1[j];

                    tg_xxxxxxz_xxyyzzzz_0[j] = pb_x * tg_xxxxxz_xxyyzzzz_0[j] + fr * tg_xxxxxz_xxyyzzzz_1[j] + 2.5 * fl1_fx * (tg_xxxxz_xxyyzzzz_0[j] - tg_xxxxz_xxyyzzzz_1[j] * fl1_fza) + fl1_fxn * tg_xxxxxz_xyyzzzz_1[j];

                    tg_xxxxxxz_xxyzzzzz_0[j] = pb_x * tg_xxxxxz_xxyzzzzz_0[j] + fr * tg_xxxxxz_xxyzzzzz_1[j] + 2.5 * fl1_fx * (tg_xxxxz_xxyzzzzz_0[j] - tg_xxxxz_xxyzzzzz_1[j] * fl1_fza) + fl1_fxn * tg_xxxxxz_xyzzzzz_1[j];

                    tg_xxxxxxz_xxzzzzzz_0[j] = pb_x * tg_xxxxxz_xxzzzzzz_0[j] + fr * tg_xxxxxz_xxzzzzzz_1[j] + 2.5 * fl1_fx * (tg_xxxxz_xxzzzzzz_0[j] - tg_xxxxz_xxzzzzzz_1[j] * fl1_fza) + fl1_fxn * tg_xxxxxz_xzzzzzz_1[j];

                    tg_xxxxxxz_xyyyyyyy_0[j] = pb_x * tg_xxxxxz_xyyyyyyy_0[j] + fr * tg_xxxxxz_xyyyyyyy_1[j] + 2.5 * fl1_fx * (tg_xxxxz_xyyyyyyy_0[j] - tg_xxxxz_xyyyyyyy_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xxxxxz_yyyyyyy_1[j];

                    tg_xxxxxxz_xyyyyyyz_0[j] = pb_x * tg_xxxxxz_xyyyyyyz_0[j] + fr * tg_xxxxxz_xyyyyyyz_1[j] + 2.5 * fl1_fx * (tg_xxxxz_xyyyyyyz_0[j] - tg_xxxxz_xyyyyyyz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xxxxxz_yyyyyyz_1[j];

                    tg_xxxxxxz_xyyyyyzz_0[j] = pb_x * tg_xxxxxz_xyyyyyzz_0[j] + fr * tg_xxxxxz_xyyyyyzz_1[j] + 2.5 * fl1_fx * (tg_xxxxz_xyyyyyzz_0[j] - tg_xxxxz_xyyyyyzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xxxxxz_yyyyyzz_1[j];

                    tg_xxxxxxz_xyyyyzzz_0[j] = pb_x * tg_xxxxxz_xyyyyzzz_0[j] + fr * tg_xxxxxz_xyyyyzzz_1[j] + 2.5 * fl1_fx * (tg_xxxxz_xyyyyzzz_0[j] - tg_xxxxz_xyyyyzzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xxxxxz_yyyyzzz_1[j];

                    tg_xxxxxxz_xyyyzzzz_0[j] = pb_x * tg_xxxxxz_xyyyzzzz_0[j] + fr * tg_xxxxxz_xyyyzzzz_1[j] + 2.5 * fl1_fx * (tg_xxxxz_xyyyzzzz_0[j] - tg_xxxxz_xyyyzzzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xxxxxz_yyyzzzz_1[j];

                    tg_xxxxxxz_xyyzzzzz_0[j] = pb_x * tg_xxxxxz_xyyzzzzz_0[j] + fr * tg_xxxxxz_xyyzzzzz_1[j] + 2.5 * fl1_fx * (tg_xxxxz_xyyzzzzz_0[j] - tg_xxxxz_xyyzzzzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xxxxxz_yyzzzzz_1[j];

                    tg_xxxxxxz_xyzzzzzz_0[j] = pb_x * tg_xxxxxz_xyzzzzzz_0[j] + fr * tg_xxxxxz_xyzzzzzz_1[j] + 2.5 * fl1_fx * (tg_xxxxz_xyzzzzzz_0[j] - tg_xxxxz_xyzzzzzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xxxxxz_yzzzzzz_1[j];

                    tg_xxxxxxz_xzzzzzzz_0[j] = pb_x * tg_xxxxxz_xzzzzzzz_0[j] + fr * tg_xxxxxz_xzzzzzzz_1[j] + 2.5 * fl1_fx * (tg_xxxxz_xzzzzzzz_0[j] - tg_xxxxz_xzzzzzzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xxxxxz_zzzzzzz_1[j];

                    tg_xxxxxxz_yyyyyyyy_0[j] = pb_x * tg_xxxxxz_yyyyyyyy_0[j] + fr * tg_xxxxxz_yyyyyyyy_1[j] + 2.5 * fl1_fx * (tg_xxxxz_yyyyyyyy_0[j] - tg_xxxxz_yyyyyyyy_1[j] * fl1_fza);

                    tg_xxxxxxz_yyyyyyyz_0[j] = pb_x * tg_xxxxxz_yyyyyyyz_0[j] + fr * tg_xxxxxz_yyyyyyyz_1[j] + 2.5 * fl1_fx * (tg_xxxxz_yyyyyyyz_0[j] - tg_xxxxz_yyyyyyyz_1[j] * fl1_fza);

                    tg_xxxxxxz_yyyyyyzz_0[j] = pb_x * tg_xxxxxz_yyyyyyzz_0[j] + fr * tg_xxxxxz_yyyyyyzz_1[j] + 2.5 * fl1_fx * (tg_xxxxz_yyyyyyzz_0[j] - tg_xxxxz_yyyyyyzz_1[j] * fl1_fza);

                    tg_xxxxxxz_yyyyyzzz_0[j] = pb_x * tg_xxxxxz_yyyyyzzz_0[j] + fr * tg_xxxxxz_yyyyyzzz_1[j] + 2.5 * fl1_fx * (tg_xxxxz_yyyyyzzz_0[j] - tg_xxxxz_yyyyyzzz_1[j] * fl1_fza);

                    tg_xxxxxxz_yyyyzzzz_0[j] = pb_x * tg_xxxxxz_yyyyzzzz_0[j] + fr * tg_xxxxxz_yyyyzzzz_1[j] + 2.5 * fl1_fx * (tg_xxxxz_yyyyzzzz_0[j] - tg_xxxxz_yyyyzzzz_1[j] * fl1_fza);

                    tg_xxxxxxz_yyyzzzzz_0[j] = pb_x * tg_xxxxxz_yyyzzzzz_0[j] + fr * tg_xxxxxz_yyyzzzzz_1[j] + 2.5 * fl1_fx * (tg_xxxxz_yyyzzzzz_0[j] - tg_xxxxz_yyyzzzzz_1[j] * fl1_fza);

                    tg_xxxxxxz_yyzzzzzz_0[j] = pb_x * tg_xxxxxz_yyzzzzzz_0[j] + fr * tg_xxxxxz_yyzzzzzz_1[j] + 2.5 * fl1_fx * (tg_xxxxz_yyzzzzzz_0[j] - tg_xxxxz_yyzzzzzz_1[j] * fl1_fza);

                    tg_xxxxxxz_yzzzzzzz_0[j] = pb_x * tg_xxxxxz_yzzzzzzz_0[j] + fr * tg_xxxxxz_yzzzzzzz_1[j] + 2.5 * fl1_fx * (tg_xxxxz_yzzzzzzz_0[j] - tg_xxxxz_yzzzzzzz_1[j] * fl1_fza);

                    tg_xxxxxxz_zzzzzzzz_0[j] = pb_x * tg_xxxxxz_zzzzzzzz_0[j] + fr * tg_xxxxxz_zzzzzzzz_1[j] + 2.5 * fl1_fx * (tg_xxxxz_zzzzzzzz_0[j] - tg_xxxxz_zzzzzzzz_1[j] * fl1_fza);

                    tg_xxxxxyy_xxxxxxxx_0[j] = pb_x * tg_xxxxyy_xxxxxxxx_0[j] + fr * tg_xxxxyy_xxxxxxxx_1[j] + 2.0 * fl1_fx * (tg_xxxyy_xxxxxxxx_0[j] - tg_xxxyy_xxxxxxxx_1[j] * fl1_fza) + 4.0 * fl1_fxn * tg_xxxxyy_xxxxxxx_1[j];

                    tg_xxxxxyy_xxxxxxxy_0[j] = pb_x * tg_xxxxyy_xxxxxxxy_0[j] + fr * tg_xxxxyy_xxxxxxxy_1[j] + 2.0 * fl1_fx * (tg_xxxyy_xxxxxxxy_0[j] - tg_xxxyy_xxxxxxxy_1[j] * fl1_fza) + 3.5 * fl1_fxn * tg_xxxxyy_xxxxxxy_1[j];

                    tg_xxxxxyy_xxxxxxxz_0[j] = pb_x * tg_xxxxyy_xxxxxxxz_0[j] + fr * tg_xxxxyy_xxxxxxxz_1[j] + 2.0 * fl1_fx * (tg_xxxyy_xxxxxxxz_0[j] - tg_xxxyy_xxxxxxxz_1[j] * fl1_fza) + 3.5 * fl1_fxn * tg_xxxxyy_xxxxxxz_1[j];

                    tg_xxxxxyy_xxxxxxyy_0[j] = pb_x * tg_xxxxyy_xxxxxxyy_0[j] + fr * tg_xxxxyy_xxxxxxyy_1[j] + 2.0 * fl1_fx * (tg_xxxyy_xxxxxxyy_0[j] - tg_xxxyy_xxxxxxyy_1[j] * fl1_fza) + 3.0 * fl1_fxn * tg_xxxxyy_xxxxxyy_1[j];

                    tg_xxxxxyy_xxxxxxyz_0[j] = pb_x * tg_xxxxyy_xxxxxxyz_0[j] + fr * tg_xxxxyy_xxxxxxyz_1[j] + 2.0 * fl1_fx * (tg_xxxyy_xxxxxxyz_0[j] - tg_xxxyy_xxxxxxyz_1[j] * fl1_fza) + 3.0 * fl1_fxn * tg_xxxxyy_xxxxxyz_1[j];

                    tg_xxxxxyy_xxxxxxzz_0[j] = pb_x * tg_xxxxyy_xxxxxxzz_0[j] + fr * tg_xxxxyy_xxxxxxzz_1[j] + 2.0 * fl1_fx * (tg_xxxyy_xxxxxxzz_0[j] - tg_xxxyy_xxxxxxzz_1[j] * fl1_fza) + 3.0 * fl1_fxn * tg_xxxxyy_xxxxxzz_1[j];

                    tg_xxxxxyy_xxxxxyyy_0[j] = pb_x * tg_xxxxyy_xxxxxyyy_0[j] + fr * tg_xxxxyy_xxxxxyyy_1[j] + 2.0 * fl1_fx * (tg_xxxyy_xxxxxyyy_0[j] - tg_xxxyy_xxxxxyyy_1[j] * fl1_fza) + 2.5 * fl1_fxn * tg_xxxxyy_xxxxyyy_1[j];

                    tg_xxxxxyy_xxxxxyyz_0[j] = pb_x * tg_xxxxyy_xxxxxyyz_0[j] + fr * tg_xxxxyy_xxxxxyyz_1[j] + 2.0 * fl1_fx * (tg_xxxyy_xxxxxyyz_0[j] - tg_xxxyy_xxxxxyyz_1[j] * fl1_fza) + 2.5 * fl1_fxn * tg_xxxxyy_xxxxyyz_1[j];

                    tg_xxxxxyy_xxxxxyzz_0[j] = pb_x * tg_xxxxyy_xxxxxyzz_0[j] + fr * tg_xxxxyy_xxxxxyzz_1[j] + 2.0 * fl1_fx * (tg_xxxyy_xxxxxyzz_0[j] - tg_xxxyy_xxxxxyzz_1[j] * fl1_fza) + 2.5 * fl1_fxn * tg_xxxxyy_xxxxyzz_1[j];

                    tg_xxxxxyy_xxxxxzzz_0[j] = pb_x * tg_xxxxyy_xxxxxzzz_0[j] + fr * tg_xxxxyy_xxxxxzzz_1[j] + 2.0 * fl1_fx * (tg_xxxyy_xxxxxzzz_0[j] - tg_xxxyy_xxxxxzzz_1[j] * fl1_fza) + 2.5 * fl1_fxn * tg_xxxxyy_xxxxzzz_1[j];

                    tg_xxxxxyy_xxxxyyyy_0[j] = pb_x * tg_xxxxyy_xxxxyyyy_0[j] + fr * tg_xxxxyy_xxxxyyyy_1[j] + 2.0 * fl1_fx * (tg_xxxyy_xxxxyyyy_0[j] - tg_xxxyy_xxxxyyyy_1[j] * fl1_fza) + 2.0 * fl1_fxn * tg_xxxxyy_xxxyyyy_1[j];

                    tg_xxxxxyy_xxxxyyyz_0[j] = pb_x * tg_xxxxyy_xxxxyyyz_0[j] + fr * tg_xxxxyy_xxxxyyyz_1[j] + 2.0 * fl1_fx * (tg_xxxyy_xxxxyyyz_0[j] - tg_xxxyy_xxxxyyyz_1[j] * fl1_fza) + 2.0 * fl1_fxn * tg_xxxxyy_xxxyyyz_1[j];

                    tg_xxxxxyy_xxxxyyzz_0[j] = pb_x * tg_xxxxyy_xxxxyyzz_0[j] + fr * tg_xxxxyy_xxxxyyzz_1[j] + 2.0 * fl1_fx * (tg_xxxyy_xxxxyyzz_0[j] - tg_xxxyy_xxxxyyzz_1[j] * fl1_fza) + 2.0 * fl1_fxn * tg_xxxxyy_xxxyyzz_1[j];

                    tg_xxxxxyy_xxxxyzzz_0[j] = pb_x * tg_xxxxyy_xxxxyzzz_0[j] + fr * tg_xxxxyy_xxxxyzzz_1[j] + 2.0 * fl1_fx * (tg_xxxyy_xxxxyzzz_0[j] - tg_xxxyy_xxxxyzzz_1[j] * fl1_fza) + 2.0 * fl1_fxn * tg_xxxxyy_xxxyzzz_1[j];

                    tg_xxxxxyy_xxxxzzzz_0[j] = pb_x * tg_xxxxyy_xxxxzzzz_0[j] + fr * tg_xxxxyy_xxxxzzzz_1[j] + 2.0 * fl1_fx * (tg_xxxyy_xxxxzzzz_0[j] - tg_xxxyy_xxxxzzzz_1[j] * fl1_fza) + 2.0 * fl1_fxn * tg_xxxxyy_xxxzzzz_1[j];

                    tg_xxxxxyy_xxxyyyyy_0[j] = pb_x * tg_xxxxyy_xxxyyyyy_0[j] + fr * tg_xxxxyy_xxxyyyyy_1[j] + 2.0 * fl1_fx * (tg_xxxyy_xxxyyyyy_0[j] - tg_xxxyy_xxxyyyyy_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_xxxxyy_xxyyyyy_1[j];

                    tg_xxxxxyy_xxxyyyyz_0[j] = pb_x * tg_xxxxyy_xxxyyyyz_0[j] + fr * tg_xxxxyy_xxxyyyyz_1[j] + 2.0 * fl1_fx * (tg_xxxyy_xxxyyyyz_0[j] - tg_xxxyy_xxxyyyyz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_xxxxyy_xxyyyyz_1[j];

                    tg_xxxxxyy_xxxyyyzz_0[j] = pb_x * tg_xxxxyy_xxxyyyzz_0[j] + fr * tg_xxxxyy_xxxyyyzz_1[j] + 2.0 * fl1_fx * (tg_xxxyy_xxxyyyzz_0[j] - tg_xxxyy_xxxyyyzz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_xxxxyy_xxyyyzz_1[j];

                    tg_xxxxxyy_xxxyyzzz_0[j] = pb_x * tg_xxxxyy_xxxyyzzz_0[j] + fr * tg_xxxxyy_xxxyyzzz_1[j] + 2.0 * fl1_fx * (tg_xxxyy_xxxyyzzz_0[j] - tg_xxxyy_xxxyyzzz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_xxxxyy_xxyyzzz_1[j];

                    tg_xxxxxyy_xxxyzzzz_0[j] = pb_x * tg_xxxxyy_xxxyzzzz_0[j] + fr * tg_xxxxyy_xxxyzzzz_1[j] + 2.0 * fl1_fx * (tg_xxxyy_xxxyzzzz_0[j] - tg_xxxyy_xxxyzzzz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_xxxxyy_xxyzzzz_1[j];

                    tg_xxxxxyy_xxxzzzzz_0[j] = pb_x * tg_xxxxyy_xxxzzzzz_0[j] + fr * tg_xxxxyy_xxxzzzzz_1[j] + 2.0 * fl1_fx * (tg_xxxyy_xxxzzzzz_0[j] - tg_xxxyy_xxxzzzzz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_xxxxyy_xxzzzzz_1[j];

                    tg_xxxxxyy_xxyyyyyy_0[j] = pb_x * tg_xxxxyy_xxyyyyyy_0[j] + fr * tg_xxxxyy_xxyyyyyy_1[j] + 2.0 * fl1_fx * (tg_xxxyy_xxyyyyyy_0[j] - tg_xxxyy_xxyyyyyy_1[j] * fl1_fza) + fl1_fxn * tg_xxxxyy_xyyyyyy_1[j];

                    tg_xxxxxyy_xxyyyyyz_0[j] = pb_x * tg_xxxxyy_xxyyyyyz_0[j] + fr * tg_xxxxyy_xxyyyyyz_1[j] + 2.0 * fl1_fx * (tg_xxxyy_xxyyyyyz_0[j] - tg_xxxyy_xxyyyyyz_1[j] * fl1_fza) + fl1_fxn * tg_xxxxyy_xyyyyyz_1[j];

                    tg_xxxxxyy_xxyyyyzz_0[j] = pb_x * tg_xxxxyy_xxyyyyzz_0[j] + fr * tg_xxxxyy_xxyyyyzz_1[j] + 2.0 * fl1_fx * (tg_xxxyy_xxyyyyzz_0[j] - tg_xxxyy_xxyyyyzz_1[j] * fl1_fza) + fl1_fxn * tg_xxxxyy_xyyyyzz_1[j];

                    tg_xxxxxyy_xxyyyzzz_0[j] = pb_x * tg_xxxxyy_xxyyyzzz_0[j] + fr * tg_xxxxyy_xxyyyzzz_1[j] + 2.0 * fl1_fx * (tg_xxxyy_xxyyyzzz_0[j] - tg_xxxyy_xxyyyzzz_1[j] * fl1_fza) + fl1_fxn * tg_xxxxyy_xyyyzzz_1[j];

                    tg_xxxxxyy_xxyyzzzz_0[j] = pb_x * tg_xxxxyy_xxyyzzzz_0[j] + fr * tg_xxxxyy_xxyyzzzz_1[j] + 2.0 * fl1_fx * (tg_xxxyy_xxyyzzzz_0[j] - tg_xxxyy_xxyyzzzz_1[j] * fl1_fza) + fl1_fxn * tg_xxxxyy_xyyzzzz_1[j];

                    tg_xxxxxyy_xxyzzzzz_0[j] = pb_x * tg_xxxxyy_xxyzzzzz_0[j] + fr * tg_xxxxyy_xxyzzzzz_1[j] + 2.0 * fl1_fx * (tg_xxxyy_xxyzzzzz_0[j] - tg_xxxyy_xxyzzzzz_1[j] * fl1_fza) + fl1_fxn * tg_xxxxyy_xyzzzzz_1[j];

                    tg_xxxxxyy_xxzzzzzz_0[j] = pb_x * tg_xxxxyy_xxzzzzzz_0[j] + fr * tg_xxxxyy_xxzzzzzz_1[j] + 2.0 * fl1_fx * (tg_xxxyy_xxzzzzzz_0[j] - tg_xxxyy_xxzzzzzz_1[j] * fl1_fza) + fl1_fxn * tg_xxxxyy_xzzzzzz_1[j];

                    tg_xxxxxyy_xyyyyyyy_0[j] = pb_x * tg_xxxxyy_xyyyyyyy_0[j] + fr * tg_xxxxyy_xyyyyyyy_1[j] + 2.0 * fl1_fx * (tg_xxxyy_xyyyyyyy_0[j] - tg_xxxyy_xyyyyyyy_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xxxxyy_yyyyyyy_1[j];

                    tg_xxxxxyy_xyyyyyyz_0[j] = pb_x * tg_xxxxyy_xyyyyyyz_0[j] + fr * tg_xxxxyy_xyyyyyyz_1[j] + 2.0 * fl1_fx * (tg_xxxyy_xyyyyyyz_0[j] - tg_xxxyy_xyyyyyyz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xxxxyy_yyyyyyz_1[j];

                    tg_xxxxxyy_xyyyyyzz_0[j] = pb_x * tg_xxxxyy_xyyyyyzz_0[j] + fr * tg_xxxxyy_xyyyyyzz_1[j] + 2.0 * fl1_fx * (tg_xxxyy_xyyyyyzz_0[j] - tg_xxxyy_xyyyyyzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xxxxyy_yyyyyzz_1[j];

                    tg_xxxxxyy_xyyyyzzz_0[j] = pb_x * tg_xxxxyy_xyyyyzzz_0[j] + fr * tg_xxxxyy_xyyyyzzz_1[j] + 2.0 * fl1_fx * (tg_xxxyy_xyyyyzzz_0[j] - tg_xxxyy_xyyyyzzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xxxxyy_yyyyzzz_1[j];

                    tg_xxxxxyy_xyyyzzzz_0[j] = pb_x * tg_xxxxyy_xyyyzzzz_0[j] + fr * tg_xxxxyy_xyyyzzzz_1[j] + 2.0 * fl1_fx * (tg_xxxyy_xyyyzzzz_0[j] - tg_xxxyy_xyyyzzzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xxxxyy_yyyzzzz_1[j];

                    tg_xxxxxyy_xyyzzzzz_0[j] = pb_x * tg_xxxxyy_xyyzzzzz_0[j] + fr * tg_xxxxyy_xyyzzzzz_1[j] + 2.0 * fl1_fx * (tg_xxxyy_xyyzzzzz_0[j] - tg_xxxyy_xyyzzzzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xxxxyy_yyzzzzz_1[j];

                    tg_xxxxxyy_xyzzzzzz_0[j] = pb_x * tg_xxxxyy_xyzzzzzz_0[j] + fr * tg_xxxxyy_xyzzzzzz_1[j] + 2.0 * fl1_fx * (tg_xxxyy_xyzzzzzz_0[j] - tg_xxxyy_xyzzzzzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xxxxyy_yzzzzzz_1[j];

                    tg_xxxxxyy_xzzzzzzz_0[j] = pb_x * tg_xxxxyy_xzzzzzzz_0[j] + fr * tg_xxxxyy_xzzzzzzz_1[j] + 2.0 * fl1_fx * (tg_xxxyy_xzzzzzzz_0[j] - tg_xxxyy_xzzzzzzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xxxxyy_zzzzzzz_1[j];

                    tg_xxxxxyy_yyyyyyyy_0[j] = pb_x * tg_xxxxyy_yyyyyyyy_0[j] + fr * tg_xxxxyy_yyyyyyyy_1[j] + 2.0 * fl1_fx * (tg_xxxyy_yyyyyyyy_0[j] - tg_xxxyy_yyyyyyyy_1[j] * fl1_fza);

                    tg_xxxxxyy_yyyyyyyz_0[j] = pb_x * tg_xxxxyy_yyyyyyyz_0[j] + fr * tg_xxxxyy_yyyyyyyz_1[j] + 2.0 * fl1_fx * (tg_xxxyy_yyyyyyyz_0[j] - tg_xxxyy_yyyyyyyz_1[j] * fl1_fza);

                    tg_xxxxxyy_yyyyyyzz_0[j] = pb_x * tg_xxxxyy_yyyyyyzz_0[j] + fr * tg_xxxxyy_yyyyyyzz_1[j] + 2.0 * fl1_fx * (tg_xxxyy_yyyyyyzz_0[j] - tg_xxxyy_yyyyyyzz_1[j] * fl1_fza);

                    tg_xxxxxyy_yyyyyzzz_0[j] = pb_x * tg_xxxxyy_yyyyyzzz_0[j] + fr * tg_xxxxyy_yyyyyzzz_1[j] + 2.0 * fl1_fx * (tg_xxxyy_yyyyyzzz_0[j] - tg_xxxyy_yyyyyzzz_1[j] * fl1_fza);

                    tg_xxxxxyy_yyyyzzzz_0[j] = pb_x * tg_xxxxyy_yyyyzzzz_0[j] + fr * tg_xxxxyy_yyyyzzzz_1[j] + 2.0 * fl1_fx * (tg_xxxyy_yyyyzzzz_0[j] - tg_xxxyy_yyyyzzzz_1[j] * fl1_fza);

                    tg_xxxxxyy_yyyzzzzz_0[j] = pb_x * tg_xxxxyy_yyyzzzzz_0[j] + fr * tg_xxxxyy_yyyzzzzz_1[j] + 2.0 * fl1_fx * (tg_xxxyy_yyyzzzzz_0[j] - tg_xxxyy_yyyzzzzz_1[j] * fl1_fza);

                    tg_xxxxxyy_yyzzzzzz_0[j] = pb_x * tg_xxxxyy_yyzzzzzz_0[j] + fr * tg_xxxxyy_yyzzzzzz_1[j] + 2.0 * fl1_fx * (tg_xxxyy_yyzzzzzz_0[j] - tg_xxxyy_yyzzzzzz_1[j] * fl1_fza);

                    tg_xxxxxyy_yzzzzzzz_0[j] = pb_x * tg_xxxxyy_yzzzzzzz_0[j] + fr * tg_xxxxyy_yzzzzzzz_1[j] + 2.0 * fl1_fx * (tg_xxxyy_yzzzzzzz_0[j] - tg_xxxyy_yzzzzzzz_1[j] * fl1_fza);

                    tg_xxxxxyy_zzzzzzzz_0[j] = pb_x * tg_xxxxyy_zzzzzzzz_0[j] + fr * tg_xxxxyy_zzzzzzzz_1[j] + 2.0 * fl1_fx * (tg_xxxyy_zzzzzzzz_0[j] - tg_xxxyy_zzzzzzzz_1[j] * fl1_fza);

                    tg_xxxxxyz_xxxxxxxx_0[j] = pb_x * tg_xxxxyz_xxxxxxxx_0[j] + fr * tg_xxxxyz_xxxxxxxx_1[j] + 2.0 * fl1_fx * (tg_xxxyz_xxxxxxxx_0[j] - tg_xxxyz_xxxxxxxx_1[j] * fl1_fza) + 4.0 * fl1_fxn * tg_xxxxyz_xxxxxxx_1[j];

                    tg_xxxxxyz_xxxxxxxy_0[j] = pb_x * tg_xxxxyz_xxxxxxxy_0[j] + fr * tg_xxxxyz_xxxxxxxy_1[j] + 2.0 * fl1_fx * (tg_xxxyz_xxxxxxxy_0[j] - tg_xxxyz_xxxxxxxy_1[j] * fl1_fza) + 3.5 * fl1_fxn * tg_xxxxyz_xxxxxxy_1[j];

                    tg_xxxxxyz_xxxxxxxz_0[j] = pb_x * tg_xxxxyz_xxxxxxxz_0[j] + fr * tg_xxxxyz_xxxxxxxz_1[j] + 2.0 * fl1_fx * (tg_xxxyz_xxxxxxxz_0[j] - tg_xxxyz_xxxxxxxz_1[j] * fl1_fza) + 3.5 * fl1_fxn * tg_xxxxyz_xxxxxxz_1[j];

                    tg_xxxxxyz_xxxxxxyy_0[j] = pb_x * tg_xxxxyz_xxxxxxyy_0[j] + fr * tg_xxxxyz_xxxxxxyy_1[j] + 2.0 * fl1_fx * (tg_xxxyz_xxxxxxyy_0[j] - tg_xxxyz_xxxxxxyy_1[j] * fl1_fza) + 3.0 * fl1_fxn * tg_xxxxyz_xxxxxyy_1[j];

                    tg_xxxxxyz_xxxxxxyz_0[j] = pb_x * tg_xxxxyz_xxxxxxyz_0[j] + fr * tg_xxxxyz_xxxxxxyz_1[j] + 2.0 * fl1_fx * (tg_xxxyz_xxxxxxyz_0[j] - tg_xxxyz_xxxxxxyz_1[j] * fl1_fza) + 3.0 * fl1_fxn * tg_xxxxyz_xxxxxyz_1[j];

                    tg_xxxxxyz_xxxxxxzz_0[j] = pb_x * tg_xxxxyz_xxxxxxzz_0[j] + fr * tg_xxxxyz_xxxxxxzz_1[j] + 2.0 * fl1_fx * (tg_xxxyz_xxxxxxzz_0[j] - tg_xxxyz_xxxxxxzz_1[j] * fl1_fza) + 3.0 * fl1_fxn * tg_xxxxyz_xxxxxzz_1[j];

                    tg_xxxxxyz_xxxxxyyy_0[j] = pb_x * tg_xxxxyz_xxxxxyyy_0[j] + fr * tg_xxxxyz_xxxxxyyy_1[j] + 2.0 * fl1_fx * (tg_xxxyz_xxxxxyyy_0[j] - tg_xxxyz_xxxxxyyy_1[j] * fl1_fza) + 2.5 * fl1_fxn * tg_xxxxyz_xxxxyyy_1[j];

                    tg_xxxxxyz_xxxxxyyz_0[j] = pb_x * tg_xxxxyz_xxxxxyyz_0[j] + fr * tg_xxxxyz_xxxxxyyz_1[j] + 2.0 * fl1_fx * (tg_xxxyz_xxxxxyyz_0[j] - tg_xxxyz_xxxxxyyz_1[j] * fl1_fza) + 2.5 * fl1_fxn * tg_xxxxyz_xxxxyyz_1[j];

                    tg_xxxxxyz_xxxxxyzz_0[j] = pb_x * tg_xxxxyz_xxxxxyzz_0[j] + fr * tg_xxxxyz_xxxxxyzz_1[j] + 2.0 * fl1_fx * (tg_xxxyz_xxxxxyzz_0[j] - tg_xxxyz_xxxxxyzz_1[j] * fl1_fza) + 2.5 * fl1_fxn * tg_xxxxyz_xxxxyzz_1[j];

                    tg_xxxxxyz_xxxxxzzz_0[j] = pb_x * tg_xxxxyz_xxxxxzzz_0[j] + fr * tg_xxxxyz_xxxxxzzz_1[j] + 2.0 * fl1_fx * (tg_xxxyz_xxxxxzzz_0[j] - tg_xxxyz_xxxxxzzz_1[j] * fl1_fza) + 2.5 * fl1_fxn * tg_xxxxyz_xxxxzzz_1[j];

                    tg_xxxxxyz_xxxxyyyy_0[j] = pb_x * tg_xxxxyz_xxxxyyyy_0[j] + fr * tg_xxxxyz_xxxxyyyy_1[j] + 2.0 * fl1_fx * (tg_xxxyz_xxxxyyyy_0[j] - tg_xxxyz_xxxxyyyy_1[j] * fl1_fza) + 2.0 * fl1_fxn * tg_xxxxyz_xxxyyyy_1[j];

                    tg_xxxxxyz_xxxxyyyz_0[j] = pb_x * tg_xxxxyz_xxxxyyyz_0[j] + fr * tg_xxxxyz_xxxxyyyz_1[j] + 2.0 * fl1_fx * (tg_xxxyz_xxxxyyyz_0[j] - tg_xxxyz_xxxxyyyz_1[j] * fl1_fza) + 2.0 * fl1_fxn * tg_xxxxyz_xxxyyyz_1[j];
                }

                idx++;
            }
        }
    }

    void
    compElectronRepulsionForSKSL_192_288(      CMemBlock2D<double>* primBuffer,
                                         const CRecursionMap&       recursionMap,
                                         const CMemBlock2D<double>& osFactors,
                                         const CMemBlock2D<double>& wpDistances,
                                         const CGtoPairsBlock&      braGtoPairsBlock,
                                         const CGtoPairsBlock&      ketGtoPairsBlock,
                                         const int32_t              nKetPrimPairs,
                                         const int32_t              iContrPair)
    {
        // Batch of Integrals (192,288)

        // set up pointers to primitives data on bra side

        auto spos = braGtoPairsBlock.getStartPositions();

        auto epos = braGtoPairsBlock.getEndPositions();

        // set up pointers to tensor of distance R(PB) = P - B

        auto r_pb_x = braGtoPairsBlock.getDistancesPBX();

        // set up pointers to common Obara-Saika factors

        auto b_fx = braGtoPairsBlock.getFactorsOneOverXi();

        // set up maximum order of integral

        auto mord = recursionMap.getMaxOrder({"Electron Repulsion"},
                                             {7, -1, -1, -1},
                                             {8, -1, -1, -1},
                                             1, 1);

        for (int32_t iord = 0; iord <= mord; iord++)
        {
            // set up index of integral

            auto pidx_g_7_8_m0 = recursionMap.index(CRecursionTerm({"Electron Repulsion"}, 0, true, 
                                                                   {7, -1, -1, -1}, {8, -1, -1, -1}, 
                                                                   1, 1, iord));

            // check if integral is needed in recursion expansion

            if (pidx_g_7_8_m0 == -1) continue;

            // set up indexes of auxilary integral

            auto pidx_g_6_8_m0 = recursionMap.index(CRecursionTerm({"Electron Repulsion"}, 0, true, 
                                                                   {6, -1, -1, -1}, {8, -1, -1, -1}, 
                                                                   1, 1, iord));

            auto pidx_g_6_8_m1 = recursionMap.index(CRecursionTerm({"Electron Repulsion"}, 0, true, 
                                                                   {6, -1, -1, -1}, {8, -1, -1, -1}, 
                                                                   1, 1, iord + 1));

            auto pidx_g_5_8_m0 = recursionMap.index(CRecursionTerm({"Electron Repulsion"}, 0, true, 
                                                                   {5, -1, -1, -1}, {8, -1, -1, -1}, 
                                                                   1, 1, iord));

            auto pidx_g_5_8_m1 = recursionMap.index(CRecursionTerm({"Electron Repulsion"}, 0, true, 
                                                                   {5, -1, -1, -1}, {8, -1, -1, -1}, 
                                                                   1, 1, iord + 1));

            auto pidx_g_6_7_m1 = recursionMap.index(CRecursionTerm({"Electron Repulsion"}, 0, true, 
                                                                   {6, -1, -1, -1}, {7, -1, -1, -1}, 
                                                                   1, 1, iord + 1));

            // loop over contracted GTO on bra side

            int32_t idx = 0;

            for (int32_t i = spos[iContrPair]; i < epos[iContrPair]; i++)
            {
                // set up pointers to Obara-Saika factors

                double fx = b_fx[i];

                auto fza = osFactors.data(4 * idx + 2);

                auto fxn = osFactors.data(4 * idx);

                // set up distances R(PB) = P - B

                auto pb_x = r_pb_x[i];

                // set up pointers to tensors product of distances R(WP) = W - P

                auto wp_x = wpDistances.data(3 * idx);

                // set up pointers to auxilary integrals

                auto tg_xxxxyz_xxxxyyzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 192); 

                auto tg_xxxxyz_xxxxyzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 193); 

                auto tg_xxxxyz_xxxxzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 194); 

                auto tg_xxxxyz_xxxyyyyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 195); 

                auto tg_xxxxyz_xxxyyyyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 196); 

                auto tg_xxxxyz_xxxyyyzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 197); 

                auto tg_xxxxyz_xxxyyzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 198); 

                auto tg_xxxxyz_xxxyzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 199); 

                auto tg_xxxxyz_xxxzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 200); 

                auto tg_xxxxyz_xxyyyyyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 201); 

                auto tg_xxxxyz_xxyyyyyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 202); 

                auto tg_xxxxyz_xxyyyyzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 203); 

                auto tg_xxxxyz_xxyyyzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 204); 

                auto tg_xxxxyz_xxyyzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 205); 

                auto tg_xxxxyz_xxyzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 206); 

                auto tg_xxxxyz_xxzzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 207); 

                auto tg_xxxxyz_xyyyyyyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 208); 

                auto tg_xxxxyz_xyyyyyyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 209); 

                auto tg_xxxxyz_xyyyyyzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 210); 

                auto tg_xxxxyz_xyyyyzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 211); 

                auto tg_xxxxyz_xyyyzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 212); 

                auto tg_xxxxyz_xyyzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 213); 

                auto tg_xxxxyz_xyzzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 214); 

                auto tg_xxxxyz_xzzzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 215); 

                auto tg_xxxxyz_yyyyyyyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 216); 

                auto tg_xxxxyz_yyyyyyyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 217); 

                auto tg_xxxxyz_yyyyyyzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 218); 

                auto tg_xxxxyz_yyyyyzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 219); 

                auto tg_xxxxyz_yyyyzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 220); 

                auto tg_xxxxyz_yyyzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 221); 

                auto tg_xxxxyz_yyzzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 222); 

                auto tg_xxxxyz_yzzzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 223); 

                auto tg_xxxxyz_zzzzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 224); 

                auto tg_xxxxzz_xxxxxxxx_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 225); 

                auto tg_xxxxzz_xxxxxxxy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 226); 

                auto tg_xxxxzz_xxxxxxxz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 227); 

                auto tg_xxxxzz_xxxxxxyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 228); 

                auto tg_xxxxzz_xxxxxxyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 229); 

                auto tg_xxxxzz_xxxxxxzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 230); 

                auto tg_xxxxzz_xxxxxyyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 231); 

                auto tg_xxxxzz_xxxxxyyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 232); 

                auto tg_xxxxzz_xxxxxyzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 233); 

                auto tg_xxxxzz_xxxxxzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 234); 

                auto tg_xxxxzz_xxxxyyyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 235); 

                auto tg_xxxxzz_xxxxyyyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 236); 

                auto tg_xxxxzz_xxxxyyzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 237); 

                auto tg_xxxxzz_xxxxyzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 238); 

                auto tg_xxxxzz_xxxxzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 239); 

                auto tg_xxxxzz_xxxyyyyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 240); 

                auto tg_xxxxzz_xxxyyyyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 241); 

                auto tg_xxxxzz_xxxyyyzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 242); 

                auto tg_xxxxzz_xxxyyzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 243); 

                auto tg_xxxxzz_xxxyzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 244); 

                auto tg_xxxxzz_xxxzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 245); 

                auto tg_xxxxzz_xxyyyyyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 246); 

                auto tg_xxxxzz_xxyyyyyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 247); 

                auto tg_xxxxzz_xxyyyyzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 248); 

                auto tg_xxxxzz_xxyyyzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 249); 

                auto tg_xxxxzz_xxyyzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 250); 

                auto tg_xxxxzz_xxyzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 251); 

                auto tg_xxxxzz_xxzzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 252); 

                auto tg_xxxxzz_xyyyyyyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 253); 

                auto tg_xxxxzz_xyyyyyyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 254); 

                auto tg_xxxxzz_xyyyyyzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 255); 

                auto tg_xxxxzz_xyyyyzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 256); 

                auto tg_xxxxzz_xyyyzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 257); 

                auto tg_xxxxzz_xyyzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 258); 

                auto tg_xxxxzz_xyzzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 259); 

                auto tg_xxxxzz_xzzzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 260); 

                auto tg_xxxxzz_yyyyyyyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 261); 

                auto tg_xxxxzz_yyyyyyyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 262); 

                auto tg_xxxxzz_yyyyyyzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 263); 

                auto tg_xxxxzz_yyyyyzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 264); 

                auto tg_xxxxzz_yyyyzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 265); 

                auto tg_xxxxzz_yyyzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 266); 

                auto tg_xxxxzz_yyzzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 267); 

                auto tg_xxxxzz_yzzzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 268); 

                auto tg_xxxxzz_zzzzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 269); 

                auto tg_xxxyyy_xxxxxxxx_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 270); 

                auto tg_xxxyyy_xxxxxxxy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 271); 

                auto tg_xxxyyy_xxxxxxxz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 272); 

                auto tg_xxxyyy_xxxxxxyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 273); 

                auto tg_xxxyyy_xxxxxxyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 274); 

                auto tg_xxxyyy_xxxxxxzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 275); 

                auto tg_xxxyyy_xxxxxyyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 276); 

                auto tg_xxxyyy_xxxxxyyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 277); 

                auto tg_xxxyyy_xxxxxyzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 278); 

                auto tg_xxxyyy_xxxxxzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 279); 

                auto tg_xxxyyy_xxxxyyyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 280); 

                auto tg_xxxyyy_xxxxyyyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 281); 

                auto tg_xxxyyy_xxxxyyzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 282); 

                auto tg_xxxyyy_xxxxyzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 283); 

                auto tg_xxxyyy_xxxxzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 284); 

                auto tg_xxxyyy_xxxyyyyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 285); 

                auto tg_xxxyyy_xxxyyyyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 286); 

                auto tg_xxxyyy_xxxyyyzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 287); 

                auto tg_xxxxyz_xxxxyyzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 192); 

                auto tg_xxxxyz_xxxxyzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 193); 

                auto tg_xxxxyz_xxxxzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 194); 

                auto tg_xxxxyz_xxxyyyyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 195); 

                auto tg_xxxxyz_xxxyyyyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 196); 

                auto tg_xxxxyz_xxxyyyzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 197); 

                auto tg_xxxxyz_xxxyyzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 198); 

                auto tg_xxxxyz_xxxyzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 199); 

                auto tg_xxxxyz_xxxzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 200); 

                auto tg_xxxxyz_xxyyyyyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 201); 

                auto tg_xxxxyz_xxyyyyyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 202); 

                auto tg_xxxxyz_xxyyyyzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 203); 

                auto tg_xxxxyz_xxyyyzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 204); 

                auto tg_xxxxyz_xxyyzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 205); 

                auto tg_xxxxyz_xxyzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 206); 

                auto tg_xxxxyz_xxzzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 207); 

                auto tg_xxxxyz_xyyyyyyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 208); 

                auto tg_xxxxyz_xyyyyyyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 209); 

                auto tg_xxxxyz_xyyyyyzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 210); 

                auto tg_xxxxyz_xyyyyzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 211); 

                auto tg_xxxxyz_xyyyzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 212); 

                auto tg_xxxxyz_xyyzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 213); 

                auto tg_xxxxyz_xyzzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 214); 

                auto tg_xxxxyz_xzzzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 215); 

                auto tg_xxxxyz_yyyyyyyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 216); 

                auto tg_xxxxyz_yyyyyyyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 217); 

                auto tg_xxxxyz_yyyyyyzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 218); 

                auto tg_xxxxyz_yyyyyzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 219); 

                auto tg_xxxxyz_yyyyzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 220); 

                auto tg_xxxxyz_yyyzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 221); 

                auto tg_xxxxyz_yyzzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 222); 

                auto tg_xxxxyz_yzzzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 223); 

                auto tg_xxxxyz_zzzzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 224); 

                auto tg_xxxxzz_xxxxxxxx_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 225); 

                auto tg_xxxxzz_xxxxxxxy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 226); 

                auto tg_xxxxzz_xxxxxxxz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 227); 

                auto tg_xxxxzz_xxxxxxyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 228); 

                auto tg_xxxxzz_xxxxxxyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 229); 

                auto tg_xxxxzz_xxxxxxzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 230); 

                auto tg_xxxxzz_xxxxxyyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 231); 

                auto tg_xxxxzz_xxxxxyyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 232); 

                auto tg_xxxxzz_xxxxxyzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 233); 

                auto tg_xxxxzz_xxxxxzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 234); 

                auto tg_xxxxzz_xxxxyyyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 235); 

                auto tg_xxxxzz_xxxxyyyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 236); 

                auto tg_xxxxzz_xxxxyyzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 237); 

                auto tg_xxxxzz_xxxxyzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 238); 

                auto tg_xxxxzz_xxxxzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 239); 

                auto tg_xxxxzz_xxxyyyyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 240); 

                auto tg_xxxxzz_xxxyyyyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 241); 

                auto tg_xxxxzz_xxxyyyzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 242); 

                auto tg_xxxxzz_xxxyyzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 243); 

                auto tg_xxxxzz_xxxyzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 244); 

                auto tg_xxxxzz_xxxzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 245); 

                auto tg_xxxxzz_xxyyyyyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 246); 

                auto tg_xxxxzz_xxyyyyyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 247); 

                auto tg_xxxxzz_xxyyyyzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 248); 

                auto tg_xxxxzz_xxyyyzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 249); 

                auto tg_xxxxzz_xxyyzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 250); 

                auto tg_xxxxzz_xxyzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 251); 

                auto tg_xxxxzz_xxzzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 252); 

                auto tg_xxxxzz_xyyyyyyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 253); 

                auto tg_xxxxzz_xyyyyyyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 254); 

                auto tg_xxxxzz_xyyyyyzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 255); 

                auto tg_xxxxzz_xyyyyzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 256); 

                auto tg_xxxxzz_xyyyzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 257); 

                auto tg_xxxxzz_xyyzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 258); 

                auto tg_xxxxzz_xyzzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 259); 

                auto tg_xxxxzz_xzzzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 260); 

                auto tg_xxxxzz_yyyyyyyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 261); 

                auto tg_xxxxzz_yyyyyyyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 262); 

                auto tg_xxxxzz_yyyyyyzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 263); 

                auto tg_xxxxzz_yyyyyzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 264); 

                auto tg_xxxxzz_yyyyzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 265); 

                auto tg_xxxxzz_yyyzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 266); 

                auto tg_xxxxzz_yyzzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 267); 

                auto tg_xxxxzz_yzzzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 268); 

                auto tg_xxxxzz_zzzzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 269); 

                auto tg_xxxyyy_xxxxxxxx_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 270); 

                auto tg_xxxyyy_xxxxxxxy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 271); 

                auto tg_xxxyyy_xxxxxxxz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 272); 

                auto tg_xxxyyy_xxxxxxyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 273); 

                auto tg_xxxyyy_xxxxxxyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 274); 

                auto tg_xxxyyy_xxxxxxzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 275); 

                auto tg_xxxyyy_xxxxxyyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 276); 

                auto tg_xxxyyy_xxxxxyyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 277); 

                auto tg_xxxyyy_xxxxxyzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 278); 

                auto tg_xxxyyy_xxxxxzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 279); 

                auto tg_xxxyyy_xxxxyyyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 280); 

                auto tg_xxxyyy_xxxxyyyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 281); 

                auto tg_xxxyyy_xxxxyyzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 282); 

                auto tg_xxxyyy_xxxxyzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 283); 

                auto tg_xxxyyy_xxxxzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 284); 

                auto tg_xxxyyy_xxxyyyyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 285); 

                auto tg_xxxyyy_xxxyyyyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 286); 

                auto tg_xxxyyy_xxxyyyzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 287); 

                auto tg_xxxyz_xxxxyyzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 192); 

                auto tg_xxxyz_xxxxyzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 193); 

                auto tg_xxxyz_xxxxzzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 194); 

                auto tg_xxxyz_xxxyyyyy_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 195); 

                auto tg_xxxyz_xxxyyyyz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 196); 

                auto tg_xxxyz_xxxyyyzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 197); 

                auto tg_xxxyz_xxxyyzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 198); 

                auto tg_xxxyz_xxxyzzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 199); 

                auto tg_xxxyz_xxxzzzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 200); 

                auto tg_xxxyz_xxyyyyyy_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 201); 

                auto tg_xxxyz_xxyyyyyz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 202); 

                auto tg_xxxyz_xxyyyyzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 203); 

                auto tg_xxxyz_xxyyyzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 204); 

                auto tg_xxxyz_xxyyzzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 205); 

                auto tg_xxxyz_xxyzzzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 206); 

                auto tg_xxxyz_xxzzzzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 207); 

                auto tg_xxxyz_xyyyyyyy_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 208); 

                auto tg_xxxyz_xyyyyyyz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 209); 

                auto tg_xxxyz_xyyyyyzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 210); 

                auto tg_xxxyz_xyyyyzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 211); 

                auto tg_xxxyz_xyyyzzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 212); 

                auto tg_xxxyz_xyyzzzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 213); 

                auto tg_xxxyz_xyzzzzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 214); 

                auto tg_xxxyz_xzzzzzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 215); 

                auto tg_xxxyz_yyyyyyyy_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 216); 

                auto tg_xxxyz_yyyyyyyz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 217); 

                auto tg_xxxyz_yyyyyyzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 218); 

                auto tg_xxxyz_yyyyyzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 219); 

                auto tg_xxxyz_yyyyzzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 220); 

                auto tg_xxxyz_yyyzzzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 221); 

                auto tg_xxxyz_yyzzzzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 222); 

                auto tg_xxxyz_yzzzzzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 223); 

                auto tg_xxxyz_zzzzzzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 224); 

                auto tg_xxxzz_xxxxxxxx_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 225); 

                auto tg_xxxzz_xxxxxxxy_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 226); 

                auto tg_xxxzz_xxxxxxxz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 227); 

                auto tg_xxxzz_xxxxxxyy_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 228); 

                auto tg_xxxzz_xxxxxxyz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 229); 

                auto tg_xxxzz_xxxxxxzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 230); 

                auto tg_xxxzz_xxxxxyyy_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 231); 

                auto tg_xxxzz_xxxxxyyz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 232); 

                auto tg_xxxzz_xxxxxyzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 233); 

                auto tg_xxxzz_xxxxxzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 234); 

                auto tg_xxxzz_xxxxyyyy_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 235); 

                auto tg_xxxzz_xxxxyyyz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 236); 

                auto tg_xxxzz_xxxxyyzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 237); 

                auto tg_xxxzz_xxxxyzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 238); 

                auto tg_xxxzz_xxxxzzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 239); 

                auto tg_xxxzz_xxxyyyyy_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 240); 

                auto tg_xxxzz_xxxyyyyz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 241); 

                auto tg_xxxzz_xxxyyyzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 242); 

                auto tg_xxxzz_xxxyyzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 243); 

                auto tg_xxxzz_xxxyzzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 244); 

                auto tg_xxxzz_xxxzzzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 245); 

                auto tg_xxxzz_xxyyyyyy_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 246); 

                auto tg_xxxzz_xxyyyyyz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 247); 

                auto tg_xxxzz_xxyyyyzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 248); 

                auto tg_xxxzz_xxyyyzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 249); 

                auto tg_xxxzz_xxyyzzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 250); 

                auto tg_xxxzz_xxyzzzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 251); 

                auto tg_xxxzz_xxzzzzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 252); 

                auto tg_xxxzz_xyyyyyyy_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 253); 

                auto tg_xxxzz_xyyyyyyz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 254); 

                auto tg_xxxzz_xyyyyyzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 255); 

                auto tg_xxxzz_xyyyyzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 256); 

                auto tg_xxxzz_xyyyzzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 257); 

                auto tg_xxxzz_xyyzzzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 258); 

                auto tg_xxxzz_xyzzzzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 259); 

                auto tg_xxxzz_xzzzzzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 260); 

                auto tg_xxxzz_yyyyyyyy_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 261); 

                auto tg_xxxzz_yyyyyyyz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 262); 

                auto tg_xxxzz_yyyyyyzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 263); 

                auto tg_xxxzz_yyyyyzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 264); 

                auto tg_xxxzz_yyyyzzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 265); 

                auto tg_xxxzz_yyyzzzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 266); 

                auto tg_xxxzz_yyzzzzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 267); 

                auto tg_xxxzz_yzzzzzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 268); 

                auto tg_xxxzz_zzzzzzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 269); 

                auto tg_xxyyy_xxxxxxxx_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 270); 

                auto tg_xxyyy_xxxxxxxy_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 271); 

                auto tg_xxyyy_xxxxxxxz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 272); 

                auto tg_xxyyy_xxxxxxyy_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 273); 

                auto tg_xxyyy_xxxxxxyz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 274); 

                auto tg_xxyyy_xxxxxxzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 275); 

                auto tg_xxyyy_xxxxxyyy_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 276); 

                auto tg_xxyyy_xxxxxyyz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 277); 

                auto tg_xxyyy_xxxxxyzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 278); 

                auto tg_xxyyy_xxxxxzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 279); 

                auto tg_xxyyy_xxxxyyyy_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 280); 

                auto tg_xxyyy_xxxxyyyz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 281); 

                auto tg_xxyyy_xxxxyyzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 282); 

                auto tg_xxyyy_xxxxyzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 283); 

                auto tg_xxyyy_xxxxzzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 284); 

                auto tg_xxyyy_xxxyyyyy_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 285); 

                auto tg_xxyyy_xxxyyyyz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 286); 

                auto tg_xxyyy_xxxyyyzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 287); 

                auto tg_xxxyz_xxxxyyzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 192); 

                auto tg_xxxyz_xxxxyzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 193); 

                auto tg_xxxyz_xxxxzzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 194); 

                auto tg_xxxyz_xxxyyyyy_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 195); 

                auto tg_xxxyz_xxxyyyyz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 196); 

                auto tg_xxxyz_xxxyyyzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 197); 

                auto tg_xxxyz_xxxyyzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 198); 

                auto tg_xxxyz_xxxyzzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 199); 

                auto tg_xxxyz_xxxzzzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 200); 

                auto tg_xxxyz_xxyyyyyy_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 201); 

                auto tg_xxxyz_xxyyyyyz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 202); 

                auto tg_xxxyz_xxyyyyzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 203); 

                auto tg_xxxyz_xxyyyzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 204); 

                auto tg_xxxyz_xxyyzzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 205); 

                auto tg_xxxyz_xxyzzzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 206); 

                auto tg_xxxyz_xxzzzzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 207); 

                auto tg_xxxyz_xyyyyyyy_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 208); 

                auto tg_xxxyz_xyyyyyyz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 209); 

                auto tg_xxxyz_xyyyyyzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 210); 

                auto tg_xxxyz_xyyyyzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 211); 

                auto tg_xxxyz_xyyyzzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 212); 

                auto tg_xxxyz_xyyzzzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 213); 

                auto tg_xxxyz_xyzzzzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 214); 

                auto tg_xxxyz_xzzzzzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 215); 

                auto tg_xxxyz_yyyyyyyy_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 216); 

                auto tg_xxxyz_yyyyyyyz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 217); 

                auto tg_xxxyz_yyyyyyzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 218); 

                auto tg_xxxyz_yyyyyzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 219); 

                auto tg_xxxyz_yyyyzzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 220); 

                auto tg_xxxyz_yyyzzzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 221); 

                auto tg_xxxyz_yyzzzzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 222); 

                auto tg_xxxyz_yzzzzzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 223); 

                auto tg_xxxyz_zzzzzzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 224); 

                auto tg_xxxzz_xxxxxxxx_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 225); 

                auto tg_xxxzz_xxxxxxxy_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 226); 

                auto tg_xxxzz_xxxxxxxz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 227); 

                auto tg_xxxzz_xxxxxxyy_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 228); 

                auto tg_xxxzz_xxxxxxyz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 229); 

                auto tg_xxxzz_xxxxxxzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 230); 

                auto tg_xxxzz_xxxxxyyy_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 231); 

                auto tg_xxxzz_xxxxxyyz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 232); 

                auto tg_xxxzz_xxxxxyzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 233); 

                auto tg_xxxzz_xxxxxzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 234); 

                auto tg_xxxzz_xxxxyyyy_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 235); 

                auto tg_xxxzz_xxxxyyyz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 236); 

                auto tg_xxxzz_xxxxyyzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 237); 

                auto tg_xxxzz_xxxxyzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 238); 

                auto tg_xxxzz_xxxxzzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 239); 

                auto tg_xxxzz_xxxyyyyy_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 240); 

                auto tg_xxxzz_xxxyyyyz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 241); 

                auto tg_xxxzz_xxxyyyzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 242); 

                auto tg_xxxzz_xxxyyzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 243); 

                auto tg_xxxzz_xxxyzzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 244); 

                auto tg_xxxzz_xxxzzzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 245); 

                auto tg_xxxzz_xxyyyyyy_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 246); 

                auto tg_xxxzz_xxyyyyyz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 247); 

                auto tg_xxxzz_xxyyyyzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 248); 

                auto tg_xxxzz_xxyyyzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 249); 

                auto tg_xxxzz_xxyyzzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 250); 

                auto tg_xxxzz_xxyzzzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 251); 

                auto tg_xxxzz_xxzzzzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 252); 

                auto tg_xxxzz_xyyyyyyy_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 253); 

                auto tg_xxxzz_xyyyyyyz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 254); 

                auto tg_xxxzz_xyyyyyzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 255); 

                auto tg_xxxzz_xyyyyzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 256); 

                auto tg_xxxzz_xyyyzzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 257); 

                auto tg_xxxzz_xyyzzzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 258); 

                auto tg_xxxzz_xyzzzzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 259); 

                auto tg_xxxzz_xzzzzzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 260); 

                auto tg_xxxzz_yyyyyyyy_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 261); 

                auto tg_xxxzz_yyyyyyyz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 262); 

                auto tg_xxxzz_yyyyyyzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 263); 

                auto tg_xxxzz_yyyyyzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 264); 

                auto tg_xxxzz_yyyyzzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 265); 

                auto tg_xxxzz_yyyzzzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 266); 

                auto tg_xxxzz_yyzzzzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 267); 

                auto tg_xxxzz_yzzzzzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 268); 

                auto tg_xxxzz_zzzzzzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 269); 

                auto tg_xxyyy_xxxxxxxx_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 270); 

                auto tg_xxyyy_xxxxxxxy_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 271); 

                auto tg_xxyyy_xxxxxxxz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 272); 

                auto tg_xxyyy_xxxxxxyy_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 273); 

                auto tg_xxyyy_xxxxxxyz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 274); 

                auto tg_xxyyy_xxxxxxzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 275); 

                auto tg_xxyyy_xxxxxyyy_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 276); 

                auto tg_xxyyy_xxxxxyyz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 277); 

                auto tg_xxyyy_xxxxxyzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 278); 

                auto tg_xxyyy_xxxxxzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 279); 

                auto tg_xxyyy_xxxxyyyy_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 280); 

                auto tg_xxyyy_xxxxyyyz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 281); 

                auto tg_xxyyy_xxxxyyzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 282); 

                auto tg_xxyyy_xxxxyzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 283); 

                auto tg_xxyyy_xxxxzzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 284); 

                auto tg_xxyyy_xxxyyyyy_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 285); 

                auto tg_xxyyy_xxxyyyyz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 286); 

                auto tg_xxyyy_xxxyyyzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 287); 

                auto tg_xxxxyz_xxxyyzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 156); 

                auto tg_xxxxyz_xxxyzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 157); 

                auto tg_xxxxyz_xxxzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 158); 

                auto tg_xxxxyz_xxyyyyy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 159); 

                auto tg_xxxxyz_xxyyyyz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 160); 

                auto tg_xxxxyz_xxyyyzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 161); 

                auto tg_xxxxyz_xxyyzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 162); 

                auto tg_xxxxyz_xxyzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 163); 

                auto tg_xxxxyz_xxzzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 164); 

                auto tg_xxxxyz_xyyyyyy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 165); 

                auto tg_xxxxyz_xyyyyyz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 166); 

                auto tg_xxxxyz_xyyyyzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 167); 

                auto tg_xxxxyz_xyyyzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 168); 

                auto tg_xxxxyz_xyyzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 169); 

                auto tg_xxxxyz_xyzzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 170); 

                auto tg_xxxxyz_xzzzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 171); 

                auto tg_xxxxyz_yyyyyyy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 172); 

                auto tg_xxxxyz_yyyyyyz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 173); 

                auto tg_xxxxyz_yyyyyzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 174); 

                auto tg_xxxxyz_yyyyzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 175); 

                auto tg_xxxxyz_yyyzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 176); 

                auto tg_xxxxyz_yyzzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 177); 

                auto tg_xxxxyz_yzzzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 178); 

                auto tg_xxxxyz_zzzzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 179); 

                auto tg_xxxxzz_xxxxxxx_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 180); 

                auto tg_xxxxzz_xxxxxxy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 181); 

                auto tg_xxxxzz_xxxxxxz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 182); 

                auto tg_xxxxzz_xxxxxyy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 183); 

                auto tg_xxxxzz_xxxxxyz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 184); 

                auto tg_xxxxzz_xxxxxzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 185); 

                auto tg_xxxxzz_xxxxyyy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 186); 

                auto tg_xxxxzz_xxxxyyz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 187); 

                auto tg_xxxxzz_xxxxyzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 188); 

                auto tg_xxxxzz_xxxxzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 189); 

                auto tg_xxxxzz_xxxyyyy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 190); 

                auto tg_xxxxzz_xxxyyyz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 191); 

                auto tg_xxxxzz_xxxyyzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 192); 

                auto tg_xxxxzz_xxxyzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 193); 

                auto tg_xxxxzz_xxxzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 194); 

                auto tg_xxxxzz_xxyyyyy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 195); 

                auto tg_xxxxzz_xxyyyyz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 196); 

                auto tg_xxxxzz_xxyyyzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 197); 

                auto tg_xxxxzz_xxyyzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 198); 

                auto tg_xxxxzz_xxyzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 199); 

                auto tg_xxxxzz_xxzzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 200); 

                auto tg_xxxxzz_xyyyyyy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 201); 

                auto tg_xxxxzz_xyyyyyz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 202); 

                auto tg_xxxxzz_xyyyyzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 203); 

                auto tg_xxxxzz_xyyyzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 204); 

                auto tg_xxxxzz_xyyzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 205); 

                auto tg_xxxxzz_xyzzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 206); 

                auto tg_xxxxzz_xzzzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 207); 

                auto tg_xxxxzz_yyyyyyy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 208); 

                auto tg_xxxxzz_yyyyyyz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 209); 

                auto tg_xxxxzz_yyyyyzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 210); 

                auto tg_xxxxzz_yyyyzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 211); 

                auto tg_xxxxzz_yyyzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 212); 

                auto tg_xxxxzz_yyzzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 213); 

                auto tg_xxxxzz_yzzzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 214); 

                auto tg_xxxxzz_zzzzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 215); 

                auto tg_xxxyyy_xxxxxxx_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 216); 

                auto tg_xxxyyy_xxxxxxy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 217); 

                auto tg_xxxyyy_xxxxxxz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 218); 

                auto tg_xxxyyy_xxxxxyy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 219); 

                auto tg_xxxyyy_xxxxxyz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 220); 

                auto tg_xxxyyy_xxxxxzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 221); 

                auto tg_xxxyyy_xxxxyyy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 222); 

                auto tg_xxxyyy_xxxxyyz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 223); 

                auto tg_xxxyyy_xxxxyzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 224); 

                auto tg_xxxyyy_xxxxzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 225); 

                auto tg_xxxyyy_xxxyyyy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 226); 

                auto tg_xxxyyy_xxxyyyz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 227); 

                auto tg_xxxyyy_xxxyyzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 228); 

                auto tg_xxxyyy_xxxyzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 229); 

                auto tg_xxxyyy_xxxzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 230); 

                auto tg_xxxyyy_xxyyyyy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 231); 

                auto tg_xxxyyy_xxyyyyz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 232); 

                auto tg_xxxyyy_xxyyyzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 233); 

                // set up pointers to integrals

                auto tg_xxxxxyz_xxxxyyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 192); 

                auto tg_xxxxxyz_xxxxyzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 193); 

                auto tg_xxxxxyz_xxxxzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 194); 

                auto tg_xxxxxyz_xxxyyyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 195); 

                auto tg_xxxxxyz_xxxyyyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 196); 

                auto tg_xxxxxyz_xxxyyyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 197); 

                auto tg_xxxxxyz_xxxyyzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 198); 

                auto tg_xxxxxyz_xxxyzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 199); 

                auto tg_xxxxxyz_xxxzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 200); 

                auto tg_xxxxxyz_xxyyyyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 201); 

                auto tg_xxxxxyz_xxyyyyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 202); 

                auto tg_xxxxxyz_xxyyyyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 203); 

                auto tg_xxxxxyz_xxyyyzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 204); 

                auto tg_xxxxxyz_xxyyzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 205); 

                auto tg_xxxxxyz_xxyzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 206); 

                auto tg_xxxxxyz_xxzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 207); 

                auto tg_xxxxxyz_xyyyyyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 208); 

                auto tg_xxxxxyz_xyyyyyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 209); 

                auto tg_xxxxxyz_xyyyyyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 210); 

                auto tg_xxxxxyz_xyyyyzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 211); 

                auto tg_xxxxxyz_xyyyzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 212); 

                auto tg_xxxxxyz_xyyzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 213); 

                auto tg_xxxxxyz_xyzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 214); 

                auto tg_xxxxxyz_xzzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 215); 

                auto tg_xxxxxyz_yyyyyyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 216); 

                auto tg_xxxxxyz_yyyyyyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 217); 

                auto tg_xxxxxyz_yyyyyyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 218); 

                auto tg_xxxxxyz_yyyyyzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 219); 

                auto tg_xxxxxyz_yyyyzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 220); 

                auto tg_xxxxxyz_yyyzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 221); 

                auto tg_xxxxxyz_yyzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 222); 

                auto tg_xxxxxyz_yzzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 223); 

                auto tg_xxxxxyz_zzzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 224); 

                auto tg_xxxxxzz_xxxxxxxx_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 225); 

                auto tg_xxxxxzz_xxxxxxxy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 226); 

                auto tg_xxxxxzz_xxxxxxxz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 227); 

                auto tg_xxxxxzz_xxxxxxyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 228); 

                auto tg_xxxxxzz_xxxxxxyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 229); 

                auto tg_xxxxxzz_xxxxxxzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 230); 

                auto tg_xxxxxzz_xxxxxyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 231); 

                auto tg_xxxxxzz_xxxxxyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 232); 

                auto tg_xxxxxzz_xxxxxyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 233); 

                auto tg_xxxxxzz_xxxxxzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 234); 

                auto tg_xxxxxzz_xxxxyyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 235); 

                auto tg_xxxxxzz_xxxxyyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 236); 

                auto tg_xxxxxzz_xxxxyyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 237); 

                auto tg_xxxxxzz_xxxxyzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 238); 

                auto tg_xxxxxzz_xxxxzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 239); 

                auto tg_xxxxxzz_xxxyyyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 240); 

                auto tg_xxxxxzz_xxxyyyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 241); 

                auto tg_xxxxxzz_xxxyyyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 242); 

                auto tg_xxxxxzz_xxxyyzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 243); 

                auto tg_xxxxxzz_xxxyzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 244); 

                auto tg_xxxxxzz_xxxzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 245); 

                auto tg_xxxxxzz_xxyyyyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 246); 

                auto tg_xxxxxzz_xxyyyyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 247); 

                auto tg_xxxxxzz_xxyyyyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 248); 

                auto tg_xxxxxzz_xxyyyzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 249); 

                auto tg_xxxxxzz_xxyyzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 250); 

                auto tg_xxxxxzz_xxyzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 251); 

                auto tg_xxxxxzz_xxzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 252); 

                auto tg_xxxxxzz_xyyyyyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 253); 

                auto tg_xxxxxzz_xyyyyyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 254); 

                auto tg_xxxxxzz_xyyyyyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 255); 

                auto tg_xxxxxzz_xyyyyzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 256); 

                auto tg_xxxxxzz_xyyyzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 257); 

                auto tg_xxxxxzz_xyyzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 258); 

                auto tg_xxxxxzz_xyzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 259); 

                auto tg_xxxxxzz_xzzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 260); 

                auto tg_xxxxxzz_yyyyyyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 261); 

                auto tg_xxxxxzz_yyyyyyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 262); 

                auto tg_xxxxxzz_yyyyyyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 263); 

                auto tg_xxxxxzz_yyyyyzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 264); 

                auto tg_xxxxxzz_yyyyzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 265); 

                auto tg_xxxxxzz_yyyzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 266); 

                auto tg_xxxxxzz_yyzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 267); 

                auto tg_xxxxxzz_yzzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 268); 

                auto tg_xxxxxzz_zzzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 269); 

                auto tg_xxxxyyy_xxxxxxxx_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 270); 

                auto tg_xxxxyyy_xxxxxxxy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 271); 

                auto tg_xxxxyyy_xxxxxxxz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 272); 

                auto tg_xxxxyyy_xxxxxxyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 273); 

                auto tg_xxxxyyy_xxxxxxyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 274); 

                auto tg_xxxxyyy_xxxxxxzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 275); 

                auto tg_xxxxyyy_xxxxxyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 276); 

                auto tg_xxxxyyy_xxxxxyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 277); 

                auto tg_xxxxyyy_xxxxxyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 278); 

                auto tg_xxxxyyy_xxxxxzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 279); 

                auto tg_xxxxyyy_xxxxyyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 280); 

                auto tg_xxxxyyy_xxxxyyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 281); 

                auto tg_xxxxyyy_xxxxyyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 282); 

                auto tg_xxxxyyy_xxxxyzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 283); 

                auto tg_xxxxyyy_xxxxzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 284); 

                auto tg_xxxxyyy_xxxyyyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 285); 

                auto tg_xxxxyyy_xxxyyyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 286); 

                auto tg_xxxxyyy_xxxyyyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 287); 

                // Batch of Integrals (192,288)

                #pragma omp simd aligned(fxn, fza, tg_xxxxxyz_xxxxyyzz_0, tg_xxxxxyz_xxxxyzzz_0, \
                                         tg_xxxxxyz_xxxxzzzz_0, tg_xxxxxyz_xxxyyyyy_0, tg_xxxxxyz_xxxyyyyz_0, \
                                         tg_xxxxxyz_xxxyyyzz_0, tg_xxxxxyz_xxxyyzzz_0, tg_xxxxxyz_xxxyzzzz_0, \
                                         tg_xxxxxyz_xxxzzzzz_0, tg_xxxxxyz_xxyyyyyy_0, tg_xxxxxyz_xxyyyyyz_0, \
                                         tg_xxxxxyz_xxyyyyzz_0, tg_xxxxxyz_xxyyyzzz_0, tg_xxxxxyz_xxyyzzzz_0, \
                                         tg_xxxxxyz_xxyzzzzz_0, tg_xxxxxyz_xxzzzzzz_0, tg_xxxxxyz_xyyyyyyy_0, \
                                         tg_xxxxxyz_xyyyyyyz_0, tg_xxxxxyz_xyyyyyzz_0, tg_xxxxxyz_xyyyyzzz_0, \
                                         tg_xxxxxyz_xyyyzzzz_0, tg_xxxxxyz_xyyzzzzz_0, tg_xxxxxyz_xyzzzzzz_0, \
                                         tg_xxxxxyz_xzzzzzzz_0, tg_xxxxxyz_yyyyyyyy_0, tg_xxxxxyz_yyyyyyyz_0, \
                                         tg_xxxxxyz_yyyyyyzz_0, tg_xxxxxyz_yyyyyzzz_0, tg_xxxxxyz_yyyyzzzz_0, \
                                         tg_xxxxxyz_yyyzzzzz_0, tg_xxxxxyz_yyzzzzzz_0, tg_xxxxxyz_yzzzzzzz_0, \
                                         tg_xxxxxyz_zzzzzzzz_0, tg_xxxxxzz_xxxxxxxx_0, tg_xxxxxzz_xxxxxxxy_0, \
                                         tg_xxxxxzz_xxxxxxxz_0, tg_xxxxxzz_xxxxxxyy_0, tg_xxxxxzz_xxxxxxyz_0, \
                                         tg_xxxxxzz_xxxxxxzz_0, tg_xxxxxzz_xxxxxyyy_0, tg_xxxxxzz_xxxxxyyz_0, \
                                         tg_xxxxxzz_xxxxxyzz_0, tg_xxxxxzz_xxxxxzzz_0, tg_xxxxxzz_xxxxyyyy_0, \
                                         tg_xxxxxzz_xxxxyyyz_0, tg_xxxxxzz_xxxxyyzz_0, tg_xxxxxzz_xxxxyzzz_0, \
                                         tg_xxxxxzz_xxxxzzzz_0, tg_xxxxxzz_xxxyyyyy_0, tg_xxxxxzz_xxxyyyyz_0, \
                                         tg_xxxxxzz_xxxyyyzz_0, tg_xxxxxzz_xxxyyzzz_0, tg_xxxxxzz_xxxyzzzz_0, \
                                         tg_xxxxxzz_xxxzzzzz_0, tg_xxxxxzz_xxyyyyyy_0, tg_xxxxxzz_xxyyyyyz_0, \
                                         tg_xxxxxzz_xxyyyyzz_0, tg_xxxxxzz_xxyyyzzz_0, tg_xxxxxzz_xxyyzzzz_0, \
                                         tg_xxxxxzz_xxyzzzzz_0, tg_xxxxxzz_xxzzzzzz_0, tg_xxxxxzz_xyyyyyyy_0, \
                                         tg_xxxxxzz_xyyyyyyz_0, tg_xxxxxzz_xyyyyyzz_0, tg_xxxxxzz_xyyyyzzz_0, \
                                         tg_xxxxxzz_xyyyzzzz_0, tg_xxxxxzz_xyyzzzzz_0, tg_xxxxxzz_xyzzzzzz_0, \
                                         tg_xxxxxzz_xzzzzzzz_0, tg_xxxxxzz_yyyyyyyy_0, tg_xxxxxzz_yyyyyyyz_0, \
                                         tg_xxxxxzz_yyyyyyzz_0, tg_xxxxxzz_yyyyyzzz_0, tg_xxxxxzz_yyyyzzzz_0, \
                                         tg_xxxxxzz_yyyzzzzz_0, tg_xxxxxzz_yyzzzzzz_0, tg_xxxxxzz_yzzzzzzz_0, \
                                         tg_xxxxxzz_zzzzzzzz_0, tg_xxxxyyy_xxxxxxxx_0, tg_xxxxyyy_xxxxxxxy_0, \
                                         tg_xxxxyyy_xxxxxxxz_0, tg_xxxxyyy_xxxxxxyy_0, tg_xxxxyyy_xxxxxxyz_0, \
                                         tg_xxxxyyy_xxxxxxzz_0, tg_xxxxyyy_xxxxxyyy_0, tg_xxxxyyy_xxxxxyyz_0, \
                                         tg_xxxxyyy_xxxxxyzz_0, tg_xxxxyyy_xxxxxzzz_0, tg_xxxxyyy_xxxxyyyy_0, \
                                         tg_xxxxyyy_xxxxyyyz_0, tg_xxxxyyy_xxxxyyzz_0, tg_xxxxyyy_xxxxyzzz_0, \
                                         tg_xxxxyyy_xxxxzzzz_0, tg_xxxxyyy_xxxyyyyy_0, tg_xxxxyyy_xxxyyyyz_0, \
                                         tg_xxxxyyy_xxxyyyzz_0, tg_xxxxyz_xxxxyyzz_0, tg_xxxxyz_xxxxyyzz_1, tg_xxxxyz_xxxxyzzz_0, \
                                         tg_xxxxyz_xxxxyzzz_1, tg_xxxxyz_xxxxzzzz_0, tg_xxxxyz_xxxxzzzz_1, tg_xxxxyz_xxxyyyyy_0, \
                                         tg_xxxxyz_xxxyyyyy_1, tg_xxxxyz_xxxyyyyz_0, tg_xxxxyz_xxxyyyyz_1, tg_xxxxyz_xxxyyyzz_0, \
                                         tg_xxxxyz_xxxyyyzz_1, tg_xxxxyz_xxxyyzz_1, tg_xxxxyz_xxxyyzzz_0, tg_xxxxyz_xxxyyzzz_1, \
                                         tg_xxxxyz_xxxyzzz_1, tg_xxxxyz_xxxyzzzz_0, tg_xxxxyz_xxxyzzzz_1, tg_xxxxyz_xxxzzzz_1, \
                                         tg_xxxxyz_xxxzzzzz_0, tg_xxxxyz_xxxzzzzz_1, tg_xxxxyz_xxyyyyy_1, tg_xxxxyz_xxyyyyyy_0, \
                                         tg_xxxxyz_xxyyyyyy_1, tg_xxxxyz_xxyyyyyz_0, tg_xxxxyz_xxyyyyyz_1, tg_xxxxyz_xxyyyyz_1, \
                                         tg_xxxxyz_xxyyyyzz_0, tg_xxxxyz_xxyyyyzz_1, tg_xxxxyz_xxyyyzz_1, tg_xxxxyz_xxyyyzzz_0, \
                                         tg_xxxxyz_xxyyyzzz_1, tg_xxxxyz_xxyyzzz_1, tg_xxxxyz_xxyyzzzz_0, tg_xxxxyz_xxyyzzzz_1, \
                                         tg_xxxxyz_xxyzzzz_1, tg_xxxxyz_xxyzzzzz_0, tg_xxxxyz_xxyzzzzz_1, tg_xxxxyz_xxzzzzz_1, \
                                         tg_xxxxyz_xxzzzzzz_0, tg_xxxxyz_xxzzzzzz_1, tg_xxxxyz_xyyyyyy_1, tg_xxxxyz_xyyyyyyy_0, \
                                         tg_xxxxyz_xyyyyyyy_1, tg_xxxxyz_xyyyyyyz_0, tg_xxxxyz_xyyyyyyz_1, tg_xxxxyz_xyyyyyz_1, \
                                         tg_xxxxyz_xyyyyyzz_0, tg_xxxxyz_xyyyyyzz_1, tg_xxxxyz_xyyyyzz_1, tg_xxxxyz_xyyyyzzz_0, \
                                         tg_xxxxyz_xyyyyzzz_1, tg_xxxxyz_xyyyzzz_1, tg_xxxxyz_xyyyzzzz_0, tg_xxxxyz_xyyyzzzz_1, \
                                         tg_xxxxyz_xyyzzzz_1, tg_xxxxyz_xyyzzzzz_0, tg_xxxxyz_xyyzzzzz_1, tg_xxxxyz_xyzzzzz_1, \
                                         tg_xxxxyz_xyzzzzzz_0, tg_xxxxyz_xyzzzzzz_1, tg_xxxxyz_xzzzzzz_1, tg_xxxxyz_xzzzzzzz_0, \
                                         tg_xxxxyz_xzzzzzzz_1, tg_xxxxyz_yyyyyyy_1, tg_xxxxyz_yyyyyyyy_0, tg_xxxxyz_yyyyyyyy_1, \
                                         tg_xxxxyz_yyyyyyyz_0, tg_xxxxyz_yyyyyyyz_1, tg_xxxxyz_yyyyyyz_1, tg_xxxxyz_yyyyyyzz_0, \
                                         tg_xxxxyz_yyyyyyzz_1, tg_xxxxyz_yyyyyzz_1, tg_xxxxyz_yyyyyzzz_0, tg_xxxxyz_yyyyyzzz_1, \
                                         tg_xxxxyz_yyyyzzz_1, tg_xxxxyz_yyyyzzzz_0, tg_xxxxyz_yyyyzzzz_1, tg_xxxxyz_yyyzzzz_1, \
                                         tg_xxxxyz_yyyzzzzz_0, tg_xxxxyz_yyyzzzzz_1, tg_xxxxyz_yyzzzzz_1, tg_xxxxyz_yyzzzzzz_0, \
                                         tg_xxxxyz_yyzzzzzz_1, tg_xxxxyz_yzzzzzz_1, tg_xxxxyz_yzzzzzzz_0, tg_xxxxyz_yzzzzzzz_1, \
                                         tg_xxxxyz_zzzzzzz_1, tg_xxxxyz_zzzzzzzz_0, tg_xxxxyz_zzzzzzzz_1, tg_xxxxzz_xxxxxxx_1, \
                                         tg_xxxxzz_xxxxxxxx_0, tg_xxxxzz_xxxxxxxx_1, tg_xxxxzz_xxxxxxxy_0, tg_xxxxzz_xxxxxxxy_1, \
                                         tg_xxxxzz_xxxxxxxz_0, tg_xxxxzz_xxxxxxxz_1, tg_xxxxzz_xxxxxxy_1, tg_xxxxzz_xxxxxxyy_0, \
                                         tg_xxxxzz_xxxxxxyy_1, tg_xxxxzz_xxxxxxyz_0, tg_xxxxzz_xxxxxxyz_1, tg_xxxxzz_xxxxxxz_1, \
                                         tg_xxxxzz_xxxxxxzz_0, tg_xxxxzz_xxxxxxzz_1, tg_xxxxzz_xxxxxyy_1, tg_xxxxzz_xxxxxyyy_0, \
                                         tg_xxxxzz_xxxxxyyy_1, tg_xxxxzz_xxxxxyyz_0, tg_xxxxzz_xxxxxyyz_1, tg_xxxxzz_xxxxxyz_1, \
                                         tg_xxxxzz_xxxxxyzz_0, tg_xxxxzz_xxxxxyzz_1, tg_xxxxzz_xxxxxzz_1, tg_xxxxzz_xxxxxzzz_0, \
                                         tg_xxxxzz_xxxxxzzz_1, tg_xxxxzz_xxxxyyy_1, tg_xxxxzz_xxxxyyyy_0, tg_xxxxzz_xxxxyyyy_1, \
                                         tg_xxxxzz_xxxxyyyz_0, tg_xxxxzz_xxxxyyyz_1, tg_xxxxzz_xxxxyyz_1, tg_xxxxzz_xxxxyyzz_0, \
                                         tg_xxxxzz_xxxxyyzz_1, tg_xxxxzz_xxxxyzz_1, tg_xxxxzz_xxxxyzzz_0, tg_xxxxzz_xxxxyzzz_1, \
                                         tg_xxxxzz_xxxxzzz_1, tg_xxxxzz_xxxxzzzz_0, tg_xxxxzz_xxxxzzzz_1, tg_xxxxzz_xxxyyyy_1, \
                                         tg_xxxxzz_xxxyyyyy_0, tg_xxxxzz_xxxyyyyy_1, tg_xxxxzz_xxxyyyyz_0, tg_xxxxzz_xxxyyyyz_1, \
                                         tg_xxxxzz_xxxyyyz_1, tg_xxxxzz_xxxyyyzz_0, tg_xxxxzz_xxxyyyzz_1, tg_xxxxzz_xxxyyzz_1, \
                                         tg_xxxxzz_xxxyyzzz_0, tg_xxxxzz_xxxyyzzz_1, tg_xxxxzz_xxxyzzz_1, tg_xxxxzz_xxxyzzzz_0, \
                                         tg_xxxxzz_xxxyzzzz_1, tg_xxxxzz_xxxzzzz_1, tg_xxxxzz_xxxzzzzz_0, tg_xxxxzz_xxxzzzzz_1, \
                                         tg_xxxxzz_xxyyyyy_1, tg_xxxxzz_xxyyyyyy_0, tg_xxxxzz_xxyyyyyy_1, tg_xxxxzz_xxyyyyyz_0, \
                                         tg_xxxxzz_xxyyyyyz_1, tg_xxxxzz_xxyyyyz_1, tg_xxxxzz_xxyyyyzz_0, tg_xxxxzz_xxyyyyzz_1, \
                                         tg_xxxxzz_xxyyyzz_1, tg_xxxxzz_xxyyyzzz_0, tg_xxxxzz_xxyyyzzz_1, tg_xxxxzz_xxyyzzz_1, \
                                         tg_xxxxzz_xxyyzzzz_0, tg_xxxxzz_xxyyzzzz_1, tg_xxxxzz_xxyzzzz_1, tg_xxxxzz_xxyzzzzz_0, \
                                         tg_xxxxzz_xxyzzzzz_1, tg_xxxxzz_xxzzzzz_1, tg_xxxxzz_xxzzzzzz_0, tg_xxxxzz_xxzzzzzz_1, \
                                         tg_xxxxzz_xyyyyyy_1, tg_xxxxzz_xyyyyyyy_0, tg_xxxxzz_xyyyyyyy_1, tg_xxxxzz_xyyyyyyz_0, \
                                         tg_xxxxzz_xyyyyyyz_1, tg_xxxxzz_xyyyyyz_1, tg_xxxxzz_xyyyyyzz_0, tg_xxxxzz_xyyyyyzz_1, \
                                         tg_xxxxzz_xyyyyzz_1, tg_xxxxzz_xyyyyzzz_0, tg_xxxxzz_xyyyyzzz_1, tg_xxxxzz_xyyyzzz_1, \
                                         tg_xxxxzz_xyyyzzzz_0, tg_xxxxzz_xyyyzzzz_1, tg_xxxxzz_xyyzzzz_1, tg_xxxxzz_xyyzzzzz_0, \
                                         tg_xxxxzz_xyyzzzzz_1, tg_xxxxzz_xyzzzzz_1, tg_xxxxzz_xyzzzzzz_0, tg_xxxxzz_xyzzzzzz_1, \
                                         tg_xxxxzz_xzzzzzz_1, tg_xxxxzz_xzzzzzzz_0, tg_xxxxzz_xzzzzzzz_1, tg_xxxxzz_yyyyyyy_1, \
                                         tg_xxxxzz_yyyyyyyy_0, tg_xxxxzz_yyyyyyyy_1, tg_xxxxzz_yyyyyyyz_0, tg_xxxxzz_yyyyyyyz_1, \
                                         tg_xxxxzz_yyyyyyz_1, tg_xxxxzz_yyyyyyzz_0, tg_xxxxzz_yyyyyyzz_1, tg_xxxxzz_yyyyyzz_1, \
                                         tg_xxxxzz_yyyyyzzz_0, tg_xxxxzz_yyyyyzzz_1, tg_xxxxzz_yyyyzzz_1, tg_xxxxzz_yyyyzzzz_0, \
                                         tg_xxxxzz_yyyyzzzz_1, tg_xxxxzz_yyyzzzz_1, tg_xxxxzz_yyyzzzzz_0, tg_xxxxzz_yyyzzzzz_1, \
                                         tg_xxxxzz_yyzzzzz_1, tg_xxxxzz_yyzzzzzz_0, tg_xxxxzz_yyzzzzzz_1, tg_xxxxzz_yzzzzzz_1, \
                                         tg_xxxxzz_yzzzzzzz_0, tg_xxxxzz_yzzzzzzz_1, tg_xxxxzz_zzzzzzz_1, tg_xxxxzz_zzzzzzzz_0, \
                                         tg_xxxxzz_zzzzzzzz_1, tg_xxxyyy_xxxxxxx_1, tg_xxxyyy_xxxxxxxx_0, tg_xxxyyy_xxxxxxxx_1, \
                                         tg_xxxyyy_xxxxxxxy_0, tg_xxxyyy_xxxxxxxy_1, tg_xxxyyy_xxxxxxxz_0, tg_xxxyyy_xxxxxxxz_1, \
                                         tg_xxxyyy_xxxxxxy_1, tg_xxxyyy_xxxxxxyy_0, tg_xxxyyy_xxxxxxyy_1, tg_xxxyyy_xxxxxxyz_0, \
                                         tg_xxxyyy_xxxxxxyz_1, tg_xxxyyy_xxxxxxz_1, tg_xxxyyy_xxxxxxzz_0, tg_xxxyyy_xxxxxxzz_1, \
                                         tg_xxxyyy_xxxxxyy_1, tg_xxxyyy_xxxxxyyy_0, tg_xxxyyy_xxxxxyyy_1, tg_xxxyyy_xxxxxyyz_0, \
                                         tg_xxxyyy_xxxxxyyz_1, tg_xxxyyy_xxxxxyz_1, tg_xxxyyy_xxxxxyzz_0, tg_xxxyyy_xxxxxyzz_1, \
                                         tg_xxxyyy_xxxxxzz_1, tg_xxxyyy_xxxxxzzz_0, tg_xxxyyy_xxxxxzzz_1, tg_xxxyyy_xxxxyyy_1, \
                                         tg_xxxyyy_xxxxyyyy_0, tg_xxxyyy_xxxxyyyy_1, tg_xxxyyy_xxxxyyyz_0, tg_xxxyyy_xxxxyyyz_1, \
                                         tg_xxxyyy_xxxxyyz_1, tg_xxxyyy_xxxxyyzz_0, tg_xxxyyy_xxxxyyzz_1, tg_xxxyyy_xxxxyzz_1, \
                                         tg_xxxyyy_xxxxyzzz_0, tg_xxxyyy_xxxxyzzz_1, tg_xxxyyy_xxxxzzz_1, tg_xxxyyy_xxxxzzzz_0, \
                                         tg_xxxyyy_xxxxzzzz_1, tg_xxxyyy_xxxyyyy_1, tg_xxxyyy_xxxyyyyy_0, tg_xxxyyy_xxxyyyyy_1, \
                                         tg_xxxyyy_xxxyyyyz_0, tg_xxxyyy_xxxyyyyz_1, tg_xxxyyy_xxxyyyz_1, tg_xxxyyy_xxxyyyzz_0, \
                                         tg_xxxyyy_xxxyyyzz_1, tg_xxxyyy_xxxyyzz_1, tg_xxxyyy_xxxyzzz_1, tg_xxxyyy_xxxzzzz_1, \
                                         tg_xxxyyy_xxyyyyy_1, tg_xxxyyy_xxyyyyz_1, tg_xxxyyy_xxyyyzz_1, tg_xxxyz_xxxxyyzz_0, \
                                         tg_xxxyz_xxxxyyzz_1, tg_xxxyz_xxxxyzzz_0, tg_xxxyz_xxxxyzzz_1, tg_xxxyz_xxxxzzzz_0, \
                                         tg_xxxyz_xxxxzzzz_1, tg_xxxyz_xxxyyyyy_0, tg_xxxyz_xxxyyyyy_1, tg_xxxyz_xxxyyyyz_0, \
                                         tg_xxxyz_xxxyyyyz_1, tg_xxxyz_xxxyyyzz_0, tg_xxxyz_xxxyyyzz_1, tg_xxxyz_xxxyyzzz_0, \
                                         tg_xxxyz_xxxyyzzz_1, tg_xxxyz_xxxyzzzz_0, tg_xxxyz_xxxyzzzz_1, tg_xxxyz_xxxzzzzz_0, \
                                         tg_xxxyz_xxxzzzzz_1, tg_xxxyz_xxyyyyyy_0, tg_xxxyz_xxyyyyyy_1, tg_xxxyz_xxyyyyyz_0, \
                                         tg_xxxyz_xxyyyyyz_1, tg_xxxyz_xxyyyyzz_0, tg_xxxyz_xxyyyyzz_1, tg_xxxyz_xxyyyzzz_0, \
                                         tg_xxxyz_xxyyyzzz_1, tg_xxxyz_xxyyzzzz_0, tg_xxxyz_xxyyzzzz_1, tg_xxxyz_xxyzzzzz_0, \
                                         tg_xxxyz_xxyzzzzz_1, tg_xxxyz_xxzzzzzz_0, tg_xxxyz_xxzzzzzz_1, tg_xxxyz_xyyyyyyy_0, \
                                         tg_xxxyz_xyyyyyyy_1, tg_xxxyz_xyyyyyyz_0, tg_xxxyz_xyyyyyyz_1, tg_xxxyz_xyyyyyzz_0, \
                                         tg_xxxyz_xyyyyyzz_1, tg_xxxyz_xyyyyzzz_0, tg_xxxyz_xyyyyzzz_1, tg_xxxyz_xyyyzzzz_0, \
                                         tg_xxxyz_xyyyzzzz_1, tg_xxxyz_xyyzzzzz_0, tg_xxxyz_xyyzzzzz_1, tg_xxxyz_xyzzzzzz_0, \
                                         tg_xxxyz_xyzzzzzz_1, tg_xxxyz_xzzzzzzz_0, tg_xxxyz_xzzzzzzz_1, tg_xxxyz_yyyyyyyy_0, \
                                         tg_xxxyz_yyyyyyyy_1, tg_xxxyz_yyyyyyyz_0, tg_xxxyz_yyyyyyyz_1, tg_xxxyz_yyyyyyzz_0, \
                                         tg_xxxyz_yyyyyyzz_1, tg_xxxyz_yyyyyzzz_0, tg_xxxyz_yyyyyzzz_1, tg_xxxyz_yyyyzzzz_0, \
                                         tg_xxxyz_yyyyzzzz_1, tg_xxxyz_yyyzzzzz_0, tg_xxxyz_yyyzzzzz_1, tg_xxxyz_yyzzzzzz_0, \
                                         tg_xxxyz_yyzzzzzz_1, tg_xxxyz_yzzzzzzz_0, tg_xxxyz_yzzzzzzz_1, tg_xxxyz_zzzzzzzz_0, \
                                         tg_xxxyz_zzzzzzzz_1, tg_xxxzz_xxxxxxxx_0, tg_xxxzz_xxxxxxxx_1, tg_xxxzz_xxxxxxxy_0, \
                                         tg_xxxzz_xxxxxxxy_1, tg_xxxzz_xxxxxxxz_0, tg_xxxzz_xxxxxxxz_1, tg_xxxzz_xxxxxxyy_0, \
                                         tg_xxxzz_xxxxxxyy_1, tg_xxxzz_xxxxxxyz_0, tg_xxxzz_xxxxxxyz_1, tg_xxxzz_xxxxxxzz_0, \
                                         tg_xxxzz_xxxxxxzz_1, tg_xxxzz_xxxxxyyy_0, tg_xxxzz_xxxxxyyy_1, tg_xxxzz_xxxxxyyz_0, \
                                         tg_xxxzz_xxxxxyyz_1, tg_xxxzz_xxxxxyzz_0, tg_xxxzz_xxxxxyzz_1, tg_xxxzz_xxxxxzzz_0, \
                                         tg_xxxzz_xxxxxzzz_1, tg_xxxzz_xxxxyyyy_0, tg_xxxzz_xxxxyyyy_1, tg_xxxzz_xxxxyyyz_0, \
                                         tg_xxxzz_xxxxyyyz_1, tg_xxxzz_xxxxyyzz_0, tg_xxxzz_xxxxyyzz_1, tg_xxxzz_xxxxyzzz_0, \
                                         tg_xxxzz_xxxxyzzz_1, tg_xxxzz_xxxxzzzz_0, tg_xxxzz_xxxxzzzz_1, tg_xxxzz_xxxyyyyy_0, \
                                         tg_xxxzz_xxxyyyyy_1, tg_xxxzz_xxxyyyyz_0, tg_xxxzz_xxxyyyyz_1, tg_xxxzz_xxxyyyzz_0, \
                                         tg_xxxzz_xxxyyyzz_1, tg_xxxzz_xxxyyzzz_0, tg_xxxzz_xxxyyzzz_1, tg_xxxzz_xxxyzzzz_0, \
                                         tg_xxxzz_xxxyzzzz_1, tg_xxxzz_xxxzzzzz_0, tg_xxxzz_xxxzzzzz_1, tg_xxxzz_xxyyyyyy_0, \
                                         tg_xxxzz_xxyyyyyy_1, tg_xxxzz_xxyyyyyz_0, tg_xxxzz_xxyyyyyz_1, tg_xxxzz_xxyyyyzz_0, \
                                         tg_xxxzz_xxyyyyzz_1, tg_xxxzz_xxyyyzzz_0, tg_xxxzz_xxyyyzzz_1, tg_xxxzz_xxyyzzzz_0, \
                                         tg_xxxzz_xxyyzzzz_1, tg_xxxzz_xxyzzzzz_0, tg_xxxzz_xxyzzzzz_1, tg_xxxzz_xxzzzzzz_0, \
                                         tg_xxxzz_xxzzzzzz_1, tg_xxxzz_xyyyyyyy_0, tg_xxxzz_xyyyyyyy_1, tg_xxxzz_xyyyyyyz_0, \
                                         tg_xxxzz_xyyyyyyz_1, tg_xxxzz_xyyyyyzz_0, tg_xxxzz_xyyyyyzz_1, tg_xxxzz_xyyyyzzz_0, \
                                         tg_xxxzz_xyyyyzzz_1, tg_xxxzz_xyyyzzzz_0, tg_xxxzz_xyyyzzzz_1, tg_xxxzz_xyyzzzzz_0, \
                                         tg_xxxzz_xyyzzzzz_1, tg_xxxzz_xyzzzzzz_0, tg_xxxzz_xyzzzzzz_1, tg_xxxzz_xzzzzzzz_0, \
                                         tg_xxxzz_xzzzzzzz_1, tg_xxxzz_yyyyyyyy_0, tg_xxxzz_yyyyyyyy_1, tg_xxxzz_yyyyyyyz_0, \
                                         tg_xxxzz_yyyyyyyz_1, tg_xxxzz_yyyyyyzz_0, tg_xxxzz_yyyyyyzz_1, tg_xxxzz_yyyyyzzz_0, \
                                         tg_xxxzz_yyyyyzzz_1, tg_xxxzz_yyyyzzzz_0, tg_xxxzz_yyyyzzzz_1, tg_xxxzz_yyyzzzzz_0, \
                                         tg_xxxzz_yyyzzzzz_1, tg_xxxzz_yyzzzzzz_0, tg_xxxzz_yyzzzzzz_1, tg_xxxzz_yzzzzzzz_0, \
                                         tg_xxxzz_yzzzzzzz_1, tg_xxxzz_zzzzzzzz_0, tg_xxxzz_zzzzzzzz_1, tg_xxyyy_xxxxxxxx_0, \
                                         tg_xxyyy_xxxxxxxx_1, tg_xxyyy_xxxxxxxy_0, tg_xxyyy_xxxxxxxy_1, tg_xxyyy_xxxxxxxz_0, \
                                         tg_xxyyy_xxxxxxxz_1, tg_xxyyy_xxxxxxyy_0, tg_xxyyy_xxxxxxyy_1, tg_xxyyy_xxxxxxyz_0, \
                                         tg_xxyyy_xxxxxxyz_1, tg_xxyyy_xxxxxxzz_0, tg_xxyyy_xxxxxxzz_1, tg_xxyyy_xxxxxyyy_0, \
                                         tg_xxyyy_xxxxxyyy_1, tg_xxyyy_xxxxxyyz_0, tg_xxyyy_xxxxxyyz_1, tg_xxyyy_xxxxxyzz_0, \
                                         tg_xxyyy_xxxxxyzz_1, tg_xxyyy_xxxxxzzz_0, tg_xxyyy_xxxxxzzz_1, tg_xxyyy_xxxxyyyy_0, \
                                         tg_xxyyy_xxxxyyyy_1, tg_xxyyy_xxxxyyyz_0, tg_xxyyy_xxxxyyyz_1, tg_xxyyy_xxxxyyzz_0, \
                                         tg_xxyyy_xxxxyyzz_1, tg_xxyyy_xxxxyzzz_0, tg_xxyyy_xxxxyzzz_1, tg_xxyyy_xxxxzzzz_0, \
                                         tg_xxyyy_xxxxzzzz_1, tg_xxyyy_xxxyyyyy_0, tg_xxyyy_xxxyyyyy_1, tg_xxyyy_xxxyyyyz_0, \
                                         tg_xxyyy_xxxyyyyz_1, tg_xxyyy_xxxyyyzz_0, tg_xxyyy_xxxyyyzz_1, wp_x: VLX_ALIGN)
                for (int32_t j = 0; j < nKetPrimPairs; j++)
                {
                    double fl1_fx = fx;

                    double fl1_fxn = fxn[j];

                    double fl1_fza = fza[j];

                    double fr = wp_x[j]; 

                    tg_xxxxxyz_xxxxyyzz_0[j] = pb_x * tg_xxxxyz_xxxxyyzz_0[j] + fr * tg_xxxxyz_xxxxyyzz_1[j] + 2.0 * fl1_fx * (tg_xxxyz_xxxxyyzz_0[j] - tg_xxxyz_xxxxyyzz_1[j] * fl1_fza) + 2.0 * fl1_fxn * tg_xxxxyz_xxxyyzz_1[j];

                    tg_xxxxxyz_xxxxyzzz_0[j] = pb_x * tg_xxxxyz_xxxxyzzz_0[j] + fr * tg_xxxxyz_xxxxyzzz_1[j] + 2.0 * fl1_fx * (tg_xxxyz_xxxxyzzz_0[j] - tg_xxxyz_xxxxyzzz_1[j] * fl1_fza) + 2.0 * fl1_fxn * tg_xxxxyz_xxxyzzz_1[j];

                    tg_xxxxxyz_xxxxzzzz_0[j] = pb_x * tg_xxxxyz_xxxxzzzz_0[j] + fr * tg_xxxxyz_xxxxzzzz_1[j] + 2.0 * fl1_fx * (tg_xxxyz_xxxxzzzz_0[j] - tg_xxxyz_xxxxzzzz_1[j] * fl1_fza) + 2.0 * fl1_fxn * tg_xxxxyz_xxxzzzz_1[j];

                    tg_xxxxxyz_xxxyyyyy_0[j] = pb_x * tg_xxxxyz_xxxyyyyy_0[j] + fr * tg_xxxxyz_xxxyyyyy_1[j] + 2.0 * fl1_fx * (tg_xxxyz_xxxyyyyy_0[j] - tg_xxxyz_xxxyyyyy_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_xxxxyz_xxyyyyy_1[j];

                    tg_xxxxxyz_xxxyyyyz_0[j] = pb_x * tg_xxxxyz_xxxyyyyz_0[j] + fr * tg_xxxxyz_xxxyyyyz_1[j] + 2.0 * fl1_fx * (tg_xxxyz_xxxyyyyz_0[j] - tg_xxxyz_xxxyyyyz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_xxxxyz_xxyyyyz_1[j];

                    tg_xxxxxyz_xxxyyyzz_0[j] = pb_x * tg_xxxxyz_xxxyyyzz_0[j] + fr * tg_xxxxyz_xxxyyyzz_1[j] + 2.0 * fl1_fx * (tg_xxxyz_xxxyyyzz_0[j] - tg_xxxyz_xxxyyyzz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_xxxxyz_xxyyyzz_1[j];

                    tg_xxxxxyz_xxxyyzzz_0[j] = pb_x * tg_xxxxyz_xxxyyzzz_0[j] + fr * tg_xxxxyz_xxxyyzzz_1[j] + 2.0 * fl1_fx * (tg_xxxyz_xxxyyzzz_0[j] - tg_xxxyz_xxxyyzzz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_xxxxyz_xxyyzzz_1[j];

                    tg_xxxxxyz_xxxyzzzz_0[j] = pb_x * tg_xxxxyz_xxxyzzzz_0[j] + fr * tg_xxxxyz_xxxyzzzz_1[j] + 2.0 * fl1_fx * (tg_xxxyz_xxxyzzzz_0[j] - tg_xxxyz_xxxyzzzz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_xxxxyz_xxyzzzz_1[j];

                    tg_xxxxxyz_xxxzzzzz_0[j] = pb_x * tg_xxxxyz_xxxzzzzz_0[j] + fr * tg_xxxxyz_xxxzzzzz_1[j] + 2.0 * fl1_fx * (tg_xxxyz_xxxzzzzz_0[j] - tg_xxxyz_xxxzzzzz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_xxxxyz_xxzzzzz_1[j];

                    tg_xxxxxyz_xxyyyyyy_0[j] = pb_x * tg_xxxxyz_xxyyyyyy_0[j] + fr * tg_xxxxyz_xxyyyyyy_1[j] + 2.0 * fl1_fx * (tg_xxxyz_xxyyyyyy_0[j] - tg_xxxyz_xxyyyyyy_1[j] * fl1_fza) + fl1_fxn * tg_xxxxyz_xyyyyyy_1[j];

                    tg_xxxxxyz_xxyyyyyz_0[j] = pb_x * tg_xxxxyz_xxyyyyyz_0[j] + fr * tg_xxxxyz_xxyyyyyz_1[j] + 2.0 * fl1_fx * (tg_xxxyz_xxyyyyyz_0[j] - tg_xxxyz_xxyyyyyz_1[j] * fl1_fza) + fl1_fxn * tg_xxxxyz_xyyyyyz_1[j];

                    tg_xxxxxyz_xxyyyyzz_0[j] = pb_x * tg_xxxxyz_xxyyyyzz_0[j] + fr * tg_xxxxyz_xxyyyyzz_1[j] + 2.0 * fl1_fx * (tg_xxxyz_xxyyyyzz_0[j] - tg_xxxyz_xxyyyyzz_1[j] * fl1_fza) + fl1_fxn * tg_xxxxyz_xyyyyzz_1[j];

                    tg_xxxxxyz_xxyyyzzz_0[j] = pb_x * tg_xxxxyz_xxyyyzzz_0[j] + fr * tg_xxxxyz_xxyyyzzz_1[j] + 2.0 * fl1_fx * (tg_xxxyz_xxyyyzzz_0[j] - tg_xxxyz_xxyyyzzz_1[j] * fl1_fza) + fl1_fxn * tg_xxxxyz_xyyyzzz_1[j];

                    tg_xxxxxyz_xxyyzzzz_0[j] = pb_x * tg_xxxxyz_xxyyzzzz_0[j] + fr * tg_xxxxyz_xxyyzzzz_1[j] + 2.0 * fl1_fx * (tg_xxxyz_xxyyzzzz_0[j] - tg_xxxyz_xxyyzzzz_1[j] * fl1_fza) + fl1_fxn * tg_xxxxyz_xyyzzzz_1[j];

                    tg_xxxxxyz_xxyzzzzz_0[j] = pb_x * tg_xxxxyz_xxyzzzzz_0[j] + fr * tg_xxxxyz_xxyzzzzz_1[j] + 2.0 * fl1_fx * (tg_xxxyz_xxyzzzzz_0[j] - tg_xxxyz_xxyzzzzz_1[j] * fl1_fza) + fl1_fxn * tg_xxxxyz_xyzzzzz_1[j];

                    tg_xxxxxyz_xxzzzzzz_0[j] = pb_x * tg_xxxxyz_xxzzzzzz_0[j] + fr * tg_xxxxyz_xxzzzzzz_1[j] + 2.0 * fl1_fx * (tg_xxxyz_xxzzzzzz_0[j] - tg_xxxyz_xxzzzzzz_1[j] * fl1_fza) + fl1_fxn * tg_xxxxyz_xzzzzzz_1[j];

                    tg_xxxxxyz_xyyyyyyy_0[j] = pb_x * tg_xxxxyz_xyyyyyyy_0[j] + fr * tg_xxxxyz_xyyyyyyy_1[j] + 2.0 * fl1_fx * (tg_xxxyz_xyyyyyyy_0[j] - tg_xxxyz_xyyyyyyy_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xxxxyz_yyyyyyy_1[j];

                    tg_xxxxxyz_xyyyyyyz_0[j] = pb_x * tg_xxxxyz_xyyyyyyz_0[j] + fr * tg_xxxxyz_xyyyyyyz_1[j] + 2.0 * fl1_fx * (tg_xxxyz_xyyyyyyz_0[j] - tg_xxxyz_xyyyyyyz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xxxxyz_yyyyyyz_1[j];

                    tg_xxxxxyz_xyyyyyzz_0[j] = pb_x * tg_xxxxyz_xyyyyyzz_0[j] + fr * tg_xxxxyz_xyyyyyzz_1[j] + 2.0 * fl1_fx * (tg_xxxyz_xyyyyyzz_0[j] - tg_xxxyz_xyyyyyzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xxxxyz_yyyyyzz_1[j];

                    tg_xxxxxyz_xyyyyzzz_0[j] = pb_x * tg_xxxxyz_xyyyyzzz_0[j] + fr * tg_xxxxyz_xyyyyzzz_1[j] + 2.0 * fl1_fx * (tg_xxxyz_xyyyyzzz_0[j] - tg_xxxyz_xyyyyzzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xxxxyz_yyyyzzz_1[j];

                    tg_xxxxxyz_xyyyzzzz_0[j] = pb_x * tg_xxxxyz_xyyyzzzz_0[j] + fr * tg_xxxxyz_xyyyzzzz_1[j] + 2.0 * fl1_fx * (tg_xxxyz_xyyyzzzz_0[j] - tg_xxxyz_xyyyzzzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xxxxyz_yyyzzzz_1[j];

                    tg_xxxxxyz_xyyzzzzz_0[j] = pb_x * tg_xxxxyz_xyyzzzzz_0[j] + fr * tg_xxxxyz_xyyzzzzz_1[j] + 2.0 * fl1_fx * (tg_xxxyz_xyyzzzzz_0[j] - tg_xxxyz_xyyzzzzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xxxxyz_yyzzzzz_1[j];

                    tg_xxxxxyz_xyzzzzzz_0[j] = pb_x * tg_xxxxyz_xyzzzzzz_0[j] + fr * tg_xxxxyz_xyzzzzzz_1[j] + 2.0 * fl1_fx * (tg_xxxyz_xyzzzzzz_0[j] - tg_xxxyz_xyzzzzzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xxxxyz_yzzzzzz_1[j];

                    tg_xxxxxyz_xzzzzzzz_0[j] = pb_x * tg_xxxxyz_xzzzzzzz_0[j] + fr * tg_xxxxyz_xzzzzzzz_1[j] + 2.0 * fl1_fx * (tg_xxxyz_xzzzzzzz_0[j] - tg_xxxyz_xzzzzzzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xxxxyz_zzzzzzz_1[j];

                    tg_xxxxxyz_yyyyyyyy_0[j] = pb_x * tg_xxxxyz_yyyyyyyy_0[j] + fr * tg_xxxxyz_yyyyyyyy_1[j] + 2.0 * fl1_fx * (tg_xxxyz_yyyyyyyy_0[j] - tg_xxxyz_yyyyyyyy_1[j] * fl1_fza);

                    tg_xxxxxyz_yyyyyyyz_0[j] = pb_x * tg_xxxxyz_yyyyyyyz_0[j] + fr * tg_xxxxyz_yyyyyyyz_1[j] + 2.0 * fl1_fx * (tg_xxxyz_yyyyyyyz_0[j] - tg_xxxyz_yyyyyyyz_1[j] * fl1_fza);

                    tg_xxxxxyz_yyyyyyzz_0[j] = pb_x * tg_xxxxyz_yyyyyyzz_0[j] + fr * tg_xxxxyz_yyyyyyzz_1[j] + 2.0 * fl1_fx * (tg_xxxyz_yyyyyyzz_0[j] - tg_xxxyz_yyyyyyzz_1[j] * fl1_fza);

                    tg_xxxxxyz_yyyyyzzz_0[j] = pb_x * tg_xxxxyz_yyyyyzzz_0[j] + fr * tg_xxxxyz_yyyyyzzz_1[j] + 2.0 * fl1_fx * (tg_xxxyz_yyyyyzzz_0[j] - tg_xxxyz_yyyyyzzz_1[j] * fl1_fza);

                    tg_xxxxxyz_yyyyzzzz_0[j] = pb_x * tg_xxxxyz_yyyyzzzz_0[j] + fr * tg_xxxxyz_yyyyzzzz_1[j] + 2.0 * fl1_fx * (tg_xxxyz_yyyyzzzz_0[j] - tg_xxxyz_yyyyzzzz_1[j] * fl1_fza);

                    tg_xxxxxyz_yyyzzzzz_0[j] = pb_x * tg_xxxxyz_yyyzzzzz_0[j] + fr * tg_xxxxyz_yyyzzzzz_1[j] + 2.0 * fl1_fx * (tg_xxxyz_yyyzzzzz_0[j] - tg_xxxyz_yyyzzzzz_1[j] * fl1_fza);

                    tg_xxxxxyz_yyzzzzzz_0[j] = pb_x * tg_xxxxyz_yyzzzzzz_0[j] + fr * tg_xxxxyz_yyzzzzzz_1[j] + 2.0 * fl1_fx * (tg_xxxyz_yyzzzzzz_0[j] - tg_xxxyz_yyzzzzzz_1[j] * fl1_fza);

                    tg_xxxxxyz_yzzzzzzz_0[j] = pb_x * tg_xxxxyz_yzzzzzzz_0[j] + fr * tg_xxxxyz_yzzzzzzz_1[j] + 2.0 * fl1_fx * (tg_xxxyz_yzzzzzzz_0[j] - tg_xxxyz_yzzzzzzz_1[j] * fl1_fza);

                    tg_xxxxxyz_zzzzzzzz_0[j] = pb_x * tg_xxxxyz_zzzzzzzz_0[j] + fr * tg_xxxxyz_zzzzzzzz_1[j] + 2.0 * fl1_fx * (tg_xxxyz_zzzzzzzz_0[j] - tg_xxxyz_zzzzzzzz_1[j] * fl1_fza);

                    tg_xxxxxzz_xxxxxxxx_0[j] = pb_x * tg_xxxxzz_xxxxxxxx_0[j] + fr * tg_xxxxzz_xxxxxxxx_1[j] + 2.0 * fl1_fx * (tg_xxxzz_xxxxxxxx_0[j] - tg_xxxzz_xxxxxxxx_1[j] * fl1_fza) + 4.0 * fl1_fxn * tg_xxxxzz_xxxxxxx_1[j];

                    tg_xxxxxzz_xxxxxxxy_0[j] = pb_x * tg_xxxxzz_xxxxxxxy_0[j] + fr * tg_xxxxzz_xxxxxxxy_1[j] + 2.0 * fl1_fx * (tg_xxxzz_xxxxxxxy_0[j] - tg_xxxzz_xxxxxxxy_1[j] * fl1_fza) + 3.5 * fl1_fxn * tg_xxxxzz_xxxxxxy_1[j];

                    tg_xxxxxzz_xxxxxxxz_0[j] = pb_x * tg_xxxxzz_xxxxxxxz_0[j] + fr * tg_xxxxzz_xxxxxxxz_1[j] + 2.0 * fl1_fx * (tg_xxxzz_xxxxxxxz_0[j] - tg_xxxzz_xxxxxxxz_1[j] * fl1_fza) + 3.5 * fl1_fxn * tg_xxxxzz_xxxxxxz_1[j];

                    tg_xxxxxzz_xxxxxxyy_0[j] = pb_x * tg_xxxxzz_xxxxxxyy_0[j] + fr * tg_xxxxzz_xxxxxxyy_1[j] + 2.0 * fl1_fx * (tg_xxxzz_xxxxxxyy_0[j] - tg_xxxzz_xxxxxxyy_1[j] * fl1_fza) + 3.0 * fl1_fxn * tg_xxxxzz_xxxxxyy_1[j];

                    tg_xxxxxzz_xxxxxxyz_0[j] = pb_x * tg_xxxxzz_xxxxxxyz_0[j] + fr * tg_xxxxzz_xxxxxxyz_1[j] + 2.0 * fl1_fx * (tg_xxxzz_xxxxxxyz_0[j] - tg_xxxzz_xxxxxxyz_1[j] * fl1_fza) + 3.0 * fl1_fxn * tg_xxxxzz_xxxxxyz_1[j];

                    tg_xxxxxzz_xxxxxxzz_0[j] = pb_x * tg_xxxxzz_xxxxxxzz_0[j] + fr * tg_xxxxzz_xxxxxxzz_1[j] + 2.0 * fl1_fx * (tg_xxxzz_xxxxxxzz_0[j] - tg_xxxzz_xxxxxxzz_1[j] * fl1_fza) + 3.0 * fl1_fxn * tg_xxxxzz_xxxxxzz_1[j];

                    tg_xxxxxzz_xxxxxyyy_0[j] = pb_x * tg_xxxxzz_xxxxxyyy_0[j] + fr * tg_xxxxzz_xxxxxyyy_1[j] + 2.0 * fl1_fx * (tg_xxxzz_xxxxxyyy_0[j] - tg_xxxzz_xxxxxyyy_1[j] * fl1_fza) + 2.5 * fl1_fxn * tg_xxxxzz_xxxxyyy_1[j];

                    tg_xxxxxzz_xxxxxyyz_0[j] = pb_x * tg_xxxxzz_xxxxxyyz_0[j] + fr * tg_xxxxzz_xxxxxyyz_1[j] + 2.0 * fl1_fx * (tg_xxxzz_xxxxxyyz_0[j] - tg_xxxzz_xxxxxyyz_1[j] * fl1_fza) + 2.5 * fl1_fxn * tg_xxxxzz_xxxxyyz_1[j];

                    tg_xxxxxzz_xxxxxyzz_0[j] = pb_x * tg_xxxxzz_xxxxxyzz_0[j] + fr * tg_xxxxzz_xxxxxyzz_1[j] + 2.0 * fl1_fx * (tg_xxxzz_xxxxxyzz_0[j] - tg_xxxzz_xxxxxyzz_1[j] * fl1_fza) + 2.5 * fl1_fxn * tg_xxxxzz_xxxxyzz_1[j];

                    tg_xxxxxzz_xxxxxzzz_0[j] = pb_x * tg_xxxxzz_xxxxxzzz_0[j] + fr * tg_xxxxzz_xxxxxzzz_1[j] + 2.0 * fl1_fx * (tg_xxxzz_xxxxxzzz_0[j] - tg_xxxzz_xxxxxzzz_1[j] * fl1_fza) + 2.5 * fl1_fxn * tg_xxxxzz_xxxxzzz_1[j];

                    tg_xxxxxzz_xxxxyyyy_0[j] = pb_x * tg_xxxxzz_xxxxyyyy_0[j] + fr * tg_xxxxzz_xxxxyyyy_1[j] + 2.0 * fl1_fx * (tg_xxxzz_xxxxyyyy_0[j] - tg_xxxzz_xxxxyyyy_1[j] * fl1_fza) + 2.0 * fl1_fxn * tg_xxxxzz_xxxyyyy_1[j];

                    tg_xxxxxzz_xxxxyyyz_0[j] = pb_x * tg_xxxxzz_xxxxyyyz_0[j] + fr * tg_xxxxzz_xxxxyyyz_1[j] + 2.0 * fl1_fx * (tg_xxxzz_xxxxyyyz_0[j] - tg_xxxzz_xxxxyyyz_1[j] * fl1_fza) + 2.0 * fl1_fxn * tg_xxxxzz_xxxyyyz_1[j];

                    tg_xxxxxzz_xxxxyyzz_0[j] = pb_x * tg_xxxxzz_xxxxyyzz_0[j] + fr * tg_xxxxzz_xxxxyyzz_1[j] + 2.0 * fl1_fx * (tg_xxxzz_xxxxyyzz_0[j] - tg_xxxzz_xxxxyyzz_1[j] * fl1_fza) + 2.0 * fl1_fxn * tg_xxxxzz_xxxyyzz_1[j];

                    tg_xxxxxzz_xxxxyzzz_0[j] = pb_x * tg_xxxxzz_xxxxyzzz_0[j] + fr * tg_xxxxzz_xxxxyzzz_1[j] + 2.0 * fl1_fx * (tg_xxxzz_xxxxyzzz_0[j] - tg_xxxzz_xxxxyzzz_1[j] * fl1_fza) + 2.0 * fl1_fxn * tg_xxxxzz_xxxyzzz_1[j];

                    tg_xxxxxzz_xxxxzzzz_0[j] = pb_x * tg_xxxxzz_xxxxzzzz_0[j] + fr * tg_xxxxzz_xxxxzzzz_1[j] + 2.0 * fl1_fx * (tg_xxxzz_xxxxzzzz_0[j] - tg_xxxzz_xxxxzzzz_1[j] * fl1_fza) + 2.0 * fl1_fxn * tg_xxxxzz_xxxzzzz_1[j];

                    tg_xxxxxzz_xxxyyyyy_0[j] = pb_x * tg_xxxxzz_xxxyyyyy_0[j] + fr * tg_xxxxzz_xxxyyyyy_1[j] + 2.0 * fl1_fx * (tg_xxxzz_xxxyyyyy_0[j] - tg_xxxzz_xxxyyyyy_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_xxxxzz_xxyyyyy_1[j];

                    tg_xxxxxzz_xxxyyyyz_0[j] = pb_x * tg_xxxxzz_xxxyyyyz_0[j] + fr * tg_xxxxzz_xxxyyyyz_1[j] + 2.0 * fl1_fx * (tg_xxxzz_xxxyyyyz_0[j] - tg_xxxzz_xxxyyyyz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_xxxxzz_xxyyyyz_1[j];

                    tg_xxxxxzz_xxxyyyzz_0[j] = pb_x * tg_xxxxzz_xxxyyyzz_0[j] + fr * tg_xxxxzz_xxxyyyzz_1[j] + 2.0 * fl1_fx * (tg_xxxzz_xxxyyyzz_0[j] - tg_xxxzz_xxxyyyzz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_xxxxzz_xxyyyzz_1[j];

                    tg_xxxxxzz_xxxyyzzz_0[j] = pb_x * tg_xxxxzz_xxxyyzzz_0[j] + fr * tg_xxxxzz_xxxyyzzz_1[j] + 2.0 * fl1_fx * (tg_xxxzz_xxxyyzzz_0[j] - tg_xxxzz_xxxyyzzz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_xxxxzz_xxyyzzz_1[j];

                    tg_xxxxxzz_xxxyzzzz_0[j] = pb_x * tg_xxxxzz_xxxyzzzz_0[j] + fr * tg_xxxxzz_xxxyzzzz_1[j] + 2.0 * fl1_fx * (tg_xxxzz_xxxyzzzz_0[j] - tg_xxxzz_xxxyzzzz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_xxxxzz_xxyzzzz_1[j];

                    tg_xxxxxzz_xxxzzzzz_0[j] = pb_x * tg_xxxxzz_xxxzzzzz_0[j] + fr * tg_xxxxzz_xxxzzzzz_1[j] + 2.0 * fl1_fx * (tg_xxxzz_xxxzzzzz_0[j] - tg_xxxzz_xxxzzzzz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_xxxxzz_xxzzzzz_1[j];

                    tg_xxxxxzz_xxyyyyyy_0[j] = pb_x * tg_xxxxzz_xxyyyyyy_0[j] + fr * tg_xxxxzz_xxyyyyyy_1[j] + 2.0 * fl1_fx * (tg_xxxzz_xxyyyyyy_0[j] - tg_xxxzz_xxyyyyyy_1[j] * fl1_fza) + fl1_fxn * tg_xxxxzz_xyyyyyy_1[j];

                    tg_xxxxxzz_xxyyyyyz_0[j] = pb_x * tg_xxxxzz_xxyyyyyz_0[j] + fr * tg_xxxxzz_xxyyyyyz_1[j] + 2.0 * fl1_fx * (tg_xxxzz_xxyyyyyz_0[j] - tg_xxxzz_xxyyyyyz_1[j] * fl1_fza) + fl1_fxn * tg_xxxxzz_xyyyyyz_1[j];

                    tg_xxxxxzz_xxyyyyzz_0[j] = pb_x * tg_xxxxzz_xxyyyyzz_0[j] + fr * tg_xxxxzz_xxyyyyzz_1[j] + 2.0 * fl1_fx * (tg_xxxzz_xxyyyyzz_0[j] - tg_xxxzz_xxyyyyzz_1[j] * fl1_fza) + fl1_fxn * tg_xxxxzz_xyyyyzz_1[j];

                    tg_xxxxxzz_xxyyyzzz_0[j] = pb_x * tg_xxxxzz_xxyyyzzz_0[j] + fr * tg_xxxxzz_xxyyyzzz_1[j] + 2.0 * fl1_fx * (tg_xxxzz_xxyyyzzz_0[j] - tg_xxxzz_xxyyyzzz_1[j] * fl1_fza) + fl1_fxn * tg_xxxxzz_xyyyzzz_1[j];

                    tg_xxxxxzz_xxyyzzzz_0[j] = pb_x * tg_xxxxzz_xxyyzzzz_0[j] + fr * tg_xxxxzz_xxyyzzzz_1[j] + 2.0 * fl1_fx * (tg_xxxzz_xxyyzzzz_0[j] - tg_xxxzz_xxyyzzzz_1[j] * fl1_fza) + fl1_fxn * tg_xxxxzz_xyyzzzz_1[j];

                    tg_xxxxxzz_xxyzzzzz_0[j] = pb_x * tg_xxxxzz_xxyzzzzz_0[j] + fr * tg_xxxxzz_xxyzzzzz_1[j] + 2.0 * fl1_fx * (tg_xxxzz_xxyzzzzz_0[j] - tg_xxxzz_xxyzzzzz_1[j] * fl1_fza) + fl1_fxn * tg_xxxxzz_xyzzzzz_1[j];

                    tg_xxxxxzz_xxzzzzzz_0[j] = pb_x * tg_xxxxzz_xxzzzzzz_0[j] + fr * tg_xxxxzz_xxzzzzzz_1[j] + 2.0 * fl1_fx * (tg_xxxzz_xxzzzzzz_0[j] - tg_xxxzz_xxzzzzzz_1[j] * fl1_fza) + fl1_fxn * tg_xxxxzz_xzzzzzz_1[j];

                    tg_xxxxxzz_xyyyyyyy_0[j] = pb_x * tg_xxxxzz_xyyyyyyy_0[j] + fr * tg_xxxxzz_xyyyyyyy_1[j] + 2.0 * fl1_fx * (tg_xxxzz_xyyyyyyy_0[j] - tg_xxxzz_xyyyyyyy_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xxxxzz_yyyyyyy_1[j];

                    tg_xxxxxzz_xyyyyyyz_0[j] = pb_x * tg_xxxxzz_xyyyyyyz_0[j] + fr * tg_xxxxzz_xyyyyyyz_1[j] + 2.0 * fl1_fx * (tg_xxxzz_xyyyyyyz_0[j] - tg_xxxzz_xyyyyyyz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xxxxzz_yyyyyyz_1[j];

                    tg_xxxxxzz_xyyyyyzz_0[j] = pb_x * tg_xxxxzz_xyyyyyzz_0[j] + fr * tg_xxxxzz_xyyyyyzz_1[j] + 2.0 * fl1_fx * (tg_xxxzz_xyyyyyzz_0[j] - tg_xxxzz_xyyyyyzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xxxxzz_yyyyyzz_1[j];

                    tg_xxxxxzz_xyyyyzzz_0[j] = pb_x * tg_xxxxzz_xyyyyzzz_0[j] + fr * tg_xxxxzz_xyyyyzzz_1[j] + 2.0 * fl1_fx * (tg_xxxzz_xyyyyzzz_0[j] - tg_xxxzz_xyyyyzzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xxxxzz_yyyyzzz_1[j];

                    tg_xxxxxzz_xyyyzzzz_0[j] = pb_x * tg_xxxxzz_xyyyzzzz_0[j] + fr * tg_xxxxzz_xyyyzzzz_1[j] + 2.0 * fl1_fx * (tg_xxxzz_xyyyzzzz_0[j] - tg_xxxzz_xyyyzzzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xxxxzz_yyyzzzz_1[j];

                    tg_xxxxxzz_xyyzzzzz_0[j] = pb_x * tg_xxxxzz_xyyzzzzz_0[j] + fr * tg_xxxxzz_xyyzzzzz_1[j] + 2.0 * fl1_fx * (tg_xxxzz_xyyzzzzz_0[j] - tg_xxxzz_xyyzzzzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xxxxzz_yyzzzzz_1[j];

                    tg_xxxxxzz_xyzzzzzz_0[j] = pb_x * tg_xxxxzz_xyzzzzzz_0[j] + fr * tg_xxxxzz_xyzzzzzz_1[j] + 2.0 * fl1_fx * (tg_xxxzz_xyzzzzzz_0[j] - tg_xxxzz_xyzzzzzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xxxxzz_yzzzzzz_1[j];

                    tg_xxxxxzz_xzzzzzzz_0[j] = pb_x * tg_xxxxzz_xzzzzzzz_0[j] + fr * tg_xxxxzz_xzzzzzzz_1[j] + 2.0 * fl1_fx * (tg_xxxzz_xzzzzzzz_0[j] - tg_xxxzz_xzzzzzzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xxxxzz_zzzzzzz_1[j];

                    tg_xxxxxzz_yyyyyyyy_0[j] = pb_x * tg_xxxxzz_yyyyyyyy_0[j] + fr * tg_xxxxzz_yyyyyyyy_1[j] + 2.0 * fl1_fx * (tg_xxxzz_yyyyyyyy_0[j] - tg_xxxzz_yyyyyyyy_1[j] * fl1_fza);

                    tg_xxxxxzz_yyyyyyyz_0[j] = pb_x * tg_xxxxzz_yyyyyyyz_0[j] + fr * tg_xxxxzz_yyyyyyyz_1[j] + 2.0 * fl1_fx * (tg_xxxzz_yyyyyyyz_0[j] - tg_xxxzz_yyyyyyyz_1[j] * fl1_fza);

                    tg_xxxxxzz_yyyyyyzz_0[j] = pb_x * tg_xxxxzz_yyyyyyzz_0[j] + fr * tg_xxxxzz_yyyyyyzz_1[j] + 2.0 * fl1_fx * (tg_xxxzz_yyyyyyzz_0[j] - tg_xxxzz_yyyyyyzz_1[j] * fl1_fza);

                    tg_xxxxxzz_yyyyyzzz_0[j] = pb_x * tg_xxxxzz_yyyyyzzz_0[j] + fr * tg_xxxxzz_yyyyyzzz_1[j] + 2.0 * fl1_fx * (tg_xxxzz_yyyyyzzz_0[j] - tg_xxxzz_yyyyyzzz_1[j] * fl1_fza);

                    tg_xxxxxzz_yyyyzzzz_0[j] = pb_x * tg_xxxxzz_yyyyzzzz_0[j] + fr * tg_xxxxzz_yyyyzzzz_1[j] + 2.0 * fl1_fx * (tg_xxxzz_yyyyzzzz_0[j] - tg_xxxzz_yyyyzzzz_1[j] * fl1_fza);

                    tg_xxxxxzz_yyyzzzzz_0[j] = pb_x * tg_xxxxzz_yyyzzzzz_0[j] + fr * tg_xxxxzz_yyyzzzzz_1[j] + 2.0 * fl1_fx * (tg_xxxzz_yyyzzzzz_0[j] - tg_xxxzz_yyyzzzzz_1[j] * fl1_fza);

                    tg_xxxxxzz_yyzzzzzz_0[j] = pb_x * tg_xxxxzz_yyzzzzzz_0[j] + fr * tg_xxxxzz_yyzzzzzz_1[j] + 2.0 * fl1_fx * (tg_xxxzz_yyzzzzzz_0[j] - tg_xxxzz_yyzzzzzz_1[j] * fl1_fza);

                    tg_xxxxxzz_yzzzzzzz_0[j] = pb_x * tg_xxxxzz_yzzzzzzz_0[j] + fr * tg_xxxxzz_yzzzzzzz_1[j] + 2.0 * fl1_fx * (tg_xxxzz_yzzzzzzz_0[j] - tg_xxxzz_yzzzzzzz_1[j] * fl1_fza);

                    tg_xxxxxzz_zzzzzzzz_0[j] = pb_x * tg_xxxxzz_zzzzzzzz_0[j] + fr * tg_xxxxzz_zzzzzzzz_1[j] + 2.0 * fl1_fx * (tg_xxxzz_zzzzzzzz_0[j] - tg_xxxzz_zzzzzzzz_1[j] * fl1_fza);

                    tg_xxxxyyy_xxxxxxxx_0[j] = pb_x * tg_xxxyyy_xxxxxxxx_0[j] + fr * tg_xxxyyy_xxxxxxxx_1[j] + 1.5 * fl1_fx * (tg_xxyyy_xxxxxxxx_0[j] - tg_xxyyy_xxxxxxxx_1[j] * fl1_fza) + 4.0 * fl1_fxn * tg_xxxyyy_xxxxxxx_1[j];

                    tg_xxxxyyy_xxxxxxxy_0[j] = pb_x * tg_xxxyyy_xxxxxxxy_0[j] + fr * tg_xxxyyy_xxxxxxxy_1[j] + 1.5 * fl1_fx * (tg_xxyyy_xxxxxxxy_0[j] - tg_xxyyy_xxxxxxxy_1[j] * fl1_fza) + 3.5 * fl1_fxn * tg_xxxyyy_xxxxxxy_1[j];

                    tg_xxxxyyy_xxxxxxxz_0[j] = pb_x * tg_xxxyyy_xxxxxxxz_0[j] + fr * tg_xxxyyy_xxxxxxxz_1[j] + 1.5 * fl1_fx * (tg_xxyyy_xxxxxxxz_0[j] - tg_xxyyy_xxxxxxxz_1[j] * fl1_fza) + 3.5 * fl1_fxn * tg_xxxyyy_xxxxxxz_1[j];

                    tg_xxxxyyy_xxxxxxyy_0[j] = pb_x * tg_xxxyyy_xxxxxxyy_0[j] + fr * tg_xxxyyy_xxxxxxyy_1[j] + 1.5 * fl1_fx * (tg_xxyyy_xxxxxxyy_0[j] - tg_xxyyy_xxxxxxyy_1[j] * fl1_fza) + 3.0 * fl1_fxn * tg_xxxyyy_xxxxxyy_1[j];

                    tg_xxxxyyy_xxxxxxyz_0[j] = pb_x * tg_xxxyyy_xxxxxxyz_0[j] + fr * tg_xxxyyy_xxxxxxyz_1[j] + 1.5 * fl1_fx * (tg_xxyyy_xxxxxxyz_0[j] - tg_xxyyy_xxxxxxyz_1[j] * fl1_fza) + 3.0 * fl1_fxn * tg_xxxyyy_xxxxxyz_1[j];

                    tg_xxxxyyy_xxxxxxzz_0[j] = pb_x * tg_xxxyyy_xxxxxxzz_0[j] + fr * tg_xxxyyy_xxxxxxzz_1[j] + 1.5 * fl1_fx * (tg_xxyyy_xxxxxxzz_0[j] - tg_xxyyy_xxxxxxzz_1[j] * fl1_fza) + 3.0 * fl1_fxn * tg_xxxyyy_xxxxxzz_1[j];

                    tg_xxxxyyy_xxxxxyyy_0[j] = pb_x * tg_xxxyyy_xxxxxyyy_0[j] + fr * tg_xxxyyy_xxxxxyyy_1[j] + 1.5 * fl1_fx * (tg_xxyyy_xxxxxyyy_0[j] - tg_xxyyy_xxxxxyyy_1[j] * fl1_fza) + 2.5 * fl1_fxn * tg_xxxyyy_xxxxyyy_1[j];

                    tg_xxxxyyy_xxxxxyyz_0[j] = pb_x * tg_xxxyyy_xxxxxyyz_0[j] + fr * tg_xxxyyy_xxxxxyyz_1[j] + 1.5 * fl1_fx * (tg_xxyyy_xxxxxyyz_0[j] - tg_xxyyy_xxxxxyyz_1[j] * fl1_fza) + 2.5 * fl1_fxn * tg_xxxyyy_xxxxyyz_1[j];

                    tg_xxxxyyy_xxxxxyzz_0[j] = pb_x * tg_xxxyyy_xxxxxyzz_0[j] + fr * tg_xxxyyy_xxxxxyzz_1[j] + 1.5 * fl1_fx * (tg_xxyyy_xxxxxyzz_0[j] - tg_xxyyy_xxxxxyzz_1[j] * fl1_fza) + 2.5 * fl1_fxn * tg_xxxyyy_xxxxyzz_1[j];

                    tg_xxxxyyy_xxxxxzzz_0[j] = pb_x * tg_xxxyyy_xxxxxzzz_0[j] + fr * tg_xxxyyy_xxxxxzzz_1[j] + 1.5 * fl1_fx * (tg_xxyyy_xxxxxzzz_0[j] - tg_xxyyy_xxxxxzzz_1[j] * fl1_fza) + 2.5 * fl1_fxn * tg_xxxyyy_xxxxzzz_1[j];

                    tg_xxxxyyy_xxxxyyyy_0[j] = pb_x * tg_xxxyyy_xxxxyyyy_0[j] + fr * tg_xxxyyy_xxxxyyyy_1[j] + 1.5 * fl1_fx * (tg_xxyyy_xxxxyyyy_0[j] - tg_xxyyy_xxxxyyyy_1[j] * fl1_fza) + 2.0 * fl1_fxn * tg_xxxyyy_xxxyyyy_1[j];

                    tg_xxxxyyy_xxxxyyyz_0[j] = pb_x * tg_xxxyyy_xxxxyyyz_0[j] + fr * tg_xxxyyy_xxxxyyyz_1[j] + 1.5 * fl1_fx * (tg_xxyyy_xxxxyyyz_0[j] - tg_xxyyy_xxxxyyyz_1[j] * fl1_fza) + 2.0 * fl1_fxn * tg_xxxyyy_xxxyyyz_1[j];

                    tg_xxxxyyy_xxxxyyzz_0[j] = pb_x * tg_xxxyyy_xxxxyyzz_0[j] + fr * tg_xxxyyy_xxxxyyzz_1[j] + 1.5 * fl1_fx * (tg_xxyyy_xxxxyyzz_0[j] - tg_xxyyy_xxxxyyzz_1[j] * fl1_fza) + 2.0 * fl1_fxn * tg_xxxyyy_xxxyyzz_1[j];

                    tg_xxxxyyy_xxxxyzzz_0[j] = pb_x * tg_xxxyyy_xxxxyzzz_0[j] + fr * tg_xxxyyy_xxxxyzzz_1[j] + 1.5 * fl1_fx * (tg_xxyyy_xxxxyzzz_0[j] - tg_xxyyy_xxxxyzzz_1[j] * fl1_fza) + 2.0 * fl1_fxn * tg_xxxyyy_xxxyzzz_1[j];

                    tg_xxxxyyy_xxxxzzzz_0[j] = pb_x * tg_xxxyyy_xxxxzzzz_0[j] + fr * tg_xxxyyy_xxxxzzzz_1[j] + 1.5 * fl1_fx * (tg_xxyyy_xxxxzzzz_0[j] - tg_xxyyy_xxxxzzzz_1[j] * fl1_fza) + 2.0 * fl1_fxn * tg_xxxyyy_xxxzzzz_1[j];

                    tg_xxxxyyy_xxxyyyyy_0[j] = pb_x * tg_xxxyyy_xxxyyyyy_0[j] + fr * tg_xxxyyy_xxxyyyyy_1[j] + 1.5 * fl1_fx * (tg_xxyyy_xxxyyyyy_0[j] - tg_xxyyy_xxxyyyyy_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_xxxyyy_xxyyyyy_1[j];

                    tg_xxxxyyy_xxxyyyyz_0[j] = pb_x * tg_xxxyyy_xxxyyyyz_0[j] + fr * tg_xxxyyy_xxxyyyyz_1[j] + 1.5 * fl1_fx * (tg_xxyyy_xxxyyyyz_0[j] - tg_xxyyy_xxxyyyyz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_xxxyyy_xxyyyyz_1[j];

                    tg_xxxxyyy_xxxyyyzz_0[j] = pb_x * tg_xxxyyy_xxxyyyzz_0[j] + fr * tg_xxxyyy_xxxyyyzz_1[j] + 1.5 * fl1_fx * (tg_xxyyy_xxxyyyzz_0[j] - tg_xxyyy_xxxyyyzz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_xxxyyy_xxyyyzz_1[j];
                }

                idx++;
            }
        }
    }

    void
    compElectronRepulsionForSKSL_288_384(      CMemBlock2D<double>* primBuffer,
                                         const CRecursionMap&       recursionMap,
                                         const CMemBlock2D<double>& osFactors,
                                         const CMemBlock2D<double>& wpDistances,
                                         const CGtoPairsBlock&      braGtoPairsBlock,
                                         const CGtoPairsBlock&      ketGtoPairsBlock,
                                         const int32_t              nKetPrimPairs,
                                         const int32_t              iContrPair)
    {
        // Batch of Integrals (288,384)

        // set up pointers to primitives data on bra side

        auto spos = braGtoPairsBlock.getStartPositions();

        auto epos = braGtoPairsBlock.getEndPositions();

        // set up pointers to tensor of distance R(PB) = P - B

        auto r_pb_x = braGtoPairsBlock.getDistancesPBX();

        // set up pointers to common Obara-Saika factors

        auto b_fx = braGtoPairsBlock.getFactorsOneOverXi();

        // set up maximum order of integral

        auto mord = recursionMap.getMaxOrder({"Electron Repulsion"},
                                             {7, -1, -1, -1},
                                             {8, -1, -1, -1},
                                             1, 1);

        for (int32_t iord = 0; iord <= mord; iord++)
        {
            // set up index of integral

            auto pidx_g_7_8_m0 = recursionMap.index(CRecursionTerm({"Electron Repulsion"}, 0, true, 
                                                                   {7, -1, -1, -1}, {8, -1, -1, -1}, 
                                                                   1, 1, iord));

            // check if integral is needed in recursion expansion

            if (pidx_g_7_8_m0 == -1) continue;

            // set up indexes of auxilary integral

            auto pidx_g_6_8_m0 = recursionMap.index(CRecursionTerm({"Electron Repulsion"}, 0, true, 
                                                                   {6, -1, -1, -1}, {8, -1, -1, -1}, 
                                                                   1, 1, iord));

            auto pidx_g_6_8_m1 = recursionMap.index(CRecursionTerm({"Electron Repulsion"}, 0, true, 
                                                                   {6, -1, -1, -1}, {8, -1, -1, -1}, 
                                                                   1, 1, iord + 1));

            auto pidx_g_5_8_m0 = recursionMap.index(CRecursionTerm({"Electron Repulsion"}, 0, true, 
                                                                   {5, -1, -1, -1}, {8, -1, -1, -1}, 
                                                                   1, 1, iord));

            auto pidx_g_5_8_m1 = recursionMap.index(CRecursionTerm({"Electron Repulsion"}, 0, true, 
                                                                   {5, -1, -1, -1}, {8, -1, -1, -1}, 
                                                                   1, 1, iord + 1));

            auto pidx_g_6_7_m1 = recursionMap.index(CRecursionTerm({"Electron Repulsion"}, 0, true, 
                                                                   {6, -1, -1, -1}, {7, -1, -1, -1}, 
                                                                   1, 1, iord + 1));

            // loop over contracted GTO on bra side

            int32_t idx = 0;

            for (int32_t i = spos[iContrPair]; i < epos[iContrPair]; i++)
            {
                // set up pointers to Obara-Saika factors

                double fx = b_fx[i];

                auto fza = osFactors.data(4 * idx + 2);

                auto fxn = osFactors.data(4 * idx);

                // set up distances R(PB) = P - B

                auto pb_x = r_pb_x[i];

                // set up pointers to tensors product of distances R(WP) = W - P

                auto wp_x = wpDistances.data(3 * idx);

                // set up pointers to auxilary integrals

                auto tg_xxxyyy_xxxyyzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 288); 

                auto tg_xxxyyy_xxxyzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 289); 

                auto tg_xxxyyy_xxxzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 290); 

                auto tg_xxxyyy_xxyyyyyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 291); 

                auto tg_xxxyyy_xxyyyyyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 292); 

                auto tg_xxxyyy_xxyyyyzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 293); 

                auto tg_xxxyyy_xxyyyzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 294); 

                auto tg_xxxyyy_xxyyzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 295); 

                auto tg_xxxyyy_xxyzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 296); 

                auto tg_xxxyyy_xxzzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 297); 

                auto tg_xxxyyy_xyyyyyyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 298); 

                auto tg_xxxyyy_xyyyyyyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 299); 

                auto tg_xxxyyy_xyyyyyzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 300); 

                auto tg_xxxyyy_xyyyyzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 301); 

                auto tg_xxxyyy_xyyyzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 302); 

                auto tg_xxxyyy_xyyzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 303); 

                auto tg_xxxyyy_xyzzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 304); 

                auto tg_xxxyyy_xzzzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 305); 

                auto tg_xxxyyy_yyyyyyyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 306); 

                auto tg_xxxyyy_yyyyyyyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 307); 

                auto tg_xxxyyy_yyyyyyzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 308); 

                auto tg_xxxyyy_yyyyyzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 309); 

                auto tg_xxxyyy_yyyyzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 310); 

                auto tg_xxxyyy_yyyzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 311); 

                auto tg_xxxyyy_yyzzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 312); 

                auto tg_xxxyyy_yzzzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 313); 

                auto tg_xxxyyy_zzzzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 314); 

                auto tg_xxxyyz_xxxxxxxx_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 315); 

                auto tg_xxxyyz_xxxxxxxy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 316); 

                auto tg_xxxyyz_xxxxxxxz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 317); 

                auto tg_xxxyyz_xxxxxxyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 318); 

                auto tg_xxxyyz_xxxxxxyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 319); 

                auto tg_xxxyyz_xxxxxxzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 320); 

                auto tg_xxxyyz_xxxxxyyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 321); 

                auto tg_xxxyyz_xxxxxyyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 322); 

                auto tg_xxxyyz_xxxxxyzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 323); 

                auto tg_xxxyyz_xxxxxzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 324); 

                auto tg_xxxyyz_xxxxyyyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 325); 

                auto tg_xxxyyz_xxxxyyyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 326); 

                auto tg_xxxyyz_xxxxyyzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 327); 

                auto tg_xxxyyz_xxxxyzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 328); 

                auto tg_xxxyyz_xxxxzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 329); 

                auto tg_xxxyyz_xxxyyyyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 330); 

                auto tg_xxxyyz_xxxyyyyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 331); 

                auto tg_xxxyyz_xxxyyyzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 332); 

                auto tg_xxxyyz_xxxyyzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 333); 

                auto tg_xxxyyz_xxxyzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 334); 

                auto tg_xxxyyz_xxxzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 335); 

                auto tg_xxxyyz_xxyyyyyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 336); 

                auto tg_xxxyyz_xxyyyyyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 337); 

                auto tg_xxxyyz_xxyyyyzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 338); 

                auto tg_xxxyyz_xxyyyzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 339); 

                auto tg_xxxyyz_xxyyzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 340); 

                auto tg_xxxyyz_xxyzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 341); 

                auto tg_xxxyyz_xxzzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 342); 

                auto tg_xxxyyz_xyyyyyyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 343); 

                auto tg_xxxyyz_xyyyyyyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 344); 

                auto tg_xxxyyz_xyyyyyzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 345); 

                auto tg_xxxyyz_xyyyyzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 346); 

                auto tg_xxxyyz_xyyyzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 347); 

                auto tg_xxxyyz_xyyzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 348); 

                auto tg_xxxyyz_xyzzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 349); 

                auto tg_xxxyyz_xzzzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 350); 

                auto tg_xxxyyz_yyyyyyyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 351); 

                auto tg_xxxyyz_yyyyyyyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 352); 

                auto tg_xxxyyz_yyyyyyzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 353); 

                auto tg_xxxyyz_yyyyyzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 354); 

                auto tg_xxxyyz_yyyyzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 355); 

                auto tg_xxxyyz_yyyzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 356); 

                auto tg_xxxyyz_yyzzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 357); 

                auto tg_xxxyyz_yzzzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 358); 

                auto tg_xxxyyz_zzzzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 359); 

                auto tg_xxxyzz_xxxxxxxx_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 360); 

                auto tg_xxxyzz_xxxxxxxy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 361); 

                auto tg_xxxyzz_xxxxxxxz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 362); 

                auto tg_xxxyzz_xxxxxxyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 363); 

                auto tg_xxxyzz_xxxxxxyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 364); 

                auto tg_xxxyzz_xxxxxxzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 365); 

                auto tg_xxxyzz_xxxxxyyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 366); 

                auto tg_xxxyzz_xxxxxyyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 367); 

                auto tg_xxxyzz_xxxxxyzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 368); 

                auto tg_xxxyzz_xxxxxzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 369); 

                auto tg_xxxyzz_xxxxyyyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 370); 

                auto tg_xxxyzz_xxxxyyyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 371); 

                auto tg_xxxyzz_xxxxyyzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 372); 

                auto tg_xxxyzz_xxxxyzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 373); 

                auto tg_xxxyzz_xxxxzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 374); 

                auto tg_xxxyzz_xxxyyyyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 375); 

                auto tg_xxxyzz_xxxyyyyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 376); 

                auto tg_xxxyzz_xxxyyyzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 377); 

                auto tg_xxxyzz_xxxyyzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 378); 

                auto tg_xxxyzz_xxxyzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 379); 

                auto tg_xxxyzz_xxxzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 380); 

                auto tg_xxxyzz_xxyyyyyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 381); 

                auto tg_xxxyzz_xxyyyyyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 382); 

                auto tg_xxxyzz_xxyyyyzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 383); 

                auto tg_xxxyyy_xxxyyzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 288); 

                auto tg_xxxyyy_xxxyzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 289); 

                auto tg_xxxyyy_xxxzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 290); 

                auto tg_xxxyyy_xxyyyyyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 291); 

                auto tg_xxxyyy_xxyyyyyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 292); 

                auto tg_xxxyyy_xxyyyyzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 293); 

                auto tg_xxxyyy_xxyyyzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 294); 

                auto tg_xxxyyy_xxyyzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 295); 

                auto tg_xxxyyy_xxyzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 296); 

                auto tg_xxxyyy_xxzzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 297); 

                auto tg_xxxyyy_xyyyyyyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 298); 

                auto tg_xxxyyy_xyyyyyyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 299); 

                auto tg_xxxyyy_xyyyyyzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 300); 

                auto tg_xxxyyy_xyyyyzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 301); 

                auto tg_xxxyyy_xyyyzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 302); 

                auto tg_xxxyyy_xyyzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 303); 

                auto tg_xxxyyy_xyzzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 304); 

                auto tg_xxxyyy_xzzzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 305); 

                auto tg_xxxyyy_yyyyyyyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 306); 

                auto tg_xxxyyy_yyyyyyyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 307); 

                auto tg_xxxyyy_yyyyyyzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 308); 

                auto tg_xxxyyy_yyyyyzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 309); 

                auto tg_xxxyyy_yyyyzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 310); 

                auto tg_xxxyyy_yyyzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 311); 

                auto tg_xxxyyy_yyzzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 312); 

                auto tg_xxxyyy_yzzzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 313); 

                auto tg_xxxyyy_zzzzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 314); 

                auto tg_xxxyyz_xxxxxxxx_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 315); 

                auto tg_xxxyyz_xxxxxxxy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 316); 

                auto tg_xxxyyz_xxxxxxxz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 317); 

                auto tg_xxxyyz_xxxxxxyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 318); 

                auto tg_xxxyyz_xxxxxxyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 319); 

                auto tg_xxxyyz_xxxxxxzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 320); 

                auto tg_xxxyyz_xxxxxyyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 321); 

                auto tg_xxxyyz_xxxxxyyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 322); 

                auto tg_xxxyyz_xxxxxyzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 323); 

                auto tg_xxxyyz_xxxxxzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 324); 

                auto tg_xxxyyz_xxxxyyyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 325); 

                auto tg_xxxyyz_xxxxyyyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 326); 

                auto tg_xxxyyz_xxxxyyzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 327); 

                auto tg_xxxyyz_xxxxyzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 328); 

                auto tg_xxxyyz_xxxxzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 329); 

                auto tg_xxxyyz_xxxyyyyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 330); 

                auto tg_xxxyyz_xxxyyyyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 331); 

                auto tg_xxxyyz_xxxyyyzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 332); 

                auto tg_xxxyyz_xxxyyzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 333); 

                auto tg_xxxyyz_xxxyzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 334); 

                auto tg_xxxyyz_xxxzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 335); 

                auto tg_xxxyyz_xxyyyyyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 336); 

                auto tg_xxxyyz_xxyyyyyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 337); 

                auto tg_xxxyyz_xxyyyyzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 338); 

                auto tg_xxxyyz_xxyyyzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 339); 

                auto tg_xxxyyz_xxyyzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 340); 

                auto tg_xxxyyz_xxyzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 341); 

                auto tg_xxxyyz_xxzzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 342); 

                auto tg_xxxyyz_xyyyyyyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 343); 

                auto tg_xxxyyz_xyyyyyyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 344); 

                auto tg_xxxyyz_xyyyyyzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 345); 

                auto tg_xxxyyz_xyyyyzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 346); 

                auto tg_xxxyyz_xyyyzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 347); 

                auto tg_xxxyyz_xyyzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 348); 

                auto tg_xxxyyz_xyzzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 349); 

                auto tg_xxxyyz_xzzzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 350); 

                auto tg_xxxyyz_yyyyyyyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 351); 

                auto tg_xxxyyz_yyyyyyyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 352); 

                auto tg_xxxyyz_yyyyyyzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 353); 

                auto tg_xxxyyz_yyyyyzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 354); 

                auto tg_xxxyyz_yyyyzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 355); 

                auto tg_xxxyyz_yyyzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 356); 

                auto tg_xxxyyz_yyzzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 357); 

                auto tg_xxxyyz_yzzzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 358); 

                auto tg_xxxyyz_zzzzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 359); 

                auto tg_xxxyzz_xxxxxxxx_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 360); 

                auto tg_xxxyzz_xxxxxxxy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 361); 

                auto tg_xxxyzz_xxxxxxxz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 362); 

                auto tg_xxxyzz_xxxxxxyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 363); 

                auto tg_xxxyzz_xxxxxxyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 364); 

                auto tg_xxxyzz_xxxxxxzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 365); 

                auto tg_xxxyzz_xxxxxyyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 366); 

                auto tg_xxxyzz_xxxxxyyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 367); 

                auto tg_xxxyzz_xxxxxyzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 368); 

                auto tg_xxxyzz_xxxxxzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 369); 

                auto tg_xxxyzz_xxxxyyyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 370); 

                auto tg_xxxyzz_xxxxyyyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 371); 

                auto tg_xxxyzz_xxxxyyzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 372); 

                auto tg_xxxyzz_xxxxyzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 373); 

                auto tg_xxxyzz_xxxxzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 374); 

                auto tg_xxxyzz_xxxyyyyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 375); 

                auto tg_xxxyzz_xxxyyyyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 376); 

                auto tg_xxxyzz_xxxyyyzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 377); 

                auto tg_xxxyzz_xxxyyzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 378); 

                auto tg_xxxyzz_xxxyzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 379); 

                auto tg_xxxyzz_xxxzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 380); 

                auto tg_xxxyzz_xxyyyyyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 381); 

                auto tg_xxxyzz_xxyyyyyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 382); 

                auto tg_xxxyzz_xxyyyyzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 383); 

                auto tg_xxyyy_xxxyyzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 288); 

                auto tg_xxyyy_xxxyzzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 289); 

                auto tg_xxyyy_xxxzzzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 290); 

                auto tg_xxyyy_xxyyyyyy_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 291); 

                auto tg_xxyyy_xxyyyyyz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 292); 

                auto tg_xxyyy_xxyyyyzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 293); 

                auto tg_xxyyy_xxyyyzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 294); 

                auto tg_xxyyy_xxyyzzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 295); 

                auto tg_xxyyy_xxyzzzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 296); 

                auto tg_xxyyy_xxzzzzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 297); 

                auto tg_xxyyy_xyyyyyyy_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 298); 

                auto tg_xxyyy_xyyyyyyz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 299); 

                auto tg_xxyyy_xyyyyyzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 300); 

                auto tg_xxyyy_xyyyyzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 301); 

                auto tg_xxyyy_xyyyzzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 302); 

                auto tg_xxyyy_xyyzzzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 303); 

                auto tg_xxyyy_xyzzzzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 304); 

                auto tg_xxyyy_xzzzzzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 305); 

                auto tg_xxyyy_yyyyyyyy_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 306); 

                auto tg_xxyyy_yyyyyyyz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 307); 

                auto tg_xxyyy_yyyyyyzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 308); 

                auto tg_xxyyy_yyyyyzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 309); 

                auto tg_xxyyy_yyyyzzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 310); 

                auto tg_xxyyy_yyyzzzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 311); 

                auto tg_xxyyy_yyzzzzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 312); 

                auto tg_xxyyy_yzzzzzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 313); 

                auto tg_xxyyy_zzzzzzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 314); 

                auto tg_xxyyz_xxxxxxxx_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 315); 

                auto tg_xxyyz_xxxxxxxy_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 316); 

                auto tg_xxyyz_xxxxxxxz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 317); 

                auto tg_xxyyz_xxxxxxyy_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 318); 

                auto tg_xxyyz_xxxxxxyz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 319); 

                auto tg_xxyyz_xxxxxxzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 320); 

                auto tg_xxyyz_xxxxxyyy_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 321); 

                auto tg_xxyyz_xxxxxyyz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 322); 

                auto tg_xxyyz_xxxxxyzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 323); 

                auto tg_xxyyz_xxxxxzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 324); 

                auto tg_xxyyz_xxxxyyyy_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 325); 

                auto tg_xxyyz_xxxxyyyz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 326); 

                auto tg_xxyyz_xxxxyyzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 327); 

                auto tg_xxyyz_xxxxyzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 328); 

                auto tg_xxyyz_xxxxzzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 329); 

                auto tg_xxyyz_xxxyyyyy_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 330); 

                auto tg_xxyyz_xxxyyyyz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 331); 

                auto tg_xxyyz_xxxyyyzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 332); 

                auto tg_xxyyz_xxxyyzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 333); 

                auto tg_xxyyz_xxxyzzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 334); 

                auto tg_xxyyz_xxxzzzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 335); 

                auto tg_xxyyz_xxyyyyyy_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 336); 

                auto tg_xxyyz_xxyyyyyz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 337); 

                auto tg_xxyyz_xxyyyyzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 338); 

                auto tg_xxyyz_xxyyyzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 339); 

                auto tg_xxyyz_xxyyzzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 340); 

                auto tg_xxyyz_xxyzzzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 341); 

                auto tg_xxyyz_xxzzzzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 342); 

                auto tg_xxyyz_xyyyyyyy_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 343); 

                auto tg_xxyyz_xyyyyyyz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 344); 

                auto tg_xxyyz_xyyyyyzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 345); 

                auto tg_xxyyz_xyyyyzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 346); 

                auto tg_xxyyz_xyyyzzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 347); 

                auto tg_xxyyz_xyyzzzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 348); 

                auto tg_xxyyz_xyzzzzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 349); 

                auto tg_xxyyz_xzzzzzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 350); 

                auto tg_xxyyz_yyyyyyyy_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 351); 

                auto tg_xxyyz_yyyyyyyz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 352); 

                auto tg_xxyyz_yyyyyyzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 353); 

                auto tg_xxyyz_yyyyyzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 354); 

                auto tg_xxyyz_yyyyzzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 355); 

                auto tg_xxyyz_yyyzzzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 356); 

                auto tg_xxyyz_yyzzzzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 357); 

                auto tg_xxyyz_yzzzzzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 358); 

                auto tg_xxyyz_zzzzzzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 359); 

                auto tg_xxyzz_xxxxxxxx_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 360); 

                auto tg_xxyzz_xxxxxxxy_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 361); 

                auto tg_xxyzz_xxxxxxxz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 362); 

                auto tg_xxyzz_xxxxxxyy_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 363); 

                auto tg_xxyzz_xxxxxxyz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 364); 

                auto tg_xxyzz_xxxxxxzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 365); 

                auto tg_xxyzz_xxxxxyyy_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 366); 

                auto tg_xxyzz_xxxxxyyz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 367); 

                auto tg_xxyzz_xxxxxyzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 368); 

                auto tg_xxyzz_xxxxxzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 369); 

                auto tg_xxyzz_xxxxyyyy_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 370); 

                auto tg_xxyzz_xxxxyyyz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 371); 

                auto tg_xxyzz_xxxxyyzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 372); 

                auto tg_xxyzz_xxxxyzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 373); 

                auto tg_xxyzz_xxxxzzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 374); 

                auto tg_xxyzz_xxxyyyyy_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 375); 

                auto tg_xxyzz_xxxyyyyz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 376); 

                auto tg_xxyzz_xxxyyyzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 377); 

                auto tg_xxyzz_xxxyyzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 378); 

                auto tg_xxyzz_xxxyzzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 379); 

                auto tg_xxyzz_xxxzzzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 380); 

                auto tg_xxyzz_xxyyyyyy_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 381); 

                auto tg_xxyzz_xxyyyyyz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 382); 

                auto tg_xxyzz_xxyyyyzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 383); 

                auto tg_xxyyy_xxxyyzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 288); 

                auto tg_xxyyy_xxxyzzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 289); 

                auto tg_xxyyy_xxxzzzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 290); 

                auto tg_xxyyy_xxyyyyyy_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 291); 

                auto tg_xxyyy_xxyyyyyz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 292); 

                auto tg_xxyyy_xxyyyyzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 293); 

                auto tg_xxyyy_xxyyyzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 294); 

                auto tg_xxyyy_xxyyzzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 295); 

                auto tg_xxyyy_xxyzzzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 296); 

                auto tg_xxyyy_xxzzzzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 297); 

                auto tg_xxyyy_xyyyyyyy_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 298); 

                auto tg_xxyyy_xyyyyyyz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 299); 

                auto tg_xxyyy_xyyyyyzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 300); 

                auto tg_xxyyy_xyyyyzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 301); 

                auto tg_xxyyy_xyyyzzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 302); 

                auto tg_xxyyy_xyyzzzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 303); 

                auto tg_xxyyy_xyzzzzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 304); 

                auto tg_xxyyy_xzzzzzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 305); 

                auto tg_xxyyy_yyyyyyyy_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 306); 

                auto tg_xxyyy_yyyyyyyz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 307); 

                auto tg_xxyyy_yyyyyyzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 308); 

                auto tg_xxyyy_yyyyyzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 309); 

                auto tg_xxyyy_yyyyzzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 310); 

                auto tg_xxyyy_yyyzzzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 311); 

                auto tg_xxyyy_yyzzzzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 312); 

                auto tg_xxyyy_yzzzzzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 313); 

                auto tg_xxyyy_zzzzzzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 314); 

                auto tg_xxyyz_xxxxxxxx_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 315); 

                auto tg_xxyyz_xxxxxxxy_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 316); 

                auto tg_xxyyz_xxxxxxxz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 317); 

                auto tg_xxyyz_xxxxxxyy_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 318); 

                auto tg_xxyyz_xxxxxxyz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 319); 

                auto tg_xxyyz_xxxxxxzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 320); 

                auto tg_xxyyz_xxxxxyyy_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 321); 

                auto tg_xxyyz_xxxxxyyz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 322); 

                auto tg_xxyyz_xxxxxyzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 323); 

                auto tg_xxyyz_xxxxxzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 324); 

                auto tg_xxyyz_xxxxyyyy_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 325); 

                auto tg_xxyyz_xxxxyyyz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 326); 

                auto tg_xxyyz_xxxxyyzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 327); 

                auto tg_xxyyz_xxxxyzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 328); 

                auto tg_xxyyz_xxxxzzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 329); 

                auto tg_xxyyz_xxxyyyyy_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 330); 

                auto tg_xxyyz_xxxyyyyz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 331); 

                auto tg_xxyyz_xxxyyyzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 332); 

                auto tg_xxyyz_xxxyyzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 333); 

                auto tg_xxyyz_xxxyzzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 334); 

                auto tg_xxyyz_xxxzzzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 335); 

                auto tg_xxyyz_xxyyyyyy_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 336); 

                auto tg_xxyyz_xxyyyyyz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 337); 

                auto tg_xxyyz_xxyyyyzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 338); 

                auto tg_xxyyz_xxyyyzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 339); 

                auto tg_xxyyz_xxyyzzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 340); 

                auto tg_xxyyz_xxyzzzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 341); 

                auto tg_xxyyz_xxzzzzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 342); 

                auto tg_xxyyz_xyyyyyyy_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 343); 

                auto tg_xxyyz_xyyyyyyz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 344); 

                auto tg_xxyyz_xyyyyyzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 345); 

                auto tg_xxyyz_xyyyyzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 346); 

                auto tg_xxyyz_xyyyzzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 347); 

                auto tg_xxyyz_xyyzzzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 348); 

                auto tg_xxyyz_xyzzzzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 349); 

                auto tg_xxyyz_xzzzzzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 350); 

                auto tg_xxyyz_yyyyyyyy_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 351); 

                auto tg_xxyyz_yyyyyyyz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 352); 

                auto tg_xxyyz_yyyyyyzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 353); 

                auto tg_xxyyz_yyyyyzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 354); 

                auto tg_xxyyz_yyyyzzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 355); 

                auto tg_xxyyz_yyyzzzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 356); 

                auto tg_xxyyz_yyzzzzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 357); 

                auto tg_xxyyz_yzzzzzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 358); 

                auto tg_xxyyz_zzzzzzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 359); 

                auto tg_xxyzz_xxxxxxxx_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 360); 

                auto tg_xxyzz_xxxxxxxy_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 361); 

                auto tg_xxyzz_xxxxxxxz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 362); 

                auto tg_xxyzz_xxxxxxyy_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 363); 

                auto tg_xxyzz_xxxxxxyz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 364); 

                auto tg_xxyzz_xxxxxxzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 365); 

                auto tg_xxyzz_xxxxxyyy_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 366); 

                auto tg_xxyzz_xxxxxyyz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 367); 

                auto tg_xxyzz_xxxxxyzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 368); 

                auto tg_xxyzz_xxxxxzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 369); 

                auto tg_xxyzz_xxxxyyyy_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 370); 

                auto tg_xxyzz_xxxxyyyz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 371); 

                auto tg_xxyzz_xxxxyyzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 372); 

                auto tg_xxyzz_xxxxyzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 373); 

                auto tg_xxyzz_xxxxzzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 374); 

                auto tg_xxyzz_xxxyyyyy_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 375); 

                auto tg_xxyzz_xxxyyyyz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 376); 

                auto tg_xxyzz_xxxyyyzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 377); 

                auto tg_xxyzz_xxxyyzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 378); 

                auto tg_xxyzz_xxxyzzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 379); 

                auto tg_xxyzz_xxxzzzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 380); 

                auto tg_xxyzz_xxyyyyyy_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 381); 

                auto tg_xxyzz_xxyyyyyz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 382); 

                auto tg_xxyzz_xxyyyyzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 383); 

                auto tg_xxxyyy_xxyyzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 234); 

                auto tg_xxxyyy_xxyzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 235); 

                auto tg_xxxyyy_xxzzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 236); 

                auto tg_xxxyyy_xyyyyyy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 237); 

                auto tg_xxxyyy_xyyyyyz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 238); 

                auto tg_xxxyyy_xyyyyzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 239); 

                auto tg_xxxyyy_xyyyzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 240); 

                auto tg_xxxyyy_xyyzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 241); 

                auto tg_xxxyyy_xyzzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 242); 

                auto tg_xxxyyy_xzzzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 243); 

                auto tg_xxxyyy_yyyyyyy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 244); 

                auto tg_xxxyyy_yyyyyyz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 245); 

                auto tg_xxxyyy_yyyyyzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 246); 

                auto tg_xxxyyy_yyyyzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 247); 

                auto tg_xxxyyy_yyyzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 248); 

                auto tg_xxxyyy_yyzzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 249); 

                auto tg_xxxyyy_yzzzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 250); 

                auto tg_xxxyyy_zzzzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 251); 

                auto tg_xxxyyz_xxxxxxx_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 252); 

                auto tg_xxxyyz_xxxxxxy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 253); 

                auto tg_xxxyyz_xxxxxxz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 254); 

                auto tg_xxxyyz_xxxxxyy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 255); 

                auto tg_xxxyyz_xxxxxyz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 256); 

                auto tg_xxxyyz_xxxxxzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 257); 

                auto tg_xxxyyz_xxxxyyy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 258); 

                auto tg_xxxyyz_xxxxyyz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 259); 

                auto tg_xxxyyz_xxxxyzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 260); 

                auto tg_xxxyyz_xxxxzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 261); 

                auto tg_xxxyyz_xxxyyyy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 262); 

                auto tg_xxxyyz_xxxyyyz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 263); 

                auto tg_xxxyyz_xxxyyzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 264); 

                auto tg_xxxyyz_xxxyzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 265); 

                auto tg_xxxyyz_xxxzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 266); 

                auto tg_xxxyyz_xxyyyyy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 267); 

                auto tg_xxxyyz_xxyyyyz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 268); 

                auto tg_xxxyyz_xxyyyzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 269); 

                auto tg_xxxyyz_xxyyzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 270); 

                auto tg_xxxyyz_xxyzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 271); 

                auto tg_xxxyyz_xxzzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 272); 

                auto tg_xxxyyz_xyyyyyy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 273); 

                auto tg_xxxyyz_xyyyyyz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 274); 

                auto tg_xxxyyz_xyyyyzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 275); 

                auto tg_xxxyyz_xyyyzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 276); 

                auto tg_xxxyyz_xyyzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 277); 

                auto tg_xxxyyz_xyzzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 278); 

                auto tg_xxxyyz_xzzzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 279); 

                auto tg_xxxyyz_yyyyyyy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 280); 

                auto tg_xxxyyz_yyyyyyz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 281); 

                auto tg_xxxyyz_yyyyyzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 282); 

                auto tg_xxxyyz_yyyyzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 283); 

                auto tg_xxxyyz_yyyzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 284); 

                auto tg_xxxyyz_yyzzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 285); 

                auto tg_xxxyyz_yzzzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 286); 

                auto tg_xxxyyz_zzzzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 287); 

                auto tg_xxxyzz_xxxxxxx_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 288); 

                auto tg_xxxyzz_xxxxxxy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 289); 

                auto tg_xxxyzz_xxxxxxz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 290); 

                auto tg_xxxyzz_xxxxxyy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 291); 

                auto tg_xxxyzz_xxxxxyz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 292); 

                auto tg_xxxyzz_xxxxxzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 293); 

                auto tg_xxxyzz_xxxxyyy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 294); 

                auto tg_xxxyzz_xxxxyyz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 295); 

                auto tg_xxxyzz_xxxxyzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 296); 

                auto tg_xxxyzz_xxxxzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 297); 

                auto tg_xxxyzz_xxxyyyy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 298); 

                auto tg_xxxyzz_xxxyyyz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 299); 

                auto tg_xxxyzz_xxxyyzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 300); 

                auto tg_xxxyzz_xxxyzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 301); 

                auto tg_xxxyzz_xxxzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 302); 

                auto tg_xxxyzz_xxyyyyy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 303); 

                auto tg_xxxyzz_xxyyyyz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 304); 

                auto tg_xxxyzz_xxyyyzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 305); 

                auto tg_xxxyzz_xxyyzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 306); 

                auto tg_xxxyzz_xxyzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 307); 

                auto tg_xxxyzz_xxzzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 308); 

                auto tg_xxxyzz_xyyyyyy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 309); 

                auto tg_xxxyzz_xyyyyyz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 310); 

                auto tg_xxxyzz_xyyyyzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 311); 

                // set up pointers to integrals

                auto tg_xxxxyyy_xxxyyzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 288); 

                auto tg_xxxxyyy_xxxyzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 289); 

                auto tg_xxxxyyy_xxxzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 290); 

                auto tg_xxxxyyy_xxyyyyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 291); 

                auto tg_xxxxyyy_xxyyyyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 292); 

                auto tg_xxxxyyy_xxyyyyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 293); 

                auto tg_xxxxyyy_xxyyyzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 294); 

                auto tg_xxxxyyy_xxyyzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 295); 

                auto tg_xxxxyyy_xxyzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 296); 

                auto tg_xxxxyyy_xxzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 297); 

                auto tg_xxxxyyy_xyyyyyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 298); 

                auto tg_xxxxyyy_xyyyyyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 299); 

                auto tg_xxxxyyy_xyyyyyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 300); 

                auto tg_xxxxyyy_xyyyyzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 301); 

                auto tg_xxxxyyy_xyyyzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 302); 

                auto tg_xxxxyyy_xyyzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 303); 

                auto tg_xxxxyyy_xyzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 304); 

                auto tg_xxxxyyy_xzzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 305); 

                auto tg_xxxxyyy_yyyyyyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 306); 

                auto tg_xxxxyyy_yyyyyyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 307); 

                auto tg_xxxxyyy_yyyyyyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 308); 

                auto tg_xxxxyyy_yyyyyzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 309); 

                auto tg_xxxxyyy_yyyyzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 310); 

                auto tg_xxxxyyy_yyyzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 311); 

                auto tg_xxxxyyy_yyzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 312); 

                auto tg_xxxxyyy_yzzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 313); 

                auto tg_xxxxyyy_zzzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 314); 

                auto tg_xxxxyyz_xxxxxxxx_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 315); 

                auto tg_xxxxyyz_xxxxxxxy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 316); 

                auto tg_xxxxyyz_xxxxxxxz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 317); 

                auto tg_xxxxyyz_xxxxxxyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 318); 

                auto tg_xxxxyyz_xxxxxxyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 319); 

                auto tg_xxxxyyz_xxxxxxzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 320); 

                auto tg_xxxxyyz_xxxxxyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 321); 

                auto tg_xxxxyyz_xxxxxyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 322); 

                auto tg_xxxxyyz_xxxxxyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 323); 

                auto tg_xxxxyyz_xxxxxzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 324); 

                auto tg_xxxxyyz_xxxxyyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 325); 

                auto tg_xxxxyyz_xxxxyyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 326); 

                auto tg_xxxxyyz_xxxxyyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 327); 

                auto tg_xxxxyyz_xxxxyzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 328); 

                auto tg_xxxxyyz_xxxxzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 329); 

                auto tg_xxxxyyz_xxxyyyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 330); 

                auto tg_xxxxyyz_xxxyyyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 331); 

                auto tg_xxxxyyz_xxxyyyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 332); 

                auto tg_xxxxyyz_xxxyyzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 333); 

                auto tg_xxxxyyz_xxxyzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 334); 

                auto tg_xxxxyyz_xxxzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 335); 

                auto tg_xxxxyyz_xxyyyyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 336); 

                auto tg_xxxxyyz_xxyyyyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 337); 

                auto tg_xxxxyyz_xxyyyyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 338); 

                auto tg_xxxxyyz_xxyyyzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 339); 

                auto tg_xxxxyyz_xxyyzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 340); 

                auto tg_xxxxyyz_xxyzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 341); 

                auto tg_xxxxyyz_xxzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 342); 

                auto tg_xxxxyyz_xyyyyyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 343); 

                auto tg_xxxxyyz_xyyyyyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 344); 

                auto tg_xxxxyyz_xyyyyyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 345); 

                auto tg_xxxxyyz_xyyyyzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 346); 

                auto tg_xxxxyyz_xyyyzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 347); 

                auto tg_xxxxyyz_xyyzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 348); 

                auto tg_xxxxyyz_xyzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 349); 

                auto tg_xxxxyyz_xzzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 350); 

                auto tg_xxxxyyz_yyyyyyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 351); 

                auto tg_xxxxyyz_yyyyyyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 352); 

                auto tg_xxxxyyz_yyyyyyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 353); 

                auto tg_xxxxyyz_yyyyyzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 354); 

                auto tg_xxxxyyz_yyyyzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 355); 

                auto tg_xxxxyyz_yyyzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 356); 

                auto tg_xxxxyyz_yyzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 357); 

                auto tg_xxxxyyz_yzzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 358); 

                auto tg_xxxxyyz_zzzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 359); 

                auto tg_xxxxyzz_xxxxxxxx_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 360); 

                auto tg_xxxxyzz_xxxxxxxy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 361); 

                auto tg_xxxxyzz_xxxxxxxz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 362); 

                auto tg_xxxxyzz_xxxxxxyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 363); 

                auto tg_xxxxyzz_xxxxxxyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 364); 

                auto tg_xxxxyzz_xxxxxxzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 365); 

                auto tg_xxxxyzz_xxxxxyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 366); 

                auto tg_xxxxyzz_xxxxxyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 367); 

                auto tg_xxxxyzz_xxxxxyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 368); 

                auto tg_xxxxyzz_xxxxxzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 369); 

                auto tg_xxxxyzz_xxxxyyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 370); 

                auto tg_xxxxyzz_xxxxyyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 371); 

                auto tg_xxxxyzz_xxxxyyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 372); 

                auto tg_xxxxyzz_xxxxyzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 373); 

                auto tg_xxxxyzz_xxxxzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 374); 

                auto tg_xxxxyzz_xxxyyyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 375); 

                auto tg_xxxxyzz_xxxyyyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 376); 

                auto tg_xxxxyzz_xxxyyyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 377); 

                auto tg_xxxxyzz_xxxyyzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 378); 

                auto tg_xxxxyzz_xxxyzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 379); 

                auto tg_xxxxyzz_xxxzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 380); 

                auto tg_xxxxyzz_xxyyyyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 381); 

                auto tg_xxxxyzz_xxyyyyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 382); 

                auto tg_xxxxyzz_xxyyyyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 383); 

                // Batch of Integrals (288,384)

                #pragma omp simd aligned(fxn, fza, tg_xxxxyyy_xxxyyzzz_0, tg_xxxxyyy_xxxyzzzz_0, \
                                         tg_xxxxyyy_xxxzzzzz_0, tg_xxxxyyy_xxyyyyyy_0, tg_xxxxyyy_xxyyyyyz_0, \
                                         tg_xxxxyyy_xxyyyyzz_0, tg_xxxxyyy_xxyyyzzz_0, tg_xxxxyyy_xxyyzzzz_0, \
                                         tg_xxxxyyy_xxyzzzzz_0, tg_xxxxyyy_xxzzzzzz_0, tg_xxxxyyy_xyyyyyyy_0, \
                                         tg_xxxxyyy_xyyyyyyz_0, tg_xxxxyyy_xyyyyyzz_0, tg_xxxxyyy_xyyyyzzz_0, \
                                         tg_xxxxyyy_xyyyzzzz_0, tg_xxxxyyy_xyyzzzzz_0, tg_xxxxyyy_xyzzzzzz_0, \
                                         tg_xxxxyyy_xzzzzzzz_0, tg_xxxxyyy_yyyyyyyy_0, tg_xxxxyyy_yyyyyyyz_0, \
                                         tg_xxxxyyy_yyyyyyzz_0, tg_xxxxyyy_yyyyyzzz_0, tg_xxxxyyy_yyyyzzzz_0, \
                                         tg_xxxxyyy_yyyzzzzz_0, tg_xxxxyyy_yyzzzzzz_0, tg_xxxxyyy_yzzzzzzz_0, \
                                         tg_xxxxyyy_zzzzzzzz_0, tg_xxxxyyz_xxxxxxxx_0, tg_xxxxyyz_xxxxxxxy_0, \
                                         tg_xxxxyyz_xxxxxxxz_0, tg_xxxxyyz_xxxxxxyy_0, tg_xxxxyyz_xxxxxxyz_0, \
                                         tg_xxxxyyz_xxxxxxzz_0, tg_xxxxyyz_xxxxxyyy_0, tg_xxxxyyz_xxxxxyyz_0, \
                                         tg_xxxxyyz_xxxxxyzz_0, tg_xxxxyyz_xxxxxzzz_0, tg_xxxxyyz_xxxxyyyy_0, \
                                         tg_xxxxyyz_xxxxyyyz_0, tg_xxxxyyz_xxxxyyzz_0, tg_xxxxyyz_xxxxyzzz_0, \
                                         tg_xxxxyyz_xxxxzzzz_0, tg_xxxxyyz_xxxyyyyy_0, tg_xxxxyyz_xxxyyyyz_0, \
                                         tg_xxxxyyz_xxxyyyzz_0, tg_xxxxyyz_xxxyyzzz_0, tg_xxxxyyz_xxxyzzzz_0, \
                                         tg_xxxxyyz_xxxzzzzz_0, tg_xxxxyyz_xxyyyyyy_0, tg_xxxxyyz_xxyyyyyz_0, \
                                         tg_xxxxyyz_xxyyyyzz_0, tg_xxxxyyz_xxyyyzzz_0, tg_xxxxyyz_xxyyzzzz_0, \
                                         tg_xxxxyyz_xxyzzzzz_0, tg_xxxxyyz_xxzzzzzz_0, tg_xxxxyyz_xyyyyyyy_0, \
                                         tg_xxxxyyz_xyyyyyyz_0, tg_xxxxyyz_xyyyyyzz_0, tg_xxxxyyz_xyyyyzzz_0, \
                                         tg_xxxxyyz_xyyyzzzz_0, tg_xxxxyyz_xyyzzzzz_0, tg_xxxxyyz_xyzzzzzz_0, \
                                         tg_xxxxyyz_xzzzzzzz_0, tg_xxxxyyz_yyyyyyyy_0, tg_xxxxyyz_yyyyyyyz_0, \
                                         tg_xxxxyyz_yyyyyyzz_0, tg_xxxxyyz_yyyyyzzz_0, tg_xxxxyyz_yyyyzzzz_0, \
                                         tg_xxxxyyz_yyyzzzzz_0, tg_xxxxyyz_yyzzzzzz_0, tg_xxxxyyz_yzzzzzzz_0, \
                                         tg_xxxxyyz_zzzzzzzz_0, tg_xxxxyzz_xxxxxxxx_0, tg_xxxxyzz_xxxxxxxy_0, \
                                         tg_xxxxyzz_xxxxxxxz_0, tg_xxxxyzz_xxxxxxyy_0, tg_xxxxyzz_xxxxxxyz_0, \
                                         tg_xxxxyzz_xxxxxxzz_0, tg_xxxxyzz_xxxxxyyy_0, tg_xxxxyzz_xxxxxyyz_0, \
                                         tg_xxxxyzz_xxxxxyzz_0, tg_xxxxyzz_xxxxxzzz_0, tg_xxxxyzz_xxxxyyyy_0, \
                                         tg_xxxxyzz_xxxxyyyz_0, tg_xxxxyzz_xxxxyyzz_0, tg_xxxxyzz_xxxxyzzz_0, \
                                         tg_xxxxyzz_xxxxzzzz_0, tg_xxxxyzz_xxxyyyyy_0, tg_xxxxyzz_xxxyyyyz_0, \
                                         tg_xxxxyzz_xxxyyyzz_0, tg_xxxxyzz_xxxyyzzz_0, tg_xxxxyzz_xxxyzzzz_0, \
                                         tg_xxxxyzz_xxxzzzzz_0, tg_xxxxyzz_xxyyyyyy_0, tg_xxxxyzz_xxyyyyyz_0, \
                                         tg_xxxxyzz_xxyyyyzz_0, tg_xxxyyy_xxxyyzzz_0, tg_xxxyyy_xxxyyzzz_1, tg_xxxyyy_xxxyzzzz_0, \
                                         tg_xxxyyy_xxxyzzzz_1, tg_xxxyyy_xxxzzzzz_0, tg_xxxyyy_xxxzzzzz_1, tg_xxxyyy_xxyyyyyy_0, \
                                         tg_xxxyyy_xxyyyyyy_1, tg_xxxyyy_xxyyyyyz_0, tg_xxxyyy_xxyyyyyz_1, tg_xxxyyy_xxyyyyzz_0, \
                                         tg_xxxyyy_xxyyyyzz_1, tg_xxxyyy_xxyyyzzz_0, tg_xxxyyy_xxyyyzzz_1, tg_xxxyyy_xxyyzzz_1, \
                                         tg_xxxyyy_xxyyzzzz_0, tg_xxxyyy_xxyyzzzz_1, tg_xxxyyy_xxyzzzz_1, tg_xxxyyy_xxyzzzzz_0, \
                                         tg_xxxyyy_xxyzzzzz_1, tg_xxxyyy_xxzzzzz_1, tg_xxxyyy_xxzzzzzz_0, tg_xxxyyy_xxzzzzzz_1, \
                                         tg_xxxyyy_xyyyyyy_1, tg_xxxyyy_xyyyyyyy_0, tg_xxxyyy_xyyyyyyy_1, tg_xxxyyy_xyyyyyyz_0, \
                                         tg_xxxyyy_xyyyyyyz_1, tg_xxxyyy_xyyyyyz_1, tg_xxxyyy_xyyyyyzz_0, tg_xxxyyy_xyyyyyzz_1, \
                                         tg_xxxyyy_xyyyyzz_1, tg_xxxyyy_xyyyyzzz_0, tg_xxxyyy_xyyyyzzz_1, tg_xxxyyy_xyyyzzz_1, \
                                         tg_xxxyyy_xyyyzzzz_0, tg_xxxyyy_xyyyzzzz_1, tg_xxxyyy_xyyzzzz_1, tg_xxxyyy_xyyzzzzz_0, \
                                         tg_xxxyyy_xyyzzzzz_1, tg_xxxyyy_xyzzzzz_1, tg_xxxyyy_xyzzzzzz_0, tg_xxxyyy_xyzzzzzz_1, \
                                         tg_xxxyyy_xzzzzzz_1, tg_xxxyyy_xzzzzzzz_0, tg_xxxyyy_xzzzzzzz_1, tg_xxxyyy_yyyyyyy_1, \
                                         tg_xxxyyy_yyyyyyyy_0, tg_xxxyyy_yyyyyyyy_1, tg_xxxyyy_yyyyyyyz_0, tg_xxxyyy_yyyyyyyz_1, \
                                         tg_xxxyyy_yyyyyyz_1, tg_xxxyyy_yyyyyyzz_0, tg_xxxyyy_yyyyyyzz_1, tg_xxxyyy_yyyyyzz_1, \
                                         tg_xxxyyy_yyyyyzzz_0, tg_xxxyyy_yyyyyzzz_1, tg_xxxyyy_yyyyzzz_1, tg_xxxyyy_yyyyzzzz_0, \
                                         tg_xxxyyy_yyyyzzzz_1, tg_xxxyyy_yyyzzzz_1, tg_xxxyyy_yyyzzzzz_0, tg_xxxyyy_yyyzzzzz_1, \
                                         tg_xxxyyy_yyzzzzz_1, tg_xxxyyy_yyzzzzzz_0, tg_xxxyyy_yyzzzzzz_1, tg_xxxyyy_yzzzzzz_1, \
                                         tg_xxxyyy_yzzzzzzz_0, tg_xxxyyy_yzzzzzzz_1, tg_xxxyyy_zzzzzzz_1, tg_xxxyyy_zzzzzzzz_0, \
                                         tg_xxxyyy_zzzzzzzz_1, tg_xxxyyz_xxxxxxx_1, tg_xxxyyz_xxxxxxxx_0, tg_xxxyyz_xxxxxxxx_1, \
                                         tg_xxxyyz_xxxxxxxy_0, tg_xxxyyz_xxxxxxxy_1, tg_xxxyyz_xxxxxxxz_0, tg_xxxyyz_xxxxxxxz_1, \
                                         tg_xxxyyz_xxxxxxy_1, tg_xxxyyz_xxxxxxyy_0, tg_xxxyyz_xxxxxxyy_1, tg_xxxyyz_xxxxxxyz_0, \
                                         tg_xxxyyz_xxxxxxyz_1, tg_xxxyyz_xxxxxxz_1, tg_xxxyyz_xxxxxxzz_0, tg_xxxyyz_xxxxxxzz_1, \
                                         tg_xxxyyz_xxxxxyy_1, tg_xxxyyz_xxxxxyyy_0, tg_xxxyyz_xxxxxyyy_1, tg_xxxyyz_xxxxxyyz_0, \
                                         tg_xxxyyz_xxxxxyyz_1, tg_xxxyyz_xxxxxyz_1, tg_xxxyyz_xxxxxyzz_0, tg_xxxyyz_xxxxxyzz_1, \
                                         tg_xxxyyz_xxxxxzz_1, tg_xxxyyz_xxxxxzzz_0, tg_xxxyyz_xxxxxzzz_1, tg_xxxyyz_xxxxyyy_1, \
                                         tg_xxxyyz_xxxxyyyy_0, tg_xxxyyz_xxxxyyyy_1, tg_xxxyyz_xxxxyyyz_0, tg_xxxyyz_xxxxyyyz_1, \
                                         tg_xxxyyz_xxxxyyz_1, tg_xxxyyz_xxxxyyzz_0, tg_xxxyyz_xxxxyyzz_1, tg_xxxyyz_xxxxyzz_1, \
                                         tg_xxxyyz_xxxxyzzz_0, tg_xxxyyz_xxxxyzzz_1, tg_xxxyyz_xxxxzzz_1, tg_xxxyyz_xxxxzzzz_0, \
                                         tg_xxxyyz_xxxxzzzz_1, tg_xxxyyz_xxxyyyy_1, tg_xxxyyz_xxxyyyyy_0, tg_xxxyyz_xxxyyyyy_1, \
                                         tg_xxxyyz_xxxyyyyz_0, tg_xxxyyz_xxxyyyyz_1, tg_xxxyyz_xxxyyyz_1, tg_xxxyyz_xxxyyyzz_0, \
                                         tg_xxxyyz_xxxyyyzz_1, tg_xxxyyz_xxxyyzz_1, tg_xxxyyz_xxxyyzzz_0, tg_xxxyyz_xxxyyzzz_1, \
                                         tg_xxxyyz_xxxyzzz_1, tg_xxxyyz_xxxyzzzz_0, tg_xxxyyz_xxxyzzzz_1, tg_xxxyyz_xxxzzzz_1, \
                                         tg_xxxyyz_xxxzzzzz_0, tg_xxxyyz_xxxzzzzz_1, tg_xxxyyz_xxyyyyy_1, tg_xxxyyz_xxyyyyyy_0, \
                                         tg_xxxyyz_xxyyyyyy_1, tg_xxxyyz_xxyyyyyz_0, tg_xxxyyz_xxyyyyyz_1, tg_xxxyyz_xxyyyyz_1, \
                                         tg_xxxyyz_xxyyyyzz_0, tg_xxxyyz_xxyyyyzz_1, tg_xxxyyz_xxyyyzz_1, tg_xxxyyz_xxyyyzzz_0, \
                                         tg_xxxyyz_xxyyyzzz_1, tg_xxxyyz_xxyyzzz_1, tg_xxxyyz_xxyyzzzz_0, tg_xxxyyz_xxyyzzzz_1, \
                                         tg_xxxyyz_xxyzzzz_1, tg_xxxyyz_xxyzzzzz_0, tg_xxxyyz_xxyzzzzz_1, tg_xxxyyz_xxzzzzz_1, \
                                         tg_xxxyyz_xxzzzzzz_0, tg_xxxyyz_xxzzzzzz_1, tg_xxxyyz_xyyyyyy_1, tg_xxxyyz_xyyyyyyy_0, \
                                         tg_xxxyyz_xyyyyyyy_1, tg_xxxyyz_xyyyyyyz_0, tg_xxxyyz_xyyyyyyz_1, tg_xxxyyz_xyyyyyz_1, \
                                         tg_xxxyyz_xyyyyyzz_0, tg_xxxyyz_xyyyyyzz_1, tg_xxxyyz_xyyyyzz_1, tg_xxxyyz_xyyyyzzz_0, \
                                         tg_xxxyyz_xyyyyzzz_1, tg_xxxyyz_xyyyzzz_1, tg_xxxyyz_xyyyzzzz_0, tg_xxxyyz_xyyyzzzz_1, \
                                         tg_xxxyyz_xyyzzzz_1, tg_xxxyyz_xyyzzzzz_0, tg_xxxyyz_xyyzzzzz_1, tg_xxxyyz_xyzzzzz_1, \
                                         tg_xxxyyz_xyzzzzzz_0, tg_xxxyyz_xyzzzzzz_1, tg_xxxyyz_xzzzzzz_1, tg_xxxyyz_xzzzzzzz_0, \
                                         tg_xxxyyz_xzzzzzzz_1, tg_xxxyyz_yyyyyyy_1, tg_xxxyyz_yyyyyyyy_0, tg_xxxyyz_yyyyyyyy_1, \
                                         tg_xxxyyz_yyyyyyyz_0, tg_xxxyyz_yyyyyyyz_1, tg_xxxyyz_yyyyyyz_1, tg_xxxyyz_yyyyyyzz_0, \
                                         tg_xxxyyz_yyyyyyzz_1, tg_xxxyyz_yyyyyzz_1, tg_xxxyyz_yyyyyzzz_0, tg_xxxyyz_yyyyyzzz_1, \
                                         tg_xxxyyz_yyyyzzz_1, tg_xxxyyz_yyyyzzzz_0, tg_xxxyyz_yyyyzzzz_1, tg_xxxyyz_yyyzzzz_1, \
                                         tg_xxxyyz_yyyzzzzz_0, tg_xxxyyz_yyyzzzzz_1, tg_xxxyyz_yyzzzzz_1, tg_xxxyyz_yyzzzzzz_0, \
                                         tg_xxxyyz_yyzzzzzz_1, tg_xxxyyz_yzzzzzz_1, tg_xxxyyz_yzzzzzzz_0, tg_xxxyyz_yzzzzzzz_1, \
                                         tg_xxxyyz_zzzzzzz_1, tg_xxxyyz_zzzzzzzz_0, tg_xxxyyz_zzzzzzzz_1, tg_xxxyzz_xxxxxxx_1, \
                                         tg_xxxyzz_xxxxxxxx_0, tg_xxxyzz_xxxxxxxx_1, tg_xxxyzz_xxxxxxxy_0, tg_xxxyzz_xxxxxxxy_1, \
                                         tg_xxxyzz_xxxxxxxz_0, tg_xxxyzz_xxxxxxxz_1, tg_xxxyzz_xxxxxxy_1, tg_xxxyzz_xxxxxxyy_0, \
                                         tg_xxxyzz_xxxxxxyy_1, tg_xxxyzz_xxxxxxyz_0, tg_xxxyzz_xxxxxxyz_1, tg_xxxyzz_xxxxxxz_1, \
                                         tg_xxxyzz_xxxxxxzz_0, tg_xxxyzz_xxxxxxzz_1, tg_xxxyzz_xxxxxyy_1, tg_xxxyzz_xxxxxyyy_0, \
                                         tg_xxxyzz_xxxxxyyy_1, tg_xxxyzz_xxxxxyyz_0, tg_xxxyzz_xxxxxyyz_1, tg_xxxyzz_xxxxxyz_1, \
                                         tg_xxxyzz_xxxxxyzz_0, tg_xxxyzz_xxxxxyzz_1, tg_xxxyzz_xxxxxzz_1, tg_xxxyzz_xxxxxzzz_0, \
                                         tg_xxxyzz_xxxxxzzz_1, tg_xxxyzz_xxxxyyy_1, tg_xxxyzz_xxxxyyyy_0, tg_xxxyzz_xxxxyyyy_1, \
                                         tg_xxxyzz_xxxxyyyz_0, tg_xxxyzz_xxxxyyyz_1, tg_xxxyzz_xxxxyyz_1, tg_xxxyzz_xxxxyyzz_0, \
                                         tg_xxxyzz_xxxxyyzz_1, tg_xxxyzz_xxxxyzz_1, tg_xxxyzz_xxxxyzzz_0, tg_xxxyzz_xxxxyzzz_1, \
                                         tg_xxxyzz_xxxxzzz_1, tg_xxxyzz_xxxxzzzz_0, tg_xxxyzz_xxxxzzzz_1, tg_xxxyzz_xxxyyyy_1, \
                                         tg_xxxyzz_xxxyyyyy_0, tg_xxxyzz_xxxyyyyy_1, tg_xxxyzz_xxxyyyyz_0, tg_xxxyzz_xxxyyyyz_1, \
                                         tg_xxxyzz_xxxyyyz_1, tg_xxxyzz_xxxyyyzz_0, tg_xxxyzz_xxxyyyzz_1, tg_xxxyzz_xxxyyzz_1, \
                                         tg_xxxyzz_xxxyyzzz_0, tg_xxxyzz_xxxyyzzz_1, tg_xxxyzz_xxxyzzz_1, tg_xxxyzz_xxxyzzzz_0, \
                                         tg_xxxyzz_xxxyzzzz_1, tg_xxxyzz_xxxzzzz_1, tg_xxxyzz_xxxzzzzz_0, tg_xxxyzz_xxxzzzzz_1, \
                                         tg_xxxyzz_xxyyyyy_1, tg_xxxyzz_xxyyyyyy_0, tg_xxxyzz_xxyyyyyy_1, tg_xxxyzz_xxyyyyyz_0, \
                                         tg_xxxyzz_xxyyyyyz_1, tg_xxxyzz_xxyyyyz_1, tg_xxxyzz_xxyyyyzz_0, tg_xxxyzz_xxyyyyzz_1, \
                                         tg_xxxyzz_xxyyyzz_1, tg_xxxyzz_xxyyzzz_1, tg_xxxyzz_xxyzzzz_1, tg_xxxyzz_xxzzzzz_1, \
                                         tg_xxxyzz_xyyyyyy_1, tg_xxxyzz_xyyyyyz_1, tg_xxxyzz_xyyyyzz_1, tg_xxyyy_xxxyyzzz_0, \
                                         tg_xxyyy_xxxyyzzz_1, tg_xxyyy_xxxyzzzz_0, tg_xxyyy_xxxyzzzz_1, tg_xxyyy_xxxzzzzz_0, \
                                         tg_xxyyy_xxxzzzzz_1, tg_xxyyy_xxyyyyyy_0, tg_xxyyy_xxyyyyyy_1, tg_xxyyy_xxyyyyyz_0, \
                                         tg_xxyyy_xxyyyyyz_1, tg_xxyyy_xxyyyyzz_0, tg_xxyyy_xxyyyyzz_1, tg_xxyyy_xxyyyzzz_0, \
                                         tg_xxyyy_xxyyyzzz_1, tg_xxyyy_xxyyzzzz_0, tg_xxyyy_xxyyzzzz_1, tg_xxyyy_xxyzzzzz_0, \
                                         tg_xxyyy_xxyzzzzz_1, tg_xxyyy_xxzzzzzz_0, tg_xxyyy_xxzzzzzz_1, tg_xxyyy_xyyyyyyy_0, \
                                         tg_xxyyy_xyyyyyyy_1, tg_xxyyy_xyyyyyyz_0, tg_xxyyy_xyyyyyyz_1, tg_xxyyy_xyyyyyzz_0, \
                                         tg_xxyyy_xyyyyyzz_1, tg_xxyyy_xyyyyzzz_0, tg_xxyyy_xyyyyzzz_1, tg_xxyyy_xyyyzzzz_0, \
                                         tg_xxyyy_xyyyzzzz_1, tg_xxyyy_xyyzzzzz_0, tg_xxyyy_xyyzzzzz_1, tg_xxyyy_xyzzzzzz_0, \
                                         tg_xxyyy_xyzzzzzz_1, tg_xxyyy_xzzzzzzz_0, tg_xxyyy_xzzzzzzz_1, tg_xxyyy_yyyyyyyy_0, \
                                         tg_xxyyy_yyyyyyyy_1, tg_xxyyy_yyyyyyyz_0, tg_xxyyy_yyyyyyyz_1, tg_xxyyy_yyyyyyzz_0, \
                                         tg_xxyyy_yyyyyyzz_1, tg_xxyyy_yyyyyzzz_0, tg_xxyyy_yyyyyzzz_1, tg_xxyyy_yyyyzzzz_0, \
                                         tg_xxyyy_yyyyzzzz_1, tg_xxyyy_yyyzzzzz_0, tg_xxyyy_yyyzzzzz_1, tg_xxyyy_yyzzzzzz_0, \
                                         tg_xxyyy_yyzzzzzz_1, tg_xxyyy_yzzzzzzz_0, tg_xxyyy_yzzzzzzz_1, tg_xxyyy_zzzzzzzz_0, \
                                         tg_xxyyy_zzzzzzzz_1, tg_xxyyz_xxxxxxxx_0, tg_xxyyz_xxxxxxxx_1, tg_xxyyz_xxxxxxxy_0, \
                                         tg_xxyyz_xxxxxxxy_1, tg_xxyyz_xxxxxxxz_0, tg_xxyyz_xxxxxxxz_1, tg_xxyyz_xxxxxxyy_0, \
                                         tg_xxyyz_xxxxxxyy_1, tg_xxyyz_xxxxxxyz_0, tg_xxyyz_xxxxxxyz_1, tg_xxyyz_xxxxxxzz_0, \
                                         tg_xxyyz_xxxxxxzz_1, tg_xxyyz_xxxxxyyy_0, tg_xxyyz_xxxxxyyy_1, tg_xxyyz_xxxxxyyz_0, \
                                         tg_xxyyz_xxxxxyyz_1, tg_xxyyz_xxxxxyzz_0, tg_xxyyz_xxxxxyzz_1, tg_xxyyz_xxxxxzzz_0, \
                                         tg_xxyyz_xxxxxzzz_1, tg_xxyyz_xxxxyyyy_0, tg_xxyyz_xxxxyyyy_1, tg_xxyyz_xxxxyyyz_0, \
                                         tg_xxyyz_xxxxyyyz_1, tg_xxyyz_xxxxyyzz_0, tg_xxyyz_xxxxyyzz_1, tg_xxyyz_xxxxyzzz_0, \
                                         tg_xxyyz_xxxxyzzz_1, tg_xxyyz_xxxxzzzz_0, tg_xxyyz_xxxxzzzz_1, tg_xxyyz_xxxyyyyy_0, \
                                         tg_xxyyz_xxxyyyyy_1, tg_xxyyz_xxxyyyyz_0, tg_xxyyz_xxxyyyyz_1, tg_xxyyz_xxxyyyzz_0, \
                                         tg_xxyyz_xxxyyyzz_1, tg_xxyyz_xxxyyzzz_0, tg_xxyyz_xxxyyzzz_1, tg_xxyyz_xxxyzzzz_0, \
                                         tg_xxyyz_xxxyzzzz_1, tg_xxyyz_xxxzzzzz_0, tg_xxyyz_xxxzzzzz_1, tg_xxyyz_xxyyyyyy_0, \
                                         tg_xxyyz_xxyyyyyy_1, tg_xxyyz_xxyyyyyz_0, tg_xxyyz_xxyyyyyz_1, tg_xxyyz_xxyyyyzz_0, \
                                         tg_xxyyz_xxyyyyzz_1, tg_xxyyz_xxyyyzzz_0, tg_xxyyz_xxyyyzzz_1, tg_xxyyz_xxyyzzzz_0, \
                                         tg_xxyyz_xxyyzzzz_1, tg_xxyyz_xxyzzzzz_0, tg_xxyyz_xxyzzzzz_1, tg_xxyyz_xxzzzzzz_0, \
                                         tg_xxyyz_xxzzzzzz_1, tg_xxyyz_xyyyyyyy_0, tg_xxyyz_xyyyyyyy_1, tg_xxyyz_xyyyyyyz_0, \
                                         tg_xxyyz_xyyyyyyz_1, tg_xxyyz_xyyyyyzz_0, tg_xxyyz_xyyyyyzz_1, tg_xxyyz_xyyyyzzz_0, \
                                         tg_xxyyz_xyyyyzzz_1, tg_xxyyz_xyyyzzzz_0, tg_xxyyz_xyyyzzzz_1, tg_xxyyz_xyyzzzzz_0, \
                                         tg_xxyyz_xyyzzzzz_1, tg_xxyyz_xyzzzzzz_0, tg_xxyyz_xyzzzzzz_1, tg_xxyyz_xzzzzzzz_0, \
                                         tg_xxyyz_xzzzzzzz_1, tg_xxyyz_yyyyyyyy_0, tg_xxyyz_yyyyyyyy_1, tg_xxyyz_yyyyyyyz_0, \
                                         tg_xxyyz_yyyyyyyz_1, tg_xxyyz_yyyyyyzz_0, tg_xxyyz_yyyyyyzz_1, tg_xxyyz_yyyyyzzz_0, \
                                         tg_xxyyz_yyyyyzzz_1, tg_xxyyz_yyyyzzzz_0, tg_xxyyz_yyyyzzzz_1, tg_xxyyz_yyyzzzzz_0, \
                                         tg_xxyyz_yyyzzzzz_1, tg_xxyyz_yyzzzzzz_0, tg_xxyyz_yyzzzzzz_1, tg_xxyyz_yzzzzzzz_0, \
                                         tg_xxyyz_yzzzzzzz_1, tg_xxyyz_zzzzzzzz_0, tg_xxyyz_zzzzzzzz_1, tg_xxyzz_xxxxxxxx_0, \
                                         tg_xxyzz_xxxxxxxx_1, tg_xxyzz_xxxxxxxy_0, tg_xxyzz_xxxxxxxy_1, tg_xxyzz_xxxxxxxz_0, \
                                         tg_xxyzz_xxxxxxxz_1, tg_xxyzz_xxxxxxyy_0, tg_xxyzz_xxxxxxyy_1, tg_xxyzz_xxxxxxyz_0, \
                                         tg_xxyzz_xxxxxxyz_1, tg_xxyzz_xxxxxxzz_0, tg_xxyzz_xxxxxxzz_1, tg_xxyzz_xxxxxyyy_0, \
                                         tg_xxyzz_xxxxxyyy_1, tg_xxyzz_xxxxxyyz_0, tg_xxyzz_xxxxxyyz_1, tg_xxyzz_xxxxxyzz_0, \
                                         tg_xxyzz_xxxxxyzz_1, tg_xxyzz_xxxxxzzz_0, tg_xxyzz_xxxxxzzz_1, tg_xxyzz_xxxxyyyy_0, \
                                         tg_xxyzz_xxxxyyyy_1, tg_xxyzz_xxxxyyyz_0, tg_xxyzz_xxxxyyyz_1, tg_xxyzz_xxxxyyzz_0, \
                                         tg_xxyzz_xxxxyyzz_1, tg_xxyzz_xxxxyzzz_0, tg_xxyzz_xxxxyzzz_1, tg_xxyzz_xxxxzzzz_0, \
                                         tg_xxyzz_xxxxzzzz_1, tg_xxyzz_xxxyyyyy_0, tg_xxyzz_xxxyyyyy_1, tg_xxyzz_xxxyyyyz_0, \
                                         tg_xxyzz_xxxyyyyz_1, tg_xxyzz_xxxyyyzz_0, tg_xxyzz_xxxyyyzz_1, tg_xxyzz_xxxyyzzz_0, \
                                         tg_xxyzz_xxxyyzzz_1, tg_xxyzz_xxxyzzzz_0, tg_xxyzz_xxxyzzzz_1, tg_xxyzz_xxxzzzzz_0, \
                                         tg_xxyzz_xxxzzzzz_1, tg_xxyzz_xxyyyyyy_0, tg_xxyzz_xxyyyyyy_1, tg_xxyzz_xxyyyyyz_0, \
                                         tg_xxyzz_xxyyyyyz_1, tg_xxyzz_xxyyyyzz_0, tg_xxyzz_xxyyyyzz_1, wp_x: VLX_ALIGN)
                for (int32_t j = 0; j < nKetPrimPairs; j++)
                {
                    double fl1_fx = fx;

                    double fl1_fxn = fxn[j];

                    double fl1_fza = fza[j];

                    double fr = wp_x[j]; 

                    tg_xxxxyyy_xxxyyzzz_0[j] = pb_x * tg_xxxyyy_xxxyyzzz_0[j] + fr * tg_xxxyyy_xxxyyzzz_1[j] + 1.5 * fl1_fx * (tg_xxyyy_xxxyyzzz_0[j] - tg_xxyyy_xxxyyzzz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_xxxyyy_xxyyzzz_1[j];

                    tg_xxxxyyy_xxxyzzzz_0[j] = pb_x * tg_xxxyyy_xxxyzzzz_0[j] + fr * tg_xxxyyy_xxxyzzzz_1[j] + 1.5 * fl1_fx * (tg_xxyyy_xxxyzzzz_0[j] - tg_xxyyy_xxxyzzzz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_xxxyyy_xxyzzzz_1[j];

                    tg_xxxxyyy_xxxzzzzz_0[j] = pb_x * tg_xxxyyy_xxxzzzzz_0[j] + fr * tg_xxxyyy_xxxzzzzz_1[j] + 1.5 * fl1_fx * (tg_xxyyy_xxxzzzzz_0[j] - tg_xxyyy_xxxzzzzz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_xxxyyy_xxzzzzz_1[j];

                    tg_xxxxyyy_xxyyyyyy_0[j] = pb_x * tg_xxxyyy_xxyyyyyy_0[j] + fr * tg_xxxyyy_xxyyyyyy_1[j] + 1.5 * fl1_fx * (tg_xxyyy_xxyyyyyy_0[j] - tg_xxyyy_xxyyyyyy_1[j] * fl1_fza) + fl1_fxn * tg_xxxyyy_xyyyyyy_1[j];

                    tg_xxxxyyy_xxyyyyyz_0[j] = pb_x * tg_xxxyyy_xxyyyyyz_0[j] + fr * tg_xxxyyy_xxyyyyyz_1[j] + 1.5 * fl1_fx * (tg_xxyyy_xxyyyyyz_0[j] - tg_xxyyy_xxyyyyyz_1[j] * fl1_fza) + fl1_fxn * tg_xxxyyy_xyyyyyz_1[j];

                    tg_xxxxyyy_xxyyyyzz_0[j] = pb_x * tg_xxxyyy_xxyyyyzz_0[j] + fr * tg_xxxyyy_xxyyyyzz_1[j] + 1.5 * fl1_fx * (tg_xxyyy_xxyyyyzz_0[j] - tg_xxyyy_xxyyyyzz_1[j] * fl1_fza) + fl1_fxn * tg_xxxyyy_xyyyyzz_1[j];

                    tg_xxxxyyy_xxyyyzzz_0[j] = pb_x * tg_xxxyyy_xxyyyzzz_0[j] + fr * tg_xxxyyy_xxyyyzzz_1[j] + 1.5 * fl1_fx * (tg_xxyyy_xxyyyzzz_0[j] - tg_xxyyy_xxyyyzzz_1[j] * fl1_fza) + fl1_fxn * tg_xxxyyy_xyyyzzz_1[j];

                    tg_xxxxyyy_xxyyzzzz_0[j] = pb_x * tg_xxxyyy_xxyyzzzz_0[j] + fr * tg_xxxyyy_xxyyzzzz_1[j] + 1.5 * fl1_fx * (tg_xxyyy_xxyyzzzz_0[j] - tg_xxyyy_xxyyzzzz_1[j] * fl1_fza) + fl1_fxn * tg_xxxyyy_xyyzzzz_1[j];

                    tg_xxxxyyy_xxyzzzzz_0[j] = pb_x * tg_xxxyyy_xxyzzzzz_0[j] + fr * tg_xxxyyy_xxyzzzzz_1[j] + 1.5 * fl1_fx * (tg_xxyyy_xxyzzzzz_0[j] - tg_xxyyy_xxyzzzzz_1[j] * fl1_fza) + fl1_fxn * tg_xxxyyy_xyzzzzz_1[j];

                    tg_xxxxyyy_xxzzzzzz_0[j] = pb_x * tg_xxxyyy_xxzzzzzz_0[j] + fr * tg_xxxyyy_xxzzzzzz_1[j] + 1.5 * fl1_fx * (tg_xxyyy_xxzzzzzz_0[j] - tg_xxyyy_xxzzzzzz_1[j] * fl1_fza) + fl1_fxn * tg_xxxyyy_xzzzzzz_1[j];

                    tg_xxxxyyy_xyyyyyyy_0[j] = pb_x * tg_xxxyyy_xyyyyyyy_0[j] + fr * tg_xxxyyy_xyyyyyyy_1[j] + 1.5 * fl1_fx * (tg_xxyyy_xyyyyyyy_0[j] - tg_xxyyy_xyyyyyyy_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xxxyyy_yyyyyyy_1[j];

                    tg_xxxxyyy_xyyyyyyz_0[j] = pb_x * tg_xxxyyy_xyyyyyyz_0[j] + fr * tg_xxxyyy_xyyyyyyz_1[j] + 1.5 * fl1_fx * (tg_xxyyy_xyyyyyyz_0[j] - tg_xxyyy_xyyyyyyz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xxxyyy_yyyyyyz_1[j];

                    tg_xxxxyyy_xyyyyyzz_0[j] = pb_x * tg_xxxyyy_xyyyyyzz_0[j] + fr * tg_xxxyyy_xyyyyyzz_1[j] + 1.5 * fl1_fx * (tg_xxyyy_xyyyyyzz_0[j] - tg_xxyyy_xyyyyyzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xxxyyy_yyyyyzz_1[j];

                    tg_xxxxyyy_xyyyyzzz_0[j] = pb_x * tg_xxxyyy_xyyyyzzz_0[j] + fr * tg_xxxyyy_xyyyyzzz_1[j] + 1.5 * fl1_fx * (tg_xxyyy_xyyyyzzz_0[j] - tg_xxyyy_xyyyyzzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xxxyyy_yyyyzzz_1[j];

                    tg_xxxxyyy_xyyyzzzz_0[j] = pb_x * tg_xxxyyy_xyyyzzzz_0[j] + fr * tg_xxxyyy_xyyyzzzz_1[j] + 1.5 * fl1_fx * (tg_xxyyy_xyyyzzzz_0[j] - tg_xxyyy_xyyyzzzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xxxyyy_yyyzzzz_1[j];

                    tg_xxxxyyy_xyyzzzzz_0[j] = pb_x * tg_xxxyyy_xyyzzzzz_0[j] + fr * tg_xxxyyy_xyyzzzzz_1[j] + 1.5 * fl1_fx * (tg_xxyyy_xyyzzzzz_0[j] - tg_xxyyy_xyyzzzzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xxxyyy_yyzzzzz_1[j];

                    tg_xxxxyyy_xyzzzzzz_0[j] = pb_x * tg_xxxyyy_xyzzzzzz_0[j] + fr * tg_xxxyyy_xyzzzzzz_1[j] + 1.5 * fl1_fx * (tg_xxyyy_xyzzzzzz_0[j] - tg_xxyyy_xyzzzzzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xxxyyy_yzzzzzz_1[j];

                    tg_xxxxyyy_xzzzzzzz_0[j] = pb_x * tg_xxxyyy_xzzzzzzz_0[j] + fr * tg_xxxyyy_xzzzzzzz_1[j] + 1.5 * fl1_fx * (tg_xxyyy_xzzzzzzz_0[j] - tg_xxyyy_xzzzzzzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xxxyyy_zzzzzzz_1[j];

                    tg_xxxxyyy_yyyyyyyy_0[j] = pb_x * tg_xxxyyy_yyyyyyyy_0[j] + fr * tg_xxxyyy_yyyyyyyy_1[j] + 1.5 * fl1_fx * (tg_xxyyy_yyyyyyyy_0[j] - tg_xxyyy_yyyyyyyy_1[j] * fl1_fza);

                    tg_xxxxyyy_yyyyyyyz_0[j] = pb_x * tg_xxxyyy_yyyyyyyz_0[j] + fr * tg_xxxyyy_yyyyyyyz_1[j] + 1.5 * fl1_fx * (tg_xxyyy_yyyyyyyz_0[j] - tg_xxyyy_yyyyyyyz_1[j] * fl1_fza);

                    tg_xxxxyyy_yyyyyyzz_0[j] = pb_x * tg_xxxyyy_yyyyyyzz_0[j] + fr * tg_xxxyyy_yyyyyyzz_1[j] + 1.5 * fl1_fx * (tg_xxyyy_yyyyyyzz_0[j] - tg_xxyyy_yyyyyyzz_1[j] * fl1_fza);

                    tg_xxxxyyy_yyyyyzzz_0[j] = pb_x * tg_xxxyyy_yyyyyzzz_0[j] + fr * tg_xxxyyy_yyyyyzzz_1[j] + 1.5 * fl1_fx * (tg_xxyyy_yyyyyzzz_0[j] - tg_xxyyy_yyyyyzzz_1[j] * fl1_fza);

                    tg_xxxxyyy_yyyyzzzz_0[j] = pb_x * tg_xxxyyy_yyyyzzzz_0[j] + fr * tg_xxxyyy_yyyyzzzz_1[j] + 1.5 * fl1_fx * (tg_xxyyy_yyyyzzzz_0[j] - tg_xxyyy_yyyyzzzz_1[j] * fl1_fza);

                    tg_xxxxyyy_yyyzzzzz_0[j] = pb_x * tg_xxxyyy_yyyzzzzz_0[j] + fr * tg_xxxyyy_yyyzzzzz_1[j] + 1.5 * fl1_fx * (tg_xxyyy_yyyzzzzz_0[j] - tg_xxyyy_yyyzzzzz_1[j] * fl1_fza);

                    tg_xxxxyyy_yyzzzzzz_0[j] = pb_x * tg_xxxyyy_yyzzzzzz_0[j] + fr * tg_xxxyyy_yyzzzzzz_1[j] + 1.5 * fl1_fx * (tg_xxyyy_yyzzzzzz_0[j] - tg_xxyyy_yyzzzzzz_1[j] * fl1_fza);

                    tg_xxxxyyy_yzzzzzzz_0[j] = pb_x * tg_xxxyyy_yzzzzzzz_0[j] + fr * tg_xxxyyy_yzzzzzzz_1[j] + 1.5 * fl1_fx * (tg_xxyyy_yzzzzzzz_0[j] - tg_xxyyy_yzzzzzzz_1[j] * fl1_fza);

                    tg_xxxxyyy_zzzzzzzz_0[j] = pb_x * tg_xxxyyy_zzzzzzzz_0[j] + fr * tg_xxxyyy_zzzzzzzz_1[j] + 1.5 * fl1_fx * (tg_xxyyy_zzzzzzzz_0[j] - tg_xxyyy_zzzzzzzz_1[j] * fl1_fza);

                    tg_xxxxyyz_xxxxxxxx_0[j] = pb_x * tg_xxxyyz_xxxxxxxx_0[j] + fr * tg_xxxyyz_xxxxxxxx_1[j] + 1.5 * fl1_fx * (tg_xxyyz_xxxxxxxx_0[j] - tg_xxyyz_xxxxxxxx_1[j] * fl1_fza) + 4.0 * fl1_fxn * tg_xxxyyz_xxxxxxx_1[j];

                    tg_xxxxyyz_xxxxxxxy_0[j] = pb_x * tg_xxxyyz_xxxxxxxy_0[j] + fr * tg_xxxyyz_xxxxxxxy_1[j] + 1.5 * fl1_fx * (tg_xxyyz_xxxxxxxy_0[j] - tg_xxyyz_xxxxxxxy_1[j] * fl1_fza) + 3.5 * fl1_fxn * tg_xxxyyz_xxxxxxy_1[j];

                    tg_xxxxyyz_xxxxxxxz_0[j] = pb_x * tg_xxxyyz_xxxxxxxz_0[j] + fr * tg_xxxyyz_xxxxxxxz_1[j] + 1.5 * fl1_fx * (tg_xxyyz_xxxxxxxz_0[j] - tg_xxyyz_xxxxxxxz_1[j] * fl1_fza) + 3.5 * fl1_fxn * tg_xxxyyz_xxxxxxz_1[j];

                    tg_xxxxyyz_xxxxxxyy_0[j] = pb_x * tg_xxxyyz_xxxxxxyy_0[j] + fr * tg_xxxyyz_xxxxxxyy_1[j] + 1.5 * fl1_fx * (tg_xxyyz_xxxxxxyy_0[j] - tg_xxyyz_xxxxxxyy_1[j] * fl1_fza) + 3.0 * fl1_fxn * tg_xxxyyz_xxxxxyy_1[j];

                    tg_xxxxyyz_xxxxxxyz_0[j] = pb_x * tg_xxxyyz_xxxxxxyz_0[j] + fr * tg_xxxyyz_xxxxxxyz_1[j] + 1.5 * fl1_fx * (tg_xxyyz_xxxxxxyz_0[j] - tg_xxyyz_xxxxxxyz_1[j] * fl1_fza) + 3.0 * fl1_fxn * tg_xxxyyz_xxxxxyz_1[j];

                    tg_xxxxyyz_xxxxxxzz_0[j] = pb_x * tg_xxxyyz_xxxxxxzz_0[j] + fr * tg_xxxyyz_xxxxxxzz_1[j] + 1.5 * fl1_fx * (tg_xxyyz_xxxxxxzz_0[j] - tg_xxyyz_xxxxxxzz_1[j] * fl1_fza) + 3.0 * fl1_fxn * tg_xxxyyz_xxxxxzz_1[j];

                    tg_xxxxyyz_xxxxxyyy_0[j] = pb_x * tg_xxxyyz_xxxxxyyy_0[j] + fr * tg_xxxyyz_xxxxxyyy_1[j] + 1.5 * fl1_fx * (tg_xxyyz_xxxxxyyy_0[j] - tg_xxyyz_xxxxxyyy_1[j] * fl1_fza) + 2.5 * fl1_fxn * tg_xxxyyz_xxxxyyy_1[j];

                    tg_xxxxyyz_xxxxxyyz_0[j] = pb_x * tg_xxxyyz_xxxxxyyz_0[j] + fr * tg_xxxyyz_xxxxxyyz_1[j] + 1.5 * fl1_fx * (tg_xxyyz_xxxxxyyz_0[j] - tg_xxyyz_xxxxxyyz_1[j] * fl1_fza) + 2.5 * fl1_fxn * tg_xxxyyz_xxxxyyz_1[j];

                    tg_xxxxyyz_xxxxxyzz_0[j] = pb_x * tg_xxxyyz_xxxxxyzz_0[j] + fr * tg_xxxyyz_xxxxxyzz_1[j] + 1.5 * fl1_fx * (tg_xxyyz_xxxxxyzz_0[j] - tg_xxyyz_xxxxxyzz_1[j] * fl1_fza) + 2.5 * fl1_fxn * tg_xxxyyz_xxxxyzz_1[j];

                    tg_xxxxyyz_xxxxxzzz_0[j] = pb_x * tg_xxxyyz_xxxxxzzz_0[j] + fr * tg_xxxyyz_xxxxxzzz_1[j] + 1.5 * fl1_fx * (tg_xxyyz_xxxxxzzz_0[j] - tg_xxyyz_xxxxxzzz_1[j] * fl1_fza) + 2.5 * fl1_fxn * tg_xxxyyz_xxxxzzz_1[j];

                    tg_xxxxyyz_xxxxyyyy_0[j] = pb_x * tg_xxxyyz_xxxxyyyy_0[j] + fr * tg_xxxyyz_xxxxyyyy_1[j] + 1.5 * fl1_fx * (tg_xxyyz_xxxxyyyy_0[j] - tg_xxyyz_xxxxyyyy_1[j] * fl1_fza) + 2.0 * fl1_fxn * tg_xxxyyz_xxxyyyy_1[j];

                    tg_xxxxyyz_xxxxyyyz_0[j] = pb_x * tg_xxxyyz_xxxxyyyz_0[j] + fr * tg_xxxyyz_xxxxyyyz_1[j] + 1.5 * fl1_fx * (tg_xxyyz_xxxxyyyz_0[j] - tg_xxyyz_xxxxyyyz_1[j] * fl1_fza) + 2.0 * fl1_fxn * tg_xxxyyz_xxxyyyz_1[j];

                    tg_xxxxyyz_xxxxyyzz_0[j] = pb_x * tg_xxxyyz_xxxxyyzz_0[j] + fr * tg_xxxyyz_xxxxyyzz_1[j] + 1.5 * fl1_fx * (tg_xxyyz_xxxxyyzz_0[j] - tg_xxyyz_xxxxyyzz_1[j] * fl1_fza) + 2.0 * fl1_fxn * tg_xxxyyz_xxxyyzz_1[j];

                    tg_xxxxyyz_xxxxyzzz_0[j] = pb_x * tg_xxxyyz_xxxxyzzz_0[j] + fr * tg_xxxyyz_xxxxyzzz_1[j] + 1.5 * fl1_fx * (tg_xxyyz_xxxxyzzz_0[j] - tg_xxyyz_xxxxyzzz_1[j] * fl1_fza) + 2.0 * fl1_fxn * tg_xxxyyz_xxxyzzz_1[j];

                    tg_xxxxyyz_xxxxzzzz_0[j] = pb_x * tg_xxxyyz_xxxxzzzz_0[j] + fr * tg_xxxyyz_xxxxzzzz_1[j] + 1.5 * fl1_fx * (tg_xxyyz_xxxxzzzz_0[j] - tg_xxyyz_xxxxzzzz_1[j] * fl1_fza) + 2.0 * fl1_fxn * tg_xxxyyz_xxxzzzz_1[j];

                    tg_xxxxyyz_xxxyyyyy_0[j] = pb_x * tg_xxxyyz_xxxyyyyy_0[j] + fr * tg_xxxyyz_xxxyyyyy_1[j] + 1.5 * fl1_fx * (tg_xxyyz_xxxyyyyy_0[j] - tg_xxyyz_xxxyyyyy_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_xxxyyz_xxyyyyy_1[j];

                    tg_xxxxyyz_xxxyyyyz_0[j] = pb_x * tg_xxxyyz_xxxyyyyz_0[j] + fr * tg_xxxyyz_xxxyyyyz_1[j] + 1.5 * fl1_fx * (tg_xxyyz_xxxyyyyz_0[j] - tg_xxyyz_xxxyyyyz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_xxxyyz_xxyyyyz_1[j];

                    tg_xxxxyyz_xxxyyyzz_0[j] = pb_x * tg_xxxyyz_xxxyyyzz_0[j] + fr * tg_xxxyyz_xxxyyyzz_1[j] + 1.5 * fl1_fx * (tg_xxyyz_xxxyyyzz_0[j] - tg_xxyyz_xxxyyyzz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_xxxyyz_xxyyyzz_1[j];

                    tg_xxxxyyz_xxxyyzzz_0[j] = pb_x * tg_xxxyyz_xxxyyzzz_0[j] + fr * tg_xxxyyz_xxxyyzzz_1[j] + 1.5 * fl1_fx * (tg_xxyyz_xxxyyzzz_0[j] - tg_xxyyz_xxxyyzzz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_xxxyyz_xxyyzzz_1[j];

                    tg_xxxxyyz_xxxyzzzz_0[j] = pb_x * tg_xxxyyz_xxxyzzzz_0[j] + fr * tg_xxxyyz_xxxyzzzz_1[j] + 1.5 * fl1_fx * (tg_xxyyz_xxxyzzzz_0[j] - tg_xxyyz_xxxyzzzz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_xxxyyz_xxyzzzz_1[j];

                    tg_xxxxyyz_xxxzzzzz_0[j] = pb_x * tg_xxxyyz_xxxzzzzz_0[j] + fr * tg_xxxyyz_xxxzzzzz_1[j] + 1.5 * fl1_fx * (tg_xxyyz_xxxzzzzz_0[j] - tg_xxyyz_xxxzzzzz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_xxxyyz_xxzzzzz_1[j];

                    tg_xxxxyyz_xxyyyyyy_0[j] = pb_x * tg_xxxyyz_xxyyyyyy_0[j] + fr * tg_xxxyyz_xxyyyyyy_1[j] + 1.5 * fl1_fx * (tg_xxyyz_xxyyyyyy_0[j] - tg_xxyyz_xxyyyyyy_1[j] * fl1_fza) + fl1_fxn * tg_xxxyyz_xyyyyyy_1[j];

                    tg_xxxxyyz_xxyyyyyz_0[j] = pb_x * tg_xxxyyz_xxyyyyyz_0[j] + fr * tg_xxxyyz_xxyyyyyz_1[j] + 1.5 * fl1_fx * (tg_xxyyz_xxyyyyyz_0[j] - tg_xxyyz_xxyyyyyz_1[j] * fl1_fza) + fl1_fxn * tg_xxxyyz_xyyyyyz_1[j];

                    tg_xxxxyyz_xxyyyyzz_0[j] = pb_x * tg_xxxyyz_xxyyyyzz_0[j] + fr * tg_xxxyyz_xxyyyyzz_1[j] + 1.5 * fl1_fx * (tg_xxyyz_xxyyyyzz_0[j] - tg_xxyyz_xxyyyyzz_1[j] * fl1_fza) + fl1_fxn * tg_xxxyyz_xyyyyzz_1[j];

                    tg_xxxxyyz_xxyyyzzz_0[j] = pb_x * tg_xxxyyz_xxyyyzzz_0[j] + fr * tg_xxxyyz_xxyyyzzz_1[j] + 1.5 * fl1_fx * (tg_xxyyz_xxyyyzzz_0[j] - tg_xxyyz_xxyyyzzz_1[j] * fl1_fza) + fl1_fxn * tg_xxxyyz_xyyyzzz_1[j];

                    tg_xxxxyyz_xxyyzzzz_0[j] = pb_x * tg_xxxyyz_xxyyzzzz_0[j] + fr * tg_xxxyyz_xxyyzzzz_1[j] + 1.5 * fl1_fx * (tg_xxyyz_xxyyzzzz_0[j] - tg_xxyyz_xxyyzzzz_1[j] * fl1_fza) + fl1_fxn * tg_xxxyyz_xyyzzzz_1[j];

                    tg_xxxxyyz_xxyzzzzz_0[j] = pb_x * tg_xxxyyz_xxyzzzzz_0[j] + fr * tg_xxxyyz_xxyzzzzz_1[j] + 1.5 * fl1_fx * (tg_xxyyz_xxyzzzzz_0[j] - tg_xxyyz_xxyzzzzz_1[j] * fl1_fza) + fl1_fxn * tg_xxxyyz_xyzzzzz_1[j];

                    tg_xxxxyyz_xxzzzzzz_0[j] = pb_x * tg_xxxyyz_xxzzzzzz_0[j] + fr * tg_xxxyyz_xxzzzzzz_1[j] + 1.5 * fl1_fx * (tg_xxyyz_xxzzzzzz_0[j] - tg_xxyyz_xxzzzzzz_1[j] * fl1_fza) + fl1_fxn * tg_xxxyyz_xzzzzzz_1[j];

                    tg_xxxxyyz_xyyyyyyy_0[j] = pb_x * tg_xxxyyz_xyyyyyyy_0[j] + fr * tg_xxxyyz_xyyyyyyy_1[j] + 1.5 * fl1_fx * (tg_xxyyz_xyyyyyyy_0[j] - tg_xxyyz_xyyyyyyy_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xxxyyz_yyyyyyy_1[j];

                    tg_xxxxyyz_xyyyyyyz_0[j] = pb_x * tg_xxxyyz_xyyyyyyz_0[j] + fr * tg_xxxyyz_xyyyyyyz_1[j] + 1.5 * fl1_fx * (tg_xxyyz_xyyyyyyz_0[j] - tg_xxyyz_xyyyyyyz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xxxyyz_yyyyyyz_1[j];

                    tg_xxxxyyz_xyyyyyzz_0[j] = pb_x * tg_xxxyyz_xyyyyyzz_0[j] + fr * tg_xxxyyz_xyyyyyzz_1[j] + 1.5 * fl1_fx * (tg_xxyyz_xyyyyyzz_0[j] - tg_xxyyz_xyyyyyzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xxxyyz_yyyyyzz_1[j];

                    tg_xxxxyyz_xyyyyzzz_0[j] = pb_x * tg_xxxyyz_xyyyyzzz_0[j] + fr * tg_xxxyyz_xyyyyzzz_1[j] + 1.5 * fl1_fx * (tg_xxyyz_xyyyyzzz_0[j] - tg_xxyyz_xyyyyzzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xxxyyz_yyyyzzz_1[j];

                    tg_xxxxyyz_xyyyzzzz_0[j] = pb_x * tg_xxxyyz_xyyyzzzz_0[j] + fr * tg_xxxyyz_xyyyzzzz_1[j] + 1.5 * fl1_fx * (tg_xxyyz_xyyyzzzz_0[j] - tg_xxyyz_xyyyzzzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xxxyyz_yyyzzzz_1[j];

                    tg_xxxxyyz_xyyzzzzz_0[j] = pb_x * tg_xxxyyz_xyyzzzzz_0[j] + fr * tg_xxxyyz_xyyzzzzz_1[j] + 1.5 * fl1_fx * (tg_xxyyz_xyyzzzzz_0[j] - tg_xxyyz_xyyzzzzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xxxyyz_yyzzzzz_1[j];

                    tg_xxxxyyz_xyzzzzzz_0[j] = pb_x * tg_xxxyyz_xyzzzzzz_0[j] + fr * tg_xxxyyz_xyzzzzzz_1[j] + 1.5 * fl1_fx * (tg_xxyyz_xyzzzzzz_0[j] - tg_xxyyz_xyzzzzzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xxxyyz_yzzzzzz_1[j];

                    tg_xxxxyyz_xzzzzzzz_0[j] = pb_x * tg_xxxyyz_xzzzzzzz_0[j] + fr * tg_xxxyyz_xzzzzzzz_1[j] + 1.5 * fl1_fx * (tg_xxyyz_xzzzzzzz_0[j] - tg_xxyyz_xzzzzzzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xxxyyz_zzzzzzz_1[j];

                    tg_xxxxyyz_yyyyyyyy_0[j] = pb_x * tg_xxxyyz_yyyyyyyy_0[j] + fr * tg_xxxyyz_yyyyyyyy_1[j] + 1.5 * fl1_fx * (tg_xxyyz_yyyyyyyy_0[j] - tg_xxyyz_yyyyyyyy_1[j] * fl1_fza);

                    tg_xxxxyyz_yyyyyyyz_0[j] = pb_x * tg_xxxyyz_yyyyyyyz_0[j] + fr * tg_xxxyyz_yyyyyyyz_1[j] + 1.5 * fl1_fx * (tg_xxyyz_yyyyyyyz_0[j] - tg_xxyyz_yyyyyyyz_1[j] * fl1_fza);

                    tg_xxxxyyz_yyyyyyzz_0[j] = pb_x * tg_xxxyyz_yyyyyyzz_0[j] + fr * tg_xxxyyz_yyyyyyzz_1[j] + 1.5 * fl1_fx * (tg_xxyyz_yyyyyyzz_0[j] - tg_xxyyz_yyyyyyzz_1[j] * fl1_fza);

                    tg_xxxxyyz_yyyyyzzz_0[j] = pb_x * tg_xxxyyz_yyyyyzzz_0[j] + fr * tg_xxxyyz_yyyyyzzz_1[j] + 1.5 * fl1_fx * (tg_xxyyz_yyyyyzzz_0[j] - tg_xxyyz_yyyyyzzz_1[j] * fl1_fza);

                    tg_xxxxyyz_yyyyzzzz_0[j] = pb_x * tg_xxxyyz_yyyyzzzz_0[j] + fr * tg_xxxyyz_yyyyzzzz_1[j] + 1.5 * fl1_fx * (tg_xxyyz_yyyyzzzz_0[j] - tg_xxyyz_yyyyzzzz_1[j] * fl1_fza);

                    tg_xxxxyyz_yyyzzzzz_0[j] = pb_x * tg_xxxyyz_yyyzzzzz_0[j] + fr * tg_xxxyyz_yyyzzzzz_1[j] + 1.5 * fl1_fx * (tg_xxyyz_yyyzzzzz_0[j] - tg_xxyyz_yyyzzzzz_1[j] * fl1_fza);

                    tg_xxxxyyz_yyzzzzzz_0[j] = pb_x * tg_xxxyyz_yyzzzzzz_0[j] + fr * tg_xxxyyz_yyzzzzzz_1[j] + 1.5 * fl1_fx * (tg_xxyyz_yyzzzzzz_0[j] - tg_xxyyz_yyzzzzzz_1[j] * fl1_fza);

                    tg_xxxxyyz_yzzzzzzz_0[j] = pb_x * tg_xxxyyz_yzzzzzzz_0[j] + fr * tg_xxxyyz_yzzzzzzz_1[j] + 1.5 * fl1_fx * (tg_xxyyz_yzzzzzzz_0[j] - tg_xxyyz_yzzzzzzz_1[j] * fl1_fza);

                    tg_xxxxyyz_zzzzzzzz_0[j] = pb_x * tg_xxxyyz_zzzzzzzz_0[j] + fr * tg_xxxyyz_zzzzzzzz_1[j] + 1.5 * fl1_fx * (tg_xxyyz_zzzzzzzz_0[j] - tg_xxyyz_zzzzzzzz_1[j] * fl1_fza);

                    tg_xxxxyzz_xxxxxxxx_0[j] = pb_x * tg_xxxyzz_xxxxxxxx_0[j] + fr * tg_xxxyzz_xxxxxxxx_1[j] + 1.5 * fl1_fx * (tg_xxyzz_xxxxxxxx_0[j] - tg_xxyzz_xxxxxxxx_1[j] * fl1_fza) + 4.0 * fl1_fxn * tg_xxxyzz_xxxxxxx_1[j];

                    tg_xxxxyzz_xxxxxxxy_0[j] = pb_x * tg_xxxyzz_xxxxxxxy_0[j] + fr * tg_xxxyzz_xxxxxxxy_1[j] + 1.5 * fl1_fx * (tg_xxyzz_xxxxxxxy_0[j] - tg_xxyzz_xxxxxxxy_1[j] * fl1_fza) + 3.5 * fl1_fxn * tg_xxxyzz_xxxxxxy_1[j];

                    tg_xxxxyzz_xxxxxxxz_0[j] = pb_x * tg_xxxyzz_xxxxxxxz_0[j] + fr * tg_xxxyzz_xxxxxxxz_1[j] + 1.5 * fl1_fx * (tg_xxyzz_xxxxxxxz_0[j] - tg_xxyzz_xxxxxxxz_1[j] * fl1_fza) + 3.5 * fl1_fxn * tg_xxxyzz_xxxxxxz_1[j];

                    tg_xxxxyzz_xxxxxxyy_0[j] = pb_x * tg_xxxyzz_xxxxxxyy_0[j] + fr * tg_xxxyzz_xxxxxxyy_1[j] + 1.5 * fl1_fx * (tg_xxyzz_xxxxxxyy_0[j] - tg_xxyzz_xxxxxxyy_1[j] * fl1_fza) + 3.0 * fl1_fxn * tg_xxxyzz_xxxxxyy_1[j];

                    tg_xxxxyzz_xxxxxxyz_0[j] = pb_x * tg_xxxyzz_xxxxxxyz_0[j] + fr * tg_xxxyzz_xxxxxxyz_1[j] + 1.5 * fl1_fx * (tg_xxyzz_xxxxxxyz_0[j] - tg_xxyzz_xxxxxxyz_1[j] * fl1_fza) + 3.0 * fl1_fxn * tg_xxxyzz_xxxxxyz_1[j];

                    tg_xxxxyzz_xxxxxxzz_0[j] = pb_x * tg_xxxyzz_xxxxxxzz_0[j] + fr * tg_xxxyzz_xxxxxxzz_1[j] + 1.5 * fl1_fx * (tg_xxyzz_xxxxxxzz_0[j] - tg_xxyzz_xxxxxxzz_1[j] * fl1_fza) + 3.0 * fl1_fxn * tg_xxxyzz_xxxxxzz_1[j];

                    tg_xxxxyzz_xxxxxyyy_0[j] = pb_x * tg_xxxyzz_xxxxxyyy_0[j] + fr * tg_xxxyzz_xxxxxyyy_1[j] + 1.5 * fl1_fx * (tg_xxyzz_xxxxxyyy_0[j] - tg_xxyzz_xxxxxyyy_1[j] * fl1_fza) + 2.5 * fl1_fxn * tg_xxxyzz_xxxxyyy_1[j];

                    tg_xxxxyzz_xxxxxyyz_0[j] = pb_x * tg_xxxyzz_xxxxxyyz_0[j] + fr * tg_xxxyzz_xxxxxyyz_1[j] + 1.5 * fl1_fx * (tg_xxyzz_xxxxxyyz_0[j] - tg_xxyzz_xxxxxyyz_1[j] * fl1_fza) + 2.5 * fl1_fxn * tg_xxxyzz_xxxxyyz_1[j];

                    tg_xxxxyzz_xxxxxyzz_0[j] = pb_x * tg_xxxyzz_xxxxxyzz_0[j] + fr * tg_xxxyzz_xxxxxyzz_1[j] + 1.5 * fl1_fx * (tg_xxyzz_xxxxxyzz_0[j] - tg_xxyzz_xxxxxyzz_1[j] * fl1_fza) + 2.5 * fl1_fxn * tg_xxxyzz_xxxxyzz_1[j];

                    tg_xxxxyzz_xxxxxzzz_0[j] = pb_x * tg_xxxyzz_xxxxxzzz_0[j] + fr * tg_xxxyzz_xxxxxzzz_1[j] + 1.5 * fl1_fx * (tg_xxyzz_xxxxxzzz_0[j] - tg_xxyzz_xxxxxzzz_1[j] * fl1_fza) + 2.5 * fl1_fxn * tg_xxxyzz_xxxxzzz_1[j];

                    tg_xxxxyzz_xxxxyyyy_0[j] = pb_x * tg_xxxyzz_xxxxyyyy_0[j] + fr * tg_xxxyzz_xxxxyyyy_1[j] + 1.5 * fl1_fx * (tg_xxyzz_xxxxyyyy_0[j] - tg_xxyzz_xxxxyyyy_1[j] * fl1_fza) + 2.0 * fl1_fxn * tg_xxxyzz_xxxyyyy_1[j];

                    tg_xxxxyzz_xxxxyyyz_0[j] = pb_x * tg_xxxyzz_xxxxyyyz_0[j] + fr * tg_xxxyzz_xxxxyyyz_1[j] + 1.5 * fl1_fx * (tg_xxyzz_xxxxyyyz_0[j] - tg_xxyzz_xxxxyyyz_1[j] * fl1_fza) + 2.0 * fl1_fxn * tg_xxxyzz_xxxyyyz_1[j];

                    tg_xxxxyzz_xxxxyyzz_0[j] = pb_x * tg_xxxyzz_xxxxyyzz_0[j] + fr * tg_xxxyzz_xxxxyyzz_1[j] + 1.5 * fl1_fx * (tg_xxyzz_xxxxyyzz_0[j] - tg_xxyzz_xxxxyyzz_1[j] * fl1_fza) + 2.0 * fl1_fxn * tg_xxxyzz_xxxyyzz_1[j];

                    tg_xxxxyzz_xxxxyzzz_0[j] = pb_x * tg_xxxyzz_xxxxyzzz_0[j] + fr * tg_xxxyzz_xxxxyzzz_1[j] + 1.5 * fl1_fx * (tg_xxyzz_xxxxyzzz_0[j] - tg_xxyzz_xxxxyzzz_1[j] * fl1_fza) + 2.0 * fl1_fxn * tg_xxxyzz_xxxyzzz_1[j];

                    tg_xxxxyzz_xxxxzzzz_0[j] = pb_x * tg_xxxyzz_xxxxzzzz_0[j] + fr * tg_xxxyzz_xxxxzzzz_1[j] + 1.5 * fl1_fx * (tg_xxyzz_xxxxzzzz_0[j] - tg_xxyzz_xxxxzzzz_1[j] * fl1_fza) + 2.0 * fl1_fxn * tg_xxxyzz_xxxzzzz_1[j];

                    tg_xxxxyzz_xxxyyyyy_0[j] = pb_x * tg_xxxyzz_xxxyyyyy_0[j] + fr * tg_xxxyzz_xxxyyyyy_1[j] + 1.5 * fl1_fx * (tg_xxyzz_xxxyyyyy_0[j] - tg_xxyzz_xxxyyyyy_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_xxxyzz_xxyyyyy_1[j];

                    tg_xxxxyzz_xxxyyyyz_0[j] = pb_x * tg_xxxyzz_xxxyyyyz_0[j] + fr * tg_xxxyzz_xxxyyyyz_1[j] + 1.5 * fl1_fx * (tg_xxyzz_xxxyyyyz_0[j] - tg_xxyzz_xxxyyyyz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_xxxyzz_xxyyyyz_1[j];

                    tg_xxxxyzz_xxxyyyzz_0[j] = pb_x * tg_xxxyzz_xxxyyyzz_0[j] + fr * tg_xxxyzz_xxxyyyzz_1[j] + 1.5 * fl1_fx * (tg_xxyzz_xxxyyyzz_0[j] - tg_xxyzz_xxxyyyzz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_xxxyzz_xxyyyzz_1[j];

                    tg_xxxxyzz_xxxyyzzz_0[j] = pb_x * tg_xxxyzz_xxxyyzzz_0[j] + fr * tg_xxxyzz_xxxyyzzz_1[j] + 1.5 * fl1_fx * (tg_xxyzz_xxxyyzzz_0[j] - tg_xxyzz_xxxyyzzz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_xxxyzz_xxyyzzz_1[j];

                    tg_xxxxyzz_xxxyzzzz_0[j] = pb_x * tg_xxxyzz_xxxyzzzz_0[j] + fr * tg_xxxyzz_xxxyzzzz_1[j] + 1.5 * fl1_fx * (tg_xxyzz_xxxyzzzz_0[j] - tg_xxyzz_xxxyzzzz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_xxxyzz_xxyzzzz_1[j];

                    tg_xxxxyzz_xxxzzzzz_0[j] = pb_x * tg_xxxyzz_xxxzzzzz_0[j] + fr * tg_xxxyzz_xxxzzzzz_1[j] + 1.5 * fl1_fx * (tg_xxyzz_xxxzzzzz_0[j] - tg_xxyzz_xxxzzzzz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_xxxyzz_xxzzzzz_1[j];

                    tg_xxxxyzz_xxyyyyyy_0[j] = pb_x * tg_xxxyzz_xxyyyyyy_0[j] + fr * tg_xxxyzz_xxyyyyyy_1[j] + 1.5 * fl1_fx * (tg_xxyzz_xxyyyyyy_0[j] - tg_xxyzz_xxyyyyyy_1[j] * fl1_fza) + fl1_fxn * tg_xxxyzz_xyyyyyy_1[j];

                    tg_xxxxyzz_xxyyyyyz_0[j] = pb_x * tg_xxxyzz_xxyyyyyz_0[j] + fr * tg_xxxyzz_xxyyyyyz_1[j] + 1.5 * fl1_fx * (tg_xxyzz_xxyyyyyz_0[j] - tg_xxyzz_xxyyyyyz_1[j] * fl1_fza) + fl1_fxn * tg_xxxyzz_xyyyyyz_1[j];

                    tg_xxxxyzz_xxyyyyzz_0[j] = pb_x * tg_xxxyzz_xxyyyyzz_0[j] + fr * tg_xxxyzz_xxyyyyzz_1[j] + 1.5 * fl1_fx * (tg_xxyzz_xxyyyyzz_0[j] - tg_xxyzz_xxyyyyzz_1[j] * fl1_fza) + fl1_fxn * tg_xxxyzz_xyyyyzz_1[j];
                }

                idx++;
            }
        }
    }

    void
    compElectronRepulsionForSKSL_384_480(      CMemBlock2D<double>* primBuffer,
                                         const CRecursionMap&       recursionMap,
                                         const CMemBlock2D<double>& osFactors,
                                         const CMemBlock2D<double>& wpDistances,
                                         const CGtoPairsBlock&      braGtoPairsBlock,
                                         const CGtoPairsBlock&      ketGtoPairsBlock,
                                         const int32_t              nKetPrimPairs,
                                         const int32_t              iContrPair)
    {
        // Batch of Integrals (384,480)

        // set up pointers to primitives data on bra side

        auto spos = braGtoPairsBlock.getStartPositions();

        auto epos = braGtoPairsBlock.getEndPositions();

        // set up pointers to tensor of distance R(PB) = P - B

        auto r_pb_x = braGtoPairsBlock.getDistancesPBX();

        // set up pointers to common Obara-Saika factors

        auto b_fx = braGtoPairsBlock.getFactorsOneOverXi();

        // set up maximum order of integral

        auto mord = recursionMap.getMaxOrder({"Electron Repulsion"},
                                             {7, -1, -1, -1},
                                             {8, -1, -1, -1},
                                             1, 1);

        for (int32_t iord = 0; iord <= mord; iord++)
        {
            // set up index of integral

            auto pidx_g_7_8_m0 = recursionMap.index(CRecursionTerm({"Electron Repulsion"}, 0, true, 
                                                                   {7, -1, -1, -1}, {8, -1, -1, -1}, 
                                                                   1, 1, iord));

            // check if integral is needed in recursion expansion

            if (pidx_g_7_8_m0 == -1) continue;

            // set up indexes of auxilary integral

            auto pidx_g_6_8_m0 = recursionMap.index(CRecursionTerm({"Electron Repulsion"}, 0, true, 
                                                                   {6, -1, -1, -1}, {8, -1, -1, -1}, 
                                                                   1, 1, iord));

            auto pidx_g_6_8_m1 = recursionMap.index(CRecursionTerm({"Electron Repulsion"}, 0, true, 
                                                                   {6, -1, -1, -1}, {8, -1, -1, -1}, 
                                                                   1, 1, iord + 1));

            auto pidx_g_5_8_m0 = recursionMap.index(CRecursionTerm({"Electron Repulsion"}, 0, true, 
                                                                   {5, -1, -1, -1}, {8, -1, -1, -1}, 
                                                                   1, 1, iord));

            auto pidx_g_5_8_m1 = recursionMap.index(CRecursionTerm({"Electron Repulsion"}, 0, true, 
                                                                   {5, -1, -1, -1}, {8, -1, -1, -1}, 
                                                                   1, 1, iord + 1));

            auto pidx_g_6_7_m1 = recursionMap.index(CRecursionTerm({"Electron Repulsion"}, 0, true, 
                                                                   {6, -1, -1, -1}, {7, -1, -1, -1}, 
                                                                   1, 1, iord + 1));

            // loop over contracted GTO on bra side

            int32_t idx = 0;

            for (int32_t i = spos[iContrPair]; i < epos[iContrPair]; i++)
            {
                // set up pointers to Obara-Saika factors

                double fx = b_fx[i];

                auto fza = osFactors.data(4 * idx + 2);

                auto fxn = osFactors.data(4 * idx);

                // set up distances R(PB) = P - B

                auto pb_x = r_pb_x[i];

                // set up pointers to tensors product of distances R(WP) = W - P

                auto wp_x = wpDistances.data(3 * idx);

                // set up pointers to auxilary integrals

                auto tg_xxxyzz_xxyyyzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 384); 

                auto tg_xxxyzz_xxyyzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 385); 

                auto tg_xxxyzz_xxyzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 386); 

                auto tg_xxxyzz_xxzzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 387); 

                auto tg_xxxyzz_xyyyyyyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 388); 

                auto tg_xxxyzz_xyyyyyyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 389); 

                auto tg_xxxyzz_xyyyyyzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 390); 

                auto tg_xxxyzz_xyyyyzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 391); 

                auto tg_xxxyzz_xyyyzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 392); 

                auto tg_xxxyzz_xyyzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 393); 

                auto tg_xxxyzz_xyzzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 394); 

                auto tg_xxxyzz_xzzzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 395); 

                auto tg_xxxyzz_yyyyyyyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 396); 

                auto tg_xxxyzz_yyyyyyyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 397); 

                auto tg_xxxyzz_yyyyyyzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 398); 

                auto tg_xxxyzz_yyyyyzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 399); 

                auto tg_xxxyzz_yyyyzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 400); 

                auto tg_xxxyzz_yyyzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 401); 

                auto tg_xxxyzz_yyzzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 402); 

                auto tg_xxxyzz_yzzzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 403); 

                auto tg_xxxyzz_zzzzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 404); 

                auto tg_xxxzzz_xxxxxxxx_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 405); 

                auto tg_xxxzzz_xxxxxxxy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 406); 

                auto tg_xxxzzz_xxxxxxxz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 407); 

                auto tg_xxxzzz_xxxxxxyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 408); 

                auto tg_xxxzzz_xxxxxxyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 409); 

                auto tg_xxxzzz_xxxxxxzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 410); 

                auto tg_xxxzzz_xxxxxyyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 411); 

                auto tg_xxxzzz_xxxxxyyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 412); 

                auto tg_xxxzzz_xxxxxyzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 413); 

                auto tg_xxxzzz_xxxxxzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 414); 

                auto tg_xxxzzz_xxxxyyyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 415); 

                auto tg_xxxzzz_xxxxyyyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 416); 

                auto tg_xxxzzz_xxxxyyzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 417); 

                auto tg_xxxzzz_xxxxyzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 418); 

                auto tg_xxxzzz_xxxxzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 419); 

                auto tg_xxxzzz_xxxyyyyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 420); 

                auto tg_xxxzzz_xxxyyyyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 421); 

                auto tg_xxxzzz_xxxyyyzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 422); 

                auto tg_xxxzzz_xxxyyzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 423); 

                auto tg_xxxzzz_xxxyzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 424); 

                auto tg_xxxzzz_xxxzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 425); 

                auto tg_xxxzzz_xxyyyyyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 426); 

                auto tg_xxxzzz_xxyyyyyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 427); 

                auto tg_xxxzzz_xxyyyyzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 428); 

                auto tg_xxxzzz_xxyyyzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 429); 

                auto tg_xxxzzz_xxyyzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 430); 

                auto tg_xxxzzz_xxyzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 431); 

                auto tg_xxxzzz_xxzzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 432); 

                auto tg_xxxzzz_xyyyyyyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 433); 

                auto tg_xxxzzz_xyyyyyyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 434); 

                auto tg_xxxzzz_xyyyyyzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 435); 

                auto tg_xxxzzz_xyyyyzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 436); 

                auto tg_xxxzzz_xyyyzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 437); 

                auto tg_xxxzzz_xyyzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 438); 

                auto tg_xxxzzz_xyzzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 439); 

                auto tg_xxxzzz_xzzzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 440); 

                auto tg_xxxzzz_yyyyyyyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 441); 

                auto tg_xxxzzz_yyyyyyyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 442); 

                auto tg_xxxzzz_yyyyyyzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 443); 

                auto tg_xxxzzz_yyyyyzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 444); 

                auto tg_xxxzzz_yyyyzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 445); 

                auto tg_xxxzzz_yyyzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 446); 

                auto tg_xxxzzz_yyzzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 447); 

                auto tg_xxxzzz_yzzzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 448); 

                auto tg_xxxzzz_zzzzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 449); 

                auto tg_xxyyyy_xxxxxxxx_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 450); 

                auto tg_xxyyyy_xxxxxxxy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 451); 

                auto tg_xxyyyy_xxxxxxxz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 452); 

                auto tg_xxyyyy_xxxxxxyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 453); 

                auto tg_xxyyyy_xxxxxxyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 454); 

                auto tg_xxyyyy_xxxxxxzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 455); 

                auto tg_xxyyyy_xxxxxyyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 456); 

                auto tg_xxyyyy_xxxxxyyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 457); 

                auto tg_xxyyyy_xxxxxyzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 458); 

                auto tg_xxyyyy_xxxxxzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 459); 

                auto tg_xxyyyy_xxxxyyyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 460); 

                auto tg_xxyyyy_xxxxyyyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 461); 

                auto tg_xxyyyy_xxxxyyzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 462); 

                auto tg_xxyyyy_xxxxyzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 463); 

                auto tg_xxyyyy_xxxxzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 464); 

                auto tg_xxyyyy_xxxyyyyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 465); 

                auto tg_xxyyyy_xxxyyyyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 466); 

                auto tg_xxyyyy_xxxyyyzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 467); 

                auto tg_xxyyyy_xxxyyzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 468); 

                auto tg_xxyyyy_xxxyzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 469); 

                auto tg_xxyyyy_xxxzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 470); 

                auto tg_xxyyyy_xxyyyyyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 471); 

                auto tg_xxyyyy_xxyyyyyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 472); 

                auto tg_xxyyyy_xxyyyyzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 473); 

                auto tg_xxyyyy_xxyyyzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 474); 

                auto tg_xxyyyy_xxyyzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 475); 

                auto tg_xxyyyy_xxyzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 476); 

                auto tg_xxyyyy_xxzzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 477); 

                auto tg_xxyyyy_xyyyyyyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 478); 

                auto tg_xxyyyy_xyyyyyyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 479); 

                auto tg_xxxyzz_xxyyyzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 384); 

                auto tg_xxxyzz_xxyyzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 385); 

                auto tg_xxxyzz_xxyzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 386); 

                auto tg_xxxyzz_xxzzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 387); 

                auto tg_xxxyzz_xyyyyyyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 388); 

                auto tg_xxxyzz_xyyyyyyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 389); 

                auto tg_xxxyzz_xyyyyyzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 390); 

                auto tg_xxxyzz_xyyyyzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 391); 

                auto tg_xxxyzz_xyyyzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 392); 

                auto tg_xxxyzz_xyyzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 393); 

                auto tg_xxxyzz_xyzzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 394); 

                auto tg_xxxyzz_xzzzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 395); 

                auto tg_xxxyzz_yyyyyyyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 396); 

                auto tg_xxxyzz_yyyyyyyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 397); 

                auto tg_xxxyzz_yyyyyyzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 398); 

                auto tg_xxxyzz_yyyyyzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 399); 

                auto tg_xxxyzz_yyyyzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 400); 

                auto tg_xxxyzz_yyyzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 401); 

                auto tg_xxxyzz_yyzzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 402); 

                auto tg_xxxyzz_yzzzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 403); 

                auto tg_xxxyzz_zzzzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 404); 

                auto tg_xxxzzz_xxxxxxxx_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 405); 

                auto tg_xxxzzz_xxxxxxxy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 406); 

                auto tg_xxxzzz_xxxxxxxz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 407); 

                auto tg_xxxzzz_xxxxxxyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 408); 

                auto tg_xxxzzz_xxxxxxyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 409); 

                auto tg_xxxzzz_xxxxxxzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 410); 

                auto tg_xxxzzz_xxxxxyyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 411); 

                auto tg_xxxzzz_xxxxxyyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 412); 

                auto tg_xxxzzz_xxxxxyzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 413); 

                auto tg_xxxzzz_xxxxxzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 414); 

                auto tg_xxxzzz_xxxxyyyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 415); 

                auto tg_xxxzzz_xxxxyyyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 416); 

                auto tg_xxxzzz_xxxxyyzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 417); 

                auto tg_xxxzzz_xxxxyzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 418); 

                auto tg_xxxzzz_xxxxzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 419); 

                auto tg_xxxzzz_xxxyyyyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 420); 

                auto tg_xxxzzz_xxxyyyyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 421); 

                auto tg_xxxzzz_xxxyyyzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 422); 

                auto tg_xxxzzz_xxxyyzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 423); 

                auto tg_xxxzzz_xxxyzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 424); 

                auto tg_xxxzzz_xxxzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 425); 

                auto tg_xxxzzz_xxyyyyyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 426); 

                auto tg_xxxzzz_xxyyyyyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 427); 

                auto tg_xxxzzz_xxyyyyzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 428); 

                auto tg_xxxzzz_xxyyyzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 429); 

                auto tg_xxxzzz_xxyyzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 430); 

                auto tg_xxxzzz_xxyzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 431); 

                auto tg_xxxzzz_xxzzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 432); 

                auto tg_xxxzzz_xyyyyyyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 433); 

                auto tg_xxxzzz_xyyyyyyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 434); 

                auto tg_xxxzzz_xyyyyyzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 435); 

                auto tg_xxxzzz_xyyyyzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 436); 

                auto tg_xxxzzz_xyyyzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 437); 

                auto tg_xxxzzz_xyyzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 438); 

                auto tg_xxxzzz_xyzzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 439); 

                auto tg_xxxzzz_xzzzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 440); 

                auto tg_xxxzzz_yyyyyyyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 441); 

                auto tg_xxxzzz_yyyyyyyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 442); 

                auto tg_xxxzzz_yyyyyyzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 443); 

                auto tg_xxxzzz_yyyyyzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 444); 

                auto tg_xxxzzz_yyyyzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 445); 

                auto tg_xxxzzz_yyyzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 446); 

                auto tg_xxxzzz_yyzzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 447); 

                auto tg_xxxzzz_yzzzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 448); 

                auto tg_xxxzzz_zzzzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 449); 

                auto tg_xxyyyy_xxxxxxxx_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 450); 

                auto tg_xxyyyy_xxxxxxxy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 451); 

                auto tg_xxyyyy_xxxxxxxz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 452); 

                auto tg_xxyyyy_xxxxxxyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 453); 

                auto tg_xxyyyy_xxxxxxyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 454); 

                auto tg_xxyyyy_xxxxxxzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 455); 

                auto tg_xxyyyy_xxxxxyyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 456); 

                auto tg_xxyyyy_xxxxxyyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 457); 

                auto tg_xxyyyy_xxxxxyzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 458); 

                auto tg_xxyyyy_xxxxxzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 459); 

                auto tg_xxyyyy_xxxxyyyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 460); 

                auto tg_xxyyyy_xxxxyyyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 461); 

                auto tg_xxyyyy_xxxxyyzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 462); 

                auto tg_xxyyyy_xxxxyzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 463); 

                auto tg_xxyyyy_xxxxzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 464); 

                auto tg_xxyyyy_xxxyyyyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 465); 

                auto tg_xxyyyy_xxxyyyyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 466); 

                auto tg_xxyyyy_xxxyyyzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 467); 

                auto tg_xxyyyy_xxxyyzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 468); 

                auto tg_xxyyyy_xxxyzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 469); 

                auto tg_xxyyyy_xxxzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 470); 

                auto tg_xxyyyy_xxyyyyyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 471); 

                auto tg_xxyyyy_xxyyyyyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 472); 

                auto tg_xxyyyy_xxyyyyzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 473); 

                auto tg_xxyyyy_xxyyyzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 474); 

                auto tg_xxyyyy_xxyyzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 475); 

                auto tg_xxyyyy_xxyzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 476); 

                auto tg_xxyyyy_xxzzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 477); 

                auto tg_xxyyyy_xyyyyyyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 478); 

                auto tg_xxyyyy_xyyyyyyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 479); 

                auto tg_xxyzz_xxyyyzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 384); 

                auto tg_xxyzz_xxyyzzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 385); 

                auto tg_xxyzz_xxyzzzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 386); 

                auto tg_xxyzz_xxzzzzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 387); 

                auto tg_xxyzz_xyyyyyyy_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 388); 

                auto tg_xxyzz_xyyyyyyz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 389); 

                auto tg_xxyzz_xyyyyyzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 390); 

                auto tg_xxyzz_xyyyyzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 391); 

                auto tg_xxyzz_xyyyzzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 392); 

                auto tg_xxyzz_xyyzzzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 393); 

                auto tg_xxyzz_xyzzzzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 394); 

                auto tg_xxyzz_xzzzzzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 395); 

                auto tg_xxyzz_yyyyyyyy_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 396); 

                auto tg_xxyzz_yyyyyyyz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 397); 

                auto tg_xxyzz_yyyyyyzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 398); 

                auto tg_xxyzz_yyyyyzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 399); 

                auto tg_xxyzz_yyyyzzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 400); 

                auto tg_xxyzz_yyyzzzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 401); 

                auto tg_xxyzz_yyzzzzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 402); 

                auto tg_xxyzz_yzzzzzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 403); 

                auto tg_xxyzz_zzzzzzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 404); 

                auto tg_xxzzz_xxxxxxxx_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 405); 

                auto tg_xxzzz_xxxxxxxy_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 406); 

                auto tg_xxzzz_xxxxxxxz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 407); 

                auto tg_xxzzz_xxxxxxyy_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 408); 

                auto tg_xxzzz_xxxxxxyz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 409); 

                auto tg_xxzzz_xxxxxxzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 410); 

                auto tg_xxzzz_xxxxxyyy_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 411); 

                auto tg_xxzzz_xxxxxyyz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 412); 

                auto tg_xxzzz_xxxxxyzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 413); 

                auto tg_xxzzz_xxxxxzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 414); 

                auto tg_xxzzz_xxxxyyyy_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 415); 

                auto tg_xxzzz_xxxxyyyz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 416); 

                auto tg_xxzzz_xxxxyyzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 417); 

                auto tg_xxzzz_xxxxyzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 418); 

                auto tg_xxzzz_xxxxzzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 419); 

                auto tg_xxzzz_xxxyyyyy_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 420); 

                auto tg_xxzzz_xxxyyyyz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 421); 

                auto tg_xxzzz_xxxyyyzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 422); 

                auto tg_xxzzz_xxxyyzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 423); 

                auto tg_xxzzz_xxxyzzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 424); 

                auto tg_xxzzz_xxxzzzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 425); 

                auto tg_xxzzz_xxyyyyyy_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 426); 

                auto tg_xxzzz_xxyyyyyz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 427); 

                auto tg_xxzzz_xxyyyyzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 428); 

                auto tg_xxzzz_xxyyyzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 429); 

                auto tg_xxzzz_xxyyzzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 430); 

                auto tg_xxzzz_xxyzzzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 431); 

                auto tg_xxzzz_xxzzzzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 432); 

                auto tg_xxzzz_xyyyyyyy_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 433); 

                auto tg_xxzzz_xyyyyyyz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 434); 

                auto tg_xxzzz_xyyyyyzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 435); 

                auto tg_xxzzz_xyyyyzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 436); 

                auto tg_xxzzz_xyyyzzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 437); 

                auto tg_xxzzz_xyyzzzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 438); 

                auto tg_xxzzz_xyzzzzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 439); 

                auto tg_xxzzz_xzzzzzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 440); 

                auto tg_xxzzz_yyyyyyyy_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 441); 

                auto tg_xxzzz_yyyyyyyz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 442); 

                auto tg_xxzzz_yyyyyyzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 443); 

                auto tg_xxzzz_yyyyyzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 444); 

                auto tg_xxzzz_yyyyzzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 445); 

                auto tg_xxzzz_yyyzzzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 446); 

                auto tg_xxzzz_yyzzzzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 447); 

                auto tg_xxzzz_yzzzzzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 448); 

                auto tg_xxzzz_zzzzzzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 449); 

                auto tg_xyyyy_xxxxxxxx_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 450); 

                auto tg_xyyyy_xxxxxxxy_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 451); 

                auto tg_xyyyy_xxxxxxxz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 452); 

                auto tg_xyyyy_xxxxxxyy_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 453); 

                auto tg_xyyyy_xxxxxxyz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 454); 

                auto tg_xyyyy_xxxxxxzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 455); 

                auto tg_xyyyy_xxxxxyyy_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 456); 

                auto tg_xyyyy_xxxxxyyz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 457); 

                auto tg_xyyyy_xxxxxyzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 458); 

                auto tg_xyyyy_xxxxxzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 459); 

                auto tg_xyyyy_xxxxyyyy_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 460); 

                auto tg_xyyyy_xxxxyyyz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 461); 

                auto tg_xyyyy_xxxxyyzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 462); 

                auto tg_xyyyy_xxxxyzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 463); 

                auto tg_xyyyy_xxxxzzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 464); 

                auto tg_xyyyy_xxxyyyyy_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 465); 

                auto tg_xyyyy_xxxyyyyz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 466); 

                auto tg_xyyyy_xxxyyyzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 467); 

                auto tg_xyyyy_xxxyyzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 468); 

                auto tg_xyyyy_xxxyzzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 469); 

                auto tg_xyyyy_xxxzzzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 470); 

                auto tg_xyyyy_xxyyyyyy_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 471); 

                auto tg_xyyyy_xxyyyyyz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 472); 

                auto tg_xyyyy_xxyyyyzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 473); 

                auto tg_xyyyy_xxyyyzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 474); 

                auto tg_xyyyy_xxyyzzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 475); 

                auto tg_xyyyy_xxyzzzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 476); 

                auto tg_xyyyy_xxzzzzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 477); 

                auto tg_xyyyy_xyyyyyyy_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 478); 

                auto tg_xyyyy_xyyyyyyz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 479); 

                auto tg_xxyzz_xxyyyzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 384); 

                auto tg_xxyzz_xxyyzzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 385); 

                auto tg_xxyzz_xxyzzzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 386); 

                auto tg_xxyzz_xxzzzzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 387); 

                auto tg_xxyzz_xyyyyyyy_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 388); 

                auto tg_xxyzz_xyyyyyyz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 389); 

                auto tg_xxyzz_xyyyyyzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 390); 

                auto tg_xxyzz_xyyyyzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 391); 

                auto tg_xxyzz_xyyyzzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 392); 

                auto tg_xxyzz_xyyzzzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 393); 

                auto tg_xxyzz_xyzzzzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 394); 

                auto tg_xxyzz_xzzzzzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 395); 

                auto tg_xxyzz_yyyyyyyy_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 396); 

                auto tg_xxyzz_yyyyyyyz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 397); 

                auto tg_xxyzz_yyyyyyzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 398); 

                auto tg_xxyzz_yyyyyzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 399); 

                auto tg_xxyzz_yyyyzzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 400); 

                auto tg_xxyzz_yyyzzzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 401); 

                auto tg_xxyzz_yyzzzzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 402); 

                auto tg_xxyzz_yzzzzzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 403); 

                auto tg_xxyzz_zzzzzzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 404); 

                auto tg_xxzzz_xxxxxxxx_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 405); 

                auto tg_xxzzz_xxxxxxxy_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 406); 

                auto tg_xxzzz_xxxxxxxz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 407); 

                auto tg_xxzzz_xxxxxxyy_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 408); 

                auto tg_xxzzz_xxxxxxyz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 409); 

                auto tg_xxzzz_xxxxxxzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 410); 

                auto tg_xxzzz_xxxxxyyy_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 411); 

                auto tg_xxzzz_xxxxxyyz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 412); 

                auto tg_xxzzz_xxxxxyzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 413); 

                auto tg_xxzzz_xxxxxzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 414); 

                auto tg_xxzzz_xxxxyyyy_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 415); 

                auto tg_xxzzz_xxxxyyyz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 416); 

                auto tg_xxzzz_xxxxyyzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 417); 

                auto tg_xxzzz_xxxxyzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 418); 

                auto tg_xxzzz_xxxxzzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 419); 

                auto tg_xxzzz_xxxyyyyy_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 420); 

                auto tg_xxzzz_xxxyyyyz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 421); 

                auto tg_xxzzz_xxxyyyzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 422); 

                auto tg_xxzzz_xxxyyzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 423); 

                auto tg_xxzzz_xxxyzzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 424); 

                auto tg_xxzzz_xxxzzzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 425); 

                auto tg_xxzzz_xxyyyyyy_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 426); 

                auto tg_xxzzz_xxyyyyyz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 427); 

                auto tg_xxzzz_xxyyyyzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 428); 

                auto tg_xxzzz_xxyyyzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 429); 

                auto tg_xxzzz_xxyyzzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 430); 

                auto tg_xxzzz_xxyzzzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 431); 

                auto tg_xxzzz_xxzzzzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 432); 

                auto tg_xxzzz_xyyyyyyy_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 433); 

                auto tg_xxzzz_xyyyyyyz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 434); 

                auto tg_xxzzz_xyyyyyzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 435); 

                auto tg_xxzzz_xyyyyzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 436); 

                auto tg_xxzzz_xyyyzzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 437); 

                auto tg_xxzzz_xyyzzzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 438); 

                auto tg_xxzzz_xyzzzzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 439); 

                auto tg_xxzzz_xzzzzzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 440); 

                auto tg_xxzzz_yyyyyyyy_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 441); 

                auto tg_xxzzz_yyyyyyyz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 442); 

                auto tg_xxzzz_yyyyyyzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 443); 

                auto tg_xxzzz_yyyyyzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 444); 

                auto tg_xxzzz_yyyyzzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 445); 

                auto tg_xxzzz_yyyzzzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 446); 

                auto tg_xxzzz_yyzzzzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 447); 

                auto tg_xxzzz_yzzzzzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 448); 

                auto tg_xxzzz_zzzzzzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 449); 

                auto tg_xyyyy_xxxxxxxx_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 450); 

                auto tg_xyyyy_xxxxxxxy_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 451); 

                auto tg_xyyyy_xxxxxxxz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 452); 

                auto tg_xyyyy_xxxxxxyy_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 453); 

                auto tg_xyyyy_xxxxxxyz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 454); 

                auto tg_xyyyy_xxxxxxzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 455); 

                auto tg_xyyyy_xxxxxyyy_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 456); 

                auto tg_xyyyy_xxxxxyyz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 457); 

                auto tg_xyyyy_xxxxxyzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 458); 

                auto tg_xyyyy_xxxxxzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 459); 

                auto tg_xyyyy_xxxxyyyy_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 460); 

                auto tg_xyyyy_xxxxyyyz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 461); 

                auto tg_xyyyy_xxxxyyzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 462); 

                auto tg_xyyyy_xxxxyzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 463); 

                auto tg_xyyyy_xxxxzzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 464); 

                auto tg_xyyyy_xxxyyyyy_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 465); 

                auto tg_xyyyy_xxxyyyyz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 466); 

                auto tg_xyyyy_xxxyyyzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 467); 

                auto tg_xyyyy_xxxyyzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 468); 

                auto tg_xyyyy_xxxyzzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 469); 

                auto tg_xyyyy_xxxzzzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 470); 

                auto tg_xyyyy_xxyyyyyy_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 471); 

                auto tg_xyyyy_xxyyyyyz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 472); 

                auto tg_xyyyy_xxyyyyzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 473); 

                auto tg_xyyyy_xxyyyzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 474); 

                auto tg_xyyyy_xxyyzzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 475); 

                auto tg_xyyyy_xxyzzzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 476); 

                auto tg_xyyyy_xxzzzzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 477); 

                auto tg_xyyyy_xyyyyyyy_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 478); 

                auto tg_xyyyy_xyyyyyyz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 479); 

                auto tg_xxxyzz_xyyyzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 312); 

                auto tg_xxxyzz_xyyzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 313); 

                auto tg_xxxyzz_xyzzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 314); 

                auto tg_xxxyzz_xzzzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 315); 

                auto tg_xxxyzz_yyyyyyy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 316); 

                auto tg_xxxyzz_yyyyyyz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 317); 

                auto tg_xxxyzz_yyyyyzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 318); 

                auto tg_xxxyzz_yyyyzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 319); 

                auto tg_xxxyzz_yyyzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 320); 

                auto tg_xxxyzz_yyzzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 321); 

                auto tg_xxxyzz_yzzzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 322); 

                auto tg_xxxyzz_zzzzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 323); 

                auto tg_xxxzzz_xxxxxxx_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 324); 

                auto tg_xxxzzz_xxxxxxy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 325); 

                auto tg_xxxzzz_xxxxxxz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 326); 

                auto tg_xxxzzz_xxxxxyy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 327); 

                auto tg_xxxzzz_xxxxxyz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 328); 

                auto tg_xxxzzz_xxxxxzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 329); 

                auto tg_xxxzzz_xxxxyyy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 330); 

                auto tg_xxxzzz_xxxxyyz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 331); 

                auto tg_xxxzzz_xxxxyzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 332); 

                auto tg_xxxzzz_xxxxzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 333); 

                auto tg_xxxzzz_xxxyyyy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 334); 

                auto tg_xxxzzz_xxxyyyz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 335); 

                auto tg_xxxzzz_xxxyyzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 336); 

                auto tg_xxxzzz_xxxyzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 337); 

                auto tg_xxxzzz_xxxzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 338); 

                auto tg_xxxzzz_xxyyyyy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 339); 

                auto tg_xxxzzz_xxyyyyz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 340); 

                auto tg_xxxzzz_xxyyyzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 341); 

                auto tg_xxxzzz_xxyyzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 342); 

                auto tg_xxxzzz_xxyzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 343); 

                auto tg_xxxzzz_xxzzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 344); 

                auto tg_xxxzzz_xyyyyyy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 345); 

                auto tg_xxxzzz_xyyyyyz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 346); 

                auto tg_xxxzzz_xyyyyzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 347); 

                auto tg_xxxzzz_xyyyzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 348); 

                auto tg_xxxzzz_xyyzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 349); 

                auto tg_xxxzzz_xyzzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 350); 

                auto tg_xxxzzz_xzzzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 351); 

                auto tg_xxxzzz_yyyyyyy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 352); 

                auto tg_xxxzzz_yyyyyyz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 353); 

                auto tg_xxxzzz_yyyyyzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 354); 

                auto tg_xxxzzz_yyyyzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 355); 

                auto tg_xxxzzz_yyyzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 356); 

                auto tg_xxxzzz_yyzzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 357); 

                auto tg_xxxzzz_yzzzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 358); 

                auto tg_xxxzzz_zzzzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 359); 

                auto tg_xxyyyy_xxxxxxx_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 360); 

                auto tg_xxyyyy_xxxxxxy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 361); 

                auto tg_xxyyyy_xxxxxxz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 362); 

                auto tg_xxyyyy_xxxxxyy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 363); 

                auto tg_xxyyyy_xxxxxyz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 364); 

                auto tg_xxyyyy_xxxxxzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 365); 

                auto tg_xxyyyy_xxxxyyy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 366); 

                auto tg_xxyyyy_xxxxyyz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 367); 

                auto tg_xxyyyy_xxxxyzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 368); 

                auto tg_xxyyyy_xxxxzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 369); 

                auto tg_xxyyyy_xxxyyyy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 370); 

                auto tg_xxyyyy_xxxyyyz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 371); 

                auto tg_xxyyyy_xxxyyzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 372); 

                auto tg_xxyyyy_xxxyzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 373); 

                auto tg_xxyyyy_xxxzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 374); 

                auto tg_xxyyyy_xxyyyyy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 375); 

                auto tg_xxyyyy_xxyyyyz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 376); 

                auto tg_xxyyyy_xxyyyzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 377); 

                auto tg_xxyyyy_xxyyzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 378); 

                auto tg_xxyyyy_xxyzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 379); 

                auto tg_xxyyyy_xxzzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 380); 

                auto tg_xxyyyy_xyyyyyy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 381); 

                auto tg_xxyyyy_xyyyyyz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 382); 

                auto tg_xxyyyy_xyyyyzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 383); 

                auto tg_xxyyyy_xyyyzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 384); 

                auto tg_xxyyyy_xyyzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 385); 

                auto tg_xxyyyy_xyzzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 386); 

                auto tg_xxyyyy_xzzzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 387); 

                auto tg_xxyyyy_yyyyyyy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 388); 

                auto tg_xxyyyy_yyyyyyz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 389); 

                // set up pointers to integrals

                auto tg_xxxxyzz_xxyyyzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 384); 

                auto tg_xxxxyzz_xxyyzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 385); 

                auto tg_xxxxyzz_xxyzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 386); 

                auto tg_xxxxyzz_xxzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 387); 

                auto tg_xxxxyzz_xyyyyyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 388); 

                auto tg_xxxxyzz_xyyyyyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 389); 

                auto tg_xxxxyzz_xyyyyyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 390); 

                auto tg_xxxxyzz_xyyyyzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 391); 

                auto tg_xxxxyzz_xyyyzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 392); 

                auto tg_xxxxyzz_xyyzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 393); 

                auto tg_xxxxyzz_xyzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 394); 

                auto tg_xxxxyzz_xzzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 395); 

                auto tg_xxxxyzz_yyyyyyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 396); 

                auto tg_xxxxyzz_yyyyyyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 397); 

                auto tg_xxxxyzz_yyyyyyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 398); 

                auto tg_xxxxyzz_yyyyyzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 399); 

                auto tg_xxxxyzz_yyyyzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 400); 

                auto tg_xxxxyzz_yyyzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 401); 

                auto tg_xxxxyzz_yyzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 402); 

                auto tg_xxxxyzz_yzzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 403); 

                auto tg_xxxxyzz_zzzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 404); 

                auto tg_xxxxzzz_xxxxxxxx_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 405); 

                auto tg_xxxxzzz_xxxxxxxy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 406); 

                auto tg_xxxxzzz_xxxxxxxz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 407); 

                auto tg_xxxxzzz_xxxxxxyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 408); 

                auto tg_xxxxzzz_xxxxxxyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 409); 

                auto tg_xxxxzzz_xxxxxxzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 410); 

                auto tg_xxxxzzz_xxxxxyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 411); 

                auto tg_xxxxzzz_xxxxxyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 412); 

                auto tg_xxxxzzz_xxxxxyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 413); 

                auto tg_xxxxzzz_xxxxxzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 414); 

                auto tg_xxxxzzz_xxxxyyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 415); 

                auto tg_xxxxzzz_xxxxyyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 416); 

                auto tg_xxxxzzz_xxxxyyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 417); 

                auto tg_xxxxzzz_xxxxyzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 418); 

                auto tg_xxxxzzz_xxxxzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 419); 

                auto tg_xxxxzzz_xxxyyyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 420); 

                auto tg_xxxxzzz_xxxyyyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 421); 

                auto tg_xxxxzzz_xxxyyyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 422); 

                auto tg_xxxxzzz_xxxyyzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 423); 

                auto tg_xxxxzzz_xxxyzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 424); 

                auto tg_xxxxzzz_xxxzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 425); 

                auto tg_xxxxzzz_xxyyyyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 426); 

                auto tg_xxxxzzz_xxyyyyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 427); 

                auto tg_xxxxzzz_xxyyyyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 428); 

                auto tg_xxxxzzz_xxyyyzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 429); 

                auto tg_xxxxzzz_xxyyzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 430); 

                auto tg_xxxxzzz_xxyzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 431); 

                auto tg_xxxxzzz_xxzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 432); 

                auto tg_xxxxzzz_xyyyyyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 433); 

                auto tg_xxxxzzz_xyyyyyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 434); 

                auto tg_xxxxzzz_xyyyyyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 435); 

                auto tg_xxxxzzz_xyyyyzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 436); 

                auto tg_xxxxzzz_xyyyzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 437); 

                auto tg_xxxxzzz_xyyzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 438); 

                auto tg_xxxxzzz_xyzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 439); 

                auto tg_xxxxzzz_xzzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 440); 

                auto tg_xxxxzzz_yyyyyyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 441); 

                auto tg_xxxxzzz_yyyyyyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 442); 

                auto tg_xxxxzzz_yyyyyyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 443); 

                auto tg_xxxxzzz_yyyyyzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 444); 

                auto tg_xxxxzzz_yyyyzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 445); 

                auto tg_xxxxzzz_yyyzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 446); 

                auto tg_xxxxzzz_yyzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 447); 

                auto tg_xxxxzzz_yzzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 448); 

                auto tg_xxxxzzz_zzzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 449); 

                auto tg_xxxyyyy_xxxxxxxx_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 450); 

                auto tg_xxxyyyy_xxxxxxxy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 451); 

                auto tg_xxxyyyy_xxxxxxxz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 452); 

                auto tg_xxxyyyy_xxxxxxyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 453); 

                auto tg_xxxyyyy_xxxxxxyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 454); 

                auto tg_xxxyyyy_xxxxxxzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 455); 

                auto tg_xxxyyyy_xxxxxyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 456); 

                auto tg_xxxyyyy_xxxxxyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 457); 

                auto tg_xxxyyyy_xxxxxyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 458); 

                auto tg_xxxyyyy_xxxxxzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 459); 

                auto tg_xxxyyyy_xxxxyyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 460); 

                auto tg_xxxyyyy_xxxxyyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 461); 

                auto tg_xxxyyyy_xxxxyyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 462); 

                auto tg_xxxyyyy_xxxxyzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 463); 

                auto tg_xxxyyyy_xxxxzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 464); 

                auto tg_xxxyyyy_xxxyyyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 465); 

                auto tg_xxxyyyy_xxxyyyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 466); 

                auto tg_xxxyyyy_xxxyyyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 467); 

                auto tg_xxxyyyy_xxxyyzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 468); 

                auto tg_xxxyyyy_xxxyzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 469); 

                auto tg_xxxyyyy_xxxzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 470); 

                auto tg_xxxyyyy_xxyyyyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 471); 

                auto tg_xxxyyyy_xxyyyyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 472); 

                auto tg_xxxyyyy_xxyyyyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 473); 

                auto tg_xxxyyyy_xxyyyzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 474); 

                auto tg_xxxyyyy_xxyyzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 475); 

                auto tg_xxxyyyy_xxyzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 476); 

                auto tg_xxxyyyy_xxzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 477); 

                auto tg_xxxyyyy_xyyyyyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 478); 

                auto tg_xxxyyyy_xyyyyyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 479); 

                // Batch of Integrals (384,480)

                #pragma omp simd aligned(fxn, fza, tg_xxxxyzz_xxyyyzzz_0, tg_xxxxyzz_xxyyzzzz_0, \
                                         tg_xxxxyzz_xxyzzzzz_0, tg_xxxxyzz_xxzzzzzz_0, tg_xxxxyzz_xyyyyyyy_0, \
                                         tg_xxxxyzz_xyyyyyyz_0, tg_xxxxyzz_xyyyyyzz_0, tg_xxxxyzz_xyyyyzzz_0, \
                                         tg_xxxxyzz_xyyyzzzz_0, tg_xxxxyzz_xyyzzzzz_0, tg_xxxxyzz_xyzzzzzz_0, \
                                         tg_xxxxyzz_xzzzzzzz_0, tg_xxxxyzz_yyyyyyyy_0, tg_xxxxyzz_yyyyyyyz_0, \
                                         tg_xxxxyzz_yyyyyyzz_0, tg_xxxxyzz_yyyyyzzz_0, tg_xxxxyzz_yyyyzzzz_0, \
                                         tg_xxxxyzz_yyyzzzzz_0, tg_xxxxyzz_yyzzzzzz_0, tg_xxxxyzz_yzzzzzzz_0, \
                                         tg_xxxxyzz_zzzzzzzz_0, tg_xxxxzzz_xxxxxxxx_0, tg_xxxxzzz_xxxxxxxy_0, \
                                         tg_xxxxzzz_xxxxxxxz_0, tg_xxxxzzz_xxxxxxyy_0, tg_xxxxzzz_xxxxxxyz_0, \
                                         tg_xxxxzzz_xxxxxxzz_0, tg_xxxxzzz_xxxxxyyy_0, tg_xxxxzzz_xxxxxyyz_0, \
                                         tg_xxxxzzz_xxxxxyzz_0, tg_xxxxzzz_xxxxxzzz_0, tg_xxxxzzz_xxxxyyyy_0, \
                                         tg_xxxxzzz_xxxxyyyz_0, tg_xxxxzzz_xxxxyyzz_0, tg_xxxxzzz_xxxxyzzz_0, \
                                         tg_xxxxzzz_xxxxzzzz_0, tg_xxxxzzz_xxxyyyyy_0, tg_xxxxzzz_xxxyyyyz_0, \
                                         tg_xxxxzzz_xxxyyyzz_0, tg_xxxxzzz_xxxyyzzz_0, tg_xxxxzzz_xxxyzzzz_0, \
                                         tg_xxxxzzz_xxxzzzzz_0, tg_xxxxzzz_xxyyyyyy_0, tg_xxxxzzz_xxyyyyyz_0, \
                                         tg_xxxxzzz_xxyyyyzz_0, tg_xxxxzzz_xxyyyzzz_0, tg_xxxxzzz_xxyyzzzz_0, \
                                         tg_xxxxzzz_xxyzzzzz_0, tg_xxxxzzz_xxzzzzzz_0, tg_xxxxzzz_xyyyyyyy_0, \
                                         tg_xxxxzzz_xyyyyyyz_0, tg_xxxxzzz_xyyyyyzz_0, tg_xxxxzzz_xyyyyzzz_0, \
                                         tg_xxxxzzz_xyyyzzzz_0, tg_xxxxzzz_xyyzzzzz_0, tg_xxxxzzz_xyzzzzzz_0, \
                                         tg_xxxxzzz_xzzzzzzz_0, tg_xxxxzzz_yyyyyyyy_0, tg_xxxxzzz_yyyyyyyz_0, \
                                         tg_xxxxzzz_yyyyyyzz_0, tg_xxxxzzz_yyyyyzzz_0, tg_xxxxzzz_yyyyzzzz_0, \
                                         tg_xxxxzzz_yyyzzzzz_0, tg_xxxxzzz_yyzzzzzz_0, tg_xxxxzzz_yzzzzzzz_0, \
                                         tg_xxxxzzz_zzzzzzzz_0, tg_xxxyyyy_xxxxxxxx_0, tg_xxxyyyy_xxxxxxxy_0, \
                                         tg_xxxyyyy_xxxxxxxz_0, tg_xxxyyyy_xxxxxxyy_0, tg_xxxyyyy_xxxxxxyz_0, \
                                         tg_xxxyyyy_xxxxxxzz_0, tg_xxxyyyy_xxxxxyyy_0, tg_xxxyyyy_xxxxxyyz_0, \
                                         tg_xxxyyyy_xxxxxyzz_0, tg_xxxyyyy_xxxxxzzz_0, tg_xxxyyyy_xxxxyyyy_0, \
                                         tg_xxxyyyy_xxxxyyyz_0, tg_xxxyyyy_xxxxyyzz_0, tg_xxxyyyy_xxxxyzzz_0, \
                                         tg_xxxyyyy_xxxxzzzz_0, tg_xxxyyyy_xxxyyyyy_0, tg_xxxyyyy_xxxyyyyz_0, \
                                         tg_xxxyyyy_xxxyyyzz_0, tg_xxxyyyy_xxxyyzzz_0, tg_xxxyyyy_xxxyzzzz_0, \
                                         tg_xxxyyyy_xxxzzzzz_0, tg_xxxyyyy_xxyyyyyy_0, tg_xxxyyyy_xxyyyyyz_0, \
                                         tg_xxxyyyy_xxyyyyzz_0, tg_xxxyyyy_xxyyyzzz_0, tg_xxxyyyy_xxyyzzzz_0, \
                                         tg_xxxyyyy_xxyzzzzz_0, tg_xxxyyyy_xxzzzzzz_0, tg_xxxyyyy_xyyyyyyy_0, \
                                         tg_xxxyyyy_xyyyyyyz_0, tg_xxxyzz_xxyyyzzz_0, tg_xxxyzz_xxyyyzzz_1, tg_xxxyzz_xxyyzzzz_0, \
                                         tg_xxxyzz_xxyyzzzz_1, tg_xxxyzz_xxyzzzzz_0, tg_xxxyzz_xxyzzzzz_1, tg_xxxyzz_xxzzzzzz_0, \
                                         tg_xxxyzz_xxzzzzzz_1, tg_xxxyzz_xyyyyyyy_0, tg_xxxyzz_xyyyyyyy_1, tg_xxxyzz_xyyyyyyz_0, \
                                         tg_xxxyzz_xyyyyyyz_1, tg_xxxyzz_xyyyyyzz_0, tg_xxxyzz_xyyyyyzz_1, tg_xxxyzz_xyyyyzzz_0, \
                                         tg_xxxyzz_xyyyyzzz_1, tg_xxxyzz_xyyyzzz_1, tg_xxxyzz_xyyyzzzz_0, tg_xxxyzz_xyyyzzzz_1, \
                                         tg_xxxyzz_xyyzzzz_1, tg_xxxyzz_xyyzzzzz_0, tg_xxxyzz_xyyzzzzz_1, tg_xxxyzz_xyzzzzz_1, \
                                         tg_xxxyzz_xyzzzzzz_0, tg_xxxyzz_xyzzzzzz_1, tg_xxxyzz_xzzzzzz_1, tg_xxxyzz_xzzzzzzz_0, \
                                         tg_xxxyzz_xzzzzzzz_1, tg_xxxyzz_yyyyyyy_1, tg_xxxyzz_yyyyyyyy_0, tg_xxxyzz_yyyyyyyy_1, \
                                         tg_xxxyzz_yyyyyyyz_0, tg_xxxyzz_yyyyyyyz_1, tg_xxxyzz_yyyyyyz_1, tg_xxxyzz_yyyyyyzz_0, \
                                         tg_xxxyzz_yyyyyyzz_1, tg_xxxyzz_yyyyyzz_1, tg_xxxyzz_yyyyyzzz_0, tg_xxxyzz_yyyyyzzz_1, \
                                         tg_xxxyzz_yyyyzzz_1, tg_xxxyzz_yyyyzzzz_0, tg_xxxyzz_yyyyzzzz_1, tg_xxxyzz_yyyzzzz_1, \
                                         tg_xxxyzz_yyyzzzzz_0, tg_xxxyzz_yyyzzzzz_1, tg_xxxyzz_yyzzzzz_1, tg_xxxyzz_yyzzzzzz_0, \
                                         tg_xxxyzz_yyzzzzzz_1, tg_xxxyzz_yzzzzzz_1, tg_xxxyzz_yzzzzzzz_0, tg_xxxyzz_yzzzzzzz_1, \
                                         tg_xxxyzz_zzzzzzz_1, tg_xxxyzz_zzzzzzzz_0, tg_xxxyzz_zzzzzzzz_1, tg_xxxzzz_xxxxxxx_1, \
                                         tg_xxxzzz_xxxxxxxx_0, tg_xxxzzz_xxxxxxxx_1, tg_xxxzzz_xxxxxxxy_0, tg_xxxzzz_xxxxxxxy_1, \
                                         tg_xxxzzz_xxxxxxxz_0, tg_xxxzzz_xxxxxxxz_1, tg_xxxzzz_xxxxxxy_1, tg_xxxzzz_xxxxxxyy_0, \
                                         tg_xxxzzz_xxxxxxyy_1, tg_xxxzzz_xxxxxxyz_0, tg_xxxzzz_xxxxxxyz_1, tg_xxxzzz_xxxxxxz_1, \
                                         tg_xxxzzz_xxxxxxzz_0, tg_xxxzzz_xxxxxxzz_1, tg_xxxzzz_xxxxxyy_1, tg_xxxzzz_xxxxxyyy_0, \
                                         tg_xxxzzz_xxxxxyyy_1, tg_xxxzzz_xxxxxyyz_0, tg_xxxzzz_xxxxxyyz_1, tg_xxxzzz_xxxxxyz_1, \
                                         tg_xxxzzz_xxxxxyzz_0, tg_xxxzzz_xxxxxyzz_1, tg_xxxzzz_xxxxxzz_1, tg_xxxzzz_xxxxxzzz_0, \
                                         tg_xxxzzz_xxxxxzzz_1, tg_xxxzzz_xxxxyyy_1, tg_xxxzzz_xxxxyyyy_0, tg_xxxzzz_xxxxyyyy_1, \
                                         tg_xxxzzz_xxxxyyyz_0, tg_xxxzzz_xxxxyyyz_1, tg_xxxzzz_xxxxyyz_1, tg_xxxzzz_xxxxyyzz_0, \
                                         tg_xxxzzz_xxxxyyzz_1, tg_xxxzzz_xxxxyzz_1, tg_xxxzzz_xxxxyzzz_0, tg_xxxzzz_xxxxyzzz_1, \
                                         tg_xxxzzz_xxxxzzz_1, tg_xxxzzz_xxxxzzzz_0, tg_xxxzzz_xxxxzzzz_1, tg_xxxzzz_xxxyyyy_1, \
                                         tg_xxxzzz_xxxyyyyy_0, tg_xxxzzz_xxxyyyyy_1, tg_xxxzzz_xxxyyyyz_0, tg_xxxzzz_xxxyyyyz_1, \
                                         tg_xxxzzz_xxxyyyz_1, tg_xxxzzz_xxxyyyzz_0, tg_xxxzzz_xxxyyyzz_1, tg_xxxzzz_xxxyyzz_1, \
                                         tg_xxxzzz_xxxyyzzz_0, tg_xxxzzz_xxxyyzzz_1, tg_xxxzzz_xxxyzzz_1, tg_xxxzzz_xxxyzzzz_0, \
                                         tg_xxxzzz_xxxyzzzz_1, tg_xxxzzz_xxxzzzz_1, tg_xxxzzz_xxxzzzzz_0, tg_xxxzzz_xxxzzzzz_1, \
                                         tg_xxxzzz_xxyyyyy_1, tg_xxxzzz_xxyyyyyy_0, tg_xxxzzz_xxyyyyyy_1, tg_xxxzzz_xxyyyyyz_0, \
                                         tg_xxxzzz_xxyyyyyz_1, tg_xxxzzz_xxyyyyz_1, tg_xxxzzz_xxyyyyzz_0, tg_xxxzzz_xxyyyyzz_1, \
                                         tg_xxxzzz_xxyyyzz_1, tg_xxxzzz_xxyyyzzz_0, tg_xxxzzz_xxyyyzzz_1, tg_xxxzzz_xxyyzzz_1, \
                                         tg_xxxzzz_xxyyzzzz_0, tg_xxxzzz_xxyyzzzz_1, tg_xxxzzz_xxyzzzz_1, tg_xxxzzz_xxyzzzzz_0, \
                                         tg_xxxzzz_xxyzzzzz_1, tg_xxxzzz_xxzzzzz_1, tg_xxxzzz_xxzzzzzz_0, tg_xxxzzz_xxzzzzzz_1, \
                                         tg_xxxzzz_xyyyyyy_1, tg_xxxzzz_xyyyyyyy_0, tg_xxxzzz_xyyyyyyy_1, tg_xxxzzz_xyyyyyyz_0, \
                                         tg_xxxzzz_xyyyyyyz_1, tg_xxxzzz_xyyyyyz_1, tg_xxxzzz_xyyyyyzz_0, tg_xxxzzz_xyyyyyzz_1, \
                                         tg_xxxzzz_xyyyyzz_1, tg_xxxzzz_xyyyyzzz_0, tg_xxxzzz_xyyyyzzz_1, tg_xxxzzz_xyyyzzz_1, \
                                         tg_xxxzzz_xyyyzzzz_0, tg_xxxzzz_xyyyzzzz_1, tg_xxxzzz_xyyzzzz_1, tg_xxxzzz_xyyzzzzz_0, \
                                         tg_xxxzzz_xyyzzzzz_1, tg_xxxzzz_xyzzzzz_1, tg_xxxzzz_xyzzzzzz_0, tg_xxxzzz_xyzzzzzz_1, \
                                         tg_xxxzzz_xzzzzzz_1, tg_xxxzzz_xzzzzzzz_0, tg_xxxzzz_xzzzzzzz_1, tg_xxxzzz_yyyyyyy_1, \
                                         tg_xxxzzz_yyyyyyyy_0, tg_xxxzzz_yyyyyyyy_1, tg_xxxzzz_yyyyyyyz_0, tg_xxxzzz_yyyyyyyz_1, \
                                         tg_xxxzzz_yyyyyyz_1, tg_xxxzzz_yyyyyyzz_0, tg_xxxzzz_yyyyyyzz_1, tg_xxxzzz_yyyyyzz_1, \
                                         tg_xxxzzz_yyyyyzzz_0, tg_xxxzzz_yyyyyzzz_1, tg_xxxzzz_yyyyzzz_1, tg_xxxzzz_yyyyzzzz_0, \
                                         tg_xxxzzz_yyyyzzzz_1, tg_xxxzzz_yyyzzzz_1, tg_xxxzzz_yyyzzzzz_0, tg_xxxzzz_yyyzzzzz_1, \
                                         tg_xxxzzz_yyzzzzz_1, tg_xxxzzz_yyzzzzzz_0, tg_xxxzzz_yyzzzzzz_1, tg_xxxzzz_yzzzzzz_1, \
                                         tg_xxxzzz_yzzzzzzz_0, tg_xxxzzz_yzzzzzzz_1, tg_xxxzzz_zzzzzzz_1, tg_xxxzzz_zzzzzzzz_0, \
                                         tg_xxxzzz_zzzzzzzz_1, tg_xxyyyy_xxxxxxx_1, tg_xxyyyy_xxxxxxxx_0, tg_xxyyyy_xxxxxxxx_1, \
                                         tg_xxyyyy_xxxxxxxy_0, tg_xxyyyy_xxxxxxxy_1, tg_xxyyyy_xxxxxxxz_0, tg_xxyyyy_xxxxxxxz_1, \
                                         tg_xxyyyy_xxxxxxy_1, tg_xxyyyy_xxxxxxyy_0, tg_xxyyyy_xxxxxxyy_1, tg_xxyyyy_xxxxxxyz_0, \
                                         tg_xxyyyy_xxxxxxyz_1, tg_xxyyyy_xxxxxxz_1, tg_xxyyyy_xxxxxxzz_0, tg_xxyyyy_xxxxxxzz_1, \
                                         tg_xxyyyy_xxxxxyy_1, tg_xxyyyy_xxxxxyyy_0, tg_xxyyyy_xxxxxyyy_1, tg_xxyyyy_xxxxxyyz_0, \
                                         tg_xxyyyy_xxxxxyyz_1, tg_xxyyyy_xxxxxyz_1, tg_xxyyyy_xxxxxyzz_0, tg_xxyyyy_xxxxxyzz_1, \
                                         tg_xxyyyy_xxxxxzz_1, tg_xxyyyy_xxxxxzzz_0, tg_xxyyyy_xxxxxzzz_1, tg_xxyyyy_xxxxyyy_1, \
                                         tg_xxyyyy_xxxxyyyy_0, tg_xxyyyy_xxxxyyyy_1, tg_xxyyyy_xxxxyyyz_0, tg_xxyyyy_xxxxyyyz_1, \
                                         tg_xxyyyy_xxxxyyz_1, tg_xxyyyy_xxxxyyzz_0, tg_xxyyyy_xxxxyyzz_1, tg_xxyyyy_xxxxyzz_1, \
                                         tg_xxyyyy_xxxxyzzz_0, tg_xxyyyy_xxxxyzzz_1, tg_xxyyyy_xxxxzzz_1, tg_xxyyyy_xxxxzzzz_0, \
                                         tg_xxyyyy_xxxxzzzz_1, tg_xxyyyy_xxxyyyy_1, tg_xxyyyy_xxxyyyyy_0, tg_xxyyyy_xxxyyyyy_1, \
                                         tg_xxyyyy_xxxyyyyz_0, tg_xxyyyy_xxxyyyyz_1, tg_xxyyyy_xxxyyyz_1, tg_xxyyyy_xxxyyyzz_0, \
                                         tg_xxyyyy_xxxyyyzz_1, tg_xxyyyy_xxxyyzz_1, tg_xxyyyy_xxxyyzzz_0, tg_xxyyyy_xxxyyzzz_1, \
                                         tg_xxyyyy_xxxyzzz_1, tg_xxyyyy_xxxyzzzz_0, tg_xxyyyy_xxxyzzzz_1, tg_xxyyyy_xxxzzzz_1, \
                                         tg_xxyyyy_xxxzzzzz_0, tg_xxyyyy_xxxzzzzz_1, tg_xxyyyy_xxyyyyy_1, tg_xxyyyy_xxyyyyyy_0, \
                                         tg_xxyyyy_xxyyyyyy_1, tg_xxyyyy_xxyyyyyz_0, tg_xxyyyy_xxyyyyyz_1, tg_xxyyyy_xxyyyyz_1, \
                                         tg_xxyyyy_xxyyyyzz_0, tg_xxyyyy_xxyyyyzz_1, tg_xxyyyy_xxyyyzz_1, tg_xxyyyy_xxyyyzzz_0, \
                                         tg_xxyyyy_xxyyyzzz_1, tg_xxyyyy_xxyyzzz_1, tg_xxyyyy_xxyyzzzz_0, tg_xxyyyy_xxyyzzzz_1, \
                                         tg_xxyyyy_xxyzzzz_1, tg_xxyyyy_xxyzzzzz_0, tg_xxyyyy_xxyzzzzz_1, tg_xxyyyy_xxzzzzz_1, \
                                         tg_xxyyyy_xxzzzzzz_0, tg_xxyyyy_xxzzzzzz_1, tg_xxyyyy_xyyyyyy_1, tg_xxyyyy_xyyyyyyy_0, \
                                         tg_xxyyyy_xyyyyyyy_1, tg_xxyyyy_xyyyyyyz_0, tg_xxyyyy_xyyyyyyz_1, tg_xxyyyy_xyyyyyz_1, \
                                         tg_xxyyyy_xyyyyzz_1, tg_xxyyyy_xyyyzzz_1, tg_xxyyyy_xyyzzzz_1, tg_xxyyyy_xyzzzzz_1, \
                                         tg_xxyyyy_xzzzzzz_1, tg_xxyyyy_yyyyyyy_1, tg_xxyyyy_yyyyyyz_1, tg_xxyzz_xxyyyzzz_0, \
                                         tg_xxyzz_xxyyyzzz_1, tg_xxyzz_xxyyzzzz_0, tg_xxyzz_xxyyzzzz_1, tg_xxyzz_xxyzzzzz_0, \
                                         tg_xxyzz_xxyzzzzz_1, tg_xxyzz_xxzzzzzz_0, tg_xxyzz_xxzzzzzz_1, tg_xxyzz_xyyyyyyy_0, \
                                         tg_xxyzz_xyyyyyyy_1, tg_xxyzz_xyyyyyyz_0, tg_xxyzz_xyyyyyyz_1, tg_xxyzz_xyyyyyzz_0, \
                                         tg_xxyzz_xyyyyyzz_1, tg_xxyzz_xyyyyzzz_0, tg_xxyzz_xyyyyzzz_1, tg_xxyzz_xyyyzzzz_0, \
                                         tg_xxyzz_xyyyzzzz_1, tg_xxyzz_xyyzzzzz_0, tg_xxyzz_xyyzzzzz_1, tg_xxyzz_xyzzzzzz_0, \
                                         tg_xxyzz_xyzzzzzz_1, tg_xxyzz_xzzzzzzz_0, tg_xxyzz_xzzzzzzz_1, tg_xxyzz_yyyyyyyy_0, \
                                         tg_xxyzz_yyyyyyyy_1, tg_xxyzz_yyyyyyyz_0, tg_xxyzz_yyyyyyyz_1, tg_xxyzz_yyyyyyzz_0, \
                                         tg_xxyzz_yyyyyyzz_1, tg_xxyzz_yyyyyzzz_0, tg_xxyzz_yyyyyzzz_1, tg_xxyzz_yyyyzzzz_0, \
                                         tg_xxyzz_yyyyzzzz_1, tg_xxyzz_yyyzzzzz_0, tg_xxyzz_yyyzzzzz_1, tg_xxyzz_yyzzzzzz_0, \
                                         tg_xxyzz_yyzzzzzz_1, tg_xxyzz_yzzzzzzz_0, tg_xxyzz_yzzzzzzz_1, tg_xxyzz_zzzzzzzz_0, \
                                         tg_xxyzz_zzzzzzzz_1, tg_xxzzz_xxxxxxxx_0, tg_xxzzz_xxxxxxxx_1, tg_xxzzz_xxxxxxxy_0, \
                                         tg_xxzzz_xxxxxxxy_1, tg_xxzzz_xxxxxxxz_0, tg_xxzzz_xxxxxxxz_1, tg_xxzzz_xxxxxxyy_0, \
                                         tg_xxzzz_xxxxxxyy_1, tg_xxzzz_xxxxxxyz_0, tg_xxzzz_xxxxxxyz_1, tg_xxzzz_xxxxxxzz_0, \
                                         tg_xxzzz_xxxxxxzz_1, tg_xxzzz_xxxxxyyy_0, tg_xxzzz_xxxxxyyy_1, tg_xxzzz_xxxxxyyz_0, \
                                         tg_xxzzz_xxxxxyyz_1, tg_xxzzz_xxxxxyzz_0, tg_xxzzz_xxxxxyzz_1, tg_xxzzz_xxxxxzzz_0, \
                                         tg_xxzzz_xxxxxzzz_1, tg_xxzzz_xxxxyyyy_0, tg_xxzzz_xxxxyyyy_1, tg_xxzzz_xxxxyyyz_0, \
                                         tg_xxzzz_xxxxyyyz_1, tg_xxzzz_xxxxyyzz_0, tg_xxzzz_xxxxyyzz_1, tg_xxzzz_xxxxyzzz_0, \
                                         tg_xxzzz_xxxxyzzz_1, tg_xxzzz_xxxxzzzz_0, tg_xxzzz_xxxxzzzz_1, tg_xxzzz_xxxyyyyy_0, \
                                         tg_xxzzz_xxxyyyyy_1, tg_xxzzz_xxxyyyyz_0, tg_xxzzz_xxxyyyyz_1, tg_xxzzz_xxxyyyzz_0, \
                                         tg_xxzzz_xxxyyyzz_1, tg_xxzzz_xxxyyzzz_0, tg_xxzzz_xxxyyzzz_1, tg_xxzzz_xxxyzzzz_0, \
                                         tg_xxzzz_xxxyzzzz_1, tg_xxzzz_xxxzzzzz_0, tg_xxzzz_xxxzzzzz_1, tg_xxzzz_xxyyyyyy_0, \
                                         tg_xxzzz_xxyyyyyy_1, tg_xxzzz_xxyyyyyz_0, tg_xxzzz_xxyyyyyz_1, tg_xxzzz_xxyyyyzz_0, \
                                         tg_xxzzz_xxyyyyzz_1, tg_xxzzz_xxyyyzzz_0, tg_xxzzz_xxyyyzzz_1, tg_xxzzz_xxyyzzzz_0, \
                                         tg_xxzzz_xxyyzzzz_1, tg_xxzzz_xxyzzzzz_0, tg_xxzzz_xxyzzzzz_1, tg_xxzzz_xxzzzzzz_0, \
                                         tg_xxzzz_xxzzzzzz_1, tg_xxzzz_xyyyyyyy_0, tg_xxzzz_xyyyyyyy_1, tg_xxzzz_xyyyyyyz_0, \
                                         tg_xxzzz_xyyyyyyz_1, tg_xxzzz_xyyyyyzz_0, tg_xxzzz_xyyyyyzz_1, tg_xxzzz_xyyyyzzz_0, \
                                         tg_xxzzz_xyyyyzzz_1, tg_xxzzz_xyyyzzzz_0, tg_xxzzz_xyyyzzzz_1, tg_xxzzz_xyyzzzzz_0, \
                                         tg_xxzzz_xyyzzzzz_1, tg_xxzzz_xyzzzzzz_0, tg_xxzzz_xyzzzzzz_1, tg_xxzzz_xzzzzzzz_0, \
                                         tg_xxzzz_xzzzzzzz_1, tg_xxzzz_yyyyyyyy_0, tg_xxzzz_yyyyyyyy_1, tg_xxzzz_yyyyyyyz_0, \
                                         tg_xxzzz_yyyyyyyz_1, tg_xxzzz_yyyyyyzz_0, tg_xxzzz_yyyyyyzz_1, tg_xxzzz_yyyyyzzz_0, \
                                         tg_xxzzz_yyyyyzzz_1, tg_xxzzz_yyyyzzzz_0, tg_xxzzz_yyyyzzzz_1, tg_xxzzz_yyyzzzzz_0, \
                                         tg_xxzzz_yyyzzzzz_1, tg_xxzzz_yyzzzzzz_0, tg_xxzzz_yyzzzzzz_1, tg_xxzzz_yzzzzzzz_0, \
                                         tg_xxzzz_yzzzzzzz_1, tg_xxzzz_zzzzzzzz_0, tg_xxzzz_zzzzzzzz_1, tg_xyyyy_xxxxxxxx_0, \
                                         tg_xyyyy_xxxxxxxx_1, tg_xyyyy_xxxxxxxy_0, tg_xyyyy_xxxxxxxy_1, tg_xyyyy_xxxxxxxz_0, \
                                         tg_xyyyy_xxxxxxxz_1, tg_xyyyy_xxxxxxyy_0, tg_xyyyy_xxxxxxyy_1, tg_xyyyy_xxxxxxyz_0, \
                                         tg_xyyyy_xxxxxxyz_1, tg_xyyyy_xxxxxxzz_0, tg_xyyyy_xxxxxxzz_1, tg_xyyyy_xxxxxyyy_0, \
                                         tg_xyyyy_xxxxxyyy_1, tg_xyyyy_xxxxxyyz_0, tg_xyyyy_xxxxxyyz_1, tg_xyyyy_xxxxxyzz_0, \
                                         tg_xyyyy_xxxxxyzz_1, tg_xyyyy_xxxxxzzz_0, tg_xyyyy_xxxxxzzz_1, tg_xyyyy_xxxxyyyy_0, \
                                         tg_xyyyy_xxxxyyyy_1, tg_xyyyy_xxxxyyyz_0, tg_xyyyy_xxxxyyyz_1, tg_xyyyy_xxxxyyzz_0, \
                                         tg_xyyyy_xxxxyyzz_1, tg_xyyyy_xxxxyzzz_0, tg_xyyyy_xxxxyzzz_1, tg_xyyyy_xxxxzzzz_0, \
                                         tg_xyyyy_xxxxzzzz_1, tg_xyyyy_xxxyyyyy_0, tg_xyyyy_xxxyyyyy_1, tg_xyyyy_xxxyyyyz_0, \
                                         tg_xyyyy_xxxyyyyz_1, tg_xyyyy_xxxyyyzz_0, tg_xyyyy_xxxyyyzz_1, tg_xyyyy_xxxyyzzz_0, \
                                         tg_xyyyy_xxxyyzzz_1, tg_xyyyy_xxxyzzzz_0, tg_xyyyy_xxxyzzzz_1, tg_xyyyy_xxxzzzzz_0, \
                                         tg_xyyyy_xxxzzzzz_1, tg_xyyyy_xxyyyyyy_0, tg_xyyyy_xxyyyyyy_1, tg_xyyyy_xxyyyyyz_0, \
                                         tg_xyyyy_xxyyyyyz_1, tg_xyyyy_xxyyyyzz_0, tg_xyyyy_xxyyyyzz_1, tg_xyyyy_xxyyyzzz_0, \
                                         tg_xyyyy_xxyyyzzz_1, tg_xyyyy_xxyyzzzz_0, tg_xyyyy_xxyyzzzz_1, tg_xyyyy_xxyzzzzz_0, \
                                         tg_xyyyy_xxyzzzzz_1, tg_xyyyy_xxzzzzzz_0, tg_xyyyy_xxzzzzzz_1, tg_xyyyy_xyyyyyyy_0, \
                                         tg_xyyyy_xyyyyyyy_1, tg_xyyyy_xyyyyyyz_0, tg_xyyyy_xyyyyyyz_1, wp_x: VLX_ALIGN)
                for (int32_t j = 0; j < nKetPrimPairs; j++)
                {
                    double fl1_fx = fx;

                    double fl1_fxn = fxn[j];

                    double fl1_fza = fza[j];

                    double fr = wp_x[j]; 

                    tg_xxxxyzz_xxyyyzzz_0[j] = pb_x * tg_xxxyzz_xxyyyzzz_0[j] + fr * tg_xxxyzz_xxyyyzzz_1[j] + 1.5 * fl1_fx * (tg_xxyzz_xxyyyzzz_0[j] - tg_xxyzz_xxyyyzzz_1[j] * fl1_fza) + fl1_fxn * tg_xxxyzz_xyyyzzz_1[j];

                    tg_xxxxyzz_xxyyzzzz_0[j] = pb_x * tg_xxxyzz_xxyyzzzz_0[j] + fr * tg_xxxyzz_xxyyzzzz_1[j] + 1.5 * fl1_fx * (tg_xxyzz_xxyyzzzz_0[j] - tg_xxyzz_xxyyzzzz_1[j] * fl1_fza) + fl1_fxn * tg_xxxyzz_xyyzzzz_1[j];

                    tg_xxxxyzz_xxyzzzzz_0[j] = pb_x * tg_xxxyzz_xxyzzzzz_0[j] + fr * tg_xxxyzz_xxyzzzzz_1[j] + 1.5 * fl1_fx * (tg_xxyzz_xxyzzzzz_0[j] - tg_xxyzz_xxyzzzzz_1[j] * fl1_fza) + fl1_fxn * tg_xxxyzz_xyzzzzz_1[j];

                    tg_xxxxyzz_xxzzzzzz_0[j] = pb_x * tg_xxxyzz_xxzzzzzz_0[j] + fr * tg_xxxyzz_xxzzzzzz_1[j] + 1.5 * fl1_fx * (tg_xxyzz_xxzzzzzz_0[j] - tg_xxyzz_xxzzzzzz_1[j] * fl1_fza) + fl1_fxn * tg_xxxyzz_xzzzzzz_1[j];

                    tg_xxxxyzz_xyyyyyyy_0[j] = pb_x * tg_xxxyzz_xyyyyyyy_0[j] + fr * tg_xxxyzz_xyyyyyyy_1[j] + 1.5 * fl1_fx * (tg_xxyzz_xyyyyyyy_0[j] - tg_xxyzz_xyyyyyyy_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xxxyzz_yyyyyyy_1[j];

                    tg_xxxxyzz_xyyyyyyz_0[j] = pb_x * tg_xxxyzz_xyyyyyyz_0[j] + fr * tg_xxxyzz_xyyyyyyz_1[j] + 1.5 * fl1_fx * (tg_xxyzz_xyyyyyyz_0[j] - tg_xxyzz_xyyyyyyz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xxxyzz_yyyyyyz_1[j];

                    tg_xxxxyzz_xyyyyyzz_0[j] = pb_x * tg_xxxyzz_xyyyyyzz_0[j] + fr * tg_xxxyzz_xyyyyyzz_1[j] + 1.5 * fl1_fx * (tg_xxyzz_xyyyyyzz_0[j] - tg_xxyzz_xyyyyyzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xxxyzz_yyyyyzz_1[j];

                    tg_xxxxyzz_xyyyyzzz_0[j] = pb_x * tg_xxxyzz_xyyyyzzz_0[j] + fr * tg_xxxyzz_xyyyyzzz_1[j] + 1.5 * fl1_fx * (tg_xxyzz_xyyyyzzz_0[j] - tg_xxyzz_xyyyyzzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xxxyzz_yyyyzzz_1[j];

                    tg_xxxxyzz_xyyyzzzz_0[j] = pb_x * tg_xxxyzz_xyyyzzzz_0[j] + fr * tg_xxxyzz_xyyyzzzz_1[j] + 1.5 * fl1_fx * (tg_xxyzz_xyyyzzzz_0[j] - tg_xxyzz_xyyyzzzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xxxyzz_yyyzzzz_1[j];

                    tg_xxxxyzz_xyyzzzzz_0[j] = pb_x * tg_xxxyzz_xyyzzzzz_0[j] + fr * tg_xxxyzz_xyyzzzzz_1[j] + 1.5 * fl1_fx * (tg_xxyzz_xyyzzzzz_0[j] - tg_xxyzz_xyyzzzzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xxxyzz_yyzzzzz_1[j];

                    tg_xxxxyzz_xyzzzzzz_0[j] = pb_x * tg_xxxyzz_xyzzzzzz_0[j] + fr * tg_xxxyzz_xyzzzzzz_1[j] + 1.5 * fl1_fx * (tg_xxyzz_xyzzzzzz_0[j] - tg_xxyzz_xyzzzzzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xxxyzz_yzzzzzz_1[j];

                    tg_xxxxyzz_xzzzzzzz_0[j] = pb_x * tg_xxxyzz_xzzzzzzz_0[j] + fr * tg_xxxyzz_xzzzzzzz_1[j] + 1.5 * fl1_fx * (tg_xxyzz_xzzzzzzz_0[j] - tg_xxyzz_xzzzzzzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xxxyzz_zzzzzzz_1[j];

                    tg_xxxxyzz_yyyyyyyy_0[j] = pb_x * tg_xxxyzz_yyyyyyyy_0[j] + fr * tg_xxxyzz_yyyyyyyy_1[j] + 1.5 * fl1_fx * (tg_xxyzz_yyyyyyyy_0[j] - tg_xxyzz_yyyyyyyy_1[j] * fl1_fza);

                    tg_xxxxyzz_yyyyyyyz_0[j] = pb_x * tg_xxxyzz_yyyyyyyz_0[j] + fr * tg_xxxyzz_yyyyyyyz_1[j] + 1.5 * fl1_fx * (tg_xxyzz_yyyyyyyz_0[j] - tg_xxyzz_yyyyyyyz_1[j] * fl1_fza);

                    tg_xxxxyzz_yyyyyyzz_0[j] = pb_x * tg_xxxyzz_yyyyyyzz_0[j] + fr * tg_xxxyzz_yyyyyyzz_1[j] + 1.5 * fl1_fx * (tg_xxyzz_yyyyyyzz_0[j] - tg_xxyzz_yyyyyyzz_1[j] * fl1_fza);

                    tg_xxxxyzz_yyyyyzzz_0[j] = pb_x * tg_xxxyzz_yyyyyzzz_0[j] + fr * tg_xxxyzz_yyyyyzzz_1[j] + 1.5 * fl1_fx * (tg_xxyzz_yyyyyzzz_0[j] - tg_xxyzz_yyyyyzzz_1[j] * fl1_fza);

                    tg_xxxxyzz_yyyyzzzz_0[j] = pb_x * tg_xxxyzz_yyyyzzzz_0[j] + fr * tg_xxxyzz_yyyyzzzz_1[j] + 1.5 * fl1_fx * (tg_xxyzz_yyyyzzzz_0[j] - tg_xxyzz_yyyyzzzz_1[j] * fl1_fza);

                    tg_xxxxyzz_yyyzzzzz_0[j] = pb_x * tg_xxxyzz_yyyzzzzz_0[j] + fr * tg_xxxyzz_yyyzzzzz_1[j] + 1.5 * fl1_fx * (tg_xxyzz_yyyzzzzz_0[j] - tg_xxyzz_yyyzzzzz_1[j] * fl1_fza);

                    tg_xxxxyzz_yyzzzzzz_0[j] = pb_x * tg_xxxyzz_yyzzzzzz_0[j] + fr * tg_xxxyzz_yyzzzzzz_1[j] + 1.5 * fl1_fx * (tg_xxyzz_yyzzzzzz_0[j] - tg_xxyzz_yyzzzzzz_1[j] * fl1_fza);

                    tg_xxxxyzz_yzzzzzzz_0[j] = pb_x * tg_xxxyzz_yzzzzzzz_0[j] + fr * tg_xxxyzz_yzzzzzzz_1[j] + 1.5 * fl1_fx * (tg_xxyzz_yzzzzzzz_0[j] - tg_xxyzz_yzzzzzzz_1[j] * fl1_fza);

                    tg_xxxxyzz_zzzzzzzz_0[j] = pb_x * tg_xxxyzz_zzzzzzzz_0[j] + fr * tg_xxxyzz_zzzzzzzz_1[j] + 1.5 * fl1_fx * (tg_xxyzz_zzzzzzzz_0[j] - tg_xxyzz_zzzzzzzz_1[j] * fl1_fza);

                    tg_xxxxzzz_xxxxxxxx_0[j] = pb_x * tg_xxxzzz_xxxxxxxx_0[j] + fr * tg_xxxzzz_xxxxxxxx_1[j] + 1.5 * fl1_fx * (tg_xxzzz_xxxxxxxx_0[j] - tg_xxzzz_xxxxxxxx_1[j] * fl1_fza) + 4.0 * fl1_fxn * tg_xxxzzz_xxxxxxx_1[j];

                    tg_xxxxzzz_xxxxxxxy_0[j] = pb_x * tg_xxxzzz_xxxxxxxy_0[j] + fr * tg_xxxzzz_xxxxxxxy_1[j] + 1.5 * fl1_fx * (tg_xxzzz_xxxxxxxy_0[j] - tg_xxzzz_xxxxxxxy_1[j] * fl1_fza) + 3.5 * fl1_fxn * tg_xxxzzz_xxxxxxy_1[j];

                    tg_xxxxzzz_xxxxxxxz_0[j] = pb_x * tg_xxxzzz_xxxxxxxz_0[j] + fr * tg_xxxzzz_xxxxxxxz_1[j] + 1.5 * fl1_fx * (tg_xxzzz_xxxxxxxz_0[j] - tg_xxzzz_xxxxxxxz_1[j] * fl1_fza) + 3.5 * fl1_fxn * tg_xxxzzz_xxxxxxz_1[j];

                    tg_xxxxzzz_xxxxxxyy_0[j] = pb_x * tg_xxxzzz_xxxxxxyy_0[j] + fr * tg_xxxzzz_xxxxxxyy_1[j] + 1.5 * fl1_fx * (tg_xxzzz_xxxxxxyy_0[j] - tg_xxzzz_xxxxxxyy_1[j] * fl1_fza) + 3.0 * fl1_fxn * tg_xxxzzz_xxxxxyy_1[j];

                    tg_xxxxzzz_xxxxxxyz_0[j] = pb_x * tg_xxxzzz_xxxxxxyz_0[j] + fr * tg_xxxzzz_xxxxxxyz_1[j] + 1.5 * fl1_fx * (tg_xxzzz_xxxxxxyz_0[j] - tg_xxzzz_xxxxxxyz_1[j] * fl1_fza) + 3.0 * fl1_fxn * tg_xxxzzz_xxxxxyz_1[j];

                    tg_xxxxzzz_xxxxxxzz_0[j] = pb_x * tg_xxxzzz_xxxxxxzz_0[j] + fr * tg_xxxzzz_xxxxxxzz_1[j] + 1.5 * fl1_fx * (tg_xxzzz_xxxxxxzz_0[j] - tg_xxzzz_xxxxxxzz_1[j] * fl1_fza) + 3.0 * fl1_fxn * tg_xxxzzz_xxxxxzz_1[j];

                    tg_xxxxzzz_xxxxxyyy_0[j] = pb_x * tg_xxxzzz_xxxxxyyy_0[j] + fr * tg_xxxzzz_xxxxxyyy_1[j] + 1.5 * fl1_fx * (tg_xxzzz_xxxxxyyy_0[j] - tg_xxzzz_xxxxxyyy_1[j] * fl1_fza) + 2.5 * fl1_fxn * tg_xxxzzz_xxxxyyy_1[j];

                    tg_xxxxzzz_xxxxxyyz_0[j] = pb_x * tg_xxxzzz_xxxxxyyz_0[j] + fr * tg_xxxzzz_xxxxxyyz_1[j] + 1.5 * fl1_fx * (tg_xxzzz_xxxxxyyz_0[j] - tg_xxzzz_xxxxxyyz_1[j] * fl1_fza) + 2.5 * fl1_fxn * tg_xxxzzz_xxxxyyz_1[j];

                    tg_xxxxzzz_xxxxxyzz_0[j] = pb_x * tg_xxxzzz_xxxxxyzz_0[j] + fr * tg_xxxzzz_xxxxxyzz_1[j] + 1.5 * fl1_fx * (tg_xxzzz_xxxxxyzz_0[j] - tg_xxzzz_xxxxxyzz_1[j] * fl1_fza) + 2.5 * fl1_fxn * tg_xxxzzz_xxxxyzz_1[j];

                    tg_xxxxzzz_xxxxxzzz_0[j] = pb_x * tg_xxxzzz_xxxxxzzz_0[j] + fr * tg_xxxzzz_xxxxxzzz_1[j] + 1.5 * fl1_fx * (tg_xxzzz_xxxxxzzz_0[j] - tg_xxzzz_xxxxxzzz_1[j] * fl1_fza) + 2.5 * fl1_fxn * tg_xxxzzz_xxxxzzz_1[j];

                    tg_xxxxzzz_xxxxyyyy_0[j] = pb_x * tg_xxxzzz_xxxxyyyy_0[j] + fr * tg_xxxzzz_xxxxyyyy_1[j] + 1.5 * fl1_fx * (tg_xxzzz_xxxxyyyy_0[j] - tg_xxzzz_xxxxyyyy_1[j] * fl1_fza) + 2.0 * fl1_fxn * tg_xxxzzz_xxxyyyy_1[j];

                    tg_xxxxzzz_xxxxyyyz_0[j] = pb_x * tg_xxxzzz_xxxxyyyz_0[j] + fr * tg_xxxzzz_xxxxyyyz_1[j] + 1.5 * fl1_fx * (tg_xxzzz_xxxxyyyz_0[j] - tg_xxzzz_xxxxyyyz_1[j] * fl1_fza) + 2.0 * fl1_fxn * tg_xxxzzz_xxxyyyz_1[j];

                    tg_xxxxzzz_xxxxyyzz_0[j] = pb_x * tg_xxxzzz_xxxxyyzz_0[j] + fr * tg_xxxzzz_xxxxyyzz_1[j] + 1.5 * fl1_fx * (tg_xxzzz_xxxxyyzz_0[j] - tg_xxzzz_xxxxyyzz_1[j] * fl1_fza) + 2.0 * fl1_fxn * tg_xxxzzz_xxxyyzz_1[j];

                    tg_xxxxzzz_xxxxyzzz_0[j] = pb_x * tg_xxxzzz_xxxxyzzz_0[j] + fr * tg_xxxzzz_xxxxyzzz_1[j] + 1.5 * fl1_fx * (tg_xxzzz_xxxxyzzz_0[j] - tg_xxzzz_xxxxyzzz_1[j] * fl1_fza) + 2.0 * fl1_fxn * tg_xxxzzz_xxxyzzz_1[j];

                    tg_xxxxzzz_xxxxzzzz_0[j] = pb_x * tg_xxxzzz_xxxxzzzz_0[j] + fr * tg_xxxzzz_xxxxzzzz_1[j] + 1.5 * fl1_fx * (tg_xxzzz_xxxxzzzz_0[j] - tg_xxzzz_xxxxzzzz_1[j] * fl1_fza) + 2.0 * fl1_fxn * tg_xxxzzz_xxxzzzz_1[j];

                    tg_xxxxzzz_xxxyyyyy_0[j] = pb_x * tg_xxxzzz_xxxyyyyy_0[j] + fr * tg_xxxzzz_xxxyyyyy_1[j] + 1.5 * fl1_fx * (tg_xxzzz_xxxyyyyy_0[j] - tg_xxzzz_xxxyyyyy_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_xxxzzz_xxyyyyy_1[j];

                    tg_xxxxzzz_xxxyyyyz_0[j] = pb_x * tg_xxxzzz_xxxyyyyz_0[j] + fr * tg_xxxzzz_xxxyyyyz_1[j] + 1.5 * fl1_fx * (tg_xxzzz_xxxyyyyz_0[j] - tg_xxzzz_xxxyyyyz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_xxxzzz_xxyyyyz_1[j];

                    tg_xxxxzzz_xxxyyyzz_0[j] = pb_x * tg_xxxzzz_xxxyyyzz_0[j] + fr * tg_xxxzzz_xxxyyyzz_1[j] + 1.5 * fl1_fx * (tg_xxzzz_xxxyyyzz_0[j] - tg_xxzzz_xxxyyyzz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_xxxzzz_xxyyyzz_1[j];

                    tg_xxxxzzz_xxxyyzzz_0[j] = pb_x * tg_xxxzzz_xxxyyzzz_0[j] + fr * tg_xxxzzz_xxxyyzzz_1[j] + 1.5 * fl1_fx * (tg_xxzzz_xxxyyzzz_0[j] - tg_xxzzz_xxxyyzzz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_xxxzzz_xxyyzzz_1[j];

                    tg_xxxxzzz_xxxyzzzz_0[j] = pb_x * tg_xxxzzz_xxxyzzzz_0[j] + fr * tg_xxxzzz_xxxyzzzz_1[j] + 1.5 * fl1_fx * (tg_xxzzz_xxxyzzzz_0[j] - tg_xxzzz_xxxyzzzz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_xxxzzz_xxyzzzz_1[j];

                    tg_xxxxzzz_xxxzzzzz_0[j] = pb_x * tg_xxxzzz_xxxzzzzz_0[j] + fr * tg_xxxzzz_xxxzzzzz_1[j] + 1.5 * fl1_fx * (tg_xxzzz_xxxzzzzz_0[j] - tg_xxzzz_xxxzzzzz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_xxxzzz_xxzzzzz_1[j];

                    tg_xxxxzzz_xxyyyyyy_0[j] = pb_x * tg_xxxzzz_xxyyyyyy_0[j] + fr * tg_xxxzzz_xxyyyyyy_1[j] + 1.5 * fl1_fx * (tg_xxzzz_xxyyyyyy_0[j] - tg_xxzzz_xxyyyyyy_1[j] * fl1_fza) + fl1_fxn * tg_xxxzzz_xyyyyyy_1[j];

                    tg_xxxxzzz_xxyyyyyz_0[j] = pb_x * tg_xxxzzz_xxyyyyyz_0[j] + fr * tg_xxxzzz_xxyyyyyz_1[j] + 1.5 * fl1_fx * (tg_xxzzz_xxyyyyyz_0[j] - tg_xxzzz_xxyyyyyz_1[j] * fl1_fza) + fl1_fxn * tg_xxxzzz_xyyyyyz_1[j];

                    tg_xxxxzzz_xxyyyyzz_0[j] = pb_x * tg_xxxzzz_xxyyyyzz_0[j] + fr * tg_xxxzzz_xxyyyyzz_1[j] + 1.5 * fl1_fx * (tg_xxzzz_xxyyyyzz_0[j] - tg_xxzzz_xxyyyyzz_1[j] * fl1_fza) + fl1_fxn * tg_xxxzzz_xyyyyzz_1[j];

                    tg_xxxxzzz_xxyyyzzz_0[j] = pb_x * tg_xxxzzz_xxyyyzzz_0[j] + fr * tg_xxxzzz_xxyyyzzz_1[j] + 1.5 * fl1_fx * (tg_xxzzz_xxyyyzzz_0[j] - tg_xxzzz_xxyyyzzz_1[j] * fl1_fza) + fl1_fxn * tg_xxxzzz_xyyyzzz_1[j];

                    tg_xxxxzzz_xxyyzzzz_0[j] = pb_x * tg_xxxzzz_xxyyzzzz_0[j] + fr * tg_xxxzzz_xxyyzzzz_1[j] + 1.5 * fl1_fx * (tg_xxzzz_xxyyzzzz_0[j] - tg_xxzzz_xxyyzzzz_1[j] * fl1_fza) + fl1_fxn * tg_xxxzzz_xyyzzzz_1[j];

                    tg_xxxxzzz_xxyzzzzz_0[j] = pb_x * tg_xxxzzz_xxyzzzzz_0[j] + fr * tg_xxxzzz_xxyzzzzz_1[j] + 1.5 * fl1_fx * (tg_xxzzz_xxyzzzzz_0[j] - tg_xxzzz_xxyzzzzz_1[j] * fl1_fza) + fl1_fxn * tg_xxxzzz_xyzzzzz_1[j];

                    tg_xxxxzzz_xxzzzzzz_0[j] = pb_x * tg_xxxzzz_xxzzzzzz_0[j] + fr * tg_xxxzzz_xxzzzzzz_1[j] + 1.5 * fl1_fx * (tg_xxzzz_xxzzzzzz_0[j] - tg_xxzzz_xxzzzzzz_1[j] * fl1_fza) + fl1_fxn * tg_xxxzzz_xzzzzzz_1[j];

                    tg_xxxxzzz_xyyyyyyy_0[j] = pb_x * tg_xxxzzz_xyyyyyyy_0[j] + fr * tg_xxxzzz_xyyyyyyy_1[j] + 1.5 * fl1_fx * (tg_xxzzz_xyyyyyyy_0[j] - tg_xxzzz_xyyyyyyy_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xxxzzz_yyyyyyy_1[j];

                    tg_xxxxzzz_xyyyyyyz_0[j] = pb_x * tg_xxxzzz_xyyyyyyz_0[j] + fr * tg_xxxzzz_xyyyyyyz_1[j] + 1.5 * fl1_fx * (tg_xxzzz_xyyyyyyz_0[j] - tg_xxzzz_xyyyyyyz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xxxzzz_yyyyyyz_1[j];

                    tg_xxxxzzz_xyyyyyzz_0[j] = pb_x * tg_xxxzzz_xyyyyyzz_0[j] + fr * tg_xxxzzz_xyyyyyzz_1[j] + 1.5 * fl1_fx * (tg_xxzzz_xyyyyyzz_0[j] - tg_xxzzz_xyyyyyzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xxxzzz_yyyyyzz_1[j];

                    tg_xxxxzzz_xyyyyzzz_0[j] = pb_x * tg_xxxzzz_xyyyyzzz_0[j] + fr * tg_xxxzzz_xyyyyzzz_1[j] + 1.5 * fl1_fx * (tg_xxzzz_xyyyyzzz_0[j] - tg_xxzzz_xyyyyzzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xxxzzz_yyyyzzz_1[j];

                    tg_xxxxzzz_xyyyzzzz_0[j] = pb_x * tg_xxxzzz_xyyyzzzz_0[j] + fr * tg_xxxzzz_xyyyzzzz_1[j] + 1.5 * fl1_fx * (tg_xxzzz_xyyyzzzz_0[j] - tg_xxzzz_xyyyzzzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xxxzzz_yyyzzzz_1[j];

                    tg_xxxxzzz_xyyzzzzz_0[j] = pb_x * tg_xxxzzz_xyyzzzzz_0[j] + fr * tg_xxxzzz_xyyzzzzz_1[j] + 1.5 * fl1_fx * (tg_xxzzz_xyyzzzzz_0[j] - tg_xxzzz_xyyzzzzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xxxzzz_yyzzzzz_1[j];

                    tg_xxxxzzz_xyzzzzzz_0[j] = pb_x * tg_xxxzzz_xyzzzzzz_0[j] + fr * tg_xxxzzz_xyzzzzzz_1[j] + 1.5 * fl1_fx * (tg_xxzzz_xyzzzzzz_0[j] - tg_xxzzz_xyzzzzzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xxxzzz_yzzzzzz_1[j];

                    tg_xxxxzzz_xzzzzzzz_0[j] = pb_x * tg_xxxzzz_xzzzzzzz_0[j] + fr * tg_xxxzzz_xzzzzzzz_1[j] + 1.5 * fl1_fx * (tg_xxzzz_xzzzzzzz_0[j] - tg_xxzzz_xzzzzzzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xxxzzz_zzzzzzz_1[j];

                    tg_xxxxzzz_yyyyyyyy_0[j] = pb_x * tg_xxxzzz_yyyyyyyy_0[j] + fr * tg_xxxzzz_yyyyyyyy_1[j] + 1.5 * fl1_fx * (tg_xxzzz_yyyyyyyy_0[j] - tg_xxzzz_yyyyyyyy_1[j] * fl1_fza);

                    tg_xxxxzzz_yyyyyyyz_0[j] = pb_x * tg_xxxzzz_yyyyyyyz_0[j] + fr * tg_xxxzzz_yyyyyyyz_1[j] + 1.5 * fl1_fx * (tg_xxzzz_yyyyyyyz_0[j] - tg_xxzzz_yyyyyyyz_1[j] * fl1_fza);

                    tg_xxxxzzz_yyyyyyzz_0[j] = pb_x * tg_xxxzzz_yyyyyyzz_0[j] + fr * tg_xxxzzz_yyyyyyzz_1[j] + 1.5 * fl1_fx * (tg_xxzzz_yyyyyyzz_0[j] - tg_xxzzz_yyyyyyzz_1[j] * fl1_fza);

                    tg_xxxxzzz_yyyyyzzz_0[j] = pb_x * tg_xxxzzz_yyyyyzzz_0[j] + fr * tg_xxxzzz_yyyyyzzz_1[j] + 1.5 * fl1_fx * (tg_xxzzz_yyyyyzzz_0[j] - tg_xxzzz_yyyyyzzz_1[j] * fl1_fza);

                    tg_xxxxzzz_yyyyzzzz_0[j] = pb_x * tg_xxxzzz_yyyyzzzz_0[j] + fr * tg_xxxzzz_yyyyzzzz_1[j] + 1.5 * fl1_fx * (tg_xxzzz_yyyyzzzz_0[j] - tg_xxzzz_yyyyzzzz_1[j] * fl1_fza);

                    tg_xxxxzzz_yyyzzzzz_0[j] = pb_x * tg_xxxzzz_yyyzzzzz_0[j] + fr * tg_xxxzzz_yyyzzzzz_1[j] + 1.5 * fl1_fx * (tg_xxzzz_yyyzzzzz_0[j] - tg_xxzzz_yyyzzzzz_1[j] * fl1_fza);

                    tg_xxxxzzz_yyzzzzzz_0[j] = pb_x * tg_xxxzzz_yyzzzzzz_0[j] + fr * tg_xxxzzz_yyzzzzzz_1[j] + 1.5 * fl1_fx * (tg_xxzzz_yyzzzzzz_0[j] - tg_xxzzz_yyzzzzzz_1[j] * fl1_fza);

                    tg_xxxxzzz_yzzzzzzz_0[j] = pb_x * tg_xxxzzz_yzzzzzzz_0[j] + fr * tg_xxxzzz_yzzzzzzz_1[j] + 1.5 * fl1_fx * (tg_xxzzz_yzzzzzzz_0[j] - tg_xxzzz_yzzzzzzz_1[j] * fl1_fza);

                    tg_xxxxzzz_zzzzzzzz_0[j] = pb_x * tg_xxxzzz_zzzzzzzz_0[j] + fr * tg_xxxzzz_zzzzzzzz_1[j] + 1.5 * fl1_fx * (tg_xxzzz_zzzzzzzz_0[j] - tg_xxzzz_zzzzzzzz_1[j] * fl1_fza);

                    tg_xxxyyyy_xxxxxxxx_0[j] = pb_x * tg_xxyyyy_xxxxxxxx_0[j] + fr * tg_xxyyyy_xxxxxxxx_1[j] + fl1_fx * (tg_xyyyy_xxxxxxxx_0[j] - tg_xyyyy_xxxxxxxx_1[j] * fl1_fza) + 4.0 * fl1_fxn * tg_xxyyyy_xxxxxxx_1[j];

                    tg_xxxyyyy_xxxxxxxy_0[j] = pb_x * tg_xxyyyy_xxxxxxxy_0[j] + fr * tg_xxyyyy_xxxxxxxy_1[j] + fl1_fx * (tg_xyyyy_xxxxxxxy_0[j] - tg_xyyyy_xxxxxxxy_1[j] * fl1_fza) + 3.5 * fl1_fxn * tg_xxyyyy_xxxxxxy_1[j];

                    tg_xxxyyyy_xxxxxxxz_0[j] = pb_x * tg_xxyyyy_xxxxxxxz_0[j] + fr * tg_xxyyyy_xxxxxxxz_1[j] + fl1_fx * (tg_xyyyy_xxxxxxxz_0[j] - tg_xyyyy_xxxxxxxz_1[j] * fl1_fza) + 3.5 * fl1_fxn * tg_xxyyyy_xxxxxxz_1[j];

                    tg_xxxyyyy_xxxxxxyy_0[j] = pb_x * tg_xxyyyy_xxxxxxyy_0[j] + fr * tg_xxyyyy_xxxxxxyy_1[j] + fl1_fx * (tg_xyyyy_xxxxxxyy_0[j] - tg_xyyyy_xxxxxxyy_1[j] * fl1_fza) + 3.0 * fl1_fxn * tg_xxyyyy_xxxxxyy_1[j];

                    tg_xxxyyyy_xxxxxxyz_0[j] = pb_x * tg_xxyyyy_xxxxxxyz_0[j] + fr * tg_xxyyyy_xxxxxxyz_1[j] + fl1_fx * (tg_xyyyy_xxxxxxyz_0[j] - tg_xyyyy_xxxxxxyz_1[j] * fl1_fza) + 3.0 * fl1_fxn * tg_xxyyyy_xxxxxyz_1[j];

                    tg_xxxyyyy_xxxxxxzz_0[j] = pb_x * tg_xxyyyy_xxxxxxzz_0[j] + fr * tg_xxyyyy_xxxxxxzz_1[j] + fl1_fx * (tg_xyyyy_xxxxxxzz_0[j] - tg_xyyyy_xxxxxxzz_1[j] * fl1_fza) + 3.0 * fl1_fxn * tg_xxyyyy_xxxxxzz_1[j];

                    tg_xxxyyyy_xxxxxyyy_0[j] = pb_x * tg_xxyyyy_xxxxxyyy_0[j] + fr * tg_xxyyyy_xxxxxyyy_1[j] + fl1_fx * (tg_xyyyy_xxxxxyyy_0[j] - tg_xyyyy_xxxxxyyy_1[j] * fl1_fza) + 2.5 * fl1_fxn * tg_xxyyyy_xxxxyyy_1[j];

                    tg_xxxyyyy_xxxxxyyz_0[j] = pb_x * tg_xxyyyy_xxxxxyyz_0[j] + fr * tg_xxyyyy_xxxxxyyz_1[j] + fl1_fx * (tg_xyyyy_xxxxxyyz_0[j] - tg_xyyyy_xxxxxyyz_1[j] * fl1_fza) + 2.5 * fl1_fxn * tg_xxyyyy_xxxxyyz_1[j];

                    tg_xxxyyyy_xxxxxyzz_0[j] = pb_x * tg_xxyyyy_xxxxxyzz_0[j] + fr * tg_xxyyyy_xxxxxyzz_1[j] + fl1_fx * (tg_xyyyy_xxxxxyzz_0[j] - tg_xyyyy_xxxxxyzz_1[j] * fl1_fza) + 2.5 * fl1_fxn * tg_xxyyyy_xxxxyzz_1[j];

                    tg_xxxyyyy_xxxxxzzz_0[j] = pb_x * tg_xxyyyy_xxxxxzzz_0[j] + fr * tg_xxyyyy_xxxxxzzz_1[j] + fl1_fx * (tg_xyyyy_xxxxxzzz_0[j] - tg_xyyyy_xxxxxzzz_1[j] * fl1_fza) + 2.5 * fl1_fxn * tg_xxyyyy_xxxxzzz_1[j];

                    tg_xxxyyyy_xxxxyyyy_0[j] = pb_x * tg_xxyyyy_xxxxyyyy_0[j] + fr * tg_xxyyyy_xxxxyyyy_1[j] + fl1_fx * (tg_xyyyy_xxxxyyyy_0[j] - tg_xyyyy_xxxxyyyy_1[j] * fl1_fza) + 2.0 * fl1_fxn * tg_xxyyyy_xxxyyyy_1[j];

                    tg_xxxyyyy_xxxxyyyz_0[j] = pb_x * tg_xxyyyy_xxxxyyyz_0[j] + fr * tg_xxyyyy_xxxxyyyz_1[j] + fl1_fx * (tg_xyyyy_xxxxyyyz_0[j] - tg_xyyyy_xxxxyyyz_1[j] * fl1_fza) + 2.0 * fl1_fxn * tg_xxyyyy_xxxyyyz_1[j];

                    tg_xxxyyyy_xxxxyyzz_0[j] = pb_x * tg_xxyyyy_xxxxyyzz_0[j] + fr * tg_xxyyyy_xxxxyyzz_1[j] + fl1_fx * (tg_xyyyy_xxxxyyzz_0[j] - tg_xyyyy_xxxxyyzz_1[j] * fl1_fza) + 2.0 * fl1_fxn * tg_xxyyyy_xxxyyzz_1[j];

                    tg_xxxyyyy_xxxxyzzz_0[j] = pb_x * tg_xxyyyy_xxxxyzzz_0[j] + fr * tg_xxyyyy_xxxxyzzz_1[j] + fl1_fx * (tg_xyyyy_xxxxyzzz_0[j] - tg_xyyyy_xxxxyzzz_1[j] * fl1_fza) + 2.0 * fl1_fxn * tg_xxyyyy_xxxyzzz_1[j];

                    tg_xxxyyyy_xxxxzzzz_0[j] = pb_x * tg_xxyyyy_xxxxzzzz_0[j] + fr * tg_xxyyyy_xxxxzzzz_1[j] + fl1_fx * (tg_xyyyy_xxxxzzzz_0[j] - tg_xyyyy_xxxxzzzz_1[j] * fl1_fza) + 2.0 * fl1_fxn * tg_xxyyyy_xxxzzzz_1[j];

                    tg_xxxyyyy_xxxyyyyy_0[j] = pb_x * tg_xxyyyy_xxxyyyyy_0[j] + fr * tg_xxyyyy_xxxyyyyy_1[j] + fl1_fx * (tg_xyyyy_xxxyyyyy_0[j] - tg_xyyyy_xxxyyyyy_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_xxyyyy_xxyyyyy_1[j];

                    tg_xxxyyyy_xxxyyyyz_0[j] = pb_x * tg_xxyyyy_xxxyyyyz_0[j] + fr * tg_xxyyyy_xxxyyyyz_1[j] + fl1_fx * (tg_xyyyy_xxxyyyyz_0[j] - tg_xyyyy_xxxyyyyz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_xxyyyy_xxyyyyz_1[j];

                    tg_xxxyyyy_xxxyyyzz_0[j] = pb_x * tg_xxyyyy_xxxyyyzz_0[j] + fr * tg_xxyyyy_xxxyyyzz_1[j] + fl1_fx * (tg_xyyyy_xxxyyyzz_0[j] - tg_xyyyy_xxxyyyzz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_xxyyyy_xxyyyzz_1[j];

                    tg_xxxyyyy_xxxyyzzz_0[j] = pb_x * tg_xxyyyy_xxxyyzzz_0[j] + fr * tg_xxyyyy_xxxyyzzz_1[j] + fl1_fx * (tg_xyyyy_xxxyyzzz_0[j] - tg_xyyyy_xxxyyzzz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_xxyyyy_xxyyzzz_1[j];

                    tg_xxxyyyy_xxxyzzzz_0[j] = pb_x * tg_xxyyyy_xxxyzzzz_0[j] + fr * tg_xxyyyy_xxxyzzzz_1[j] + fl1_fx * (tg_xyyyy_xxxyzzzz_0[j] - tg_xyyyy_xxxyzzzz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_xxyyyy_xxyzzzz_1[j];

                    tg_xxxyyyy_xxxzzzzz_0[j] = pb_x * tg_xxyyyy_xxxzzzzz_0[j] + fr * tg_xxyyyy_xxxzzzzz_1[j] + fl1_fx * (tg_xyyyy_xxxzzzzz_0[j] - tg_xyyyy_xxxzzzzz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_xxyyyy_xxzzzzz_1[j];

                    tg_xxxyyyy_xxyyyyyy_0[j] = pb_x * tg_xxyyyy_xxyyyyyy_0[j] + fr * tg_xxyyyy_xxyyyyyy_1[j] + fl1_fx * (tg_xyyyy_xxyyyyyy_0[j] - tg_xyyyy_xxyyyyyy_1[j] * fl1_fza) + fl1_fxn * tg_xxyyyy_xyyyyyy_1[j];

                    tg_xxxyyyy_xxyyyyyz_0[j] = pb_x * tg_xxyyyy_xxyyyyyz_0[j] + fr * tg_xxyyyy_xxyyyyyz_1[j] + fl1_fx * (tg_xyyyy_xxyyyyyz_0[j] - tg_xyyyy_xxyyyyyz_1[j] * fl1_fza) + fl1_fxn * tg_xxyyyy_xyyyyyz_1[j];

                    tg_xxxyyyy_xxyyyyzz_0[j] = pb_x * tg_xxyyyy_xxyyyyzz_0[j] + fr * tg_xxyyyy_xxyyyyzz_1[j] + fl1_fx * (tg_xyyyy_xxyyyyzz_0[j] - tg_xyyyy_xxyyyyzz_1[j] * fl1_fza) + fl1_fxn * tg_xxyyyy_xyyyyzz_1[j];

                    tg_xxxyyyy_xxyyyzzz_0[j] = pb_x * tg_xxyyyy_xxyyyzzz_0[j] + fr * tg_xxyyyy_xxyyyzzz_1[j] + fl1_fx * (tg_xyyyy_xxyyyzzz_0[j] - tg_xyyyy_xxyyyzzz_1[j] * fl1_fza) + fl1_fxn * tg_xxyyyy_xyyyzzz_1[j];

                    tg_xxxyyyy_xxyyzzzz_0[j] = pb_x * tg_xxyyyy_xxyyzzzz_0[j] + fr * tg_xxyyyy_xxyyzzzz_1[j] + fl1_fx * (tg_xyyyy_xxyyzzzz_0[j] - tg_xyyyy_xxyyzzzz_1[j] * fl1_fza) + fl1_fxn * tg_xxyyyy_xyyzzzz_1[j];

                    tg_xxxyyyy_xxyzzzzz_0[j] = pb_x * tg_xxyyyy_xxyzzzzz_0[j] + fr * tg_xxyyyy_xxyzzzzz_1[j] + fl1_fx * (tg_xyyyy_xxyzzzzz_0[j] - tg_xyyyy_xxyzzzzz_1[j] * fl1_fza) + fl1_fxn * tg_xxyyyy_xyzzzzz_1[j];

                    tg_xxxyyyy_xxzzzzzz_0[j] = pb_x * tg_xxyyyy_xxzzzzzz_0[j] + fr * tg_xxyyyy_xxzzzzzz_1[j] + fl1_fx * (tg_xyyyy_xxzzzzzz_0[j] - tg_xyyyy_xxzzzzzz_1[j] * fl1_fza) + fl1_fxn * tg_xxyyyy_xzzzzzz_1[j];

                    tg_xxxyyyy_xyyyyyyy_0[j] = pb_x * tg_xxyyyy_xyyyyyyy_0[j] + fr * tg_xxyyyy_xyyyyyyy_1[j] + fl1_fx * (tg_xyyyy_xyyyyyyy_0[j] - tg_xyyyy_xyyyyyyy_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xxyyyy_yyyyyyy_1[j];

                    tg_xxxyyyy_xyyyyyyz_0[j] = pb_x * tg_xxyyyy_xyyyyyyz_0[j] + fr * tg_xxyyyy_xyyyyyyz_1[j] + fl1_fx * (tg_xyyyy_xyyyyyyz_0[j] - tg_xyyyy_xyyyyyyz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xxyyyy_yyyyyyz_1[j];
                }

                idx++;
            }
        }
    }

    void
    compElectronRepulsionForSKSL_480_575(      CMemBlock2D<double>* primBuffer,
                                         const CRecursionMap&       recursionMap,
                                         const CMemBlock2D<double>& osFactors,
                                         const CMemBlock2D<double>& wpDistances,
                                         const CGtoPairsBlock&      braGtoPairsBlock,
                                         const CGtoPairsBlock&      ketGtoPairsBlock,
                                         const int32_t              nKetPrimPairs,
                                         const int32_t              iContrPair)
    {
        // Batch of Integrals (480,575)

        // set up pointers to primitives data on bra side

        auto spos = braGtoPairsBlock.getStartPositions();

        auto epos = braGtoPairsBlock.getEndPositions();

        // set up pointers to tensor of distance R(PB) = P - B

        auto r_pb_x = braGtoPairsBlock.getDistancesPBX();

        // set up pointers to common Obara-Saika factors

        auto b_fx = braGtoPairsBlock.getFactorsOneOverXi();

        // set up maximum order of integral

        auto mord = recursionMap.getMaxOrder({"Electron Repulsion"},
                                             {7, -1, -1, -1},
                                             {8, -1, -1, -1},
                                             1, 1);

        for (int32_t iord = 0; iord <= mord; iord++)
        {
            // set up index of integral

            auto pidx_g_7_8_m0 = recursionMap.index(CRecursionTerm({"Electron Repulsion"}, 0, true, 
                                                                   {7, -1, -1, -1}, {8, -1, -1, -1}, 
                                                                   1, 1, iord));

            // check if integral is needed in recursion expansion

            if (pidx_g_7_8_m0 == -1) continue;

            // set up indexes of auxilary integral

            auto pidx_g_6_8_m0 = recursionMap.index(CRecursionTerm({"Electron Repulsion"}, 0, true, 
                                                                   {6, -1, -1, -1}, {8, -1, -1, -1}, 
                                                                   1, 1, iord));

            auto pidx_g_6_8_m1 = recursionMap.index(CRecursionTerm({"Electron Repulsion"}, 0, true, 
                                                                   {6, -1, -1, -1}, {8, -1, -1, -1}, 
                                                                   1, 1, iord + 1));

            auto pidx_g_5_8_m0 = recursionMap.index(CRecursionTerm({"Electron Repulsion"}, 0, true, 
                                                                   {5, -1, -1, -1}, {8, -1, -1, -1}, 
                                                                   1, 1, iord));

            auto pidx_g_5_8_m1 = recursionMap.index(CRecursionTerm({"Electron Repulsion"}, 0, true, 
                                                                   {5, -1, -1, -1}, {8, -1, -1, -1}, 
                                                                   1, 1, iord + 1));

            auto pidx_g_6_7_m1 = recursionMap.index(CRecursionTerm({"Electron Repulsion"}, 0, true, 
                                                                   {6, -1, -1, -1}, {7, -1, -1, -1}, 
                                                                   1, 1, iord + 1));

            // loop over contracted GTO on bra side

            int32_t idx = 0;

            for (int32_t i = spos[iContrPair]; i < epos[iContrPair]; i++)
            {
                // set up pointers to Obara-Saika factors

                double fx = b_fx[i];

                auto fza = osFactors.data(4 * idx + 2);

                auto fxn = osFactors.data(4 * idx);

                // set up distances R(PB) = P - B

                auto pb_x = r_pb_x[i];

                // set up pointers to tensors product of distances R(WP) = W - P

                auto wp_x = wpDistances.data(3 * idx);

                // set up pointers to auxilary integrals

                auto tg_xxyyyy_xyyyyyzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 480); 

                auto tg_xxyyyy_xyyyyzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 481); 

                auto tg_xxyyyy_xyyyzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 482); 

                auto tg_xxyyyy_xyyzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 483); 

                auto tg_xxyyyy_xyzzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 484); 

                auto tg_xxyyyy_xzzzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 485); 

                auto tg_xxyyyy_yyyyyyyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 486); 

                auto tg_xxyyyy_yyyyyyyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 487); 

                auto tg_xxyyyy_yyyyyyzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 488); 

                auto tg_xxyyyy_yyyyyzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 489); 

                auto tg_xxyyyy_yyyyzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 490); 

                auto tg_xxyyyy_yyyzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 491); 

                auto tg_xxyyyy_yyzzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 492); 

                auto tg_xxyyyy_yzzzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 493); 

                auto tg_xxyyyy_zzzzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 494); 

                auto tg_xxyyyz_xxxxxxxx_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 495); 

                auto tg_xxyyyz_xxxxxxxy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 496); 

                auto tg_xxyyyz_xxxxxxxz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 497); 

                auto tg_xxyyyz_xxxxxxyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 498); 

                auto tg_xxyyyz_xxxxxxyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 499); 

                auto tg_xxyyyz_xxxxxxzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 500); 

                auto tg_xxyyyz_xxxxxyyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 501); 

                auto tg_xxyyyz_xxxxxyyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 502); 

                auto tg_xxyyyz_xxxxxyzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 503); 

                auto tg_xxyyyz_xxxxxzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 504); 

                auto tg_xxyyyz_xxxxyyyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 505); 

                auto tg_xxyyyz_xxxxyyyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 506); 

                auto tg_xxyyyz_xxxxyyzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 507); 

                auto tg_xxyyyz_xxxxyzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 508); 

                auto tg_xxyyyz_xxxxzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 509); 

                auto tg_xxyyyz_xxxyyyyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 510); 

                auto tg_xxyyyz_xxxyyyyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 511); 

                auto tg_xxyyyz_xxxyyyzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 512); 

                auto tg_xxyyyz_xxxyyzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 513); 

                auto tg_xxyyyz_xxxyzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 514); 

                auto tg_xxyyyz_xxxzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 515); 

                auto tg_xxyyyz_xxyyyyyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 516); 

                auto tg_xxyyyz_xxyyyyyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 517); 

                auto tg_xxyyyz_xxyyyyzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 518); 

                auto tg_xxyyyz_xxyyyzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 519); 

                auto tg_xxyyyz_xxyyzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 520); 

                auto tg_xxyyyz_xxyzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 521); 

                auto tg_xxyyyz_xxzzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 522); 

                auto tg_xxyyyz_xyyyyyyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 523); 

                auto tg_xxyyyz_xyyyyyyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 524); 

                auto tg_xxyyyz_xyyyyyzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 525); 

                auto tg_xxyyyz_xyyyyzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 526); 

                auto tg_xxyyyz_xyyyzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 527); 

                auto tg_xxyyyz_xyyzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 528); 

                auto tg_xxyyyz_xyzzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 529); 

                auto tg_xxyyyz_xzzzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 530); 

                auto tg_xxyyyz_yyyyyyyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 531); 

                auto tg_xxyyyz_yyyyyyyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 532); 

                auto tg_xxyyyz_yyyyyyzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 533); 

                auto tg_xxyyyz_yyyyyzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 534); 

                auto tg_xxyyyz_yyyyzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 535); 

                auto tg_xxyyyz_yyyzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 536); 

                auto tg_xxyyyz_yyzzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 537); 

                auto tg_xxyyyz_yzzzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 538); 

                auto tg_xxyyyz_zzzzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 539); 

                auto tg_xxyyzz_xxxxxxxx_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 540); 

                auto tg_xxyyzz_xxxxxxxy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 541); 

                auto tg_xxyyzz_xxxxxxxz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 542); 

                auto tg_xxyyzz_xxxxxxyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 543); 

                auto tg_xxyyzz_xxxxxxyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 544); 

                auto tg_xxyyzz_xxxxxxzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 545); 

                auto tg_xxyyzz_xxxxxyyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 546); 

                auto tg_xxyyzz_xxxxxyyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 547); 

                auto tg_xxyyzz_xxxxxyzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 548); 

                auto tg_xxyyzz_xxxxxzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 549); 

                auto tg_xxyyzz_xxxxyyyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 550); 

                auto tg_xxyyzz_xxxxyyyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 551); 

                auto tg_xxyyzz_xxxxyyzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 552); 

                auto tg_xxyyzz_xxxxyzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 553); 

                auto tg_xxyyzz_xxxxzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 554); 

                auto tg_xxyyzz_xxxyyyyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 555); 

                auto tg_xxyyzz_xxxyyyyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 556); 

                auto tg_xxyyzz_xxxyyyzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 557); 

                auto tg_xxyyzz_xxxyyzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 558); 

                auto tg_xxyyzz_xxxyzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 559); 

                auto tg_xxyyzz_xxxzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 560); 

                auto tg_xxyyzz_xxyyyyyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 561); 

                auto tg_xxyyzz_xxyyyyyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 562); 

                auto tg_xxyyzz_xxyyyyzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 563); 

                auto tg_xxyyzz_xxyyyzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 564); 

                auto tg_xxyyzz_xxyyzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 565); 

                auto tg_xxyyzz_xxyzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 566); 

                auto tg_xxyyzz_xxzzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 567); 

                auto tg_xxyyzz_xyyyyyyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 568); 

                auto tg_xxyyzz_xyyyyyyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 569); 

                auto tg_xxyyzz_xyyyyyzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 570); 

                auto tg_xxyyzz_xyyyyzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 571); 

                auto tg_xxyyzz_xyyyzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 572); 

                auto tg_xxyyzz_xyyzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 573); 

                auto tg_xxyyzz_xyzzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 574); 

                auto tg_xxyyyy_xyyyyyzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 480); 

                auto tg_xxyyyy_xyyyyzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 481); 

                auto tg_xxyyyy_xyyyzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 482); 

                auto tg_xxyyyy_xyyzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 483); 

                auto tg_xxyyyy_xyzzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 484); 

                auto tg_xxyyyy_xzzzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 485); 

                auto tg_xxyyyy_yyyyyyyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 486); 

                auto tg_xxyyyy_yyyyyyyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 487); 

                auto tg_xxyyyy_yyyyyyzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 488); 

                auto tg_xxyyyy_yyyyyzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 489); 

                auto tg_xxyyyy_yyyyzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 490); 

                auto tg_xxyyyy_yyyzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 491); 

                auto tg_xxyyyy_yyzzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 492); 

                auto tg_xxyyyy_yzzzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 493); 

                auto tg_xxyyyy_zzzzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 494); 

                auto tg_xxyyyz_xxxxxxxx_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 495); 

                auto tg_xxyyyz_xxxxxxxy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 496); 

                auto tg_xxyyyz_xxxxxxxz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 497); 

                auto tg_xxyyyz_xxxxxxyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 498); 

                auto tg_xxyyyz_xxxxxxyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 499); 

                auto tg_xxyyyz_xxxxxxzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 500); 

                auto tg_xxyyyz_xxxxxyyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 501); 

                auto tg_xxyyyz_xxxxxyyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 502); 

                auto tg_xxyyyz_xxxxxyzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 503); 

                auto tg_xxyyyz_xxxxxzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 504); 

                auto tg_xxyyyz_xxxxyyyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 505); 

                auto tg_xxyyyz_xxxxyyyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 506); 

                auto tg_xxyyyz_xxxxyyzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 507); 

                auto tg_xxyyyz_xxxxyzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 508); 

                auto tg_xxyyyz_xxxxzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 509); 

                auto tg_xxyyyz_xxxyyyyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 510); 

                auto tg_xxyyyz_xxxyyyyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 511); 

                auto tg_xxyyyz_xxxyyyzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 512); 

                auto tg_xxyyyz_xxxyyzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 513); 

                auto tg_xxyyyz_xxxyzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 514); 

                auto tg_xxyyyz_xxxzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 515); 

                auto tg_xxyyyz_xxyyyyyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 516); 

                auto tg_xxyyyz_xxyyyyyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 517); 

                auto tg_xxyyyz_xxyyyyzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 518); 

                auto tg_xxyyyz_xxyyyzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 519); 

                auto tg_xxyyyz_xxyyzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 520); 

                auto tg_xxyyyz_xxyzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 521); 

                auto tg_xxyyyz_xxzzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 522); 

                auto tg_xxyyyz_xyyyyyyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 523); 

                auto tg_xxyyyz_xyyyyyyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 524); 

                auto tg_xxyyyz_xyyyyyzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 525); 

                auto tg_xxyyyz_xyyyyzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 526); 

                auto tg_xxyyyz_xyyyzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 527); 

                auto tg_xxyyyz_xyyzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 528); 

                auto tg_xxyyyz_xyzzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 529); 

                auto tg_xxyyyz_xzzzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 530); 

                auto tg_xxyyyz_yyyyyyyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 531); 

                auto tg_xxyyyz_yyyyyyyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 532); 

                auto tg_xxyyyz_yyyyyyzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 533); 

                auto tg_xxyyyz_yyyyyzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 534); 

                auto tg_xxyyyz_yyyyzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 535); 

                auto tg_xxyyyz_yyyzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 536); 

                auto tg_xxyyyz_yyzzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 537); 

                auto tg_xxyyyz_yzzzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 538); 

                auto tg_xxyyyz_zzzzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 539); 

                auto tg_xxyyzz_xxxxxxxx_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 540); 

                auto tg_xxyyzz_xxxxxxxy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 541); 

                auto tg_xxyyzz_xxxxxxxz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 542); 

                auto tg_xxyyzz_xxxxxxyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 543); 

                auto tg_xxyyzz_xxxxxxyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 544); 

                auto tg_xxyyzz_xxxxxxzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 545); 

                auto tg_xxyyzz_xxxxxyyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 546); 

                auto tg_xxyyzz_xxxxxyyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 547); 

                auto tg_xxyyzz_xxxxxyzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 548); 

                auto tg_xxyyzz_xxxxxzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 549); 

                auto tg_xxyyzz_xxxxyyyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 550); 

                auto tg_xxyyzz_xxxxyyyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 551); 

                auto tg_xxyyzz_xxxxyyzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 552); 

                auto tg_xxyyzz_xxxxyzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 553); 

                auto tg_xxyyzz_xxxxzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 554); 

                auto tg_xxyyzz_xxxyyyyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 555); 

                auto tg_xxyyzz_xxxyyyyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 556); 

                auto tg_xxyyzz_xxxyyyzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 557); 

                auto tg_xxyyzz_xxxyyzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 558); 

                auto tg_xxyyzz_xxxyzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 559); 

                auto tg_xxyyzz_xxxzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 560); 

                auto tg_xxyyzz_xxyyyyyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 561); 

                auto tg_xxyyzz_xxyyyyyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 562); 

                auto tg_xxyyzz_xxyyyyzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 563); 

                auto tg_xxyyzz_xxyyyzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 564); 

                auto tg_xxyyzz_xxyyzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 565); 

                auto tg_xxyyzz_xxyzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 566); 

                auto tg_xxyyzz_xxzzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 567); 

                auto tg_xxyyzz_xyyyyyyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 568); 

                auto tg_xxyyzz_xyyyyyyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 569); 

                auto tg_xxyyzz_xyyyyyzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 570); 

                auto tg_xxyyzz_xyyyyzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 571); 

                auto tg_xxyyzz_xyyyzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 572); 

                auto tg_xxyyzz_xyyzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 573); 

                auto tg_xxyyzz_xyzzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 574); 

                auto tg_xyyyy_xyyyyyzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 480); 

                auto tg_xyyyy_xyyyyzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 481); 

                auto tg_xyyyy_xyyyzzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 482); 

                auto tg_xyyyy_xyyzzzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 483); 

                auto tg_xyyyy_xyzzzzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 484); 

                auto tg_xyyyy_xzzzzzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 485); 

                auto tg_xyyyy_yyyyyyyy_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 486); 

                auto tg_xyyyy_yyyyyyyz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 487); 

                auto tg_xyyyy_yyyyyyzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 488); 

                auto tg_xyyyy_yyyyyzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 489); 

                auto tg_xyyyy_yyyyzzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 490); 

                auto tg_xyyyy_yyyzzzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 491); 

                auto tg_xyyyy_yyzzzzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 492); 

                auto tg_xyyyy_yzzzzzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 493); 

                auto tg_xyyyy_zzzzzzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 494); 

                auto tg_xyyyz_xxxxxxxx_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 495); 

                auto tg_xyyyz_xxxxxxxy_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 496); 

                auto tg_xyyyz_xxxxxxxz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 497); 

                auto tg_xyyyz_xxxxxxyy_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 498); 

                auto tg_xyyyz_xxxxxxyz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 499); 

                auto tg_xyyyz_xxxxxxzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 500); 

                auto tg_xyyyz_xxxxxyyy_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 501); 

                auto tg_xyyyz_xxxxxyyz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 502); 

                auto tg_xyyyz_xxxxxyzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 503); 

                auto tg_xyyyz_xxxxxzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 504); 

                auto tg_xyyyz_xxxxyyyy_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 505); 

                auto tg_xyyyz_xxxxyyyz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 506); 

                auto tg_xyyyz_xxxxyyzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 507); 

                auto tg_xyyyz_xxxxyzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 508); 

                auto tg_xyyyz_xxxxzzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 509); 

                auto tg_xyyyz_xxxyyyyy_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 510); 

                auto tg_xyyyz_xxxyyyyz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 511); 

                auto tg_xyyyz_xxxyyyzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 512); 

                auto tg_xyyyz_xxxyyzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 513); 

                auto tg_xyyyz_xxxyzzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 514); 

                auto tg_xyyyz_xxxzzzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 515); 

                auto tg_xyyyz_xxyyyyyy_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 516); 

                auto tg_xyyyz_xxyyyyyz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 517); 

                auto tg_xyyyz_xxyyyyzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 518); 

                auto tg_xyyyz_xxyyyzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 519); 

                auto tg_xyyyz_xxyyzzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 520); 

                auto tg_xyyyz_xxyzzzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 521); 

                auto tg_xyyyz_xxzzzzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 522); 

                auto tg_xyyyz_xyyyyyyy_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 523); 

                auto tg_xyyyz_xyyyyyyz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 524); 

                auto tg_xyyyz_xyyyyyzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 525); 

                auto tg_xyyyz_xyyyyzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 526); 

                auto tg_xyyyz_xyyyzzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 527); 

                auto tg_xyyyz_xyyzzzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 528); 

                auto tg_xyyyz_xyzzzzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 529); 

                auto tg_xyyyz_xzzzzzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 530); 

                auto tg_xyyyz_yyyyyyyy_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 531); 

                auto tg_xyyyz_yyyyyyyz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 532); 

                auto tg_xyyyz_yyyyyyzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 533); 

                auto tg_xyyyz_yyyyyzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 534); 

                auto tg_xyyyz_yyyyzzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 535); 

                auto tg_xyyyz_yyyzzzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 536); 

                auto tg_xyyyz_yyzzzzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 537); 

                auto tg_xyyyz_yzzzzzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 538); 

                auto tg_xyyyz_zzzzzzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 539); 

                auto tg_xyyzz_xxxxxxxx_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 540); 

                auto tg_xyyzz_xxxxxxxy_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 541); 

                auto tg_xyyzz_xxxxxxxz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 542); 

                auto tg_xyyzz_xxxxxxyy_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 543); 

                auto tg_xyyzz_xxxxxxyz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 544); 

                auto tg_xyyzz_xxxxxxzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 545); 

                auto tg_xyyzz_xxxxxyyy_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 546); 

                auto tg_xyyzz_xxxxxyyz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 547); 

                auto tg_xyyzz_xxxxxyzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 548); 

                auto tg_xyyzz_xxxxxzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 549); 

                auto tg_xyyzz_xxxxyyyy_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 550); 

                auto tg_xyyzz_xxxxyyyz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 551); 

                auto tg_xyyzz_xxxxyyzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 552); 

                auto tg_xyyzz_xxxxyzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 553); 

                auto tg_xyyzz_xxxxzzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 554); 

                auto tg_xyyzz_xxxyyyyy_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 555); 

                auto tg_xyyzz_xxxyyyyz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 556); 

                auto tg_xyyzz_xxxyyyzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 557); 

                auto tg_xyyzz_xxxyyzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 558); 

                auto tg_xyyzz_xxxyzzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 559); 

                auto tg_xyyzz_xxxzzzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 560); 

                auto tg_xyyzz_xxyyyyyy_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 561); 

                auto tg_xyyzz_xxyyyyyz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 562); 

                auto tg_xyyzz_xxyyyyzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 563); 

                auto tg_xyyzz_xxyyyzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 564); 

                auto tg_xyyzz_xxyyzzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 565); 

                auto tg_xyyzz_xxyzzzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 566); 

                auto tg_xyyzz_xxzzzzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 567); 

                auto tg_xyyzz_xyyyyyyy_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 568); 

                auto tg_xyyzz_xyyyyyyz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 569); 

                auto tg_xyyzz_xyyyyyzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 570); 

                auto tg_xyyzz_xyyyyzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 571); 

                auto tg_xyyzz_xyyyzzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 572); 

                auto tg_xyyzz_xyyzzzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 573); 

                auto tg_xyyzz_xyzzzzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 574); 

                auto tg_xyyyy_xyyyyyzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 480); 

                auto tg_xyyyy_xyyyyzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 481); 

                auto tg_xyyyy_xyyyzzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 482); 

                auto tg_xyyyy_xyyzzzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 483); 

                auto tg_xyyyy_xyzzzzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 484); 

                auto tg_xyyyy_xzzzzzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 485); 

                auto tg_xyyyy_yyyyyyyy_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 486); 

                auto tg_xyyyy_yyyyyyyz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 487); 

                auto tg_xyyyy_yyyyyyzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 488); 

                auto tg_xyyyy_yyyyyzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 489); 

                auto tg_xyyyy_yyyyzzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 490); 

                auto tg_xyyyy_yyyzzzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 491); 

                auto tg_xyyyy_yyzzzzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 492); 

                auto tg_xyyyy_yzzzzzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 493); 

                auto tg_xyyyy_zzzzzzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 494); 

                auto tg_xyyyz_xxxxxxxx_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 495); 

                auto tg_xyyyz_xxxxxxxy_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 496); 

                auto tg_xyyyz_xxxxxxxz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 497); 

                auto tg_xyyyz_xxxxxxyy_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 498); 

                auto tg_xyyyz_xxxxxxyz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 499); 

                auto tg_xyyyz_xxxxxxzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 500); 

                auto tg_xyyyz_xxxxxyyy_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 501); 

                auto tg_xyyyz_xxxxxyyz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 502); 

                auto tg_xyyyz_xxxxxyzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 503); 

                auto tg_xyyyz_xxxxxzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 504); 

                auto tg_xyyyz_xxxxyyyy_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 505); 

                auto tg_xyyyz_xxxxyyyz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 506); 

                auto tg_xyyyz_xxxxyyzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 507); 

                auto tg_xyyyz_xxxxyzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 508); 

                auto tg_xyyyz_xxxxzzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 509); 

                auto tg_xyyyz_xxxyyyyy_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 510); 

                auto tg_xyyyz_xxxyyyyz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 511); 

                auto tg_xyyyz_xxxyyyzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 512); 

                auto tg_xyyyz_xxxyyzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 513); 

                auto tg_xyyyz_xxxyzzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 514); 

                auto tg_xyyyz_xxxzzzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 515); 

                auto tg_xyyyz_xxyyyyyy_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 516); 

                auto tg_xyyyz_xxyyyyyz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 517); 

                auto tg_xyyyz_xxyyyyzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 518); 

                auto tg_xyyyz_xxyyyzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 519); 

                auto tg_xyyyz_xxyyzzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 520); 

                auto tg_xyyyz_xxyzzzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 521); 

                auto tg_xyyyz_xxzzzzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 522); 

                auto tg_xyyyz_xyyyyyyy_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 523); 

                auto tg_xyyyz_xyyyyyyz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 524); 

                auto tg_xyyyz_xyyyyyzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 525); 

                auto tg_xyyyz_xyyyyzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 526); 

                auto tg_xyyyz_xyyyzzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 527); 

                auto tg_xyyyz_xyyzzzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 528); 

                auto tg_xyyyz_xyzzzzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 529); 

                auto tg_xyyyz_xzzzzzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 530); 

                auto tg_xyyyz_yyyyyyyy_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 531); 

                auto tg_xyyyz_yyyyyyyz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 532); 

                auto tg_xyyyz_yyyyyyzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 533); 

                auto tg_xyyyz_yyyyyzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 534); 

                auto tg_xyyyz_yyyyzzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 535); 

                auto tg_xyyyz_yyyzzzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 536); 

                auto tg_xyyyz_yyzzzzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 537); 

                auto tg_xyyyz_yzzzzzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 538); 

                auto tg_xyyyz_zzzzzzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 539); 

                auto tg_xyyzz_xxxxxxxx_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 540); 

                auto tg_xyyzz_xxxxxxxy_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 541); 

                auto tg_xyyzz_xxxxxxxz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 542); 

                auto tg_xyyzz_xxxxxxyy_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 543); 

                auto tg_xyyzz_xxxxxxyz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 544); 

                auto tg_xyyzz_xxxxxxzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 545); 

                auto tg_xyyzz_xxxxxyyy_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 546); 

                auto tg_xyyzz_xxxxxyyz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 547); 

                auto tg_xyyzz_xxxxxyzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 548); 

                auto tg_xyyzz_xxxxxzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 549); 

                auto tg_xyyzz_xxxxyyyy_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 550); 

                auto tg_xyyzz_xxxxyyyz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 551); 

                auto tg_xyyzz_xxxxyyzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 552); 

                auto tg_xyyzz_xxxxyzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 553); 

                auto tg_xyyzz_xxxxzzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 554); 

                auto tg_xyyzz_xxxyyyyy_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 555); 

                auto tg_xyyzz_xxxyyyyz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 556); 

                auto tg_xyyzz_xxxyyyzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 557); 

                auto tg_xyyzz_xxxyyzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 558); 

                auto tg_xyyzz_xxxyzzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 559); 

                auto tg_xyyzz_xxxzzzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 560); 

                auto tg_xyyzz_xxyyyyyy_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 561); 

                auto tg_xyyzz_xxyyyyyz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 562); 

                auto tg_xyyzz_xxyyyyzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 563); 

                auto tg_xyyzz_xxyyyzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 564); 

                auto tg_xyyzz_xxyyzzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 565); 

                auto tg_xyyzz_xxyzzzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 566); 

                auto tg_xyyzz_xxzzzzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 567); 

                auto tg_xyyzz_xyyyyyyy_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 568); 

                auto tg_xyyzz_xyyyyyyz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 569); 

                auto tg_xyyzz_xyyyyyzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 570); 

                auto tg_xyyzz_xyyyyzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 571); 

                auto tg_xyyzz_xyyyzzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 572); 

                auto tg_xyyzz_xyyzzzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 573); 

                auto tg_xyyzz_xyzzzzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 574); 

                auto tg_xxyyyy_yyyyyzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 390); 

                auto tg_xxyyyy_yyyyzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 391); 

                auto tg_xxyyyy_yyyzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 392); 

                auto tg_xxyyyy_yyzzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 393); 

                auto tg_xxyyyy_yzzzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 394); 

                auto tg_xxyyyy_zzzzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 395); 

                auto tg_xxyyyz_xxxxxxx_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 396); 

                auto tg_xxyyyz_xxxxxxy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 397); 

                auto tg_xxyyyz_xxxxxxz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 398); 

                auto tg_xxyyyz_xxxxxyy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 399); 

                auto tg_xxyyyz_xxxxxyz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 400); 

                auto tg_xxyyyz_xxxxxzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 401); 

                auto tg_xxyyyz_xxxxyyy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 402); 

                auto tg_xxyyyz_xxxxyyz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 403); 

                auto tg_xxyyyz_xxxxyzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 404); 

                auto tg_xxyyyz_xxxxzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 405); 

                auto tg_xxyyyz_xxxyyyy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 406); 

                auto tg_xxyyyz_xxxyyyz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 407); 

                auto tg_xxyyyz_xxxyyzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 408); 

                auto tg_xxyyyz_xxxyzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 409); 

                auto tg_xxyyyz_xxxzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 410); 

                auto tg_xxyyyz_xxyyyyy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 411); 

                auto tg_xxyyyz_xxyyyyz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 412); 

                auto tg_xxyyyz_xxyyyzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 413); 

                auto tg_xxyyyz_xxyyzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 414); 

                auto tg_xxyyyz_xxyzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 415); 

                auto tg_xxyyyz_xxzzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 416); 

                auto tg_xxyyyz_xyyyyyy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 417); 

                auto tg_xxyyyz_xyyyyyz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 418); 

                auto tg_xxyyyz_xyyyyzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 419); 

                auto tg_xxyyyz_xyyyzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 420); 

                auto tg_xxyyyz_xyyzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 421); 

                auto tg_xxyyyz_xyzzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 422); 

                auto tg_xxyyyz_xzzzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 423); 

                auto tg_xxyyyz_yyyyyyy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 424); 

                auto tg_xxyyyz_yyyyyyz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 425); 

                auto tg_xxyyyz_yyyyyzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 426); 

                auto tg_xxyyyz_yyyyzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 427); 

                auto tg_xxyyyz_yyyzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 428); 

                auto tg_xxyyyz_yyzzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 429); 

                auto tg_xxyyyz_yzzzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 430); 

                auto tg_xxyyyz_zzzzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 431); 

                auto tg_xxyyzz_xxxxxxx_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 432); 

                auto tg_xxyyzz_xxxxxxy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 433); 

                auto tg_xxyyzz_xxxxxxz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 434); 

                auto tg_xxyyzz_xxxxxyy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 435); 

                auto tg_xxyyzz_xxxxxyz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 436); 

                auto tg_xxyyzz_xxxxxzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 437); 

                auto tg_xxyyzz_xxxxyyy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 438); 

                auto tg_xxyyzz_xxxxyyz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 439); 

                auto tg_xxyyzz_xxxxyzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 440); 

                auto tg_xxyyzz_xxxxzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 441); 

                auto tg_xxyyzz_xxxyyyy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 442); 

                auto tg_xxyyzz_xxxyyyz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 443); 

                auto tg_xxyyzz_xxxyyzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 444); 

                auto tg_xxyyzz_xxxyzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 445); 

                auto tg_xxyyzz_xxxzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 446); 

                auto tg_xxyyzz_xxyyyyy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 447); 

                auto tg_xxyyzz_xxyyyyz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 448); 

                auto tg_xxyyzz_xxyyyzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 449); 

                auto tg_xxyyzz_xxyyzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 450); 

                auto tg_xxyyzz_xxyzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 451); 

                auto tg_xxyyzz_xxzzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 452); 

                auto tg_xxyyzz_xyyyyyy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 453); 

                auto tg_xxyyzz_xyyyyyz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 454); 

                auto tg_xxyyzz_xyyyyzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 455); 

                auto tg_xxyyzz_xyyyzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 456); 

                auto tg_xxyyzz_xyyzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 457); 

                auto tg_xxyyzz_xyzzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 458); 

                auto tg_xxyyzz_xzzzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 459); 

                auto tg_xxyyzz_yyyyyyy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 460); 

                auto tg_xxyyzz_yyyyyyz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 461); 

                auto tg_xxyyzz_yyyyyzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 462); 

                auto tg_xxyyzz_yyyyzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 463); 

                auto tg_xxyyzz_yyyzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 464); 

                auto tg_xxyyzz_yyzzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 465); 

                auto tg_xxyyzz_yzzzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 466); 

                // set up pointers to integrals

                auto tg_xxxyyyy_xyyyyyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 480); 

                auto tg_xxxyyyy_xyyyyzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 481); 

                auto tg_xxxyyyy_xyyyzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 482); 

                auto tg_xxxyyyy_xyyzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 483); 

                auto tg_xxxyyyy_xyzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 484); 

                auto tg_xxxyyyy_xzzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 485); 

                auto tg_xxxyyyy_yyyyyyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 486); 

                auto tg_xxxyyyy_yyyyyyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 487); 

                auto tg_xxxyyyy_yyyyyyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 488); 

                auto tg_xxxyyyy_yyyyyzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 489); 

                auto tg_xxxyyyy_yyyyzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 490); 

                auto tg_xxxyyyy_yyyzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 491); 

                auto tg_xxxyyyy_yyzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 492); 

                auto tg_xxxyyyy_yzzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 493); 

                auto tg_xxxyyyy_zzzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 494); 

                auto tg_xxxyyyz_xxxxxxxx_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 495); 

                auto tg_xxxyyyz_xxxxxxxy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 496); 

                auto tg_xxxyyyz_xxxxxxxz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 497); 

                auto tg_xxxyyyz_xxxxxxyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 498); 

                auto tg_xxxyyyz_xxxxxxyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 499); 

                auto tg_xxxyyyz_xxxxxxzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 500); 

                auto tg_xxxyyyz_xxxxxyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 501); 

                auto tg_xxxyyyz_xxxxxyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 502); 

                auto tg_xxxyyyz_xxxxxyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 503); 

                auto tg_xxxyyyz_xxxxxzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 504); 

                auto tg_xxxyyyz_xxxxyyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 505); 

                auto tg_xxxyyyz_xxxxyyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 506); 

                auto tg_xxxyyyz_xxxxyyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 507); 

                auto tg_xxxyyyz_xxxxyzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 508); 

                auto tg_xxxyyyz_xxxxzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 509); 

                auto tg_xxxyyyz_xxxyyyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 510); 

                auto tg_xxxyyyz_xxxyyyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 511); 

                auto tg_xxxyyyz_xxxyyyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 512); 

                auto tg_xxxyyyz_xxxyyzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 513); 

                auto tg_xxxyyyz_xxxyzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 514); 

                auto tg_xxxyyyz_xxxzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 515); 

                auto tg_xxxyyyz_xxyyyyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 516); 

                auto tg_xxxyyyz_xxyyyyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 517); 

                auto tg_xxxyyyz_xxyyyyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 518); 

                auto tg_xxxyyyz_xxyyyzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 519); 

                auto tg_xxxyyyz_xxyyzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 520); 

                auto tg_xxxyyyz_xxyzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 521); 

                auto tg_xxxyyyz_xxzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 522); 

                auto tg_xxxyyyz_xyyyyyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 523); 

                auto tg_xxxyyyz_xyyyyyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 524); 

                auto tg_xxxyyyz_xyyyyyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 525); 

                auto tg_xxxyyyz_xyyyyzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 526); 

                auto tg_xxxyyyz_xyyyzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 527); 

                auto tg_xxxyyyz_xyyzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 528); 

                auto tg_xxxyyyz_xyzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 529); 

                auto tg_xxxyyyz_xzzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 530); 

                auto tg_xxxyyyz_yyyyyyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 531); 

                auto tg_xxxyyyz_yyyyyyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 532); 

                auto tg_xxxyyyz_yyyyyyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 533); 

                auto tg_xxxyyyz_yyyyyzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 534); 

                auto tg_xxxyyyz_yyyyzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 535); 

                auto tg_xxxyyyz_yyyzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 536); 

                auto tg_xxxyyyz_yyzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 537); 

                auto tg_xxxyyyz_yzzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 538); 

                auto tg_xxxyyyz_zzzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 539); 

                auto tg_xxxyyzz_xxxxxxxx_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 540); 

                auto tg_xxxyyzz_xxxxxxxy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 541); 

                auto tg_xxxyyzz_xxxxxxxz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 542); 

                auto tg_xxxyyzz_xxxxxxyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 543); 

                auto tg_xxxyyzz_xxxxxxyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 544); 

                auto tg_xxxyyzz_xxxxxxzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 545); 

                auto tg_xxxyyzz_xxxxxyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 546); 

                auto tg_xxxyyzz_xxxxxyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 547); 

                auto tg_xxxyyzz_xxxxxyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 548); 

                auto tg_xxxyyzz_xxxxxzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 549); 

                auto tg_xxxyyzz_xxxxyyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 550); 

                auto tg_xxxyyzz_xxxxyyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 551); 

                auto tg_xxxyyzz_xxxxyyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 552); 

                auto tg_xxxyyzz_xxxxyzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 553); 

                auto tg_xxxyyzz_xxxxzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 554); 

                auto tg_xxxyyzz_xxxyyyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 555); 

                auto tg_xxxyyzz_xxxyyyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 556); 

                auto tg_xxxyyzz_xxxyyyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 557); 

                auto tg_xxxyyzz_xxxyyzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 558); 

                auto tg_xxxyyzz_xxxyzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 559); 

                auto tg_xxxyyzz_xxxzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 560); 

                auto tg_xxxyyzz_xxyyyyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 561); 

                auto tg_xxxyyzz_xxyyyyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 562); 

                auto tg_xxxyyzz_xxyyyyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 563); 

                auto tg_xxxyyzz_xxyyyzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 564); 

                auto tg_xxxyyzz_xxyyzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 565); 

                auto tg_xxxyyzz_xxyzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 566); 

                auto tg_xxxyyzz_xxzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 567); 

                auto tg_xxxyyzz_xyyyyyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 568); 

                auto tg_xxxyyzz_xyyyyyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 569); 

                auto tg_xxxyyzz_xyyyyyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 570); 

                auto tg_xxxyyzz_xyyyyzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 571); 

                auto tg_xxxyyzz_xyyyzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 572); 

                auto tg_xxxyyzz_xyyzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 573); 

                auto tg_xxxyyzz_xyzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 574); 

                // Batch of Integrals (480,575)

                #pragma omp simd aligned(fxn, fza, tg_xxxyyyy_xyyyyyzz_0, tg_xxxyyyy_xyyyyzzz_0, \
                                         tg_xxxyyyy_xyyyzzzz_0, tg_xxxyyyy_xyyzzzzz_0, tg_xxxyyyy_xyzzzzzz_0, \
                                         tg_xxxyyyy_xzzzzzzz_0, tg_xxxyyyy_yyyyyyyy_0, tg_xxxyyyy_yyyyyyyz_0, \
                                         tg_xxxyyyy_yyyyyyzz_0, tg_xxxyyyy_yyyyyzzz_0, tg_xxxyyyy_yyyyzzzz_0, \
                                         tg_xxxyyyy_yyyzzzzz_0, tg_xxxyyyy_yyzzzzzz_0, tg_xxxyyyy_yzzzzzzz_0, \
                                         tg_xxxyyyy_zzzzzzzz_0, tg_xxxyyyz_xxxxxxxx_0, tg_xxxyyyz_xxxxxxxy_0, \
                                         tg_xxxyyyz_xxxxxxxz_0, tg_xxxyyyz_xxxxxxyy_0, tg_xxxyyyz_xxxxxxyz_0, \
                                         tg_xxxyyyz_xxxxxxzz_0, tg_xxxyyyz_xxxxxyyy_0, tg_xxxyyyz_xxxxxyyz_0, \
                                         tg_xxxyyyz_xxxxxyzz_0, tg_xxxyyyz_xxxxxzzz_0, tg_xxxyyyz_xxxxyyyy_0, \
                                         tg_xxxyyyz_xxxxyyyz_0, tg_xxxyyyz_xxxxyyzz_0, tg_xxxyyyz_xxxxyzzz_0, \
                                         tg_xxxyyyz_xxxxzzzz_0, tg_xxxyyyz_xxxyyyyy_0, tg_xxxyyyz_xxxyyyyz_0, \
                                         tg_xxxyyyz_xxxyyyzz_0, tg_xxxyyyz_xxxyyzzz_0, tg_xxxyyyz_xxxyzzzz_0, \
                                         tg_xxxyyyz_xxxzzzzz_0, tg_xxxyyyz_xxyyyyyy_0, tg_xxxyyyz_xxyyyyyz_0, \
                                         tg_xxxyyyz_xxyyyyzz_0, tg_xxxyyyz_xxyyyzzz_0, tg_xxxyyyz_xxyyzzzz_0, \
                                         tg_xxxyyyz_xxyzzzzz_0, tg_xxxyyyz_xxzzzzzz_0, tg_xxxyyyz_xyyyyyyy_0, \
                                         tg_xxxyyyz_xyyyyyyz_0, tg_xxxyyyz_xyyyyyzz_0, tg_xxxyyyz_xyyyyzzz_0, \
                                         tg_xxxyyyz_xyyyzzzz_0, tg_xxxyyyz_xyyzzzzz_0, tg_xxxyyyz_xyzzzzzz_0, \
                                         tg_xxxyyyz_xzzzzzzz_0, tg_xxxyyyz_yyyyyyyy_0, tg_xxxyyyz_yyyyyyyz_0, \
                                         tg_xxxyyyz_yyyyyyzz_0, tg_xxxyyyz_yyyyyzzz_0, tg_xxxyyyz_yyyyzzzz_0, \
                                         tg_xxxyyyz_yyyzzzzz_0, tg_xxxyyyz_yyzzzzzz_0, tg_xxxyyyz_yzzzzzzz_0, \
                                         tg_xxxyyyz_zzzzzzzz_0, tg_xxxyyzz_xxxxxxxx_0, tg_xxxyyzz_xxxxxxxy_0, \
                                         tg_xxxyyzz_xxxxxxxz_0, tg_xxxyyzz_xxxxxxyy_0, tg_xxxyyzz_xxxxxxyz_0, \
                                         tg_xxxyyzz_xxxxxxzz_0, tg_xxxyyzz_xxxxxyyy_0, tg_xxxyyzz_xxxxxyyz_0, \
                                         tg_xxxyyzz_xxxxxyzz_0, tg_xxxyyzz_xxxxxzzz_0, tg_xxxyyzz_xxxxyyyy_0, \
                                         tg_xxxyyzz_xxxxyyyz_0, tg_xxxyyzz_xxxxyyzz_0, tg_xxxyyzz_xxxxyzzz_0, \
                                         tg_xxxyyzz_xxxxzzzz_0, tg_xxxyyzz_xxxyyyyy_0, tg_xxxyyzz_xxxyyyyz_0, \
                                         tg_xxxyyzz_xxxyyyzz_0, tg_xxxyyzz_xxxyyzzz_0, tg_xxxyyzz_xxxyzzzz_0, \
                                         tg_xxxyyzz_xxxzzzzz_0, tg_xxxyyzz_xxyyyyyy_0, tg_xxxyyzz_xxyyyyyz_0, \
                                         tg_xxxyyzz_xxyyyyzz_0, tg_xxxyyzz_xxyyyzzz_0, tg_xxxyyzz_xxyyzzzz_0, \
                                         tg_xxxyyzz_xxyzzzzz_0, tg_xxxyyzz_xxzzzzzz_0, tg_xxxyyzz_xyyyyyyy_0, \
                                         tg_xxxyyzz_xyyyyyyz_0, tg_xxxyyzz_xyyyyyzz_0, tg_xxxyyzz_xyyyyzzz_0, \
                                         tg_xxxyyzz_xyyyzzzz_0, tg_xxxyyzz_xyyzzzzz_0, tg_xxxyyzz_xyzzzzzz_0, \
                                         tg_xxyyyy_xyyyyyzz_0, tg_xxyyyy_xyyyyyzz_1, tg_xxyyyy_xyyyyzzz_0, tg_xxyyyy_xyyyyzzz_1, \
                                         tg_xxyyyy_xyyyzzzz_0, tg_xxyyyy_xyyyzzzz_1, tg_xxyyyy_xyyzzzzz_0, tg_xxyyyy_xyyzzzzz_1, \
                                         tg_xxyyyy_xyzzzzzz_0, tg_xxyyyy_xyzzzzzz_1, tg_xxyyyy_xzzzzzzz_0, tg_xxyyyy_xzzzzzzz_1, \
                                         tg_xxyyyy_yyyyyyyy_0, tg_xxyyyy_yyyyyyyy_1, tg_xxyyyy_yyyyyyyz_0, tg_xxyyyy_yyyyyyyz_1, \
                                         tg_xxyyyy_yyyyyyzz_0, tg_xxyyyy_yyyyyyzz_1, tg_xxyyyy_yyyyyzz_1, tg_xxyyyy_yyyyyzzz_0, \
                                         tg_xxyyyy_yyyyyzzz_1, tg_xxyyyy_yyyyzzz_1, tg_xxyyyy_yyyyzzzz_0, tg_xxyyyy_yyyyzzzz_1, \
                                         tg_xxyyyy_yyyzzzz_1, tg_xxyyyy_yyyzzzzz_0, tg_xxyyyy_yyyzzzzz_1, tg_xxyyyy_yyzzzzz_1, \
                                         tg_xxyyyy_yyzzzzzz_0, tg_xxyyyy_yyzzzzzz_1, tg_xxyyyy_yzzzzzz_1, tg_xxyyyy_yzzzzzzz_0, \
                                         tg_xxyyyy_yzzzzzzz_1, tg_xxyyyy_zzzzzzz_1, tg_xxyyyy_zzzzzzzz_0, tg_xxyyyy_zzzzzzzz_1, \
                                         tg_xxyyyz_xxxxxxx_1, tg_xxyyyz_xxxxxxxx_0, tg_xxyyyz_xxxxxxxx_1, tg_xxyyyz_xxxxxxxy_0, \
                                         tg_xxyyyz_xxxxxxxy_1, tg_xxyyyz_xxxxxxxz_0, tg_xxyyyz_xxxxxxxz_1, tg_xxyyyz_xxxxxxy_1, \
                                         tg_xxyyyz_xxxxxxyy_0, tg_xxyyyz_xxxxxxyy_1, tg_xxyyyz_xxxxxxyz_0, tg_xxyyyz_xxxxxxyz_1, \
                                         tg_xxyyyz_xxxxxxz_1, tg_xxyyyz_xxxxxxzz_0, tg_xxyyyz_xxxxxxzz_1, tg_xxyyyz_xxxxxyy_1, \
                                         tg_xxyyyz_xxxxxyyy_0, tg_xxyyyz_xxxxxyyy_1, tg_xxyyyz_xxxxxyyz_0, tg_xxyyyz_xxxxxyyz_1, \
                                         tg_xxyyyz_xxxxxyz_1, tg_xxyyyz_xxxxxyzz_0, tg_xxyyyz_xxxxxyzz_1, tg_xxyyyz_xxxxxzz_1, \
                                         tg_xxyyyz_xxxxxzzz_0, tg_xxyyyz_xxxxxzzz_1, tg_xxyyyz_xxxxyyy_1, tg_xxyyyz_xxxxyyyy_0, \
                                         tg_xxyyyz_xxxxyyyy_1, tg_xxyyyz_xxxxyyyz_0, tg_xxyyyz_xxxxyyyz_1, tg_xxyyyz_xxxxyyz_1, \
                                         tg_xxyyyz_xxxxyyzz_0, tg_xxyyyz_xxxxyyzz_1, tg_xxyyyz_xxxxyzz_1, tg_xxyyyz_xxxxyzzz_0, \
                                         tg_xxyyyz_xxxxyzzz_1, tg_xxyyyz_xxxxzzz_1, tg_xxyyyz_xxxxzzzz_0, tg_xxyyyz_xxxxzzzz_1, \
                                         tg_xxyyyz_xxxyyyy_1, tg_xxyyyz_xxxyyyyy_0, tg_xxyyyz_xxxyyyyy_1, tg_xxyyyz_xxxyyyyz_0, \
                                         tg_xxyyyz_xxxyyyyz_1, tg_xxyyyz_xxxyyyz_1, tg_xxyyyz_xxxyyyzz_0, tg_xxyyyz_xxxyyyzz_1, \
                                         tg_xxyyyz_xxxyyzz_1, tg_xxyyyz_xxxyyzzz_0, tg_xxyyyz_xxxyyzzz_1, tg_xxyyyz_xxxyzzz_1, \
                                         tg_xxyyyz_xxxyzzzz_0, tg_xxyyyz_xxxyzzzz_1, tg_xxyyyz_xxxzzzz_1, tg_xxyyyz_xxxzzzzz_0, \
                                         tg_xxyyyz_xxxzzzzz_1, tg_xxyyyz_xxyyyyy_1, tg_xxyyyz_xxyyyyyy_0, tg_xxyyyz_xxyyyyyy_1, \
                                         tg_xxyyyz_xxyyyyyz_0, tg_xxyyyz_xxyyyyyz_1, tg_xxyyyz_xxyyyyz_1, tg_xxyyyz_xxyyyyzz_0, \
                                         tg_xxyyyz_xxyyyyzz_1, tg_xxyyyz_xxyyyzz_1, tg_xxyyyz_xxyyyzzz_0, tg_xxyyyz_xxyyyzzz_1, \
                                         tg_xxyyyz_xxyyzzz_1, tg_xxyyyz_xxyyzzzz_0, tg_xxyyyz_xxyyzzzz_1, tg_xxyyyz_xxyzzzz_1, \
                                         tg_xxyyyz_xxyzzzzz_0, tg_xxyyyz_xxyzzzzz_1, tg_xxyyyz_xxzzzzz_1, tg_xxyyyz_xxzzzzzz_0, \
                                         tg_xxyyyz_xxzzzzzz_1, tg_xxyyyz_xyyyyyy_1, tg_xxyyyz_xyyyyyyy_0, tg_xxyyyz_xyyyyyyy_1, \
                                         tg_xxyyyz_xyyyyyyz_0, tg_xxyyyz_xyyyyyyz_1, tg_xxyyyz_xyyyyyz_1, tg_xxyyyz_xyyyyyzz_0, \
                                         tg_xxyyyz_xyyyyyzz_1, tg_xxyyyz_xyyyyzz_1, tg_xxyyyz_xyyyyzzz_0, tg_xxyyyz_xyyyyzzz_1, \
                                         tg_xxyyyz_xyyyzzz_1, tg_xxyyyz_xyyyzzzz_0, tg_xxyyyz_xyyyzzzz_1, tg_xxyyyz_xyyzzzz_1, \
                                         tg_xxyyyz_xyyzzzzz_0, tg_xxyyyz_xyyzzzzz_1, tg_xxyyyz_xyzzzzz_1, tg_xxyyyz_xyzzzzzz_0, \
                                         tg_xxyyyz_xyzzzzzz_1, tg_xxyyyz_xzzzzzz_1, tg_xxyyyz_xzzzzzzz_0, tg_xxyyyz_xzzzzzzz_1, \
                                         tg_xxyyyz_yyyyyyy_1, tg_xxyyyz_yyyyyyyy_0, tg_xxyyyz_yyyyyyyy_1, tg_xxyyyz_yyyyyyyz_0, \
                                         tg_xxyyyz_yyyyyyyz_1, tg_xxyyyz_yyyyyyz_1, tg_xxyyyz_yyyyyyzz_0, tg_xxyyyz_yyyyyyzz_1, \
                                         tg_xxyyyz_yyyyyzz_1, tg_xxyyyz_yyyyyzzz_0, tg_xxyyyz_yyyyyzzz_1, tg_xxyyyz_yyyyzzz_1, \
                                         tg_xxyyyz_yyyyzzzz_0, tg_xxyyyz_yyyyzzzz_1, tg_xxyyyz_yyyzzzz_1, tg_xxyyyz_yyyzzzzz_0, \
                                         tg_xxyyyz_yyyzzzzz_1, tg_xxyyyz_yyzzzzz_1, tg_xxyyyz_yyzzzzzz_0, tg_xxyyyz_yyzzzzzz_1, \
                                         tg_xxyyyz_yzzzzzz_1, tg_xxyyyz_yzzzzzzz_0, tg_xxyyyz_yzzzzzzz_1, tg_xxyyyz_zzzzzzz_1, \
                                         tg_xxyyyz_zzzzzzzz_0, tg_xxyyyz_zzzzzzzz_1, tg_xxyyzz_xxxxxxx_1, tg_xxyyzz_xxxxxxxx_0, \
                                         tg_xxyyzz_xxxxxxxx_1, tg_xxyyzz_xxxxxxxy_0, tg_xxyyzz_xxxxxxxy_1, tg_xxyyzz_xxxxxxxz_0, \
                                         tg_xxyyzz_xxxxxxxz_1, tg_xxyyzz_xxxxxxy_1, tg_xxyyzz_xxxxxxyy_0, tg_xxyyzz_xxxxxxyy_1, \
                                         tg_xxyyzz_xxxxxxyz_0, tg_xxyyzz_xxxxxxyz_1, tg_xxyyzz_xxxxxxz_1, tg_xxyyzz_xxxxxxzz_0, \
                                         tg_xxyyzz_xxxxxxzz_1, tg_xxyyzz_xxxxxyy_1, tg_xxyyzz_xxxxxyyy_0, tg_xxyyzz_xxxxxyyy_1, \
                                         tg_xxyyzz_xxxxxyyz_0, tg_xxyyzz_xxxxxyyz_1, tg_xxyyzz_xxxxxyz_1, tg_xxyyzz_xxxxxyzz_0, \
                                         tg_xxyyzz_xxxxxyzz_1, tg_xxyyzz_xxxxxzz_1, tg_xxyyzz_xxxxxzzz_0, tg_xxyyzz_xxxxxzzz_1, \
                                         tg_xxyyzz_xxxxyyy_1, tg_xxyyzz_xxxxyyyy_0, tg_xxyyzz_xxxxyyyy_1, tg_xxyyzz_xxxxyyyz_0, \
                                         tg_xxyyzz_xxxxyyyz_1, tg_xxyyzz_xxxxyyz_1, tg_xxyyzz_xxxxyyzz_0, tg_xxyyzz_xxxxyyzz_1, \
                                         tg_xxyyzz_xxxxyzz_1, tg_xxyyzz_xxxxyzzz_0, tg_xxyyzz_xxxxyzzz_1, tg_xxyyzz_xxxxzzz_1, \
                                         tg_xxyyzz_xxxxzzzz_0, tg_xxyyzz_xxxxzzzz_1, tg_xxyyzz_xxxyyyy_1, tg_xxyyzz_xxxyyyyy_0, \
                                         tg_xxyyzz_xxxyyyyy_1, tg_xxyyzz_xxxyyyyz_0, tg_xxyyzz_xxxyyyyz_1, tg_xxyyzz_xxxyyyz_1, \
                                         tg_xxyyzz_xxxyyyzz_0, tg_xxyyzz_xxxyyyzz_1, tg_xxyyzz_xxxyyzz_1, tg_xxyyzz_xxxyyzzz_0, \
                                         tg_xxyyzz_xxxyyzzz_1, tg_xxyyzz_xxxyzzz_1, tg_xxyyzz_xxxyzzzz_0, tg_xxyyzz_xxxyzzzz_1, \
                                         tg_xxyyzz_xxxzzzz_1, tg_xxyyzz_xxxzzzzz_0, tg_xxyyzz_xxxzzzzz_1, tg_xxyyzz_xxyyyyy_1, \
                                         tg_xxyyzz_xxyyyyyy_0, tg_xxyyzz_xxyyyyyy_1, tg_xxyyzz_xxyyyyyz_0, tg_xxyyzz_xxyyyyyz_1, \
                                         tg_xxyyzz_xxyyyyz_1, tg_xxyyzz_xxyyyyzz_0, tg_xxyyzz_xxyyyyzz_1, tg_xxyyzz_xxyyyzz_1, \
                                         tg_xxyyzz_xxyyyzzz_0, tg_xxyyzz_xxyyyzzz_1, tg_xxyyzz_xxyyzzz_1, tg_xxyyzz_xxyyzzzz_0, \
                                         tg_xxyyzz_xxyyzzzz_1, tg_xxyyzz_xxyzzzz_1, tg_xxyyzz_xxyzzzzz_0, tg_xxyyzz_xxyzzzzz_1, \
                                         tg_xxyyzz_xxzzzzz_1, tg_xxyyzz_xxzzzzzz_0, tg_xxyyzz_xxzzzzzz_1, tg_xxyyzz_xyyyyyy_1, \
                                         tg_xxyyzz_xyyyyyyy_0, tg_xxyyzz_xyyyyyyy_1, tg_xxyyzz_xyyyyyyz_0, tg_xxyyzz_xyyyyyyz_1, \
                                         tg_xxyyzz_xyyyyyz_1, tg_xxyyzz_xyyyyyzz_0, tg_xxyyzz_xyyyyyzz_1, tg_xxyyzz_xyyyyzz_1, \
                                         tg_xxyyzz_xyyyyzzz_0, tg_xxyyzz_xyyyyzzz_1, tg_xxyyzz_xyyyzzz_1, tg_xxyyzz_xyyyzzzz_0, \
                                         tg_xxyyzz_xyyyzzzz_1, tg_xxyyzz_xyyzzzz_1, tg_xxyyzz_xyyzzzzz_0, tg_xxyyzz_xyyzzzzz_1, \
                                         tg_xxyyzz_xyzzzzz_1, tg_xxyyzz_xyzzzzzz_0, tg_xxyyzz_xyzzzzzz_1, tg_xxyyzz_xzzzzzz_1, \
                                         tg_xxyyzz_yyyyyyy_1, tg_xxyyzz_yyyyyyz_1, tg_xxyyzz_yyyyyzz_1, tg_xxyyzz_yyyyzzz_1, \
                                         tg_xxyyzz_yyyzzzz_1, tg_xxyyzz_yyzzzzz_1, tg_xxyyzz_yzzzzzz_1, tg_xyyyy_xyyyyyzz_0, \
                                         tg_xyyyy_xyyyyyzz_1, tg_xyyyy_xyyyyzzz_0, tg_xyyyy_xyyyyzzz_1, tg_xyyyy_xyyyzzzz_0, \
                                         tg_xyyyy_xyyyzzzz_1, tg_xyyyy_xyyzzzzz_0, tg_xyyyy_xyyzzzzz_1, tg_xyyyy_xyzzzzzz_0, \
                                         tg_xyyyy_xyzzzzzz_1, tg_xyyyy_xzzzzzzz_0, tg_xyyyy_xzzzzzzz_1, tg_xyyyy_yyyyyyyy_0, \
                                         tg_xyyyy_yyyyyyyy_1, tg_xyyyy_yyyyyyyz_0, tg_xyyyy_yyyyyyyz_1, tg_xyyyy_yyyyyyzz_0, \
                                         tg_xyyyy_yyyyyyzz_1, tg_xyyyy_yyyyyzzz_0, tg_xyyyy_yyyyyzzz_1, tg_xyyyy_yyyyzzzz_0, \
                                         tg_xyyyy_yyyyzzzz_1, tg_xyyyy_yyyzzzzz_0, tg_xyyyy_yyyzzzzz_1, tg_xyyyy_yyzzzzzz_0, \
                                         tg_xyyyy_yyzzzzzz_1, tg_xyyyy_yzzzzzzz_0, tg_xyyyy_yzzzzzzz_1, tg_xyyyy_zzzzzzzz_0, \
                                         tg_xyyyy_zzzzzzzz_1, tg_xyyyz_xxxxxxxx_0, tg_xyyyz_xxxxxxxx_1, tg_xyyyz_xxxxxxxy_0, \
                                         tg_xyyyz_xxxxxxxy_1, tg_xyyyz_xxxxxxxz_0, tg_xyyyz_xxxxxxxz_1, tg_xyyyz_xxxxxxyy_0, \
                                         tg_xyyyz_xxxxxxyy_1, tg_xyyyz_xxxxxxyz_0, tg_xyyyz_xxxxxxyz_1, tg_xyyyz_xxxxxxzz_0, \
                                         tg_xyyyz_xxxxxxzz_1, tg_xyyyz_xxxxxyyy_0, tg_xyyyz_xxxxxyyy_1, tg_xyyyz_xxxxxyyz_0, \
                                         tg_xyyyz_xxxxxyyz_1, tg_xyyyz_xxxxxyzz_0, tg_xyyyz_xxxxxyzz_1, tg_xyyyz_xxxxxzzz_0, \
                                         tg_xyyyz_xxxxxzzz_1, tg_xyyyz_xxxxyyyy_0, tg_xyyyz_xxxxyyyy_1, tg_xyyyz_xxxxyyyz_0, \
                                         tg_xyyyz_xxxxyyyz_1, tg_xyyyz_xxxxyyzz_0, tg_xyyyz_xxxxyyzz_1, tg_xyyyz_xxxxyzzz_0, \
                                         tg_xyyyz_xxxxyzzz_1, tg_xyyyz_xxxxzzzz_0, tg_xyyyz_xxxxzzzz_1, tg_xyyyz_xxxyyyyy_0, \
                                         tg_xyyyz_xxxyyyyy_1, tg_xyyyz_xxxyyyyz_0, tg_xyyyz_xxxyyyyz_1, tg_xyyyz_xxxyyyzz_0, \
                                         tg_xyyyz_xxxyyyzz_1, tg_xyyyz_xxxyyzzz_0, tg_xyyyz_xxxyyzzz_1, tg_xyyyz_xxxyzzzz_0, \
                                         tg_xyyyz_xxxyzzzz_1, tg_xyyyz_xxxzzzzz_0, tg_xyyyz_xxxzzzzz_1, tg_xyyyz_xxyyyyyy_0, \
                                         tg_xyyyz_xxyyyyyy_1, tg_xyyyz_xxyyyyyz_0, tg_xyyyz_xxyyyyyz_1, tg_xyyyz_xxyyyyzz_0, \
                                         tg_xyyyz_xxyyyyzz_1, tg_xyyyz_xxyyyzzz_0, tg_xyyyz_xxyyyzzz_1, tg_xyyyz_xxyyzzzz_0, \
                                         tg_xyyyz_xxyyzzzz_1, tg_xyyyz_xxyzzzzz_0, tg_xyyyz_xxyzzzzz_1, tg_xyyyz_xxzzzzzz_0, \
                                         tg_xyyyz_xxzzzzzz_1, tg_xyyyz_xyyyyyyy_0, tg_xyyyz_xyyyyyyy_1, tg_xyyyz_xyyyyyyz_0, \
                                         tg_xyyyz_xyyyyyyz_1, tg_xyyyz_xyyyyyzz_0, tg_xyyyz_xyyyyyzz_1, tg_xyyyz_xyyyyzzz_0, \
                                         tg_xyyyz_xyyyyzzz_1, tg_xyyyz_xyyyzzzz_0, tg_xyyyz_xyyyzzzz_1, tg_xyyyz_xyyzzzzz_0, \
                                         tg_xyyyz_xyyzzzzz_1, tg_xyyyz_xyzzzzzz_0, tg_xyyyz_xyzzzzzz_1, tg_xyyyz_xzzzzzzz_0, \
                                         tg_xyyyz_xzzzzzzz_1, tg_xyyyz_yyyyyyyy_0, tg_xyyyz_yyyyyyyy_1, tg_xyyyz_yyyyyyyz_0, \
                                         tg_xyyyz_yyyyyyyz_1, tg_xyyyz_yyyyyyzz_0, tg_xyyyz_yyyyyyzz_1, tg_xyyyz_yyyyyzzz_0, \
                                         tg_xyyyz_yyyyyzzz_1, tg_xyyyz_yyyyzzzz_0, tg_xyyyz_yyyyzzzz_1, tg_xyyyz_yyyzzzzz_0, \
                                         tg_xyyyz_yyyzzzzz_1, tg_xyyyz_yyzzzzzz_0, tg_xyyyz_yyzzzzzz_1, tg_xyyyz_yzzzzzzz_0, \
                                         tg_xyyyz_yzzzzzzz_1, tg_xyyyz_zzzzzzzz_0, tg_xyyyz_zzzzzzzz_1, tg_xyyzz_xxxxxxxx_0, \
                                         tg_xyyzz_xxxxxxxx_1, tg_xyyzz_xxxxxxxy_0, tg_xyyzz_xxxxxxxy_1, tg_xyyzz_xxxxxxxz_0, \
                                         tg_xyyzz_xxxxxxxz_1, tg_xyyzz_xxxxxxyy_0, tg_xyyzz_xxxxxxyy_1, tg_xyyzz_xxxxxxyz_0, \
                                         tg_xyyzz_xxxxxxyz_1, tg_xyyzz_xxxxxxzz_0, tg_xyyzz_xxxxxxzz_1, tg_xyyzz_xxxxxyyy_0, \
                                         tg_xyyzz_xxxxxyyy_1, tg_xyyzz_xxxxxyyz_0, tg_xyyzz_xxxxxyyz_1, tg_xyyzz_xxxxxyzz_0, \
                                         tg_xyyzz_xxxxxyzz_1, tg_xyyzz_xxxxxzzz_0, tg_xyyzz_xxxxxzzz_1, tg_xyyzz_xxxxyyyy_0, \
                                         tg_xyyzz_xxxxyyyy_1, tg_xyyzz_xxxxyyyz_0, tg_xyyzz_xxxxyyyz_1, tg_xyyzz_xxxxyyzz_0, \
                                         tg_xyyzz_xxxxyyzz_1, tg_xyyzz_xxxxyzzz_0, tg_xyyzz_xxxxyzzz_1, tg_xyyzz_xxxxzzzz_0, \
                                         tg_xyyzz_xxxxzzzz_1, tg_xyyzz_xxxyyyyy_0, tg_xyyzz_xxxyyyyy_1, tg_xyyzz_xxxyyyyz_0, \
                                         tg_xyyzz_xxxyyyyz_1, tg_xyyzz_xxxyyyzz_0, tg_xyyzz_xxxyyyzz_1, tg_xyyzz_xxxyyzzz_0, \
                                         tg_xyyzz_xxxyyzzz_1, tg_xyyzz_xxxyzzzz_0, tg_xyyzz_xxxyzzzz_1, tg_xyyzz_xxxzzzzz_0, \
                                         tg_xyyzz_xxxzzzzz_1, tg_xyyzz_xxyyyyyy_0, tg_xyyzz_xxyyyyyy_1, tg_xyyzz_xxyyyyyz_0, \
                                         tg_xyyzz_xxyyyyyz_1, tg_xyyzz_xxyyyyzz_0, tg_xyyzz_xxyyyyzz_1, tg_xyyzz_xxyyyzzz_0, \
                                         tg_xyyzz_xxyyyzzz_1, tg_xyyzz_xxyyzzzz_0, tg_xyyzz_xxyyzzzz_1, tg_xyyzz_xxyzzzzz_0, \
                                         tg_xyyzz_xxyzzzzz_1, tg_xyyzz_xxzzzzzz_0, tg_xyyzz_xxzzzzzz_1, tg_xyyzz_xyyyyyyy_0, \
                                         tg_xyyzz_xyyyyyyy_1, tg_xyyzz_xyyyyyyz_0, tg_xyyzz_xyyyyyyz_1, tg_xyyzz_xyyyyyzz_0, \
                                         tg_xyyzz_xyyyyyzz_1, tg_xyyzz_xyyyyzzz_0, tg_xyyzz_xyyyyzzz_1, tg_xyyzz_xyyyzzzz_0, \
                                         tg_xyyzz_xyyyzzzz_1, tg_xyyzz_xyyzzzzz_0, tg_xyyzz_xyyzzzzz_1, tg_xyyzz_xyzzzzzz_0, \
                                         tg_xyyzz_xyzzzzzz_1, wp_x: VLX_ALIGN)
                for (int32_t j = 0; j < nKetPrimPairs; j++)
                {
                    double fl1_fx = fx;

                    double fl1_fxn = fxn[j];

                    double fl1_fza = fza[j];

                    double fr = wp_x[j]; 

                    tg_xxxyyyy_xyyyyyzz_0[j] = pb_x * tg_xxyyyy_xyyyyyzz_0[j] + fr * tg_xxyyyy_xyyyyyzz_1[j] + fl1_fx * (tg_xyyyy_xyyyyyzz_0[j] - tg_xyyyy_xyyyyyzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xxyyyy_yyyyyzz_1[j];

                    tg_xxxyyyy_xyyyyzzz_0[j] = pb_x * tg_xxyyyy_xyyyyzzz_0[j] + fr * tg_xxyyyy_xyyyyzzz_1[j] + fl1_fx * (tg_xyyyy_xyyyyzzz_0[j] - tg_xyyyy_xyyyyzzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xxyyyy_yyyyzzz_1[j];

                    tg_xxxyyyy_xyyyzzzz_0[j] = pb_x * tg_xxyyyy_xyyyzzzz_0[j] + fr * tg_xxyyyy_xyyyzzzz_1[j] + fl1_fx * (tg_xyyyy_xyyyzzzz_0[j] - tg_xyyyy_xyyyzzzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xxyyyy_yyyzzzz_1[j];

                    tg_xxxyyyy_xyyzzzzz_0[j] = pb_x * tg_xxyyyy_xyyzzzzz_0[j] + fr * tg_xxyyyy_xyyzzzzz_1[j] + fl1_fx * (tg_xyyyy_xyyzzzzz_0[j] - tg_xyyyy_xyyzzzzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xxyyyy_yyzzzzz_1[j];

                    tg_xxxyyyy_xyzzzzzz_0[j] = pb_x * tg_xxyyyy_xyzzzzzz_0[j] + fr * tg_xxyyyy_xyzzzzzz_1[j] + fl1_fx * (tg_xyyyy_xyzzzzzz_0[j] - tg_xyyyy_xyzzzzzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xxyyyy_yzzzzzz_1[j];

                    tg_xxxyyyy_xzzzzzzz_0[j] = pb_x * tg_xxyyyy_xzzzzzzz_0[j] + fr * tg_xxyyyy_xzzzzzzz_1[j] + fl1_fx * (tg_xyyyy_xzzzzzzz_0[j] - tg_xyyyy_xzzzzzzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xxyyyy_zzzzzzz_1[j];

                    tg_xxxyyyy_yyyyyyyy_0[j] = pb_x * tg_xxyyyy_yyyyyyyy_0[j] + fr * tg_xxyyyy_yyyyyyyy_1[j] + fl1_fx * (tg_xyyyy_yyyyyyyy_0[j] - tg_xyyyy_yyyyyyyy_1[j] * fl1_fza);

                    tg_xxxyyyy_yyyyyyyz_0[j] = pb_x * tg_xxyyyy_yyyyyyyz_0[j] + fr * tg_xxyyyy_yyyyyyyz_1[j] + fl1_fx * (tg_xyyyy_yyyyyyyz_0[j] - tg_xyyyy_yyyyyyyz_1[j] * fl1_fza);

                    tg_xxxyyyy_yyyyyyzz_0[j] = pb_x * tg_xxyyyy_yyyyyyzz_0[j] + fr * tg_xxyyyy_yyyyyyzz_1[j] + fl1_fx * (tg_xyyyy_yyyyyyzz_0[j] - tg_xyyyy_yyyyyyzz_1[j] * fl1_fza);

                    tg_xxxyyyy_yyyyyzzz_0[j] = pb_x * tg_xxyyyy_yyyyyzzz_0[j] + fr * tg_xxyyyy_yyyyyzzz_1[j] + fl1_fx * (tg_xyyyy_yyyyyzzz_0[j] - tg_xyyyy_yyyyyzzz_1[j] * fl1_fza);

                    tg_xxxyyyy_yyyyzzzz_0[j] = pb_x * tg_xxyyyy_yyyyzzzz_0[j] + fr * tg_xxyyyy_yyyyzzzz_1[j] + fl1_fx * (tg_xyyyy_yyyyzzzz_0[j] - tg_xyyyy_yyyyzzzz_1[j] * fl1_fza);

                    tg_xxxyyyy_yyyzzzzz_0[j] = pb_x * tg_xxyyyy_yyyzzzzz_0[j] + fr * tg_xxyyyy_yyyzzzzz_1[j] + fl1_fx * (tg_xyyyy_yyyzzzzz_0[j] - tg_xyyyy_yyyzzzzz_1[j] * fl1_fza);

                    tg_xxxyyyy_yyzzzzzz_0[j] = pb_x * tg_xxyyyy_yyzzzzzz_0[j] + fr * tg_xxyyyy_yyzzzzzz_1[j] + fl1_fx * (tg_xyyyy_yyzzzzzz_0[j] - tg_xyyyy_yyzzzzzz_1[j] * fl1_fza);

                    tg_xxxyyyy_yzzzzzzz_0[j] = pb_x * tg_xxyyyy_yzzzzzzz_0[j] + fr * tg_xxyyyy_yzzzzzzz_1[j] + fl1_fx * (tg_xyyyy_yzzzzzzz_0[j] - tg_xyyyy_yzzzzzzz_1[j] * fl1_fza);

                    tg_xxxyyyy_zzzzzzzz_0[j] = pb_x * tg_xxyyyy_zzzzzzzz_0[j] + fr * tg_xxyyyy_zzzzzzzz_1[j] + fl1_fx * (tg_xyyyy_zzzzzzzz_0[j] - tg_xyyyy_zzzzzzzz_1[j] * fl1_fza);

                    tg_xxxyyyz_xxxxxxxx_0[j] = pb_x * tg_xxyyyz_xxxxxxxx_0[j] + fr * tg_xxyyyz_xxxxxxxx_1[j] + fl1_fx * (tg_xyyyz_xxxxxxxx_0[j] - tg_xyyyz_xxxxxxxx_1[j] * fl1_fza) + 4.0 * fl1_fxn * tg_xxyyyz_xxxxxxx_1[j];

                    tg_xxxyyyz_xxxxxxxy_0[j] = pb_x * tg_xxyyyz_xxxxxxxy_0[j] + fr * tg_xxyyyz_xxxxxxxy_1[j] + fl1_fx * (tg_xyyyz_xxxxxxxy_0[j] - tg_xyyyz_xxxxxxxy_1[j] * fl1_fza) + 3.5 * fl1_fxn * tg_xxyyyz_xxxxxxy_1[j];

                    tg_xxxyyyz_xxxxxxxz_0[j] = pb_x * tg_xxyyyz_xxxxxxxz_0[j] + fr * tg_xxyyyz_xxxxxxxz_1[j] + fl1_fx * (tg_xyyyz_xxxxxxxz_0[j] - tg_xyyyz_xxxxxxxz_1[j] * fl1_fza) + 3.5 * fl1_fxn * tg_xxyyyz_xxxxxxz_1[j];

                    tg_xxxyyyz_xxxxxxyy_0[j] = pb_x * tg_xxyyyz_xxxxxxyy_0[j] + fr * tg_xxyyyz_xxxxxxyy_1[j] + fl1_fx * (tg_xyyyz_xxxxxxyy_0[j] - tg_xyyyz_xxxxxxyy_1[j] * fl1_fza) + 3.0 * fl1_fxn * tg_xxyyyz_xxxxxyy_1[j];

                    tg_xxxyyyz_xxxxxxyz_0[j] = pb_x * tg_xxyyyz_xxxxxxyz_0[j] + fr * tg_xxyyyz_xxxxxxyz_1[j] + fl1_fx * (tg_xyyyz_xxxxxxyz_0[j] - tg_xyyyz_xxxxxxyz_1[j] * fl1_fza) + 3.0 * fl1_fxn * tg_xxyyyz_xxxxxyz_1[j];

                    tg_xxxyyyz_xxxxxxzz_0[j] = pb_x * tg_xxyyyz_xxxxxxzz_0[j] + fr * tg_xxyyyz_xxxxxxzz_1[j] + fl1_fx * (tg_xyyyz_xxxxxxzz_0[j] - tg_xyyyz_xxxxxxzz_1[j] * fl1_fza) + 3.0 * fl1_fxn * tg_xxyyyz_xxxxxzz_1[j];

                    tg_xxxyyyz_xxxxxyyy_0[j] = pb_x * tg_xxyyyz_xxxxxyyy_0[j] + fr * tg_xxyyyz_xxxxxyyy_1[j] + fl1_fx * (tg_xyyyz_xxxxxyyy_0[j] - tg_xyyyz_xxxxxyyy_1[j] * fl1_fza) + 2.5 * fl1_fxn * tg_xxyyyz_xxxxyyy_1[j];

                    tg_xxxyyyz_xxxxxyyz_0[j] = pb_x * tg_xxyyyz_xxxxxyyz_0[j] + fr * tg_xxyyyz_xxxxxyyz_1[j] + fl1_fx * (tg_xyyyz_xxxxxyyz_0[j] - tg_xyyyz_xxxxxyyz_1[j] * fl1_fza) + 2.5 * fl1_fxn * tg_xxyyyz_xxxxyyz_1[j];

                    tg_xxxyyyz_xxxxxyzz_0[j] = pb_x * tg_xxyyyz_xxxxxyzz_0[j] + fr * tg_xxyyyz_xxxxxyzz_1[j] + fl1_fx * (tg_xyyyz_xxxxxyzz_0[j] - tg_xyyyz_xxxxxyzz_1[j] * fl1_fza) + 2.5 * fl1_fxn * tg_xxyyyz_xxxxyzz_1[j];

                    tg_xxxyyyz_xxxxxzzz_0[j] = pb_x * tg_xxyyyz_xxxxxzzz_0[j] + fr * tg_xxyyyz_xxxxxzzz_1[j] + fl1_fx * (tg_xyyyz_xxxxxzzz_0[j] - tg_xyyyz_xxxxxzzz_1[j] * fl1_fza) + 2.5 * fl1_fxn * tg_xxyyyz_xxxxzzz_1[j];

                    tg_xxxyyyz_xxxxyyyy_0[j] = pb_x * tg_xxyyyz_xxxxyyyy_0[j] + fr * tg_xxyyyz_xxxxyyyy_1[j] + fl1_fx * (tg_xyyyz_xxxxyyyy_0[j] - tg_xyyyz_xxxxyyyy_1[j] * fl1_fza) + 2.0 * fl1_fxn * tg_xxyyyz_xxxyyyy_1[j];

                    tg_xxxyyyz_xxxxyyyz_0[j] = pb_x * tg_xxyyyz_xxxxyyyz_0[j] + fr * tg_xxyyyz_xxxxyyyz_1[j] + fl1_fx * (tg_xyyyz_xxxxyyyz_0[j] - tg_xyyyz_xxxxyyyz_1[j] * fl1_fza) + 2.0 * fl1_fxn * tg_xxyyyz_xxxyyyz_1[j];

                    tg_xxxyyyz_xxxxyyzz_0[j] = pb_x * tg_xxyyyz_xxxxyyzz_0[j] + fr * tg_xxyyyz_xxxxyyzz_1[j] + fl1_fx * (tg_xyyyz_xxxxyyzz_0[j] - tg_xyyyz_xxxxyyzz_1[j] * fl1_fza) + 2.0 * fl1_fxn * tg_xxyyyz_xxxyyzz_1[j];

                    tg_xxxyyyz_xxxxyzzz_0[j] = pb_x * tg_xxyyyz_xxxxyzzz_0[j] + fr * tg_xxyyyz_xxxxyzzz_1[j] + fl1_fx * (tg_xyyyz_xxxxyzzz_0[j] - tg_xyyyz_xxxxyzzz_1[j] * fl1_fza) + 2.0 * fl1_fxn * tg_xxyyyz_xxxyzzz_1[j];

                    tg_xxxyyyz_xxxxzzzz_0[j] = pb_x * tg_xxyyyz_xxxxzzzz_0[j] + fr * tg_xxyyyz_xxxxzzzz_1[j] + fl1_fx * (tg_xyyyz_xxxxzzzz_0[j] - tg_xyyyz_xxxxzzzz_1[j] * fl1_fza) + 2.0 * fl1_fxn * tg_xxyyyz_xxxzzzz_1[j];

                    tg_xxxyyyz_xxxyyyyy_0[j] = pb_x * tg_xxyyyz_xxxyyyyy_0[j] + fr * tg_xxyyyz_xxxyyyyy_1[j] + fl1_fx * (tg_xyyyz_xxxyyyyy_0[j] - tg_xyyyz_xxxyyyyy_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_xxyyyz_xxyyyyy_1[j];

                    tg_xxxyyyz_xxxyyyyz_0[j] = pb_x * tg_xxyyyz_xxxyyyyz_0[j] + fr * tg_xxyyyz_xxxyyyyz_1[j] + fl1_fx * (tg_xyyyz_xxxyyyyz_0[j] - tg_xyyyz_xxxyyyyz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_xxyyyz_xxyyyyz_1[j];

                    tg_xxxyyyz_xxxyyyzz_0[j] = pb_x * tg_xxyyyz_xxxyyyzz_0[j] + fr * tg_xxyyyz_xxxyyyzz_1[j] + fl1_fx * (tg_xyyyz_xxxyyyzz_0[j] - tg_xyyyz_xxxyyyzz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_xxyyyz_xxyyyzz_1[j];

                    tg_xxxyyyz_xxxyyzzz_0[j] = pb_x * tg_xxyyyz_xxxyyzzz_0[j] + fr * tg_xxyyyz_xxxyyzzz_1[j] + fl1_fx * (tg_xyyyz_xxxyyzzz_0[j] - tg_xyyyz_xxxyyzzz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_xxyyyz_xxyyzzz_1[j];

                    tg_xxxyyyz_xxxyzzzz_0[j] = pb_x * tg_xxyyyz_xxxyzzzz_0[j] + fr * tg_xxyyyz_xxxyzzzz_1[j] + fl1_fx * (tg_xyyyz_xxxyzzzz_0[j] - tg_xyyyz_xxxyzzzz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_xxyyyz_xxyzzzz_1[j];

                    tg_xxxyyyz_xxxzzzzz_0[j] = pb_x * tg_xxyyyz_xxxzzzzz_0[j] + fr * tg_xxyyyz_xxxzzzzz_1[j] + fl1_fx * (tg_xyyyz_xxxzzzzz_0[j] - tg_xyyyz_xxxzzzzz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_xxyyyz_xxzzzzz_1[j];

                    tg_xxxyyyz_xxyyyyyy_0[j] = pb_x * tg_xxyyyz_xxyyyyyy_0[j] + fr * tg_xxyyyz_xxyyyyyy_1[j] + fl1_fx * (tg_xyyyz_xxyyyyyy_0[j] - tg_xyyyz_xxyyyyyy_1[j] * fl1_fza) + fl1_fxn * tg_xxyyyz_xyyyyyy_1[j];

                    tg_xxxyyyz_xxyyyyyz_0[j] = pb_x * tg_xxyyyz_xxyyyyyz_0[j] + fr * tg_xxyyyz_xxyyyyyz_1[j] + fl1_fx * (tg_xyyyz_xxyyyyyz_0[j] - tg_xyyyz_xxyyyyyz_1[j] * fl1_fza) + fl1_fxn * tg_xxyyyz_xyyyyyz_1[j];

                    tg_xxxyyyz_xxyyyyzz_0[j] = pb_x * tg_xxyyyz_xxyyyyzz_0[j] + fr * tg_xxyyyz_xxyyyyzz_1[j] + fl1_fx * (tg_xyyyz_xxyyyyzz_0[j] - tg_xyyyz_xxyyyyzz_1[j] * fl1_fza) + fl1_fxn * tg_xxyyyz_xyyyyzz_1[j];

                    tg_xxxyyyz_xxyyyzzz_0[j] = pb_x * tg_xxyyyz_xxyyyzzz_0[j] + fr * tg_xxyyyz_xxyyyzzz_1[j] + fl1_fx * (tg_xyyyz_xxyyyzzz_0[j] - tg_xyyyz_xxyyyzzz_1[j] * fl1_fza) + fl1_fxn * tg_xxyyyz_xyyyzzz_1[j];

                    tg_xxxyyyz_xxyyzzzz_0[j] = pb_x * tg_xxyyyz_xxyyzzzz_0[j] + fr * tg_xxyyyz_xxyyzzzz_1[j] + fl1_fx * (tg_xyyyz_xxyyzzzz_0[j] - tg_xyyyz_xxyyzzzz_1[j] * fl1_fza) + fl1_fxn * tg_xxyyyz_xyyzzzz_1[j];

                    tg_xxxyyyz_xxyzzzzz_0[j] = pb_x * tg_xxyyyz_xxyzzzzz_0[j] + fr * tg_xxyyyz_xxyzzzzz_1[j] + fl1_fx * (tg_xyyyz_xxyzzzzz_0[j] - tg_xyyyz_xxyzzzzz_1[j] * fl1_fza) + fl1_fxn * tg_xxyyyz_xyzzzzz_1[j];

                    tg_xxxyyyz_xxzzzzzz_0[j] = pb_x * tg_xxyyyz_xxzzzzzz_0[j] + fr * tg_xxyyyz_xxzzzzzz_1[j] + fl1_fx * (tg_xyyyz_xxzzzzzz_0[j] - tg_xyyyz_xxzzzzzz_1[j] * fl1_fza) + fl1_fxn * tg_xxyyyz_xzzzzzz_1[j];

                    tg_xxxyyyz_xyyyyyyy_0[j] = pb_x * tg_xxyyyz_xyyyyyyy_0[j] + fr * tg_xxyyyz_xyyyyyyy_1[j] + fl1_fx * (tg_xyyyz_xyyyyyyy_0[j] - tg_xyyyz_xyyyyyyy_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xxyyyz_yyyyyyy_1[j];

                    tg_xxxyyyz_xyyyyyyz_0[j] = pb_x * tg_xxyyyz_xyyyyyyz_0[j] + fr * tg_xxyyyz_xyyyyyyz_1[j] + fl1_fx * (tg_xyyyz_xyyyyyyz_0[j] - tg_xyyyz_xyyyyyyz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xxyyyz_yyyyyyz_1[j];

                    tg_xxxyyyz_xyyyyyzz_0[j] = pb_x * tg_xxyyyz_xyyyyyzz_0[j] + fr * tg_xxyyyz_xyyyyyzz_1[j] + fl1_fx * (tg_xyyyz_xyyyyyzz_0[j] - tg_xyyyz_xyyyyyzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xxyyyz_yyyyyzz_1[j];

                    tg_xxxyyyz_xyyyyzzz_0[j] = pb_x * tg_xxyyyz_xyyyyzzz_0[j] + fr * tg_xxyyyz_xyyyyzzz_1[j] + fl1_fx * (tg_xyyyz_xyyyyzzz_0[j] - tg_xyyyz_xyyyyzzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xxyyyz_yyyyzzz_1[j];

                    tg_xxxyyyz_xyyyzzzz_0[j] = pb_x * tg_xxyyyz_xyyyzzzz_0[j] + fr * tg_xxyyyz_xyyyzzzz_1[j] + fl1_fx * (tg_xyyyz_xyyyzzzz_0[j] - tg_xyyyz_xyyyzzzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xxyyyz_yyyzzzz_1[j];

                    tg_xxxyyyz_xyyzzzzz_0[j] = pb_x * tg_xxyyyz_xyyzzzzz_0[j] + fr * tg_xxyyyz_xyyzzzzz_1[j] + fl1_fx * (tg_xyyyz_xyyzzzzz_0[j] - tg_xyyyz_xyyzzzzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xxyyyz_yyzzzzz_1[j];

                    tg_xxxyyyz_xyzzzzzz_0[j] = pb_x * tg_xxyyyz_xyzzzzzz_0[j] + fr * tg_xxyyyz_xyzzzzzz_1[j] + fl1_fx * (tg_xyyyz_xyzzzzzz_0[j] - tg_xyyyz_xyzzzzzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xxyyyz_yzzzzzz_1[j];

                    tg_xxxyyyz_xzzzzzzz_0[j] = pb_x * tg_xxyyyz_xzzzzzzz_0[j] + fr * tg_xxyyyz_xzzzzzzz_1[j] + fl1_fx * (tg_xyyyz_xzzzzzzz_0[j] - tg_xyyyz_xzzzzzzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xxyyyz_zzzzzzz_1[j];

                    tg_xxxyyyz_yyyyyyyy_0[j] = pb_x * tg_xxyyyz_yyyyyyyy_0[j] + fr * tg_xxyyyz_yyyyyyyy_1[j] + fl1_fx * (tg_xyyyz_yyyyyyyy_0[j] - tg_xyyyz_yyyyyyyy_1[j] * fl1_fza);

                    tg_xxxyyyz_yyyyyyyz_0[j] = pb_x * tg_xxyyyz_yyyyyyyz_0[j] + fr * tg_xxyyyz_yyyyyyyz_1[j] + fl1_fx * (tg_xyyyz_yyyyyyyz_0[j] - tg_xyyyz_yyyyyyyz_1[j] * fl1_fza);

                    tg_xxxyyyz_yyyyyyzz_0[j] = pb_x * tg_xxyyyz_yyyyyyzz_0[j] + fr * tg_xxyyyz_yyyyyyzz_1[j] + fl1_fx * (tg_xyyyz_yyyyyyzz_0[j] - tg_xyyyz_yyyyyyzz_1[j] * fl1_fza);

                    tg_xxxyyyz_yyyyyzzz_0[j] = pb_x * tg_xxyyyz_yyyyyzzz_0[j] + fr * tg_xxyyyz_yyyyyzzz_1[j] + fl1_fx * (tg_xyyyz_yyyyyzzz_0[j] - tg_xyyyz_yyyyyzzz_1[j] * fl1_fza);

                    tg_xxxyyyz_yyyyzzzz_0[j] = pb_x * tg_xxyyyz_yyyyzzzz_0[j] + fr * tg_xxyyyz_yyyyzzzz_1[j] + fl1_fx * (tg_xyyyz_yyyyzzzz_0[j] - tg_xyyyz_yyyyzzzz_1[j] * fl1_fza);

                    tg_xxxyyyz_yyyzzzzz_0[j] = pb_x * tg_xxyyyz_yyyzzzzz_0[j] + fr * tg_xxyyyz_yyyzzzzz_1[j] + fl1_fx * (tg_xyyyz_yyyzzzzz_0[j] - tg_xyyyz_yyyzzzzz_1[j] * fl1_fza);

                    tg_xxxyyyz_yyzzzzzz_0[j] = pb_x * tg_xxyyyz_yyzzzzzz_0[j] + fr * tg_xxyyyz_yyzzzzzz_1[j] + fl1_fx * (tg_xyyyz_yyzzzzzz_0[j] - tg_xyyyz_yyzzzzzz_1[j] * fl1_fza);

                    tg_xxxyyyz_yzzzzzzz_0[j] = pb_x * tg_xxyyyz_yzzzzzzz_0[j] + fr * tg_xxyyyz_yzzzzzzz_1[j] + fl1_fx * (tg_xyyyz_yzzzzzzz_0[j] - tg_xyyyz_yzzzzzzz_1[j] * fl1_fza);

                    tg_xxxyyyz_zzzzzzzz_0[j] = pb_x * tg_xxyyyz_zzzzzzzz_0[j] + fr * tg_xxyyyz_zzzzzzzz_1[j] + fl1_fx * (tg_xyyyz_zzzzzzzz_0[j] - tg_xyyyz_zzzzzzzz_1[j] * fl1_fza);

                    tg_xxxyyzz_xxxxxxxx_0[j] = pb_x * tg_xxyyzz_xxxxxxxx_0[j] + fr * tg_xxyyzz_xxxxxxxx_1[j] + fl1_fx * (tg_xyyzz_xxxxxxxx_0[j] - tg_xyyzz_xxxxxxxx_1[j] * fl1_fza) + 4.0 * fl1_fxn * tg_xxyyzz_xxxxxxx_1[j];

                    tg_xxxyyzz_xxxxxxxy_0[j] = pb_x * tg_xxyyzz_xxxxxxxy_0[j] + fr * tg_xxyyzz_xxxxxxxy_1[j] + fl1_fx * (tg_xyyzz_xxxxxxxy_0[j] - tg_xyyzz_xxxxxxxy_1[j] * fl1_fza) + 3.5 * fl1_fxn * tg_xxyyzz_xxxxxxy_1[j];

                    tg_xxxyyzz_xxxxxxxz_0[j] = pb_x * tg_xxyyzz_xxxxxxxz_0[j] + fr * tg_xxyyzz_xxxxxxxz_1[j] + fl1_fx * (tg_xyyzz_xxxxxxxz_0[j] - tg_xyyzz_xxxxxxxz_1[j] * fl1_fza) + 3.5 * fl1_fxn * tg_xxyyzz_xxxxxxz_1[j];

                    tg_xxxyyzz_xxxxxxyy_0[j] = pb_x * tg_xxyyzz_xxxxxxyy_0[j] + fr * tg_xxyyzz_xxxxxxyy_1[j] + fl1_fx * (tg_xyyzz_xxxxxxyy_0[j] - tg_xyyzz_xxxxxxyy_1[j] * fl1_fza) + 3.0 * fl1_fxn * tg_xxyyzz_xxxxxyy_1[j];

                    tg_xxxyyzz_xxxxxxyz_0[j] = pb_x * tg_xxyyzz_xxxxxxyz_0[j] + fr * tg_xxyyzz_xxxxxxyz_1[j] + fl1_fx * (tg_xyyzz_xxxxxxyz_0[j] - tg_xyyzz_xxxxxxyz_1[j] * fl1_fza) + 3.0 * fl1_fxn * tg_xxyyzz_xxxxxyz_1[j];

                    tg_xxxyyzz_xxxxxxzz_0[j] = pb_x * tg_xxyyzz_xxxxxxzz_0[j] + fr * tg_xxyyzz_xxxxxxzz_1[j] + fl1_fx * (tg_xyyzz_xxxxxxzz_0[j] - tg_xyyzz_xxxxxxzz_1[j] * fl1_fza) + 3.0 * fl1_fxn * tg_xxyyzz_xxxxxzz_1[j];

                    tg_xxxyyzz_xxxxxyyy_0[j] = pb_x * tg_xxyyzz_xxxxxyyy_0[j] + fr * tg_xxyyzz_xxxxxyyy_1[j] + fl1_fx * (tg_xyyzz_xxxxxyyy_0[j] - tg_xyyzz_xxxxxyyy_1[j] * fl1_fza) + 2.5 * fl1_fxn * tg_xxyyzz_xxxxyyy_1[j];

                    tg_xxxyyzz_xxxxxyyz_0[j] = pb_x * tg_xxyyzz_xxxxxyyz_0[j] + fr * tg_xxyyzz_xxxxxyyz_1[j] + fl1_fx * (tg_xyyzz_xxxxxyyz_0[j] - tg_xyyzz_xxxxxyyz_1[j] * fl1_fza) + 2.5 * fl1_fxn * tg_xxyyzz_xxxxyyz_1[j];

                    tg_xxxyyzz_xxxxxyzz_0[j] = pb_x * tg_xxyyzz_xxxxxyzz_0[j] + fr * tg_xxyyzz_xxxxxyzz_1[j] + fl1_fx * (tg_xyyzz_xxxxxyzz_0[j] - tg_xyyzz_xxxxxyzz_1[j] * fl1_fza) + 2.5 * fl1_fxn * tg_xxyyzz_xxxxyzz_1[j];

                    tg_xxxyyzz_xxxxxzzz_0[j] = pb_x * tg_xxyyzz_xxxxxzzz_0[j] + fr * tg_xxyyzz_xxxxxzzz_1[j] + fl1_fx * (tg_xyyzz_xxxxxzzz_0[j] - tg_xyyzz_xxxxxzzz_1[j] * fl1_fza) + 2.5 * fl1_fxn * tg_xxyyzz_xxxxzzz_1[j];

                    tg_xxxyyzz_xxxxyyyy_0[j] = pb_x * tg_xxyyzz_xxxxyyyy_0[j] + fr * tg_xxyyzz_xxxxyyyy_1[j] + fl1_fx * (tg_xyyzz_xxxxyyyy_0[j] - tg_xyyzz_xxxxyyyy_1[j] * fl1_fza) + 2.0 * fl1_fxn * tg_xxyyzz_xxxyyyy_1[j];

                    tg_xxxyyzz_xxxxyyyz_0[j] = pb_x * tg_xxyyzz_xxxxyyyz_0[j] + fr * tg_xxyyzz_xxxxyyyz_1[j] + fl1_fx * (tg_xyyzz_xxxxyyyz_0[j] - tg_xyyzz_xxxxyyyz_1[j] * fl1_fza) + 2.0 * fl1_fxn * tg_xxyyzz_xxxyyyz_1[j];

                    tg_xxxyyzz_xxxxyyzz_0[j] = pb_x * tg_xxyyzz_xxxxyyzz_0[j] + fr * tg_xxyyzz_xxxxyyzz_1[j] + fl1_fx * (tg_xyyzz_xxxxyyzz_0[j] - tg_xyyzz_xxxxyyzz_1[j] * fl1_fza) + 2.0 * fl1_fxn * tg_xxyyzz_xxxyyzz_1[j];

                    tg_xxxyyzz_xxxxyzzz_0[j] = pb_x * tg_xxyyzz_xxxxyzzz_0[j] + fr * tg_xxyyzz_xxxxyzzz_1[j] + fl1_fx * (tg_xyyzz_xxxxyzzz_0[j] - tg_xyyzz_xxxxyzzz_1[j] * fl1_fza) + 2.0 * fl1_fxn * tg_xxyyzz_xxxyzzz_1[j];

                    tg_xxxyyzz_xxxxzzzz_0[j] = pb_x * tg_xxyyzz_xxxxzzzz_0[j] + fr * tg_xxyyzz_xxxxzzzz_1[j] + fl1_fx * (tg_xyyzz_xxxxzzzz_0[j] - tg_xyyzz_xxxxzzzz_1[j] * fl1_fza) + 2.0 * fl1_fxn * tg_xxyyzz_xxxzzzz_1[j];

                    tg_xxxyyzz_xxxyyyyy_0[j] = pb_x * tg_xxyyzz_xxxyyyyy_0[j] + fr * tg_xxyyzz_xxxyyyyy_1[j] + fl1_fx * (tg_xyyzz_xxxyyyyy_0[j] - tg_xyyzz_xxxyyyyy_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_xxyyzz_xxyyyyy_1[j];

                    tg_xxxyyzz_xxxyyyyz_0[j] = pb_x * tg_xxyyzz_xxxyyyyz_0[j] + fr * tg_xxyyzz_xxxyyyyz_1[j] + fl1_fx * (tg_xyyzz_xxxyyyyz_0[j] - tg_xyyzz_xxxyyyyz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_xxyyzz_xxyyyyz_1[j];

                    tg_xxxyyzz_xxxyyyzz_0[j] = pb_x * tg_xxyyzz_xxxyyyzz_0[j] + fr * tg_xxyyzz_xxxyyyzz_1[j] + fl1_fx * (tg_xyyzz_xxxyyyzz_0[j] - tg_xyyzz_xxxyyyzz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_xxyyzz_xxyyyzz_1[j];

                    tg_xxxyyzz_xxxyyzzz_0[j] = pb_x * tg_xxyyzz_xxxyyzzz_0[j] + fr * tg_xxyyzz_xxxyyzzz_1[j] + fl1_fx * (tg_xyyzz_xxxyyzzz_0[j] - tg_xyyzz_xxxyyzzz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_xxyyzz_xxyyzzz_1[j];

                    tg_xxxyyzz_xxxyzzzz_0[j] = pb_x * tg_xxyyzz_xxxyzzzz_0[j] + fr * tg_xxyyzz_xxxyzzzz_1[j] + fl1_fx * (tg_xyyzz_xxxyzzzz_0[j] - tg_xyyzz_xxxyzzzz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_xxyyzz_xxyzzzz_1[j];

                    tg_xxxyyzz_xxxzzzzz_0[j] = pb_x * tg_xxyyzz_xxxzzzzz_0[j] + fr * tg_xxyyzz_xxxzzzzz_1[j] + fl1_fx * (tg_xyyzz_xxxzzzzz_0[j] - tg_xyyzz_xxxzzzzz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_xxyyzz_xxzzzzz_1[j];

                    tg_xxxyyzz_xxyyyyyy_0[j] = pb_x * tg_xxyyzz_xxyyyyyy_0[j] + fr * tg_xxyyzz_xxyyyyyy_1[j] + fl1_fx * (tg_xyyzz_xxyyyyyy_0[j] - tg_xyyzz_xxyyyyyy_1[j] * fl1_fza) + fl1_fxn * tg_xxyyzz_xyyyyyy_1[j];

                    tg_xxxyyzz_xxyyyyyz_0[j] = pb_x * tg_xxyyzz_xxyyyyyz_0[j] + fr * tg_xxyyzz_xxyyyyyz_1[j] + fl1_fx * (tg_xyyzz_xxyyyyyz_0[j] - tg_xyyzz_xxyyyyyz_1[j] * fl1_fza) + fl1_fxn * tg_xxyyzz_xyyyyyz_1[j];

                    tg_xxxyyzz_xxyyyyzz_0[j] = pb_x * tg_xxyyzz_xxyyyyzz_0[j] + fr * tg_xxyyzz_xxyyyyzz_1[j] + fl1_fx * (tg_xyyzz_xxyyyyzz_0[j] - tg_xyyzz_xxyyyyzz_1[j] * fl1_fza) + fl1_fxn * tg_xxyyzz_xyyyyzz_1[j];

                    tg_xxxyyzz_xxyyyzzz_0[j] = pb_x * tg_xxyyzz_xxyyyzzz_0[j] + fr * tg_xxyyzz_xxyyyzzz_1[j] + fl1_fx * (tg_xyyzz_xxyyyzzz_0[j] - tg_xyyzz_xxyyyzzz_1[j] * fl1_fza) + fl1_fxn * tg_xxyyzz_xyyyzzz_1[j];

                    tg_xxxyyzz_xxyyzzzz_0[j] = pb_x * tg_xxyyzz_xxyyzzzz_0[j] + fr * tg_xxyyzz_xxyyzzzz_1[j] + fl1_fx * (tg_xyyzz_xxyyzzzz_0[j] - tg_xyyzz_xxyyzzzz_1[j] * fl1_fza) + fl1_fxn * tg_xxyyzz_xyyzzzz_1[j];

                    tg_xxxyyzz_xxyzzzzz_0[j] = pb_x * tg_xxyyzz_xxyzzzzz_0[j] + fr * tg_xxyyzz_xxyzzzzz_1[j] + fl1_fx * (tg_xyyzz_xxyzzzzz_0[j] - tg_xyyzz_xxyzzzzz_1[j] * fl1_fza) + fl1_fxn * tg_xxyyzz_xyzzzzz_1[j];

                    tg_xxxyyzz_xxzzzzzz_0[j] = pb_x * tg_xxyyzz_xxzzzzzz_0[j] + fr * tg_xxyyzz_xxzzzzzz_1[j] + fl1_fx * (tg_xyyzz_xxzzzzzz_0[j] - tg_xyyzz_xxzzzzzz_1[j] * fl1_fza) + fl1_fxn * tg_xxyyzz_xzzzzzz_1[j];

                    tg_xxxyyzz_xyyyyyyy_0[j] = pb_x * tg_xxyyzz_xyyyyyyy_0[j] + fr * tg_xxyyzz_xyyyyyyy_1[j] + fl1_fx * (tg_xyyzz_xyyyyyyy_0[j] - tg_xyyzz_xyyyyyyy_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xxyyzz_yyyyyyy_1[j];

                    tg_xxxyyzz_xyyyyyyz_0[j] = pb_x * tg_xxyyzz_xyyyyyyz_0[j] + fr * tg_xxyyzz_xyyyyyyz_1[j] + fl1_fx * (tg_xyyzz_xyyyyyyz_0[j] - tg_xyyzz_xyyyyyyz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xxyyzz_yyyyyyz_1[j];

                    tg_xxxyyzz_xyyyyyzz_0[j] = pb_x * tg_xxyyzz_xyyyyyzz_0[j] + fr * tg_xxyyzz_xyyyyyzz_1[j] + fl1_fx * (tg_xyyzz_xyyyyyzz_0[j] - tg_xyyzz_xyyyyyzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xxyyzz_yyyyyzz_1[j];

                    tg_xxxyyzz_xyyyyzzz_0[j] = pb_x * tg_xxyyzz_xyyyyzzz_0[j] + fr * tg_xxyyzz_xyyyyzzz_1[j] + fl1_fx * (tg_xyyzz_xyyyyzzz_0[j] - tg_xyyzz_xyyyyzzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xxyyzz_yyyyzzz_1[j];

                    tg_xxxyyzz_xyyyzzzz_0[j] = pb_x * tg_xxyyzz_xyyyzzzz_0[j] + fr * tg_xxyyzz_xyyyzzzz_1[j] + fl1_fx * (tg_xyyzz_xyyyzzzz_0[j] - tg_xyyzz_xyyyzzzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xxyyzz_yyyzzzz_1[j];

                    tg_xxxyyzz_xyyzzzzz_0[j] = pb_x * tg_xxyyzz_xyyzzzzz_0[j] + fr * tg_xxyyzz_xyyzzzzz_1[j] + fl1_fx * (tg_xyyzz_xyyzzzzz_0[j] - tg_xyyzz_xyyzzzzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xxyyzz_yyzzzzz_1[j];

                    tg_xxxyyzz_xyzzzzzz_0[j] = pb_x * tg_xxyyzz_xyzzzzzz_0[j] + fr * tg_xxyyzz_xyzzzzzz_1[j] + fl1_fx * (tg_xyyzz_xyzzzzzz_0[j] - tg_xyyzz_xyzzzzzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xxyyzz_yzzzzzz_1[j];
                }

                idx++;
            }
        }
    }

    void
    compElectronRepulsionForSKSL_575_670(      CMemBlock2D<double>* primBuffer,
                                         const CRecursionMap&       recursionMap,
                                         const CMemBlock2D<double>& osFactors,
                                         const CMemBlock2D<double>& wpDistances,
                                         const CGtoPairsBlock&      braGtoPairsBlock,
                                         const CGtoPairsBlock&      ketGtoPairsBlock,
                                         const int32_t              nKetPrimPairs,
                                         const int32_t              iContrPair)
    {
        // Batch of Integrals (575,670)

        // set up pointers to primitives data on bra side

        auto spos = braGtoPairsBlock.getStartPositions();

        auto epos = braGtoPairsBlock.getEndPositions();

        // set up pointers to tensor of distance R(PB) = P - B

        auto r_pb_x = braGtoPairsBlock.getDistancesPBX();

        // set up pointers to common Obara-Saika factors

        auto b_fx = braGtoPairsBlock.getFactorsOneOverXi();

        // set up maximum order of integral

        auto mord = recursionMap.getMaxOrder({"Electron Repulsion"},
                                             {7, -1, -1, -1},
                                             {8, -1, -1, -1},
                                             1, 1);

        for (int32_t iord = 0; iord <= mord; iord++)
        {
            // set up index of integral

            auto pidx_g_7_8_m0 = recursionMap.index(CRecursionTerm({"Electron Repulsion"}, 0, true, 
                                                                   {7, -1, -1, -1}, {8, -1, -1, -1}, 
                                                                   1, 1, iord));

            // check if integral is needed in recursion expansion

            if (pidx_g_7_8_m0 == -1) continue;

            // set up indexes of auxilary integral

            auto pidx_g_6_8_m0 = recursionMap.index(CRecursionTerm({"Electron Repulsion"}, 0, true, 
                                                                   {6, -1, -1, -1}, {8, -1, -1, -1}, 
                                                                   1, 1, iord));

            auto pidx_g_6_8_m1 = recursionMap.index(CRecursionTerm({"Electron Repulsion"}, 0, true, 
                                                                   {6, -1, -1, -1}, {8, -1, -1, -1}, 
                                                                   1, 1, iord + 1));

            auto pidx_g_5_8_m0 = recursionMap.index(CRecursionTerm({"Electron Repulsion"}, 0, true, 
                                                                   {5, -1, -1, -1}, {8, -1, -1, -1}, 
                                                                   1, 1, iord));

            auto pidx_g_5_8_m1 = recursionMap.index(CRecursionTerm({"Electron Repulsion"}, 0, true, 
                                                                   {5, -1, -1, -1}, {8, -1, -1, -1}, 
                                                                   1, 1, iord + 1));

            auto pidx_g_6_7_m1 = recursionMap.index(CRecursionTerm({"Electron Repulsion"}, 0, true, 
                                                                   {6, -1, -1, -1}, {7, -1, -1, -1}, 
                                                                   1, 1, iord + 1));

            // loop over contracted GTO on bra side

            int32_t idx = 0;

            for (int32_t i = spos[iContrPair]; i < epos[iContrPair]; i++)
            {
                // set up pointers to Obara-Saika factors

                double fx = b_fx[i];

                auto fza = osFactors.data(4 * idx + 2);

                auto fxn = osFactors.data(4 * idx);

                // set up distances R(PB) = P - B

                auto pb_x = r_pb_x[i];

                // set up pointers to tensors product of distances R(WP) = W - P

                auto wp_x = wpDistances.data(3 * idx);

                // set up pointers to auxilary integrals

                auto tg_xxyyzz_xzzzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 575); 

                auto tg_xxyyzz_yyyyyyyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 576); 

                auto tg_xxyyzz_yyyyyyyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 577); 

                auto tg_xxyyzz_yyyyyyzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 578); 

                auto tg_xxyyzz_yyyyyzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 579); 

                auto tg_xxyyzz_yyyyzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 580); 

                auto tg_xxyyzz_yyyzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 581); 

                auto tg_xxyyzz_yyzzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 582); 

                auto tg_xxyyzz_yzzzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 583); 

                auto tg_xxyyzz_zzzzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 584); 

                auto tg_xxyzzz_xxxxxxxx_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 585); 

                auto tg_xxyzzz_xxxxxxxy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 586); 

                auto tg_xxyzzz_xxxxxxxz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 587); 

                auto tg_xxyzzz_xxxxxxyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 588); 

                auto tg_xxyzzz_xxxxxxyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 589); 

                auto tg_xxyzzz_xxxxxxzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 590); 

                auto tg_xxyzzz_xxxxxyyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 591); 

                auto tg_xxyzzz_xxxxxyyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 592); 

                auto tg_xxyzzz_xxxxxyzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 593); 

                auto tg_xxyzzz_xxxxxzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 594); 

                auto tg_xxyzzz_xxxxyyyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 595); 

                auto tg_xxyzzz_xxxxyyyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 596); 

                auto tg_xxyzzz_xxxxyyzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 597); 

                auto tg_xxyzzz_xxxxyzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 598); 

                auto tg_xxyzzz_xxxxzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 599); 

                auto tg_xxyzzz_xxxyyyyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 600); 

                auto tg_xxyzzz_xxxyyyyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 601); 

                auto tg_xxyzzz_xxxyyyzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 602); 

                auto tg_xxyzzz_xxxyyzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 603); 

                auto tg_xxyzzz_xxxyzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 604); 

                auto tg_xxyzzz_xxxzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 605); 

                auto tg_xxyzzz_xxyyyyyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 606); 

                auto tg_xxyzzz_xxyyyyyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 607); 

                auto tg_xxyzzz_xxyyyyzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 608); 

                auto tg_xxyzzz_xxyyyzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 609); 

                auto tg_xxyzzz_xxyyzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 610); 

                auto tg_xxyzzz_xxyzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 611); 

                auto tg_xxyzzz_xxzzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 612); 

                auto tg_xxyzzz_xyyyyyyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 613); 

                auto tg_xxyzzz_xyyyyyyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 614); 

                auto tg_xxyzzz_xyyyyyzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 615); 

                auto tg_xxyzzz_xyyyyzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 616); 

                auto tg_xxyzzz_xyyyzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 617); 

                auto tg_xxyzzz_xyyzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 618); 

                auto tg_xxyzzz_xyzzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 619); 

                auto tg_xxyzzz_xzzzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 620); 

                auto tg_xxyzzz_yyyyyyyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 621); 

                auto tg_xxyzzz_yyyyyyyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 622); 

                auto tg_xxyzzz_yyyyyyzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 623); 

                auto tg_xxyzzz_yyyyyzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 624); 

                auto tg_xxyzzz_yyyyzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 625); 

                auto tg_xxyzzz_yyyzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 626); 

                auto tg_xxyzzz_yyzzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 627); 

                auto tg_xxyzzz_yzzzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 628); 

                auto tg_xxyzzz_zzzzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 629); 

                auto tg_xxzzzz_xxxxxxxx_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 630); 

                auto tg_xxzzzz_xxxxxxxy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 631); 

                auto tg_xxzzzz_xxxxxxxz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 632); 

                auto tg_xxzzzz_xxxxxxyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 633); 

                auto tg_xxzzzz_xxxxxxyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 634); 

                auto tg_xxzzzz_xxxxxxzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 635); 

                auto tg_xxzzzz_xxxxxyyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 636); 

                auto tg_xxzzzz_xxxxxyyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 637); 

                auto tg_xxzzzz_xxxxxyzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 638); 

                auto tg_xxzzzz_xxxxxzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 639); 

                auto tg_xxzzzz_xxxxyyyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 640); 

                auto tg_xxzzzz_xxxxyyyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 641); 

                auto tg_xxzzzz_xxxxyyzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 642); 

                auto tg_xxzzzz_xxxxyzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 643); 

                auto tg_xxzzzz_xxxxzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 644); 

                auto tg_xxzzzz_xxxyyyyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 645); 

                auto tg_xxzzzz_xxxyyyyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 646); 

                auto tg_xxzzzz_xxxyyyzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 647); 

                auto tg_xxzzzz_xxxyyzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 648); 

                auto tg_xxzzzz_xxxyzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 649); 

                auto tg_xxzzzz_xxxzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 650); 

                auto tg_xxzzzz_xxyyyyyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 651); 

                auto tg_xxzzzz_xxyyyyyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 652); 

                auto tg_xxzzzz_xxyyyyzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 653); 

                auto tg_xxzzzz_xxyyyzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 654); 

                auto tg_xxzzzz_xxyyzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 655); 

                auto tg_xxzzzz_xxyzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 656); 

                auto tg_xxzzzz_xxzzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 657); 

                auto tg_xxzzzz_xyyyyyyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 658); 

                auto tg_xxzzzz_xyyyyyyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 659); 

                auto tg_xxzzzz_xyyyyyzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 660); 

                auto tg_xxzzzz_xyyyyzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 661); 

                auto tg_xxzzzz_xyyyzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 662); 

                auto tg_xxzzzz_xyyzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 663); 

                auto tg_xxzzzz_xyzzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 664); 

                auto tg_xxzzzz_xzzzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 665); 

                auto tg_xxzzzz_yyyyyyyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 666); 

                auto tg_xxzzzz_yyyyyyyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 667); 

                auto tg_xxzzzz_yyyyyyzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 668); 

                auto tg_xxzzzz_yyyyyzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 669); 

                auto tg_xxyyzz_xzzzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 575); 

                auto tg_xxyyzz_yyyyyyyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 576); 

                auto tg_xxyyzz_yyyyyyyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 577); 

                auto tg_xxyyzz_yyyyyyzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 578); 

                auto tg_xxyyzz_yyyyyzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 579); 

                auto tg_xxyyzz_yyyyzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 580); 

                auto tg_xxyyzz_yyyzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 581); 

                auto tg_xxyyzz_yyzzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 582); 

                auto tg_xxyyzz_yzzzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 583); 

                auto tg_xxyyzz_zzzzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 584); 

                auto tg_xxyzzz_xxxxxxxx_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 585); 

                auto tg_xxyzzz_xxxxxxxy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 586); 

                auto tg_xxyzzz_xxxxxxxz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 587); 

                auto tg_xxyzzz_xxxxxxyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 588); 

                auto tg_xxyzzz_xxxxxxyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 589); 

                auto tg_xxyzzz_xxxxxxzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 590); 

                auto tg_xxyzzz_xxxxxyyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 591); 

                auto tg_xxyzzz_xxxxxyyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 592); 

                auto tg_xxyzzz_xxxxxyzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 593); 

                auto tg_xxyzzz_xxxxxzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 594); 

                auto tg_xxyzzz_xxxxyyyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 595); 

                auto tg_xxyzzz_xxxxyyyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 596); 

                auto tg_xxyzzz_xxxxyyzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 597); 

                auto tg_xxyzzz_xxxxyzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 598); 

                auto tg_xxyzzz_xxxxzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 599); 

                auto tg_xxyzzz_xxxyyyyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 600); 

                auto tg_xxyzzz_xxxyyyyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 601); 

                auto tg_xxyzzz_xxxyyyzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 602); 

                auto tg_xxyzzz_xxxyyzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 603); 

                auto tg_xxyzzz_xxxyzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 604); 

                auto tg_xxyzzz_xxxzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 605); 

                auto tg_xxyzzz_xxyyyyyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 606); 

                auto tg_xxyzzz_xxyyyyyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 607); 

                auto tg_xxyzzz_xxyyyyzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 608); 

                auto tg_xxyzzz_xxyyyzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 609); 

                auto tg_xxyzzz_xxyyzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 610); 

                auto tg_xxyzzz_xxyzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 611); 

                auto tg_xxyzzz_xxzzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 612); 

                auto tg_xxyzzz_xyyyyyyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 613); 

                auto tg_xxyzzz_xyyyyyyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 614); 

                auto tg_xxyzzz_xyyyyyzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 615); 

                auto tg_xxyzzz_xyyyyzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 616); 

                auto tg_xxyzzz_xyyyzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 617); 

                auto tg_xxyzzz_xyyzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 618); 

                auto tg_xxyzzz_xyzzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 619); 

                auto tg_xxyzzz_xzzzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 620); 

                auto tg_xxyzzz_yyyyyyyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 621); 

                auto tg_xxyzzz_yyyyyyyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 622); 

                auto tg_xxyzzz_yyyyyyzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 623); 

                auto tg_xxyzzz_yyyyyzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 624); 

                auto tg_xxyzzz_yyyyzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 625); 

                auto tg_xxyzzz_yyyzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 626); 

                auto tg_xxyzzz_yyzzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 627); 

                auto tg_xxyzzz_yzzzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 628); 

                auto tg_xxyzzz_zzzzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 629); 

                auto tg_xxzzzz_xxxxxxxx_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 630); 

                auto tg_xxzzzz_xxxxxxxy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 631); 

                auto tg_xxzzzz_xxxxxxxz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 632); 

                auto tg_xxzzzz_xxxxxxyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 633); 

                auto tg_xxzzzz_xxxxxxyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 634); 

                auto tg_xxzzzz_xxxxxxzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 635); 

                auto tg_xxzzzz_xxxxxyyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 636); 

                auto tg_xxzzzz_xxxxxyyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 637); 

                auto tg_xxzzzz_xxxxxyzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 638); 

                auto tg_xxzzzz_xxxxxzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 639); 

                auto tg_xxzzzz_xxxxyyyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 640); 

                auto tg_xxzzzz_xxxxyyyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 641); 

                auto tg_xxzzzz_xxxxyyzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 642); 

                auto tg_xxzzzz_xxxxyzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 643); 

                auto tg_xxzzzz_xxxxzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 644); 

                auto tg_xxzzzz_xxxyyyyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 645); 

                auto tg_xxzzzz_xxxyyyyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 646); 

                auto tg_xxzzzz_xxxyyyzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 647); 

                auto tg_xxzzzz_xxxyyzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 648); 

                auto tg_xxzzzz_xxxyzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 649); 

                auto tg_xxzzzz_xxxzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 650); 

                auto tg_xxzzzz_xxyyyyyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 651); 

                auto tg_xxzzzz_xxyyyyyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 652); 

                auto tg_xxzzzz_xxyyyyzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 653); 

                auto tg_xxzzzz_xxyyyzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 654); 

                auto tg_xxzzzz_xxyyzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 655); 

                auto tg_xxzzzz_xxyzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 656); 

                auto tg_xxzzzz_xxzzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 657); 

                auto tg_xxzzzz_xyyyyyyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 658); 

                auto tg_xxzzzz_xyyyyyyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 659); 

                auto tg_xxzzzz_xyyyyyzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 660); 

                auto tg_xxzzzz_xyyyyzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 661); 

                auto tg_xxzzzz_xyyyzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 662); 

                auto tg_xxzzzz_xyyzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 663); 

                auto tg_xxzzzz_xyzzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 664); 

                auto tg_xxzzzz_xzzzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 665); 

                auto tg_xxzzzz_yyyyyyyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 666); 

                auto tg_xxzzzz_yyyyyyyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 667); 

                auto tg_xxzzzz_yyyyyyzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 668); 

                auto tg_xxzzzz_yyyyyzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 669); 

                auto tg_xyyzz_xzzzzzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 575); 

                auto tg_xyyzz_yyyyyyyy_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 576); 

                auto tg_xyyzz_yyyyyyyz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 577); 

                auto tg_xyyzz_yyyyyyzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 578); 

                auto tg_xyyzz_yyyyyzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 579); 

                auto tg_xyyzz_yyyyzzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 580); 

                auto tg_xyyzz_yyyzzzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 581); 

                auto tg_xyyzz_yyzzzzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 582); 

                auto tg_xyyzz_yzzzzzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 583); 

                auto tg_xyyzz_zzzzzzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 584); 

                auto tg_xyzzz_xxxxxxxx_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 585); 

                auto tg_xyzzz_xxxxxxxy_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 586); 

                auto tg_xyzzz_xxxxxxxz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 587); 

                auto tg_xyzzz_xxxxxxyy_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 588); 

                auto tg_xyzzz_xxxxxxyz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 589); 

                auto tg_xyzzz_xxxxxxzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 590); 

                auto tg_xyzzz_xxxxxyyy_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 591); 

                auto tg_xyzzz_xxxxxyyz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 592); 

                auto tg_xyzzz_xxxxxyzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 593); 

                auto tg_xyzzz_xxxxxzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 594); 

                auto tg_xyzzz_xxxxyyyy_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 595); 

                auto tg_xyzzz_xxxxyyyz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 596); 

                auto tg_xyzzz_xxxxyyzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 597); 

                auto tg_xyzzz_xxxxyzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 598); 

                auto tg_xyzzz_xxxxzzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 599); 

                auto tg_xyzzz_xxxyyyyy_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 600); 

                auto tg_xyzzz_xxxyyyyz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 601); 

                auto tg_xyzzz_xxxyyyzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 602); 

                auto tg_xyzzz_xxxyyzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 603); 

                auto tg_xyzzz_xxxyzzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 604); 

                auto tg_xyzzz_xxxzzzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 605); 

                auto tg_xyzzz_xxyyyyyy_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 606); 

                auto tg_xyzzz_xxyyyyyz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 607); 

                auto tg_xyzzz_xxyyyyzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 608); 

                auto tg_xyzzz_xxyyyzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 609); 

                auto tg_xyzzz_xxyyzzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 610); 

                auto tg_xyzzz_xxyzzzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 611); 

                auto tg_xyzzz_xxzzzzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 612); 

                auto tg_xyzzz_xyyyyyyy_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 613); 

                auto tg_xyzzz_xyyyyyyz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 614); 

                auto tg_xyzzz_xyyyyyzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 615); 

                auto tg_xyzzz_xyyyyzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 616); 

                auto tg_xyzzz_xyyyzzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 617); 

                auto tg_xyzzz_xyyzzzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 618); 

                auto tg_xyzzz_xyzzzzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 619); 

                auto tg_xyzzz_xzzzzzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 620); 

                auto tg_xyzzz_yyyyyyyy_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 621); 

                auto tg_xyzzz_yyyyyyyz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 622); 

                auto tg_xyzzz_yyyyyyzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 623); 

                auto tg_xyzzz_yyyyyzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 624); 

                auto tg_xyzzz_yyyyzzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 625); 

                auto tg_xyzzz_yyyzzzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 626); 

                auto tg_xyzzz_yyzzzzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 627); 

                auto tg_xyzzz_yzzzzzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 628); 

                auto tg_xyzzz_zzzzzzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 629); 

                auto tg_xzzzz_xxxxxxxx_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 630); 

                auto tg_xzzzz_xxxxxxxy_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 631); 

                auto tg_xzzzz_xxxxxxxz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 632); 

                auto tg_xzzzz_xxxxxxyy_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 633); 

                auto tg_xzzzz_xxxxxxyz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 634); 

                auto tg_xzzzz_xxxxxxzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 635); 

                auto tg_xzzzz_xxxxxyyy_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 636); 

                auto tg_xzzzz_xxxxxyyz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 637); 

                auto tg_xzzzz_xxxxxyzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 638); 

                auto tg_xzzzz_xxxxxzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 639); 

                auto tg_xzzzz_xxxxyyyy_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 640); 

                auto tg_xzzzz_xxxxyyyz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 641); 

                auto tg_xzzzz_xxxxyyzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 642); 

                auto tg_xzzzz_xxxxyzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 643); 

                auto tg_xzzzz_xxxxzzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 644); 

                auto tg_xzzzz_xxxyyyyy_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 645); 

                auto tg_xzzzz_xxxyyyyz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 646); 

                auto tg_xzzzz_xxxyyyzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 647); 

                auto tg_xzzzz_xxxyyzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 648); 

                auto tg_xzzzz_xxxyzzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 649); 

                auto tg_xzzzz_xxxzzzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 650); 

                auto tg_xzzzz_xxyyyyyy_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 651); 

                auto tg_xzzzz_xxyyyyyz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 652); 

                auto tg_xzzzz_xxyyyyzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 653); 

                auto tg_xzzzz_xxyyyzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 654); 

                auto tg_xzzzz_xxyyzzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 655); 

                auto tg_xzzzz_xxyzzzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 656); 

                auto tg_xzzzz_xxzzzzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 657); 

                auto tg_xzzzz_xyyyyyyy_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 658); 

                auto tg_xzzzz_xyyyyyyz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 659); 

                auto tg_xzzzz_xyyyyyzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 660); 

                auto tg_xzzzz_xyyyyzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 661); 

                auto tg_xzzzz_xyyyzzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 662); 

                auto tg_xzzzz_xyyzzzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 663); 

                auto tg_xzzzz_xyzzzzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 664); 

                auto tg_xzzzz_xzzzzzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 665); 

                auto tg_xzzzz_yyyyyyyy_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 666); 

                auto tg_xzzzz_yyyyyyyz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 667); 

                auto tg_xzzzz_yyyyyyzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 668); 

                auto tg_xzzzz_yyyyyzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 669); 

                auto tg_xyyzz_xzzzzzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 575); 

                auto tg_xyyzz_yyyyyyyy_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 576); 

                auto tg_xyyzz_yyyyyyyz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 577); 

                auto tg_xyyzz_yyyyyyzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 578); 

                auto tg_xyyzz_yyyyyzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 579); 

                auto tg_xyyzz_yyyyzzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 580); 

                auto tg_xyyzz_yyyzzzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 581); 

                auto tg_xyyzz_yyzzzzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 582); 

                auto tg_xyyzz_yzzzzzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 583); 

                auto tg_xyyzz_zzzzzzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 584); 

                auto tg_xyzzz_xxxxxxxx_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 585); 

                auto tg_xyzzz_xxxxxxxy_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 586); 

                auto tg_xyzzz_xxxxxxxz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 587); 

                auto tg_xyzzz_xxxxxxyy_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 588); 

                auto tg_xyzzz_xxxxxxyz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 589); 

                auto tg_xyzzz_xxxxxxzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 590); 

                auto tg_xyzzz_xxxxxyyy_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 591); 

                auto tg_xyzzz_xxxxxyyz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 592); 

                auto tg_xyzzz_xxxxxyzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 593); 

                auto tg_xyzzz_xxxxxzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 594); 

                auto tg_xyzzz_xxxxyyyy_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 595); 

                auto tg_xyzzz_xxxxyyyz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 596); 

                auto tg_xyzzz_xxxxyyzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 597); 

                auto tg_xyzzz_xxxxyzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 598); 

                auto tg_xyzzz_xxxxzzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 599); 

                auto tg_xyzzz_xxxyyyyy_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 600); 

                auto tg_xyzzz_xxxyyyyz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 601); 

                auto tg_xyzzz_xxxyyyzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 602); 

                auto tg_xyzzz_xxxyyzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 603); 

                auto tg_xyzzz_xxxyzzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 604); 

                auto tg_xyzzz_xxxzzzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 605); 

                auto tg_xyzzz_xxyyyyyy_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 606); 

                auto tg_xyzzz_xxyyyyyz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 607); 

                auto tg_xyzzz_xxyyyyzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 608); 

                auto tg_xyzzz_xxyyyzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 609); 

                auto tg_xyzzz_xxyyzzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 610); 

                auto tg_xyzzz_xxyzzzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 611); 

                auto tg_xyzzz_xxzzzzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 612); 

                auto tg_xyzzz_xyyyyyyy_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 613); 

                auto tg_xyzzz_xyyyyyyz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 614); 

                auto tg_xyzzz_xyyyyyzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 615); 

                auto tg_xyzzz_xyyyyzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 616); 

                auto tg_xyzzz_xyyyzzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 617); 

                auto tg_xyzzz_xyyzzzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 618); 

                auto tg_xyzzz_xyzzzzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 619); 

                auto tg_xyzzz_xzzzzzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 620); 

                auto tg_xyzzz_yyyyyyyy_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 621); 

                auto tg_xyzzz_yyyyyyyz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 622); 

                auto tg_xyzzz_yyyyyyzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 623); 

                auto tg_xyzzz_yyyyyzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 624); 

                auto tg_xyzzz_yyyyzzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 625); 

                auto tg_xyzzz_yyyzzzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 626); 

                auto tg_xyzzz_yyzzzzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 627); 

                auto tg_xyzzz_yzzzzzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 628); 

                auto tg_xyzzz_zzzzzzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 629); 

                auto tg_xzzzz_xxxxxxxx_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 630); 

                auto tg_xzzzz_xxxxxxxy_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 631); 

                auto tg_xzzzz_xxxxxxxz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 632); 

                auto tg_xzzzz_xxxxxxyy_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 633); 

                auto tg_xzzzz_xxxxxxyz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 634); 

                auto tg_xzzzz_xxxxxxzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 635); 

                auto tg_xzzzz_xxxxxyyy_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 636); 

                auto tg_xzzzz_xxxxxyyz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 637); 

                auto tg_xzzzz_xxxxxyzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 638); 

                auto tg_xzzzz_xxxxxzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 639); 

                auto tg_xzzzz_xxxxyyyy_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 640); 

                auto tg_xzzzz_xxxxyyyz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 641); 

                auto tg_xzzzz_xxxxyyzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 642); 

                auto tg_xzzzz_xxxxyzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 643); 

                auto tg_xzzzz_xxxxzzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 644); 

                auto tg_xzzzz_xxxyyyyy_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 645); 

                auto tg_xzzzz_xxxyyyyz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 646); 

                auto tg_xzzzz_xxxyyyzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 647); 

                auto tg_xzzzz_xxxyyzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 648); 

                auto tg_xzzzz_xxxyzzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 649); 

                auto tg_xzzzz_xxxzzzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 650); 

                auto tg_xzzzz_xxyyyyyy_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 651); 

                auto tg_xzzzz_xxyyyyyz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 652); 

                auto tg_xzzzz_xxyyyyzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 653); 

                auto tg_xzzzz_xxyyyzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 654); 

                auto tg_xzzzz_xxyyzzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 655); 

                auto tg_xzzzz_xxyzzzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 656); 

                auto tg_xzzzz_xxzzzzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 657); 

                auto tg_xzzzz_xyyyyyyy_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 658); 

                auto tg_xzzzz_xyyyyyyz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 659); 

                auto tg_xzzzz_xyyyyyzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 660); 

                auto tg_xzzzz_xyyyyzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 661); 

                auto tg_xzzzz_xyyyzzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 662); 

                auto tg_xzzzz_xyyzzzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 663); 

                auto tg_xzzzz_xyzzzzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 664); 

                auto tg_xzzzz_xzzzzzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 665); 

                auto tg_xzzzz_yyyyyyyy_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 666); 

                auto tg_xzzzz_yyyyyyyz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 667); 

                auto tg_xzzzz_yyyyyyzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 668); 

                auto tg_xzzzz_yyyyyzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 669); 

                auto tg_xxyyzz_zzzzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 467); 

                auto tg_xxyzzz_xxxxxxx_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 468); 

                auto tg_xxyzzz_xxxxxxy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 469); 

                auto tg_xxyzzz_xxxxxxz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 470); 

                auto tg_xxyzzz_xxxxxyy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 471); 

                auto tg_xxyzzz_xxxxxyz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 472); 

                auto tg_xxyzzz_xxxxxzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 473); 

                auto tg_xxyzzz_xxxxyyy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 474); 

                auto tg_xxyzzz_xxxxyyz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 475); 

                auto tg_xxyzzz_xxxxyzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 476); 

                auto tg_xxyzzz_xxxxzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 477); 

                auto tg_xxyzzz_xxxyyyy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 478); 

                auto tg_xxyzzz_xxxyyyz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 479); 

                auto tg_xxyzzz_xxxyyzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 480); 

                auto tg_xxyzzz_xxxyzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 481); 

                auto tg_xxyzzz_xxxzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 482); 

                auto tg_xxyzzz_xxyyyyy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 483); 

                auto tg_xxyzzz_xxyyyyz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 484); 

                auto tg_xxyzzz_xxyyyzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 485); 

                auto tg_xxyzzz_xxyyzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 486); 

                auto tg_xxyzzz_xxyzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 487); 

                auto tg_xxyzzz_xxzzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 488); 

                auto tg_xxyzzz_xyyyyyy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 489); 

                auto tg_xxyzzz_xyyyyyz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 490); 

                auto tg_xxyzzz_xyyyyzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 491); 

                auto tg_xxyzzz_xyyyzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 492); 

                auto tg_xxyzzz_xyyzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 493); 

                auto tg_xxyzzz_xyzzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 494); 

                auto tg_xxyzzz_xzzzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 495); 

                auto tg_xxyzzz_yyyyyyy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 496); 

                auto tg_xxyzzz_yyyyyyz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 497); 

                auto tg_xxyzzz_yyyyyzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 498); 

                auto tg_xxyzzz_yyyyzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 499); 

                auto tg_xxyzzz_yyyzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 500); 

                auto tg_xxyzzz_yyzzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 501); 

                auto tg_xxyzzz_yzzzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 502); 

                auto tg_xxyzzz_zzzzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 503); 

                auto tg_xxzzzz_xxxxxxx_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 504); 

                auto tg_xxzzzz_xxxxxxy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 505); 

                auto tg_xxzzzz_xxxxxxz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 506); 

                auto tg_xxzzzz_xxxxxyy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 507); 

                auto tg_xxzzzz_xxxxxyz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 508); 

                auto tg_xxzzzz_xxxxxzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 509); 

                auto tg_xxzzzz_xxxxyyy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 510); 

                auto tg_xxzzzz_xxxxyyz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 511); 

                auto tg_xxzzzz_xxxxyzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 512); 

                auto tg_xxzzzz_xxxxzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 513); 

                auto tg_xxzzzz_xxxyyyy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 514); 

                auto tg_xxzzzz_xxxyyyz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 515); 

                auto tg_xxzzzz_xxxyyzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 516); 

                auto tg_xxzzzz_xxxyzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 517); 

                auto tg_xxzzzz_xxxzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 518); 

                auto tg_xxzzzz_xxyyyyy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 519); 

                auto tg_xxzzzz_xxyyyyz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 520); 

                auto tg_xxzzzz_xxyyyzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 521); 

                auto tg_xxzzzz_xxyyzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 522); 

                auto tg_xxzzzz_xxyzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 523); 

                auto tg_xxzzzz_xxzzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 524); 

                auto tg_xxzzzz_xyyyyyy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 525); 

                auto tg_xxzzzz_xyyyyyz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 526); 

                auto tg_xxzzzz_xyyyyzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 527); 

                auto tg_xxzzzz_xyyyzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 528); 

                auto tg_xxzzzz_xyyzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 529); 

                auto tg_xxzzzz_xyzzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 530); 

                auto tg_xxzzzz_xzzzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 531); 

                auto tg_xxzzzz_yyyyyyy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 532); 

                auto tg_xxzzzz_yyyyyyz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 533); 

                auto tg_xxzzzz_yyyyyzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 534); 

                auto tg_xxzzzz_yyyyzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 535); 

                auto tg_xxzzzz_yyyzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 536); 

                auto tg_xxzzzz_yyzzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 537); 

                auto tg_xxzzzz_yzzzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 538); 

                auto tg_xxzzzz_zzzzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 539); 

                // set up pointers to integrals

                auto tg_xxxyyzz_xzzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 575); 

                auto tg_xxxyyzz_yyyyyyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 576); 

                auto tg_xxxyyzz_yyyyyyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 577); 

                auto tg_xxxyyzz_yyyyyyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 578); 

                auto tg_xxxyyzz_yyyyyzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 579); 

                auto tg_xxxyyzz_yyyyzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 580); 

                auto tg_xxxyyzz_yyyzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 581); 

                auto tg_xxxyyzz_yyzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 582); 

                auto tg_xxxyyzz_yzzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 583); 

                auto tg_xxxyyzz_zzzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 584); 

                auto tg_xxxyzzz_xxxxxxxx_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 585); 

                auto tg_xxxyzzz_xxxxxxxy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 586); 

                auto tg_xxxyzzz_xxxxxxxz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 587); 

                auto tg_xxxyzzz_xxxxxxyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 588); 

                auto tg_xxxyzzz_xxxxxxyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 589); 

                auto tg_xxxyzzz_xxxxxxzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 590); 

                auto tg_xxxyzzz_xxxxxyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 591); 

                auto tg_xxxyzzz_xxxxxyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 592); 

                auto tg_xxxyzzz_xxxxxyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 593); 

                auto tg_xxxyzzz_xxxxxzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 594); 

                auto tg_xxxyzzz_xxxxyyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 595); 

                auto tg_xxxyzzz_xxxxyyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 596); 

                auto tg_xxxyzzz_xxxxyyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 597); 

                auto tg_xxxyzzz_xxxxyzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 598); 

                auto tg_xxxyzzz_xxxxzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 599); 

                auto tg_xxxyzzz_xxxyyyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 600); 

                auto tg_xxxyzzz_xxxyyyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 601); 

                auto tg_xxxyzzz_xxxyyyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 602); 

                auto tg_xxxyzzz_xxxyyzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 603); 

                auto tg_xxxyzzz_xxxyzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 604); 

                auto tg_xxxyzzz_xxxzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 605); 

                auto tg_xxxyzzz_xxyyyyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 606); 

                auto tg_xxxyzzz_xxyyyyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 607); 

                auto tg_xxxyzzz_xxyyyyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 608); 

                auto tg_xxxyzzz_xxyyyzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 609); 

                auto tg_xxxyzzz_xxyyzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 610); 

                auto tg_xxxyzzz_xxyzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 611); 

                auto tg_xxxyzzz_xxzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 612); 

                auto tg_xxxyzzz_xyyyyyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 613); 

                auto tg_xxxyzzz_xyyyyyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 614); 

                auto tg_xxxyzzz_xyyyyyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 615); 

                auto tg_xxxyzzz_xyyyyzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 616); 

                auto tg_xxxyzzz_xyyyzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 617); 

                auto tg_xxxyzzz_xyyzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 618); 

                auto tg_xxxyzzz_xyzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 619); 

                auto tg_xxxyzzz_xzzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 620); 

                auto tg_xxxyzzz_yyyyyyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 621); 

                auto tg_xxxyzzz_yyyyyyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 622); 

                auto tg_xxxyzzz_yyyyyyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 623); 

                auto tg_xxxyzzz_yyyyyzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 624); 

                auto tg_xxxyzzz_yyyyzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 625); 

                auto tg_xxxyzzz_yyyzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 626); 

                auto tg_xxxyzzz_yyzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 627); 

                auto tg_xxxyzzz_yzzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 628); 

                auto tg_xxxyzzz_zzzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 629); 

                auto tg_xxxzzzz_xxxxxxxx_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 630); 

                auto tg_xxxzzzz_xxxxxxxy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 631); 

                auto tg_xxxzzzz_xxxxxxxz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 632); 

                auto tg_xxxzzzz_xxxxxxyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 633); 

                auto tg_xxxzzzz_xxxxxxyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 634); 

                auto tg_xxxzzzz_xxxxxxzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 635); 

                auto tg_xxxzzzz_xxxxxyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 636); 

                auto tg_xxxzzzz_xxxxxyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 637); 

                auto tg_xxxzzzz_xxxxxyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 638); 

                auto tg_xxxzzzz_xxxxxzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 639); 

                auto tg_xxxzzzz_xxxxyyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 640); 

                auto tg_xxxzzzz_xxxxyyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 641); 

                auto tg_xxxzzzz_xxxxyyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 642); 

                auto tg_xxxzzzz_xxxxyzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 643); 

                auto tg_xxxzzzz_xxxxzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 644); 

                auto tg_xxxzzzz_xxxyyyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 645); 

                auto tg_xxxzzzz_xxxyyyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 646); 

                auto tg_xxxzzzz_xxxyyyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 647); 

                auto tg_xxxzzzz_xxxyyzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 648); 

                auto tg_xxxzzzz_xxxyzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 649); 

                auto tg_xxxzzzz_xxxzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 650); 

                auto tg_xxxzzzz_xxyyyyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 651); 

                auto tg_xxxzzzz_xxyyyyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 652); 

                auto tg_xxxzzzz_xxyyyyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 653); 

                auto tg_xxxzzzz_xxyyyzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 654); 

                auto tg_xxxzzzz_xxyyzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 655); 

                auto tg_xxxzzzz_xxyzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 656); 

                auto tg_xxxzzzz_xxzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 657); 

                auto tg_xxxzzzz_xyyyyyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 658); 

                auto tg_xxxzzzz_xyyyyyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 659); 

                auto tg_xxxzzzz_xyyyyyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 660); 

                auto tg_xxxzzzz_xyyyyzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 661); 

                auto tg_xxxzzzz_xyyyzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 662); 

                auto tg_xxxzzzz_xyyzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 663); 

                auto tg_xxxzzzz_xyzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 664); 

                auto tg_xxxzzzz_xzzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 665); 

                auto tg_xxxzzzz_yyyyyyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 666); 

                auto tg_xxxzzzz_yyyyyyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 667); 

                auto tg_xxxzzzz_yyyyyyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 668); 

                auto tg_xxxzzzz_yyyyyzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 669); 

                // Batch of Integrals (575,670)

                #pragma omp simd aligned(fxn, fza, tg_xxxyyzz_xzzzzzzz_0, tg_xxxyyzz_yyyyyyyy_0, \
                                         tg_xxxyyzz_yyyyyyyz_0, tg_xxxyyzz_yyyyyyzz_0, tg_xxxyyzz_yyyyyzzz_0, \
                                         tg_xxxyyzz_yyyyzzzz_0, tg_xxxyyzz_yyyzzzzz_0, tg_xxxyyzz_yyzzzzzz_0, \
                                         tg_xxxyyzz_yzzzzzzz_0, tg_xxxyyzz_zzzzzzzz_0, tg_xxxyzzz_xxxxxxxx_0, \
                                         tg_xxxyzzz_xxxxxxxy_0, tg_xxxyzzz_xxxxxxxz_0, tg_xxxyzzz_xxxxxxyy_0, \
                                         tg_xxxyzzz_xxxxxxyz_0, tg_xxxyzzz_xxxxxxzz_0, tg_xxxyzzz_xxxxxyyy_0, \
                                         tg_xxxyzzz_xxxxxyyz_0, tg_xxxyzzz_xxxxxyzz_0, tg_xxxyzzz_xxxxxzzz_0, \
                                         tg_xxxyzzz_xxxxyyyy_0, tg_xxxyzzz_xxxxyyyz_0, tg_xxxyzzz_xxxxyyzz_0, \
                                         tg_xxxyzzz_xxxxyzzz_0, tg_xxxyzzz_xxxxzzzz_0, tg_xxxyzzz_xxxyyyyy_0, \
                                         tg_xxxyzzz_xxxyyyyz_0, tg_xxxyzzz_xxxyyyzz_0, tg_xxxyzzz_xxxyyzzz_0, \
                                         tg_xxxyzzz_xxxyzzzz_0, tg_xxxyzzz_xxxzzzzz_0, tg_xxxyzzz_xxyyyyyy_0, \
                                         tg_xxxyzzz_xxyyyyyz_0, tg_xxxyzzz_xxyyyyzz_0, tg_xxxyzzz_xxyyyzzz_0, \
                                         tg_xxxyzzz_xxyyzzzz_0, tg_xxxyzzz_xxyzzzzz_0, tg_xxxyzzz_xxzzzzzz_0, \
                                         tg_xxxyzzz_xyyyyyyy_0, tg_xxxyzzz_xyyyyyyz_0, tg_xxxyzzz_xyyyyyzz_0, \
                                         tg_xxxyzzz_xyyyyzzz_0, tg_xxxyzzz_xyyyzzzz_0, tg_xxxyzzz_xyyzzzzz_0, \
                                         tg_xxxyzzz_xyzzzzzz_0, tg_xxxyzzz_xzzzzzzz_0, tg_xxxyzzz_yyyyyyyy_0, \
                                         tg_xxxyzzz_yyyyyyyz_0, tg_xxxyzzz_yyyyyyzz_0, tg_xxxyzzz_yyyyyzzz_0, \
                                         tg_xxxyzzz_yyyyzzzz_0, tg_xxxyzzz_yyyzzzzz_0, tg_xxxyzzz_yyzzzzzz_0, \
                                         tg_xxxyzzz_yzzzzzzz_0, tg_xxxyzzz_zzzzzzzz_0, tg_xxxzzzz_xxxxxxxx_0, \
                                         tg_xxxzzzz_xxxxxxxy_0, tg_xxxzzzz_xxxxxxxz_0, tg_xxxzzzz_xxxxxxyy_0, \
                                         tg_xxxzzzz_xxxxxxyz_0, tg_xxxzzzz_xxxxxxzz_0, tg_xxxzzzz_xxxxxyyy_0, \
                                         tg_xxxzzzz_xxxxxyyz_0, tg_xxxzzzz_xxxxxyzz_0, tg_xxxzzzz_xxxxxzzz_0, \
                                         tg_xxxzzzz_xxxxyyyy_0, tg_xxxzzzz_xxxxyyyz_0, tg_xxxzzzz_xxxxyyzz_0, \
                                         tg_xxxzzzz_xxxxyzzz_0, tg_xxxzzzz_xxxxzzzz_0, tg_xxxzzzz_xxxyyyyy_0, \
                                         tg_xxxzzzz_xxxyyyyz_0, tg_xxxzzzz_xxxyyyzz_0, tg_xxxzzzz_xxxyyzzz_0, \
                                         tg_xxxzzzz_xxxyzzzz_0, tg_xxxzzzz_xxxzzzzz_0, tg_xxxzzzz_xxyyyyyy_0, \
                                         tg_xxxzzzz_xxyyyyyz_0, tg_xxxzzzz_xxyyyyzz_0, tg_xxxzzzz_xxyyyzzz_0, \
                                         tg_xxxzzzz_xxyyzzzz_0, tg_xxxzzzz_xxyzzzzz_0, tg_xxxzzzz_xxzzzzzz_0, \
                                         tg_xxxzzzz_xyyyyyyy_0, tg_xxxzzzz_xyyyyyyz_0, tg_xxxzzzz_xyyyyyzz_0, \
                                         tg_xxxzzzz_xyyyyzzz_0, tg_xxxzzzz_xyyyzzzz_0, tg_xxxzzzz_xyyzzzzz_0, \
                                         tg_xxxzzzz_xyzzzzzz_0, tg_xxxzzzz_xzzzzzzz_0, tg_xxxzzzz_yyyyyyyy_0, \
                                         tg_xxxzzzz_yyyyyyyz_0, tg_xxxzzzz_yyyyyyzz_0, tg_xxxzzzz_yyyyyzzz_0, \
                                         tg_xxyyzz_xzzzzzzz_0, tg_xxyyzz_xzzzzzzz_1, tg_xxyyzz_yyyyyyyy_0, tg_xxyyzz_yyyyyyyy_1, \
                                         tg_xxyyzz_yyyyyyyz_0, tg_xxyyzz_yyyyyyyz_1, tg_xxyyzz_yyyyyyzz_0, tg_xxyyzz_yyyyyyzz_1, \
                                         tg_xxyyzz_yyyyyzzz_0, tg_xxyyzz_yyyyyzzz_1, tg_xxyyzz_yyyyzzzz_0, tg_xxyyzz_yyyyzzzz_1, \
                                         tg_xxyyzz_yyyzzzzz_0, tg_xxyyzz_yyyzzzzz_1, tg_xxyyzz_yyzzzzzz_0, tg_xxyyzz_yyzzzzzz_1, \
                                         tg_xxyyzz_yzzzzzzz_0, tg_xxyyzz_yzzzzzzz_1, tg_xxyyzz_zzzzzzz_1, tg_xxyyzz_zzzzzzzz_0, \
                                         tg_xxyyzz_zzzzzzzz_1, tg_xxyzzz_xxxxxxx_1, tg_xxyzzz_xxxxxxxx_0, tg_xxyzzz_xxxxxxxx_1, \
                                         tg_xxyzzz_xxxxxxxy_0, tg_xxyzzz_xxxxxxxy_1, tg_xxyzzz_xxxxxxxz_0, tg_xxyzzz_xxxxxxxz_1, \
                                         tg_xxyzzz_xxxxxxy_1, tg_xxyzzz_xxxxxxyy_0, tg_xxyzzz_xxxxxxyy_1, tg_xxyzzz_xxxxxxyz_0, \
                                         tg_xxyzzz_xxxxxxyz_1, tg_xxyzzz_xxxxxxz_1, tg_xxyzzz_xxxxxxzz_0, tg_xxyzzz_xxxxxxzz_1, \
                                         tg_xxyzzz_xxxxxyy_1, tg_xxyzzz_xxxxxyyy_0, tg_xxyzzz_xxxxxyyy_1, tg_xxyzzz_xxxxxyyz_0, \
                                         tg_xxyzzz_xxxxxyyz_1, tg_xxyzzz_xxxxxyz_1, tg_xxyzzz_xxxxxyzz_0, tg_xxyzzz_xxxxxyzz_1, \
                                         tg_xxyzzz_xxxxxzz_1, tg_xxyzzz_xxxxxzzz_0, tg_xxyzzz_xxxxxzzz_1, tg_xxyzzz_xxxxyyy_1, \
                                         tg_xxyzzz_xxxxyyyy_0, tg_xxyzzz_xxxxyyyy_1, tg_xxyzzz_xxxxyyyz_0, tg_xxyzzz_xxxxyyyz_1, \
                                         tg_xxyzzz_xxxxyyz_1, tg_xxyzzz_xxxxyyzz_0, tg_xxyzzz_xxxxyyzz_1, tg_xxyzzz_xxxxyzz_1, \
                                         tg_xxyzzz_xxxxyzzz_0, tg_xxyzzz_xxxxyzzz_1, tg_xxyzzz_xxxxzzz_1, tg_xxyzzz_xxxxzzzz_0, \
                                         tg_xxyzzz_xxxxzzzz_1, tg_xxyzzz_xxxyyyy_1, tg_xxyzzz_xxxyyyyy_0, tg_xxyzzz_xxxyyyyy_1, \
                                         tg_xxyzzz_xxxyyyyz_0, tg_xxyzzz_xxxyyyyz_1, tg_xxyzzz_xxxyyyz_1, tg_xxyzzz_xxxyyyzz_0, \
                                         tg_xxyzzz_xxxyyyzz_1, tg_xxyzzz_xxxyyzz_1, tg_xxyzzz_xxxyyzzz_0, tg_xxyzzz_xxxyyzzz_1, \
                                         tg_xxyzzz_xxxyzzz_1, tg_xxyzzz_xxxyzzzz_0, tg_xxyzzz_xxxyzzzz_1, tg_xxyzzz_xxxzzzz_1, \
                                         tg_xxyzzz_xxxzzzzz_0, tg_xxyzzz_xxxzzzzz_1, tg_xxyzzz_xxyyyyy_1, tg_xxyzzz_xxyyyyyy_0, \
                                         tg_xxyzzz_xxyyyyyy_1, tg_xxyzzz_xxyyyyyz_0, tg_xxyzzz_xxyyyyyz_1, tg_xxyzzz_xxyyyyz_1, \
                                         tg_xxyzzz_xxyyyyzz_0, tg_xxyzzz_xxyyyyzz_1, tg_xxyzzz_xxyyyzz_1, tg_xxyzzz_xxyyyzzz_0, \
                                         tg_xxyzzz_xxyyyzzz_1, tg_xxyzzz_xxyyzzz_1, tg_xxyzzz_xxyyzzzz_0, tg_xxyzzz_xxyyzzzz_1, \
                                         tg_xxyzzz_xxyzzzz_1, tg_xxyzzz_xxyzzzzz_0, tg_xxyzzz_xxyzzzzz_1, tg_xxyzzz_xxzzzzz_1, \
                                         tg_xxyzzz_xxzzzzzz_0, tg_xxyzzz_xxzzzzzz_1, tg_xxyzzz_xyyyyyy_1, tg_xxyzzz_xyyyyyyy_0, \
                                         tg_xxyzzz_xyyyyyyy_1, tg_xxyzzz_xyyyyyyz_0, tg_xxyzzz_xyyyyyyz_1, tg_xxyzzz_xyyyyyz_1, \
                                         tg_xxyzzz_xyyyyyzz_0, tg_xxyzzz_xyyyyyzz_1, tg_xxyzzz_xyyyyzz_1, tg_xxyzzz_xyyyyzzz_0, \
                                         tg_xxyzzz_xyyyyzzz_1, tg_xxyzzz_xyyyzzz_1, tg_xxyzzz_xyyyzzzz_0, tg_xxyzzz_xyyyzzzz_1, \
                                         tg_xxyzzz_xyyzzzz_1, tg_xxyzzz_xyyzzzzz_0, tg_xxyzzz_xyyzzzzz_1, tg_xxyzzz_xyzzzzz_1, \
                                         tg_xxyzzz_xyzzzzzz_0, tg_xxyzzz_xyzzzzzz_1, tg_xxyzzz_xzzzzzz_1, tg_xxyzzz_xzzzzzzz_0, \
                                         tg_xxyzzz_xzzzzzzz_1, tg_xxyzzz_yyyyyyy_1, tg_xxyzzz_yyyyyyyy_0, tg_xxyzzz_yyyyyyyy_1, \
                                         tg_xxyzzz_yyyyyyyz_0, tg_xxyzzz_yyyyyyyz_1, tg_xxyzzz_yyyyyyz_1, tg_xxyzzz_yyyyyyzz_0, \
                                         tg_xxyzzz_yyyyyyzz_1, tg_xxyzzz_yyyyyzz_1, tg_xxyzzz_yyyyyzzz_0, tg_xxyzzz_yyyyyzzz_1, \
                                         tg_xxyzzz_yyyyzzz_1, tg_xxyzzz_yyyyzzzz_0, tg_xxyzzz_yyyyzzzz_1, tg_xxyzzz_yyyzzzz_1, \
                                         tg_xxyzzz_yyyzzzzz_0, tg_xxyzzz_yyyzzzzz_1, tg_xxyzzz_yyzzzzz_1, tg_xxyzzz_yyzzzzzz_0, \
                                         tg_xxyzzz_yyzzzzzz_1, tg_xxyzzz_yzzzzzz_1, tg_xxyzzz_yzzzzzzz_0, tg_xxyzzz_yzzzzzzz_1, \
                                         tg_xxyzzz_zzzzzzz_1, tg_xxyzzz_zzzzzzzz_0, tg_xxyzzz_zzzzzzzz_1, tg_xxzzzz_xxxxxxx_1, \
                                         tg_xxzzzz_xxxxxxxx_0, tg_xxzzzz_xxxxxxxx_1, tg_xxzzzz_xxxxxxxy_0, tg_xxzzzz_xxxxxxxy_1, \
                                         tg_xxzzzz_xxxxxxxz_0, tg_xxzzzz_xxxxxxxz_1, tg_xxzzzz_xxxxxxy_1, tg_xxzzzz_xxxxxxyy_0, \
                                         tg_xxzzzz_xxxxxxyy_1, tg_xxzzzz_xxxxxxyz_0, tg_xxzzzz_xxxxxxyz_1, tg_xxzzzz_xxxxxxz_1, \
                                         tg_xxzzzz_xxxxxxzz_0, tg_xxzzzz_xxxxxxzz_1, tg_xxzzzz_xxxxxyy_1, tg_xxzzzz_xxxxxyyy_0, \
                                         tg_xxzzzz_xxxxxyyy_1, tg_xxzzzz_xxxxxyyz_0, tg_xxzzzz_xxxxxyyz_1, tg_xxzzzz_xxxxxyz_1, \
                                         tg_xxzzzz_xxxxxyzz_0, tg_xxzzzz_xxxxxyzz_1, tg_xxzzzz_xxxxxzz_1, tg_xxzzzz_xxxxxzzz_0, \
                                         tg_xxzzzz_xxxxxzzz_1, tg_xxzzzz_xxxxyyy_1, tg_xxzzzz_xxxxyyyy_0, tg_xxzzzz_xxxxyyyy_1, \
                                         tg_xxzzzz_xxxxyyyz_0, tg_xxzzzz_xxxxyyyz_1, tg_xxzzzz_xxxxyyz_1, tg_xxzzzz_xxxxyyzz_0, \
                                         tg_xxzzzz_xxxxyyzz_1, tg_xxzzzz_xxxxyzz_1, tg_xxzzzz_xxxxyzzz_0, tg_xxzzzz_xxxxyzzz_1, \
                                         tg_xxzzzz_xxxxzzz_1, tg_xxzzzz_xxxxzzzz_0, tg_xxzzzz_xxxxzzzz_1, tg_xxzzzz_xxxyyyy_1, \
                                         tg_xxzzzz_xxxyyyyy_0, tg_xxzzzz_xxxyyyyy_1, tg_xxzzzz_xxxyyyyz_0, tg_xxzzzz_xxxyyyyz_1, \
                                         tg_xxzzzz_xxxyyyz_1, tg_xxzzzz_xxxyyyzz_0, tg_xxzzzz_xxxyyyzz_1, tg_xxzzzz_xxxyyzz_1, \
                                         tg_xxzzzz_xxxyyzzz_0, tg_xxzzzz_xxxyyzzz_1, tg_xxzzzz_xxxyzzz_1, tg_xxzzzz_xxxyzzzz_0, \
                                         tg_xxzzzz_xxxyzzzz_1, tg_xxzzzz_xxxzzzz_1, tg_xxzzzz_xxxzzzzz_0, tg_xxzzzz_xxxzzzzz_1, \
                                         tg_xxzzzz_xxyyyyy_1, tg_xxzzzz_xxyyyyyy_0, tg_xxzzzz_xxyyyyyy_1, tg_xxzzzz_xxyyyyyz_0, \
                                         tg_xxzzzz_xxyyyyyz_1, tg_xxzzzz_xxyyyyz_1, tg_xxzzzz_xxyyyyzz_0, tg_xxzzzz_xxyyyyzz_1, \
                                         tg_xxzzzz_xxyyyzz_1, tg_xxzzzz_xxyyyzzz_0, tg_xxzzzz_xxyyyzzz_1, tg_xxzzzz_xxyyzzz_1, \
                                         tg_xxzzzz_xxyyzzzz_0, tg_xxzzzz_xxyyzzzz_1, tg_xxzzzz_xxyzzzz_1, tg_xxzzzz_xxyzzzzz_0, \
                                         tg_xxzzzz_xxyzzzzz_1, tg_xxzzzz_xxzzzzz_1, tg_xxzzzz_xxzzzzzz_0, tg_xxzzzz_xxzzzzzz_1, \
                                         tg_xxzzzz_xyyyyyy_1, tg_xxzzzz_xyyyyyyy_0, tg_xxzzzz_xyyyyyyy_1, tg_xxzzzz_xyyyyyyz_0, \
                                         tg_xxzzzz_xyyyyyyz_1, tg_xxzzzz_xyyyyyz_1, tg_xxzzzz_xyyyyyzz_0, tg_xxzzzz_xyyyyyzz_1, \
                                         tg_xxzzzz_xyyyyzz_1, tg_xxzzzz_xyyyyzzz_0, tg_xxzzzz_xyyyyzzz_1, tg_xxzzzz_xyyyzzz_1, \
                                         tg_xxzzzz_xyyyzzzz_0, tg_xxzzzz_xyyyzzzz_1, tg_xxzzzz_xyyzzzz_1, tg_xxzzzz_xyyzzzzz_0, \
                                         tg_xxzzzz_xyyzzzzz_1, tg_xxzzzz_xyzzzzz_1, tg_xxzzzz_xyzzzzzz_0, tg_xxzzzz_xyzzzzzz_1, \
                                         tg_xxzzzz_xzzzzzz_1, tg_xxzzzz_xzzzzzzz_0, tg_xxzzzz_xzzzzzzz_1, tg_xxzzzz_yyyyyyy_1, \
                                         tg_xxzzzz_yyyyyyyy_0, tg_xxzzzz_yyyyyyyy_1, tg_xxzzzz_yyyyyyyz_0, tg_xxzzzz_yyyyyyyz_1, \
                                         tg_xxzzzz_yyyyyyz_1, tg_xxzzzz_yyyyyyzz_0, tg_xxzzzz_yyyyyyzz_1, tg_xxzzzz_yyyyyzz_1, \
                                         tg_xxzzzz_yyyyyzzz_0, tg_xxzzzz_yyyyyzzz_1, tg_xxzzzz_yyyyzzz_1, tg_xxzzzz_yyyzzzz_1, \
                                         tg_xxzzzz_yyzzzzz_1, tg_xxzzzz_yzzzzzz_1, tg_xxzzzz_zzzzzzz_1, tg_xyyzz_xzzzzzzz_0, \
                                         tg_xyyzz_xzzzzzzz_1, tg_xyyzz_yyyyyyyy_0, tg_xyyzz_yyyyyyyy_1, tg_xyyzz_yyyyyyyz_0, \
                                         tg_xyyzz_yyyyyyyz_1, tg_xyyzz_yyyyyyzz_0, tg_xyyzz_yyyyyyzz_1, tg_xyyzz_yyyyyzzz_0, \
                                         tg_xyyzz_yyyyyzzz_1, tg_xyyzz_yyyyzzzz_0, tg_xyyzz_yyyyzzzz_1, tg_xyyzz_yyyzzzzz_0, \
                                         tg_xyyzz_yyyzzzzz_1, tg_xyyzz_yyzzzzzz_0, tg_xyyzz_yyzzzzzz_1, tg_xyyzz_yzzzzzzz_0, \
                                         tg_xyyzz_yzzzzzzz_1, tg_xyyzz_zzzzzzzz_0, tg_xyyzz_zzzzzzzz_1, tg_xyzzz_xxxxxxxx_0, \
                                         tg_xyzzz_xxxxxxxx_1, tg_xyzzz_xxxxxxxy_0, tg_xyzzz_xxxxxxxy_1, tg_xyzzz_xxxxxxxz_0, \
                                         tg_xyzzz_xxxxxxxz_1, tg_xyzzz_xxxxxxyy_0, tg_xyzzz_xxxxxxyy_1, tg_xyzzz_xxxxxxyz_0, \
                                         tg_xyzzz_xxxxxxyz_1, tg_xyzzz_xxxxxxzz_0, tg_xyzzz_xxxxxxzz_1, tg_xyzzz_xxxxxyyy_0, \
                                         tg_xyzzz_xxxxxyyy_1, tg_xyzzz_xxxxxyyz_0, tg_xyzzz_xxxxxyyz_1, tg_xyzzz_xxxxxyzz_0, \
                                         tg_xyzzz_xxxxxyzz_1, tg_xyzzz_xxxxxzzz_0, tg_xyzzz_xxxxxzzz_1, tg_xyzzz_xxxxyyyy_0, \
                                         tg_xyzzz_xxxxyyyy_1, tg_xyzzz_xxxxyyyz_0, tg_xyzzz_xxxxyyyz_1, tg_xyzzz_xxxxyyzz_0, \
                                         tg_xyzzz_xxxxyyzz_1, tg_xyzzz_xxxxyzzz_0, tg_xyzzz_xxxxyzzz_1, tg_xyzzz_xxxxzzzz_0, \
                                         tg_xyzzz_xxxxzzzz_1, tg_xyzzz_xxxyyyyy_0, tg_xyzzz_xxxyyyyy_1, tg_xyzzz_xxxyyyyz_0, \
                                         tg_xyzzz_xxxyyyyz_1, tg_xyzzz_xxxyyyzz_0, tg_xyzzz_xxxyyyzz_1, tg_xyzzz_xxxyyzzz_0, \
                                         tg_xyzzz_xxxyyzzz_1, tg_xyzzz_xxxyzzzz_0, tg_xyzzz_xxxyzzzz_1, tg_xyzzz_xxxzzzzz_0, \
                                         tg_xyzzz_xxxzzzzz_1, tg_xyzzz_xxyyyyyy_0, tg_xyzzz_xxyyyyyy_1, tg_xyzzz_xxyyyyyz_0, \
                                         tg_xyzzz_xxyyyyyz_1, tg_xyzzz_xxyyyyzz_0, tg_xyzzz_xxyyyyzz_1, tg_xyzzz_xxyyyzzz_0, \
                                         tg_xyzzz_xxyyyzzz_1, tg_xyzzz_xxyyzzzz_0, tg_xyzzz_xxyyzzzz_1, tg_xyzzz_xxyzzzzz_0, \
                                         tg_xyzzz_xxyzzzzz_1, tg_xyzzz_xxzzzzzz_0, tg_xyzzz_xxzzzzzz_1, tg_xyzzz_xyyyyyyy_0, \
                                         tg_xyzzz_xyyyyyyy_1, tg_xyzzz_xyyyyyyz_0, tg_xyzzz_xyyyyyyz_1, tg_xyzzz_xyyyyyzz_0, \
                                         tg_xyzzz_xyyyyyzz_1, tg_xyzzz_xyyyyzzz_0, tg_xyzzz_xyyyyzzz_1, tg_xyzzz_xyyyzzzz_0, \
                                         tg_xyzzz_xyyyzzzz_1, tg_xyzzz_xyyzzzzz_0, tg_xyzzz_xyyzzzzz_1, tg_xyzzz_xyzzzzzz_0, \
                                         tg_xyzzz_xyzzzzzz_1, tg_xyzzz_xzzzzzzz_0, tg_xyzzz_xzzzzzzz_1, tg_xyzzz_yyyyyyyy_0, \
                                         tg_xyzzz_yyyyyyyy_1, tg_xyzzz_yyyyyyyz_0, tg_xyzzz_yyyyyyyz_1, tg_xyzzz_yyyyyyzz_0, \
                                         tg_xyzzz_yyyyyyzz_1, tg_xyzzz_yyyyyzzz_0, tg_xyzzz_yyyyyzzz_1, tg_xyzzz_yyyyzzzz_0, \
                                         tg_xyzzz_yyyyzzzz_1, tg_xyzzz_yyyzzzzz_0, tg_xyzzz_yyyzzzzz_1, tg_xyzzz_yyzzzzzz_0, \
                                         tg_xyzzz_yyzzzzzz_1, tg_xyzzz_yzzzzzzz_0, tg_xyzzz_yzzzzzzz_1, tg_xyzzz_zzzzzzzz_0, \
                                         tg_xyzzz_zzzzzzzz_1, tg_xzzzz_xxxxxxxx_0, tg_xzzzz_xxxxxxxx_1, tg_xzzzz_xxxxxxxy_0, \
                                         tg_xzzzz_xxxxxxxy_1, tg_xzzzz_xxxxxxxz_0, tg_xzzzz_xxxxxxxz_1, tg_xzzzz_xxxxxxyy_0, \
                                         tg_xzzzz_xxxxxxyy_1, tg_xzzzz_xxxxxxyz_0, tg_xzzzz_xxxxxxyz_1, tg_xzzzz_xxxxxxzz_0, \
                                         tg_xzzzz_xxxxxxzz_1, tg_xzzzz_xxxxxyyy_0, tg_xzzzz_xxxxxyyy_1, tg_xzzzz_xxxxxyyz_0, \
                                         tg_xzzzz_xxxxxyyz_1, tg_xzzzz_xxxxxyzz_0, tg_xzzzz_xxxxxyzz_1, tg_xzzzz_xxxxxzzz_0, \
                                         tg_xzzzz_xxxxxzzz_1, tg_xzzzz_xxxxyyyy_0, tg_xzzzz_xxxxyyyy_1, tg_xzzzz_xxxxyyyz_0, \
                                         tg_xzzzz_xxxxyyyz_1, tg_xzzzz_xxxxyyzz_0, tg_xzzzz_xxxxyyzz_1, tg_xzzzz_xxxxyzzz_0, \
                                         tg_xzzzz_xxxxyzzz_1, tg_xzzzz_xxxxzzzz_0, tg_xzzzz_xxxxzzzz_1, tg_xzzzz_xxxyyyyy_0, \
                                         tg_xzzzz_xxxyyyyy_1, tg_xzzzz_xxxyyyyz_0, tg_xzzzz_xxxyyyyz_1, tg_xzzzz_xxxyyyzz_0, \
                                         tg_xzzzz_xxxyyyzz_1, tg_xzzzz_xxxyyzzz_0, tg_xzzzz_xxxyyzzz_1, tg_xzzzz_xxxyzzzz_0, \
                                         tg_xzzzz_xxxyzzzz_1, tg_xzzzz_xxxzzzzz_0, tg_xzzzz_xxxzzzzz_1, tg_xzzzz_xxyyyyyy_0, \
                                         tg_xzzzz_xxyyyyyy_1, tg_xzzzz_xxyyyyyz_0, tg_xzzzz_xxyyyyyz_1, tg_xzzzz_xxyyyyzz_0, \
                                         tg_xzzzz_xxyyyyzz_1, tg_xzzzz_xxyyyzzz_0, tg_xzzzz_xxyyyzzz_1, tg_xzzzz_xxyyzzzz_0, \
                                         tg_xzzzz_xxyyzzzz_1, tg_xzzzz_xxyzzzzz_0, tg_xzzzz_xxyzzzzz_1, tg_xzzzz_xxzzzzzz_0, \
                                         tg_xzzzz_xxzzzzzz_1, tg_xzzzz_xyyyyyyy_0, tg_xzzzz_xyyyyyyy_1, tg_xzzzz_xyyyyyyz_0, \
                                         tg_xzzzz_xyyyyyyz_1, tg_xzzzz_xyyyyyzz_0, tg_xzzzz_xyyyyyzz_1, tg_xzzzz_xyyyyzzz_0, \
                                         tg_xzzzz_xyyyyzzz_1, tg_xzzzz_xyyyzzzz_0, tg_xzzzz_xyyyzzzz_1, tg_xzzzz_xyyzzzzz_0, \
                                         tg_xzzzz_xyyzzzzz_1, tg_xzzzz_xyzzzzzz_0, tg_xzzzz_xyzzzzzz_1, tg_xzzzz_xzzzzzzz_0, \
                                         tg_xzzzz_xzzzzzzz_1, tg_xzzzz_yyyyyyyy_0, tg_xzzzz_yyyyyyyy_1, tg_xzzzz_yyyyyyyz_0, \
                                         tg_xzzzz_yyyyyyyz_1, tg_xzzzz_yyyyyyzz_0, tg_xzzzz_yyyyyyzz_1, tg_xzzzz_yyyyyzzz_0, \
                                         tg_xzzzz_yyyyyzzz_1, wp_x: VLX_ALIGN)
                for (int32_t j = 0; j < nKetPrimPairs; j++)
                {
                    double fl1_fx = fx;

                    double fl1_fxn = fxn[j];

                    double fl1_fza = fza[j];

                    double fr = wp_x[j]; 

                    tg_xxxyyzz_xzzzzzzz_0[j] = pb_x * tg_xxyyzz_xzzzzzzz_0[j] + fr * tg_xxyyzz_xzzzzzzz_1[j] + fl1_fx * (tg_xyyzz_xzzzzzzz_0[j] - tg_xyyzz_xzzzzzzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xxyyzz_zzzzzzz_1[j];

                    tg_xxxyyzz_yyyyyyyy_0[j] = pb_x * tg_xxyyzz_yyyyyyyy_0[j] + fr * tg_xxyyzz_yyyyyyyy_1[j] + fl1_fx * (tg_xyyzz_yyyyyyyy_0[j] - tg_xyyzz_yyyyyyyy_1[j] * fl1_fza);

                    tg_xxxyyzz_yyyyyyyz_0[j] = pb_x * tg_xxyyzz_yyyyyyyz_0[j] + fr * tg_xxyyzz_yyyyyyyz_1[j] + fl1_fx * (tg_xyyzz_yyyyyyyz_0[j] - tg_xyyzz_yyyyyyyz_1[j] * fl1_fza);

                    tg_xxxyyzz_yyyyyyzz_0[j] = pb_x * tg_xxyyzz_yyyyyyzz_0[j] + fr * tg_xxyyzz_yyyyyyzz_1[j] + fl1_fx * (tg_xyyzz_yyyyyyzz_0[j] - tg_xyyzz_yyyyyyzz_1[j] * fl1_fza);

                    tg_xxxyyzz_yyyyyzzz_0[j] = pb_x * tg_xxyyzz_yyyyyzzz_0[j] + fr * tg_xxyyzz_yyyyyzzz_1[j] + fl1_fx * (tg_xyyzz_yyyyyzzz_0[j] - tg_xyyzz_yyyyyzzz_1[j] * fl1_fza);

                    tg_xxxyyzz_yyyyzzzz_0[j] = pb_x * tg_xxyyzz_yyyyzzzz_0[j] + fr * tg_xxyyzz_yyyyzzzz_1[j] + fl1_fx * (tg_xyyzz_yyyyzzzz_0[j] - tg_xyyzz_yyyyzzzz_1[j] * fl1_fza);

                    tg_xxxyyzz_yyyzzzzz_0[j] = pb_x * tg_xxyyzz_yyyzzzzz_0[j] + fr * tg_xxyyzz_yyyzzzzz_1[j] + fl1_fx * (tg_xyyzz_yyyzzzzz_0[j] - tg_xyyzz_yyyzzzzz_1[j] * fl1_fza);

                    tg_xxxyyzz_yyzzzzzz_0[j] = pb_x * tg_xxyyzz_yyzzzzzz_0[j] + fr * tg_xxyyzz_yyzzzzzz_1[j] + fl1_fx * (tg_xyyzz_yyzzzzzz_0[j] - tg_xyyzz_yyzzzzzz_1[j] * fl1_fza);

                    tg_xxxyyzz_yzzzzzzz_0[j] = pb_x * tg_xxyyzz_yzzzzzzz_0[j] + fr * tg_xxyyzz_yzzzzzzz_1[j] + fl1_fx * (tg_xyyzz_yzzzzzzz_0[j] - tg_xyyzz_yzzzzzzz_1[j] * fl1_fza);

                    tg_xxxyyzz_zzzzzzzz_0[j] = pb_x * tg_xxyyzz_zzzzzzzz_0[j] + fr * tg_xxyyzz_zzzzzzzz_1[j] + fl1_fx * (tg_xyyzz_zzzzzzzz_0[j] - tg_xyyzz_zzzzzzzz_1[j] * fl1_fza);

                    tg_xxxyzzz_xxxxxxxx_0[j] = pb_x * tg_xxyzzz_xxxxxxxx_0[j] + fr * tg_xxyzzz_xxxxxxxx_1[j] + fl1_fx * (tg_xyzzz_xxxxxxxx_0[j] - tg_xyzzz_xxxxxxxx_1[j] * fl1_fza) + 4.0 * fl1_fxn * tg_xxyzzz_xxxxxxx_1[j];

                    tg_xxxyzzz_xxxxxxxy_0[j] = pb_x * tg_xxyzzz_xxxxxxxy_0[j] + fr * tg_xxyzzz_xxxxxxxy_1[j] + fl1_fx * (tg_xyzzz_xxxxxxxy_0[j] - tg_xyzzz_xxxxxxxy_1[j] * fl1_fza) + 3.5 * fl1_fxn * tg_xxyzzz_xxxxxxy_1[j];

                    tg_xxxyzzz_xxxxxxxz_0[j] = pb_x * tg_xxyzzz_xxxxxxxz_0[j] + fr * tg_xxyzzz_xxxxxxxz_1[j] + fl1_fx * (tg_xyzzz_xxxxxxxz_0[j] - tg_xyzzz_xxxxxxxz_1[j] * fl1_fza) + 3.5 * fl1_fxn * tg_xxyzzz_xxxxxxz_1[j];

                    tg_xxxyzzz_xxxxxxyy_0[j] = pb_x * tg_xxyzzz_xxxxxxyy_0[j] + fr * tg_xxyzzz_xxxxxxyy_1[j] + fl1_fx * (tg_xyzzz_xxxxxxyy_0[j] - tg_xyzzz_xxxxxxyy_1[j] * fl1_fza) + 3.0 * fl1_fxn * tg_xxyzzz_xxxxxyy_1[j];

                    tg_xxxyzzz_xxxxxxyz_0[j] = pb_x * tg_xxyzzz_xxxxxxyz_0[j] + fr * tg_xxyzzz_xxxxxxyz_1[j] + fl1_fx * (tg_xyzzz_xxxxxxyz_0[j] - tg_xyzzz_xxxxxxyz_1[j] * fl1_fza) + 3.0 * fl1_fxn * tg_xxyzzz_xxxxxyz_1[j];

                    tg_xxxyzzz_xxxxxxzz_0[j] = pb_x * tg_xxyzzz_xxxxxxzz_0[j] + fr * tg_xxyzzz_xxxxxxzz_1[j] + fl1_fx * (tg_xyzzz_xxxxxxzz_0[j] - tg_xyzzz_xxxxxxzz_1[j] * fl1_fza) + 3.0 * fl1_fxn * tg_xxyzzz_xxxxxzz_1[j];

                    tg_xxxyzzz_xxxxxyyy_0[j] = pb_x * tg_xxyzzz_xxxxxyyy_0[j] + fr * tg_xxyzzz_xxxxxyyy_1[j] + fl1_fx * (tg_xyzzz_xxxxxyyy_0[j] - tg_xyzzz_xxxxxyyy_1[j] * fl1_fza) + 2.5 * fl1_fxn * tg_xxyzzz_xxxxyyy_1[j];

                    tg_xxxyzzz_xxxxxyyz_0[j] = pb_x * tg_xxyzzz_xxxxxyyz_0[j] + fr * tg_xxyzzz_xxxxxyyz_1[j] + fl1_fx * (tg_xyzzz_xxxxxyyz_0[j] - tg_xyzzz_xxxxxyyz_1[j] * fl1_fza) + 2.5 * fl1_fxn * tg_xxyzzz_xxxxyyz_1[j];

                    tg_xxxyzzz_xxxxxyzz_0[j] = pb_x * tg_xxyzzz_xxxxxyzz_0[j] + fr * tg_xxyzzz_xxxxxyzz_1[j] + fl1_fx * (tg_xyzzz_xxxxxyzz_0[j] - tg_xyzzz_xxxxxyzz_1[j] * fl1_fza) + 2.5 * fl1_fxn * tg_xxyzzz_xxxxyzz_1[j];

                    tg_xxxyzzz_xxxxxzzz_0[j] = pb_x * tg_xxyzzz_xxxxxzzz_0[j] + fr * tg_xxyzzz_xxxxxzzz_1[j] + fl1_fx * (tg_xyzzz_xxxxxzzz_0[j] - tg_xyzzz_xxxxxzzz_1[j] * fl1_fza) + 2.5 * fl1_fxn * tg_xxyzzz_xxxxzzz_1[j];

                    tg_xxxyzzz_xxxxyyyy_0[j] = pb_x * tg_xxyzzz_xxxxyyyy_0[j] + fr * tg_xxyzzz_xxxxyyyy_1[j] + fl1_fx * (tg_xyzzz_xxxxyyyy_0[j] - tg_xyzzz_xxxxyyyy_1[j] * fl1_fza) + 2.0 * fl1_fxn * tg_xxyzzz_xxxyyyy_1[j];

                    tg_xxxyzzz_xxxxyyyz_0[j] = pb_x * tg_xxyzzz_xxxxyyyz_0[j] + fr * tg_xxyzzz_xxxxyyyz_1[j] + fl1_fx * (tg_xyzzz_xxxxyyyz_0[j] - tg_xyzzz_xxxxyyyz_1[j] * fl1_fza) + 2.0 * fl1_fxn * tg_xxyzzz_xxxyyyz_1[j];

                    tg_xxxyzzz_xxxxyyzz_0[j] = pb_x * tg_xxyzzz_xxxxyyzz_0[j] + fr * tg_xxyzzz_xxxxyyzz_1[j] + fl1_fx * (tg_xyzzz_xxxxyyzz_0[j] - tg_xyzzz_xxxxyyzz_1[j] * fl1_fza) + 2.0 * fl1_fxn * tg_xxyzzz_xxxyyzz_1[j];

                    tg_xxxyzzz_xxxxyzzz_0[j] = pb_x * tg_xxyzzz_xxxxyzzz_0[j] + fr * tg_xxyzzz_xxxxyzzz_1[j] + fl1_fx * (tg_xyzzz_xxxxyzzz_0[j] - tg_xyzzz_xxxxyzzz_1[j] * fl1_fza) + 2.0 * fl1_fxn * tg_xxyzzz_xxxyzzz_1[j];

                    tg_xxxyzzz_xxxxzzzz_0[j] = pb_x * tg_xxyzzz_xxxxzzzz_0[j] + fr * tg_xxyzzz_xxxxzzzz_1[j] + fl1_fx * (tg_xyzzz_xxxxzzzz_0[j] - tg_xyzzz_xxxxzzzz_1[j] * fl1_fza) + 2.0 * fl1_fxn * tg_xxyzzz_xxxzzzz_1[j];

                    tg_xxxyzzz_xxxyyyyy_0[j] = pb_x * tg_xxyzzz_xxxyyyyy_0[j] + fr * tg_xxyzzz_xxxyyyyy_1[j] + fl1_fx * (tg_xyzzz_xxxyyyyy_0[j] - tg_xyzzz_xxxyyyyy_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_xxyzzz_xxyyyyy_1[j];

                    tg_xxxyzzz_xxxyyyyz_0[j] = pb_x * tg_xxyzzz_xxxyyyyz_0[j] + fr * tg_xxyzzz_xxxyyyyz_1[j] + fl1_fx * (tg_xyzzz_xxxyyyyz_0[j] - tg_xyzzz_xxxyyyyz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_xxyzzz_xxyyyyz_1[j];

                    tg_xxxyzzz_xxxyyyzz_0[j] = pb_x * tg_xxyzzz_xxxyyyzz_0[j] + fr * tg_xxyzzz_xxxyyyzz_1[j] + fl1_fx * (tg_xyzzz_xxxyyyzz_0[j] - tg_xyzzz_xxxyyyzz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_xxyzzz_xxyyyzz_1[j];

                    tg_xxxyzzz_xxxyyzzz_0[j] = pb_x * tg_xxyzzz_xxxyyzzz_0[j] + fr * tg_xxyzzz_xxxyyzzz_1[j] + fl1_fx * (tg_xyzzz_xxxyyzzz_0[j] - tg_xyzzz_xxxyyzzz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_xxyzzz_xxyyzzz_1[j];

                    tg_xxxyzzz_xxxyzzzz_0[j] = pb_x * tg_xxyzzz_xxxyzzzz_0[j] + fr * tg_xxyzzz_xxxyzzzz_1[j] + fl1_fx * (tg_xyzzz_xxxyzzzz_0[j] - tg_xyzzz_xxxyzzzz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_xxyzzz_xxyzzzz_1[j];

                    tg_xxxyzzz_xxxzzzzz_0[j] = pb_x * tg_xxyzzz_xxxzzzzz_0[j] + fr * tg_xxyzzz_xxxzzzzz_1[j] + fl1_fx * (tg_xyzzz_xxxzzzzz_0[j] - tg_xyzzz_xxxzzzzz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_xxyzzz_xxzzzzz_1[j];

                    tg_xxxyzzz_xxyyyyyy_0[j] = pb_x * tg_xxyzzz_xxyyyyyy_0[j] + fr * tg_xxyzzz_xxyyyyyy_1[j] + fl1_fx * (tg_xyzzz_xxyyyyyy_0[j] - tg_xyzzz_xxyyyyyy_1[j] * fl1_fza) + fl1_fxn * tg_xxyzzz_xyyyyyy_1[j];

                    tg_xxxyzzz_xxyyyyyz_0[j] = pb_x * tg_xxyzzz_xxyyyyyz_0[j] + fr * tg_xxyzzz_xxyyyyyz_1[j] + fl1_fx * (tg_xyzzz_xxyyyyyz_0[j] - tg_xyzzz_xxyyyyyz_1[j] * fl1_fza) + fl1_fxn * tg_xxyzzz_xyyyyyz_1[j];

                    tg_xxxyzzz_xxyyyyzz_0[j] = pb_x * tg_xxyzzz_xxyyyyzz_0[j] + fr * tg_xxyzzz_xxyyyyzz_1[j] + fl1_fx * (tg_xyzzz_xxyyyyzz_0[j] - tg_xyzzz_xxyyyyzz_1[j] * fl1_fza) + fl1_fxn * tg_xxyzzz_xyyyyzz_1[j];

                    tg_xxxyzzz_xxyyyzzz_0[j] = pb_x * tg_xxyzzz_xxyyyzzz_0[j] + fr * tg_xxyzzz_xxyyyzzz_1[j] + fl1_fx * (tg_xyzzz_xxyyyzzz_0[j] - tg_xyzzz_xxyyyzzz_1[j] * fl1_fza) + fl1_fxn * tg_xxyzzz_xyyyzzz_1[j];

                    tg_xxxyzzz_xxyyzzzz_0[j] = pb_x * tg_xxyzzz_xxyyzzzz_0[j] + fr * tg_xxyzzz_xxyyzzzz_1[j] + fl1_fx * (tg_xyzzz_xxyyzzzz_0[j] - tg_xyzzz_xxyyzzzz_1[j] * fl1_fza) + fl1_fxn * tg_xxyzzz_xyyzzzz_1[j];

                    tg_xxxyzzz_xxyzzzzz_0[j] = pb_x * tg_xxyzzz_xxyzzzzz_0[j] + fr * tg_xxyzzz_xxyzzzzz_1[j] + fl1_fx * (tg_xyzzz_xxyzzzzz_0[j] - tg_xyzzz_xxyzzzzz_1[j] * fl1_fza) + fl1_fxn * tg_xxyzzz_xyzzzzz_1[j];

                    tg_xxxyzzz_xxzzzzzz_0[j] = pb_x * tg_xxyzzz_xxzzzzzz_0[j] + fr * tg_xxyzzz_xxzzzzzz_1[j] + fl1_fx * (tg_xyzzz_xxzzzzzz_0[j] - tg_xyzzz_xxzzzzzz_1[j] * fl1_fza) + fl1_fxn * tg_xxyzzz_xzzzzzz_1[j];

                    tg_xxxyzzz_xyyyyyyy_0[j] = pb_x * tg_xxyzzz_xyyyyyyy_0[j] + fr * tg_xxyzzz_xyyyyyyy_1[j] + fl1_fx * (tg_xyzzz_xyyyyyyy_0[j] - tg_xyzzz_xyyyyyyy_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xxyzzz_yyyyyyy_1[j];

                    tg_xxxyzzz_xyyyyyyz_0[j] = pb_x * tg_xxyzzz_xyyyyyyz_0[j] + fr * tg_xxyzzz_xyyyyyyz_1[j] + fl1_fx * (tg_xyzzz_xyyyyyyz_0[j] - tg_xyzzz_xyyyyyyz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xxyzzz_yyyyyyz_1[j];

                    tg_xxxyzzz_xyyyyyzz_0[j] = pb_x * tg_xxyzzz_xyyyyyzz_0[j] + fr * tg_xxyzzz_xyyyyyzz_1[j] + fl1_fx * (tg_xyzzz_xyyyyyzz_0[j] - tg_xyzzz_xyyyyyzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xxyzzz_yyyyyzz_1[j];

                    tg_xxxyzzz_xyyyyzzz_0[j] = pb_x * tg_xxyzzz_xyyyyzzz_0[j] + fr * tg_xxyzzz_xyyyyzzz_1[j] + fl1_fx * (tg_xyzzz_xyyyyzzz_0[j] - tg_xyzzz_xyyyyzzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xxyzzz_yyyyzzz_1[j];

                    tg_xxxyzzz_xyyyzzzz_0[j] = pb_x * tg_xxyzzz_xyyyzzzz_0[j] + fr * tg_xxyzzz_xyyyzzzz_1[j] + fl1_fx * (tg_xyzzz_xyyyzzzz_0[j] - tg_xyzzz_xyyyzzzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xxyzzz_yyyzzzz_1[j];

                    tg_xxxyzzz_xyyzzzzz_0[j] = pb_x * tg_xxyzzz_xyyzzzzz_0[j] + fr * tg_xxyzzz_xyyzzzzz_1[j] + fl1_fx * (tg_xyzzz_xyyzzzzz_0[j] - tg_xyzzz_xyyzzzzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xxyzzz_yyzzzzz_1[j];

                    tg_xxxyzzz_xyzzzzzz_0[j] = pb_x * tg_xxyzzz_xyzzzzzz_0[j] + fr * tg_xxyzzz_xyzzzzzz_1[j] + fl1_fx * (tg_xyzzz_xyzzzzzz_0[j] - tg_xyzzz_xyzzzzzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xxyzzz_yzzzzzz_1[j];

                    tg_xxxyzzz_xzzzzzzz_0[j] = pb_x * tg_xxyzzz_xzzzzzzz_0[j] + fr * tg_xxyzzz_xzzzzzzz_1[j] + fl1_fx * (tg_xyzzz_xzzzzzzz_0[j] - tg_xyzzz_xzzzzzzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xxyzzz_zzzzzzz_1[j];

                    tg_xxxyzzz_yyyyyyyy_0[j] = pb_x * tg_xxyzzz_yyyyyyyy_0[j] + fr * tg_xxyzzz_yyyyyyyy_1[j] + fl1_fx * (tg_xyzzz_yyyyyyyy_0[j] - tg_xyzzz_yyyyyyyy_1[j] * fl1_fza);

                    tg_xxxyzzz_yyyyyyyz_0[j] = pb_x * tg_xxyzzz_yyyyyyyz_0[j] + fr * tg_xxyzzz_yyyyyyyz_1[j] + fl1_fx * (tg_xyzzz_yyyyyyyz_0[j] - tg_xyzzz_yyyyyyyz_1[j] * fl1_fza);

                    tg_xxxyzzz_yyyyyyzz_0[j] = pb_x * tg_xxyzzz_yyyyyyzz_0[j] + fr * tg_xxyzzz_yyyyyyzz_1[j] + fl1_fx * (tg_xyzzz_yyyyyyzz_0[j] - tg_xyzzz_yyyyyyzz_1[j] * fl1_fza);

                    tg_xxxyzzz_yyyyyzzz_0[j] = pb_x * tg_xxyzzz_yyyyyzzz_0[j] + fr * tg_xxyzzz_yyyyyzzz_1[j] + fl1_fx * (tg_xyzzz_yyyyyzzz_0[j] - tg_xyzzz_yyyyyzzz_1[j] * fl1_fza);

                    tg_xxxyzzz_yyyyzzzz_0[j] = pb_x * tg_xxyzzz_yyyyzzzz_0[j] + fr * tg_xxyzzz_yyyyzzzz_1[j] + fl1_fx * (tg_xyzzz_yyyyzzzz_0[j] - tg_xyzzz_yyyyzzzz_1[j] * fl1_fza);

                    tg_xxxyzzz_yyyzzzzz_0[j] = pb_x * tg_xxyzzz_yyyzzzzz_0[j] + fr * tg_xxyzzz_yyyzzzzz_1[j] + fl1_fx * (tg_xyzzz_yyyzzzzz_0[j] - tg_xyzzz_yyyzzzzz_1[j] * fl1_fza);

                    tg_xxxyzzz_yyzzzzzz_0[j] = pb_x * tg_xxyzzz_yyzzzzzz_0[j] + fr * tg_xxyzzz_yyzzzzzz_1[j] + fl1_fx * (tg_xyzzz_yyzzzzzz_0[j] - tg_xyzzz_yyzzzzzz_1[j] * fl1_fza);

                    tg_xxxyzzz_yzzzzzzz_0[j] = pb_x * tg_xxyzzz_yzzzzzzz_0[j] + fr * tg_xxyzzz_yzzzzzzz_1[j] + fl1_fx * (tg_xyzzz_yzzzzzzz_0[j] - tg_xyzzz_yzzzzzzz_1[j] * fl1_fza);

                    tg_xxxyzzz_zzzzzzzz_0[j] = pb_x * tg_xxyzzz_zzzzzzzz_0[j] + fr * tg_xxyzzz_zzzzzzzz_1[j] + fl1_fx * (tg_xyzzz_zzzzzzzz_0[j] - tg_xyzzz_zzzzzzzz_1[j] * fl1_fza);

                    tg_xxxzzzz_xxxxxxxx_0[j] = pb_x * tg_xxzzzz_xxxxxxxx_0[j] + fr * tg_xxzzzz_xxxxxxxx_1[j] + fl1_fx * (tg_xzzzz_xxxxxxxx_0[j] - tg_xzzzz_xxxxxxxx_1[j] * fl1_fza) + 4.0 * fl1_fxn * tg_xxzzzz_xxxxxxx_1[j];

                    tg_xxxzzzz_xxxxxxxy_0[j] = pb_x * tg_xxzzzz_xxxxxxxy_0[j] + fr * tg_xxzzzz_xxxxxxxy_1[j] + fl1_fx * (tg_xzzzz_xxxxxxxy_0[j] - tg_xzzzz_xxxxxxxy_1[j] * fl1_fza) + 3.5 * fl1_fxn * tg_xxzzzz_xxxxxxy_1[j];

                    tg_xxxzzzz_xxxxxxxz_0[j] = pb_x * tg_xxzzzz_xxxxxxxz_0[j] + fr * tg_xxzzzz_xxxxxxxz_1[j] + fl1_fx * (tg_xzzzz_xxxxxxxz_0[j] - tg_xzzzz_xxxxxxxz_1[j] * fl1_fza) + 3.5 * fl1_fxn * tg_xxzzzz_xxxxxxz_1[j];

                    tg_xxxzzzz_xxxxxxyy_0[j] = pb_x * tg_xxzzzz_xxxxxxyy_0[j] + fr * tg_xxzzzz_xxxxxxyy_1[j] + fl1_fx * (tg_xzzzz_xxxxxxyy_0[j] - tg_xzzzz_xxxxxxyy_1[j] * fl1_fza) + 3.0 * fl1_fxn * tg_xxzzzz_xxxxxyy_1[j];

                    tg_xxxzzzz_xxxxxxyz_0[j] = pb_x * tg_xxzzzz_xxxxxxyz_0[j] + fr * tg_xxzzzz_xxxxxxyz_1[j] + fl1_fx * (tg_xzzzz_xxxxxxyz_0[j] - tg_xzzzz_xxxxxxyz_1[j] * fl1_fza) + 3.0 * fl1_fxn * tg_xxzzzz_xxxxxyz_1[j];

                    tg_xxxzzzz_xxxxxxzz_0[j] = pb_x * tg_xxzzzz_xxxxxxzz_0[j] + fr * tg_xxzzzz_xxxxxxzz_1[j] + fl1_fx * (tg_xzzzz_xxxxxxzz_0[j] - tg_xzzzz_xxxxxxzz_1[j] * fl1_fza) + 3.0 * fl1_fxn * tg_xxzzzz_xxxxxzz_1[j];

                    tg_xxxzzzz_xxxxxyyy_0[j] = pb_x * tg_xxzzzz_xxxxxyyy_0[j] + fr * tg_xxzzzz_xxxxxyyy_1[j] + fl1_fx * (tg_xzzzz_xxxxxyyy_0[j] - tg_xzzzz_xxxxxyyy_1[j] * fl1_fza) + 2.5 * fl1_fxn * tg_xxzzzz_xxxxyyy_1[j];

                    tg_xxxzzzz_xxxxxyyz_0[j] = pb_x * tg_xxzzzz_xxxxxyyz_0[j] + fr * tg_xxzzzz_xxxxxyyz_1[j] + fl1_fx * (tg_xzzzz_xxxxxyyz_0[j] - tg_xzzzz_xxxxxyyz_1[j] * fl1_fza) + 2.5 * fl1_fxn * tg_xxzzzz_xxxxyyz_1[j];

                    tg_xxxzzzz_xxxxxyzz_0[j] = pb_x * tg_xxzzzz_xxxxxyzz_0[j] + fr * tg_xxzzzz_xxxxxyzz_1[j] + fl1_fx * (tg_xzzzz_xxxxxyzz_0[j] - tg_xzzzz_xxxxxyzz_1[j] * fl1_fza) + 2.5 * fl1_fxn * tg_xxzzzz_xxxxyzz_1[j];

                    tg_xxxzzzz_xxxxxzzz_0[j] = pb_x * tg_xxzzzz_xxxxxzzz_0[j] + fr * tg_xxzzzz_xxxxxzzz_1[j] + fl1_fx * (tg_xzzzz_xxxxxzzz_0[j] - tg_xzzzz_xxxxxzzz_1[j] * fl1_fza) + 2.5 * fl1_fxn * tg_xxzzzz_xxxxzzz_1[j];

                    tg_xxxzzzz_xxxxyyyy_0[j] = pb_x * tg_xxzzzz_xxxxyyyy_0[j] + fr * tg_xxzzzz_xxxxyyyy_1[j] + fl1_fx * (tg_xzzzz_xxxxyyyy_0[j] - tg_xzzzz_xxxxyyyy_1[j] * fl1_fza) + 2.0 * fl1_fxn * tg_xxzzzz_xxxyyyy_1[j];

                    tg_xxxzzzz_xxxxyyyz_0[j] = pb_x * tg_xxzzzz_xxxxyyyz_0[j] + fr * tg_xxzzzz_xxxxyyyz_1[j] + fl1_fx * (tg_xzzzz_xxxxyyyz_0[j] - tg_xzzzz_xxxxyyyz_1[j] * fl1_fza) + 2.0 * fl1_fxn * tg_xxzzzz_xxxyyyz_1[j];

                    tg_xxxzzzz_xxxxyyzz_0[j] = pb_x * tg_xxzzzz_xxxxyyzz_0[j] + fr * tg_xxzzzz_xxxxyyzz_1[j] + fl1_fx * (tg_xzzzz_xxxxyyzz_0[j] - tg_xzzzz_xxxxyyzz_1[j] * fl1_fza) + 2.0 * fl1_fxn * tg_xxzzzz_xxxyyzz_1[j];

                    tg_xxxzzzz_xxxxyzzz_0[j] = pb_x * tg_xxzzzz_xxxxyzzz_0[j] + fr * tg_xxzzzz_xxxxyzzz_1[j] + fl1_fx * (tg_xzzzz_xxxxyzzz_0[j] - tg_xzzzz_xxxxyzzz_1[j] * fl1_fza) + 2.0 * fl1_fxn * tg_xxzzzz_xxxyzzz_1[j];

                    tg_xxxzzzz_xxxxzzzz_0[j] = pb_x * tg_xxzzzz_xxxxzzzz_0[j] + fr * tg_xxzzzz_xxxxzzzz_1[j] + fl1_fx * (tg_xzzzz_xxxxzzzz_0[j] - tg_xzzzz_xxxxzzzz_1[j] * fl1_fza) + 2.0 * fl1_fxn * tg_xxzzzz_xxxzzzz_1[j];

                    tg_xxxzzzz_xxxyyyyy_0[j] = pb_x * tg_xxzzzz_xxxyyyyy_0[j] + fr * tg_xxzzzz_xxxyyyyy_1[j] + fl1_fx * (tg_xzzzz_xxxyyyyy_0[j] - tg_xzzzz_xxxyyyyy_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_xxzzzz_xxyyyyy_1[j];

                    tg_xxxzzzz_xxxyyyyz_0[j] = pb_x * tg_xxzzzz_xxxyyyyz_0[j] + fr * tg_xxzzzz_xxxyyyyz_1[j] + fl1_fx * (tg_xzzzz_xxxyyyyz_0[j] - tg_xzzzz_xxxyyyyz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_xxzzzz_xxyyyyz_1[j];

                    tg_xxxzzzz_xxxyyyzz_0[j] = pb_x * tg_xxzzzz_xxxyyyzz_0[j] + fr * tg_xxzzzz_xxxyyyzz_1[j] + fl1_fx * (tg_xzzzz_xxxyyyzz_0[j] - tg_xzzzz_xxxyyyzz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_xxzzzz_xxyyyzz_1[j];

                    tg_xxxzzzz_xxxyyzzz_0[j] = pb_x * tg_xxzzzz_xxxyyzzz_0[j] + fr * tg_xxzzzz_xxxyyzzz_1[j] + fl1_fx * (tg_xzzzz_xxxyyzzz_0[j] - tg_xzzzz_xxxyyzzz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_xxzzzz_xxyyzzz_1[j];

                    tg_xxxzzzz_xxxyzzzz_0[j] = pb_x * tg_xxzzzz_xxxyzzzz_0[j] + fr * tg_xxzzzz_xxxyzzzz_1[j] + fl1_fx * (tg_xzzzz_xxxyzzzz_0[j] - tg_xzzzz_xxxyzzzz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_xxzzzz_xxyzzzz_1[j];

                    tg_xxxzzzz_xxxzzzzz_0[j] = pb_x * tg_xxzzzz_xxxzzzzz_0[j] + fr * tg_xxzzzz_xxxzzzzz_1[j] + fl1_fx * (tg_xzzzz_xxxzzzzz_0[j] - tg_xzzzz_xxxzzzzz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_xxzzzz_xxzzzzz_1[j];

                    tg_xxxzzzz_xxyyyyyy_0[j] = pb_x * tg_xxzzzz_xxyyyyyy_0[j] + fr * tg_xxzzzz_xxyyyyyy_1[j] + fl1_fx * (tg_xzzzz_xxyyyyyy_0[j] - tg_xzzzz_xxyyyyyy_1[j] * fl1_fza) + fl1_fxn * tg_xxzzzz_xyyyyyy_1[j];

                    tg_xxxzzzz_xxyyyyyz_0[j] = pb_x * tg_xxzzzz_xxyyyyyz_0[j] + fr * tg_xxzzzz_xxyyyyyz_1[j] + fl1_fx * (tg_xzzzz_xxyyyyyz_0[j] - tg_xzzzz_xxyyyyyz_1[j] * fl1_fza) + fl1_fxn * tg_xxzzzz_xyyyyyz_1[j];

                    tg_xxxzzzz_xxyyyyzz_0[j] = pb_x * tg_xxzzzz_xxyyyyzz_0[j] + fr * tg_xxzzzz_xxyyyyzz_1[j] + fl1_fx * (tg_xzzzz_xxyyyyzz_0[j] - tg_xzzzz_xxyyyyzz_1[j] * fl1_fza) + fl1_fxn * tg_xxzzzz_xyyyyzz_1[j];

                    tg_xxxzzzz_xxyyyzzz_0[j] = pb_x * tg_xxzzzz_xxyyyzzz_0[j] + fr * tg_xxzzzz_xxyyyzzz_1[j] + fl1_fx * (tg_xzzzz_xxyyyzzz_0[j] - tg_xzzzz_xxyyyzzz_1[j] * fl1_fza) + fl1_fxn * tg_xxzzzz_xyyyzzz_1[j];

                    tg_xxxzzzz_xxyyzzzz_0[j] = pb_x * tg_xxzzzz_xxyyzzzz_0[j] + fr * tg_xxzzzz_xxyyzzzz_1[j] + fl1_fx * (tg_xzzzz_xxyyzzzz_0[j] - tg_xzzzz_xxyyzzzz_1[j] * fl1_fza) + fl1_fxn * tg_xxzzzz_xyyzzzz_1[j];

                    tg_xxxzzzz_xxyzzzzz_0[j] = pb_x * tg_xxzzzz_xxyzzzzz_0[j] + fr * tg_xxzzzz_xxyzzzzz_1[j] + fl1_fx * (tg_xzzzz_xxyzzzzz_0[j] - tg_xzzzz_xxyzzzzz_1[j] * fl1_fza) + fl1_fxn * tg_xxzzzz_xyzzzzz_1[j];

                    tg_xxxzzzz_xxzzzzzz_0[j] = pb_x * tg_xxzzzz_xxzzzzzz_0[j] + fr * tg_xxzzzz_xxzzzzzz_1[j] + fl1_fx * (tg_xzzzz_xxzzzzzz_0[j] - tg_xzzzz_xxzzzzzz_1[j] * fl1_fza) + fl1_fxn * tg_xxzzzz_xzzzzzz_1[j];

                    tg_xxxzzzz_xyyyyyyy_0[j] = pb_x * tg_xxzzzz_xyyyyyyy_0[j] + fr * tg_xxzzzz_xyyyyyyy_1[j] + fl1_fx * (tg_xzzzz_xyyyyyyy_0[j] - tg_xzzzz_xyyyyyyy_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xxzzzz_yyyyyyy_1[j];

                    tg_xxxzzzz_xyyyyyyz_0[j] = pb_x * tg_xxzzzz_xyyyyyyz_0[j] + fr * tg_xxzzzz_xyyyyyyz_1[j] + fl1_fx * (tg_xzzzz_xyyyyyyz_0[j] - tg_xzzzz_xyyyyyyz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xxzzzz_yyyyyyz_1[j];

                    tg_xxxzzzz_xyyyyyzz_0[j] = pb_x * tg_xxzzzz_xyyyyyzz_0[j] + fr * tg_xxzzzz_xyyyyyzz_1[j] + fl1_fx * (tg_xzzzz_xyyyyyzz_0[j] - tg_xzzzz_xyyyyyzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xxzzzz_yyyyyzz_1[j];

                    tg_xxxzzzz_xyyyyzzz_0[j] = pb_x * tg_xxzzzz_xyyyyzzz_0[j] + fr * tg_xxzzzz_xyyyyzzz_1[j] + fl1_fx * (tg_xzzzz_xyyyyzzz_0[j] - tg_xzzzz_xyyyyzzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xxzzzz_yyyyzzz_1[j];

                    tg_xxxzzzz_xyyyzzzz_0[j] = pb_x * tg_xxzzzz_xyyyzzzz_0[j] + fr * tg_xxzzzz_xyyyzzzz_1[j] + fl1_fx * (tg_xzzzz_xyyyzzzz_0[j] - tg_xzzzz_xyyyzzzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xxzzzz_yyyzzzz_1[j];

                    tg_xxxzzzz_xyyzzzzz_0[j] = pb_x * tg_xxzzzz_xyyzzzzz_0[j] + fr * tg_xxzzzz_xyyzzzzz_1[j] + fl1_fx * (tg_xzzzz_xyyzzzzz_0[j] - tg_xzzzz_xyyzzzzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xxzzzz_yyzzzzz_1[j];

                    tg_xxxzzzz_xyzzzzzz_0[j] = pb_x * tg_xxzzzz_xyzzzzzz_0[j] + fr * tg_xxzzzz_xyzzzzzz_1[j] + fl1_fx * (tg_xzzzz_xyzzzzzz_0[j] - tg_xzzzz_xyzzzzzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xxzzzz_yzzzzzz_1[j];

                    tg_xxxzzzz_xzzzzzzz_0[j] = pb_x * tg_xxzzzz_xzzzzzzz_0[j] + fr * tg_xxzzzz_xzzzzzzz_1[j] + fl1_fx * (tg_xzzzz_xzzzzzzz_0[j] - tg_xzzzz_xzzzzzzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xxzzzz_zzzzzzz_1[j];

                    tg_xxxzzzz_yyyyyyyy_0[j] = pb_x * tg_xxzzzz_yyyyyyyy_0[j] + fr * tg_xxzzzz_yyyyyyyy_1[j] + fl1_fx * (tg_xzzzz_yyyyyyyy_0[j] - tg_xzzzz_yyyyyyyy_1[j] * fl1_fza);

                    tg_xxxzzzz_yyyyyyyz_0[j] = pb_x * tg_xxzzzz_yyyyyyyz_0[j] + fr * tg_xxzzzz_yyyyyyyz_1[j] + fl1_fx * (tg_xzzzz_yyyyyyyz_0[j] - tg_xzzzz_yyyyyyyz_1[j] * fl1_fza);

                    tg_xxxzzzz_yyyyyyzz_0[j] = pb_x * tg_xxzzzz_yyyyyyzz_0[j] + fr * tg_xxzzzz_yyyyyyzz_1[j] + fl1_fx * (tg_xzzzz_yyyyyyzz_0[j] - tg_xzzzz_yyyyyyzz_1[j] * fl1_fza);

                    tg_xxxzzzz_yyyyyzzz_0[j] = pb_x * tg_xxzzzz_yyyyyzzz_0[j] + fr * tg_xxzzzz_yyyyyzzz_1[j] + fl1_fx * (tg_xzzzz_yyyyyzzz_0[j] - tg_xzzzz_yyyyyzzz_1[j] * fl1_fza);
                }

                idx++;
            }
        }
    }

    void
    compElectronRepulsionForSKSL_670_765(      CMemBlock2D<double>* primBuffer,
                                         const CRecursionMap&       recursionMap,
                                         const CMemBlock2D<double>& osFactors,
                                         const CMemBlock2D<double>& wpDistances,
                                         const CGtoPairsBlock&      braGtoPairsBlock,
                                         const CGtoPairsBlock&      ketGtoPairsBlock,
                                         const int32_t              nKetPrimPairs,
                                         const int32_t              iContrPair)
    {
        // Batch of Integrals (670,765)

        // set up pointers to primitives data on bra side

        auto spos = braGtoPairsBlock.getStartPositions();

        auto epos = braGtoPairsBlock.getEndPositions();

        // set up pointers to tensor of distance R(PB) = P - B

        auto r_pb_x = braGtoPairsBlock.getDistancesPBX();

        // set up pointers to common Obara-Saika factors

        auto b_fx = braGtoPairsBlock.getFactorsOneOverXi();

        // set up maximum order of integral

        auto mord = recursionMap.getMaxOrder({"Electron Repulsion"},
                                             {7, -1, -1, -1},
                                             {8, -1, -1, -1},
                                             1, 1);

        for (int32_t iord = 0; iord <= mord; iord++)
        {
            // set up index of integral

            auto pidx_g_7_8_m0 = recursionMap.index(CRecursionTerm({"Electron Repulsion"}, 0, true, 
                                                                   {7, -1, -1, -1}, {8, -1, -1, -1}, 
                                                                   1, 1, iord));

            // check if integral is needed in recursion expansion

            if (pidx_g_7_8_m0 == -1) continue;

            // set up indexes of auxilary integral

            auto pidx_g_6_8_m0 = recursionMap.index(CRecursionTerm({"Electron Repulsion"}, 0, true, 
                                                                   {6, -1, -1, -1}, {8, -1, -1, -1}, 
                                                                   1, 1, iord));

            auto pidx_g_6_8_m1 = recursionMap.index(CRecursionTerm({"Electron Repulsion"}, 0, true, 
                                                                   {6, -1, -1, -1}, {8, -1, -1, -1}, 
                                                                   1, 1, iord + 1));

            auto pidx_g_5_8_m0 = recursionMap.index(CRecursionTerm({"Electron Repulsion"}, 0, true, 
                                                                   {5, -1, -1, -1}, {8, -1, -1, -1}, 
                                                                   1, 1, iord));

            auto pidx_g_5_8_m1 = recursionMap.index(CRecursionTerm({"Electron Repulsion"}, 0, true, 
                                                                   {5, -1, -1, -1}, {8, -1, -1, -1}, 
                                                                   1, 1, iord + 1));

            auto pidx_g_6_7_m1 = recursionMap.index(CRecursionTerm({"Electron Repulsion"}, 0, true, 
                                                                   {6, -1, -1, -1}, {7, -1, -1, -1}, 
                                                                   1, 1, iord + 1));

            // loop over contracted GTO on bra side

            int32_t idx = 0;

            for (int32_t i = spos[iContrPair]; i < epos[iContrPair]; i++)
            {
                // set up pointers to Obara-Saika factors

                double fx = b_fx[i];

                auto fza = osFactors.data(4 * idx + 2);

                auto fxn = osFactors.data(4 * idx);

                // set up distances R(PB) = P - B

                auto pb_x = r_pb_x[i];

                // set up pointers to tensors product of distances R(WP) = W - P

                auto wp_x = wpDistances.data(3 * idx);

                // set up pointers to auxilary integrals

                auto tg_xxzzzz_yyyyzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 670); 

                auto tg_xxzzzz_yyyzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 671); 

                auto tg_xxzzzz_yyzzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 672); 

                auto tg_xxzzzz_yzzzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 673); 

                auto tg_xxzzzz_zzzzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 674); 

                auto tg_xyyyyy_xxxxxxxx_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 675); 

                auto tg_xyyyyy_xxxxxxxy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 676); 

                auto tg_xyyyyy_xxxxxxxz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 677); 

                auto tg_xyyyyy_xxxxxxyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 678); 

                auto tg_xyyyyy_xxxxxxyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 679); 

                auto tg_xyyyyy_xxxxxxzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 680); 

                auto tg_xyyyyy_xxxxxyyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 681); 

                auto tg_xyyyyy_xxxxxyyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 682); 

                auto tg_xyyyyy_xxxxxyzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 683); 

                auto tg_xyyyyy_xxxxxzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 684); 

                auto tg_xyyyyy_xxxxyyyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 685); 

                auto tg_xyyyyy_xxxxyyyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 686); 

                auto tg_xyyyyy_xxxxyyzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 687); 

                auto tg_xyyyyy_xxxxyzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 688); 

                auto tg_xyyyyy_xxxxzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 689); 

                auto tg_xyyyyy_xxxyyyyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 690); 

                auto tg_xyyyyy_xxxyyyyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 691); 

                auto tg_xyyyyy_xxxyyyzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 692); 

                auto tg_xyyyyy_xxxyyzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 693); 

                auto tg_xyyyyy_xxxyzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 694); 

                auto tg_xyyyyy_xxxzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 695); 

                auto tg_xyyyyy_xxyyyyyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 696); 

                auto tg_xyyyyy_xxyyyyyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 697); 

                auto tg_xyyyyy_xxyyyyzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 698); 

                auto tg_xyyyyy_xxyyyzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 699); 

                auto tg_xyyyyy_xxyyzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 700); 

                auto tg_xyyyyy_xxyzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 701); 

                auto tg_xyyyyy_xxzzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 702); 

                auto tg_xyyyyy_xyyyyyyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 703); 

                auto tg_xyyyyy_xyyyyyyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 704); 

                auto tg_xyyyyy_xyyyyyzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 705); 

                auto tg_xyyyyy_xyyyyzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 706); 

                auto tg_xyyyyy_xyyyzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 707); 

                auto tg_xyyyyy_xyyzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 708); 

                auto tg_xyyyyy_xyzzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 709); 

                auto tg_xyyyyy_xzzzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 710); 

                auto tg_xyyyyy_yyyyyyyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 711); 

                auto tg_xyyyyy_yyyyyyyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 712); 

                auto tg_xyyyyy_yyyyyyzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 713); 

                auto tg_xyyyyy_yyyyyzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 714); 

                auto tg_xyyyyy_yyyyzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 715); 

                auto tg_xyyyyy_yyyzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 716); 

                auto tg_xyyyyy_yyzzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 717); 

                auto tg_xyyyyy_yzzzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 718); 

                auto tg_xyyyyy_zzzzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 719); 

                auto tg_xyyyyz_xxxxxxxx_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 720); 

                auto tg_xyyyyz_xxxxxxxy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 721); 

                auto tg_xyyyyz_xxxxxxxz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 722); 

                auto tg_xyyyyz_xxxxxxyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 723); 

                auto tg_xyyyyz_xxxxxxyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 724); 

                auto tg_xyyyyz_xxxxxxzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 725); 

                auto tg_xyyyyz_xxxxxyyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 726); 

                auto tg_xyyyyz_xxxxxyyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 727); 

                auto tg_xyyyyz_xxxxxyzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 728); 

                auto tg_xyyyyz_xxxxxzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 729); 

                auto tg_xyyyyz_xxxxyyyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 730); 

                auto tg_xyyyyz_xxxxyyyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 731); 

                auto tg_xyyyyz_xxxxyyzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 732); 

                auto tg_xyyyyz_xxxxyzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 733); 

                auto tg_xyyyyz_xxxxzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 734); 

                auto tg_xyyyyz_xxxyyyyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 735); 

                auto tg_xyyyyz_xxxyyyyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 736); 

                auto tg_xyyyyz_xxxyyyzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 737); 

                auto tg_xyyyyz_xxxyyzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 738); 

                auto tg_xyyyyz_xxxyzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 739); 

                auto tg_xyyyyz_xxxzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 740); 

                auto tg_xyyyyz_xxyyyyyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 741); 

                auto tg_xyyyyz_xxyyyyyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 742); 

                auto tg_xyyyyz_xxyyyyzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 743); 

                auto tg_xyyyyz_xxyyyzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 744); 

                auto tg_xyyyyz_xxyyzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 745); 

                auto tg_xyyyyz_xxyzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 746); 

                auto tg_xyyyyz_xxzzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 747); 

                auto tg_xyyyyz_xyyyyyyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 748); 

                auto tg_xyyyyz_xyyyyyyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 749); 

                auto tg_xyyyyz_xyyyyyzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 750); 

                auto tg_xyyyyz_xyyyyzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 751); 

                auto tg_xyyyyz_xyyyzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 752); 

                auto tg_xyyyyz_xyyzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 753); 

                auto tg_xyyyyz_xyzzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 754); 

                auto tg_xyyyyz_xzzzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 755); 

                auto tg_xyyyyz_yyyyyyyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 756); 

                auto tg_xyyyyz_yyyyyyyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 757); 

                auto tg_xyyyyz_yyyyyyzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 758); 

                auto tg_xyyyyz_yyyyyzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 759); 

                auto tg_xyyyyz_yyyyzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 760); 

                auto tg_xyyyyz_yyyzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 761); 

                auto tg_xyyyyz_yyzzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 762); 

                auto tg_xyyyyz_yzzzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 763); 

                auto tg_xyyyyz_zzzzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 764); 

                auto tg_xxzzzz_yyyyzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 670); 

                auto tg_xxzzzz_yyyzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 671); 

                auto tg_xxzzzz_yyzzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 672); 

                auto tg_xxzzzz_yzzzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 673); 

                auto tg_xxzzzz_zzzzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 674); 

                auto tg_xyyyyy_xxxxxxxx_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 675); 

                auto tg_xyyyyy_xxxxxxxy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 676); 

                auto tg_xyyyyy_xxxxxxxz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 677); 

                auto tg_xyyyyy_xxxxxxyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 678); 

                auto tg_xyyyyy_xxxxxxyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 679); 

                auto tg_xyyyyy_xxxxxxzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 680); 

                auto tg_xyyyyy_xxxxxyyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 681); 

                auto tg_xyyyyy_xxxxxyyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 682); 

                auto tg_xyyyyy_xxxxxyzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 683); 

                auto tg_xyyyyy_xxxxxzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 684); 

                auto tg_xyyyyy_xxxxyyyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 685); 

                auto tg_xyyyyy_xxxxyyyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 686); 

                auto tg_xyyyyy_xxxxyyzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 687); 

                auto tg_xyyyyy_xxxxyzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 688); 

                auto tg_xyyyyy_xxxxzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 689); 

                auto tg_xyyyyy_xxxyyyyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 690); 

                auto tg_xyyyyy_xxxyyyyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 691); 

                auto tg_xyyyyy_xxxyyyzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 692); 

                auto tg_xyyyyy_xxxyyzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 693); 

                auto tg_xyyyyy_xxxyzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 694); 

                auto tg_xyyyyy_xxxzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 695); 

                auto tg_xyyyyy_xxyyyyyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 696); 

                auto tg_xyyyyy_xxyyyyyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 697); 

                auto tg_xyyyyy_xxyyyyzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 698); 

                auto tg_xyyyyy_xxyyyzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 699); 

                auto tg_xyyyyy_xxyyzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 700); 

                auto tg_xyyyyy_xxyzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 701); 

                auto tg_xyyyyy_xxzzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 702); 

                auto tg_xyyyyy_xyyyyyyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 703); 

                auto tg_xyyyyy_xyyyyyyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 704); 

                auto tg_xyyyyy_xyyyyyzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 705); 

                auto tg_xyyyyy_xyyyyzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 706); 

                auto tg_xyyyyy_xyyyzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 707); 

                auto tg_xyyyyy_xyyzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 708); 

                auto tg_xyyyyy_xyzzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 709); 

                auto tg_xyyyyy_xzzzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 710); 

                auto tg_xyyyyy_yyyyyyyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 711); 

                auto tg_xyyyyy_yyyyyyyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 712); 

                auto tg_xyyyyy_yyyyyyzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 713); 

                auto tg_xyyyyy_yyyyyzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 714); 

                auto tg_xyyyyy_yyyyzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 715); 

                auto tg_xyyyyy_yyyzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 716); 

                auto tg_xyyyyy_yyzzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 717); 

                auto tg_xyyyyy_yzzzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 718); 

                auto tg_xyyyyy_zzzzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 719); 

                auto tg_xyyyyz_xxxxxxxx_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 720); 

                auto tg_xyyyyz_xxxxxxxy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 721); 

                auto tg_xyyyyz_xxxxxxxz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 722); 

                auto tg_xyyyyz_xxxxxxyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 723); 

                auto tg_xyyyyz_xxxxxxyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 724); 

                auto tg_xyyyyz_xxxxxxzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 725); 

                auto tg_xyyyyz_xxxxxyyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 726); 

                auto tg_xyyyyz_xxxxxyyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 727); 

                auto tg_xyyyyz_xxxxxyzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 728); 

                auto tg_xyyyyz_xxxxxzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 729); 

                auto tg_xyyyyz_xxxxyyyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 730); 

                auto tg_xyyyyz_xxxxyyyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 731); 

                auto tg_xyyyyz_xxxxyyzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 732); 

                auto tg_xyyyyz_xxxxyzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 733); 

                auto tg_xyyyyz_xxxxzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 734); 

                auto tg_xyyyyz_xxxyyyyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 735); 

                auto tg_xyyyyz_xxxyyyyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 736); 

                auto tg_xyyyyz_xxxyyyzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 737); 

                auto tg_xyyyyz_xxxyyzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 738); 

                auto tg_xyyyyz_xxxyzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 739); 

                auto tg_xyyyyz_xxxzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 740); 

                auto tg_xyyyyz_xxyyyyyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 741); 

                auto tg_xyyyyz_xxyyyyyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 742); 

                auto tg_xyyyyz_xxyyyyzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 743); 

                auto tg_xyyyyz_xxyyyzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 744); 

                auto tg_xyyyyz_xxyyzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 745); 

                auto tg_xyyyyz_xxyzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 746); 

                auto tg_xyyyyz_xxzzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 747); 

                auto tg_xyyyyz_xyyyyyyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 748); 

                auto tg_xyyyyz_xyyyyyyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 749); 

                auto tg_xyyyyz_xyyyyyzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 750); 

                auto tg_xyyyyz_xyyyyzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 751); 

                auto tg_xyyyyz_xyyyzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 752); 

                auto tg_xyyyyz_xyyzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 753); 

                auto tg_xyyyyz_xyzzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 754); 

                auto tg_xyyyyz_xzzzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 755); 

                auto tg_xyyyyz_yyyyyyyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 756); 

                auto tg_xyyyyz_yyyyyyyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 757); 

                auto tg_xyyyyz_yyyyyyzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 758); 

                auto tg_xyyyyz_yyyyyzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 759); 

                auto tg_xyyyyz_yyyyzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 760); 

                auto tg_xyyyyz_yyyzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 761); 

                auto tg_xyyyyz_yyzzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 762); 

                auto tg_xyyyyz_yzzzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 763); 

                auto tg_xyyyyz_zzzzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 764); 

                auto tg_xzzzz_yyyyzzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 670); 

                auto tg_xzzzz_yyyzzzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 671); 

                auto tg_xzzzz_yyzzzzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 672); 

                auto tg_xzzzz_yzzzzzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 673); 

                auto tg_xzzzz_zzzzzzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 674); 

                auto tg_yyyyy_xxxxxxxx_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 675); 

                auto tg_yyyyy_xxxxxxxy_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 676); 

                auto tg_yyyyy_xxxxxxxz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 677); 

                auto tg_yyyyy_xxxxxxyy_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 678); 

                auto tg_yyyyy_xxxxxxyz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 679); 

                auto tg_yyyyy_xxxxxxzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 680); 

                auto tg_yyyyy_xxxxxyyy_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 681); 

                auto tg_yyyyy_xxxxxyyz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 682); 

                auto tg_yyyyy_xxxxxyzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 683); 

                auto tg_yyyyy_xxxxxzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 684); 

                auto tg_yyyyy_xxxxyyyy_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 685); 

                auto tg_yyyyy_xxxxyyyz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 686); 

                auto tg_yyyyy_xxxxyyzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 687); 

                auto tg_yyyyy_xxxxyzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 688); 

                auto tg_yyyyy_xxxxzzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 689); 

                auto tg_yyyyy_xxxyyyyy_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 690); 

                auto tg_yyyyy_xxxyyyyz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 691); 

                auto tg_yyyyy_xxxyyyzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 692); 

                auto tg_yyyyy_xxxyyzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 693); 

                auto tg_yyyyy_xxxyzzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 694); 

                auto tg_yyyyy_xxxzzzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 695); 

                auto tg_yyyyy_xxyyyyyy_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 696); 

                auto tg_yyyyy_xxyyyyyz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 697); 

                auto tg_yyyyy_xxyyyyzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 698); 

                auto tg_yyyyy_xxyyyzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 699); 

                auto tg_yyyyy_xxyyzzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 700); 

                auto tg_yyyyy_xxyzzzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 701); 

                auto tg_yyyyy_xxzzzzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 702); 

                auto tg_yyyyy_xyyyyyyy_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 703); 

                auto tg_yyyyy_xyyyyyyz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 704); 

                auto tg_yyyyy_xyyyyyzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 705); 

                auto tg_yyyyy_xyyyyzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 706); 

                auto tg_yyyyy_xyyyzzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 707); 

                auto tg_yyyyy_xyyzzzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 708); 

                auto tg_yyyyy_xyzzzzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 709); 

                auto tg_yyyyy_xzzzzzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 710); 

                auto tg_yyyyy_yyyyyyyy_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 711); 

                auto tg_yyyyy_yyyyyyyz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 712); 

                auto tg_yyyyy_yyyyyyzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 713); 

                auto tg_yyyyy_yyyyyzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 714); 

                auto tg_yyyyy_yyyyzzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 715); 

                auto tg_yyyyy_yyyzzzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 716); 

                auto tg_yyyyy_yyzzzzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 717); 

                auto tg_yyyyy_yzzzzzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 718); 

                auto tg_yyyyy_zzzzzzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 719); 

                auto tg_yyyyz_xxxxxxxx_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 720); 

                auto tg_yyyyz_xxxxxxxy_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 721); 

                auto tg_yyyyz_xxxxxxxz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 722); 

                auto tg_yyyyz_xxxxxxyy_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 723); 

                auto tg_yyyyz_xxxxxxyz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 724); 

                auto tg_yyyyz_xxxxxxzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 725); 

                auto tg_yyyyz_xxxxxyyy_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 726); 

                auto tg_yyyyz_xxxxxyyz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 727); 

                auto tg_yyyyz_xxxxxyzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 728); 

                auto tg_yyyyz_xxxxxzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 729); 

                auto tg_yyyyz_xxxxyyyy_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 730); 

                auto tg_yyyyz_xxxxyyyz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 731); 

                auto tg_yyyyz_xxxxyyzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 732); 

                auto tg_yyyyz_xxxxyzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 733); 

                auto tg_yyyyz_xxxxzzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 734); 

                auto tg_yyyyz_xxxyyyyy_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 735); 

                auto tg_yyyyz_xxxyyyyz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 736); 

                auto tg_yyyyz_xxxyyyzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 737); 

                auto tg_yyyyz_xxxyyzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 738); 

                auto tg_yyyyz_xxxyzzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 739); 

                auto tg_yyyyz_xxxzzzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 740); 

                auto tg_yyyyz_xxyyyyyy_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 741); 

                auto tg_yyyyz_xxyyyyyz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 742); 

                auto tg_yyyyz_xxyyyyzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 743); 

                auto tg_yyyyz_xxyyyzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 744); 

                auto tg_yyyyz_xxyyzzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 745); 

                auto tg_yyyyz_xxyzzzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 746); 

                auto tg_yyyyz_xxzzzzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 747); 

                auto tg_yyyyz_xyyyyyyy_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 748); 

                auto tg_yyyyz_xyyyyyyz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 749); 

                auto tg_yyyyz_xyyyyyzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 750); 

                auto tg_yyyyz_xyyyyzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 751); 

                auto tg_yyyyz_xyyyzzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 752); 

                auto tg_yyyyz_xyyzzzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 753); 

                auto tg_yyyyz_xyzzzzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 754); 

                auto tg_yyyyz_xzzzzzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 755); 

                auto tg_yyyyz_yyyyyyyy_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 756); 

                auto tg_yyyyz_yyyyyyyz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 757); 

                auto tg_yyyyz_yyyyyyzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 758); 

                auto tg_yyyyz_yyyyyzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 759); 

                auto tg_yyyyz_yyyyzzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 760); 

                auto tg_yyyyz_yyyzzzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 761); 

                auto tg_yyyyz_yyzzzzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 762); 

                auto tg_yyyyz_yzzzzzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 763); 

                auto tg_yyyyz_zzzzzzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 764); 

                auto tg_xzzzz_yyyyzzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 670); 

                auto tg_xzzzz_yyyzzzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 671); 

                auto tg_xzzzz_yyzzzzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 672); 

                auto tg_xzzzz_yzzzzzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 673); 

                auto tg_xzzzz_zzzzzzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 674); 

                auto tg_yyyyy_xxxxxxxx_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 675); 

                auto tg_yyyyy_xxxxxxxy_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 676); 

                auto tg_yyyyy_xxxxxxxz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 677); 

                auto tg_yyyyy_xxxxxxyy_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 678); 

                auto tg_yyyyy_xxxxxxyz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 679); 

                auto tg_yyyyy_xxxxxxzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 680); 

                auto tg_yyyyy_xxxxxyyy_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 681); 

                auto tg_yyyyy_xxxxxyyz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 682); 

                auto tg_yyyyy_xxxxxyzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 683); 

                auto tg_yyyyy_xxxxxzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 684); 

                auto tg_yyyyy_xxxxyyyy_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 685); 

                auto tg_yyyyy_xxxxyyyz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 686); 

                auto tg_yyyyy_xxxxyyzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 687); 

                auto tg_yyyyy_xxxxyzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 688); 

                auto tg_yyyyy_xxxxzzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 689); 

                auto tg_yyyyy_xxxyyyyy_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 690); 

                auto tg_yyyyy_xxxyyyyz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 691); 

                auto tg_yyyyy_xxxyyyzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 692); 

                auto tg_yyyyy_xxxyyzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 693); 

                auto tg_yyyyy_xxxyzzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 694); 

                auto tg_yyyyy_xxxzzzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 695); 

                auto tg_yyyyy_xxyyyyyy_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 696); 

                auto tg_yyyyy_xxyyyyyz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 697); 

                auto tg_yyyyy_xxyyyyzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 698); 

                auto tg_yyyyy_xxyyyzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 699); 

                auto tg_yyyyy_xxyyzzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 700); 

                auto tg_yyyyy_xxyzzzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 701); 

                auto tg_yyyyy_xxzzzzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 702); 

                auto tg_yyyyy_xyyyyyyy_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 703); 

                auto tg_yyyyy_xyyyyyyz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 704); 

                auto tg_yyyyy_xyyyyyzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 705); 

                auto tg_yyyyy_xyyyyzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 706); 

                auto tg_yyyyy_xyyyzzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 707); 

                auto tg_yyyyy_xyyzzzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 708); 

                auto tg_yyyyy_xyzzzzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 709); 

                auto tg_yyyyy_xzzzzzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 710); 

                auto tg_yyyyy_yyyyyyyy_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 711); 

                auto tg_yyyyy_yyyyyyyz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 712); 

                auto tg_yyyyy_yyyyyyzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 713); 

                auto tg_yyyyy_yyyyyzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 714); 

                auto tg_yyyyy_yyyyzzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 715); 

                auto tg_yyyyy_yyyzzzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 716); 

                auto tg_yyyyy_yyzzzzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 717); 

                auto tg_yyyyy_yzzzzzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 718); 

                auto tg_yyyyy_zzzzzzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 719); 

                auto tg_yyyyz_xxxxxxxx_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 720); 

                auto tg_yyyyz_xxxxxxxy_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 721); 

                auto tg_yyyyz_xxxxxxxz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 722); 

                auto tg_yyyyz_xxxxxxyy_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 723); 

                auto tg_yyyyz_xxxxxxyz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 724); 

                auto tg_yyyyz_xxxxxxzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 725); 

                auto tg_yyyyz_xxxxxyyy_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 726); 

                auto tg_yyyyz_xxxxxyyz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 727); 

                auto tg_yyyyz_xxxxxyzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 728); 

                auto tg_yyyyz_xxxxxzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 729); 

                auto tg_yyyyz_xxxxyyyy_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 730); 

                auto tg_yyyyz_xxxxyyyz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 731); 

                auto tg_yyyyz_xxxxyyzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 732); 

                auto tg_yyyyz_xxxxyzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 733); 

                auto tg_yyyyz_xxxxzzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 734); 

                auto tg_yyyyz_xxxyyyyy_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 735); 

                auto tg_yyyyz_xxxyyyyz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 736); 

                auto tg_yyyyz_xxxyyyzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 737); 

                auto tg_yyyyz_xxxyyzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 738); 

                auto tg_yyyyz_xxxyzzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 739); 

                auto tg_yyyyz_xxxzzzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 740); 

                auto tg_yyyyz_xxyyyyyy_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 741); 

                auto tg_yyyyz_xxyyyyyz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 742); 

                auto tg_yyyyz_xxyyyyzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 743); 

                auto tg_yyyyz_xxyyyzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 744); 

                auto tg_yyyyz_xxyyzzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 745); 

                auto tg_yyyyz_xxyzzzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 746); 

                auto tg_yyyyz_xxzzzzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 747); 

                auto tg_yyyyz_xyyyyyyy_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 748); 

                auto tg_yyyyz_xyyyyyyz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 749); 

                auto tg_yyyyz_xyyyyyzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 750); 

                auto tg_yyyyz_xyyyyzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 751); 

                auto tg_yyyyz_xyyyzzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 752); 

                auto tg_yyyyz_xyyzzzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 753); 

                auto tg_yyyyz_xyzzzzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 754); 

                auto tg_yyyyz_xzzzzzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 755); 

                auto tg_yyyyz_yyyyyyyy_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 756); 

                auto tg_yyyyz_yyyyyyyz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 757); 

                auto tg_yyyyz_yyyyyyzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 758); 

                auto tg_yyyyz_yyyyyzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 759); 

                auto tg_yyyyz_yyyyzzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 760); 

                auto tg_yyyyz_yyyzzzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 761); 

                auto tg_yyyyz_yyzzzzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 762); 

                auto tg_yyyyz_yzzzzzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 763); 

                auto tg_yyyyz_zzzzzzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 764); 

                auto tg_xyyyyy_xxxxxxx_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 540); 

                auto tg_xyyyyy_xxxxxxy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 541); 

                auto tg_xyyyyy_xxxxxxz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 542); 

                auto tg_xyyyyy_xxxxxyy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 543); 

                auto tg_xyyyyy_xxxxxyz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 544); 

                auto tg_xyyyyy_xxxxxzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 545); 

                auto tg_xyyyyy_xxxxyyy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 546); 

                auto tg_xyyyyy_xxxxyyz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 547); 

                auto tg_xyyyyy_xxxxyzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 548); 

                auto tg_xyyyyy_xxxxzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 549); 

                auto tg_xyyyyy_xxxyyyy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 550); 

                auto tg_xyyyyy_xxxyyyz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 551); 

                auto tg_xyyyyy_xxxyyzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 552); 

                auto tg_xyyyyy_xxxyzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 553); 

                auto tg_xyyyyy_xxxzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 554); 

                auto tg_xyyyyy_xxyyyyy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 555); 

                auto tg_xyyyyy_xxyyyyz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 556); 

                auto tg_xyyyyy_xxyyyzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 557); 

                auto tg_xyyyyy_xxyyzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 558); 

                auto tg_xyyyyy_xxyzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 559); 

                auto tg_xyyyyy_xxzzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 560); 

                auto tg_xyyyyy_xyyyyyy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 561); 

                auto tg_xyyyyy_xyyyyyz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 562); 

                auto tg_xyyyyy_xyyyyzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 563); 

                auto tg_xyyyyy_xyyyzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 564); 

                auto tg_xyyyyy_xyyzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 565); 

                auto tg_xyyyyy_xyzzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 566); 

                auto tg_xyyyyy_xzzzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 567); 

                auto tg_xyyyyy_yyyyyyy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 568); 

                auto tg_xyyyyy_yyyyyyz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 569); 

                auto tg_xyyyyy_yyyyyzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 570); 

                auto tg_xyyyyy_yyyyzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 571); 

                auto tg_xyyyyy_yyyzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 572); 

                auto tg_xyyyyy_yyzzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 573); 

                auto tg_xyyyyy_yzzzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 574); 

                auto tg_xyyyyy_zzzzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 575); 

                auto tg_xyyyyz_xxxxxxx_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 576); 

                auto tg_xyyyyz_xxxxxxy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 577); 

                auto tg_xyyyyz_xxxxxxz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 578); 

                auto tg_xyyyyz_xxxxxyy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 579); 

                auto tg_xyyyyz_xxxxxyz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 580); 

                auto tg_xyyyyz_xxxxxzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 581); 

                auto tg_xyyyyz_xxxxyyy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 582); 

                auto tg_xyyyyz_xxxxyyz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 583); 

                auto tg_xyyyyz_xxxxyzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 584); 

                auto tg_xyyyyz_xxxxzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 585); 

                auto tg_xyyyyz_xxxyyyy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 586); 

                auto tg_xyyyyz_xxxyyyz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 587); 

                auto tg_xyyyyz_xxxyyzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 588); 

                auto tg_xyyyyz_xxxyzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 589); 

                auto tg_xyyyyz_xxxzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 590); 

                auto tg_xyyyyz_xxyyyyy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 591); 

                auto tg_xyyyyz_xxyyyyz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 592); 

                auto tg_xyyyyz_xxyyyzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 593); 

                auto tg_xyyyyz_xxyyzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 594); 

                auto tg_xyyyyz_xxyzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 595); 

                auto tg_xyyyyz_xxzzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 596); 

                auto tg_xyyyyz_xyyyyyy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 597); 

                auto tg_xyyyyz_xyyyyyz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 598); 

                auto tg_xyyyyz_xyyyyzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 599); 

                auto tg_xyyyyz_xyyyzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 600); 

                auto tg_xyyyyz_xyyzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 601); 

                auto tg_xyyyyz_xyzzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 602); 

                auto tg_xyyyyz_xzzzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 603); 

                auto tg_xyyyyz_yyyyyyy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 604); 

                auto tg_xyyyyz_yyyyyyz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 605); 

                auto tg_xyyyyz_yyyyyzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 606); 

                auto tg_xyyyyz_yyyyzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 607); 

                auto tg_xyyyyz_yyyzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 608); 

                auto tg_xyyyyz_yyzzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 609); 

                auto tg_xyyyyz_yzzzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 610); 

                auto tg_xyyyyz_zzzzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 611); 

                // set up pointers to integrals

                auto tg_xxxzzzz_yyyyzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 670); 

                auto tg_xxxzzzz_yyyzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 671); 

                auto tg_xxxzzzz_yyzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 672); 

                auto tg_xxxzzzz_yzzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 673); 

                auto tg_xxxzzzz_zzzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 674); 

                auto tg_xxyyyyy_xxxxxxxx_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 675); 

                auto tg_xxyyyyy_xxxxxxxy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 676); 

                auto tg_xxyyyyy_xxxxxxxz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 677); 

                auto tg_xxyyyyy_xxxxxxyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 678); 

                auto tg_xxyyyyy_xxxxxxyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 679); 

                auto tg_xxyyyyy_xxxxxxzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 680); 

                auto tg_xxyyyyy_xxxxxyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 681); 

                auto tg_xxyyyyy_xxxxxyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 682); 

                auto tg_xxyyyyy_xxxxxyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 683); 

                auto tg_xxyyyyy_xxxxxzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 684); 

                auto tg_xxyyyyy_xxxxyyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 685); 

                auto tg_xxyyyyy_xxxxyyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 686); 

                auto tg_xxyyyyy_xxxxyyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 687); 

                auto tg_xxyyyyy_xxxxyzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 688); 

                auto tg_xxyyyyy_xxxxzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 689); 

                auto tg_xxyyyyy_xxxyyyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 690); 

                auto tg_xxyyyyy_xxxyyyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 691); 

                auto tg_xxyyyyy_xxxyyyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 692); 

                auto tg_xxyyyyy_xxxyyzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 693); 

                auto tg_xxyyyyy_xxxyzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 694); 

                auto tg_xxyyyyy_xxxzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 695); 

                auto tg_xxyyyyy_xxyyyyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 696); 

                auto tg_xxyyyyy_xxyyyyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 697); 

                auto tg_xxyyyyy_xxyyyyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 698); 

                auto tg_xxyyyyy_xxyyyzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 699); 

                auto tg_xxyyyyy_xxyyzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 700); 

                auto tg_xxyyyyy_xxyzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 701); 

                auto tg_xxyyyyy_xxzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 702); 

                auto tg_xxyyyyy_xyyyyyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 703); 

                auto tg_xxyyyyy_xyyyyyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 704); 

                auto tg_xxyyyyy_xyyyyyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 705); 

                auto tg_xxyyyyy_xyyyyzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 706); 

                auto tg_xxyyyyy_xyyyzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 707); 

                auto tg_xxyyyyy_xyyzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 708); 

                auto tg_xxyyyyy_xyzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 709); 

                auto tg_xxyyyyy_xzzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 710); 

                auto tg_xxyyyyy_yyyyyyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 711); 

                auto tg_xxyyyyy_yyyyyyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 712); 

                auto tg_xxyyyyy_yyyyyyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 713); 

                auto tg_xxyyyyy_yyyyyzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 714); 

                auto tg_xxyyyyy_yyyyzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 715); 

                auto tg_xxyyyyy_yyyzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 716); 

                auto tg_xxyyyyy_yyzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 717); 

                auto tg_xxyyyyy_yzzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 718); 

                auto tg_xxyyyyy_zzzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 719); 

                auto tg_xxyyyyz_xxxxxxxx_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 720); 

                auto tg_xxyyyyz_xxxxxxxy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 721); 

                auto tg_xxyyyyz_xxxxxxxz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 722); 

                auto tg_xxyyyyz_xxxxxxyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 723); 

                auto tg_xxyyyyz_xxxxxxyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 724); 

                auto tg_xxyyyyz_xxxxxxzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 725); 

                auto tg_xxyyyyz_xxxxxyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 726); 

                auto tg_xxyyyyz_xxxxxyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 727); 

                auto tg_xxyyyyz_xxxxxyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 728); 

                auto tg_xxyyyyz_xxxxxzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 729); 

                auto tg_xxyyyyz_xxxxyyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 730); 

                auto tg_xxyyyyz_xxxxyyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 731); 

                auto tg_xxyyyyz_xxxxyyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 732); 

                auto tg_xxyyyyz_xxxxyzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 733); 

                auto tg_xxyyyyz_xxxxzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 734); 

                auto tg_xxyyyyz_xxxyyyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 735); 

                auto tg_xxyyyyz_xxxyyyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 736); 

                auto tg_xxyyyyz_xxxyyyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 737); 

                auto tg_xxyyyyz_xxxyyzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 738); 

                auto tg_xxyyyyz_xxxyzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 739); 

                auto tg_xxyyyyz_xxxzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 740); 

                auto tg_xxyyyyz_xxyyyyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 741); 

                auto tg_xxyyyyz_xxyyyyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 742); 

                auto tg_xxyyyyz_xxyyyyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 743); 

                auto tg_xxyyyyz_xxyyyzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 744); 

                auto tg_xxyyyyz_xxyyzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 745); 

                auto tg_xxyyyyz_xxyzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 746); 

                auto tg_xxyyyyz_xxzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 747); 

                auto tg_xxyyyyz_xyyyyyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 748); 

                auto tg_xxyyyyz_xyyyyyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 749); 

                auto tg_xxyyyyz_xyyyyyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 750); 

                auto tg_xxyyyyz_xyyyyzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 751); 

                auto tg_xxyyyyz_xyyyzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 752); 

                auto tg_xxyyyyz_xyyzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 753); 

                auto tg_xxyyyyz_xyzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 754); 

                auto tg_xxyyyyz_xzzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 755); 

                auto tg_xxyyyyz_yyyyyyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 756); 

                auto tg_xxyyyyz_yyyyyyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 757); 

                auto tg_xxyyyyz_yyyyyyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 758); 

                auto tg_xxyyyyz_yyyyyzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 759); 

                auto tg_xxyyyyz_yyyyzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 760); 

                auto tg_xxyyyyz_yyyzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 761); 

                auto tg_xxyyyyz_yyzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 762); 

                auto tg_xxyyyyz_yzzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 763); 

                auto tg_xxyyyyz_zzzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 764); 

                // Batch of Integrals (670,765)

                #pragma omp simd aligned(fxn, fza, tg_xxxzzzz_yyyyzzzz_0, tg_xxxzzzz_yyyzzzzz_0, \
                                         tg_xxxzzzz_yyzzzzzz_0, tg_xxxzzzz_yzzzzzzz_0, tg_xxxzzzz_zzzzzzzz_0, \
                                         tg_xxyyyyy_xxxxxxxx_0, tg_xxyyyyy_xxxxxxxy_0, tg_xxyyyyy_xxxxxxxz_0, \
                                         tg_xxyyyyy_xxxxxxyy_0, tg_xxyyyyy_xxxxxxyz_0, tg_xxyyyyy_xxxxxxzz_0, \
                                         tg_xxyyyyy_xxxxxyyy_0, tg_xxyyyyy_xxxxxyyz_0, tg_xxyyyyy_xxxxxyzz_0, \
                                         tg_xxyyyyy_xxxxxzzz_0, tg_xxyyyyy_xxxxyyyy_0, tg_xxyyyyy_xxxxyyyz_0, \
                                         tg_xxyyyyy_xxxxyyzz_0, tg_xxyyyyy_xxxxyzzz_0, tg_xxyyyyy_xxxxzzzz_0, \
                                         tg_xxyyyyy_xxxyyyyy_0, tg_xxyyyyy_xxxyyyyz_0, tg_xxyyyyy_xxxyyyzz_0, \
                                         tg_xxyyyyy_xxxyyzzz_0, tg_xxyyyyy_xxxyzzzz_0, tg_xxyyyyy_xxxzzzzz_0, \
                                         tg_xxyyyyy_xxyyyyyy_0, tg_xxyyyyy_xxyyyyyz_0, tg_xxyyyyy_xxyyyyzz_0, \
                                         tg_xxyyyyy_xxyyyzzz_0, tg_xxyyyyy_xxyyzzzz_0, tg_xxyyyyy_xxyzzzzz_0, \
                                         tg_xxyyyyy_xxzzzzzz_0, tg_xxyyyyy_xyyyyyyy_0, tg_xxyyyyy_xyyyyyyz_0, \
                                         tg_xxyyyyy_xyyyyyzz_0, tg_xxyyyyy_xyyyyzzz_0, tg_xxyyyyy_xyyyzzzz_0, \
                                         tg_xxyyyyy_xyyzzzzz_0, tg_xxyyyyy_xyzzzzzz_0, tg_xxyyyyy_xzzzzzzz_0, \
                                         tg_xxyyyyy_yyyyyyyy_0, tg_xxyyyyy_yyyyyyyz_0, tg_xxyyyyy_yyyyyyzz_0, \
                                         tg_xxyyyyy_yyyyyzzz_0, tg_xxyyyyy_yyyyzzzz_0, tg_xxyyyyy_yyyzzzzz_0, \
                                         tg_xxyyyyy_yyzzzzzz_0, tg_xxyyyyy_yzzzzzzz_0, tg_xxyyyyy_zzzzzzzz_0, \
                                         tg_xxyyyyz_xxxxxxxx_0, tg_xxyyyyz_xxxxxxxy_0, tg_xxyyyyz_xxxxxxxz_0, \
                                         tg_xxyyyyz_xxxxxxyy_0, tg_xxyyyyz_xxxxxxyz_0, tg_xxyyyyz_xxxxxxzz_0, \
                                         tg_xxyyyyz_xxxxxyyy_0, tg_xxyyyyz_xxxxxyyz_0, tg_xxyyyyz_xxxxxyzz_0, \
                                         tg_xxyyyyz_xxxxxzzz_0, tg_xxyyyyz_xxxxyyyy_0, tg_xxyyyyz_xxxxyyyz_0, \
                                         tg_xxyyyyz_xxxxyyzz_0, tg_xxyyyyz_xxxxyzzz_0, tg_xxyyyyz_xxxxzzzz_0, \
                                         tg_xxyyyyz_xxxyyyyy_0, tg_xxyyyyz_xxxyyyyz_0, tg_xxyyyyz_xxxyyyzz_0, \
                                         tg_xxyyyyz_xxxyyzzz_0, tg_xxyyyyz_xxxyzzzz_0, tg_xxyyyyz_xxxzzzzz_0, \
                                         tg_xxyyyyz_xxyyyyyy_0, tg_xxyyyyz_xxyyyyyz_0, tg_xxyyyyz_xxyyyyzz_0, \
                                         tg_xxyyyyz_xxyyyzzz_0, tg_xxyyyyz_xxyyzzzz_0, tg_xxyyyyz_xxyzzzzz_0, \
                                         tg_xxyyyyz_xxzzzzzz_0, tg_xxyyyyz_xyyyyyyy_0, tg_xxyyyyz_xyyyyyyz_0, \
                                         tg_xxyyyyz_xyyyyyzz_0, tg_xxyyyyz_xyyyyzzz_0, tg_xxyyyyz_xyyyzzzz_0, \
                                         tg_xxyyyyz_xyyzzzzz_0, tg_xxyyyyz_xyzzzzzz_0, tg_xxyyyyz_xzzzzzzz_0, \
                                         tg_xxyyyyz_yyyyyyyy_0, tg_xxyyyyz_yyyyyyyz_0, tg_xxyyyyz_yyyyyyzz_0, \
                                         tg_xxyyyyz_yyyyyzzz_0, tg_xxyyyyz_yyyyzzzz_0, tg_xxyyyyz_yyyzzzzz_0, \
                                         tg_xxyyyyz_yyzzzzzz_0, tg_xxyyyyz_yzzzzzzz_0, tg_xxyyyyz_zzzzzzzz_0, \
                                         tg_xxzzzz_yyyyzzzz_0, tg_xxzzzz_yyyyzzzz_1, tg_xxzzzz_yyyzzzzz_0, tg_xxzzzz_yyyzzzzz_1, \
                                         tg_xxzzzz_yyzzzzzz_0, tg_xxzzzz_yyzzzzzz_1, tg_xxzzzz_yzzzzzzz_0, tg_xxzzzz_yzzzzzzz_1, \
                                         tg_xxzzzz_zzzzzzzz_0, tg_xxzzzz_zzzzzzzz_1, tg_xyyyyy_xxxxxxx_1, tg_xyyyyy_xxxxxxxx_0, \
                                         tg_xyyyyy_xxxxxxxx_1, tg_xyyyyy_xxxxxxxy_0, tg_xyyyyy_xxxxxxxy_1, tg_xyyyyy_xxxxxxxz_0, \
                                         tg_xyyyyy_xxxxxxxz_1, tg_xyyyyy_xxxxxxy_1, tg_xyyyyy_xxxxxxyy_0, tg_xyyyyy_xxxxxxyy_1, \
                                         tg_xyyyyy_xxxxxxyz_0, tg_xyyyyy_xxxxxxyz_1, tg_xyyyyy_xxxxxxz_1, tg_xyyyyy_xxxxxxzz_0, \
                                         tg_xyyyyy_xxxxxxzz_1, tg_xyyyyy_xxxxxyy_1, tg_xyyyyy_xxxxxyyy_0, tg_xyyyyy_xxxxxyyy_1, \
                                         tg_xyyyyy_xxxxxyyz_0, tg_xyyyyy_xxxxxyyz_1, tg_xyyyyy_xxxxxyz_1, tg_xyyyyy_xxxxxyzz_0, \
                                         tg_xyyyyy_xxxxxyzz_1, tg_xyyyyy_xxxxxzz_1, tg_xyyyyy_xxxxxzzz_0, tg_xyyyyy_xxxxxzzz_1, \
                                         tg_xyyyyy_xxxxyyy_1, tg_xyyyyy_xxxxyyyy_0, tg_xyyyyy_xxxxyyyy_1, tg_xyyyyy_xxxxyyyz_0, \
                                         tg_xyyyyy_xxxxyyyz_1, tg_xyyyyy_xxxxyyz_1, tg_xyyyyy_xxxxyyzz_0, tg_xyyyyy_xxxxyyzz_1, \
                                         tg_xyyyyy_xxxxyzz_1, tg_xyyyyy_xxxxyzzz_0, tg_xyyyyy_xxxxyzzz_1, tg_xyyyyy_xxxxzzz_1, \
                                         tg_xyyyyy_xxxxzzzz_0, tg_xyyyyy_xxxxzzzz_1, tg_xyyyyy_xxxyyyy_1, tg_xyyyyy_xxxyyyyy_0, \
                                         tg_xyyyyy_xxxyyyyy_1, tg_xyyyyy_xxxyyyyz_0, tg_xyyyyy_xxxyyyyz_1, tg_xyyyyy_xxxyyyz_1, \
                                         tg_xyyyyy_xxxyyyzz_0, tg_xyyyyy_xxxyyyzz_1, tg_xyyyyy_xxxyyzz_1, tg_xyyyyy_xxxyyzzz_0, \
                                         tg_xyyyyy_xxxyyzzz_1, tg_xyyyyy_xxxyzzz_1, tg_xyyyyy_xxxyzzzz_0, tg_xyyyyy_xxxyzzzz_1, \
                                         tg_xyyyyy_xxxzzzz_1, tg_xyyyyy_xxxzzzzz_0, tg_xyyyyy_xxxzzzzz_1, tg_xyyyyy_xxyyyyy_1, \
                                         tg_xyyyyy_xxyyyyyy_0, tg_xyyyyy_xxyyyyyy_1, tg_xyyyyy_xxyyyyyz_0, tg_xyyyyy_xxyyyyyz_1, \
                                         tg_xyyyyy_xxyyyyz_1, tg_xyyyyy_xxyyyyzz_0, tg_xyyyyy_xxyyyyzz_1, tg_xyyyyy_xxyyyzz_1, \
                                         tg_xyyyyy_xxyyyzzz_0, tg_xyyyyy_xxyyyzzz_1, tg_xyyyyy_xxyyzzz_1, tg_xyyyyy_xxyyzzzz_0, \
                                         tg_xyyyyy_xxyyzzzz_1, tg_xyyyyy_xxyzzzz_1, tg_xyyyyy_xxyzzzzz_0, tg_xyyyyy_xxyzzzzz_1, \
                                         tg_xyyyyy_xxzzzzz_1, tg_xyyyyy_xxzzzzzz_0, tg_xyyyyy_xxzzzzzz_1, tg_xyyyyy_xyyyyyy_1, \
                                         tg_xyyyyy_xyyyyyyy_0, tg_xyyyyy_xyyyyyyy_1, tg_xyyyyy_xyyyyyyz_0, tg_xyyyyy_xyyyyyyz_1, \
                                         tg_xyyyyy_xyyyyyz_1, tg_xyyyyy_xyyyyyzz_0, tg_xyyyyy_xyyyyyzz_1, tg_xyyyyy_xyyyyzz_1, \
                                         tg_xyyyyy_xyyyyzzz_0, tg_xyyyyy_xyyyyzzz_1, tg_xyyyyy_xyyyzzz_1, tg_xyyyyy_xyyyzzzz_0, \
                                         tg_xyyyyy_xyyyzzzz_1, tg_xyyyyy_xyyzzzz_1, tg_xyyyyy_xyyzzzzz_0, tg_xyyyyy_xyyzzzzz_1, \
                                         tg_xyyyyy_xyzzzzz_1, tg_xyyyyy_xyzzzzzz_0, tg_xyyyyy_xyzzzzzz_1, tg_xyyyyy_xzzzzzz_1, \
                                         tg_xyyyyy_xzzzzzzz_0, tg_xyyyyy_xzzzzzzz_1, tg_xyyyyy_yyyyyyy_1, tg_xyyyyy_yyyyyyyy_0, \
                                         tg_xyyyyy_yyyyyyyy_1, tg_xyyyyy_yyyyyyyz_0, tg_xyyyyy_yyyyyyyz_1, tg_xyyyyy_yyyyyyz_1, \
                                         tg_xyyyyy_yyyyyyzz_0, tg_xyyyyy_yyyyyyzz_1, tg_xyyyyy_yyyyyzz_1, tg_xyyyyy_yyyyyzzz_0, \
                                         tg_xyyyyy_yyyyyzzz_1, tg_xyyyyy_yyyyzzz_1, tg_xyyyyy_yyyyzzzz_0, tg_xyyyyy_yyyyzzzz_1, \
                                         tg_xyyyyy_yyyzzzz_1, tg_xyyyyy_yyyzzzzz_0, tg_xyyyyy_yyyzzzzz_1, tg_xyyyyy_yyzzzzz_1, \
                                         tg_xyyyyy_yyzzzzzz_0, tg_xyyyyy_yyzzzzzz_1, tg_xyyyyy_yzzzzzz_1, tg_xyyyyy_yzzzzzzz_0, \
                                         tg_xyyyyy_yzzzzzzz_1, tg_xyyyyy_zzzzzzz_1, tg_xyyyyy_zzzzzzzz_0, tg_xyyyyy_zzzzzzzz_1, \
                                         tg_xyyyyz_xxxxxxx_1, tg_xyyyyz_xxxxxxxx_0, tg_xyyyyz_xxxxxxxx_1, tg_xyyyyz_xxxxxxxy_0, \
                                         tg_xyyyyz_xxxxxxxy_1, tg_xyyyyz_xxxxxxxz_0, tg_xyyyyz_xxxxxxxz_1, tg_xyyyyz_xxxxxxy_1, \
                                         tg_xyyyyz_xxxxxxyy_0, tg_xyyyyz_xxxxxxyy_1, tg_xyyyyz_xxxxxxyz_0, tg_xyyyyz_xxxxxxyz_1, \
                                         tg_xyyyyz_xxxxxxz_1, tg_xyyyyz_xxxxxxzz_0, tg_xyyyyz_xxxxxxzz_1, tg_xyyyyz_xxxxxyy_1, \
                                         tg_xyyyyz_xxxxxyyy_0, tg_xyyyyz_xxxxxyyy_1, tg_xyyyyz_xxxxxyyz_0, tg_xyyyyz_xxxxxyyz_1, \
                                         tg_xyyyyz_xxxxxyz_1, tg_xyyyyz_xxxxxyzz_0, tg_xyyyyz_xxxxxyzz_1, tg_xyyyyz_xxxxxzz_1, \
                                         tg_xyyyyz_xxxxxzzz_0, tg_xyyyyz_xxxxxzzz_1, tg_xyyyyz_xxxxyyy_1, tg_xyyyyz_xxxxyyyy_0, \
                                         tg_xyyyyz_xxxxyyyy_1, tg_xyyyyz_xxxxyyyz_0, tg_xyyyyz_xxxxyyyz_1, tg_xyyyyz_xxxxyyz_1, \
                                         tg_xyyyyz_xxxxyyzz_0, tg_xyyyyz_xxxxyyzz_1, tg_xyyyyz_xxxxyzz_1, tg_xyyyyz_xxxxyzzz_0, \
                                         tg_xyyyyz_xxxxyzzz_1, tg_xyyyyz_xxxxzzz_1, tg_xyyyyz_xxxxzzzz_0, tg_xyyyyz_xxxxzzzz_1, \
                                         tg_xyyyyz_xxxyyyy_1, tg_xyyyyz_xxxyyyyy_0, tg_xyyyyz_xxxyyyyy_1, tg_xyyyyz_xxxyyyyz_0, \
                                         tg_xyyyyz_xxxyyyyz_1, tg_xyyyyz_xxxyyyz_1, tg_xyyyyz_xxxyyyzz_0, tg_xyyyyz_xxxyyyzz_1, \
                                         tg_xyyyyz_xxxyyzz_1, tg_xyyyyz_xxxyyzzz_0, tg_xyyyyz_xxxyyzzz_1, tg_xyyyyz_xxxyzzz_1, \
                                         tg_xyyyyz_xxxyzzzz_0, tg_xyyyyz_xxxyzzzz_1, tg_xyyyyz_xxxzzzz_1, tg_xyyyyz_xxxzzzzz_0, \
                                         tg_xyyyyz_xxxzzzzz_1, tg_xyyyyz_xxyyyyy_1, tg_xyyyyz_xxyyyyyy_0, tg_xyyyyz_xxyyyyyy_1, \
                                         tg_xyyyyz_xxyyyyyz_0, tg_xyyyyz_xxyyyyyz_1, tg_xyyyyz_xxyyyyz_1, tg_xyyyyz_xxyyyyzz_0, \
                                         tg_xyyyyz_xxyyyyzz_1, tg_xyyyyz_xxyyyzz_1, tg_xyyyyz_xxyyyzzz_0, tg_xyyyyz_xxyyyzzz_1, \
                                         tg_xyyyyz_xxyyzzz_1, tg_xyyyyz_xxyyzzzz_0, tg_xyyyyz_xxyyzzzz_1, tg_xyyyyz_xxyzzzz_1, \
                                         tg_xyyyyz_xxyzzzzz_0, tg_xyyyyz_xxyzzzzz_1, tg_xyyyyz_xxzzzzz_1, tg_xyyyyz_xxzzzzzz_0, \
                                         tg_xyyyyz_xxzzzzzz_1, tg_xyyyyz_xyyyyyy_1, tg_xyyyyz_xyyyyyyy_0, tg_xyyyyz_xyyyyyyy_1, \
                                         tg_xyyyyz_xyyyyyyz_0, tg_xyyyyz_xyyyyyyz_1, tg_xyyyyz_xyyyyyz_1, tg_xyyyyz_xyyyyyzz_0, \
                                         tg_xyyyyz_xyyyyyzz_1, tg_xyyyyz_xyyyyzz_1, tg_xyyyyz_xyyyyzzz_0, tg_xyyyyz_xyyyyzzz_1, \
                                         tg_xyyyyz_xyyyzzz_1, tg_xyyyyz_xyyyzzzz_0, tg_xyyyyz_xyyyzzzz_1, tg_xyyyyz_xyyzzzz_1, \
                                         tg_xyyyyz_xyyzzzzz_0, tg_xyyyyz_xyyzzzzz_1, tg_xyyyyz_xyzzzzz_1, tg_xyyyyz_xyzzzzzz_0, \
                                         tg_xyyyyz_xyzzzzzz_1, tg_xyyyyz_xzzzzzz_1, tg_xyyyyz_xzzzzzzz_0, tg_xyyyyz_xzzzzzzz_1, \
                                         tg_xyyyyz_yyyyyyy_1, tg_xyyyyz_yyyyyyyy_0, tg_xyyyyz_yyyyyyyy_1, tg_xyyyyz_yyyyyyyz_0, \
                                         tg_xyyyyz_yyyyyyyz_1, tg_xyyyyz_yyyyyyz_1, tg_xyyyyz_yyyyyyzz_0, tg_xyyyyz_yyyyyyzz_1, \
                                         tg_xyyyyz_yyyyyzz_1, tg_xyyyyz_yyyyyzzz_0, tg_xyyyyz_yyyyyzzz_1, tg_xyyyyz_yyyyzzz_1, \
                                         tg_xyyyyz_yyyyzzzz_0, tg_xyyyyz_yyyyzzzz_1, tg_xyyyyz_yyyzzzz_1, tg_xyyyyz_yyyzzzzz_0, \
                                         tg_xyyyyz_yyyzzzzz_1, tg_xyyyyz_yyzzzzz_1, tg_xyyyyz_yyzzzzzz_0, tg_xyyyyz_yyzzzzzz_1, \
                                         tg_xyyyyz_yzzzzzz_1, tg_xyyyyz_yzzzzzzz_0, tg_xyyyyz_yzzzzzzz_1, tg_xyyyyz_zzzzzzz_1, \
                                         tg_xyyyyz_zzzzzzzz_0, tg_xyyyyz_zzzzzzzz_1, tg_xzzzz_yyyyzzzz_0, tg_xzzzz_yyyyzzzz_1, \
                                         tg_xzzzz_yyyzzzzz_0, tg_xzzzz_yyyzzzzz_1, tg_xzzzz_yyzzzzzz_0, tg_xzzzz_yyzzzzzz_1, \
                                         tg_xzzzz_yzzzzzzz_0, tg_xzzzz_yzzzzzzz_1, tg_xzzzz_zzzzzzzz_0, tg_xzzzz_zzzzzzzz_1, \
                                         tg_yyyyy_xxxxxxxx_0, tg_yyyyy_xxxxxxxx_1, tg_yyyyy_xxxxxxxy_0, tg_yyyyy_xxxxxxxy_1, \
                                         tg_yyyyy_xxxxxxxz_0, tg_yyyyy_xxxxxxxz_1, tg_yyyyy_xxxxxxyy_0, tg_yyyyy_xxxxxxyy_1, \
                                         tg_yyyyy_xxxxxxyz_0, tg_yyyyy_xxxxxxyz_1, tg_yyyyy_xxxxxxzz_0, tg_yyyyy_xxxxxxzz_1, \
                                         tg_yyyyy_xxxxxyyy_0, tg_yyyyy_xxxxxyyy_1, tg_yyyyy_xxxxxyyz_0, tg_yyyyy_xxxxxyyz_1, \
                                         tg_yyyyy_xxxxxyzz_0, tg_yyyyy_xxxxxyzz_1, tg_yyyyy_xxxxxzzz_0, tg_yyyyy_xxxxxzzz_1, \
                                         tg_yyyyy_xxxxyyyy_0, tg_yyyyy_xxxxyyyy_1, tg_yyyyy_xxxxyyyz_0, tg_yyyyy_xxxxyyyz_1, \
                                         tg_yyyyy_xxxxyyzz_0, tg_yyyyy_xxxxyyzz_1, tg_yyyyy_xxxxyzzz_0, tg_yyyyy_xxxxyzzz_1, \
                                         tg_yyyyy_xxxxzzzz_0, tg_yyyyy_xxxxzzzz_1, tg_yyyyy_xxxyyyyy_0, tg_yyyyy_xxxyyyyy_1, \
                                         tg_yyyyy_xxxyyyyz_0, tg_yyyyy_xxxyyyyz_1, tg_yyyyy_xxxyyyzz_0, tg_yyyyy_xxxyyyzz_1, \
                                         tg_yyyyy_xxxyyzzz_0, tg_yyyyy_xxxyyzzz_1, tg_yyyyy_xxxyzzzz_0, tg_yyyyy_xxxyzzzz_1, \
                                         tg_yyyyy_xxxzzzzz_0, tg_yyyyy_xxxzzzzz_1, tg_yyyyy_xxyyyyyy_0, tg_yyyyy_xxyyyyyy_1, \
                                         tg_yyyyy_xxyyyyyz_0, tg_yyyyy_xxyyyyyz_1, tg_yyyyy_xxyyyyzz_0, tg_yyyyy_xxyyyyzz_1, \
                                         tg_yyyyy_xxyyyzzz_0, tg_yyyyy_xxyyyzzz_1, tg_yyyyy_xxyyzzzz_0, tg_yyyyy_xxyyzzzz_1, \
                                         tg_yyyyy_xxyzzzzz_0, tg_yyyyy_xxyzzzzz_1, tg_yyyyy_xxzzzzzz_0, tg_yyyyy_xxzzzzzz_1, \
                                         tg_yyyyy_xyyyyyyy_0, tg_yyyyy_xyyyyyyy_1, tg_yyyyy_xyyyyyyz_0, tg_yyyyy_xyyyyyyz_1, \
                                         tg_yyyyy_xyyyyyzz_0, tg_yyyyy_xyyyyyzz_1, tg_yyyyy_xyyyyzzz_0, tg_yyyyy_xyyyyzzz_1, \
                                         tg_yyyyy_xyyyzzzz_0, tg_yyyyy_xyyyzzzz_1, tg_yyyyy_xyyzzzzz_0, tg_yyyyy_xyyzzzzz_1, \
                                         tg_yyyyy_xyzzzzzz_0, tg_yyyyy_xyzzzzzz_1, tg_yyyyy_xzzzzzzz_0, tg_yyyyy_xzzzzzzz_1, \
                                         tg_yyyyy_yyyyyyyy_0, tg_yyyyy_yyyyyyyy_1, tg_yyyyy_yyyyyyyz_0, tg_yyyyy_yyyyyyyz_1, \
                                         tg_yyyyy_yyyyyyzz_0, tg_yyyyy_yyyyyyzz_1, tg_yyyyy_yyyyyzzz_0, tg_yyyyy_yyyyyzzz_1, \
                                         tg_yyyyy_yyyyzzzz_0, tg_yyyyy_yyyyzzzz_1, tg_yyyyy_yyyzzzzz_0, tg_yyyyy_yyyzzzzz_1, \
                                         tg_yyyyy_yyzzzzzz_0, tg_yyyyy_yyzzzzzz_1, tg_yyyyy_yzzzzzzz_0, tg_yyyyy_yzzzzzzz_1, \
                                         tg_yyyyy_zzzzzzzz_0, tg_yyyyy_zzzzzzzz_1, tg_yyyyz_xxxxxxxx_0, tg_yyyyz_xxxxxxxx_1, \
                                         tg_yyyyz_xxxxxxxy_0, tg_yyyyz_xxxxxxxy_1, tg_yyyyz_xxxxxxxz_0, tg_yyyyz_xxxxxxxz_1, \
                                         tg_yyyyz_xxxxxxyy_0, tg_yyyyz_xxxxxxyy_1, tg_yyyyz_xxxxxxyz_0, tg_yyyyz_xxxxxxyz_1, \
                                         tg_yyyyz_xxxxxxzz_0, tg_yyyyz_xxxxxxzz_1, tg_yyyyz_xxxxxyyy_0, tg_yyyyz_xxxxxyyy_1, \
                                         tg_yyyyz_xxxxxyyz_0, tg_yyyyz_xxxxxyyz_1, tg_yyyyz_xxxxxyzz_0, tg_yyyyz_xxxxxyzz_1, \
                                         tg_yyyyz_xxxxxzzz_0, tg_yyyyz_xxxxxzzz_1, tg_yyyyz_xxxxyyyy_0, tg_yyyyz_xxxxyyyy_1, \
                                         tg_yyyyz_xxxxyyyz_0, tg_yyyyz_xxxxyyyz_1, tg_yyyyz_xxxxyyzz_0, tg_yyyyz_xxxxyyzz_1, \
                                         tg_yyyyz_xxxxyzzz_0, tg_yyyyz_xxxxyzzz_1, tg_yyyyz_xxxxzzzz_0, tg_yyyyz_xxxxzzzz_1, \
                                         tg_yyyyz_xxxyyyyy_0, tg_yyyyz_xxxyyyyy_1, tg_yyyyz_xxxyyyyz_0, tg_yyyyz_xxxyyyyz_1, \
                                         tg_yyyyz_xxxyyyzz_0, tg_yyyyz_xxxyyyzz_1, tg_yyyyz_xxxyyzzz_0, tg_yyyyz_xxxyyzzz_1, \
                                         tg_yyyyz_xxxyzzzz_0, tg_yyyyz_xxxyzzzz_1, tg_yyyyz_xxxzzzzz_0, tg_yyyyz_xxxzzzzz_1, \
                                         tg_yyyyz_xxyyyyyy_0, tg_yyyyz_xxyyyyyy_1, tg_yyyyz_xxyyyyyz_0, tg_yyyyz_xxyyyyyz_1, \
                                         tg_yyyyz_xxyyyyzz_0, tg_yyyyz_xxyyyyzz_1, tg_yyyyz_xxyyyzzz_0, tg_yyyyz_xxyyyzzz_1, \
                                         tg_yyyyz_xxyyzzzz_0, tg_yyyyz_xxyyzzzz_1, tg_yyyyz_xxyzzzzz_0, tg_yyyyz_xxyzzzzz_1, \
                                         tg_yyyyz_xxzzzzzz_0, tg_yyyyz_xxzzzzzz_1, tg_yyyyz_xyyyyyyy_0, tg_yyyyz_xyyyyyyy_1, \
                                         tg_yyyyz_xyyyyyyz_0, tg_yyyyz_xyyyyyyz_1, tg_yyyyz_xyyyyyzz_0, tg_yyyyz_xyyyyyzz_1, \
                                         tg_yyyyz_xyyyyzzz_0, tg_yyyyz_xyyyyzzz_1, tg_yyyyz_xyyyzzzz_0, tg_yyyyz_xyyyzzzz_1, \
                                         tg_yyyyz_xyyzzzzz_0, tg_yyyyz_xyyzzzzz_1, tg_yyyyz_xyzzzzzz_0, tg_yyyyz_xyzzzzzz_1, \
                                         tg_yyyyz_xzzzzzzz_0, tg_yyyyz_xzzzzzzz_1, tg_yyyyz_yyyyyyyy_0, tg_yyyyz_yyyyyyyy_1, \
                                         tg_yyyyz_yyyyyyyz_0, tg_yyyyz_yyyyyyyz_1, tg_yyyyz_yyyyyyzz_0, tg_yyyyz_yyyyyyzz_1, \
                                         tg_yyyyz_yyyyyzzz_0, tg_yyyyz_yyyyyzzz_1, tg_yyyyz_yyyyzzzz_0, tg_yyyyz_yyyyzzzz_1, \
                                         tg_yyyyz_yyyzzzzz_0, tg_yyyyz_yyyzzzzz_1, tg_yyyyz_yyzzzzzz_0, tg_yyyyz_yyzzzzzz_1, \
                                         tg_yyyyz_yzzzzzzz_0, tg_yyyyz_yzzzzzzz_1, tg_yyyyz_zzzzzzzz_0, tg_yyyyz_zzzzzzzz_1, \
                                         wp_x: VLX_ALIGN)
                for (int32_t j = 0; j < nKetPrimPairs; j++)
                {
                    double fl1_fx = fx;

                    double fl1_fxn = fxn[j];

                    double fl1_fza = fza[j];

                    double fr = wp_x[j]; 

                    tg_xxxzzzz_yyyyzzzz_0[j] = pb_x * tg_xxzzzz_yyyyzzzz_0[j] + fr * tg_xxzzzz_yyyyzzzz_1[j] + fl1_fx * (tg_xzzzz_yyyyzzzz_0[j] - tg_xzzzz_yyyyzzzz_1[j] * fl1_fza);

                    tg_xxxzzzz_yyyzzzzz_0[j] = pb_x * tg_xxzzzz_yyyzzzzz_0[j] + fr * tg_xxzzzz_yyyzzzzz_1[j] + fl1_fx * (tg_xzzzz_yyyzzzzz_0[j] - tg_xzzzz_yyyzzzzz_1[j] * fl1_fza);

                    tg_xxxzzzz_yyzzzzzz_0[j] = pb_x * tg_xxzzzz_yyzzzzzz_0[j] + fr * tg_xxzzzz_yyzzzzzz_1[j] + fl1_fx * (tg_xzzzz_yyzzzzzz_0[j] - tg_xzzzz_yyzzzzzz_1[j] * fl1_fza);

                    tg_xxxzzzz_yzzzzzzz_0[j] = pb_x * tg_xxzzzz_yzzzzzzz_0[j] + fr * tg_xxzzzz_yzzzzzzz_1[j] + fl1_fx * (tg_xzzzz_yzzzzzzz_0[j] - tg_xzzzz_yzzzzzzz_1[j] * fl1_fza);

                    tg_xxxzzzz_zzzzzzzz_0[j] = pb_x * tg_xxzzzz_zzzzzzzz_0[j] + fr * tg_xxzzzz_zzzzzzzz_1[j] + fl1_fx * (tg_xzzzz_zzzzzzzz_0[j] - tg_xzzzz_zzzzzzzz_1[j] * fl1_fza);

                    tg_xxyyyyy_xxxxxxxx_0[j] = pb_x * tg_xyyyyy_xxxxxxxx_0[j] + fr * tg_xyyyyy_xxxxxxxx_1[j] + 0.5 * fl1_fx * (tg_yyyyy_xxxxxxxx_0[j] - tg_yyyyy_xxxxxxxx_1[j] * fl1_fza) + 4.0 * fl1_fxn * tg_xyyyyy_xxxxxxx_1[j];

                    tg_xxyyyyy_xxxxxxxy_0[j] = pb_x * tg_xyyyyy_xxxxxxxy_0[j] + fr * tg_xyyyyy_xxxxxxxy_1[j] + 0.5 * fl1_fx * (tg_yyyyy_xxxxxxxy_0[j] - tg_yyyyy_xxxxxxxy_1[j] * fl1_fza) + 3.5 * fl1_fxn * tg_xyyyyy_xxxxxxy_1[j];

                    tg_xxyyyyy_xxxxxxxz_0[j] = pb_x * tg_xyyyyy_xxxxxxxz_0[j] + fr * tg_xyyyyy_xxxxxxxz_1[j] + 0.5 * fl1_fx * (tg_yyyyy_xxxxxxxz_0[j] - tg_yyyyy_xxxxxxxz_1[j] * fl1_fza) + 3.5 * fl1_fxn * tg_xyyyyy_xxxxxxz_1[j];

                    tg_xxyyyyy_xxxxxxyy_0[j] = pb_x * tg_xyyyyy_xxxxxxyy_0[j] + fr * tg_xyyyyy_xxxxxxyy_1[j] + 0.5 * fl1_fx * (tg_yyyyy_xxxxxxyy_0[j] - tg_yyyyy_xxxxxxyy_1[j] * fl1_fza) + 3.0 * fl1_fxn * tg_xyyyyy_xxxxxyy_1[j];

                    tg_xxyyyyy_xxxxxxyz_0[j] = pb_x * tg_xyyyyy_xxxxxxyz_0[j] + fr * tg_xyyyyy_xxxxxxyz_1[j] + 0.5 * fl1_fx * (tg_yyyyy_xxxxxxyz_0[j] - tg_yyyyy_xxxxxxyz_1[j] * fl1_fza) + 3.0 * fl1_fxn * tg_xyyyyy_xxxxxyz_1[j];

                    tg_xxyyyyy_xxxxxxzz_0[j] = pb_x * tg_xyyyyy_xxxxxxzz_0[j] + fr * tg_xyyyyy_xxxxxxzz_1[j] + 0.5 * fl1_fx * (tg_yyyyy_xxxxxxzz_0[j] - tg_yyyyy_xxxxxxzz_1[j] * fl1_fza) + 3.0 * fl1_fxn * tg_xyyyyy_xxxxxzz_1[j];

                    tg_xxyyyyy_xxxxxyyy_0[j] = pb_x * tg_xyyyyy_xxxxxyyy_0[j] + fr * tg_xyyyyy_xxxxxyyy_1[j] + 0.5 * fl1_fx * (tg_yyyyy_xxxxxyyy_0[j] - tg_yyyyy_xxxxxyyy_1[j] * fl1_fza) + 2.5 * fl1_fxn * tg_xyyyyy_xxxxyyy_1[j];

                    tg_xxyyyyy_xxxxxyyz_0[j] = pb_x * tg_xyyyyy_xxxxxyyz_0[j] + fr * tg_xyyyyy_xxxxxyyz_1[j] + 0.5 * fl1_fx * (tg_yyyyy_xxxxxyyz_0[j] - tg_yyyyy_xxxxxyyz_1[j] * fl1_fza) + 2.5 * fl1_fxn * tg_xyyyyy_xxxxyyz_1[j];

                    tg_xxyyyyy_xxxxxyzz_0[j] = pb_x * tg_xyyyyy_xxxxxyzz_0[j] + fr * tg_xyyyyy_xxxxxyzz_1[j] + 0.5 * fl1_fx * (tg_yyyyy_xxxxxyzz_0[j] - tg_yyyyy_xxxxxyzz_1[j] * fl1_fza) + 2.5 * fl1_fxn * tg_xyyyyy_xxxxyzz_1[j];

                    tg_xxyyyyy_xxxxxzzz_0[j] = pb_x * tg_xyyyyy_xxxxxzzz_0[j] + fr * tg_xyyyyy_xxxxxzzz_1[j] + 0.5 * fl1_fx * (tg_yyyyy_xxxxxzzz_0[j] - tg_yyyyy_xxxxxzzz_1[j] * fl1_fza) + 2.5 * fl1_fxn * tg_xyyyyy_xxxxzzz_1[j];

                    tg_xxyyyyy_xxxxyyyy_0[j] = pb_x * tg_xyyyyy_xxxxyyyy_0[j] + fr * tg_xyyyyy_xxxxyyyy_1[j] + 0.5 * fl1_fx * (tg_yyyyy_xxxxyyyy_0[j] - tg_yyyyy_xxxxyyyy_1[j] * fl1_fza) + 2.0 * fl1_fxn * tg_xyyyyy_xxxyyyy_1[j];

                    tg_xxyyyyy_xxxxyyyz_0[j] = pb_x * tg_xyyyyy_xxxxyyyz_0[j] + fr * tg_xyyyyy_xxxxyyyz_1[j] + 0.5 * fl1_fx * (tg_yyyyy_xxxxyyyz_0[j] - tg_yyyyy_xxxxyyyz_1[j] * fl1_fza) + 2.0 * fl1_fxn * tg_xyyyyy_xxxyyyz_1[j];

                    tg_xxyyyyy_xxxxyyzz_0[j] = pb_x * tg_xyyyyy_xxxxyyzz_0[j] + fr * tg_xyyyyy_xxxxyyzz_1[j] + 0.5 * fl1_fx * (tg_yyyyy_xxxxyyzz_0[j] - tg_yyyyy_xxxxyyzz_1[j] * fl1_fza) + 2.0 * fl1_fxn * tg_xyyyyy_xxxyyzz_1[j];

                    tg_xxyyyyy_xxxxyzzz_0[j] = pb_x * tg_xyyyyy_xxxxyzzz_0[j] + fr * tg_xyyyyy_xxxxyzzz_1[j] + 0.5 * fl1_fx * (tg_yyyyy_xxxxyzzz_0[j] - tg_yyyyy_xxxxyzzz_1[j] * fl1_fza) + 2.0 * fl1_fxn * tg_xyyyyy_xxxyzzz_1[j];

                    tg_xxyyyyy_xxxxzzzz_0[j] = pb_x * tg_xyyyyy_xxxxzzzz_0[j] + fr * tg_xyyyyy_xxxxzzzz_1[j] + 0.5 * fl1_fx * (tg_yyyyy_xxxxzzzz_0[j] - tg_yyyyy_xxxxzzzz_1[j] * fl1_fza) + 2.0 * fl1_fxn * tg_xyyyyy_xxxzzzz_1[j];

                    tg_xxyyyyy_xxxyyyyy_0[j] = pb_x * tg_xyyyyy_xxxyyyyy_0[j] + fr * tg_xyyyyy_xxxyyyyy_1[j] + 0.5 * fl1_fx * (tg_yyyyy_xxxyyyyy_0[j] - tg_yyyyy_xxxyyyyy_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_xyyyyy_xxyyyyy_1[j];

                    tg_xxyyyyy_xxxyyyyz_0[j] = pb_x * tg_xyyyyy_xxxyyyyz_0[j] + fr * tg_xyyyyy_xxxyyyyz_1[j] + 0.5 * fl1_fx * (tg_yyyyy_xxxyyyyz_0[j] - tg_yyyyy_xxxyyyyz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_xyyyyy_xxyyyyz_1[j];

                    tg_xxyyyyy_xxxyyyzz_0[j] = pb_x * tg_xyyyyy_xxxyyyzz_0[j] + fr * tg_xyyyyy_xxxyyyzz_1[j] + 0.5 * fl1_fx * (tg_yyyyy_xxxyyyzz_0[j] - tg_yyyyy_xxxyyyzz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_xyyyyy_xxyyyzz_1[j];

                    tg_xxyyyyy_xxxyyzzz_0[j] = pb_x * tg_xyyyyy_xxxyyzzz_0[j] + fr * tg_xyyyyy_xxxyyzzz_1[j] + 0.5 * fl1_fx * (tg_yyyyy_xxxyyzzz_0[j] - tg_yyyyy_xxxyyzzz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_xyyyyy_xxyyzzz_1[j];

                    tg_xxyyyyy_xxxyzzzz_0[j] = pb_x * tg_xyyyyy_xxxyzzzz_0[j] + fr * tg_xyyyyy_xxxyzzzz_1[j] + 0.5 * fl1_fx * (tg_yyyyy_xxxyzzzz_0[j] - tg_yyyyy_xxxyzzzz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_xyyyyy_xxyzzzz_1[j];

                    tg_xxyyyyy_xxxzzzzz_0[j] = pb_x * tg_xyyyyy_xxxzzzzz_0[j] + fr * tg_xyyyyy_xxxzzzzz_1[j] + 0.5 * fl1_fx * (tg_yyyyy_xxxzzzzz_0[j] - tg_yyyyy_xxxzzzzz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_xyyyyy_xxzzzzz_1[j];

                    tg_xxyyyyy_xxyyyyyy_0[j] = pb_x * tg_xyyyyy_xxyyyyyy_0[j] + fr * tg_xyyyyy_xxyyyyyy_1[j] + 0.5 * fl1_fx * (tg_yyyyy_xxyyyyyy_0[j] - tg_yyyyy_xxyyyyyy_1[j] * fl1_fza) + fl1_fxn * tg_xyyyyy_xyyyyyy_1[j];

                    tg_xxyyyyy_xxyyyyyz_0[j] = pb_x * tg_xyyyyy_xxyyyyyz_0[j] + fr * tg_xyyyyy_xxyyyyyz_1[j] + 0.5 * fl1_fx * (tg_yyyyy_xxyyyyyz_0[j] - tg_yyyyy_xxyyyyyz_1[j] * fl1_fza) + fl1_fxn * tg_xyyyyy_xyyyyyz_1[j];

                    tg_xxyyyyy_xxyyyyzz_0[j] = pb_x * tg_xyyyyy_xxyyyyzz_0[j] + fr * tg_xyyyyy_xxyyyyzz_1[j] + 0.5 * fl1_fx * (tg_yyyyy_xxyyyyzz_0[j] - tg_yyyyy_xxyyyyzz_1[j] * fl1_fza) + fl1_fxn * tg_xyyyyy_xyyyyzz_1[j];

                    tg_xxyyyyy_xxyyyzzz_0[j] = pb_x * tg_xyyyyy_xxyyyzzz_0[j] + fr * tg_xyyyyy_xxyyyzzz_1[j] + 0.5 * fl1_fx * (tg_yyyyy_xxyyyzzz_0[j] - tg_yyyyy_xxyyyzzz_1[j] * fl1_fza) + fl1_fxn * tg_xyyyyy_xyyyzzz_1[j];

                    tg_xxyyyyy_xxyyzzzz_0[j] = pb_x * tg_xyyyyy_xxyyzzzz_0[j] + fr * tg_xyyyyy_xxyyzzzz_1[j] + 0.5 * fl1_fx * (tg_yyyyy_xxyyzzzz_0[j] - tg_yyyyy_xxyyzzzz_1[j] * fl1_fza) + fl1_fxn * tg_xyyyyy_xyyzzzz_1[j];

                    tg_xxyyyyy_xxyzzzzz_0[j] = pb_x * tg_xyyyyy_xxyzzzzz_0[j] + fr * tg_xyyyyy_xxyzzzzz_1[j] + 0.5 * fl1_fx * (tg_yyyyy_xxyzzzzz_0[j] - tg_yyyyy_xxyzzzzz_1[j] * fl1_fza) + fl1_fxn * tg_xyyyyy_xyzzzzz_1[j];

                    tg_xxyyyyy_xxzzzzzz_0[j] = pb_x * tg_xyyyyy_xxzzzzzz_0[j] + fr * tg_xyyyyy_xxzzzzzz_1[j] + 0.5 * fl1_fx * (tg_yyyyy_xxzzzzzz_0[j] - tg_yyyyy_xxzzzzzz_1[j] * fl1_fza) + fl1_fxn * tg_xyyyyy_xzzzzzz_1[j];

                    tg_xxyyyyy_xyyyyyyy_0[j] = pb_x * tg_xyyyyy_xyyyyyyy_0[j] + fr * tg_xyyyyy_xyyyyyyy_1[j] + 0.5 * fl1_fx * (tg_yyyyy_xyyyyyyy_0[j] - tg_yyyyy_xyyyyyyy_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xyyyyy_yyyyyyy_1[j];

                    tg_xxyyyyy_xyyyyyyz_0[j] = pb_x * tg_xyyyyy_xyyyyyyz_0[j] + fr * tg_xyyyyy_xyyyyyyz_1[j] + 0.5 * fl1_fx * (tg_yyyyy_xyyyyyyz_0[j] - tg_yyyyy_xyyyyyyz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xyyyyy_yyyyyyz_1[j];

                    tg_xxyyyyy_xyyyyyzz_0[j] = pb_x * tg_xyyyyy_xyyyyyzz_0[j] + fr * tg_xyyyyy_xyyyyyzz_1[j] + 0.5 * fl1_fx * (tg_yyyyy_xyyyyyzz_0[j] - tg_yyyyy_xyyyyyzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xyyyyy_yyyyyzz_1[j];

                    tg_xxyyyyy_xyyyyzzz_0[j] = pb_x * tg_xyyyyy_xyyyyzzz_0[j] + fr * tg_xyyyyy_xyyyyzzz_1[j] + 0.5 * fl1_fx * (tg_yyyyy_xyyyyzzz_0[j] - tg_yyyyy_xyyyyzzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xyyyyy_yyyyzzz_1[j];

                    tg_xxyyyyy_xyyyzzzz_0[j] = pb_x * tg_xyyyyy_xyyyzzzz_0[j] + fr * tg_xyyyyy_xyyyzzzz_1[j] + 0.5 * fl1_fx * (tg_yyyyy_xyyyzzzz_0[j] - tg_yyyyy_xyyyzzzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xyyyyy_yyyzzzz_1[j];

                    tg_xxyyyyy_xyyzzzzz_0[j] = pb_x * tg_xyyyyy_xyyzzzzz_0[j] + fr * tg_xyyyyy_xyyzzzzz_1[j] + 0.5 * fl1_fx * (tg_yyyyy_xyyzzzzz_0[j] - tg_yyyyy_xyyzzzzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xyyyyy_yyzzzzz_1[j];

                    tg_xxyyyyy_xyzzzzzz_0[j] = pb_x * tg_xyyyyy_xyzzzzzz_0[j] + fr * tg_xyyyyy_xyzzzzzz_1[j] + 0.5 * fl1_fx * (tg_yyyyy_xyzzzzzz_0[j] - tg_yyyyy_xyzzzzzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xyyyyy_yzzzzzz_1[j];

                    tg_xxyyyyy_xzzzzzzz_0[j] = pb_x * tg_xyyyyy_xzzzzzzz_0[j] + fr * tg_xyyyyy_xzzzzzzz_1[j] + 0.5 * fl1_fx * (tg_yyyyy_xzzzzzzz_0[j] - tg_yyyyy_xzzzzzzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xyyyyy_zzzzzzz_1[j];

                    tg_xxyyyyy_yyyyyyyy_0[j] = pb_x * tg_xyyyyy_yyyyyyyy_0[j] + fr * tg_xyyyyy_yyyyyyyy_1[j] + 0.5 * fl1_fx * (tg_yyyyy_yyyyyyyy_0[j] - tg_yyyyy_yyyyyyyy_1[j] * fl1_fza);

                    tg_xxyyyyy_yyyyyyyz_0[j] = pb_x * tg_xyyyyy_yyyyyyyz_0[j] + fr * tg_xyyyyy_yyyyyyyz_1[j] + 0.5 * fl1_fx * (tg_yyyyy_yyyyyyyz_0[j] - tg_yyyyy_yyyyyyyz_1[j] * fl1_fza);

                    tg_xxyyyyy_yyyyyyzz_0[j] = pb_x * tg_xyyyyy_yyyyyyzz_0[j] + fr * tg_xyyyyy_yyyyyyzz_1[j] + 0.5 * fl1_fx * (tg_yyyyy_yyyyyyzz_0[j] - tg_yyyyy_yyyyyyzz_1[j] * fl1_fza);

                    tg_xxyyyyy_yyyyyzzz_0[j] = pb_x * tg_xyyyyy_yyyyyzzz_0[j] + fr * tg_xyyyyy_yyyyyzzz_1[j] + 0.5 * fl1_fx * (tg_yyyyy_yyyyyzzz_0[j] - tg_yyyyy_yyyyyzzz_1[j] * fl1_fza);

                    tg_xxyyyyy_yyyyzzzz_0[j] = pb_x * tg_xyyyyy_yyyyzzzz_0[j] + fr * tg_xyyyyy_yyyyzzzz_1[j] + 0.5 * fl1_fx * (tg_yyyyy_yyyyzzzz_0[j] - tg_yyyyy_yyyyzzzz_1[j] * fl1_fza);

                    tg_xxyyyyy_yyyzzzzz_0[j] = pb_x * tg_xyyyyy_yyyzzzzz_0[j] + fr * tg_xyyyyy_yyyzzzzz_1[j] + 0.5 * fl1_fx * (tg_yyyyy_yyyzzzzz_0[j] - tg_yyyyy_yyyzzzzz_1[j] * fl1_fza);

                    tg_xxyyyyy_yyzzzzzz_0[j] = pb_x * tg_xyyyyy_yyzzzzzz_0[j] + fr * tg_xyyyyy_yyzzzzzz_1[j] + 0.5 * fl1_fx * (tg_yyyyy_yyzzzzzz_0[j] - tg_yyyyy_yyzzzzzz_1[j] * fl1_fza);

                    tg_xxyyyyy_yzzzzzzz_0[j] = pb_x * tg_xyyyyy_yzzzzzzz_0[j] + fr * tg_xyyyyy_yzzzzzzz_1[j] + 0.5 * fl1_fx * (tg_yyyyy_yzzzzzzz_0[j] - tg_yyyyy_yzzzzzzz_1[j] * fl1_fza);

                    tg_xxyyyyy_zzzzzzzz_0[j] = pb_x * tg_xyyyyy_zzzzzzzz_0[j] + fr * tg_xyyyyy_zzzzzzzz_1[j] + 0.5 * fl1_fx * (tg_yyyyy_zzzzzzzz_0[j] - tg_yyyyy_zzzzzzzz_1[j] * fl1_fza);

                    tg_xxyyyyz_xxxxxxxx_0[j] = pb_x * tg_xyyyyz_xxxxxxxx_0[j] + fr * tg_xyyyyz_xxxxxxxx_1[j] + 0.5 * fl1_fx * (tg_yyyyz_xxxxxxxx_0[j] - tg_yyyyz_xxxxxxxx_1[j] * fl1_fza) + 4.0 * fl1_fxn * tg_xyyyyz_xxxxxxx_1[j];

                    tg_xxyyyyz_xxxxxxxy_0[j] = pb_x * tg_xyyyyz_xxxxxxxy_0[j] + fr * tg_xyyyyz_xxxxxxxy_1[j] + 0.5 * fl1_fx * (tg_yyyyz_xxxxxxxy_0[j] - tg_yyyyz_xxxxxxxy_1[j] * fl1_fza) + 3.5 * fl1_fxn * tg_xyyyyz_xxxxxxy_1[j];

                    tg_xxyyyyz_xxxxxxxz_0[j] = pb_x * tg_xyyyyz_xxxxxxxz_0[j] + fr * tg_xyyyyz_xxxxxxxz_1[j] + 0.5 * fl1_fx * (tg_yyyyz_xxxxxxxz_0[j] - tg_yyyyz_xxxxxxxz_1[j] * fl1_fza) + 3.5 * fl1_fxn * tg_xyyyyz_xxxxxxz_1[j];

                    tg_xxyyyyz_xxxxxxyy_0[j] = pb_x * tg_xyyyyz_xxxxxxyy_0[j] + fr * tg_xyyyyz_xxxxxxyy_1[j] + 0.5 * fl1_fx * (tg_yyyyz_xxxxxxyy_0[j] - tg_yyyyz_xxxxxxyy_1[j] * fl1_fza) + 3.0 * fl1_fxn * tg_xyyyyz_xxxxxyy_1[j];

                    tg_xxyyyyz_xxxxxxyz_0[j] = pb_x * tg_xyyyyz_xxxxxxyz_0[j] + fr * tg_xyyyyz_xxxxxxyz_1[j] + 0.5 * fl1_fx * (tg_yyyyz_xxxxxxyz_0[j] - tg_yyyyz_xxxxxxyz_1[j] * fl1_fza) + 3.0 * fl1_fxn * tg_xyyyyz_xxxxxyz_1[j];

                    tg_xxyyyyz_xxxxxxzz_0[j] = pb_x * tg_xyyyyz_xxxxxxzz_0[j] + fr * tg_xyyyyz_xxxxxxzz_1[j] + 0.5 * fl1_fx * (tg_yyyyz_xxxxxxzz_0[j] - tg_yyyyz_xxxxxxzz_1[j] * fl1_fza) + 3.0 * fl1_fxn * tg_xyyyyz_xxxxxzz_1[j];

                    tg_xxyyyyz_xxxxxyyy_0[j] = pb_x * tg_xyyyyz_xxxxxyyy_0[j] + fr * tg_xyyyyz_xxxxxyyy_1[j] + 0.5 * fl1_fx * (tg_yyyyz_xxxxxyyy_0[j] - tg_yyyyz_xxxxxyyy_1[j] * fl1_fza) + 2.5 * fl1_fxn * tg_xyyyyz_xxxxyyy_1[j];

                    tg_xxyyyyz_xxxxxyyz_0[j] = pb_x * tg_xyyyyz_xxxxxyyz_0[j] + fr * tg_xyyyyz_xxxxxyyz_1[j] + 0.5 * fl1_fx * (tg_yyyyz_xxxxxyyz_0[j] - tg_yyyyz_xxxxxyyz_1[j] * fl1_fza) + 2.5 * fl1_fxn * tg_xyyyyz_xxxxyyz_1[j];

                    tg_xxyyyyz_xxxxxyzz_0[j] = pb_x * tg_xyyyyz_xxxxxyzz_0[j] + fr * tg_xyyyyz_xxxxxyzz_1[j] + 0.5 * fl1_fx * (tg_yyyyz_xxxxxyzz_0[j] - tg_yyyyz_xxxxxyzz_1[j] * fl1_fza) + 2.5 * fl1_fxn * tg_xyyyyz_xxxxyzz_1[j];

                    tg_xxyyyyz_xxxxxzzz_0[j] = pb_x * tg_xyyyyz_xxxxxzzz_0[j] + fr * tg_xyyyyz_xxxxxzzz_1[j] + 0.5 * fl1_fx * (tg_yyyyz_xxxxxzzz_0[j] - tg_yyyyz_xxxxxzzz_1[j] * fl1_fza) + 2.5 * fl1_fxn * tg_xyyyyz_xxxxzzz_1[j];

                    tg_xxyyyyz_xxxxyyyy_0[j] = pb_x * tg_xyyyyz_xxxxyyyy_0[j] + fr * tg_xyyyyz_xxxxyyyy_1[j] + 0.5 * fl1_fx * (tg_yyyyz_xxxxyyyy_0[j] - tg_yyyyz_xxxxyyyy_1[j] * fl1_fza) + 2.0 * fl1_fxn * tg_xyyyyz_xxxyyyy_1[j];

                    tg_xxyyyyz_xxxxyyyz_0[j] = pb_x * tg_xyyyyz_xxxxyyyz_0[j] + fr * tg_xyyyyz_xxxxyyyz_1[j] + 0.5 * fl1_fx * (tg_yyyyz_xxxxyyyz_0[j] - tg_yyyyz_xxxxyyyz_1[j] * fl1_fza) + 2.0 * fl1_fxn * tg_xyyyyz_xxxyyyz_1[j];

                    tg_xxyyyyz_xxxxyyzz_0[j] = pb_x * tg_xyyyyz_xxxxyyzz_0[j] + fr * tg_xyyyyz_xxxxyyzz_1[j] + 0.5 * fl1_fx * (tg_yyyyz_xxxxyyzz_0[j] - tg_yyyyz_xxxxyyzz_1[j] * fl1_fza) + 2.0 * fl1_fxn * tg_xyyyyz_xxxyyzz_1[j];

                    tg_xxyyyyz_xxxxyzzz_0[j] = pb_x * tg_xyyyyz_xxxxyzzz_0[j] + fr * tg_xyyyyz_xxxxyzzz_1[j] + 0.5 * fl1_fx * (tg_yyyyz_xxxxyzzz_0[j] - tg_yyyyz_xxxxyzzz_1[j] * fl1_fza) + 2.0 * fl1_fxn * tg_xyyyyz_xxxyzzz_1[j];

                    tg_xxyyyyz_xxxxzzzz_0[j] = pb_x * tg_xyyyyz_xxxxzzzz_0[j] + fr * tg_xyyyyz_xxxxzzzz_1[j] + 0.5 * fl1_fx * (tg_yyyyz_xxxxzzzz_0[j] - tg_yyyyz_xxxxzzzz_1[j] * fl1_fza) + 2.0 * fl1_fxn * tg_xyyyyz_xxxzzzz_1[j];

                    tg_xxyyyyz_xxxyyyyy_0[j] = pb_x * tg_xyyyyz_xxxyyyyy_0[j] + fr * tg_xyyyyz_xxxyyyyy_1[j] + 0.5 * fl1_fx * (tg_yyyyz_xxxyyyyy_0[j] - tg_yyyyz_xxxyyyyy_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_xyyyyz_xxyyyyy_1[j];

                    tg_xxyyyyz_xxxyyyyz_0[j] = pb_x * tg_xyyyyz_xxxyyyyz_0[j] + fr * tg_xyyyyz_xxxyyyyz_1[j] + 0.5 * fl1_fx * (tg_yyyyz_xxxyyyyz_0[j] - tg_yyyyz_xxxyyyyz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_xyyyyz_xxyyyyz_1[j];

                    tg_xxyyyyz_xxxyyyzz_0[j] = pb_x * tg_xyyyyz_xxxyyyzz_0[j] + fr * tg_xyyyyz_xxxyyyzz_1[j] + 0.5 * fl1_fx * (tg_yyyyz_xxxyyyzz_0[j] - tg_yyyyz_xxxyyyzz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_xyyyyz_xxyyyzz_1[j];

                    tg_xxyyyyz_xxxyyzzz_0[j] = pb_x * tg_xyyyyz_xxxyyzzz_0[j] + fr * tg_xyyyyz_xxxyyzzz_1[j] + 0.5 * fl1_fx * (tg_yyyyz_xxxyyzzz_0[j] - tg_yyyyz_xxxyyzzz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_xyyyyz_xxyyzzz_1[j];

                    tg_xxyyyyz_xxxyzzzz_0[j] = pb_x * tg_xyyyyz_xxxyzzzz_0[j] + fr * tg_xyyyyz_xxxyzzzz_1[j] + 0.5 * fl1_fx * (tg_yyyyz_xxxyzzzz_0[j] - tg_yyyyz_xxxyzzzz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_xyyyyz_xxyzzzz_1[j];

                    tg_xxyyyyz_xxxzzzzz_0[j] = pb_x * tg_xyyyyz_xxxzzzzz_0[j] + fr * tg_xyyyyz_xxxzzzzz_1[j] + 0.5 * fl1_fx * (tg_yyyyz_xxxzzzzz_0[j] - tg_yyyyz_xxxzzzzz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_xyyyyz_xxzzzzz_1[j];

                    tg_xxyyyyz_xxyyyyyy_0[j] = pb_x * tg_xyyyyz_xxyyyyyy_0[j] + fr * tg_xyyyyz_xxyyyyyy_1[j] + 0.5 * fl1_fx * (tg_yyyyz_xxyyyyyy_0[j] - tg_yyyyz_xxyyyyyy_1[j] * fl1_fza) + fl1_fxn * tg_xyyyyz_xyyyyyy_1[j];

                    tg_xxyyyyz_xxyyyyyz_0[j] = pb_x * tg_xyyyyz_xxyyyyyz_0[j] + fr * tg_xyyyyz_xxyyyyyz_1[j] + 0.5 * fl1_fx * (tg_yyyyz_xxyyyyyz_0[j] - tg_yyyyz_xxyyyyyz_1[j] * fl1_fza) + fl1_fxn * tg_xyyyyz_xyyyyyz_1[j];

                    tg_xxyyyyz_xxyyyyzz_0[j] = pb_x * tg_xyyyyz_xxyyyyzz_0[j] + fr * tg_xyyyyz_xxyyyyzz_1[j] + 0.5 * fl1_fx * (tg_yyyyz_xxyyyyzz_0[j] - tg_yyyyz_xxyyyyzz_1[j] * fl1_fza) + fl1_fxn * tg_xyyyyz_xyyyyzz_1[j];

                    tg_xxyyyyz_xxyyyzzz_0[j] = pb_x * tg_xyyyyz_xxyyyzzz_0[j] + fr * tg_xyyyyz_xxyyyzzz_1[j] + 0.5 * fl1_fx * (tg_yyyyz_xxyyyzzz_0[j] - tg_yyyyz_xxyyyzzz_1[j] * fl1_fza) + fl1_fxn * tg_xyyyyz_xyyyzzz_1[j];

                    tg_xxyyyyz_xxyyzzzz_0[j] = pb_x * tg_xyyyyz_xxyyzzzz_0[j] + fr * tg_xyyyyz_xxyyzzzz_1[j] + 0.5 * fl1_fx * (tg_yyyyz_xxyyzzzz_0[j] - tg_yyyyz_xxyyzzzz_1[j] * fl1_fza) + fl1_fxn * tg_xyyyyz_xyyzzzz_1[j];

                    tg_xxyyyyz_xxyzzzzz_0[j] = pb_x * tg_xyyyyz_xxyzzzzz_0[j] + fr * tg_xyyyyz_xxyzzzzz_1[j] + 0.5 * fl1_fx * (tg_yyyyz_xxyzzzzz_0[j] - tg_yyyyz_xxyzzzzz_1[j] * fl1_fza) + fl1_fxn * tg_xyyyyz_xyzzzzz_1[j];

                    tg_xxyyyyz_xxzzzzzz_0[j] = pb_x * tg_xyyyyz_xxzzzzzz_0[j] + fr * tg_xyyyyz_xxzzzzzz_1[j] + 0.5 * fl1_fx * (tg_yyyyz_xxzzzzzz_0[j] - tg_yyyyz_xxzzzzzz_1[j] * fl1_fza) + fl1_fxn * tg_xyyyyz_xzzzzzz_1[j];

                    tg_xxyyyyz_xyyyyyyy_0[j] = pb_x * tg_xyyyyz_xyyyyyyy_0[j] + fr * tg_xyyyyz_xyyyyyyy_1[j] + 0.5 * fl1_fx * (tg_yyyyz_xyyyyyyy_0[j] - tg_yyyyz_xyyyyyyy_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xyyyyz_yyyyyyy_1[j];

                    tg_xxyyyyz_xyyyyyyz_0[j] = pb_x * tg_xyyyyz_xyyyyyyz_0[j] + fr * tg_xyyyyz_xyyyyyyz_1[j] + 0.5 * fl1_fx * (tg_yyyyz_xyyyyyyz_0[j] - tg_yyyyz_xyyyyyyz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xyyyyz_yyyyyyz_1[j];

                    tg_xxyyyyz_xyyyyyzz_0[j] = pb_x * tg_xyyyyz_xyyyyyzz_0[j] + fr * tg_xyyyyz_xyyyyyzz_1[j] + 0.5 * fl1_fx * (tg_yyyyz_xyyyyyzz_0[j] - tg_yyyyz_xyyyyyzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xyyyyz_yyyyyzz_1[j];

                    tg_xxyyyyz_xyyyyzzz_0[j] = pb_x * tg_xyyyyz_xyyyyzzz_0[j] + fr * tg_xyyyyz_xyyyyzzz_1[j] + 0.5 * fl1_fx * (tg_yyyyz_xyyyyzzz_0[j] - tg_yyyyz_xyyyyzzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xyyyyz_yyyyzzz_1[j];

                    tg_xxyyyyz_xyyyzzzz_0[j] = pb_x * tg_xyyyyz_xyyyzzzz_0[j] + fr * tg_xyyyyz_xyyyzzzz_1[j] + 0.5 * fl1_fx * (tg_yyyyz_xyyyzzzz_0[j] - tg_yyyyz_xyyyzzzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xyyyyz_yyyzzzz_1[j];

                    tg_xxyyyyz_xyyzzzzz_0[j] = pb_x * tg_xyyyyz_xyyzzzzz_0[j] + fr * tg_xyyyyz_xyyzzzzz_1[j] + 0.5 * fl1_fx * (tg_yyyyz_xyyzzzzz_0[j] - tg_yyyyz_xyyzzzzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xyyyyz_yyzzzzz_1[j];

                    tg_xxyyyyz_xyzzzzzz_0[j] = pb_x * tg_xyyyyz_xyzzzzzz_0[j] + fr * tg_xyyyyz_xyzzzzzz_1[j] + 0.5 * fl1_fx * (tg_yyyyz_xyzzzzzz_0[j] - tg_yyyyz_xyzzzzzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xyyyyz_yzzzzzz_1[j];

                    tg_xxyyyyz_xzzzzzzz_0[j] = pb_x * tg_xyyyyz_xzzzzzzz_0[j] + fr * tg_xyyyyz_xzzzzzzz_1[j] + 0.5 * fl1_fx * (tg_yyyyz_xzzzzzzz_0[j] - tg_yyyyz_xzzzzzzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xyyyyz_zzzzzzz_1[j];

                    tg_xxyyyyz_yyyyyyyy_0[j] = pb_x * tg_xyyyyz_yyyyyyyy_0[j] + fr * tg_xyyyyz_yyyyyyyy_1[j] + 0.5 * fl1_fx * (tg_yyyyz_yyyyyyyy_0[j] - tg_yyyyz_yyyyyyyy_1[j] * fl1_fza);

                    tg_xxyyyyz_yyyyyyyz_0[j] = pb_x * tg_xyyyyz_yyyyyyyz_0[j] + fr * tg_xyyyyz_yyyyyyyz_1[j] + 0.5 * fl1_fx * (tg_yyyyz_yyyyyyyz_0[j] - tg_yyyyz_yyyyyyyz_1[j] * fl1_fza);

                    tg_xxyyyyz_yyyyyyzz_0[j] = pb_x * tg_xyyyyz_yyyyyyzz_0[j] + fr * tg_xyyyyz_yyyyyyzz_1[j] + 0.5 * fl1_fx * (tg_yyyyz_yyyyyyzz_0[j] - tg_yyyyz_yyyyyyzz_1[j] * fl1_fza);

                    tg_xxyyyyz_yyyyyzzz_0[j] = pb_x * tg_xyyyyz_yyyyyzzz_0[j] + fr * tg_xyyyyz_yyyyyzzz_1[j] + 0.5 * fl1_fx * (tg_yyyyz_yyyyyzzz_0[j] - tg_yyyyz_yyyyyzzz_1[j] * fl1_fza);

                    tg_xxyyyyz_yyyyzzzz_0[j] = pb_x * tg_xyyyyz_yyyyzzzz_0[j] + fr * tg_xyyyyz_yyyyzzzz_1[j] + 0.5 * fl1_fx * (tg_yyyyz_yyyyzzzz_0[j] - tg_yyyyz_yyyyzzzz_1[j] * fl1_fza);

                    tg_xxyyyyz_yyyzzzzz_0[j] = pb_x * tg_xyyyyz_yyyzzzzz_0[j] + fr * tg_xyyyyz_yyyzzzzz_1[j] + 0.5 * fl1_fx * (tg_yyyyz_yyyzzzzz_0[j] - tg_yyyyz_yyyzzzzz_1[j] * fl1_fza);

                    tg_xxyyyyz_yyzzzzzz_0[j] = pb_x * tg_xyyyyz_yyzzzzzz_0[j] + fr * tg_xyyyyz_yyzzzzzz_1[j] + 0.5 * fl1_fx * (tg_yyyyz_yyzzzzzz_0[j] - tg_yyyyz_yyzzzzzz_1[j] * fl1_fza);

                    tg_xxyyyyz_yzzzzzzz_0[j] = pb_x * tg_xyyyyz_yzzzzzzz_0[j] + fr * tg_xyyyyz_yzzzzzzz_1[j] + 0.5 * fl1_fx * (tg_yyyyz_yzzzzzzz_0[j] - tg_yyyyz_yzzzzzzz_1[j] * fl1_fza);

                    tg_xxyyyyz_zzzzzzzz_0[j] = pb_x * tg_xyyyyz_zzzzzzzz_0[j] + fr * tg_xyyyyz_zzzzzzzz_1[j] + 0.5 * fl1_fx * (tg_yyyyz_zzzzzzzz_0[j] - tg_yyyyz_zzzzzzzz_1[j] * fl1_fza);
                }

                idx++;
            }
        }
    }

    void
    compElectronRepulsionForSKSL_765_860(      CMemBlock2D<double>* primBuffer,
                                         const CRecursionMap&       recursionMap,
                                         const CMemBlock2D<double>& osFactors,
                                         const CMemBlock2D<double>& wpDistances,
                                         const CGtoPairsBlock&      braGtoPairsBlock,
                                         const CGtoPairsBlock&      ketGtoPairsBlock,
                                         const int32_t              nKetPrimPairs,
                                         const int32_t              iContrPair)
    {
        // Batch of Integrals (765,860)

        // set up pointers to primitives data on bra side

        auto spos = braGtoPairsBlock.getStartPositions();

        auto epos = braGtoPairsBlock.getEndPositions();

        // set up pointers to tensor of distance R(PB) = P - B

        auto r_pb_x = braGtoPairsBlock.getDistancesPBX();

        // set up pointers to common Obara-Saika factors

        auto b_fx = braGtoPairsBlock.getFactorsOneOverXi();

        // set up maximum order of integral

        auto mord = recursionMap.getMaxOrder({"Electron Repulsion"},
                                             {7, -1, -1, -1},
                                             {8, -1, -1, -1},
                                             1, 1);

        for (int32_t iord = 0; iord <= mord; iord++)
        {
            // set up index of integral

            auto pidx_g_7_8_m0 = recursionMap.index(CRecursionTerm({"Electron Repulsion"}, 0, true, 
                                                                   {7, -1, -1, -1}, {8, -1, -1, -1}, 
                                                                   1, 1, iord));

            // check if integral is needed in recursion expansion

            if (pidx_g_7_8_m0 == -1) continue;

            // set up indexes of auxilary integral

            auto pidx_g_6_8_m0 = recursionMap.index(CRecursionTerm({"Electron Repulsion"}, 0, true, 
                                                                   {6, -1, -1, -1}, {8, -1, -1, -1}, 
                                                                   1, 1, iord));

            auto pidx_g_6_8_m1 = recursionMap.index(CRecursionTerm({"Electron Repulsion"}, 0, true, 
                                                                   {6, -1, -1, -1}, {8, -1, -1, -1}, 
                                                                   1, 1, iord + 1));

            auto pidx_g_5_8_m0 = recursionMap.index(CRecursionTerm({"Electron Repulsion"}, 0, true, 
                                                                   {5, -1, -1, -1}, {8, -1, -1, -1}, 
                                                                   1, 1, iord));

            auto pidx_g_5_8_m1 = recursionMap.index(CRecursionTerm({"Electron Repulsion"}, 0, true, 
                                                                   {5, -1, -1, -1}, {8, -1, -1, -1}, 
                                                                   1, 1, iord + 1));

            auto pidx_g_6_7_m1 = recursionMap.index(CRecursionTerm({"Electron Repulsion"}, 0, true, 
                                                                   {6, -1, -1, -1}, {7, -1, -1, -1}, 
                                                                   1, 1, iord + 1));

            // loop over contracted GTO on bra side

            int32_t idx = 0;

            for (int32_t i = spos[iContrPair]; i < epos[iContrPair]; i++)
            {
                // set up pointers to Obara-Saika factors

                double fx = b_fx[i];

                auto fza = osFactors.data(4 * idx + 2);

                auto fxn = osFactors.data(4 * idx);

                // set up distances R(PB) = P - B

                auto pb_x = r_pb_x[i];

                // set up pointers to tensors product of distances R(WP) = W - P

                auto wp_x = wpDistances.data(3 * idx);

                // set up pointers to auxilary integrals

                auto tg_xyyyzz_xxxxxxxx_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 765); 

                auto tg_xyyyzz_xxxxxxxy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 766); 

                auto tg_xyyyzz_xxxxxxxz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 767); 

                auto tg_xyyyzz_xxxxxxyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 768); 

                auto tg_xyyyzz_xxxxxxyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 769); 

                auto tg_xyyyzz_xxxxxxzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 770); 

                auto tg_xyyyzz_xxxxxyyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 771); 

                auto tg_xyyyzz_xxxxxyyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 772); 

                auto tg_xyyyzz_xxxxxyzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 773); 

                auto tg_xyyyzz_xxxxxzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 774); 

                auto tg_xyyyzz_xxxxyyyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 775); 

                auto tg_xyyyzz_xxxxyyyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 776); 

                auto tg_xyyyzz_xxxxyyzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 777); 

                auto tg_xyyyzz_xxxxyzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 778); 

                auto tg_xyyyzz_xxxxzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 779); 

                auto tg_xyyyzz_xxxyyyyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 780); 

                auto tg_xyyyzz_xxxyyyyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 781); 

                auto tg_xyyyzz_xxxyyyzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 782); 

                auto tg_xyyyzz_xxxyyzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 783); 

                auto tg_xyyyzz_xxxyzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 784); 

                auto tg_xyyyzz_xxxzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 785); 

                auto tg_xyyyzz_xxyyyyyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 786); 

                auto tg_xyyyzz_xxyyyyyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 787); 

                auto tg_xyyyzz_xxyyyyzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 788); 

                auto tg_xyyyzz_xxyyyzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 789); 

                auto tg_xyyyzz_xxyyzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 790); 

                auto tg_xyyyzz_xxyzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 791); 

                auto tg_xyyyzz_xxzzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 792); 

                auto tg_xyyyzz_xyyyyyyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 793); 

                auto tg_xyyyzz_xyyyyyyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 794); 

                auto tg_xyyyzz_xyyyyyzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 795); 

                auto tg_xyyyzz_xyyyyzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 796); 

                auto tg_xyyyzz_xyyyzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 797); 

                auto tg_xyyyzz_xyyzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 798); 

                auto tg_xyyyzz_xyzzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 799); 

                auto tg_xyyyzz_xzzzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 800); 

                auto tg_xyyyzz_yyyyyyyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 801); 

                auto tg_xyyyzz_yyyyyyyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 802); 

                auto tg_xyyyzz_yyyyyyzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 803); 

                auto tg_xyyyzz_yyyyyzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 804); 

                auto tg_xyyyzz_yyyyzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 805); 

                auto tg_xyyyzz_yyyzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 806); 

                auto tg_xyyyzz_yyzzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 807); 

                auto tg_xyyyzz_yzzzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 808); 

                auto tg_xyyyzz_zzzzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 809); 

                auto tg_xyyzzz_xxxxxxxx_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 810); 

                auto tg_xyyzzz_xxxxxxxy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 811); 

                auto tg_xyyzzz_xxxxxxxz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 812); 

                auto tg_xyyzzz_xxxxxxyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 813); 

                auto tg_xyyzzz_xxxxxxyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 814); 

                auto tg_xyyzzz_xxxxxxzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 815); 

                auto tg_xyyzzz_xxxxxyyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 816); 

                auto tg_xyyzzz_xxxxxyyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 817); 

                auto tg_xyyzzz_xxxxxyzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 818); 

                auto tg_xyyzzz_xxxxxzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 819); 

                auto tg_xyyzzz_xxxxyyyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 820); 

                auto tg_xyyzzz_xxxxyyyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 821); 

                auto tg_xyyzzz_xxxxyyzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 822); 

                auto tg_xyyzzz_xxxxyzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 823); 

                auto tg_xyyzzz_xxxxzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 824); 

                auto tg_xyyzzz_xxxyyyyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 825); 

                auto tg_xyyzzz_xxxyyyyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 826); 

                auto tg_xyyzzz_xxxyyyzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 827); 

                auto tg_xyyzzz_xxxyyzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 828); 

                auto tg_xyyzzz_xxxyzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 829); 

                auto tg_xyyzzz_xxxzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 830); 

                auto tg_xyyzzz_xxyyyyyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 831); 

                auto tg_xyyzzz_xxyyyyyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 832); 

                auto tg_xyyzzz_xxyyyyzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 833); 

                auto tg_xyyzzz_xxyyyzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 834); 

                auto tg_xyyzzz_xxyyzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 835); 

                auto tg_xyyzzz_xxyzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 836); 

                auto tg_xyyzzz_xxzzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 837); 

                auto tg_xyyzzz_xyyyyyyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 838); 

                auto tg_xyyzzz_xyyyyyyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 839); 

                auto tg_xyyzzz_xyyyyyzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 840); 

                auto tg_xyyzzz_xyyyyzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 841); 

                auto tg_xyyzzz_xyyyzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 842); 

                auto tg_xyyzzz_xyyzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 843); 

                auto tg_xyyzzz_xyzzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 844); 

                auto tg_xyyzzz_xzzzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 845); 

                auto tg_xyyzzz_yyyyyyyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 846); 

                auto tg_xyyzzz_yyyyyyyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 847); 

                auto tg_xyyzzz_yyyyyyzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 848); 

                auto tg_xyyzzz_yyyyyzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 849); 

                auto tg_xyyzzz_yyyyzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 850); 

                auto tg_xyyzzz_yyyzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 851); 

                auto tg_xyyzzz_yyzzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 852); 

                auto tg_xyyzzz_yzzzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 853); 

                auto tg_xyyzzz_zzzzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 854); 

                auto tg_xyzzzz_xxxxxxxx_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 855); 

                auto tg_xyzzzz_xxxxxxxy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 856); 

                auto tg_xyzzzz_xxxxxxxz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 857); 

                auto tg_xyzzzz_xxxxxxyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 858); 

                auto tg_xyzzzz_xxxxxxyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 859); 

                auto tg_xyyyzz_xxxxxxxx_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 765); 

                auto tg_xyyyzz_xxxxxxxy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 766); 

                auto tg_xyyyzz_xxxxxxxz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 767); 

                auto tg_xyyyzz_xxxxxxyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 768); 

                auto tg_xyyyzz_xxxxxxyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 769); 

                auto tg_xyyyzz_xxxxxxzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 770); 

                auto tg_xyyyzz_xxxxxyyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 771); 

                auto tg_xyyyzz_xxxxxyyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 772); 

                auto tg_xyyyzz_xxxxxyzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 773); 

                auto tg_xyyyzz_xxxxxzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 774); 

                auto tg_xyyyzz_xxxxyyyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 775); 

                auto tg_xyyyzz_xxxxyyyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 776); 

                auto tg_xyyyzz_xxxxyyzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 777); 

                auto tg_xyyyzz_xxxxyzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 778); 

                auto tg_xyyyzz_xxxxzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 779); 

                auto tg_xyyyzz_xxxyyyyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 780); 

                auto tg_xyyyzz_xxxyyyyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 781); 

                auto tg_xyyyzz_xxxyyyzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 782); 

                auto tg_xyyyzz_xxxyyzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 783); 

                auto tg_xyyyzz_xxxyzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 784); 

                auto tg_xyyyzz_xxxzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 785); 

                auto tg_xyyyzz_xxyyyyyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 786); 

                auto tg_xyyyzz_xxyyyyyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 787); 

                auto tg_xyyyzz_xxyyyyzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 788); 

                auto tg_xyyyzz_xxyyyzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 789); 

                auto tg_xyyyzz_xxyyzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 790); 

                auto tg_xyyyzz_xxyzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 791); 

                auto tg_xyyyzz_xxzzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 792); 

                auto tg_xyyyzz_xyyyyyyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 793); 

                auto tg_xyyyzz_xyyyyyyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 794); 

                auto tg_xyyyzz_xyyyyyzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 795); 

                auto tg_xyyyzz_xyyyyzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 796); 

                auto tg_xyyyzz_xyyyzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 797); 

                auto tg_xyyyzz_xyyzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 798); 

                auto tg_xyyyzz_xyzzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 799); 

                auto tg_xyyyzz_xzzzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 800); 

                auto tg_xyyyzz_yyyyyyyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 801); 

                auto tg_xyyyzz_yyyyyyyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 802); 

                auto tg_xyyyzz_yyyyyyzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 803); 

                auto tg_xyyyzz_yyyyyzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 804); 

                auto tg_xyyyzz_yyyyzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 805); 

                auto tg_xyyyzz_yyyzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 806); 

                auto tg_xyyyzz_yyzzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 807); 

                auto tg_xyyyzz_yzzzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 808); 

                auto tg_xyyyzz_zzzzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 809); 

                auto tg_xyyzzz_xxxxxxxx_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 810); 

                auto tg_xyyzzz_xxxxxxxy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 811); 

                auto tg_xyyzzz_xxxxxxxz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 812); 

                auto tg_xyyzzz_xxxxxxyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 813); 

                auto tg_xyyzzz_xxxxxxyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 814); 

                auto tg_xyyzzz_xxxxxxzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 815); 

                auto tg_xyyzzz_xxxxxyyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 816); 

                auto tg_xyyzzz_xxxxxyyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 817); 

                auto tg_xyyzzz_xxxxxyzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 818); 

                auto tg_xyyzzz_xxxxxzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 819); 

                auto tg_xyyzzz_xxxxyyyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 820); 

                auto tg_xyyzzz_xxxxyyyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 821); 

                auto tg_xyyzzz_xxxxyyzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 822); 

                auto tg_xyyzzz_xxxxyzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 823); 

                auto tg_xyyzzz_xxxxzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 824); 

                auto tg_xyyzzz_xxxyyyyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 825); 

                auto tg_xyyzzz_xxxyyyyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 826); 

                auto tg_xyyzzz_xxxyyyzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 827); 

                auto tg_xyyzzz_xxxyyzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 828); 

                auto tg_xyyzzz_xxxyzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 829); 

                auto tg_xyyzzz_xxxzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 830); 

                auto tg_xyyzzz_xxyyyyyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 831); 

                auto tg_xyyzzz_xxyyyyyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 832); 

                auto tg_xyyzzz_xxyyyyzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 833); 

                auto tg_xyyzzz_xxyyyzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 834); 

                auto tg_xyyzzz_xxyyzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 835); 

                auto tg_xyyzzz_xxyzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 836); 

                auto tg_xyyzzz_xxzzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 837); 

                auto tg_xyyzzz_xyyyyyyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 838); 

                auto tg_xyyzzz_xyyyyyyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 839); 

                auto tg_xyyzzz_xyyyyyzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 840); 

                auto tg_xyyzzz_xyyyyzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 841); 

                auto tg_xyyzzz_xyyyzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 842); 

                auto tg_xyyzzz_xyyzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 843); 

                auto tg_xyyzzz_xyzzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 844); 

                auto tg_xyyzzz_xzzzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 845); 

                auto tg_xyyzzz_yyyyyyyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 846); 

                auto tg_xyyzzz_yyyyyyyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 847); 

                auto tg_xyyzzz_yyyyyyzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 848); 

                auto tg_xyyzzz_yyyyyzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 849); 

                auto tg_xyyzzz_yyyyzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 850); 

                auto tg_xyyzzz_yyyzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 851); 

                auto tg_xyyzzz_yyzzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 852); 

                auto tg_xyyzzz_yzzzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 853); 

                auto tg_xyyzzz_zzzzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 854); 

                auto tg_xyzzzz_xxxxxxxx_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 855); 

                auto tg_xyzzzz_xxxxxxxy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 856); 

                auto tg_xyzzzz_xxxxxxxz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 857); 

                auto tg_xyzzzz_xxxxxxyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 858); 

                auto tg_xyzzzz_xxxxxxyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 859); 

                auto tg_yyyzz_xxxxxxxx_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 765); 

                auto tg_yyyzz_xxxxxxxy_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 766); 

                auto tg_yyyzz_xxxxxxxz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 767); 

                auto tg_yyyzz_xxxxxxyy_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 768); 

                auto tg_yyyzz_xxxxxxyz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 769); 

                auto tg_yyyzz_xxxxxxzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 770); 

                auto tg_yyyzz_xxxxxyyy_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 771); 

                auto tg_yyyzz_xxxxxyyz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 772); 

                auto tg_yyyzz_xxxxxyzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 773); 

                auto tg_yyyzz_xxxxxzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 774); 

                auto tg_yyyzz_xxxxyyyy_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 775); 

                auto tg_yyyzz_xxxxyyyz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 776); 

                auto tg_yyyzz_xxxxyyzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 777); 

                auto tg_yyyzz_xxxxyzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 778); 

                auto tg_yyyzz_xxxxzzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 779); 

                auto tg_yyyzz_xxxyyyyy_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 780); 

                auto tg_yyyzz_xxxyyyyz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 781); 

                auto tg_yyyzz_xxxyyyzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 782); 

                auto tg_yyyzz_xxxyyzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 783); 

                auto tg_yyyzz_xxxyzzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 784); 

                auto tg_yyyzz_xxxzzzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 785); 

                auto tg_yyyzz_xxyyyyyy_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 786); 

                auto tg_yyyzz_xxyyyyyz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 787); 

                auto tg_yyyzz_xxyyyyzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 788); 

                auto tg_yyyzz_xxyyyzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 789); 

                auto tg_yyyzz_xxyyzzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 790); 

                auto tg_yyyzz_xxyzzzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 791); 

                auto tg_yyyzz_xxzzzzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 792); 

                auto tg_yyyzz_xyyyyyyy_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 793); 

                auto tg_yyyzz_xyyyyyyz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 794); 

                auto tg_yyyzz_xyyyyyzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 795); 

                auto tg_yyyzz_xyyyyzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 796); 

                auto tg_yyyzz_xyyyzzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 797); 

                auto tg_yyyzz_xyyzzzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 798); 

                auto tg_yyyzz_xyzzzzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 799); 

                auto tg_yyyzz_xzzzzzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 800); 

                auto tg_yyyzz_yyyyyyyy_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 801); 

                auto tg_yyyzz_yyyyyyyz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 802); 

                auto tg_yyyzz_yyyyyyzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 803); 

                auto tg_yyyzz_yyyyyzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 804); 

                auto tg_yyyzz_yyyyzzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 805); 

                auto tg_yyyzz_yyyzzzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 806); 

                auto tg_yyyzz_yyzzzzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 807); 

                auto tg_yyyzz_yzzzzzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 808); 

                auto tg_yyyzz_zzzzzzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 809); 

                auto tg_yyzzz_xxxxxxxx_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 810); 

                auto tg_yyzzz_xxxxxxxy_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 811); 

                auto tg_yyzzz_xxxxxxxz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 812); 

                auto tg_yyzzz_xxxxxxyy_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 813); 

                auto tg_yyzzz_xxxxxxyz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 814); 

                auto tg_yyzzz_xxxxxxzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 815); 

                auto tg_yyzzz_xxxxxyyy_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 816); 

                auto tg_yyzzz_xxxxxyyz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 817); 

                auto tg_yyzzz_xxxxxyzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 818); 

                auto tg_yyzzz_xxxxxzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 819); 

                auto tg_yyzzz_xxxxyyyy_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 820); 

                auto tg_yyzzz_xxxxyyyz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 821); 

                auto tg_yyzzz_xxxxyyzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 822); 

                auto tg_yyzzz_xxxxyzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 823); 

                auto tg_yyzzz_xxxxzzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 824); 

                auto tg_yyzzz_xxxyyyyy_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 825); 

                auto tg_yyzzz_xxxyyyyz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 826); 

                auto tg_yyzzz_xxxyyyzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 827); 

                auto tg_yyzzz_xxxyyzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 828); 

                auto tg_yyzzz_xxxyzzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 829); 

                auto tg_yyzzz_xxxzzzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 830); 

                auto tg_yyzzz_xxyyyyyy_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 831); 

                auto tg_yyzzz_xxyyyyyz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 832); 

                auto tg_yyzzz_xxyyyyzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 833); 

                auto tg_yyzzz_xxyyyzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 834); 

                auto tg_yyzzz_xxyyzzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 835); 

                auto tg_yyzzz_xxyzzzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 836); 

                auto tg_yyzzz_xxzzzzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 837); 

                auto tg_yyzzz_xyyyyyyy_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 838); 

                auto tg_yyzzz_xyyyyyyz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 839); 

                auto tg_yyzzz_xyyyyyzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 840); 

                auto tg_yyzzz_xyyyyzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 841); 

                auto tg_yyzzz_xyyyzzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 842); 

                auto tg_yyzzz_xyyzzzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 843); 

                auto tg_yyzzz_xyzzzzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 844); 

                auto tg_yyzzz_xzzzzzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 845); 

                auto tg_yyzzz_yyyyyyyy_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 846); 

                auto tg_yyzzz_yyyyyyyz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 847); 

                auto tg_yyzzz_yyyyyyzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 848); 

                auto tg_yyzzz_yyyyyzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 849); 

                auto tg_yyzzz_yyyyzzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 850); 

                auto tg_yyzzz_yyyzzzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 851); 

                auto tg_yyzzz_yyzzzzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 852); 

                auto tg_yyzzz_yzzzzzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 853); 

                auto tg_yyzzz_zzzzzzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 854); 

                auto tg_yzzzz_xxxxxxxx_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 855); 

                auto tg_yzzzz_xxxxxxxy_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 856); 

                auto tg_yzzzz_xxxxxxxz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 857); 

                auto tg_yzzzz_xxxxxxyy_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 858); 

                auto tg_yzzzz_xxxxxxyz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 859); 

                auto tg_yyyzz_xxxxxxxx_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 765); 

                auto tg_yyyzz_xxxxxxxy_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 766); 

                auto tg_yyyzz_xxxxxxxz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 767); 

                auto tg_yyyzz_xxxxxxyy_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 768); 

                auto tg_yyyzz_xxxxxxyz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 769); 

                auto tg_yyyzz_xxxxxxzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 770); 

                auto tg_yyyzz_xxxxxyyy_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 771); 

                auto tg_yyyzz_xxxxxyyz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 772); 

                auto tg_yyyzz_xxxxxyzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 773); 

                auto tg_yyyzz_xxxxxzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 774); 

                auto tg_yyyzz_xxxxyyyy_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 775); 

                auto tg_yyyzz_xxxxyyyz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 776); 

                auto tg_yyyzz_xxxxyyzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 777); 

                auto tg_yyyzz_xxxxyzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 778); 

                auto tg_yyyzz_xxxxzzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 779); 

                auto tg_yyyzz_xxxyyyyy_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 780); 

                auto tg_yyyzz_xxxyyyyz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 781); 

                auto tg_yyyzz_xxxyyyzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 782); 

                auto tg_yyyzz_xxxyyzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 783); 

                auto tg_yyyzz_xxxyzzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 784); 

                auto tg_yyyzz_xxxzzzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 785); 

                auto tg_yyyzz_xxyyyyyy_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 786); 

                auto tg_yyyzz_xxyyyyyz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 787); 

                auto tg_yyyzz_xxyyyyzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 788); 

                auto tg_yyyzz_xxyyyzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 789); 

                auto tg_yyyzz_xxyyzzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 790); 

                auto tg_yyyzz_xxyzzzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 791); 

                auto tg_yyyzz_xxzzzzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 792); 

                auto tg_yyyzz_xyyyyyyy_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 793); 

                auto tg_yyyzz_xyyyyyyz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 794); 

                auto tg_yyyzz_xyyyyyzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 795); 

                auto tg_yyyzz_xyyyyzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 796); 

                auto tg_yyyzz_xyyyzzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 797); 

                auto tg_yyyzz_xyyzzzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 798); 

                auto tg_yyyzz_xyzzzzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 799); 

                auto tg_yyyzz_xzzzzzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 800); 

                auto tg_yyyzz_yyyyyyyy_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 801); 

                auto tg_yyyzz_yyyyyyyz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 802); 

                auto tg_yyyzz_yyyyyyzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 803); 

                auto tg_yyyzz_yyyyyzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 804); 

                auto tg_yyyzz_yyyyzzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 805); 

                auto tg_yyyzz_yyyzzzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 806); 

                auto tg_yyyzz_yyzzzzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 807); 

                auto tg_yyyzz_yzzzzzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 808); 

                auto tg_yyyzz_zzzzzzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 809); 

                auto tg_yyzzz_xxxxxxxx_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 810); 

                auto tg_yyzzz_xxxxxxxy_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 811); 

                auto tg_yyzzz_xxxxxxxz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 812); 

                auto tg_yyzzz_xxxxxxyy_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 813); 

                auto tg_yyzzz_xxxxxxyz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 814); 

                auto tg_yyzzz_xxxxxxzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 815); 

                auto tg_yyzzz_xxxxxyyy_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 816); 

                auto tg_yyzzz_xxxxxyyz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 817); 

                auto tg_yyzzz_xxxxxyzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 818); 

                auto tg_yyzzz_xxxxxzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 819); 

                auto tg_yyzzz_xxxxyyyy_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 820); 

                auto tg_yyzzz_xxxxyyyz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 821); 

                auto tg_yyzzz_xxxxyyzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 822); 

                auto tg_yyzzz_xxxxyzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 823); 

                auto tg_yyzzz_xxxxzzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 824); 

                auto tg_yyzzz_xxxyyyyy_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 825); 

                auto tg_yyzzz_xxxyyyyz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 826); 

                auto tg_yyzzz_xxxyyyzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 827); 

                auto tg_yyzzz_xxxyyzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 828); 

                auto tg_yyzzz_xxxyzzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 829); 

                auto tg_yyzzz_xxxzzzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 830); 

                auto tg_yyzzz_xxyyyyyy_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 831); 

                auto tg_yyzzz_xxyyyyyz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 832); 

                auto tg_yyzzz_xxyyyyzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 833); 

                auto tg_yyzzz_xxyyyzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 834); 

                auto tg_yyzzz_xxyyzzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 835); 

                auto tg_yyzzz_xxyzzzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 836); 

                auto tg_yyzzz_xxzzzzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 837); 

                auto tg_yyzzz_xyyyyyyy_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 838); 

                auto tg_yyzzz_xyyyyyyz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 839); 

                auto tg_yyzzz_xyyyyyzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 840); 

                auto tg_yyzzz_xyyyyzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 841); 

                auto tg_yyzzz_xyyyzzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 842); 

                auto tg_yyzzz_xyyzzzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 843); 

                auto tg_yyzzz_xyzzzzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 844); 

                auto tg_yyzzz_xzzzzzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 845); 

                auto tg_yyzzz_yyyyyyyy_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 846); 

                auto tg_yyzzz_yyyyyyyz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 847); 

                auto tg_yyzzz_yyyyyyzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 848); 

                auto tg_yyzzz_yyyyyzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 849); 

                auto tg_yyzzz_yyyyzzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 850); 

                auto tg_yyzzz_yyyzzzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 851); 

                auto tg_yyzzz_yyzzzzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 852); 

                auto tg_yyzzz_yzzzzzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 853); 

                auto tg_yyzzz_zzzzzzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 854); 

                auto tg_yzzzz_xxxxxxxx_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 855); 

                auto tg_yzzzz_xxxxxxxy_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 856); 

                auto tg_yzzzz_xxxxxxxz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 857); 

                auto tg_yzzzz_xxxxxxyy_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 858); 

                auto tg_yzzzz_xxxxxxyz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 859); 

                auto tg_xyyyzz_xxxxxxx_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 612); 

                auto tg_xyyyzz_xxxxxxy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 613); 

                auto tg_xyyyzz_xxxxxxz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 614); 

                auto tg_xyyyzz_xxxxxyy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 615); 

                auto tg_xyyyzz_xxxxxyz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 616); 

                auto tg_xyyyzz_xxxxxzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 617); 

                auto tg_xyyyzz_xxxxyyy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 618); 

                auto tg_xyyyzz_xxxxyyz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 619); 

                auto tg_xyyyzz_xxxxyzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 620); 

                auto tg_xyyyzz_xxxxzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 621); 

                auto tg_xyyyzz_xxxyyyy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 622); 

                auto tg_xyyyzz_xxxyyyz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 623); 

                auto tg_xyyyzz_xxxyyzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 624); 

                auto tg_xyyyzz_xxxyzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 625); 

                auto tg_xyyyzz_xxxzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 626); 

                auto tg_xyyyzz_xxyyyyy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 627); 

                auto tg_xyyyzz_xxyyyyz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 628); 

                auto tg_xyyyzz_xxyyyzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 629); 

                auto tg_xyyyzz_xxyyzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 630); 

                auto tg_xyyyzz_xxyzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 631); 

                auto tg_xyyyzz_xxzzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 632); 

                auto tg_xyyyzz_xyyyyyy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 633); 

                auto tg_xyyyzz_xyyyyyz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 634); 

                auto tg_xyyyzz_xyyyyzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 635); 

                auto tg_xyyyzz_xyyyzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 636); 

                auto tg_xyyyzz_xyyzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 637); 

                auto tg_xyyyzz_xyzzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 638); 

                auto tg_xyyyzz_xzzzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 639); 

                auto tg_xyyyzz_yyyyyyy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 640); 

                auto tg_xyyyzz_yyyyyyz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 641); 

                auto tg_xyyyzz_yyyyyzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 642); 

                auto tg_xyyyzz_yyyyzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 643); 

                auto tg_xyyyzz_yyyzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 644); 

                auto tg_xyyyzz_yyzzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 645); 

                auto tg_xyyyzz_yzzzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 646); 

                auto tg_xyyyzz_zzzzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 647); 

                auto tg_xyyzzz_xxxxxxx_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 648); 

                auto tg_xyyzzz_xxxxxxy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 649); 

                auto tg_xyyzzz_xxxxxxz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 650); 

                auto tg_xyyzzz_xxxxxyy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 651); 

                auto tg_xyyzzz_xxxxxyz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 652); 

                auto tg_xyyzzz_xxxxxzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 653); 

                auto tg_xyyzzz_xxxxyyy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 654); 

                auto tg_xyyzzz_xxxxyyz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 655); 

                auto tg_xyyzzz_xxxxyzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 656); 

                auto tg_xyyzzz_xxxxzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 657); 

                auto tg_xyyzzz_xxxyyyy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 658); 

                auto tg_xyyzzz_xxxyyyz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 659); 

                auto tg_xyyzzz_xxxyyzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 660); 

                auto tg_xyyzzz_xxxyzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 661); 

                auto tg_xyyzzz_xxxzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 662); 

                auto tg_xyyzzz_xxyyyyy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 663); 

                auto tg_xyyzzz_xxyyyyz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 664); 

                auto tg_xyyzzz_xxyyyzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 665); 

                auto tg_xyyzzz_xxyyzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 666); 

                auto tg_xyyzzz_xxyzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 667); 

                auto tg_xyyzzz_xxzzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 668); 

                auto tg_xyyzzz_xyyyyyy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 669); 

                auto tg_xyyzzz_xyyyyyz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 670); 

                auto tg_xyyzzz_xyyyyzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 671); 

                auto tg_xyyzzz_xyyyzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 672); 

                auto tg_xyyzzz_xyyzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 673); 

                auto tg_xyyzzz_xyzzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 674); 

                auto tg_xyyzzz_xzzzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 675); 

                auto tg_xyyzzz_yyyyyyy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 676); 

                auto tg_xyyzzz_yyyyyyz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 677); 

                auto tg_xyyzzz_yyyyyzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 678); 

                auto tg_xyyzzz_yyyyzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 679); 

                auto tg_xyyzzz_yyyzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 680); 

                auto tg_xyyzzz_yyzzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 681); 

                auto tg_xyyzzz_yzzzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 682); 

                auto tg_xyyzzz_zzzzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 683); 

                auto tg_xyzzzz_xxxxxxx_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 684); 

                auto tg_xyzzzz_xxxxxxy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 685); 

                auto tg_xyzzzz_xxxxxxz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 686); 

                auto tg_xyzzzz_xxxxxyy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 687); 

                auto tg_xyzzzz_xxxxxyz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 688); 

                // set up pointers to integrals

                auto tg_xxyyyzz_xxxxxxxx_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 765); 

                auto tg_xxyyyzz_xxxxxxxy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 766); 

                auto tg_xxyyyzz_xxxxxxxz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 767); 

                auto tg_xxyyyzz_xxxxxxyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 768); 

                auto tg_xxyyyzz_xxxxxxyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 769); 

                auto tg_xxyyyzz_xxxxxxzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 770); 

                auto tg_xxyyyzz_xxxxxyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 771); 

                auto tg_xxyyyzz_xxxxxyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 772); 

                auto tg_xxyyyzz_xxxxxyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 773); 

                auto tg_xxyyyzz_xxxxxzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 774); 

                auto tg_xxyyyzz_xxxxyyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 775); 

                auto tg_xxyyyzz_xxxxyyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 776); 

                auto tg_xxyyyzz_xxxxyyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 777); 

                auto tg_xxyyyzz_xxxxyzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 778); 

                auto tg_xxyyyzz_xxxxzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 779); 

                auto tg_xxyyyzz_xxxyyyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 780); 

                auto tg_xxyyyzz_xxxyyyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 781); 

                auto tg_xxyyyzz_xxxyyyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 782); 

                auto tg_xxyyyzz_xxxyyzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 783); 

                auto tg_xxyyyzz_xxxyzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 784); 

                auto tg_xxyyyzz_xxxzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 785); 

                auto tg_xxyyyzz_xxyyyyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 786); 

                auto tg_xxyyyzz_xxyyyyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 787); 

                auto tg_xxyyyzz_xxyyyyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 788); 

                auto tg_xxyyyzz_xxyyyzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 789); 

                auto tg_xxyyyzz_xxyyzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 790); 

                auto tg_xxyyyzz_xxyzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 791); 

                auto tg_xxyyyzz_xxzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 792); 

                auto tg_xxyyyzz_xyyyyyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 793); 

                auto tg_xxyyyzz_xyyyyyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 794); 

                auto tg_xxyyyzz_xyyyyyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 795); 

                auto tg_xxyyyzz_xyyyyzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 796); 

                auto tg_xxyyyzz_xyyyzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 797); 

                auto tg_xxyyyzz_xyyzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 798); 

                auto tg_xxyyyzz_xyzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 799); 

                auto tg_xxyyyzz_xzzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 800); 

                auto tg_xxyyyzz_yyyyyyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 801); 

                auto tg_xxyyyzz_yyyyyyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 802); 

                auto tg_xxyyyzz_yyyyyyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 803); 

                auto tg_xxyyyzz_yyyyyzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 804); 

                auto tg_xxyyyzz_yyyyzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 805); 

                auto tg_xxyyyzz_yyyzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 806); 

                auto tg_xxyyyzz_yyzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 807); 

                auto tg_xxyyyzz_yzzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 808); 

                auto tg_xxyyyzz_zzzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 809); 

                auto tg_xxyyzzz_xxxxxxxx_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 810); 

                auto tg_xxyyzzz_xxxxxxxy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 811); 

                auto tg_xxyyzzz_xxxxxxxz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 812); 

                auto tg_xxyyzzz_xxxxxxyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 813); 

                auto tg_xxyyzzz_xxxxxxyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 814); 

                auto tg_xxyyzzz_xxxxxxzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 815); 

                auto tg_xxyyzzz_xxxxxyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 816); 

                auto tg_xxyyzzz_xxxxxyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 817); 

                auto tg_xxyyzzz_xxxxxyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 818); 

                auto tg_xxyyzzz_xxxxxzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 819); 

                auto tg_xxyyzzz_xxxxyyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 820); 

                auto tg_xxyyzzz_xxxxyyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 821); 

                auto tg_xxyyzzz_xxxxyyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 822); 

                auto tg_xxyyzzz_xxxxyzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 823); 

                auto tg_xxyyzzz_xxxxzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 824); 

                auto tg_xxyyzzz_xxxyyyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 825); 

                auto tg_xxyyzzz_xxxyyyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 826); 

                auto tg_xxyyzzz_xxxyyyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 827); 

                auto tg_xxyyzzz_xxxyyzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 828); 

                auto tg_xxyyzzz_xxxyzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 829); 

                auto tg_xxyyzzz_xxxzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 830); 

                auto tg_xxyyzzz_xxyyyyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 831); 

                auto tg_xxyyzzz_xxyyyyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 832); 

                auto tg_xxyyzzz_xxyyyyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 833); 

                auto tg_xxyyzzz_xxyyyzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 834); 

                auto tg_xxyyzzz_xxyyzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 835); 

                auto tg_xxyyzzz_xxyzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 836); 

                auto tg_xxyyzzz_xxzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 837); 

                auto tg_xxyyzzz_xyyyyyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 838); 

                auto tg_xxyyzzz_xyyyyyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 839); 

                auto tg_xxyyzzz_xyyyyyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 840); 

                auto tg_xxyyzzz_xyyyyzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 841); 

                auto tg_xxyyzzz_xyyyzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 842); 

                auto tg_xxyyzzz_xyyzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 843); 

                auto tg_xxyyzzz_xyzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 844); 

                auto tg_xxyyzzz_xzzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 845); 

                auto tg_xxyyzzz_yyyyyyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 846); 

                auto tg_xxyyzzz_yyyyyyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 847); 

                auto tg_xxyyzzz_yyyyyyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 848); 

                auto tg_xxyyzzz_yyyyyzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 849); 

                auto tg_xxyyzzz_yyyyzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 850); 

                auto tg_xxyyzzz_yyyzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 851); 

                auto tg_xxyyzzz_yyzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 852); 

                auto tg_xxyyzzz_yzzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 853); 

                auto tg_xxyyzzz_zzzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 854); 

                auto tg_xxyzzzz_xxxxxxxx_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 855); 

                auto tg_xxyzzzz_xxxxxxxy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 856); 

                auto tg_xxyzzzz_xxxxxxxz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 857); 

                auto tg_xxyzzzz_xxxxxxyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 858); 

                auto tg_xxyzzzz_xxxxxxyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 859); 

                // Batch of Integrals (765,860)

                #pragma omp simd aligned(fxn, fza, tg_xxyyyzz_xxxxxxxx_0, tg_xxyyyzz_xxxxxxxy_0, \
                                         tg_xxyyyzz_xxxxxxxz_0, tg_xxyyyzz_xxxxxxyy_0, tg_xxyyyzz_xxxxxxyz_0, \
                                         tg_xxyyyzz_xxxxxxzz_0, tg_xxyyyzz_xxxxxyyy_0, tg_xxyyyzz_xxxxxyyz_0, \
                                         tg_xxyyyzz_xxxxxyzz_0, tg_xxyyyzz_xxxxxzzz_0, tg_xxyyyzz_xxxxyyyy_0, \
                                         tg_xxyyyzz_xxxxyyyz_0, tg_xxyyyzz_xxxxyyzz_0, tg_xxyyyzz_xxxxyzzz_0, \
                                         tg_xxyyyzz_xxxxzzzz_0, tg_xxyyyzz_xxxyyyyy_0, tg_xxyyyzz_xxxyyyyz_0, \
                                         tg_xxyyyzz_xxxyyyzz_0, tg_xxyyyzz_xxxyyzzz_0, tg_xxyyyzz_xxxyzzzz_0, \
                                         tg_xxyyyzz_xxxzzzzz_0, tg_xxyyyzz_xxyyyyyy_0, tg_xxyyyzz_xxyyyyyz_0, \
                                         tg_xxyyyzz_xxyyyyzz_0, tg_xxyyyzz_xxyyyzzz_0, tg_xxyyyzz_xxyyzzzz_0, \
                                         tg_xxyyyzz_xxyzzzzz_0, tg_xxyyyzz_xxzzzzzz_0, tg_xxyyyzz_xyyyyyyy_0, \
                                         tg_xxyyyzz_xyyyyyyz_0, tg_xxyyyzz_xyyyyyzz_0, tg_xxyyyzz_xyyyyzzz_0, \
                                         tg_xxyyyzz_xyyyzzzz_0, tg_xxyyyzz_xyyzzzzz_0, tg_xxyyyzz_xyzzzzzz_0, \
                                         tg_xxyyyzz_xzzzzzzz_0, tg_xxyyyzz_yyyyyyyy_0, tg_xxyyyzz_yyyyyyyz_0, \
                                         tg_xxyyyzz_yyyyyyzz_0, tg_xxyyyzz_yyyyyzzz_0, tg_xxyyyzz_yyyyzzzz_0, \
                                         tg_xxyyyzz_yyyzzzzz_0, tg_xxyyyzz_yyzzzzzz_0, tg_xxyyyzz_yzzzzzzz_0, \
                                         tg_xxyyyzz_zzzzzzzz_0, tg_xxyyzzz_xxxxxxxx_0, tg_xxyyzzz_xxxxxxxy_0, \
                                         tg_xxyyzzz_xxxxxxxz_0, tg_xxyyzzz_xxxxxxyy_0, tg_xxyyzzz_xxxxxxyz_0, \
                                         tg_xxyyzzz_xxxxxxzz_0, tg_xxyyzzz_xxxxxyyy_0, tg_xxyyzzz_xxxxxyyz_0, \
                                         tg_xxyyzzz_xxxxxyzz_0, tg_xxyyzzz_xxxxxzzz_0, tg_xxyyzzz_xxxxyyyy_0, \
                                         tg_xxyyzzz_xxxxyyyz_0, tg_xxyyzzz_xxxxyyzz_0, tg_xxyyzzz_xxxxyzzz_0, \
                                         tg_xxyyzzz_xxxxzzzz_0, tg_xxyyzzz_xxxyyyyy_0, tg_xxyyzzz_xxxyyyyz_0, \
                                         tg_xxyyzzz_xxxyyyzz_0, tg_xxyyzzz_xxxyyzzz_0, tg_xxyyzzz_xxxyzzzz_0, \
                                         tg_xxyyzzz_xxxzzzzz_0, tg_xxyyzzz_xxyyyyyy_0, tg_xxyyzzz_xxyyyyyz_0, \
                                         tg_xxyyzzz_xxyyyyzz_0, tg_xxyyzzz_xxyyyzzz_0, tg_xxyyzzz_xxyyzzzz_0, \
                                         tg_xxyyzzz_xxyzzzzz_0, tg_xxyyzzz_xxzzzzzz_0, tg_xxyyzzz_xyyyyyyy_0, \
                                         tg_xxyyzzz_xyyyyyyz_0, tg_xxyyzzz_xyyyyyzz_0, tg_xxyyzzz_xyyyyzzz_0, \
                                         tg_xxyyzzz_xyyyzzzz_0, tg_xxyyzzz_xyyzzzzz_0, tg_xxyyzzz_xyzzzzzz_0, \
                                         tg_xxyyzzz_xzzzzzzz_0, tg_xxyyzzz_yyyyyyyy_0, tg_xxyyzzz_yyyyyyyz_0, \
                                         tg_xxyyzzz_yyyyyyzz_0, tg_xxyyzzz_yyyyyzzz_0, tg_xxyyzzz_yyyyzzzz_0, \
                                         tg_xxyyzzz_yyyzzzzz_0, tg_xxyyzzz_yyzzzzzz_0, tg_xxyyzzz_yzzzzzzz_0, \
                                         tg_xxyyzzz_zzzzzzzz_0, tg_xxyzzzz_xxxxxxxx_0, tg_xxyzzzz_xxxxxxxy_0, \
                                         tg_xxyzzzz_xxxxxxxz_0, tg_xxyzzzz_xxxxxxyy_0, tg_xxyzzzz_xxxxxxyz_0, \
                                         tg_xyyyzz_xxxxxxx_1, tg_xyyyzz_xxxxxxxx_0, tg_xyyyzz_xxxxxxxx_1, tg_xyyyzz_xxxxxxxy_0, \
                                         tg_xyyyzz_xxxxxxxy_1, tg_xyyyzz_xxxxxxxz_0, tg_xyyyzz_xxxxxxxz_1, tg_xyyyzz_xxxxxxy_1, \
                                         tg_xyyyzz_xxxxxxyy_0, tg_xyyyzz_xxxxxxyy_1, tg_xyyyzz_xxxxxxyz_0, tg_xyyyzz_xxxxxxyz_1, \
                                         tg_xyyyzz_xxxxxxz_1, tg_xyyyzz_xxxxxxzz_0, tg_xyyyzz_xxxxxxzz_1, tg_xyyyzz_xxxxxyy_1, \
                                         tg_xyyyzz_xxxxxyyy_0, tg_xyyyzz_xxxxxyyy_1, tg_xyyyzz_xxxxxyyz_0, tg_xyyyzz_xxxxxyyz_1, \
                                         tg_xyyyzz_xxxxxyz_1, tg_xyyyzz_xxxxxyzz_0, tg_xyyyzz_xxxxxyzz_1, tg_xyyyzz_xxxxxzz_1, \
                                         tg_xyyyzz_xxxxxzzz_0, tg_xyyyzz_xxxxxzzz_1, tg_xyyyzz_xxxxyyy_1, tg_xyyyzz_xxxxyyyy_0, \
                                         tg_xyyyzz_xxxxyyyy_1, tg_xyyyzz_xxxxyyyz_0, tg_xyyyzz_xxxxyyyz_1, tg_xyyyzz_xxxxyyz_1, \
                                         tg_xyyyzz_xxxxyyzz_0, tg_xyyyzz_xxxxyyzz_1, tg_xyyyzz_xxxxyzz_1, tg_xyyyzz_xxxxyzzz_0, \
                                         tg_xyyyzz_xxxxyzzz_1, tg_xyyyzz_xxxxzzz_1, tg_xyyyzz_xxxxzzzz_0, tg_xyyyzz_xxxxzzzz_1, \
                                         tg_xyyyzz_xxxyyyy_1, tg_xyyyzz_xxxyyyyy_0, tg_xyyyzz_xxxyyyyy_1, tg_xyyyzz_xxxyyyyz_0, \
                                         tg_xyyyzz_xxxyyyyz_1, tg_xyyyzz_xxxyyyz_1, tg_xyyyzz_xxxyyyzz_0, tg_xyyyzz_xxxyyyzz_1, \
                                         tg_xyyyzz_xxxyyzz_1, tg_xyyyzz_xxxyyzzz_0, tg_xyyyzz_xxxyyzzz_1, tg_xyyyzz_xxxyzzz_1, \
                                         tg_xyyyzz_xxxyzzzz_0, tg_xyyyzz_xxxyzzzz_1, tg_xyyyzz_xxxzzzz_1, tg_xyyyzz_xxxzzzzz_0, \
                                         tg_xyyyzz_xxxzzzzz_1, tg_xyyyzz_xxyyyyy_1, tg_xyyyzz_xxyyyyyy_0, tg_xyyyzz_xxyyyyyy_1, \
                                         tg_xyyyzz_xxyyyyyz_0, tg_xyyyzz_xxyyyyyz_1, tg_xyyyzz_xxyyyyz_1, tg_xyyyzz_xxyyyyzz_0, \
                                         tg_xyyyzz_xxyyyyzz_1, tg_xyyyzz_xxyyyzz_1, tg_xyyyzz_xxyyyzzz_0, tg_xyyyzz_xxyyyzzz_1, \
                                         tg_xyyyzz_xxyyzzz_1, tg_xyyyzz_xxyyzzzz_0, tg_xyyyzz_xxyyzzzz_1, tg_xyyyzz_xxyzzzz_1, \
                                         tg_xyyyzz_xxyzzzzz_0, tg_xyyyzz_xxyzzzzz_1, tg_xyyyzz_xxzzzzz_1, tg_xyyyzz_xxzzzzzz_0, \
                                         tg_xyyyzz_xxzzzzzz_1, tg_xyyyzz_xyyyyyy_1, tg_xyyyzz_xyyyyyyy_0, tg_xyyyzz_xyyyyyyy_1, \
                                         tg_xyyyzz_xyyyyyyz_0, tg_xyyyzz_xyyyyyyz_1, tg_xyyyzz_xyyyyyz_1, tg_xyyyzz_xyyyyyzz_0, \
                                         tg_xyyyzz_xyyyyyzz_1, tg_xyyyzz_xyyyyzz_1, tg_xyyyzz_xyyyyzzz_0, tg_xyyyzz_xyyyyzzz_1, \
                                         tg_xyyyzz_xyyyzzz_1, tg_xyyyzz_xyyyzzzz_0, tg_xyyyzz_xyyyzzzz_1, tg_xyyyzz_xyyzzzz_1, \
                                         tg_xyyyzz_xyyzzzzz_0, tg_xyyyzz_xyyzzzzz_1, tg_xyyyzz_xyzzzzz_1, tg_xyyyzz_xyzzzzzz_0, \
                                         tg_xyyyzz_xyzzzzzz_1, tg_xyyyzz_xzzzzzz_1, tg_xyyyzz_xzzzzzzz_0, tg_xyyyzz_xzzzzzzz_1, \
                                         tg_xyyyzz_yyyyyyy_1, tg_xyyyzz_yyyyyyyy_0, tg_xyyyzz_yyyyyyyy_1, tg_xyyyzz_yyyyyyyz_0, \
                                         tg_xyyyzz_yyyyyyyz_1, tg_xyyyzz_yyyyyyz_1, tg_xyyyzz_yyyyyyzz_0, tg_xyyyzz_yyyyyyzz_1, \
                                         tg_xyyyzz_yyyyyzz_1, tg_xyyyzz_yyyyyzzz_0, tg_xyyyzz_yyyyyzzz_1, tg_xyyyzz_yyyyzzz_1, \
                                         tg_xyyyzz_yyyyzzzz_0, tg_xyyyzz_yyyyzzzz_1, tg_xyyyzz_yyyzzzz_1, tg_xyyyzz_yyyzzzzz_0, \
                                         tg_xyyyzz_yyyzzzzz_1, tg_xyyyzz_yyzzzzz_1, tg_xyyyzz_yyzzzzzz_0, tg_xyyyzz_yyzzzzzz_1, \
                                         tg_xyyyzz_yzzzzzz_1, tg_xyyyzz_yzzzzzzz_0, tg_xyyyzz_yzzzzzzz_1, tg_xyyyzz_zzzzzzz_1, \
                                         tg_xyyyzz_zzzzzzzz_0, tg_xyyyzz_zzzzzzzz_1, tg_xyyzzz_xxxxxxx_1, tg_xyyzzz_xxxxxxxx_0, \
                                         tg_xyyzzz_xxxxxxxx_1, tg_xyyzzz_xxxxxxxy_0, tg_xyyzzz_xxxxxxxy_1, tg_xyyzzz_xxxxxxxz_0, \
                                         tg_xyyzzz_xxxxxxxz_1, tg_xyyzzz_xxxxxxy_1, tg_xyyzzz_xxxxxxyy_0, tg_xyyzzz_xxxxxxyy_1, \
                                         tg_xyyzzz_xxxxxxyz_0, tg_xyyzzz_xxxxxxyz_1, tg_xyyzzz_xxxxxxz_1, tg_xyyzzz_xxxxxxzz_0, \
                                         tg_xyyzzz_xxxxxxzz_1, tg_xyyzzz_xxxxxyy_1, tg_xyyzzz_xxxxxyyy_0, tg_xyyzzz_xxxxxyyy_1, \
                                         tg_xyyzzz_xxxxxyyz_0, tg_xyyzzz_xxxxxyyz_1, tg_xyyzzz_xxxxxyz_1, tg_xyyzzz_xxxxxyzz_0, \
                                         tg_xyyzzz_xxxxxyzz_1, tg_xyyzzz_xxxxxzz_1, tg_xyyzzz_xxxxxzzz_0, tg_xyyzzz_xxxxxzzz_1, \
                                         tg_xyyzzz_xxxxyyy_1, tg_xyyzzz_xxxxyyyy_0, tg_xyyzzz_xxxxyyyy_1, tg_xyyzzz_xxxxyyyz_0, \
                                         tg_xyyzzz_xxxxyyyz_1, tg_xyyzzz_xxxxyyz_1, tg_xyyzzz_xxxxyyzz_0, tg_xyyzzz_xxxxyyzz_1, \
                                         tg_xyyzzz_xxxxyzz_1, tg_xyyzzz_xxxxyzzz_0, tg_xyyzzz_xxxxyzzz_1, tg_xyyzzz_xxxxzzz_1, \
                                         tg_xyyzzz_xxxxzzzz_0, tg_xyyzzz_xxxxzzzz_1, tg_xyyzzz_xxxyyyy_1, tg_xyyzzz_xxxyyyyy_0, \
                                         tg_xyyzzz_xxxyyyyy_1, tg_xyyzzz_xxxyyyyz_0, tg_xyyzzz_xxxyyyyz_1, tg_xyyzzz_xxxyyyz_1, \
                                         tg_xyyzzz_xxxyyyzz_0, tg_xyyzzz_xxxyyyzz_1, tg_xyyzzz_xxxyyzz_1, tg_xyyzzz_xxxyyzzz_0, \
                                         tg_xyyzzz_xxxyyzzz_1, tg_xyyzzz_xxxyzzz_1, tg_xyyzzz_xxxyzzzz_0, tg_xyyzzz_xxxyzzzz_1, \
                                         tg_xyyzzz_xxxzzzz_1, tg_xyyzzz_xxxzzzzz_0, tg_xyyzzz_xxxzzzzz_1, tg_xyyzzz_xxyyyyy_1, \
                                         tg_xyyzzz_xxyyyyyy_0, tg_xyyzzz_xxyyyyyy_1, tg_xyyzzz_xxyyyyyz_0, tg_xyyzzz_xxyyyyyz_1, \
                                         tg_xyyzzz_xxyyyyz_1, tg_xyyzzz_xxyyyyzz_0, tg_xyyzzz_xxyyyyzz_1, tg_xyyzzz_xxyyyzz_1, \
                                         tg_xyyzzz_xxyyyzzz_0, tg_xyyzzz_xxyyyzzz_1, tg_xyyzzz_xxyyzzz_1, tg_xyyzzz_xxyyzzzz_0, \
                                         tg_xyyzzz_xxyyzzzz_1, tg_xyyzzz_xxyzzzz_1, tg_xyyzzz_xxyzzzzz_0, tg_xyyzzz_xxyzzzzz_1, \
                                         tg_xyyzzz_xxzzzzz_1, tg_xyyzzz_xxzzzzzz_0, tg_xyyzzz_xxzzzzzz_1, tg_xyyzzz_xyyyyyy_1, \
                                         tg_xyyzzz_xyyyyyyy_0, tg_xyyzzz_xyyyyyyy_1, tg_xyyzzz_xyyyyyyz_0, tg_xyyzzz_xyyyyyyz_1, \
                                         tg_xyyzzz_xyyyyyz_1, tg_xyyzzz_xyyyyyzz_0, tg_xyyzzz_xyyyyyzz_1, tg_xyyzzz_xyyyyzz_1, \
                                         tg_xyyzzz_xyyyyzzz_0, tg_xyyzzz_xyyyyzzz_1, tg_xyyzzz_xyyyzzz_1, tg_xyyzzz_xyyyzzzz_0, \
                                         tg_xyyzzz_xyyyzzzz_1, tg_xyyzzz_xyyzzzz_1, tg_xyyzzz_xyyzzzzz_0, tg_xyyzzz_xyyzzzzz_1, \
                                         tg_xyyzzz_xyzzzzz_1, tg_xyyzzz_xyzzzzzz_0, tg_xyyzzz_xyzzzzzz_1, tg_xyyzzz_xzzzzzz_1, \
                                         tg_xyyzzz_xzzzzzzz_0, tg_xyyzzz_xzzzzzzz_1, tg_xyyzzz_yyyyyyy_1, tg_xyyzzz_yyyyyyyy_0, \
                                         tg_xyyzzz_yyyyyyyy_1, tg_xyyzzz_yyyyyyyz_0, tg_xyyzzz_yyyyyyyz_1, tg_xyyzzz_yyyyyyz_1, \
                                         tg_xyyzzz_yyyyyyzz_0, tg_xyyzzz_yyyyyyzz_1, tg_xyyzzz_yyyyyzz_1, tg_xyyzzz_yyyyyzzz_0, \
                                         tg_xyyzzz_yyyyyzzz_1, tg_xyyzzz_yyyyzzz_1, tg_xyyzzz_yyyyzzzz_0, tg_xyyzzz_yyyyzzzz_1, \
                                         tg_xyyzzz_yyyzzzz_1, tg_xyyzzz_yyyzzzzz_0, tg_xyyzzz_yyyzzzzz_1, tg_xyyzzz_yyzzzzz_1, \
                                         tg_xyyzzz_yyzzzzzz_0, tg_xyyzzz_yyzzzzzz_1, tg_xyyzzz_yzzzzzz_1, tg_xyyzzz_yzzzzzzz_0, \
                                         tg_xyyzzz_yzzzzzzz_1, tg_xyyzzz_zzzzzzz_1, tg_xyyzzz_zzzzzzzz_0, tg_xyyzzz_zzzzzzzz_1, \
                                         tg_xyzzzz_xxxxxxx_1, tg_xyzzzz_xxxxxxxx_0, tg_xyzzzz_xxxxxxxx_1, tg_xyzzzz_xxxxxxxy_0, \
                                         tg_xyzzzz_xxxxxxxy_1, tg_xyzzzz_xxxxxxxz_0, tg_xyzzzz_xxxxxxxz_1, tg_xyzzzz_xxxxxxy_1, \
                                         tg_xyzzzz_xxxxxxyy_0, tg_xyzzzz_xxxxxxyy_1, tg_xyzzzz_xxxxxxyz_0, tg_xyzzzz_xxxxxxyz_1, \
                                         tg_xyzzzz_xxxxxxz_1, tg_xyzzzz_xxxxxyy_1, tg_xyzzzz_xxxxxyz_1, tg_yyyzz_xxxxxxxx_0, \
                                         tg_yyyzz_xxxxxxxx_1, tg_yyyzz_xxxxxxxy_0, tg_yyyzz_xxxxxxxy_1, tg_yyyzz_xxxxxxxz_0, \
                                         tg_yyyzz_xxxxxxxz_1, tg_yyyzz_xxxxxxyy_0, tg_yyyzz_xxxxxxyy_1, tg_yyyzz_xxxxxxyz_0, \
                                         tg_yyyzz_xxxxxxyz_1, tg_yyyzz_xxxxxxzz_0, tg_yyyzz_xxxxxxzz_1, tg_yyyzz_xxxxxyyy_0, \
                                         tg_yyyzz_xxxxxyyy_1, tg_yyyzz_xxxxxyyz_0, tg_yyyzz_xxxxxyyz_1, tg_yyyzz_xxxxxyzz_0, \
                                         tg_yyyzz_xxxxxyzz_1, tg_yyyzz_xxxxxzzz_0, tg_yyyzz_xxxxxzzz_1, tg_yyyzz_xxxxyyyy_0, \
                                         tg_yyyzz_xxxxyyyy_1, tg_yyyzz_xxxxyyyz_0, tg_yyyzz_xxxxyyyz_1, tg_yyyzz_xxxxyyzz_0, \
                                         tg_yyyzz_xxxxyyzz_1, tg_yyyzz_xxxxyzzz_0, tg_yyyzz_xxxxyzzz_1, tg_yyyzz_xxxxzzzz_0, \
                                         tg_yyyzz_xxxxzzzz_1, tg_yyyzz_xxxyyyyy_0, tg_yyyzz_xxxyyyyy_1, tg_yyyzz_xxxyyyyz_0, \
                                         tg_yyyzz_xxxyyyyz_1, tg_yyyzz_xxxyyyzz_0, tg_yyyzz_xxxyyyzz_1, tg_yyyzz_xxxyyzzz_0, \
                                         tg_yyyzz_xxxyyzzz_1, tg_yyyzz_xxxyzzzz_0, tg_yyyzz_xxxyzzzz_1, tg_yyyzz_xxxzzzzz_0, \
                                         tg_yyyzz_xxxzzzzz_1, tg_yyyzz_xxyyyyyy_0, tg_yyyzz_xxyyyyyy_1, tg_yyyzz_xxyyyyyz_0, \
                                         tg_yyyzz_xxyyyyyz_1, tg_yyyzz_xxyyyyzz_0, tg_yyyzz_xxyyyyzz_1, tg_yyyzz_xxyyyzzz_0, \
                                         tg_yyyzz_xxyyyzzz_1, tg_yyyzz_xxyyzzzz_0, tg_yyyzz_xxyyzzzz_1, tg_yyyzz_xxyzzzzz_0, \
                                         tg_yyyzz_xxyzzzzz_1, tg_yyyzz_xxzzzzzz_0, tg_yyyzz_xxzzzzzz_1, tg_yyyzz_xyyyyyyy_0, \
                                         tg_yyyzz_xyyyyyyy_1, tg_yyyzz_xyyyyyyz_0, tg_yyyzz_xyyyyyyz_1, tg_yyyzz_xyyyyyzz_0, \
                                         tg_yyyzz_xyyyyyzz_1, tg_yyyzz_xyyyyzzz_0, tg_yyyzz_xyyyyzzz_1, tg_yyyzz_xyyyzzzz_0, \
                                         tg_yyyzz_xyyyzzzz_1, tg_yyyzz_xyyzzzzz_0, tg_yyyzz_xyyzzzzz_1, tg_yyyzz_xyzzzzzz_0, \
                                         tg_yyyzz_xyzzzzzz_1, tg_yyyzz_xzzzzzzz_0, tg_yyyzz_xzzzzzzz_1, tg_yyyzz_yyyyyyyy_0, \
                                         tg_yyyzz_yyyyyyyy_1, tg_yyyzz_yyyyyyyz_0, tg_yyyzz_yyyyyyyz_1, tg_yyyzz_yyyyyyzz_0, \
                                         tg_yyyzz_yyyyyyzz_1, tg_yyyzz_yyyyyzzz_0, tg_yyyzz_yyyyyzzz_1, tg_yyyzz_yyyyzzzz_0, \
                                         tg_yyyzz_yyyyzzzz_1, tg_yyyzz_yyyzzzzz_0, tg_yyyzz_yyyzzzzz_1, tg_yyyzz_yyzzzzzz_0, \
                                         tg_yyyzz_yyzzzzzz_1, tg_yyyzz_yzzzzzzz_0, tg_yyyzz_yzzzzzzz_1, tg_yyyzz_zzzzzzzz_0, \
                                         tg_yyyzz_zzzzzzzz_1, tg_yyzzz_xxxxxxxx_0, tg_yyzzz_xxxxxxxx_1, tg_yyzzz_xxxxxxxy_0, \
                                         tg_yyzzz_xxxxxxxy_1, tg_yyzzz_xxxxxxxz_0, tg_yyzzz_xxxxxxxz_1, tg_yyzzz_xxxxxxyy_0, \
                                         tg_yyzzz_xxxxxxyy_1, tg_yyzzz_xxxxxxyz_0, tg_yyzzz_xxxxxxyz_1, tg_yyzzz_xxxxxxzz_0, \
                                         tg_yyzzz_xxxxxxzz_1, tg_yyzzz_xxxxxyyy_0, tg_yyzzz_xxxxxyyy_1, tg_yyzzz_xxxxxyyz_0, \
                                         tg_yyzzz_xxxxxyyz_1, tg_yyzzz_xxxxxyzz_0, tg_yyzzz_xxxxxyzz_1, tg_yyzzz_xxxxxzzz_0, \
                                         tg_yyzzz_xxxxxzzz_1, tg_yyzzz_xxxxyyyy_0, tg_yyzzz_xxxxyyyy_1, tg_yyzzz_xxxxyyyz_0, \
                                         tg_yyzzz_xxxxyyyz_1, tg_yyzzz_xxxxyyzz_0, tg_yyzzz_xxxxyyzz_1, tg_yyzzz_xxxxyzzz_0, \
                                         tg_yyzzz_xxxxyzzz_1, tg_yyzzz_xxxxzzzz_0, tg_yyzzz_xxxxzzzz_1, tg_yyzzz_xxxyyyyy_0, \
                                         tg_yyzzz_xxxyyyyy_1, tg_yyzzz_xxxyyyyz_0, tg_yyzzz_xxxyyyyz_1, tg_yyzzz_xxxyyyzz_0, \
                                         tg_yyzzz_xxxyyyzz_1, tg_yyzzz_xxxyyzzz_0, tg_yyzzz_xxxyyzzz_1, tg_yyzzz_xxxyzzzz_0, \
                                         tg_yyzzz_xxxyzzzz_1, tg_yyzzz_xxxzzzzz_0, tg_yyzzz_xxxzzzzz_1, tg_yyzzz_xxyyyyyy_0, \
                                         tg_yyzzz_xxyyyyyy_1, tg_yyzzz_xxyyyyyz_0, tg_yyzzz_xxyyyyyz_1, tg_yyzzz_xxyyyyzz_0, \
                                         tg_yyzzz_xxyyyyzz_1, tg_yyzzz_xxyyyzzz_0, tg_yyzzz_xxyyyzzz_1, tg_yyzzz_xxyyzzzz_0, \
                                         tg_yyzzz_xxyyzzzz_1, tg_yyzzz_xxyzzzzz_0, tg_yyzzz_xxyzzzzz_1, tg_yyzzz_xxzzzzzz_0, \
                                         tg_yyzzz_xxzzzzzz_1, tg_yyzzz_xyyyyyyy_0, tg_yyzzz_xyyyyyyy_1, tg_yyzzz_xyyyyyyz_0, \
                                         tg_yyzzz_xyyyyyyz_1, tg_yyzzz_xyyyyyzz_0, tg_yyzzz_xyyyyyzz_1, tg_yyzzz_xyyyyzzz_0, \
                                         tg_yyzzz_xyyyyzzz_1, tg_yyzzz_xyyyzzzz_0, tg_yyzzz_xyyyzzzz_1, tg_yyzzz_xyyzzzzz_0, \
                                         tg_yyzzz_xyyzzzzz_1, tg_yyzzz_xyzzzzzz_0, tg_yyzzz_xyzzzzzz_1, tg_yyzzz_xzzzzzzz_0, \
                                         tg_yyzzz_xzzzzzzz_1, tg_yyzzz_yyyyyyyy_0, tg_yyzzz_yyyyyyyy_1, tg_yyzzz_yyyyyyyz_0, \
                                         tg_yyzzz_yyyyyyyz_1, tg_yyzzz_yyyyyyzz_0, tg_yyzzz_yyyyyyzz_1, tg_yyzzz_yyyyyzzz_0, \
                                         tg_yyzzz_yyyyyzzz_1, tg_yyzzz_yyyyzzzz_0, tg_yyzzz_yyyyzzzz_1, tg_yyzzz_yyyzzzzz_0, \
                                         tg_yyzzz_yyyzzzzz_1, tg_yyzzz_yyzzzzzz_0, tg_yyzzz_yyzzzzzz_1, tg_yyzzz_yzzzzzzz_0, \
                                         tg_yyzzz_yzzzzzzz_1, tg_yyzzz_zzzzzzzz_0, tg_yyzzz_zzzzzzzz_1, tg_yzzzz_xxxxxxxx_0, \
                                         tg_yzzzz_xxxxxxxx_1, tg_yzzzz_xxxxxxxy_0, tg_yzzzz_xxxxxxxy_1, tg_yzzzz_xxxxxxxz_0, \
                                         tg_yzzzz_xxxxxxxz_1, tg_yzzzz_xxxxxxyy_0, tg_yzzzz_xxxxxxyy_1, tg_yzzzz_xxxxxxyz_0, \
                                         tg_yzzzz_xxxxxxyz_1, wp_x: VLX_ALIGN)
                for (int32_t j = 0; j < nKetPrimPairs; j++)
                {
                    double fl1_fx = fx;

                    double fl1_fxn = fxn[j];

                    double fl1_fza = fza[j];

                    double fr = wp_x[j]; 

                    tg_xxyyyzz_xxxxxxxx_0[j] = pb_x * tg_xyyyzz_xxxxxxxx_0[j] + fr * tg_xyyyzz_xxxxxxxx_1[j] + 0.5 * fl1_fx * (tg_yyyzz_xxxxxxxx_0[j] - tg_yyyzz_xxxxxxxx_1[j] * fl1_fza) + 4.0 * fl1_fxn * tg_xyyyzz_xxxxxxx_1[j];

                    tg_xxyyyzz_xxxxxxxy_0[j] = pb_x * tg_xyyyzz_xxxxxxxy_0[j] + fr * tg_xyyyzz_xxxxxxxy_1[j] + 0.5 * fl1_fx * (tg_yyyzz_xxxxxxxy_0[j] - tg_yyyzz_xxxxxxxy_1[j] * fl1_fza) + 3.5 * fl1_fxn * tg_xyyyzz_xxxxxxy_1[j];

                    tg_xxyyyzz_xxxxxxxz_0[j] = pb_x * tg_xyyyzz_xxxxxxxz_0[j] + fr * tg_xyyyzz_xxxxxxxz_1[j] + 0.5 * fl1_fx * (tg_yyyzz_xxxxxxxz_0[j] - tg_yyyzz_xxxxxxxz_1[j] * fl1_fza) + 3.5 * fl1_fxn * tg_xyyyzz_xxxxxxz_1[j];

                    tg_xxyyyzz_xxxxxxyy_0[j] = pb_x * tg_xyyyzz_xxxxxxyy_0[j] + fr * tg_xyyyzz_xxxxxxyy_1[j] + 0.5 * fl1_fx * (tg_yyyzz_xxxxxxyy_0[j] - tg_yyyzz_xxxxxxyy_1[j] * fl1_fza) + 3.0 * fl1_fxn * tg_xyyyzz_xxxxxyy_1[j];

                    tg_xxyyyzz_xxxxxxyz_0[j] = pb_x * tg_xyyyzz_xxxxxxyz_0[j] + fr * tg_xyyyzz_xxxxxxyz_1[j] + 0.5 * fl1_fx * (tg_yyyzz_xxxxxxyz_0[j] - tg_yyyzz_xxxxxxyz_1[j] * fl1_fza) + 3.0 * fl1_fxn * tg_xyyyzz_xxxxxyz_1[j];

                    tg_xxyyyzz_xxxxxxzz_0[j] = pb_x * tg_xyyyzz_xxxxxxzz_0[j] + fr * tg_xyyyzz_xxxxxxzz_1[j] + 0.5 * fl1_fx * (tg_yyyzz_xxxxxxzz_0[j] - tg_yyyzz_xxxxxxzz_1[j] * fl1_fza) + 3.0 * fl1_fxn * tg_xyyyzz_xxxxxzz_1[j];

                    tg_xxyyyzz_xxxxxyyy_0[j] = pb_x * tg_xyyyzz_xxxxxyyy_0[j] + fr * tg_xyyyzz_xxxxxyyy_1[j] + 0.5 * fl1_fx * (tg_yyyzz_xxxxxyyy_0[j] - tg_yyyzz_xxxxxyyy_1[j] * fl1_fza) + 2.5 * fl1_fxn * tg_xyyyzz_xxxxyyy_1[j];

                    tg_xxyyyzz_xxxxxyyz_0[j] = pb_x * tg_xyyyzz_xxxxxyyz_0[j] + fr * tg_xyyyzz_xxxxxyyz_1[j] + 0.5 * fl1_fx * (tg_yyyzz_xxxxxyyz_0[j] - tg_yyyzz_xxxxxyyz_1[j] * fl1_fza) + 2.5 * fl1_fxn * tg_xyyyzz_xxxxyyz_1[j];

                    tg_xxyyyzz_xxxxxyzz_0[j] = pb_x * tg_xyyyzz_xxxxxyzz_0[j] + fr * tg_xyyyzz_xxxxxyzz_1[j] + 0.5 * fl1_fx * (tg_yyyzz_xxxxxyzz_0[j] - tg_yyyzz_xxxxxyzz_1[j] * fl1_fza) + 2.5 * fl1_fxn * tg_xyyyzz_xxxxyzz_1[j];

                    tg_xxyyyzz_xxxxxzzz_0[j] = pb_x * tg_xyyyzz_xxxxxzzz_0[j] + fr * tg_xyyyzz_xxxxxzzz_1[j] + 0.5 * fl1_fx * (tg_yyyzz_xxxxxzzz_0[j] - tg_yyyzz_xxxxxzzz_1[j] * fl1_fza) + 2.5 * fl1_fxn * tg_xyyyzz_xxxxzzz_1[j];

                    tg_xxyyyzz_xxxxyyyy_0[j] = pb_x * tg_xyyyzz_xxxxyyyy_0[j] + fr * tg_xyyyzz_xxxxyyyy_1[j] + 0.5 * fl1_fx * (tg_yyyzz_xxxxyyyy_0[j] - tg_yyyzz_xxxxyyyy_1[j] * fl1_fza) + 2.0 * fl1_fxn * tg_xyyyzz_xxxyyyy_1[j];

                    tg_xxyyyzz_xxxxyyyz_0[j] = pb_x * tg_xyyyzz_xxxxyyyz_0[j] + fr * tg_xyyyzz_xxxxyyyz_1[j] + 0.5 * fl1_fx * (tg_yyyzz_xxxxyyyz_0[j] - tg_yyyzz_xxxxyyyz_1[j] * fl1_fza) + 2.0 * fl1_fxn * tg_xyyyzz_xxxyyyz_1[j];

                    tg_xxyyyzz_xxxxyyzz_0[j] = pb_x * tg_xyyyzz_xxxxyyzz_0[j] + fr * tg_xyyyzz_xxxxyyzz_1[j] + 0.5 * fl1_fx * (tg_yyyzz_xxxxyyzz_0[j] - tg_yyyzz_xxxxyyzz_1[j] * fl1_fza) + 2.0 * fl1_fxn * tg_xyyyzz_xxxyyzz_1[j];

                    tg_xxyyyzz_xxxxyzzz_0[j] = pb_x * tg_xyyyzz_xxxxyzzz_0[j] + fr * tg_xyyyzz_xxxxyzzz_1[j] + 0.5 * fl1_fx * (tg_yyyzz_xxxxyzzz_0[j] - tg_yyyzz_xxxxyzzz_1[j] * fl1_fza) + 2.0 * fl1_fxn * tg_xyyyzz_xxxyzzz_1[j];

                    tg_xxyyyzz_xxxxzzzz_0[j] = pb_x * tg_xyyyzz_xxxxzzzz_0[j] + fr * tg_xyyyzz_xxxxzzzz_1[j] + 0.5 * fl1_fx * (tg_yyyzz_xxxxzzzz_0[j] - tg_yyyzz_xxxxzzzz_1[j] * fl1_fza) + 2.0 * fl1_fxn * tg_xyyyzz_xxxzzzz_1[j];

                    tg_xxyyyzz_xxxyyyyy_0[j] = pb_x * tg_xyyyzz_xxxyyyyy_0[j] + fr * tg_xyyyzz_xxxyyyyy_1[j] + 0.5 * fl1_fx * (tg_yyyzz_xxxyyyyy_0[j] - tg_yyyzz_xxxyyyyy_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_xyyyzz_xxyyyyy_1[j];

                    tg_xxyyyzz_xxxyyyyz_0[j] = pb_x * tg_xyyyzz_xxxyyyyz_0[j] + fr * tg_xyyyzz_xxxyyyyz_1[j] + 0.5 * fl1_fx * (tg_yyyzz_xxxyyyyz_0[j] - tg_yyyzz_xxxyyyyz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_xyyyzz_xxyyyyz_1[j];

                    tg_xxyyyzz_xxxyyyzz_0[j] = pb_x * tg_xyyyzz_xxxyyyzz_0[j] + fr * tg_xyyyzz_xxxyyyzz_1[j] + 0.5 * fl1_fx * (tg_yyyzz_xxxyyyzz_0[j] - tg_yyyzz_xxxyyyzz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_xyyyzz_xxyyyzz_1[j];

                    tg_xxyyyzz_xxxyyzzz_0[j] = pb_x * tg_xyyyzz_xxxyyzzz_0[j] + fr * tg_xyyyzz_xxxyyzzz_1[j] + 0.5 * fl1_fx * (tg_yyyzz_xxxyyzzz_0[j] - tg_yyyzz_xxxyyzzz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_xyyyzz_xxyyzzz_1[j];

                    tg_xxyyyzz_xxxyzzzz_0[j] = pb_x * tg_xyyyzz_xxxyzzzz_0[j] + fr * tg_xyyyzz_xxxyzzzz_1[j] + 0.5 * fl1_fx * (tg_yyyzz_xxxyzzzz_0[j] - tg_yyyzz_xxxyzzzz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_xyyyzz_xxyzzzz_1[j];

                    tg_xxyyyzz_xxxzzzzz_0[j] = pb_x * tg_xyyyzz_xxxzzzzz_0[j] + fr * tg_xyyyzz_xxxzzzzz_1[j] + 0.5 * fl1_fx * (tg_yyyzz_xxxzzzzz_0[j] - tg_yyyzz_xxxzzzzz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_xyyyzz_xxzzzzz_1[j];

                    tg_xxyyyzz_xxyyyyyy_0[j] = pb_x * tg_xyyyzz_xxyyyyyy_0[j] + fr * tg_xyyyzz_xxyyyyyy_1[j] + 0.5 * fl1_fx * (tg_yyyzz_xxyyyyyy_0[j] - tg_yyyzz_xxyyyyyy_1[j] * fl1_fza) + fl1_fxn * tg_xyyyzz_xyyyyyy_1[j];

                    tg_xxyyyzz_xxyyyyyz_0[j] = pb_x * tg_xyyyzz_xxyyyyyz_0[j] + fr * tg_xyyyzz_xxyyyyyz_1[j] + 0.5 * fl1_fx * (tg_yyyzz_xxyyyyyz_0[j] - tg_yyyzz_xxyyyyyz_1[j] * fl1_fza) + fl1_fxn * tg_xyyyzz_xyyyyyz_1[j];

                    tg_xxyyyzz_xxyyyyzz_0[j] = pb_x * tg_xyyyzz_xxyyyyzz_0[j] + fr * tg_xyyyzz_xxyyyyzz_1[j] + 0.5 * fl1_fx * (tg_yyyzz_xxyyyyzz_0[j] - tg_yyyzz_xxyyyyzz_1[j] * fl1_fza) + fl1_fxn * tg_xyyyzz_xyyyyzz_1[j];

                    tg_xxyyyzz_xxyyyzzz_0[j] = pb_x * tg_xyyyzz_xxyyyzzz_0[j] + fr * tg_xyyyzz_xxyyyzzz_1[j] + 0.5 * fl1_fx * (tg_yyyzz_xxyyyzzz_0[j] - tg_yyyzz_xxyyyzzz_1[j] * fl1_fza) + fl1_fxn * tg_xyyyzz_xyyyzzz_1[j];

                    tg_xxyyyzz_xxyyzzzz_0[j] = pb_x * tg_xyyyzz_xxyyzzzz_0[j] + fr * tg_xyyyzz_xxyyzzzz_1[j] + 0.5 * fl1_fx * (tg_yyyzz_xxyyzzzz_0[j] - tg_yyyzz_xxyyzzzz_1[j] * fl1_fza) + fl1_fxn * tg_xyyyzz_xyyzzzz_1[j];

                    tg_xxyyyzz_xxyzzzzz_0[j] = pb_x * tg_xyyyzz_xxyzzzzz_0[j] + fr * tg_xyyyzz_xxyzzzzz_1[j] + 0.5 * fl1_fx * (tg_yyyzz_xxyzzzzz_0[j] - tg_yyyzz_xxyzzzzz_1[j] * fl1_fza) + fl1_fxn * tg_xyyyzz_xyzzzzz_1[j];

                    tg_xxyyyzz_xxzzzzzz_0[j] = pb_x * tg_xyyyzz_xxzzzzzz_0[j] + fr * tg_xyyyzz_xxzzzzzz_1[j] + 0.5 * fl1_fx * (tg_yyyzz_xxzzzzzz_0[j] - tg_yyyzz_xxzzzzzz_1[j] * fl1_fza) + fl1_fxn * tg_xyyyzz_xzzzzzz_1[j];

                    tg_xxyyyzz_xyyyyyyy_0[j] = pb_x * tg_xyyyzz_xyyyyyyy_0[j] + fr * tg_xyyyzz_xyyyyyyy_1[j] + 0.5 * fl1_fx * (tg_yyyzz_xyyyyyyy_0[j] - tg_yyyzz_xyyyyyyy_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xyyyzz_yyyyyyy_1[j];

                    tg_xxyyyzz_xyyyyyyz_0[j] = pb_x * tg_xyyyzz_xyyyyyyz_0[j] + fr * tg_xyyyzz_xyyyyyyz_1[j] + 0.5 * fl1_fx * (tg_yyyzz_xyyyyyyz_0[j] - tg_yyyzz_xyyyyyyz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xyyyzz_yyyyyyz_1[j];

                    tg_xxyyyzz_xyyyyyzz_0[j] = pb_x * tg_xyyyzz_xyyyyyzz_0[j] + fr * tg_xyyyzz_xyyyyyzz_1[j] + 0.5 * fl1_fx * (tg_yyyzz_xyyyyyzz_0[j] - tg_yyyzz_xyyyyyzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xyyyzz_yyyyyzz_1[j];

                    tg_xxyyyzz_xyyyyzzz_0[j] = pb_x * tg_xyyyzz_xyyyyzzz_0[j] + fr * tg_xyyyzz_xyyyyzzz_1[j] + 0.5 * fl1_fx * (tg_yyyzz_xyyyyzzz_0[j] - tg_yyyzz_xyyyyzzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xyyyzz_yyyyzzz_1[j];

                    tg_xxyyyzz_xyyyzzzz_0[j] = pb_x * tg_xyyyzz_xyyyzzzz_0[j] + fr * tg_xyyyzz_xyyyzzzz_1[j] + 0.5 * fl1_fx * (tg_yyyzz_xyyyzzzz_0[j] - tg_yyyzz_xyyyzzzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xyyyzz_yyyzzzz_1[j];

                    tg_xxyyyzz_xyyzzzzz_0[j] = pb_x * tg_xyyyzz_xyyzzzzz_0[j] + fr * tg_xyyyzz_xyyzzzzz_1[j] + 0.5 * fl1_fx * (tg_yyyzz_xyyzzzzz_0[j] - tg_yyyzz_xyyzzzzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xyyyzz_yyzzzzz_1[j];

                    tg_xxyyyzz_xyzzzzzz_0[j] = pb_x * tg_xyyyzz_xyzzzzzz_0[j] + fr * tg_xyyyzz_xyzzzzzz_1[j] + 0.5 * fl1_fx * (tg_yyyzz_xyzzzzzz_0[j] - tg_yyyzz_xyzzzzzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xyyyzz_yzzzzzz_1[j];

                    tg_xxyyyzz_xzzzzzzz_0[j] = pb_x * tg_xyyyzz_xzzzzzzz_0[j] + fr * tg_xyyyzz_xzzzzzzz_1[j] + 0.5 * fl1_fx * (tg_yyyzz_xzzzzzzz_0[j] - tg_yyyzz_xzzzzzzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xyyyzz_zzzzzzz_1[j];

                    tg_xxyyyzz_yyyyyyyy_0[j] = pb_x * tg_xyyyzz_yyyyyyyy_0[j] + fr * tg_xyyyzz_yyyyyyyy_1[j] + 0.5 * fl1_fx * (tg_yyyzz_yyyyyyyy_0[j] - tg_yyyzz_yyyyyyyy_1[j] * fl1_fza);

                    tg_xxyyyzz_yyyyyyyz_0[j] = pb_x * tg_xyyyzz_yyyyyyyz_0[j] + fr * tg_xyyyzz_yyyyyyyz_1[j] + 0.5 * fl1_fx * (tg_yyyzz_yyyyyyyz_0[j] - tg_yyyzz_yyyyyyyz_1[j] * fl1_fza);

                    tg_xxyyyzz_yyyyyyzz_0[j] = pb_x * tg_xyyyzz_yyyyyyzz_0[j] + fr * tg_xyyyzz_yyyyyyzz_1[j] + 0.5 * fl1_fx * (tg_yyyzz_yyyyyyzz_0[j] - tg_yyyzz_yyyyyyzz_1[j] * fl1_fza);

                    tg_xxyyyzz_yyyyyzzz_0[j] = pb_x * tg_xyyyzz_yyyyyzzz_0[j] + fr * tg_xyyyzz_yyyyyzzz_1[j] + 0.5 * fl1_fx * (tg_yyyzz_yyyyyzzz_0[j] - tg_yyyzz_yyyyyzzz_1[j] * fl1_fza);

                    tg_xxyyyzz_yyyyzzzz_0[j] = pb_x * tg_xyyyzz_yyyyzzzz_0[j] + fr * tg_xyyyzz_yyyyzzzz_1[j] + 0.5 * fl1_fx * (tg_yyyzz_yyyyzzzz_0[j] - tg_yyyzz_yyyyzzzz_1[j] * fl1_fza);

                    tg_xxyyyzz_yyyzzzzz_0[j] = pb_x * tg_xyyyzz_yyyzzzzz_0[j] + fr * tg_xyyyzz_yyyzzzzz_1[j] + 0.5 * fl1_fx * (tg_yyyzz_yyyzzzzz_0[j] - tg_yyyzz_yyyzzzzz_1[j] * fl1_fza);

                    tg_xxyyyzz_yyzzzzzz_0[j] = pb_x * tg_xyyyzz_yyzzzzzz_0[j] + fr * tg_xyyyzz_yyzzzzzz_1[j] + 0.5 * fl1_fx * (tg_yyyzz_yyzzzzzz_0[j] - tg_yyyzz_yyzzzzzz_1[j] * fl1_fza);

                    tg_xxyyyzz_yzzzzzzz_0[j] = pb_x * tg_xyyyzz_yzzzzzzz_0[j] + fr * tg_xyyyzz_yzzzzzzz_1[j] + 0.5 * fl1_fx * (tg_yyyzz_yzzzzzzz_0[j] - tg_yyyzz_yzzzzzzz_1[j] * fl1_fza);

                    tg_xxyyyzz_zzzzzzzz_0[j] = pb_x * tg_xyyyzz_zzzzzzzz_0[j] + fr * tg_xyyyzz_zzzzzzzz_1[j] + 0.5 * fl1_fx * (tg_yyyzz_zzzzzzzz_0[j] - tg_yyyzz_zzzzzzzz_1[j] * fl1_fza);

                    tg_xxyyzzz_xxxxxxxx_0[j] = pb_x * tg_xyyzzz_xxxxxxxx_0[j] + fr * tg_xyyzzz_xxxxxxxx_1[j] + 0.5 * fl1_fx * (tg_yyzzz_xxxxxxxx_0[j] - tg_yyzzz_xxxxxxxx_1[j] * fl1_fza) + 4.0 * fl1_fxn * tg_xyyzzz_xxxxxxx_1[j];

                    tg_xxyyzzz_xxxxxxxy_0[j] = pb_x * tg_xyyzzz_xxxxxxxy_0[j] + fr * tg_xyyzzz_xxxxxxxy_1[j] + 0.5 * fl1_fx * (tg_yyzzz_xxxxxxxy_0[j] - tg_yyzzz_xxxxxxxy_1[j] * fl1_fza) + 3.5 * fl1_fxn * tg_xyyzzz_xxxxxxy_1[j];

                    tg_xxyyzzz_xxxxxxxz_0[j] = pb_x * tg_xyyzzz_xxxxxxxz_0[j] + fr * tg_xyyzzz_xxxxxxxz_1[j] + 0.5 * fl1_fx * (tg_yyzzz_xxxxxxxz_0[j] - tg_yyzzz_xxxxxxxz_1[j] * fl1_fza) + 3.5 * fl1_fxn * tg_xyyzzz_xxxxxxz_1[j];

                    tg_xxyyzzz_xxxxxxyy_0[j] = pb_x * tg_xyyzzz_xxxxxxyy_0[j] + fr * tg_xyyzzz_xxxxxxyy_1[j] + 0.5 * fl1_fx * (tg_yyzzz_xxxxxxyy_0[j] - tg_yyzzz_xxxxxxyy_1[j] * fl1_fza) + 3.0 * fl1_fxn * tg_xyyzzz_xxxxxyy_1[j];

                    tg_xxyyzzz_xxxxxxyz_0[j] = pb_x * tg_xyyzzz_xxxxxxyz_0[j] + fr * tg_xyyzzz_xxxxxxyz_1[j] + 0.5 * fl1_fx * (tg_yyzzz_xxxxxxyz_0[j] - tg_yyzzz_xxxxxxyz_1[j] * fl1_fza) + 3.0 * fl1_fxn * tg_xyyzzz_xxxxxyz_1[j];

                    tg_xxyyzzz_xxxxxxzz_0[j] = pb_x * tg_xyyzzz_xxxxxxzz_0[j] + fr * tg_xyyzzz_xxxxxxzz_1[j] + 0.5 * fl1_fx * (tg_yyzzz_xxxxxxzz_0[j] - tg_yyzzz_xxxxxxzz_1[j] * fl1_fza) + 3.0 * fl1_fxn * tg_xyyzzz_xxxxxzz_1[j];

                    tg_xxyyzzz_xxxxxyyy_0[j] = pb_x * tg_xyyzzz_xxxxxyyy_0[j] + fr * tg_xyyzzz_xxxxxyyy_1[j] + 0.5 * fl1_fx * (tg_yyzzz_xxxxxyyy_0[j] - tg_yyzzz_xxxxxyyy_1[j] * fl1_fza) + 2.5 * fl1_fxn * tg_xyyzzz_xxxxyyy_1[j];

                    tg_xxyyzzz_xxxxxyyz_0[j] = pb_x * tg_xyyzzz_xxxxxyyz_0[j] + fr * tg_xyyzzz_xxxxxyyz_1[j] + 0.5 * fl1_fx * (tg_yyzzz_xxxxxyyz_0[j] - tg_yyzzz_xxxxxyyz_1[j] * fl1_fza) + 2.5 * fl1_fxn * tg_xyyzzz_xxxxyyz_1[j];

                    tg_xxyyzzz_xxxxxyzz_0[j] = pb_x * tg_xyyzzz_xxxxxyzz_0[j] + fr * tg_xyyzzz_xxxxxyzz_1[j] + 0.5 * fl1_fx * (tg_yyzzz_xxxxxyzz_0[j] - tg_yyzzz_xxxxxyzz_1[j] * fl1_fza) + 2.5 * fl1_fxn * tg_xyyzzz_xxxxyzz_1[j];

                    tg_xxyyzzz_xxxxxzzz_0[j] = pb_x * tg_xyyzzz_xxxxxzzz_0[j] + fr * tg_xyyzzz_xxxxxzzz_1[j] + 0.5 * fl1_fx * (tg_yyzzz_xxxxxzzz_0[j] - tg_yyzzz_xxxxxzzz_1[j] * fl1_fza) + 2.5 * fl1_fxn * tg_xyyzzz_xxxxzzz_1[j];

                    tg_xxyyzzz_xxxxyyyy_0[j] = pb_x * tg_xyyzzz_xxxxyyyy_0[j] + fr * tg_xyyzzz_xxxxyyyy_1[j] + 0.5 * fl1_fx * (tg_yyzzz_xxxxyyyy_0[j] - tg_yyzzz_xxxxyyyy_1[j] * fl1_fza) + 2.0 * fl1_fxn * tg_xyyzzz_xxxyyyy_1[j];

                    tg_xxyyzzz_xxxxyyyz_0[j] = pb_x * tg_xyyzzz_xxxxyyyz_0[j] + fr * tg_xyyzzz_xxxxyyyz_1[j] + 0.5 * fl1_fx * (tg_yyzzz_xxxxyyyz_0[j] - tg_yyzzz_xxxxyyyz_1[j] * fl1_fza) + 2.0 * fl1_fxn * tg_xyyzzz_xxxyyyz_1[j];

                    tg_xxyyzzz_xxxxyyzz_0[j] = pb_x * tg_xyyzzz_xxxxyyzz_0[j] + fr * tg_xyyzzz_xxxxyyzz_1[j] + 0.5 * fl1_fx * (tg_yyzzz_xxxxyyzz_0[j] - tg_yyzzz_xxxxyyzz_1[j] * fl1_fza) + 2.0 * fl1_fxn * tg_xyyzzz_xxxyyzz_1[j];

                    tg_xxyyzzz_xxxxyzzz_0[j] = pb_x * tg_xyyzzz_xxxxyzzz_0[j] + fr * tg_xyyzzz_xxxxyzzz_1[j] + 0.5 * fl1_fx * (tg_yyzzz_xxxxyzzz_0[j] - tg_yyzzz_xxxxyzzz_1[j] * fl1_fza) + 2.0 * fl1_fxn * tg_xyyzzz_xxxyzzz_1[j];

                    tg_xxyyzzz_xxxxzzzz_0[j] = pb_x * tg_xyyzzz_xxxxzzzz_0[j] + fr * tg_xyyzzz_xxxxzzzz_1[j] + 0.5 * fl1_fx * (tg_yyzzz_xxxxzzzz_0[j] - tg_yyzzz_xxxxzzzz_1[j] * fl1_fza) + 2.0 * fl1_fxn * tg_xyyzzz_xxxzzzz_1[j];

                    tg_xxyyzzz_xxxyyyyy_0[j] = pb_x * tg_xyyzzz_xxxyyyyy_0[j] + fr * tg_xyyzzz_xxxyyyyy_1[j] + 0.5 * fl1_fx * (tg_yyzzz_xxxyyyyy_0[j] - tg_yyzzz_xxxyyyyy_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_xyyzzz_xxyyyyy_1[j];

                    tg_xxyyzzz_xxxyyyyz_0[j] = pb_x * tg_xyyzzz_xxxyyyyz_0[j] + fr * tg_xyyzzz_xxxyyyyz_1[j] + 0.5 * fl1_fx * (tg_yyzzz_xxxyyyyz_0[j] - tg_yyzzz_xxxyyyyz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_xyyzzz_xxyyyyz_1[j];

                    tg_xxyyzzz_xxxyyyzz_0[j] = pb_x * tg_xyyzzz_xxxyyyzz_0[j] + fr * tg_xyyzzz_xxxyyyzz_1[j] + 0.5 * fl1_fx * (tg_yyzzz_xxxyyyzz_0[j] - tg_yyzzz_xxxyyyzz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_xyyzzz_xxyyyzz_1[j];

                    tg_xxyyzzz_xxxyyzzz_0[j] = pb_x * tg_xyyzzz_xxxyyzzz_0[j] + fr * tg_xyyzzz_xxxyyzzz_1[j] + 0.5 * fl1_fx * (tg_yyzzz_xxxyyzzz_0[j] - tg_yyzzz_xxxyyzzz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_xyyzzz_xxyyzzz_1[j];

                    tg_xxyyzzz_xxxyzzzz_0[j] = pb_x * tg_xyyzzz_xxxyzzzz_0[j] + fr * tg_xyyzzz_xxxyzzzz_1[j] + 0.5 * fl1_fx * (tg_yyzzz_xxxyzzzz_0[j] - tg_yyzzz_xxxyzzzz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_xyyzzz_xxyzzzz_1[j];

                    tg_xxyyzzz_xxxzzzzz_0[j] = pb_x * tg_xyyzzz_xxxzzzzz_0[j] + fr * tg_xyyzzz_xxxzzzzz_1[j] + 0.5 * fl1_fx * (tg_yyzzz_xxxzzzzz_0[j] - tg_yyzzz_xxxzzzzz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_xyyzzz_xxzzzzz_1[j];

                    tg_xxyyzzz_xxyyyyyy_0[j] = pb_x * tg_xyyzzz_xxyyyyyy_0[j] + fr * tg_xyyzzz_xxyyyyyy_1[j] + 0.5 * fl1_fx * (tg_yyzzz_xxyyyyyy_0[j] - tg_yyzzz_xxyyyyyy_1[j] * fl1_fza) + fl1_fxn * tg_xyyzzz_xyyyyyy_1[j];

                    tg_xxyyzzz_xxyyyyyz_0[j] = pb_x * tg_xyyzzz_xxyyyyyz_0[j] + fr * tg_xyyzzz_xxyyyyyz_1[j] + 0.5 * fl1_fx * (tg_yyzzz_xxyyyyyz_0[j] - tg_yyzzz_xxyyyyyz_1[j] * fl1_fza) + fl1_fxn * tg_xyyzzz_xyyyyyz_1[j];

                    tg_xxyyzzz_xxyyyyzz_0[j] = pb_x * tg_xyyzzz_xxyyyyzz_0[j] + fr * tg_xyyzzz_xxyyyyzz_1[j] + 0.5 * fl1_fx * (tg_yyzzz_xxyyyyzz_0[j] - tg_yyzzz_xxyyyyzz_1[j] * fl1_fza) + fl1_fxn * tg_xyyzzz_xyyyyzz_1[j];

                    tg_xxyyzzz_xxyyyzzz_0[j] = pb_x * tg_xyyzzz_xxyyyzzz_0[j] + fr * tg_xyyzzz_xxyyyzzz_1[j] + 0.5 * fl1_fx * (tg_yyzzz_xxyyyzzz_0[j] - tg_yyzzz_xxyyyzzz_1[j] * fl1_fza) + fl1_fxn * tg_xyyzzz_xyyyzzz_1[j];

                    tg_xxyyzzz_xxyyzzzz_0[j] = pb_x * tg_xyyzzz_xxyyzzzz_0[j] + fr * tg_xyyzzz_xxyyzzzz_1[j] + 0.5 * fl1_fx * (tg_yyzzz_xxyyzzzz_0[j] - tg_yyzzz_xxyyzzzz_1[j] * fl1_fza) + fl1_fxn * tg_xyyzzz_xyyzzzz_1[j];

                    tg_xxyyzzz_xxyzzzzz_0[j] = pb_x * tg_xyyzzz_xxyzzzzz_0[j] + fr * tg_xyyzzz_xxyzzzzz_1[j] + 0.5 * fl1_fx * (tg_yyzzz_xxyzzzzz_0[j] - tg_yyzzz_xxyzzzzz_1[j] * fl1_fza) + fl1_fxn * tg_xyyzzz_xyzzzzz_1[j];

                    tg_xxyyzzz_xxzzzzzz_0[j] = pb_x * tg_xyyzzz_xxzzzzzz_0[j] + fr * tg_xyyzzz_xxzzzzzz_1[j] + 0.5 * fl1_fx * (tg_yyzzz_xxzzzzzz_0[j] - tg_yyzzz_xxzzzzzz_1[j] * fl1_fza) + fl1_fxn * tg_xyyzzz_xzzzzzz_1[j];

                    tg_xxyyzzz_xyyyyyyy_0[j] = pb_x * tg_xyyzzz_xyyyyyyy_0[j] + fr * tg_xyyzzz_xyyyyyyy_1[j] + 0.5 * fl1_fx * (tg_yyzzz_xyyyyyyy_0[j] - tg_yyzzz_xyyyyyyy_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xyyzzz_yyyyyyy_1[j];

                    tg_xxyyzzz_xyyyyyyz_0[j] = pb_x * tg_xyyzzz_xyyyyyyz_0[j] + fr * tg_xyyzzz_xyyyyyyz_1[j] + 0.5 * fl1_fx * (tg_yyzzz_xyyyyyyz_0[j] - tg_yyzzz_xyyyyyyz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xyyzzz_yyyyyyz_1[j];

                    tg_xxyyzzz_xyyyyyzz_0[j] = pb_x * tg_xyyzzz_xyyyyyzz_0[j] + fr * tg_xyyzzz_xyyyyyzz_1[j] + 0.5 * fl1_fx * (tg_yyzzz_xyyyyyzz_0[j] - tg_yyzzz_xyyyyyzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xyyzzz_yyyyyzz_1[j];

                    tg_xxyyzzz_xyyyyzzz_0[j] = pb_x * tg_xyyzzz_xyyyyzzz_0[j] + fr * tg_xyyzzz_xyyyyzzz_1[j] + 0.5 * fl1_fx * (tg_yyzzz_xyyyyzzz_0[j] - tg_yyzzz_xyyyyzzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xyyzzz_yyyyzzz_1[j];

                    tg_xxyyzzz_xyyyzzzz_0[j] = pb_x * tg_xyyzzz_xyyyzzzz_0[j] + fr * tg_xyyzzz_xyyyzzzz_1[j] + 0.5 * fl1_fx * (tg_yyzzz_xyyyzzzz_0[j] - tg_yyzzz_xyyyzzzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xyyzzz_yyyzzzz_1[j];

                    tg_xxyyzzz_xyyzzzzz_0[j] = pb_x * tg_xyyzzz_xyyzzzzz_0[j] + fr * tg_xyyzzz_xyyzzzzz_1[j] + 0.5 * fl1_fx * (tg_yyzzz_xyyzzzzz_0[j] - tg_yyzzz_xyyzzzzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xyyzzz_yyzzzzz_1[j];

                    tg_xxyyzzz_xyzzzzzz_0[j] = pb_x * tg_xyyzzz_xyzzzzzz_0[j] + fr * tg_xyyzzz_xyzzzzzz_1[j] + 0.5 * fl1_fx * (tg_yyzzz_xyzzzzzz_0[j] - tg_yyzzz_xyzzzzzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xyyzzz_yzzzzzz_1[j];

                    tg_xxyyzzz_xzzzzzzz_0[j] = pb_x * tg_xyyzzz_xzzzzzzz_0[j] + fr * tg_xyyzzz_xzzzzzzz_1[j] + 0.5 * fl1_fx * (tg_yyzzz_xzzzzzzz_0[j] - tg_yyzzz_xzzzzzzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xyyzzz_zzzzzzz_1[j];

                    tg_xxyyzzz_yyyyyyyy_0[j] = pb_x * tg_xyyzzz_yyyyyyyy_0[j] + fr * tg_xyyzzz_yyyyyyyy_1[j] + 0.5 * fl1_fx * (tg_yyzzz_yyyyyyyy_0[j] - tg_yyzzz_yyyyyyyy_1[j] * fl1_fza);

                    tg_xxyyzzz_yyyyyyyz_0[j] = pb_x * tg_xyyzzz_yyyyyyyz_0[j] + fr * tg_xyyzzz_yyyyyyyz_1[j] + 0.5 * fl1_fx * (tg_yyzzz_yyyyyyyz_0[j] - tg_yyzzz_yyyyyyyz_1[j] * fl1_fza);

                    tg_xxyyzzz_yyyyyyzz_0[j] = pb_x * tg_xyyzzz_yyyyyyzz_0[j] + fr * tg_xyyzzz_yyyyyyzz_1[j] + 0.5 * fl1_fx * (tg_yyzzz_yyyyyyzz_0[j] - tg_yyzzz_yyyyyyzz_1[j] * fl1_fza);

                    tg_xxyyzzz_yyyyyzzz_0[j] = pb_x * tg_xyyzzz_yyyyyzzz_0[j] + fr * tg_xyyzzz_yyyyyzzz_1[j] + 0.5 * fl1_fx * (tg_yyzzz_yyyyyzzz_0[j] - tg_yyzzz_yyyyyzzz_1[j] * fl1_fza);

                    tg_xxyyzzz_yyyyzzzz_0[j] = pb_x * tg_xyyzzz_yyyyzzzz_0[j] + fr * tg_xyyzzz_yyyyzzzz_1[j] + 0.5 * fl1_fx * (tg_yyzzz_yyyyzzzz_0[j] - tg_yyzzz_yyyyzzzz_1[j] * fl1_fza);

                    tg_xxyyzzz_yyyzzzzz_0[j] = pb_x * tg_xyyzzz_yyyzzzzz_0[j] + fr * tg_xyyzzz_yyyzzzzz_1[j] + 0.5 * fl1_fx * (tg_yyzzz_yyyzzzzz_0[j] - tg_yyzzz_yyyzzzzz_1[j] * fl1_fza);

                    tg_xxyyzzz_yyzzzzzz_0[j] = pb_x * tg_xyyzzz_yyzzzzzz_0[j] + fr * tg_xyyzzz_yyzzzzzz_1[j] + 0.5 * fl1_fx * (tg_yyzzz_yyzzzzzz_0[j] - tg_yyzzz_yyzzzzzz_1[j] * fl1_fza);

                    tg_xxyyzzz_yzzzzzzz_0[j] = pb_x * tg_xyyzzz_yzzzzzzz_0[j] + fr * tg_xyyzzz_yzzzzzzz_1[j] + 0.5 * fl1_fx * (tg_yyzzz_yzzzzzzz_0[j] - tg_yyzzz_yzzzzzzz_1[j] * fl1_fza);

                    tg_xxyyzzz_zzzzzzzz_0[j] = pb_x * tg_xyyzzz_zzzzzzzz_0[j] + fr * tg_xyyzzz_zzzzzzzz_1[j] + 0.5 * fl1_fx * (tg_yyzzz_zzzzzzzz_0[j] - tg_yyzzz_zzzzzzzz_1[j] * fl1_fza);

                    tg_xxyzzzz_xxxxxxxx_0[j] = pb_x * tg_xyzzzz_xxxxxxxx_0[j] + fr * tg_xyzzzz_xxxxxxxx_1[j] + 0.5 * fl1_fx * (tg_yzzzz_xxxxxxxx_0[j] - tg_yzzzz_xxxxxxxx_1[j] * fl1_fza) + 4.0 * fl1_fxn * tg_xyzzzz_xxxxxxx_1[j];

                    tg_xxyzzzz_xxxxxxxy_0[j] = pb_x * tg_xyzzzz_xxxxxxxy_0[j] + fr * tg_xyzzzz_xxxxxxxy_1[j] + 0.5 * fl1_fx * (tg_yzzzz_xxxxxxxy_0[j] - tg_yzzzz_xxxxxxxy_1[j] * fl1_fza) + 3.5 * fl1_fxn * tg_xyzzzz_xxxxxxy_1[j];

                    tg_xxyzzzz_xxxxxxxz_0[j] = pb_x * tg_xyzzzz_xxxxxxxz_0[j] + fr * tg_xyzzzz_xxxxxxxz_1[j] + 0.5 * fl1_fx * (tg_yzzzz_xxxxxxxz_0[j] - tg_yzzzz_xxxxxxxz_1[j] * fl1_fza) + 3.5 * fl1_fxn * tg_xyzzzz_xxxxxxz_1[j];

                    tg_xxyzzzz_xxxxxxyy_0[j] = pb_x * tg_xyzzzz_xxxxxxyy_0[j] + fr * tg_xyzzzz_xxxxxxyy_1[j] + 0.5 * fl1_fx * (tg_yzzzz_xxxxxxyy_0[j] - tg_yzzzz_xxxxxxyy_1[j] * fl1_fza) + 3.0 * fl1_fxn * tg_xyzzzz_xxxxxyy_1[j];

                    tg_xxyzzzz_xxxxxxyz_0[j] = pb_x * tg_xyzzzz_xxxxxxyz_0[j] + fr * tg_xyzzzz_xxxxxxyz_1[j] + 0.5 * fl1_fx * (tg_yzzzz_xxxxxxyz_0[j] - tg_yzzzz_xxxxxxyz_1[j] * fl1_fza) + 3.0 * fl1_fxn * tg_xyzzzz_xxxxxyz_1[j];
                }

                idx++;
            }
        }
    }

    void
    compElectronRepulsionForSKSL_860_955(      CMemBlock2D<double>* primBuffer,
                                         const CRecursionMap&       recursionMap,
                                         const CMemBlock2D<double>& osFactors,
                                         const CMemBlock2D<double>& wpDistances,
                                         const CGtoPairsBlock&      braGtoPairsBlock,
                                         const CGtoPairsBlock&      ketGtoPairsBlock,
                                         const int32_t              nKetPrimPairs,
                                         const int32_t              iContrPair)
    {
        // Batch of Integrals (860,955)

        // set up pointers to primitives data on bra side

        auto spos = braGtoPairsBlock.getStartPositions();

        auto epos = braGtoPairsBlock.getEndPositions();

        // set up pointers to tensor of distance R(PB) = P - B

        auto r_pb_x = braGtoPairsBlock.getDistancesPBX();

        // set up pointers to common Obara-Saika factors

        auto b_fx = braGtoPairsBlock.getFactorsOneOverXi();

        // set up maximum order of integral

        auto mord = recursionMap.getMaxOrder({"Electron Repulsion"},
                                             {7, -1, -1, -1},
                                             {8, -1, -1, -1},
                                             1, 1);

        for (int32_t iord = 0; iord <= mord; iord++)
        {
            // set up index of integral

            auto pidx_g_7_8_m0 = recursionMap.index(CRecursionTerm({"Electron Repulsion"}, 0, true, 
                                                                   {7, -1, -1, -1}, {8, -1, -1, -1}, 
                                                                   1, 1, iord));

            // check if integral is needed in recursion expansion

            if (pidx_g_7_8_m0 == -1) continue;

            // set up indexes of auxilary integral

            auto pidx_g_6_8_m0 = recursionMap.index(CRecursionTerm({"Electron Repulsion"}, 0, true, 
                                                                   {6, -1, -1, -1}, {8, -1, -1, -1}, 
                                                                   1, 1, iord));

            auto pidx_g_6_8_m1 = recursionMap.index(CRecursionTerm({"Electron Repulsion"}, 0, true, 
                                                                   {6, -1, -1, -1}, {8, -1, -1, -1}, 
                                                                   1, 1, iord + 1));

            auto pidx_g_5_8_m0 = recursionMap.index(CRecursionTerm({"Electron Repulsion"}, 0, true, 
                                                                   {5, -1, -1, -1}, {8, -1, -1, -1}, 
                                                                   1, 1, iord));

            auto pidx_g_5_8_m1 = recursionMap.index(CRecursionTerm({"Electron Repulsion"}, 0, true, 
                                                                   {5, -1, -1, -1}, {8, -1, -1, -1}, 
                                                                   1, 1, iord + 1));

            auto pidx_g_6_7_m1 = recursionMap.index(CRecursionTerm({"Electron Repulsion"}, 0, true, 
                                                                   {6, -1, -1, -1}, {7, -1, -1, -1}, 
                                                                   1, 1, iord + 1));

            // loop over contracted GTO on bra side

            int32_t idx = 0;

            for (int32_t i = spos[iContrPair]; i < epos[iContrPair]; i++)
            {
                // set up pointers to Obara-Saika factors

                double fx = b_fx[i];

                auto fza = osFactors.data(4 * idx + 2);

                auto fxn = osFactors.data(4 * idx);

                // set up distances R(PB) = P - B

                auto pb_x = r_pb_x[i];

                // set up pointers to tensors product of distances R(WP) = W - P

                auto wp_x = wpDistances.data(3 * idx);

                // set up pointers to auxilary integrals

                auto tg_xyzzzz_xxxxxxzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 860); 

                auto tg_xyzzzz_xxxxxyyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 861); 

                auto tg_xyzzzz_xxxxxyyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 862); 

                auto tg_xyzzzz_xxxxxyzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 863); 

                auto tg_xyzzzz_xxxxxzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 864); 

                auto tg_xyzzzz_xxxxyyyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 865); 

                auto tg_xyzzzz_xxxxyyyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 866); 

                auto tg_xyzzzz_xxxxyyzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 867); 

                auto tg_xyzzzz_xxxxyzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 868); 

                auto tg_xyzzzz_xxxxzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 869); 

                auto tg_xyzzzz_xxxyyyyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 870); 

                auto tg_xyzzzz_xxxyyyyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 871); 

                auto tg_xyzzzz_xxxyyyzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 872); 

                auto tg_xyzzzz_xxxyyzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 873); 

                auto tg_xyzzzz_xxxyzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 874); 

                auto tg_xyzzzz_xxxzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 875); 

                auto tg_xyzzzz_xxyyyyyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 876); 

                auto tg_xyzzzz_xxyyyyyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 877); 

                auto tg_xyzzzz_xxyyyyzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 878); 

                auto tg_xyzzzz_xxyyyzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 879); 

                auto tg_xyzzzz_xxyyzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 880); 

                auto tg_xyzzzz_xxyzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 881); 

                auto tg_xyzzzz_xxzzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 882); 

                auto tg_xyzzzz_xyyyyyyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 883); 

                auto tg_xyzzzz_xyyyyyyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 884); 

                auto tg_xyzzzz_xyyyyyzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 885); 

                auto tg_xyzzzz_xyyyyzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 886); 

                auto tg_xyzzzz_xyyyzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 887); 

                auto tg_xyzzzz_xyyzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 888); 

                auto tg_xyzzzz_xyzzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 889); 

                auto tg_xyzzzz_xzzzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 890); 

                auto tg_xyzzzz_yyyyyyyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 891); 

                auto tg_xyzzzz_yyyyyyyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 892); 

                auto tg_xyzzzz_yyyyyyzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 893); 

                auto tg_xyzzzz_yyyyyzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 894); 

                auto tg_xyzzzz_yyyyzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 895); 

                auto tg_xyzzzz_yyyzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 896); 

                auto tg_xyzzzz_yyzzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 897); 

                auto tg_xyzzzz_yzzzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 898); 

                auto tg_xyzzzz_zzzzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 899); 

                auto tg_xzzzzz_xxxxxxxx_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 900); 

                auto tg_xzzzzz_xxxxxxxy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 901); 

                auto tg_xzzzzz_xxxxxxxz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 902); 

                auto tg_xzzzzz_xxxxxxyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 903); 

                auto tg_xzzzzz_xxxxxxyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 904); 

                auto tg_xzzzzz_xxxxxxzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 905); 

                auto tg_xzzzzz_xxxxxyyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 906); 

                auto tg_xzzzzz_xxxxxyyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 907); 

                auto tg_xzzzzz_xxxxxyzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 908); 

                auto tg_xzzzzz_xxxxxzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 909); 

                auto tg_xzzzzz_xxxxyyyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 910); 

                auto tg_xzzzzz_xxxxyyyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 911); 

                auto tg_xzzzzz_xxxxyyzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 912); 

                auto tg_xzzzzz_xxxxyzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 913); 

                auto tg_xzzzzz_xxxxzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 914); 

                auto tg_xzzzzz_xxxyyyyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 915); 

                auto tg_xzzzzz_xxxyyyyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 916); 

                auto tg_xzzzzz_xxxyyyzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 917); 

                auto tg_xzzzzz_xxxyyzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 918); 

                auto tg_xzzzzz_xxxyzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 919); 

                auto tg_xzzzzz_xxxzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 920); 

                auto tg_xzzzzz_xxyyyyyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 921); 

                auto tg_xzzzzz_xxyyyyyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 922); 

                auto tg_xzzzzz_xxyyyyzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 923); 

                auto tg_xzzzzz_xxyyyzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 924); 

                auto tg_xzzzzz_xxyyzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 925); 

                auto tg_xzzzzz_xxyzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 926); 

                auto tg_xzzzzz_xxzzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 927); 

                auto tg_xzzzzz_xyyyyyyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 928); 

                auto tg_xzzzzz_xyyyyyyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 929); 

                auto tg_xzzzzz_xyyyyyzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 930); 

                auto tg_xzzzzz_xyyyyzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 931); 

                auto tg_xzzzzz_xyyyzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 932); 

                auto tg_xzzzzz_xyyzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 933); 

                auto tg_xzzzzz_xyzzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 934); 

                auto tg_xzzzzz_xzzzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 935); 

                auto tg_xzzzzz_yyyyyyyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 936); 

                auto tg_xzzzzz_yyyyyyyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 937); 

                auto tg_xzzzzz_yyyyyyzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 938); 

                auto tg_xzzzzz_yyyyyzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 939); 

                auto tg_xzzzzz_yyyyzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 940); 

                auto tg_xzzzzz_yyyzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 941); 

                auto tg_xzzzzz_yyzzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 942); 

                auto tg_xzzzzz_yzzzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 943); 

                auto tg_xzzzzz_zzzzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 944); 

                auto tg_yyyyyy_xxxxxxxx_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 945); 

                auto tg_yyyyyy_xxxxxxxy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 946); 

                auto tg_yyyyyy_xxxxxxxz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 947); 

                auto tg_yyyyyy_xxxxxxyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 948); 

                auto tg_yyyyyy_xxxxxxyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 949); 

                auto tg_yyyyyy_xxxxxxzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 950); 

                auto tg_yyyyyy_xxxxxyyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 951); 

                auto tg_yyyyyy_xxxxxyyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 952); 

                auto tg_yyyyyy_xxxxxyzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 953); 

                auto tg_yyyyyy_xxxxxzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 954); 

                auto tg_xyzzzz_xxxxxxzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 860); 

                auto tg_xyzzzz_xxxxxyyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 861); 

                auto tg_xyzzzz_xxxxxyyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 862); 

                auto tg_xyzzzz_xxxxxyzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 863); 

                auto tg_xyzzzz_xxxxxzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 864); 

                auto tg_xyzzzz_xxxxyyyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 865); 

                auto tg_xyzzzz_xxxxyyyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 866); 

                auto tg_xyzzzz_xxxxyyzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 867); 

                auto tg_xyzzzz_xxxxyzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 868); 

                auto tg_xyzzzz_xxxxzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 869); 

                auto tg_xyzzzz_xxxyyyyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 870); 

                auto tg_xyzzzz_xxxyyyyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 871); 

                auto tg_xyzzzz_xxxyyyzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 872); 

                auto tg_xyzzzz_xxxyyzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 873); 

                auto tg_xyzzzz_xxxyzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 874); 

                auto tg_xyzzzz_xxxzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 875); 

                auto tg_xyzzzz_xxyyyyyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 876); 

                auto tg_xyzzzz_xxyyyyyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 877); 

                auto tg_xyzzzz_xxyyyyzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 878); 

                auto tg_xyzzzz_xxyyyzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 879); 

                auto tg_xyzzzz_xxyyzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 880); 

                auto tg_xyzzzz_xxyzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 881); 

                auto tg_xyzzzz_xxzzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 882); 

                auto tg_xyzzzz_xyyyyyyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 883); 

                auto tg_xyzzzz_xyyyyyyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 884); 

                auto tg_xyzzzz_xyyyyyzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 885); 

                auto tg_xyzzzz_xyyyyzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 886); 

                auto tg_xyzzzz_xyyyzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 887); 

                auto tg_xyzzzz_xyyzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 888); 

                auto tg_xyzzzz_xyzzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 889); 

                auto tg_xyzzzz_xzzzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 890); 

                auto tg_xyzzzz_yyyyyyyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 891); 

                auto tg_xyzzzz_yyyyyyyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 892); 

                auto tg_xyzzzz_yyyyyyzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 893); 

                auto tg_xyzzzz_yyyyyzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 894); 

                auto tg_xyzzzz_yyyyzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 895); 

                auto tg_xyzzzz_yyyzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 896); 

                auto tg_xyzzzz_yyzzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 897); 

                auto tg_xyzzzz_yzzzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 898); 

                auto tg_xyzzzz_zzzzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 899); 

                auto tg_xzzzzz_xxxxxxxx_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 900); 

                auto tg_xzzzzz_xxxxxxxy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 901); 

                auto tg_xzzzzz_xxxxxxxz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 902); 

                auto tg_xzzzzz_xxxxxxyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 903); 

                auto tg_xzzzzz_xxxxxxyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 904); 

                auto tg_xzzzzz_xxxxxxzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 905); 

                auto tg_xzzzzz_xxxxxyyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 906); 

                auto tg_xzzzzz_xxxxxyyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 907); 

                auto tg_xzzzzz_xxxxxyzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 908); 

                auto tg_xzzzzz_xxxxxzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 909); 

                auto tg_xzzzzz_xxxxyyyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 910); 

                auto tg_xzzzzz_xxxxyyyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 911); 

                auto tg_xzzzzz_xxxxyyzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 912); 

                auto tg_xzzzzz_xxxxyzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 913); 

                auto tg_xzzzzz_xxxxzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 914); 

                auto tg_xzzzzz_xxxyyyyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 915); 

                auto tg_xzzzzz_xxxyyyyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 916); 

                auto tg_xzzzzz_xxxyyyzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 917); 

                auto tg_xzzzzz_xxxyyzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 918); 

                auto tg_xzzzzz_xxxyzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 919); 

                auto tg_xzzzzz_xxxzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 920); 

                auto tg_xzzzzz_xxyyyyyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 921); 

                auto tg_xzzzzz_xxyyyyyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 922); 

                auto tg_xzzzzz_xxyyyyzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 923); 

                auto tg_xzzzzz_xxyyyzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 924); 

                auto tg_xzzzzz_xxyyzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 925); 

                auto tg_xzzzzz_xxyzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 926); 

                auto tg_xzzzzz_xxzzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 927); 

                auto tg_xzzzzz_xyyyyyyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 928); 

                auto tg_xzzzzz_xyyyyyyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 929); 

                auto tg_xzzzzz_xyyyyyzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 930); 

                auto tg_xzzzzz_xyyyyzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 931); 

                auto tg_xzzzzz_xyyyzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 932); 

                auto tg_xzzzzz_xyyzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 933); 

                auto tg_xzzzzz_xyzzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 934); 

                auto tg_xzzzzz_xzzzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 935); 

                auto tg_xzzzzz_yyyyyyyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 936); 

                auto tg_xzzzzz_yyyyyyyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 937); 

                auto tg_xzzzzz_yyyyyyzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 938); 

                auto tg_xzzzzz_yyyyyzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 939); 

                auto tg_xzzzzz_yyyyzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 940); 

                auto tg_xzzzzz_yyyzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 941); 

                auto tg_xzzzzz_yyzzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 942); 

                auto tg_xzzzzz_yzzzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 943); 

                auto tg_xzzzzz_zzzzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 944); 

                auto tg_yyyyyy_xxxxxxxx_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 945); 

                auto tg_yyyyyy_xxxxxxxy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 946); 

                auto tg_yyyyyy_xxxxxxxz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 947); 

                auto tg_yyyyyy_xxxxxxyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 948); 

                auto tg_yyyyyy_xxxxxxyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 949); 

                auto tg_yyyyyy_xxxxxxzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 950); 

                auto tg_yyyyyy_xxxxxyyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 951); 

                auto tg_yyyyyy_xxxxxyyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 952); 

                auto tg_yyyyyy_xxxxxyzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 953); 

                auto tg_yyyyyy_xxxxxzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 954); 

                auto tg_yzzzz_xxxxxxzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 860); 

                auto tg_yzzzz_xxxxxyyy_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 861); 

                auto tg_yzzzz_xxxxxyyz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 862); 

                auto tg_yzzzz_xxxxxyzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 863); 

                auto tg_yzzzz_xxxxxzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 864); 

                auto tg_yzzzz_xxxxyyyy_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 865); 

                auto tg_yzzzz_xxxxyyyz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 866); 

                auto tg_yzzzz_xxxxyyzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 867); 

                auto tg_yzzzz_xxxxyzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 868); 

                auto tg_yzzzz_xxxxzzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 869); 

                auto tg_yzzzz_xxxyyyyy_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 870); 

                auto tg_yzzzz_xxxyyyyz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 871); 

                auto tg_yzzzz_xxxyyyzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 872); 

                auto tg_yzzzz_xxxyyzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 873); 

                auto tg_yzzzz_xxxyzzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 874); 

                auto tg_yzzzz_xxxzzzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 875); 

                auto tg_yzzzz_xxyyyyyy_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 876); 

                auto tg_yzzzz_xxyyyyyz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 877); 

                auto tg_yzzzz_xxyyyyzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 878); 

                auto tg_yzzzz_xxyyyzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 879); 

                auto tg_yzzzz_xxyyzzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 880); 

                auto tg_yzzzz_xxyzzzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 881); 

                auto tg_yzzzz_xxzzzzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 882); 

                auto tg_yzzzz_xyyyyyyy_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 883); 

                auto tg_yzzzz_xyyyyyyz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 884); 

                auto tg_yzzzz_xyyyyyzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 885); 

                auto tg_yzzzz_xyyyyzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 886); 

                auto tg_yzzzz_xyyyzzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 887); 

                auto tg_yzzzz_xyyzzzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 888); 

                auto tg_yzzzz_xyzzzzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 889); 

                auto tg_yzzzz_xzzzzzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 890); 

                auto tg_yzzzz_yyyyyyyy_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 891); 

                auto tg_yzzzz_yyyyyyyz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 892); 

                auto tg_yzzzz_yyyyyyzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 893); 

                auto tg_yzzzz_yyyyyzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 894); 

                auto tg_yzzzz_yyyyzzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 895); 

                auto tg_yzzzz_yyyzzzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 896); 

                auto tg_yzzzz_yyzzzzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 897); 

                auto tg_yzzzz_yzzzzzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 898); 

                auto tg_yzzzz_zzzzzzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 899); 

                auto tg_zzzzz_xxxxxxxx_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 900); 

                auto tg_zzzzz_xxxxxxxy_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 901); 

                auto tg_zzzzz_xxxxxxxz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 902); 

                auto tg_zzzzz_xxxxxxyy_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 903); 

                auto tg_zzzzz_xxxxxxyz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 904); 

                auto tg_zzzzz_xxxxxxzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 905); 

                auto tg_zzzzz_xxxxxyyy_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 906); 

                auto tg_zzzzz_xxxxxyyz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 907); 

                auto tg_zzzzz_xxxxxyzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 908); 

                auto tg_zzzzz_xxxxxzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 909); 

                auto tg_zzzzz_xxxxyyyy_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 910); 

                auto tg_zzzzz_xxxxyyyz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 911); 

                auto tg_zzzzz_xxxxyyzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 912); 

                auto tg_zzzzz_xxxxyzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 913); 

                auto tg_zzzzz_xxxxzzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 914); 

                auto tg_zzzzz_xxxyyyyy_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 915); 

                auto tg_zzzzz_xxxyyyyz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 916); 

                auto tg_zzzzz_xxxyyyzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 917); 

                auto tg_zzzzz_xxxyyzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 918); 

                auto tg_zzzzz_xxxyzzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 919); 

                auto tg_zzzzz_xxxzzzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 920); 

                auto tg_zzzzz_xxyyyyyy_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 921); 

                auto tg_zzzzz_xxyyyyyz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 922); 

                auto tg_zzzzz_xxyyyyzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 923); 

                auto tg_zzzzz_xxyyyzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 924); 

                auto tg_zzzzz_xxyyzzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 925); 

                auto tg_zzzzz_xxyzzzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 926); 

                auto tg_zzzzz_xxzzzzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 927); 

                auto tg_zzzzz_xyyyyyyy_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 928); 

                auto tg_zzzzz_xyyyyyyz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 929); 

                auto tg_zzzzz_xyyyyyzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 930); 

                auto tg_zzzzz_xyyyyzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 931); 

                auto tg_zzzzz_xyyyzzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 932); 

                auto tg_zzzzz_xyyzzzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 933); 

                auto tg_zzzzz_xyzzzzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 934); 

                auto tg_zzzzz_xzzzzzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 935); 

                auto tg_zzzzz_yyyyyyyy_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 936); 

                auto tg_zzzzz_yyyyyyyz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 937); 

                auto tg_zzzzz_yyyyyyzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 938); 

                auto tg_zzzzz_yyyyyzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 939); 

                auto tg_zzzzz_yyyyzzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 940); 

                auto tg_zzzzz_yyyzzzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 941); 

                auto tg_zzzzz_yyzzzzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 942); 

                auto tg_zzzzz_yzzzzzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 943); 

                auto tg_zzzzz_zzzzzzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 944); 

                auto tg_yzzzz_xxxxxxzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 860); 

                auto tg_yzzzz_xxxxxyyy_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 861); 

                auto tg_yzzzz_xxxxxyyz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 862); 

                auto tg_yzzzz_xxxxxyzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 863); 

                auto tg_yzzzz_xxxxxzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 864); 

                auto tg_yzzzz_xxxxyyyy_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 865); 

                auto tg_yzzzz_xxxxyyyz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 866); 

                auto tg_yzzzz_xxxxyyzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 867); 

                auto tg_yzzzz_xxxxyzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 868); 

                auto tg_yzzzz_xxxxzzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 869); 

                auto tg_yzzzz_xxxyyyyy_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 870); 

                auto tg_yzzzz_xxxyyyyz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 871); 

                auto tg_yzzzz_xxxyyyzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 872); 

                auto tg_yzzzz_xxxyyzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 873); 

                auto tg_yzzzz_xxxyzzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 874); 

                auto tg_yzzzz_xxxzzzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 875); 

                auto tg_yzzzz_xxyyyyyy_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 876); 

                auto tg_yzzzz_xxyyyyyz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 877); 

                auto tg_yzzzz_xxyyyyzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 878); 

                auto tg_yzzzz_xxyyyzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 879); 

                auto tg_yzzzz_xxyyzzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 880); 

                auto tg_yzzzz_xxyzzzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 881); 

                auto tg_yzzzz_xxzzzzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 882); 

                auto tg_yzzzz_xyyyyyyy_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 883); 

                auto tg_yzzzz_xyyyyyyz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 884); 

                auto tg_yzzzz_xyyyyyzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 885); 

                auto tg_yzzzz_xyyyyzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 886); 

                auto tg_yzzzz_xyyyzzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 887); 

                auto tg_yzzzz_xyyzzzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 888); 

                auto tg_yzzzz_xyzzzzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 889); 

                auto tg_yzzzz_xzzzzzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 890); 

                auto tg_yzzzz_yyyyyyyy_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 891); 

                auto tg_yzzzz_yyyyyyyz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 892); 

                auto tg_yzzzz_yyyyyyzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 893); 

                auto tg_yzzzz_yyyyyzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 894); 

                auto tg_yzzzz_yyyyzzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 895); 

                auto tg_yzzzz_yyyzzzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 896); 

                auto tg_yzzzz_yyzzzzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 897); 

                auto tg_yzzzz_yzzzzzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 898); 

                auto tg_yzzzz_zzzzzzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 899); 

                auto tg_zzzzz_xxxxxxxx_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 900); 

                auto tg_zzzzz_xxxxxxxy_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 901); 

                auto tg_zzzzz_xxxxxxxz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 902); 

                auto tg_zzzzz_xxxxxxyy_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 903); 

                auto tg_zzzzz_xxxxxxyz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 904); 

                auto tg_zzzzz_xxxxxxzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 905); 

                auto tg_zzzzz_xxxxxyyy_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 906); 

                auto tg_zzzzz_xxxxxyyz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 907); 

                auto tg_zzzzz_xxxxxyzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 908); 

                auto tg_zzzzz_xxxxxzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 909); 

                auto tg_zzzzz_xxxxyyyy_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 910); 

                auto tg_zzzzz_xxxxyyyz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 911); 

                auto tg_zzzzz_xxxxyyzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 912); 

                auto tg_zzzzz_xxxxyzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 913); 

                auto tg_zzzzz_xxxxzzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 914); 

                auto tg_zzzzz_xxxyyyyy_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 915); 

                auto tg_zzzzz_xxxyyyyz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 916); 

                auto tg_zzzzz_xxxyyyzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 917); 

                auto tg_zzzzz_xxxyyzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 918); 

                auto tg_zzzzz_xxxyzzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 919); 

                auto tg_zzzzz_xxxzzzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 920); 

                auto tg_zzzzz_xxyyyyyy_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 921); 

                auto tg_zzzzz_xxyyyyyz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 922); 

                auto tg_zzzzz_xxyyyyzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 923); 

                auto tg_zzzzz_xxyyyzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 924); 

                auto tg_zzzzz_xxyyzzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 925); 

                auto tg_zzzzz_xxyzzzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 926); 

                auto tg_zzzzz_xxzzzzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 927); 

                auto tg_zzzzz_xyyyyyyy_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 928); 

                auto tg_zzzzz_xyyyyyyz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 929); 

                auto tg_zzzzz_xyyyyyzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 930); 

                auto tg_zzzzz_xyyyyzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 931); 

                auto tg_zzzzz_xyyyzzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 932); 

                auto tg_zzzzz_xyyzzzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 933); 

                auto tg_zzzzz_xyzzzzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 934); 

                auto tg_zzzzz_xzzzzzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 935); 

                auto tg_zzzzz_yyyyyyyy_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 936); 

                auto tg_zzzzz_yyyyyyyz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 937); 

                auto tg_zzzzz_yyyyyyzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 938); 

                auto tg_zzzzz_yyyyyzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 939); 

                auto tg_zzzzz_yyyyzzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 940); 

                auto tg_zzzzz_yyyzzzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 941); 

                auto tg_zzzzz_yyzzzzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 942); 

                auto tg_zzzzz_yzzzzzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 943); 

                auto tg_zzzzz_zzzzzzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 944); 

                auto tg_xyzzzz_xxxxxzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 689); 

                auto tg_xyzzzz_xxxxyyy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 690); 

                auto tg_xyzzzz_xxxxyyz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 691); 

                auto tg_xyzzzz_xxxxyzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 692); 

                auto tg_xyzzzz_xxxxzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 693); 

                auto tg_xyzzzz_xxxyyyy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 694); 

                auto tg_xyzzzz_xxxyyyz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 695); 

                auto tg_xyzzzz_xxxyyzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 696); 

                auto tg_xyzzzz_xxxyzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 697); 

                auto tg_xyzzzz_xxxzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 698); 

                auto tg_xyzzzz_xxyyyyy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 699); 

                auto tg_xyzzzz_xxyyyyz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 700); 

                auto tg_xyzzzz_xxyyyzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 701); 

                auto tg_xyzzzz_xxyyzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 702); 

                auto tg_xyzzzz_xxyzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 703); 

                auto tg_xyzzzz_xxzzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 704); 

                auto tg_xyzzzz_xyyyyyy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 705); 

                auto tg_xyzzzz_xyyyyyz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 706); 

                auto tg_xyzzzz_xyyyyzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 707); 

                auto tg_xyzzzz_xyyyzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 708); 

                auto tg_xyzzzz_xyyzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 709); 

                auto tg_xyzzzz_xyzzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 710); 

                auto tg_xyzzzz_xzzzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 711); 

                auto tg_xyzzzz_yyyyyyy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 712); 

                auto tg_xyzzzz_yyyyyyz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 713); 

                auto tg_xyzzzz_yyyyyzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 714); 

                auto tg_xyzzzz_yyyyzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 715); 

                auto tg_xyzzzz_yyyzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 716); 

                auto tg_xyzzzz_yyzzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 717); 

                auto tg_xyzzzz_yzzzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 718); 

                auto tg_xyzzzz_zzzzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 719); 

                auto tg_xzzzzz_xxxxxxx_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 720); 

                auto tg_xzzzzz_xxxxxxy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 721); 

                auto tg_xzzzzz_xxxxxxz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 722); 

                auto tg_xzzzzz_xxxxxyy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 723); 

                auto tg_xzzzzz_xxxxxyz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 724); 

                auto tg_xzzzzz_xxxxxzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 725); 

                auto tg_xzzzzz_xxxxyyy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 726); 

                auto tg_xzzzzz_xxxxyyz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 727); 

                auto tg_xzzzzz_xxxxyzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 728); 

                auto tg_xzzzzz_xxxxzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 729); 

                auto tg_xzzzzz_xxxyyyy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 730); 

                auto tg_xzzzzz_xxxyyyz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 731); 

                auto tg_xzzzzz_xxxyyzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 732); 

                auto tg_xzzzzz_xxxyzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 733); 

                auto tg_xzzzzz_xxxzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 734); 

                auto tg_xzzzzz_xxyyyyy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 735); 

                auto tg_xzzzzz_xxyyyyz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 736); 

                auto tg_xzzzzz_xxyyyzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 737); 

                auto tg_xzzzzz_xxyyzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 738); 

                auto tg_xzzzzz_xxyzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 739); 

                auto tg_xzzzzz_xxzzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 740); 

                auto tg_xzzzzz_xyyyyyy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 741); 

                auto tg_xzzzzz_xyyyyyz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 742); 

                auto tg_xzzzzz_xyyyyzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 743); 

                auto tg_xzzzzz_xyyyzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 744); 

                auto tg_xzzzzz_xyyzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 745); 

                auto tg_xzzzzz_xyzzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 746); 

                auto tg_xzzzzz_xzzzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 747); 

                auto tg_xzzzzz_yyyyyyy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 748); 

                auto tg_xzzzzz_yyyyyyz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 749); 

                auto tg_xzzzzz_yyyyyzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 750); 

                auto tg_xzzzzz_yyyyzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 751); 

                auto tg_xzzzzz_yyyzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 752); 

                auto tg_xzzzzz_yyzzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 753); 

                auto tg_xzzzzz_yzzzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 754); 

                auto tg_xzzzzz_zzzzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 755); 

                auto tg_yyyyyy_xxxxxxx_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 756); 

                auto tg_yyyyyy_xxxxxxy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 757); 

                auto tg_yyyyyy_xxxxxxz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 758); 

                auto tg_yyyyyy_xxxxxyy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 759); 

                auto tg_yyyyyy_xxxxxyz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 760); 

                auto tg_yyyyyy_xxxxxzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 761); 

                auto tg_yyyyyy_xxxxyyy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 762); 

                auto tg_yyyyyy_xxxxyyz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 763); 

                auto tg_yyyyyy_xxxxyzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 764); 

                auto tg_yyyyyy_xxxxzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 765); 

                // set up pointers to integrals

                auto tg_xxyzzzz_xxxxxxzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 860); 

                auto tg_xxyzzzz_xxxxxyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 861); 

                auto tg_xxyzzzz_xxxxxyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 862); 

                auto tg_xxyzzzz_xxxxxyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 863); 

                auto tg_xxyzzzz_xxxxxzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 864); 

                auto tg_xxyzzzz_xxxxyyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 865); 

                auto tg_xxyzzzz_xxxxyyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 866); 

                auto tg_xxyzzzz_xxxxyyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 867); 

                auto tg_xxyzzzz_xxxxyzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 868); 

                auto tg_xxyzzzz_xxxxzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 869); 

                auto tg_xxyzzzz_xxxyyyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 870); 

                auto tg_xxyzzzz_xxxyyyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 871); 

                auto tg_xxyzzzz_xxxyyyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 872); 

                auto tg_xxyzzzz_xxxyyzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 873); 

                auto tg_xxyzzzz_xxxyzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 874); 

                auto tg_xxyzzzz_xxxzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 875); 

                auto tg_xxyzzzz_xxyyyyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 876); 

                auto tg_xxyzzzz_xxyyyyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 877); 

                auto tg_xxyzzzz_xxyyyyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 878); 

                auto tg_xxyzzzz_xxyyyzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 879); 

                auto tg_xxyzzzz_xxyyzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 880); 

                auto tg_xxyzzzz_xxyzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 881); 

                auto tg_xxyzzzz_xxzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 882); 

                auto tg_xxyzzzz_xyyyyyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 883); 

                auto tg_xxyzzzz_xyyyyyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 884); 

                auto tg_xxyzzzz_xyyyyyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 885); 

                auto tg_xxyzzzz_xyyyyzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 886); 

                auto tg_xxyzzzz_xyyyzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 887); 

                auto tg_xxyzzzz_xyyzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 888); 

                auto tg_xxyzzzz_xyzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 889); 

                auto tg_xxyzzzz_xzzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 890); 

                auto tg_xxyzzzz_yyyyyyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 891); 

                auto tg_xxyzzzz_yyyyyyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 892); 

                auto tg_xxyzzzz_yyyyyyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 893); 

                auto tg_xxyzzzz_yyyyyzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 894); 

                auto tg_xxyzzzz_yyyyzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 895); 

                auto tg_xxyzzzz_yyyzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 896); 

                auto tg_xxyzzzz_yyzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 897); 

                auto tg_xxyzzzz_yzzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 898); 

                auto tg_xxyzzzz_zzzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 899); 

                auto tg_xxzzzzz_xxxxxxxx_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 900); 

                auto tg_xxzzzzz_xxxxxxxy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 901); 

                auto tg_xxzzzzz_xxxxxxxz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 902); 

                auto tg_xxzzzzz_xxxxxxyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 903); 

                auto tg_xxzzzzz_xxxxxxyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 904); 

                auto tg_xxzzzzz_xxxxxxzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 905); 

                auto tg_xxzzzzz_xxxxxyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 906); 

                auto tg_xxzzzzz_xxxxxyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 907); 

                auto tg_xxzzzzz_xxxxxyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 908); 

                auto tg_xxzzzzz_xxxxxzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 909); 

                auto tg_xxzzzzz_xxxxyyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 910); 

                auto tg_xxzzzzz_xxxxyyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 911); 

                auto tg_xxzzzzz_xxxxyyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 912); 

                auto tg_xxzzzzz_xxxxyzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 913); 

                auto tg_xxzzzzz_xxxxzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 914); 

                auto tg_xxzzzzz_xxxyyyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 915); 

                auto tg_xxzzzzz_xxxyyyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 916); 

                auto tg_xxzzzzz_xxxyyyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 917); 

                auto tg_xxzzzzz_xxxyyzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 918); 

                auto tg_xxzzzzz_xxxyzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 919); 

                auto tg_xxzzzzz_xxxzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 920); 

                auto tg_xxzzzzz_xxyyyyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 921); 

                auto tg_xxzzzzz_xxyyyyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 922); 

                auto tg_xxzzzzz_xxyyyyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 923); 

                auto tg_xxzzzzz_xxyyyzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 924); 

                auto tg_xxzzzzz_xxyyzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 925); 

                auto tg_xxzzzzz_xxyzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 926); 

                auto tg_xxzzzzz_xxzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 927); 

                auto tg_xxzzzzz_xyyyyyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 928); 

                auto tg_xxzzzzz_xyyyyyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 929); 

                auto tg_xxzzzzz_xyyyyyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 930); 

                auto tg_xxzzzzz_xyyyyzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 931); 

                auto tg_xxzzzzz_xyyyzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 932); 

                auto tg_xxzzzzz_xyyzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 933); 

                auto tg_xxzzzzz_xyzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 934); 

                auto tg_xxzzzzz_xzzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 935); 

                auto tg_xxzzzzz_yyyyyyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 936); 

                auto tg_xxzzzzz_yyyyyyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 937); 

                auto tg_xxzzzzz_yyyyyyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 938); 

                auto tg_xxzzzzz_yyyyyzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 939); 

                auto tg_xxzzzzz_yyyyzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 940); 

                auto tg_xxzzzzz_yyyzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 941); 

                auto tg_xxzzzzz_yyzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 942); 

                auto tg_xxzzzzz_yzzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 943); 

                auto tg_xxzzzzz_zzzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 944); 

                auto tg_xyyyyyy_xxxxxxxx_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 945); 

                auto tg_xyyyyyy_xxxxxxxy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 946); 

                auto tg_xyyyyyy_xxxxxxxz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 947); 

                auto tg_xyyyyyy_xxxxxxyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 948); 

                auto tg_xyyyyyy_xxxxxxyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 949); 

                auto tg_xyyyyyy_xxxxxxzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 950); 

                auto tg_xyyyyyy_xxxxxyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 951); 

                auto tg_xyyyyyy_xxxxxyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 952); 

                auto tg_xyyyyyy_xxxxxyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 953); 

                auto tg_xyyyyyy_xxxxxzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 954); 

                // Batch of Integrals (860,955)

                #pragma omp simd aligned(fxn, fza, tg_xxyzzzz_xxxxxxzz_0, tg_xxyzzzz_xxxxxyyy_0, \
                                         tg_xxyzzzz_xxxxxyyz_0, tg_xxyzzzz_xxxxxyzz_0, tg_xxyzzzz_xxxxxzzz_0, \
                                         tg_xxyzzzz_xxxxyyyy_0, tg_xxyzzzz_xxxxyyyz_0, tg_xxyzzzz_xxxxyyzz_0, \
                                         tg_xxyzzzz_xxxxyzzz_0, tg_xxyzzzz_xxxxzzzz_0, tg_xxyzzzz_xxxyyyyy_0, \
                                         tg_xxyzzzz_xxxyyyyz_0, tg_xxyzzzz_xxxyyyzz_0, tg_xxyzzzz_xxxyyzzz_0, \
                                         tg_xxyzzzz_xxxyzzzz_0, tg_xxyzzzz_xxxzzzzz_0, tg_xxyzzzz_xxyyyyyy_0, \
                                         tg_xxyzzzz_xxyyyyyz_0, tg_xxyzzzz_xxyyyyzz_0, tg_xxyzzzz_xxyyyzzz_0, \
                                         tg_xxyzzzz_xxyyzzzz_0, tg_xxyzzzz_xxyzzzzz_0, tg_xxyzzzz_xxzzzzzz_0, \
                                         tg_xxyzzzz_xyyyyyyy_0, tg_xxyzzzz_xyyyyyyz_0, tg_xxyzzzz_xyyyyyzz_0, \
                                         tg_xxyzzzz_xyyyyzzz_0, tg_xxyzzzz_xyyyzzzz_0, tg_xxyzzzz_xyyzzzzz_0, \
                                         tg_xxyzzzz_xyzzzzzz_0, tg_xxyzzzz_xzzzzzzz_0, tg_xxyzzzz_yyyyyyyy_0, \
                                         tg_xxyzzzz_yyyyyyyz_0, tg_xxyzzzz_yyyyyyzz_0, tg_xxyzzzz_yyyyyzzz_0, \
                                         tg_xxyzzzz_yyyyzzzz_0, tg_xxyzzzz_yyyzzzzz_0, tg_xxyzzzz_yyzzzzzz_0, \
                                         tg_xxyzzzz_yzzzzzzz_0, tg_xxyzzzz_zzzzzzzz_0, tg_xxzzzzz_xxxxxxxx_0, \
                                         tg_xxzzzzz_xxxxxxxy_0, tg_xxzzzzz_xxxxxxxz_0, tg_xxzzzzz_xxxxxxyy_0, \
                                         tg_xxzzzzz_xxxxxxyz_0, tg_xxzzzzz_xxxxxxzz_0, tg_xxzzzzz_xxxxxyyy_0, \
                                         tg_xxzzzzz_xxxxxyyz_0, tg_xxzzzzz_xxxxxyzz_0, tg_xxzzzzz_xxxxxzzz_0, \
                                         tg_xxzzzzz_xxxxyyyy_0, tg_xxzzzzz_xxxxyyyz_0, tg_xxzzzzz_xxxxyyzz_0, \
                                         tg_xxzzzzz_xxxxyzzz_0, tg_xxzzzzz_xxxxzzzz_0, tg_xxzzzzz_xxxyyyyy_0, \
                                         tg_xxzzzzz_xxxyyyyz_0, tg_xxzzzzz_xxxyyyzz_0, tg_xxzzzzz_xxxyyzzz_0, \
                                         tg_xxzzzzz_xxxyzzzz_0, tg_xxzzzzz_xxxzzzzz_0, tg_xxzzzzz_xxyyyyyy_0, \
                                         tg_xxzzzzz_xxyyyyyz_0, tg_xxzzzzz_xxyyyyzz_0, tg_xxzzzzz_xxyyyzzz_0, \
                                         tg_xxzzzzz_xxyyzzzz_0, tg_xxzzzzz_xxyzzzzz_0, tg_xxzzzzz_xxzzzzzz_0, \
                                         tg_xxzzzzz_xyyyyyyy_0, tg_xxzzzzz_xyyyyyyz_0, tg_xxzzzzz_xyyyyyzz_0, \
                                         tg_xxzzzzz_xyyyyzzz_0, tg_xxzzzzz_xyyyzzzz_0, tg_xxzzzzz_xyyzzzzz_0, \
                                         tg_xxzzzzz_xyzzzzzz_0, tg_xxzzzzz_xzzzzzzz_0, tg_xxzzzzz_yyyyyyyy_0, \
                                         tg_xxzzzzz_yyyyyyyz_0, tg_xxzzzzz_yyyyyyzz_0, tg_xxzzzzz_yyyyyzzz_0, \
                                         tg_xxzzzzz_yyyyzzzz_0, tg_xxzzzzz_yyyzzzzz_0, tg_xxzzzzz_yyzzzzzz_0, \
                                         tg_xxzzzzz_yzzzzzzz_0, tg_xxzzzzz_zzzzzzzz_0, tg_xyyyyyy_xxxxxxxx_0, \
                                         tg_xyyyyyy_xxxxxxxy_0, tg_xyyyyyy_xxxxxxxz_0, tg_xyyyyyy_xxxxxxyy_0, \
                                         tg_xyyyyyy_xxxxxxyz_0, tg_xyyyyyy_xxxxxxzz_0, tg_xyyyyyy_xxxxxyyy_0, \
                                         tg_xyyyyyy_xxxxxyyz_0, tg_xyyyyyy_xxxxxyzz_0, tg_xyyyyyy_xxxxxzzz_0, \
                                         tg_xyzzzz_xxxxxxzz_0, tg_xyzzzz_xxxxxxzz_1, tg_xyzzzz_xxxxxyyy_0, tg_xyzzzz_xxxxxyyy_1, \
                                         tg_xyzzzz_xxxxxyyz_0, tg_xyzzzz_xxxxxyyz_1, tg_xyzzzz_xxxxxyzz_0, tg_xyzzzz_xxxxxyzz_1, \
                                         tg_xyzzzz_xxxxxzz_1, tg_xyzzzz_xxxxxzzz_0, tg_xyzzzz_xxxxxzzz_1, tg_xyzzzz_xxxxyyy_1, \
                                         tg_xyzzzz_xxxxyyyy_0, tg_xyzzzz_xxxxyyyy_1, tg_xyzzzz_xxxxyyyz_0, tg_xyzzzz_xxxxyyyz_1, \
                                         tg_xyzzzz_xxxxyyz_1, tg_xyzzzz_xxxxyyzz_0, tg_xyzzzz_xxxxyyzz_1, tg_xyzzzz_xxxxyzz_1, \
                                         tg_xyzzzz_xxxxyzzz_0, tg_xyzzzz_xxxxyzzz_1, tg_xyzzzz_xxxxzzz_1, tg_xyzzzz_xxxxzzzz_0, \
                                         tg_xyzzzz_xxxxzzzz_1, tg_xyzzzz_xxxyyyy_1, tg_xyzzzz_xxxyyyyy_0, tg_xyzzzz_xxxyyyyy_1, \
                                         tg_xyzzzz_xxxyyyyz_0, tg_xyzzzz_xxxyyyyz_1, tg_xyzzzz_xxxyyyz_1, tg_xyzzzz_xxxyyyzz_0, \
                                         tg_xyzzzz_xxxyyyzz_1, tg_xyzzzz_xxxyyzz_1, tg_xyzzzz_xxxyyzzz_0, tg_xyzzzz_xxxyyzzz_1, \
                                         tg_xyzzzz_xxxyzzz_1, tg_xyzzzz_xxxyzzzz_0, tg_xyzzzz_xxxyzzzz_1, tg_xyzzzz_xxxzzzz_1, \
                                         tg_xyzzzz_xxxzzzzz_0, tg_xyzzzz_xxxzzzzz_1, tg_xyzzzz_xxyyyyy_1, tg_xyzzzz_xxyyyyyy_0, \
                                         tg_xyzzzz_xxyyyyyy_1, tg_xyzzzz_xxyyyyyz_0, tg_xyzzzz_xxyyyyyz_1, tg_xyzzzz_xxyyyyz_1, \
                                         tg_xyzzzz_xxyyyyzz_0, tg_xyzzzz_xxyyyyzz_1, tg_xyzzzz_xxyyyzz_1, tg_xyzzzz_xxyyyzzz_0, \
                                         tg_xyzzzz_xxyyyzzz_1, tg_xyzzzz_xxyyzzz_1, tg_xyzzzz_xxyyzzzz_0, tg_xyzzzz_xxyyzzzz_1, \
                                         tg_xyzzzz_xxyzzzz_1, tg_xyzzzz_xxyzzzzz_0, tg_xyzzzz_xxyzzzzz_1, tg_xyzzzz_xxzzzzz_1, \
                                         tg_xyzzzz_xxzzzzzz_0, tg_xyzzzz_xxzzzzzz_1, tg_xyzzzz_xyyyyyy_1, tg_xyzzzz_xyyyyyyy_0, \
                                         tg_xyzzzz_xyyyyyyy_1, tg_xyzzzz_xyyyyyyz_0, tg_xyzzzz_xyyyyyyz_1, tg_xyzzzz_xyyyyyz_1, \
                                         tg_xyzzzz_xyyyyyzz_0, tg_xyzzzz_xyyyyyzz_1, tg_xyzzzz_xyyyyzz_1, tg_xyzzzz_xyyyyzzz_0, \
                                         tg_xyzzzz_xyyyyzzz_1, tg_xyzzzz_xyyyzzz_1, tg_xyzzzz_xyyyzzzz_0, tg_xyzzzz_xyyyzzzz_1, \
                                         tg_xyzzzz_xyyzzzz_1, tg_xyzzzz_xyyzzzzz_0, tg_xyzzzz_xyyzzzzz_1, tg_xyzzzz_xyzzzzz_1, \
                                         tg_xyzzzz_xyzzzzzz_0, tg_xyzzzz_xyzzzzzz_1, tg_xyzzzz_xzzzzzz_1, tg_xyzzzz_xzzzzzzz_0, \
                                         tg_xyzzzz_xzzzzzzz_1, tg_xyzzzz_yyyyyyy_1, tg_xyzzzz_yyyyyyyy_0, tg_xyzzzz_yyyyyyyy_1, \
                                         tg_xyzzzz_yyyyyyyz_0, tg_xyzzzz_yyyyyyyz_1, tg_xyzzzz_yyyyyyz_1, tg_xyzzzz_yyyyyyzz_0, \
                                         tg_xyzzzz_yyyyyyzz_1, tg_xyzzzz_yyyyyzz_1, tg_xyzzzz_yyyyyzzz_0, tg_xyzzzz_yyyyyzzz_1, \
                                         tg_xyzzzz_yyyyzzz_1, tg_xyzzzz_yyyyzzzz_0, tg_xyzzzz_yyyyzzzz_1, tg_xyzzzz_yyyzzzz_1, \
                                         tg_xyzzzz_yyyzzzzz_0, tg_xyzzzz_yyyzzzzz_1, tg_xyzzzz_yyzzzzz_1, tg_xyzzzz_yyzzzzzz_0, \
                                         tg_xyzzzz_yyzzzzzz_1, tg_xyzzzz_yzzzzzz_1, tg_xyzzzz_yzzzzzzz_0, tg_xyzzzz_yzzzzzzz_1, \
                                         tg_xyzzzz_zzzzzzz_1, tg_xyzzzz_zzzzzzzz_0, tg_xyzzzz_zzzzzzzz_1, tg_xzzzzz_xxxxxxx_1, \
                                         tg_xzzzzz_xxxxxxxx_0, tg_xzzzzz_xxxxxxxx_1, tg_xzzzzz_xxxxxxxy_0, tg_xzzzzz_xxxxxxxy_1, \
                                         tg_xzzzzz_xxxxxxxz_0, tg_xzzzzz_xxxxxxxz_1, tg_xzzzzz_xxxxxxy_1, tg_xzzzzz_xxxxxxyy_0, \
                                         tg_xzzzzz_xxxxxxyy_1, tg_xzzzzz_xxxxxxyz_0, tg_xzzzzz_xxxxxxyz_1, tg_xzzzzz_xxxxxxz_1, \
                                         tg_xzzzzz_xxxxxxzz_0, tg_xzzzzz_xxxxxxzz_1, tg_xzzzzz_xxxxxyy_1, tg_xzzzzz_xxxxxyyy_0, \
                                         tg_xzzzzz_xxxxxyyy_1, tg_xzzzzz_xxxxxyyz_0, tg_xzzzzz_xxxxxyyz_1, tg_xzzzzz_xxxxxyz_1, \
                                         tg_xzzzzz_xxxxxyzz_0, tg_xzzzzz_xxxxxyzz_1, tg_xzzzzz_xxxxxzz_1, tg_xzzzzz_xxxxxzzz_0, \
                                         tg_xzzzzz_xxxxxzzz_1, tg_xzzzzz_xxxxyyy_1, tg_xzzzzz_xxxxyyyy_0, tg_xzzzzz_xxxxyyyy_1, \
                                         tg_xzzzzz_xxxxyyyz_0, tg_xzzzzz_xxxxyyyz_1, tg_xzzzzz_xxxxyyz_1, tg_xzzzzz_xxxxyyzz_0, \
                                         tg_xzzzzz_xxxxyyzz_1, tg_xzzzzz_xxxxyzz_1, tg_xzzzzz_xxxxyzzz_0, tg_xzzzzz_xxxxyzzz_1, \
                                         tg_xzzzzz_xxxxzzz_1, tg_xzzzzz_xxxxzzzz_0, tg_xzzzzz_xxxxzzzz_1, tg_xzzzzz_xxxyyyy_1, \
                                         tg_xzzzzz_xxxyyyyy_0, tg_xzzzzz_xxxyyyyy_1, tg_xzzzzz_xxxyyyyz_0, tg_xzzzzz_xxxyyyyz_1, \
                                         tg_xzzzzz_xxxyyyz_1, tg_xzzzzz_xxxyyyzz_0, tg_xzzzzz_xxxyyyzz_1, tg_xzzzzz_xxxyyzz_1, \
                                         tg_xzzzzz_xxxyyzzz_0, tg_xzzzzz_xxxyyzzz_1, tg_xzzzzz_xxxyzzz_1, tg_xzzzzz_xxxyzzzz_0, \
                                         tg_xzzzzz_xxxyzzzz_1, tg_xzzzzz_xxxzzzz_1, tg_xzzzzz_xxxzzzzz_0, tg_xzzzzz_xxxzzzzz_1, \
                                         tg_xzzzzz_xxyyyyy_1, tg_xzzzzz_xxyyyyyy_0, tg_xzzzzz_xxyyyyyy_1, tg_xzzzzz_xxyyyyyz_0, \
                                         tg_xzzzzz_xxyyyyyz_1, tg_xzzzzz_xxyyyyz_1, tg_xzzzzz_xxyyyyzz_0, tg_xzzzzz_xxyyyyzz_1, \
                                         tg_xzzzzz_xxyyyzz_1, tg_xzzzzz_xxyyyzzz_0, tg_xzzzzz_xxyyyzzz_1, tg_xzzzzz_xxyyzzz_1, \
                                         tg_xzzzzz_xxyyzzzz_0, tg_xzzzzz_xxyyzzzz_1, tg_xzzzzz_xxyzzzz_1, tg_xzzzzz_xxyzzzzz_0, \
                                         tg_xzzzzz_xxyzzzzz_1, tg_xzzzzz_xxzzzzz_1, tg_xzzzzz_xxzzzzzz_0, tg_xzzzzz_xxzzzzzz_1, \
                                         tg_xzzzzz_xyyyyyy_1, tg_xzzzzz_xyyyyyyy_0, tg_xzzzzz_xyyyyyyy_1, tg_xzzzzz_xyyyyyyz_0, \
                                         tg_xzzzzz_xyyyyyyz_1, tg_xzzzzz_xyyyyyz_1, tg_xzzzzz_xyyyyyzz_0, tg_xzzzzz_xyyyyyzz_1, \
                                         tg_xzzzzz_xyyyyzz_1, tg_xzzzzz_xyyyyzzz_0, tg_xzzzzz_xyyyyzzz_1, tg_xzzzzz_xyyyzzz_1, \
                                         tg_xzzzzz_xyyyzzzz_0, tg_xzzzzz_xyyyzzzz_1, tg_xzzzzz_xyyzzzz_1, tg_xzzzzz_xyyzzzzz_0, \
                                         tg_xzzzzz_xyyzzzzz_1, tg_xzzzzz_xyzzzzz_1, tg_xzzzzz_xyzzzzzz_0, tg_xzzzzz_xyzzzzzz_1, \
                                         tg_xzzzzz_xzzzzzz_1, tg_xzzzzz_xzzzzzzz_0, tg_xzzzzz_xzzzzzzz_1, tg_xzzzzz_yyyyyyy_1, \
                                         tg_xzzzzz_yyyyyyyy_0, tg_xzzzzz_yyyyyyyy_1, tg_xzzzzz_yyyyyyyz_0, tg_xzzzzz_yyyyyyyz_1, \
                                         tg_xzzzzz_yyyyyyz_1, tg_xzzzzz_yyyyyyzz_0, tg_xzzzzz_yyyyyyzz_1, tg_xzzzzz_yyyyyzz_1, \
                                         tg_xzzzzz_yyyyyzzz_0, tg_xzzzzz_yyyyyzzz_1, tg_xzzzzz_yyyyzzz_1, tg_xzzzzz_yyyyzzzz_0, \
                                         tg_xzzzzz_yyyyzzzz_1, tg_xzzzzz_yyyzzzz_1, tg_xzzzzz_yyyzzzzz_0, tg_xzzzzz_yyyzzzzz_1, \
                                         tg_xzzzzz_yyzzzzz_1, tg_xzzzzz_yyzzzzzz_0, tg_xzzzzz_yyzzzzzz_1, tg_xzzzzz_yzzzzzz_1, \
                                         tg_xzzzzz_yzzzzzzz_0, tg_xzzzzz_yzzzzzzz_1, tg_xzzzzz_zzzzzzz_1, tg_xzzzzz_zzzzzzzz_0, \
                                         tg_xzzzzz_zzzzzzzz_1, tg_yyyyyy_xxxxxxx_1, tg_yyyyyy_xxxxxxxx_0, tg_yyyyyy_xxxxxxxx_1, \
                                         tg_yyyyyy_xxxxxxxy_0, tg_yyyyyy_xxxxxxxy_1, tg_yyyyyy_xxxxxxxz_0, tg_yyyyyy_xxxxxxxz_1, \
                                         tg_yyyyyy_xxxxxxy_1, tg_yyyyyy_xxxxxxyy_0, tg_yyyyyy_xxxxxxyy_1, tg_yyyyyy_xxxxxxyz_0, \
                                         tg_yyyyyy_xxxxxxyz_1, tg_yyyyyy_xxxxxxz_1, tg_yyyyyy_xxxxxxzz_0, tg_yyyyyy_xxxxxxzz_1, \
                                         tg_yyyyyy_xxxxxyy_1, tg_yyyyyy_xxxxxyyy_0, tg_yyyyyy_xxxxxyyy_1, tg_yyyyyy_xxxxxyyz_0, \
                                         tg_yyyyyy_xxxxxyyz_1, tg_yyyyyy_xxxxxyz_1, tg_yyyyyy_xxxxxyzz_0, tg_yyyyyy_xxxxxyzz_1, \
                                         tg_yyyyyy_xxxxxzz_1, tg_yyyyyy_xxxxxzzz_0, tg_yyyyyy_xxxxxzzz_1, tg_yyyyyy_xxxxyyy_1, \
                                         tg_yyyyyy_xxxxyyz_1, tg_yyyyyy_xxxxyzz_1, tg_yyyyyy_xxxxzzz_1, tg_yzzzz_xxxxxxzz_0, \
                                         tg_yzzzz_xxxxxxzz_1, tg_yzzzz_xxxxxyyy_0, tg_yzzzz_xxxxxyyy_1, tg_yzzzz_xxxxxyyz_0, \
                                         tg_yzzzz_xxxxxyyz_1, tg_yzzzz_xxxxxyzz_0, tg_yzzzz_xxxxxyzz_1, tg_yzzzz_xxxxxzzz_0, \
                                         tg_yzzzz_xxxxxzzz_1, tg_yzzzz_xxxxyyyy_0, tg_yzzzz_xxxxyyyy_1, tg_yzzzz_xxxxyyyz_0, \
                                         tg_yzzzz_xxxxyyyz_1, tg_yzzzz_xxxxyyzz_0, tg_yzzzz_xxxxyyzz_1, tg_yzzzz_xxxxyzzz_0, \
                                         tg_yzzzz_xxxxyzzz_1, tg_yzzzz_xxxxzzzz_0, tg_yzzzz_xxxxzzzz_1, tg_yzzzz_xxxyyyyy_0, \
                                         tg_yzzzz_xxxyyyyy_1, tg_yzzzz_xxxyyyyz_0, tg_yzzzz_xxxyyyyz_1, tg_yzzzz_xxxyyyzz_0, \
                                         tg_yzzzz_xxxyyyzz_1, tg_yzzzz_xxxyyzzz_0, tg_yzzzz_xxxyyzzz_1, tg_yzzzz_xxxyzzzz_0, \
                                         tg_yzzzz_xxxyzzzz_1, tg_yzzzz_xxxzzzzz_0, tg_yzzzz_xxxzzzzz_1, tg_yzzzz_xxyyyyyy_0, \
                                         tg_yzzzz_xxyyyyyy_1, tg_yzzzz_xxyyyyyz_0, tg_yzzzz_xxyyyyyz_1, tg_yzzzz_xxyyyyzz_0, \
                                         tg_yzzzz_xxyyyyzz_1, tg_yzzzz_xxyyyzzz_0, tg_yzzzz_xxyyyzzz_1, tg_yzzzz_xxyyzzzz_0, \
                                         tg_yzzzz_xxyyzzzz_1, tg_yzzzz_xxyzzzzz_0, tg_yzzzz_xxyzzzzz_1, tg_yzzzz_xxzzzzzz_0, \
                                         tg_yzzzz_xxzzzzzz_1, tg_yzzzz_xyyyyyyy_0, tg_yzzzz_xyyyyyyy_1, tg_yzzzz_xyyyyyyz_0, \
                                         tg_yzzzz_xyyyyyyz_1, tg_yzzzz_xyyyyyzz_0, tg_yzzzz_xyyyyyzz_1, tg_yzzzz_xyyyyzzz_0, \
                                         tg_yzzzz_xyyyyzzz_1, tg_yzzzz_xyyyzzzz_0, tg_yzzzz_xyyyzzzz_1, tg_yzzzz_xyyzzzzz_0, \
                                         tg_yzzzz_xyyzzzzz_1, tg_yzzzz_xyzzzzzz_0, tg_yzzzz_xyzzzzzz_1, tg_yzzzz_xzzzzzzz_0, \
                                         tg_yzzzz_xzzzzzzz_1, tg_yzzzz_yyyyyyyy_0, tg_yzzzz_yyyyyyyy_1, tg_yzzzz_yyyyyyyz_0, \
                                         tg_yzzzz_yyyyyyyz_1, tg_yzzzz_yyyyyyzz_0, tg_yzzzz_yyyyyyzz_1, tg_yzzzz_yyyyyzzz_0, \
                                         tg_yzzzz_yyyyyzzz_1, tg_yzzzz_yyyyzzzz_0, tg_yzzzz_yyyyzzzz_1, tg_yzzzz_yyyzzzzz_0, \
                                         tg_yzzzz_yyyzzzzz_1, tg_yzzzz_yyzzzzzz_0, tg_yzzzz_yyzzzzzz_1, tg_yzzzz_yzzzzzzz_0, \
                                         tg_yzzzz_yzzzzzzz_1, tg_yzzzz_zzzzzzzz_0, tg_yzzzz_zzzzzzzz_1, tg_zzzzz_xxxxxxxx_0, \
                                         tg_zzzzz_xxxxxxxx_1, tg_zzzzz_xxxxxxxy_0, tg_zzzzz_xxxxxxxy_1, tg_zzzzz_xxxxxxxz_0, \
                                         tg_zzzzz_xxxxxxxz_1, tg_zzzzz_xxxxxxyy_0, tg_zzzzz_xxxxxxyy_1, tg_zzzzz_xxxxxxyz_0, \
                                         tg_zzzzz_xxxxxxyz_1, tg_zzzzz_xxxxxxzz_0, tg_zzzzz_xxxxxxzz_1, tg_zzzzz_xxxxxyyy_0, \
                                         tg_zzzzz_xxxxxyyy_1, tg_zzzzz_xxxxxyyz_0, tg_zzzzz_xxxxxyyz_1, tg_zzzzz_xxxxxyzz_0, \
                                         tg_zzzzz_xxxxxyzz_1, tg_zzzzz_xxxxxzzz_0, tg_zzzzz_xxxxxzzz_1, tg_zzzzz_xxxxyyyy_0, \
                                         tg_zzzzz_xxxxyyyy_1, tg_zzzzz_xxxxyyyz_0, tg_zzzzz_xxxxyyyz_1, tg_zzzzz_xxxxyyzz_0, \
                                         tg_zzzzz_xxxxyyzz_1, tg_zzzzz_xxxxyzzz_0, tg_zzzzz_xxxxyzzz_1, tg_zzzzz_xxxxzzzz_0, \
                                         tg_zzzzz_xxxxzzzz_1, tg_zzzzz_xxxyyyyy_0, tg_zzzzz_xxxyyyyy_1, tg_zzzzz_xxxyyyyz_0, \
                                         tg_zzzzz_xxxyyyyz_1, tg_zzzzz_xxxyyyzz_0, tg_zzzzz_xxxyyyzz_1, tg_zzzzz_xxxyyzzz_0, \
                                         tg_zzzzz_xxxyyzzz_1, tg_zzzzz_xxxyzzzz_0, tg_zzzzz_xxxyzzzz_1, tg_zzzzz_xxxzzzzz_0, \
                                         tg_zzzzz_xxxzzzzz_1, tg_zzzzz_xxyyyyyy_0, tg_zzzzz_xxyyyyyy_1, tg_zzzzz_xxyyyyyz_0, \
                                         tg_zzzzz_xxyyyyyz_1, tg_zzzzz_xxyyyyzz_0, tg_zzzzz_xxyyyyzz_1, tg_zzzzz_xxyyyzzz_0, \
                                         tg_zzzzz_xxyyyzzz_1, tg_zzzzz_xxyyzzzz_0, tg_zzzzz_xxyyzzzz_1, tg_zzzzz_xxyzzzzz_0, \
                                         tg_zzzzz_xxyzzzzz_1, tg_zzzzz_xxzzzzzz_0, tg_zzzzz_xxzzzzzz_1, tg_zzzzz_xyyyyyyy_0, \
                                         tg_zzzzz_xyyyyyyy_1, tg_zzzzz_xyyyyyyz_0, tg_zzzzz_xyyyyyyz_1, tg_zzzzz_xyyyyyzz_0, \
                                         tg_zzzzz_xyyyyyzz_1, tg_zzzzz_xyyyyzzz_0, tg_zzzzz_xyyyyzzz_1, tg_zzzzz_xyyyzzzz_0, \
                                         tg_zzzzz_xyyyzzzz_1, tg_zzzzz_xyyzzzzz_0, tg_zzzzz_xyyzzzzz_1, tg_zzzzz_xyzzzzzz_0, \
                                         tg_zzzzz_xyzzzzzz_1, tg_zzzzz_xzzzzzzz_0, tg_zzzzz_xzzzzzzz_1, tg_zzzzz_yyyyyyyy_0, \
                                         tg_zzzzz_yyyyyyyy_1, tg_zzzzz_yyyyyyyz_0, tg_zzzzz_yyyyyyyz_1, tg_zzzzz_yyyyyyzz_0, \
                                         tg_zzzzz_yyyyyyzz_1, tg_zzzzz_yyyyyzzz_0, tg_zzzzz_yyyyyzzz_1, tg_zzzzz_yyyyzzzz_0, \
                                         tg_zzzzz_yyyyzzzz_1, tg_zzzzz_yyyzzzzz_0, tg_zzzzz_yyyzzzzz_1, tg_zzzzz_yyzzzzzz_0, \
                                         tg_zzzzz_yyzzzzzz_1, tg_zzzzz_yzzzzzzz_0, tg_zzzzz_yzzzzzzz_1, tg_zzzzz_zzzzzzzz_0, \
                                         tg_zzzzz_zzzzzzzz_1, wp_x: VLX_ALIGN)
                for (int32_t j = 0; j < nKetPrimPairs; j++)
                {
                    double fl1_fx = fx;

                    double fl1_fxn = fxn[j];

                    double fl1_fza = fza[j];

                    double fr = wp_x[j]; 

                    tg_xxyzzzz_xxxxxxzz_0[j] = pb_x * tg_xyzzzz_xxxxxxzz_0[j] + fr * tg_xyzzzz_xxxxxxzz_1[j] + 0.5 * fl1_fx * (tg_yzzzz_xxxxxxzz_0[j] - tg_yzzzz_xxxxxxzz_1[j] * fl1_fza) + 3.0 * fl1_fxn * tg_xyzzzz_xxxxxzz_1[j];

                    tg_xxyzzzz_xxxxxyyy_0[j] = pb_x * tg_xyzzzz_xxxxxyyy_0[j] + fr * tg_xyzzzz_xxxxxyyy_1[j] + 0.5 * fl1_fx * (tg_yzzzz_xxxxxyyy_0[j] - tg_yzzzz_xxxxxyyy_1[j] * fl1_fza) + 2.5 * fl1_fxn * tg_xyzzzz_xxxxyyy_1[j];

                    tg_xxyzzzz_xxxxxyyz_0[j] = pb_x * tg_xyzzzz_xxxxxyyz_0[j] + fr * tg_xyzzzz_xxxxxyyz_1[j] + 0.5 * fl1_fx * (tg_yzzzz_xxxxxyyz_0[j] - tg_yzzzz_xxxxxyyz_1[j] * fl1_fza) + 2.5 * fl1_fxn * tg_xyzzzz_xxxxyyz_1[j];

                    tg_xxyzzzz_xxxxxyzz_0[j] = pb_x * tg_xyzzzz_xxxxxyzz_0[j] + fr * tg_xyzzzz_xxxxxyzz_1[j] + 0.5 * fl1_fx * (tg_yzzzz_xxxxxyzz_0[j] - tg_yzzzz_xxxxxyzz_1[j] * fl1_fza) + 2.5 * fl1_fxn * tg_xyzzzz_xxxxyzz_1[j];

                    tg_xxyzzzz_xxxxxzzz_0[j] = pb_x * tg_xyzzzz_xxxxxzzz_0[j] + fr * tg_xyzzzz_xxxxxzzz_1[j] + 0.5 * fl1_fx * (tg_yzzzz_xxxxxzzz_0[j] - tg_yzzzz_xxxxxzzz_1[j] * fl1_fza) + 2.5 * fl1_fxn * tg_xyzzzz_xxxxzzz_1[j];

                    tg_xxyzzzz_xxxxyyyy_0[j] = pb_x * tg_xyzzzz_xxxxyyyy_0[j] + fr * tg_xyzzzz_xxxxyyyy_1[j] + 0.5 * fl1_fx * (tg_yzzzz_xxxxyyyy_0[j] - tg_yzzzz_xxxxyyyy_1[j] * fl1_fza) + 2.0 * fl1_fxn * tg_xyzzzz_xxxyyyy_1[j];

                    tg_xxyzzzz_xxxxyyyz_0[j] = pb_x * tg_xyzzzz_xxxxyyyz_0[j] + fr * tg_xyzzzz_xxxxyyyz_1[j] + 0.5 * fl1_fx * (tg_yzzzz_xxxxyyyz_0[j] - tg_yzzzz_xxxxyyyz_1[j] * fl1_fza) + 2.0 * fl1_fxn * tg_xyzzzz_xxxyyyz_1[j];

                    tg_xxyzzzz_xxxxyyzz_0[j] = pb_x * tg_xyzzzz_xxxxyyzz_0[j] + fr * tg_xyzzzz_xxxxyyzz_1[j] + 0.5 * fl1_fx * (tg_yzzzz_xxxxyyzz_0[j] - tg_yzzzz_xxxxyyzz_1[j] * fl1_fza) + 2.0 * fl1_fxn * tg_xyzzzz_xxxyyzz_1[j];

                    tg_xxyzzzz_xxxxyzzz_0[j] = pb_x * tg_xyzzzz_xxxxyzzz_0[j] + fr * tg_xyzzzz_xxxxyzzz_1[j] + 0.5 * fl1_fx * (tg_yzzzz_xxxxyzzz_0[j] - tg_yzzzz_xxxxyzzz_1[j] * fl1_fza) + 2.0 * fl1_fxn * tg_xyzzzz_xxxyzzz_1[j];

                    tg_xxyzzzz_xxxxzzzz_0[j] = pb_x * tg_xyzzzz_xxxxzzzz_0[j] + fr * tg_xyzzzz_xxxxzzzz_1[j] + 0.5 * fl1_fx * (tg_yzzzz_xxxxzzzz_0[j] - tg_yzzzz_xxxxzzzz_1[j] * fl1_fza) + 2.0 * fl1_fxn * tg_xyzzzz_xxxzzzz_1[j];

                    tg_xxyzzzz_xxxyyyyy_0[j] = pb_x * tg_xyzzzz_xxxyyyyy_0[j] + fr * tg_xyzzzz_xxxyyyyy_1[j] + 0.5 * fl1_fx * (tg_yzzzz_xxxyyyyy_0[j] - tg_yzzzz_xxxyyyyy_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_xyzzzz_xxyyyyy_1[j];

                    tg_xxyzzzz_xxxyyyyz_0[j] = pb_x * tg_xyzzzz_xxxyyyyz_0[j] + fr * tg_xyzzzz_xxxyyyyz_1[j] + 0.5 * fl1_fx * (tg_yzzzz_xxxyyyyz_0[j] - tg_yzzzz_xxxyyyyz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_xyzzzz_xxyyyyz_1[j];

                    tg_xxyzzzz_xxxyyyzz_0[j] = pb_x * tg_xyzzzz_xxxyyyzz_0[j] + fr * tg_xyzzzz_xxxyyyzz_1[j] + 0.5 * fl1_fx * (tg_yzzzz_xxxyyyzz_0[j] - tg_yzzzz_xxxyyyzz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_xyzzzz_xxyyyzz_1[j];

                    tg_xxyzzzz_xxxyyzzz_0[j] = pb_x * tg_xyzzzz_xxxyyzzz_0[j] + fr * tg_xyzzzz_xxxyyzzz_1[j] + 0.5 * fl1_fx * (tg_yzzzz_xxxyyzzz_0[j] - tg_yzzzz_xxxyyzzz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_xyzzzz_xxyyzzz_1[j];

                    tg_xxyzzzz_xxxyzzzz_0[j] = pb_x * tg_xyzzzz_xxxyzzzz_0[j] + fr * tg_xyzzzz_xxxyzzzz_1[j] + 0.5 * fl1_fx * (tg_yzzzz_xxxyzzzz_0[j] - tg_yzzzz_xxxyzzzz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_xyzzzz_xxyzzzz_1[j];

                    tg_xxyzzzz_xxxzzzzz_0[j] = pb_x * tg_xyzzzz_xxxzzzzz_0[j] + fr * tg_xyzzzz_xxxzzzzz_1[j] + 0.5 * fl1_fx * (tg_yzzzz_xxxzzzzz_0[j] - tg_yzzzz_xxxzzzzz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_xyzzzz_xxzzzzz_1[j];

                    tg_xxyzzzz_xxyyyyyy_0[j] = pb_x * tg_xyzzzz_xxyyyyyy_0[j] + fr * tg_xyzzzz_xxyyyyyy_1[j] + 0.5 * fl1_fx * (tg_yzzzz_xxyyyyyy_0[j] - tg_yzzzz_xxyyyyyy_1[j] * fl1_fza) + fl1_fxn * tg_xyzzzz_xyyyyyy_1[j];

                    tg_xxyzzzz_xxyyyyyz_0[j] = pb_x * tg_xyzzzz_xxyyyyyz_0[j] + fr * tg_xyzzzz_xxyyyyyz_1[j] + 0.5 * fl1_fx * (tg_yzzzz_xxyyyyyz_0[j] - tg_yzzzz_xxyyyyyz_1[j] * fl1_fza) + fl1_fxn * tg_xyzzzz_xyyyyyz_1[j];

                    tg_xxyzzzz_xxyyyyzz_0[j] = pb_x * tg_xyzzzz_xxyyyyzz_0[j] + fr * tg_xyzzzz_xxyyyyzz_1[j] + 0.5 * fl1_fx * (tg_yzzzz_xxyyyyzz_0[j] - tg_yzzzz_xxyyyyzz_1[j] * fl1_fza) + fl1_fxn * tg_xyzzzz_xyyyyzz_1[j];

                    tg_xxyzzzz_xxyyyzzz_0[j] = pb_x * tg_xyzzzz_xxyyyzzz_0[j] + fr * tg_xyzzzz_xxyyyzzz_1[j] + 0.5 * fl1_fx * (tg_yzzzz_xxyyyzzz_0[j] - tg_yzzzz_xxyyyzzz_1[j] * fl1_fza) + fl1_fxn * tg_xyzzzz_xyyyzzz_1[j];

                    tg_xxyzzzz_xxyyzzzz_0[j] = pb_x * tg_xyzzzz_xxyyzzzz_0[j] + fr * tg_xyzzzz_xxyyzzzz_1[j] + 0.5 * fl1_fx * (tg_yzzzz_xxyyzzzz_0[j] - tg_yzzzz_xxyyzzzz_1[j] * fl1_fza) + fl1_fxn * tg_xyzzzz_xyyzzzz_1[j];

                    tg_xxyzzzz_xxyzzzzz_0[j] = pb_x * tg_xyzzzz_xxyzzzzz_0[j] + fr * tg_xyzzzz_xxyzzzzz_1[j] + 0.5 * fl1_fx * (tg_yzzzz_xxyzzzzz_0[j] - tg_yzzzz_xxyzzzzz_1[j] * fl1_fza) + fl1_fxn * tg_xyzzzz_xyzzzzz_1[j];

                    tg_xxyzzzz_xxzzzzzz_0[j] = pb_x * tg_xyzzzz_xxzzzzzz_0[j] + fr * tg_xyzzzz_xxzzzzzz_1[j] + 0.5 * fl1_fx * (tg_yzzzz_xxzzzzzz_0[j] - tg_yzzzz_xxzzzzzz_1[j] * fl1_fza) + fl1_fxn * tg_xyzzzz_xzzzzzz_1[j];

                    tg_xxyzzzz_xyyyyyyy_0[j] = pb_x * tg_xyzzzz_xyyyyyyy_0[j] + fr * tg_xyzzzz_xyyyyyyy_1[j] + 0.5 * fl1_fx * (tg_yzzzz_xyyyyyyy_0[j] - tg_yzzzz_xyyyyyyy_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xyzzzz_yyyyyyy_1[j];

                    tg_xxyzzzz_xyyyyyyz_0[j] = pb_x * tg_xyzzzz_xyyyyyyz_0[j] + fr * tg_xyzzzz_xyyyyyyz_1[j] + 0.5 * fl1_fx * (tg_yzzzz_xyyyyyyz_0[j] - tg_yzzzz_xyyyyyyz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xyzzzz_yyyyyyz_1[j];

                    tg_xxyzzzz_xyyyyyzz_0[j] = pb_x * tg_xyzzzz_xyyyyyzz_0[j] + fr * tg_xyzzzz_xyyyyyzz_1[j] + 0.5 * fl1_fx * (tg_yzzzz_xyyyyyzz_0[j] - tg_yzzzz_xyyyyyzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xyzzzz_yyyyyzz_1[j];

                    tg_xxyzzzz_xyyyyzzz_0[j] = pb_x * tg_xyzzzz_xyyyyzzz_0[j] + fr * tg_xyzzzz_xyyyyzzz_1[j] + 0.5 * fl1_fx * (tg_yzzzz_xyyyyzzz_0[j] - tg_yzzzz_xyyyyzzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xyzzzz_yyyyzzz_1[j];

                    tg_xxyzzzz_xyyyzzzz_0[j] = pb_x * tg_xyzzzz_xyyyzzzz_0[j] + fr * tg_xyzzzz_xyyyzzzz_1[j] + 0.5 * fl1_fx * (tg_yzzzz_xyyyzzzz_0[j] - tg_yzzzz_xyyyzzzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xyzzzz_yyyzzzz_1[j];

                    tg_xxyzzzz_xyyzzzzz_0[j] = pb_x * tg_xyzzzz_xyyzzzzz_0[j] + fr * tg_xyzzzz_xyyzzzzz_1[j] + 0.5 * fl1_fx * (tg_yzzzz_xyyzzzzz_0[j] - tg_yzzzz_xyyzzzzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xyzzzz_yyzzzzz_1[j];

                    tg_xxyzzzz_xyzzzzzz_0[j] = pb_x * tg_xyzzzz_xyzzzzzz_0[j] + fr * tg_xyzzzz_xyzzzzzz_1[j] + 0.5 * fl1_fx * (tg_yzzzz_xyzzzzzz_0[j] - tg_yzzzz_xyzzzzzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xyzzzz_yzzzzzz_1[j];

                    tg_xxyzzzz_xzzzzzzz_0[j] = pb_x * tg_xyzzzz_xzzzzzzz_0[j] + fr * tg_xyzzzz_xzzzzzzz_1[j] + 0.5 * fl1_fx * (tg_yzzzz_xzzzzzzz_0[j] - tg_yzzzz_xzzzzzzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xyzzzz_zzzzzzz_1[j];

                    tg_xxyzzzz_yyyyyyyy_0[j] = pb_x * tg_xyzzzz_yyyyyyyy_0[j] + fr * tg_xyzzzz_yyyyyyyy_1[j] + 0.5 * fl1_fx * (tg_yzzzz_yyyyyyyy_0[j] - tg_yzzzz_yyyyyyyy_1[j] * fl1_fza);

                    tg_xxyzzzz_yyyyyyyz_0[j] = pb_x * tg_xyzzzz_yyyyyyyz_0[j] + fr * tg_xyzzzz_yyyyyyyz_1[j] + 0.5 * fl1_fx * (tg_yzzzz_yyyyyyyz_0[j] - tg_yzzzz_yyyyyyyz_1[j] * fl1_fza);

                    tg_xxyzzzz_yyyyyyzz_0[j] = pb_x * tg_xyzzzz_yyyyyyzz_0[j] + fr * tg_xyzzzz_yyyyyyzz_1[j] + 0.5 * fl1_fx * (tg_yzzzz_yyyyyyzz_0[j] - tg_yzzzz_yyyyyyzz_1[j] * fl1_fza);

                    tg_xxyzzzz_yyyyyzzz_0[j] = pb_x * tg_xyzzzz_yyyyyzzz_0[j] + fr * tg_xyzzzz_yyyyyzzz_1[j] + 0.5 * fl1_fx * (tg_yzzzz_yyyyyzzz_0[j] - tg_yzzzz_yyyyyzzz_1[j] * fl1_fza);

                    tg_xxyzzzz_yyyyzzzz_0[j] = pb_x * tg_xyzzzz_yyyyzzzz_0[j] + fr * tg_xyzzzz_yyyyzzzz_1[j] + 0.5 * fl1_fx * (tg_yzzzz_yyyyzzzz_0[j] - tg_yzzzz_yyyyzzzz_1[j] * fl1_fza);

                    tg_xxyzzzz_yyyzzzzz_0[j] = pb_x * tg_xyzzzz_yyyzzzzz_0[j] + fr * tg_xyzzzz_yyyzzzzz_1[j] + 0.5 * fl1_fx * (tg_yzzzz_yyyzzzzz_0[j] - tg_yzzzz_yyyzzzzz_1[j] * fl1_fza);

                    tg_xxyzzzz_yyzzzzzz_0[j] = pb_x * tg_xyzzzz_yyzzzzzz_0[j] + fr * tg_xyzzzz_yyzzzzzz_1[j] + 0.5 * fl1_fx * (tg_yzzzz_yyzzzzzz_0[j] - tg_yzzzz_yyzzzzzz_1[j] * fl1_fza);

                    tg_xxyzzzz_yzzzzzzz_0[j] = pb_x * tg_xyzzzz_yzzzzzzz_0[j] + fr * tg_xyzzzz_yzzzzzzz_1[j] + 0.5 * fl1_fx * (tg_yzzzz_yzzzzzzz_0[j] - tg_yzzzz_yzzzzzzz_1[j] * fl1_fza);

                    tg_xxyzzzz_zzzzzzzz_0[j] = pb_x * tg_xyzzzz_zzzzzzzz_0[j] + fr * tg_xyzzzz_zzzzzzzz_1[j] + 0.5 * fl1_fx * (tg_yzzzz_zzzzzzzz_0[j] - tg_yzzzz_zzzzzzzz_1[j] * fl1_fza);

                    tg_xxzzzzz_xxxxxxxx_0[j] = pb_x * tg_xzzzzz_xxxxxxxx_0[j] + fr * tg_xzzzzz_xxxxxxxx_1[j] + 0.5 * fl1_fx * (tg_zzzzz_xxxxxxxx_0[j] - tg_zzzzz_xxxxxxxx_1[j] * fl1_fza) + 4.0 * fl1_fxn * tg_xzzzzz_xxxxxxx_1[j];

                    tg_xxzzzzz_xxxxxxxy_0[j] = pb_x * tg_xzzzzz_xxxxxxxy_0[j] + fr * tg_xzzzzz_xxxxxxxy_1[j] + 0.5 * fl1_fx * (tg_zzzzz_xxxxxxxy_0[j] - tg_zzzzz_xxxxxxxy_1[j] * fl1_fza) + 3.5 * fl1_fxn * tg_xzzzzz_xxxxxxy_1[j];

                    tg_xxzzzzz_xxxxxxxz_0[j] = pb_x * tg_xzzzzz_xxxxxxxz_0[j] + fr * tg_xzzzzz_xxxxxxxz_1[j] + 0.5 * fl1_fx * (tg_zzzzz_xxxxxxxz_0[j] - tg_zzzzz_xxxxxxxz_1[j] * fl1_fza) + 3.5 * fl1_fxn * tg_xzzzzz_xxxxxxz_1[j];

                    tg_xxzzzzz_xxxxxxyy_0[j] = pb_x * tg_xzzzzz_xxxxxxyy_0[j] + fr * tg_xzzzzz_xxxxxxyy_1[j] + 0.5 * fl1_fx * (tg_zzzzz_xxxxxxyy_0[j] - tg_zzzzz_xxxxxxyy_1[j] * fl1_fza) + 3.0 * fl1_fxn * tg_xzzzzz_xxxxxyy_1[j];

                    tg_xxzzzzz_xxxxxxyz_0[j] = pb_x * tg_xzzzzz_xxxxxxyz_0[j] + fr * tg_xzzzzz_xxxxxxyz_1[j] + 0.5 * fl1_fx * (tg_zzzzz_xxxxxxyz_0[j] - tg_zzzzz_xxxxxxyz_1[j] * fl1_fza) + 3.0 * fl1_fxn * tg_xzzzzz_xxxxxyz_1[j];

                    tg_xxzzzzz_xxxxxxzz_0[j] = pb_x * tg_xzzzzz_xxxxxxzz_0[j] + fr * tg_xzzzzz_xxxxxxzz_1[j] + 0.5 * fl1_fx * (tg_zzzzz_xxxxxxzz_0[j] - tg_zzzzz_xxxxxxzz_1[j] * fl1_fza) + 3.0 * fl1_fxn * tg_xzzzzz_xxxxxzz_1[j];

                    tg_xxzzzzz_xxxxxyyy_0[j] = pb_x * tg_xzzzzz_xxxxxyyy_0[j] + fr * tg_xzzzzz_xxxxxyyy_1[j] + 0.5 * fl1_fx * (tg_zzzzz_xxxxxyyy_0[j] - tg_zzzzz_xxxxxyyy_1[j] * fl1_fza) + 2.5 * fl1_fxn * tg_xzzzzz_xxxxyyy_1[j];

                    tg_xxzzzzz_xxxxxyyz_0[j] = pb_x * tg_xzzzzz_xxxxxyyz_0[j] + fr * tg_xzzzzz_xxxxxyyz_1[j] + 0.5 * fl1_fx * (tg_zzzzz_xxxxxyyz_0[j] - tg_zzzzz_xxxxxyyz_1[j] * fl1_fza) + 2.5 * fl1_fxn * tg_xzzzzz_xxxxyyz_1[j];

                    tg_xxzzzzz_xxxxxyzz_0[j] = pb_x * tg_xzzzzz_xxxxxyzz_0[j] + fr * tg_xzzzzz_xxxxxyzz_1[j] + 0.5 * fl1_fx * (tg_zzzzz_xxxxxyzz_0[j] - tg_zzzzz_xxxxxyzz_1[j] * fl1_fza) + 2.5 * fl1_fxn * tg_xzzzzz_xxxxyzz_1[j];

                    tg_xxzzzzz_xxxxxzzz_0[j] = pb_x * tg_xzzzzz_xxxxxzzz_0[j] + fr * tg_xzzzzz_xxxxxzzz_1[j] + 0.5 * fl1_fx * (tg_zzzzz_xxxxxzzz_0[j] - tg_zzzzz_xxxxxzzz_1[j] * fl1_fza) + 2.5 * fl1_fxn * tg_xzzzzz_xxxxzzz_1[j];

                    tg_xxzzzzz_xxxxyyyy_0[j] = pb_x * tg_xzzzzz_xxxxyyyy_0[j] + fr * tg_xzzzzz_xxxxyyyy_1[j] + 0.5 * fl1_fx * (tg_zzzzz_xxxxyyyy_0[j] - tg_zzzzz_xxxxyyyy_1[j] * fl1_fza) + 2.0 * fl1_fxn * tg_xzzzzz_xxxyyyy_1[j];

                    tg_xxzzzzz_xxxxyyyz_0[j] = pb_x * tg_xzzzzz_xxxxyyyz_0[j] + fr * tg_xzzzzz_xxxxyyyz_1[j] + 0.5 * fl1_fx * (tg_zzzzz_xxxxyyyz_0[j] - tg_zzzzz_xxxxyyyz_1[j] * fl1_fza) + 2.0 * fl1_fxn * tg_xzzzzz_xxxyyyz_1[j];

                    tg_xxzzzzz_xxxxyyzz_0[j] = pb_x * tg_xzzzzz_xxxxyyzz_0[j] + fr * tg_xzzzzz_xxxxyyzz_1[j] + 0.5 * fl1_fx * (tg_zzzzz_xxxxyyzz_0[j] - tg_zzzzz_xxxxyyzz_1[j] * fl1_fza) + 2.0 * fl1_fxn * tg_xzzzzz_xxxyyzz_1[j];

                    tg_xxzzzzz_xxxxyzzz_0[j] = pb_x * tg_xzzzzz_xxxxyzzz_0[j] + fr * tg_xzzzzz_xxxxyzzz_1[j] + 0.5 * fl1_fx * (tg_zzzzz_xxxxyzzz_0[j] - tg_zzzzz_xxxxyzzz_1[j] * fl1_fza) + 2.0 * fl1_fxn * tg_xzzzzz_xxxyzzz_1[j];

                    tg_xxzzzzz_xxxxzzzz_0[j] = pb_x * tg_xzzzzz_xxxxzzzz_0[j] + fr * tg_xzzzzz_xxxxzzzz_1[j] + 0.5 * fl1_fx * (tg_zzzzz_xxxxzzzz_0[j] - tg_zzzzz_xxxxzzzz_1[j] * fl1_fza) + 2.0 * fl1_fxn * tg_xzzzzz_xxxzzzz_1[j];

                    tg_xxzzzzz_xxxyyyyy_0[j] = pb_x * tg_xzzzzz_xxxyyyyy_0[j] + fr * tg_xzzzzz_xxxyyyyy_1[j] + 0.5 * fl1_fx * (tg_zzzzz_xxxyyyyy_0[j] - tg_zzzzz_xxxyyyyy_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_xzzzzz_xxyyyyy_1[j];

                    tg_xxzzzzz_xxxyyyyz_0[j] = pb_x * tg_xzzzzz_xxxyyyyz_0[j] + fr * tg_xzzzzz_xxxyyyyz_1[j] + 0.5 * fl1_fx * (tg_zzzzz_xxxyyyyz_0[j] - tg_zzzzz_xxxyyyyz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_xzzzzz_xxyyyyz_1[j];

                    tg_xxzzzzz_xxxyyyzz_0[j] = pb_x * tg_xzzzzz_xxxyyyzz_0[j] + fr * tg_xzzzzz_xxxyyyzz_1[j] + 0.5 * fl1_fx * (tg_zzzzz_xxxyyyzz_0[j] - tg_zzzzz_xxxyyyzz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_xzzzzz_xxyyyzz_1[j];

                    tg_xxzzzzz_xxxyyzzz_0[j] = pb_x * tg_xzzzzz_xxxyyzzz_0[j] + fr * tg_xzzzzz_xxxyyzzz_1[j] + 0.5 * fl1_fx * (tg_zzzzz_xxxyyzzz_0[j] - tg_zzzzz_xxxyyzzz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_xzzzzz_xxyyzzz_1[j];

                    tg_xxzzzzz_xxxyzzzz_0[j] = pb_x * tg_xzzzzz_xxxyzzzz_0[j] + fr * tg_xzzzzz_xxxyzzzz_1[j] + 0.5 * fl1_fx * (tg_zzzzz_xxxyzzzz_0[j] - tg_zzzzz_xxxyzzzz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_xzzzzz_xxyzzzz_1[j];

                    tg_xxzzzzz_xxxzzzzz_0[j] = pb_x * tg_xzzzzz_xxxzzzzz_0[j] + fr * tg_xzzzzz_xxxzzzzz_1[j] + 0.5 * fl1_fx * (tg_zzzzz_xxxzzzzz_0[j] - tg_zzzzz_xxxzzzzz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_xzzzzz_xxzzzzz_1[j];

                    tg_xxzzzzz_xxyyyyyy_0[j] = pb_x * tg_xzzzzz_xxyyyyyy_0[j] + fr * tg_xzzzzz_xxyyyyyy_1[j] + 0.5 * fl1_fx * (tg_zzzzz_xxyyyyyy_0[j] - tg_zzzzz_xxyyyyyy_1[j] * fl1_fza) + fl1_fxn * tg_xzzzzz_xyyyyyy_1[j];

                    tg_xxzzzzz_xxyyyyyz_0[j] = pb_x * tg_xzzzzz_xxyyyyyz_0[j] + fr * tg_xzzzzz_xxyyyyyz_1[j] + 0.5 * fl1_fx * (tg_zzzzz_xxyyyyyz_0[j] - tg_zzzzz_xxyyyyyz_1[j] * fl1_fza) + fl1_fxn * tg_xzzzzz_xyyyyyz_1[j];

                    tg_xxzzzzz_xxyyyyzz_0[j] = pb_x * tg_xzzzzz_xxyyyyzz_0[j] + fr * tg_xzzzzz_xxyyyyzz_1[j] + 0.5 * fl1_fx * (tg_zzzzz_xxyyyyzz_0[j] - tg_zzzzz_xxyyyyzz_1[j] * fl1_fza) + fl1_fxn * tg_xzzzzz_xyyyyzz_1[j];

                    tg_xxzzzzz_xxyyyzzz_0[j] = pb_x * tg_xzzzzz_xxyyyzzz_0[j] + fr * tg_xzzzzz_xxyyyzzz_1[j] + 0.5 * fl1_fx * (tg_zzzzz_xxyyyzzz_0[j] - tg_zzzzz_xxyyyzzz_1[j] * fl1_fza) + fl1_fxn * tg_xzzzzz_xyyyzzz_1[j];

                    tg_xxzzzzz_xxyyzzzz_0[j] = pb_x * tg_xzzzzz_xxyyzzzz_0[j] + fr * tg_xzzzzz_xxyyzzzz_1[j] + 0.5 * fl1_fx * (tg_zzzzz_xxyyzzzz_0[j] - tg_zzzzz_xxyyzzzz_1[j] * fl1_fza) + fl1_fxn * tg_xzzzzz_xyyzzzz_1[j];

                    tg_xxzzzzz_xxyzzzzz_0[j] = pb_x * tg_xzzzzz_xxyzzzzz_0[j] + fr * tg_xzzzzz_xxyzzzzz_1[j] + 0.5 * fl1_fx * (tg_zzzzz_xxyzzzzz_0[j] - tg_zzzzz_xxyzzzzz_1[j] * fl1_fza) + fl1_fxn * tg_xzzzzz_xyzzzzz_1[j];

                    tg_xxzzzzz_xxzzzzzz_0[j] = pb_x * tg_xzzzzz_xxzzzzzz_0[j] + fr * tg_xzzzzz_xxzzzzzz_1[j] + 0.5 * fl1_fx * (tg_zzzzz_xxzzzzzz_0[j] - tg_zzzzz_xxzzzzzz_1[j] * fl1_fza) + fl1_fxn * tg_xzzzzz_xzzzzzz_1[j];

                    tg_xxzzzzz_xyyyyyyy_0[j] = pb_x * tg_xzzzzz_xyyyyyyy_0[j] + fr * tg_xzzzzz_xyyyyyyy_1[j] + 0.5 * fl1_fx * (tg_zzzzz_xyyyyyyy_0[j] - tg_zzzzz_xyyyyyyy_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xzzzzz_yyyyyyy_1[j];

                    tg_xxzzzzz_xyyyyyyz_0[j] = pb_x * tg_xzzzzz_xyyyyyyz_0[j] + fr * tg_xzzzzz_xyyyyyyz_1[j] + 0.5 * fl1_fx * (tg_zzzzz_xyyyyyyz_0[j] - tg_zzzzz_xyyyyyyz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xzzzzz_yyyyyyz_1[j];

                    tg_xxzzzzz_xyyyyyzz_0[j] = pb_x * tg_xzzzzz_xyyyyyzz_0[j] + fr * tg_xzzzzz_xyyyyyzz_1[j] + 0.5 * fl1_fx * (tg_zzzzz_xyyyyyzz_0[j] - tg_zzzzz_xyyyyyzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xzzzzz_yyyyyzz_1[j];

                    tg_xxzzzzz_xyyyyzzz_0[j] = pb_x * tg_xzzzzz_xyyyyzzz_0[j] + fr * tg_xzzzzz_xyyyyzzz_1[j] + 0.5 * fl1_fx * (tg_zzzzz_xyyyyzzz_0[j] - tg_zzzzz_xyyyyzzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xzzzzz_yyyyzzz_1[j];

                    tg_xxzzzzz_xyyyzzzz_0[j] = pb_x * tg_xzzzzz_xyyyzzzz_0[j] + fr * tg_xzzzzz_xyyyzzzz_1[j] + 0.5 * fl1_fx * (tg_zzzzz_xyyyzzzz_0[j] - tg_zzzzz_xyyyzzzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xzzzzz_yyyzzzz_1[j];

                    tg_xxzzzzz_xyyzzzzz_0[j] = pb_x * tg_xzzzzz_xyyzzzzz_0[j] + fr * tg_xzzzzz_xyyzzzzz_1[j] + 0.5 * fl1_fx * (tg_zzzzz_xyyzzzzz_0[j] - tg_zzzzz_xyyzzzzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xzzzzz_yyzzzzz_1[j];

                    tg_xxzzzzz_xyzzzzzz_0[j] = pb_x * tg_xzzzzz_xyzzzzzz_0[j] + fr * tg_xzzzzz_xyzzzzzz_1[j] + 0.5 * fl1_fx * (tg_zzzzz_xyzzzzzz_0[j] - tg_zzzzz_xyzzzzzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xzzzzz_yzzzzzz_1[j];

                    tg_xxzzzzz_xzzzzzzz_0[j] = pb_x * tg_xzzzzz_xzzzzzzz_0[j] + fr * tg_xzzzzz_xzzzzzzz_1[j] + 0.5 * fl1_fx * (tg_zzzzz_xzzzzzzz_0[j] - tg_zzzzz_xzzzzzzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xzzzzz_zzzzzzz_1[j];

                    tg_xxzzzzz_yyyyyyyy_0[j] = pb_x * tg_xzzzzz_yyyyyyyy_0[j] + fr * tg_xzzzzz_yyyyyyyy_1[j] + 0.5 * fl1_fx * (tg_zzzzz_yyyyyyyy_0[j] - tg_zzzzz_yyyyyyyy_1[j] * fl1_fza);

                    tg_xxzzzzz_yyyyyyyz_0[j] = pb_x * tg_xzzzzz_yyyyyyyz_0[j] + fr * tg_xzzzzz_yyyyyyyz_1[j] + 0.5 * fl1_fx * (tg_zzzzz_yyyyyyyz_0[j] - tg_zzzzz_yyyyyyyz_1[j] * fl1_fza);

                    tg_xxzzzzz_yyyyyyzz_0[j] = pb_x * tg_xzzzzz_yyyyyyzz_0[j] + fr * tg_xzzzzz_yyyyyyzz_1[j] + 0.5 * fl1_fx * (tg_zzzzz_yyyyyyzz_0[j] - tg_zzzzz_yyyyyyzz_1[j] * fl1_fza);

                    tg_xxzzzzz_yyyyyzzz_0[j] = pb_x * tg_xzzzzz_yyyyyzzz_0[j] + fr * tg_xzzzzz_yyyyyzzz_1[j] + 0.5 * fl1_fx * (tg_zzzzz_yyyyyzzz_0[j] - tg_zzzzz_yyyyyzzz_1[j] * fl1_fza);

                    tg_xxzzzzz_yyyyzzzz_0[j] = pb_x * tg_xzzzzz_yyyyzzzz_0[j] + fr * tg_xzzzzz_yyyyzzzz_1[j] + 0.5 * fl1_fx * (tg_zzzzz_yyyyzzzz_0[j] - tg_zzzzz_yyyyzzzz_1[j] * fl1_fza);

                    tg_xxzzzzz_yyyzzzzz_0[j] = pb_x * tg_xzzzzz_yyyzzzzz_0[j] + fr * tg_xzzzzz_yyyzzzzz_1[j] + 0.5 * fl1_fx * (tg_zzzzz_yyyzzzzz_0[j] - tg_zzzzz_yyyzzzzz_1[j] * fl1_fza);

                    tg_xxzzzzz_yyzzzzzz_0[j] = pb_x * tg_xzzzzz_yyzzzzzz_0[j] + fr * tg_xzzzzz_yyzzzzzz_1[j] + 0.5 * fl1_fx * (tg_zzzzz_yyzzzzzz_0[j] - tg_zzzzz_yyzzzzzz_1[j] * fl1_fza);

                    tg_xxzzzzz_yzzzzzzz_0[j] = pb_x * tg_xzzzzz_yzzzzzzz_0[j] + fr * tg_xzzzzz_yzzzzzzz_1[j] + 0.5 * fl1_fx * (tg_zzzzz_yzzzzzzz_0[j] - tg_zzzzz_yzzzzzzz_1[j] * fl1_fza);

                    tg_xxzzzzz_zzzzzzzz_0[j] = pb_x * tg_xzzzzz_zzzzzzzz_0[j] + fr * tg_xzzzzz_zzzzzzzz_1[j] + 0.5 * fl1_fx * (tg_zzzzz_zzzzzzzz_0[j] - tg_zzzzz_zzzzzzzz_1[j] * fl1_fza);

                    tg_xyyyyyy_xxxxxxxx_0[j] = pb_x * tg_yyyyyy_xxxxxxxx_0[j] + fr * tg_yyyyyy_xxxxxxxx_1[j] + 4.0 * fl1_fxn * tg_yyyyyy_xxxxxxx_1[j];

                    tg_xyyyyyy_xxxxxxxy_0[j] = pb_x * tg_yyyyyy_xxxxxxxy_0[j] + fr * tg_yyyyyy_xxxxxxxy_1[j] + 3.5 * fl1_fxn * tg_yyyyyy_xxxxxxy_1[j];

                    tg_xyyyyyy_xxxxxxxz_0[j] = pb_x * tg_yyyyyy_xxxxxxxz_0[j] + fr * tg_yyyyyy_xxxxxxxz_1[j] + 3.5 * fl1_fxn * tg_yyyyyy_xxxxxxz_1[j];

                    tg_xyyyyyy_xxxxxxyy_0[j] = pb_x * tg_yyyyyy_xxxxxxyy_0[j] + fr * tg_yyyyyy_xxxxxxyy_1[j] + 3.0 * fl1_fxn * tg_yyyyyy_xxxxxyy_1[j];

                    tg_xyyyyyy_xxxxxxyz_0[j] = pb_x * tg_yyyyyy_xxxxxxyz_0[j] + fr * tg_yyyyyy_xxxxxxyz_1[j] + 3.0 * fl1_fxn * tg_yyyyyy_xxxxxyz_1[j];

                    tg_xyyyyyy_xxxxxxzz_0[j] = pb_x * tg_yyyyyy_xxxxxxzz_0[j] + fr * tg_yyyyyy_xxxxxxzz_1[j] + 3.0 * fl1_fxn * tg_yyyyyy_xxxxxzz_1[j];

                    tg_xyyyyyy_xxxxxyyy_0[j] = pb_x * tg_yyyyyy_xxxxxyyy_0[j] + fr * tg_yyyyyy_xxxxxyyy_1[j] + 2.5 * fl1_fxn * tg_yyyyyy_xxxxyyy_1[j];

                    tg_xyyyyyy_xxxxxyyz_0[j] = pb_x * tg_yyyyyy_xxxxxyyz_0[j] + fr * tg_yyyyyy_xxxxxyyz_1[j] + 2.5 * fl1_fxn * tg_yyyyyy_xxxxyyz_1[j];

                    tg_xyyyyyy_xxxxxyzz_0[j] = pb_x * tg_yyyyyy_xxxxxyzz_0[j] + fr * tg_yyyyyy_xxxxxyzz_1[j] + 2.5 * fl1_fxn * tg_yyyyyy_xxxxyzz_1[j];

                    tg_xyyyyyy_xxxxxzzz_0[j] = pb_x * tg_yyyyyy_xxxxxzzz_0[j] + fr * tg_yyyyyy_xxxxxzzz_1[j] + 2.5 * fl1_fxn * tg_yyyyyy_xxxxzzz_1[j];
                }

                idx++;
            }
        }
    }

    void
    compElectronRepulsionForSKSL_955_1050(      CMemBlock2D<double>* primBuffer,
                                          const CRecursionMap&       recursionMap,
                                          const CMemBlock2D<double>& osFactors,
                                          const CMemBlock2D<double>& wpDistances,
                                          const CGtoPairsBlock&      braGtoPairsBlock,
                                          const CGtoPairsBlock&      ketGtoPairsBlock,
                                          const int32_t              nKetPrimPairs,
                                          const int32_t              iContrPair)
    {
        // Batch of Integrals (955,1050)

        // set up pointers to primitives data on bra side

        auto spos = braGtoPairsBlock.getStartPositions();

        auto epos = braGtoPairsBlock.getEndPositions();

        // set up pointers to tensor of distance R(PB) = P - B

        auto r_pb_x = braGtoPairsBlock.getDistancesPBX();

        // set up pointers to common Obara-Saika factors

        // set up maximum order of integral

        auto mord = recursionMap.getMaxOrder({"Electron Repulsion"},
                                             {7, -1, -1, -1},
                                             {8, -1, -1, -1},
                                             1, 1);

        for (int32_t iord = 0; iord <= mord; iord++)
        {
            // set up index of integral

            auto pidx_g_7_8_m0 = recursionMap.index(CRecursionTerm({"Electron Repulsion"}, 0, true, 
                                                                   {7, -1, -1, -1}, {8, -1, -1, -1}, 
                                                                   1, 1, iord));

            // check if integral is needed in recursion expansion

            if (pidx_g_7_8_m0 == -1) continue;

            // set up indexes of auxilary integral

            auto pidx_g_6_8_m0 = recursionMap.index(CRecursionTerm({"Electron Repulsion"}, 0, true, 
                                                                   {6, -1, -1, -1}, {8, -1, -1, -1}, 
                                                                   1, 1, iord));

            auto pidx_g_6_8_m1 = recursionMap.index(CRecursionTerm({"Electron Repulsion"}, 0, true, 
                                                                   {6, -1, -1, -1}, {8, -1, -1, -1}, 
                                                                   1, 1, iord + 1));

            auto pidx_g_6_7_m1 = recursionMap.index(CRecursionTerm({"Electron Repulsion"}, 0, true, 
                                                                   {6, -1, -1, -1}, {7, -1, -1, -1}, 
                                                                   1, 1, iord + 1));

            // loop over contracted GTO on bra side

            int32_t idx = 0;

            for (int32_t i = spos[iContrPair]; i < epos[iContrPair]; i++)
            {
                // set up pointers to Obara-Saika factors

                auto fxn = osFactors.data(4 * idx);

                // set up distances R(PB) = P - B

                auto pb_x = r_pb_x[i];

                // set up pointers to tensors product of distances R(WP) = W - P

                auto wp_x = wpDistances.data(3 * idx);

                // set up pointers to auxilary integrals

                auto tg_yyyyyy_xxxxyyyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 955); 

                auto tg_yyyyyy_xxxxyyyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 956); 

                auto tg_yyyyyy_xxxxyyzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 957); 

                auto tg_yyyyyy_xxxxyzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 958); 

                auto tg_yyyyyy_xxxxzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 959); 

                auto tg_yyyyyy_xxxyyyyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 960); 

                auto tg_yyyyyy_xxxyyyyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 961); 

                auto tg_yyyyyy_xxxyyyzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 962); 

                auto tg_yyyyyy_xxxyyzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 963); 

                auto tg_yyyyyy_xxxyzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 964); 

                auto tg_yyyyyy_xxxzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 965); 

                auto tg_yyyyyy_xxyyyyyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 966); 

                auto tg_yyyyyy_xxyyyyyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 967); 

                auto tg_yyyyyy_xxyyyyzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 968); 

                auto tg_yyyyyy_xxyyyzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 969); 

                auto tg_yyyyyy_xxyyzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 970); 

                auto tg_yyyyyy_xxyzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 971); 

                auto tg_yyyyyy_xxzzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 972); 

                auto tg_yyyyyy_xyyyyyyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 973); 

                auto tg_yyyyyy_xyyyyyyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 974); 

                auto tg_yyyyyy_xyyyyyzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 975); 

                auto tg_yyyyyy_xyyyyzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 976); 

                auto tg_yyyyyy_xyyyzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 977); 

                auto tg_yyyyyy_xyyzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 978); 

                auto tg_yyyyyy_xyzzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 979); 

                auto tg_yyyyyy_xzzzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 980); 

                auto tg_yyyyyy_yyyyyyyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 981); 

                auto tg_yyyyyy_yyyyyyyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 982); 

                auto tg_yyyyyy_yyyyyyzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 983); 

                auto tg_yyyyyy_yyyyyzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 984); 

                auto tg_yyyyyy_yyyyzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 985); 

                auto tg_yyyyyy_yyyzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 986); 

                auto tg_yyyyyy_yyzzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 987); 

                auto tg_yyyyyy_yzzzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 988); 

                auto tg_yyyyyy_zzzzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 989); 

                auto tg_yyyyyz_xxxxxxxx_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 990); 

                auto tg_yyyyyz_xxxxxxxy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 991); 

                auto tg_yyyyyz_xxxxxxxz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 992); 

                auto tg_yyyyyz_xxxxxxyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 993); 

                auto tg_yyyyyz_xxxxxxyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 994); 

                auto tg_yyyyyz_xxxxxxzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 995); 

                auto tg_yyyyyz_xxxxxyyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 996); 

                auto tg_yyyyyz_xxxxxyyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 997); 

                auto tg_yyyyyz_xxxxxyzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 998); 

                auto tg_yyyyyz_xxxxxzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 999); 

                auto tg_yyyyyz_xxxxyyyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1000); 

                auto tg_yyyyyz_xxxxyyyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1001); 

                auto tg_yyyyyz_xxxxyyzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1002); 

                auto tg_yyyyyz_xxxxyzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1003); 

                auto tg_yyyyyz_xxxxzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1004); 

                auto tg_yyyyyz_xxxyyyyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1005); 

                auto tg_yyyyyz_xxxyyyyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1006); 

                auto tg_yyyyyz_xxxyyyzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1007); 

                auto tg_yyyyyz_xxxyyzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1008); 

                auto tg_yyyyyz_xxxyzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1009); 

                auto tg_yyyyyz_xxxzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1010); 

                auto tg_yyyyyz_xxyyyyyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1011); 

                auto tg_yyyyyz_xxyyyyyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1012); 

                auto tg_yyyyyz_xxyyyyzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1013); 

                auto tg_yyyyyz_xxyyyzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1014); 

                auto tg_yyyyyz_xxyyzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1015); 

                auto tg_yyyyyz_xxyzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1016); 

                auto tg_yyyyyz_xxzzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1017); 

                auto tg_yyyyyz_xyyyyyyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1018); 

                auto tg_yyyyyz_xyyyyyyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1019); 

                auto tg_yyyyyz_xyyyyyzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1020); 

                auto tg_yyyyyz_xyyyyzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1021); 

                auto tg_yyyyyz_xyyyzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1022); 

                auto tg_yyyyyz_xyyzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1023); 

                auto tg_yyyyyz_xyzzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1024); 

                auto tg_yyyyyz_xzzzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1025); 

                auto tg_yyyyyz_yyyyyyyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1026); 

                auto tg_yyyyyz_yyyyyyyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1027); 

                auto tg_yyyyyz_yyyyyyzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1028); 

                auto tg_yyyyyz_yyyyyzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1029); 

                auto tg_yyyyyz_yyyyzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1030); 

                auto tg_yyyyyz_yyyzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1031); 

                auto tg_yyyyyz_yyzzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1032); 

                auto tg_yyyyyz_yzzzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1033); 

                auto tg_yyyyyz_zzzzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1034); 

                auto tg_yyyyzz_xxxxxxxx_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1035); 

                auto tg_yyyyzz_xxxxxxxy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1036); 

                auto tg_yyyyzz_xxxxxxxz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1037); 

                auto tg_yyyyzz_xxxxxxyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1038); 

                auto tg_yyyyzz_xxxxxxyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1039); 

                auto tg_yyyyzz_xxxxxxzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1040); 

                auto tg_yyyyzz_xxxxxyyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1041); 

                auto tg_yyyyzz_xxxxxyyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1042); 

                auto tg_yyyyzz_xxxxxyzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1043); 

                auto tg_yyyyzz_xxxxxzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1044); 

                auto tg_yyyyzz_xxxxyyyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1045); 

                auto tg_yyyyzz_xxxxyyyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1046); 

                auto tg_yyyyzz_xxxxyyzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1047); 

                auto tg_yyyyzz_xxxxyzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1048); 

                auto tg_yyyyzz_xxxxzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1049); 

                auto tg_yyyyyy_xxxxyyyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 955); 

                auto tg_yyyyyy_xxxxyyyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 956); 

                auto tg_yyyyyy_xxxxyyzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 957); 

                auto tg_yyyyyy_xxxxyzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 958); 

                auto tg_yyyyyy_xxxxzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 959); 

                auto tg_yyyyyy_xxxyyyyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 960); 

                auto tg_yyyyyy_xxxyyyyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 961); 

                auto tg_yyyyyy_xxxyyyzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 962); 

                auto tg_yyyyyy_xxxyyzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 963); 

                auto tg_yyyyyy_xxxyzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 964); 

                auto tg_yyyyyy_xxxzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 965); 

                auto tg_yyyyyy_xxyyyyyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 966); 

                auto tg_yyyyyy_xxyyyyyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 967); 

                auto tg_yyyyyy_xxyyyyzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 968); 

                auto tg_yyyyyy_xxyyyzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 969); 

                auto tg_yyyyyy_xxyyzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 970); 

                auto tg_yyyyyy_xxyzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 971); 

                auto tg_yyyyyy_xxzzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 972); 

                auto tg_yyyyyy_xyyyyyyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 973); 

                auto tg_yyyyyy_xyyyyyyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 974); 

                auto tg_yyyyyy_xyyyyyzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 975); 

                auto tg_yyyyyy_xyyyyzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 976); 

                auto tg_yyyyyy_xyyyzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 977); 

                auto tg_yyyyyy_xyyzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 978); 

                auto tg_yyyyyy_xyzzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 979); 

                auto tg_yyyyyy_xzzzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 980); 

                auto tg_yyyyyy_yyyyyyyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 981); 

                auto tg_yyyyyy_yyyyyyyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 982); 

                auto tg_yyyyyy_yyyyyyzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 983); 

                auto tg_yyyyyy_yyyyyzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 984); 

                auto tg_yyyyyy_yyyyzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 985); 

                auto tg_yyyyyy_yyyzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 986); 

                auto tg_yyyyyy_yyzzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 987); 

                auto tg_yyyyyy_yzzzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 988); 

                auto tg_yyyyyy_zzzzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 989); 

                auto tg_yyyyyz_xxxxxxxx_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 990); 

                auto tg_yyyyyz_xxxxxxxy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 991); 

                auto tg_yyyyyz_xxxxxxxz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 992); 

                auto tg_yyyyyz_xxxxxxyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 993); 

                auto tg_yyyyyz_xxxxxxyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 994); 

                auto tg_yyyyyz_xxxxxxzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 995); 

                auto tg_yyyyyz_xxxxxyyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 996); 

                auto tg_yyyyyz_xxxxxyyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 997); 

                auto tg_yyyyyz_xxxxxyzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 998); 

                auto tg_yyyyyz_xxxxxzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 999); 

                auto tg_yyyyyz_xxxxyyyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1000); 

                auto tg_yyyyyz_xxxxyyyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1001); 

                auto tg_yyyyyz_xxxxyyzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1002); 

                auto tg_yyyyyz_xxxxyzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1003); 

                auto tg_yyyyyz_xxxxzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1004); 

                auto tg_yyyyyz_xxxyyyyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1005); 

                auto tg_yyyyyz_xxxyyyyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1006); 

                auto tg_yyyyyz_xxxyyyzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1007); 

                auto tg_yyyyyz_xxxyyzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1008); 

                auto tg_yyyyyz_xxxyzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1009); 

                auto tg_yyyyyz_xxxzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1010); 

                auto tg_yyyyyz_xxyyyyyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1011); 

                auto tg_yyyyyz_xxyyyyyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1012); 

                auto tg_yyyyyz_xxyyyyzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1013); 

                auto tg_yyyyyz_xxyyyzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1014); 

                auto tg_yyyyyz_xxyyzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1015); 

                auto tg_yyyyyz_xxyzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1016); 

                auto tg_yyyyyz_xxzzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1017); 

                auto tg_yyyyyz_xyyyyyyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1018); 

                auto tg_yyyyyz_xyyyyyyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1019); 

                auto tg_yyyyyz_xyyyyyzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1020); 

                auto tg_yyyyyz_xyyyyzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1021); 

                auto tg_yyyyyz_xyyyzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1022); 

                auto tg_yyyyyz_xyyzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1023); 

                auto tg_yyyyyz_xyzzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1024); 

                auto tg_yyyyyz_xzzzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1025); 

                auto tg_yyyyyz_yyyyyyyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1026); 

                auto tg_yyyyyz_yyyyyyyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1027); 

                auto tg_yyyyyz_yyyyyyzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1028); 

                auto tg_yyyyyz_yyyyyzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1029); 

                auto tg_yyyyyz_yyyyzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1030); 

                auto tg_yyyyyz_yyyzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1031); 

                auto tg_yyyyyz_yyzzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1032); 

                auto tg_yyyyyz_yzzzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1033); 

                auto tg_yyyyyz_zzzzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1034); 

                auto tg_yyyyzz_xxxxxxxx_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1035); 

                auto tg_yyyyzz_xxxxxxxy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1036); 

                auto tg_yyyyzz_xxxxxxxz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1037); 

                auto tg_yyyyzz_xxxxxxyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1038); 

                auto tg_yyyyzz_xxxxxxyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1039); 

                auto tg_yyyyzz_xxxxxxzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1040); 

                auto tg_yyyyzz_xxxxxyyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1041); 

                auto tg_yyyyzz_xxxxxyyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1042); 

                auto tg_yyyyzz_xxxxxyzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1043); 

                auto tg_yyyyzz_xxxxxzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1044); 

                auto tg_yyyyzz_xxxxyyyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1045); 

                auto tg_yyyyzz_xxxxyyyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1046); 

                auto tg_yyyyzz_xxxxyyzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1047); 

                auto tg_yyyyzz_xxxxyzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1048); 

                auto tg_yyyyzz_xxxxzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1049); 

                auto tg_yyyyyy_xxxyyyy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 766); 

                auto tg_yyyyyy_xxxyyyz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 767); 

                auto tg_yyyyyy_xxxyyzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 768); 

                auto tg_yyyyyy_xxxyzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 769); 

                auto tg_yyyyyy_xxxzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 770); 

                auto tg_yyyyyy_xxyyyyy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 771); 

                auto tg_yyyyyy_xxyyyyz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 772); 

                auto tg_yyyyyy_xxyyyzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 773); 

                auto tg_yyyyyy_xxyyzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 774); 

                auto tg_yyyyyy_xxyzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 775); 

                auto tg_yyyyyy_xxzzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 776); 

                auto tg_yyyyyy_xyyyyyy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 777); 

                auto tg_yyyyyy_xyyyyyz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 778); 

                auto tg_yyyyyy_xyyyyzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 779); 

                auto tg_yyyyyy_xyyyzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 780); 

                auto tg_yyyyyy_xyyzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 781); 

                auto tg_yyyyyy_xyzzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 782); 

                auto tg_yyyyyy_xzzzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 783); 

                auto tg_yyyyyy_yyyyyyy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 784); 

                auto tg_yyyyyy_yyyyyyz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 785); 

                auto tg_yyyyyy_yyyyyzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 786); 

                auto tg_yyyyyy_yyyyzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 787); 

                auto tg_yyyyyy_yyyzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 788); 

                auto tg_yyyyyy_yyzzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 789); 

                auto tg_yyyyyy_yzzzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 790); 

                auto tg_yyyyyy_zzzzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 791); 

                auto tg_yyyyyz_xxxxxxx_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 792); 

                auto tg_yyyyyz_xxxxxxy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 793); 

                auto tg_yyyyyz_xxxxxxz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 794); 

                auto tg_yyyyyz_xxxxxyy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 795); 

                auto tg_yyyyyz_xxxxxyz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 796); 

                auto tg_yyyyyz_xxxxxzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 797); 

                auto tg_yyyyyz_xxxxyyy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 798); 

                auto tg_yyyyyz_xxxxyyz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 799); 

                auto tg_yyyyyz_xxxxyzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 800); 

                auto tg_yyyyyz_xxxxzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 801); 

                auto tg_yyyyyz_xxxyyyy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 802); 

                auto tg_yyyyyz_xxxyyyz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 803); 

                auto tg_yyyyyz_xxxyyzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 804); 

                auto tg_yyyyyz_xxxyzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 805); 

                auto tg_yyyyyz_xxxzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 806); 

                auto tg_yyyyyz_xxyyyyy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 807); 

                auto tg_yyyyyz_xxyyyyz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 808); 

                auto tg_yyyyyz_xxyyyzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 809); 

                auto tg_yyyyyz_xxyyzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 810); 

                auto tg_yyyyyz_xxyzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 811); 

                auto tg_yyyyyz_xxzzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 812); 

                auto tg_yyyyyz_xyyyyyy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 813); 

                auto tg_yyyyyz_xyyyyyz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 814); 

                auto tg_yyyyyz_xyyyyzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 815); 

                auto tg_yyyyyz_xyyyzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 816); 

                auto tg_yyyyyz_xyyzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 817); 

                auto tg_yyyyyz_xyzzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 818); 

                auto tg_yyyyyz_xzzzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 819); 

                auto tg_yyyyyz_yyyyyyy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 820); 

                auto tg_yyyyyz_yyyyyyz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 821); 

                auto tg_yyyyyz_yyyyyzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 822); 

                auto tg_yyyyyz_yyyyzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 823); 

                auto tg_yyyyyz_yyyzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 824); 

                auto tg_yyyyyz_yyzzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 825); 

                auto tg_yyyyyz_yzzzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 826); 

                auto tg_yyyyyz_zzzzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 827); 

                auto tg_yyyyzz_xxxxxxx_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 828); 

                auto tg_yyyyzz_xxxxxxy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 829); 

                auto tg_yyyyzz_xxxxxxz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 830); 

                auto tg_yyyyzz_xxxxxyy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 831); 

                auto tg_yyyyzz_xxxxxyz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 832); 

                auto tg_yyyyzz_xxxxxzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 833); 

                auto tg_yyyyzz_xxxxyyy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 834); 

                auto tg_yyyyzz_xxxxyyz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 835); 

                auto tg_yyyyzz_xxxxyzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 836); 

                auto tg_yyyyzz_xxxxzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 837); 

                auto tg_yyyyzz_xxxyyyy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 838); 

                auto tg_yyyyzz_xxxyyyz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 839); 

                auto tg_yyyyzz_xxxyyzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 840); 

                auto tg_yyyyzz_xxxyzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 841); 

                auto tg_yyyyzz_xxxzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 842); 

                // set up pointers to integrals

                auto tg_xyyyyyy_xxxxyyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 955); 

                auto tg_xyyyyyy_xxxxyyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 956); 

                auto tg_xyyyyyy_xxxxyyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 957); 

                auto tg_xyyyyyy_xxxxyzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 958); 

                auto tg_xyyyyyy_xxxxzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 959); 

                auto tg_xyyyyyy_xxxyyyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 960); 

                auto tg_xyyyyyy_xxxyyyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 961); 

                auto tg_xyyyyyy_xxxyyyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 962); 

                auto tg_xyyyyyy_xxxyyzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 963); 

                auto tg_xyyyyyy_xxxyzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 964); 

                auto tg_xyyyyyy_xxxzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 965); 

                auto tg_xyyyyyy_xxyyyyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 966); 

                auto tg_xyyyyyy_xxyyyyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 967); 

                auto tg_xyyyyyy_xxyyyyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 968); 

                auto tg_xyyyyyy_xxyyyzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 969); 

                auto tg_xyyyyyy_xxyyzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 970); 

                auto tg_xyyyyyy_xxyzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 971); 

                auto tg_xyyyyyy_xxzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 972); 

                auto tg_xyyyyyy_xyyyyyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 973); 

                auto tg_xyyyyyy_xyyyyyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 974); 

                auto tg_xyyyyyy_xyyyyyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 975); 

                auto tg_xyyyyyy_xyyyyzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 976); 

                auto tg_xyyyyyy_xyyyzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 977); 

                auto tg_xyyyyyy_xyyzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 978); 

                auto tg_xyyyyyy_xyzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 979); 

                auto tg_xyyyyyy_xzzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 980); 

                auto tg_xyyyyyy_yyyyyyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 981); 

                auto tg_xyyyyyy_yyyyyyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 982); 

                auto tg_xyyyyyy_yyyyyyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 983); 

                auto tg_xyyyyyy_yyyyyzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 984); 

                auto tg_xyyyyyy_yyyyzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 985); 

                auto tg_xyyyyyy_yyyzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 986); 

                auto tg_xyyyyyy_yyzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 987); 

                auto tg_xyyyyyy_yzzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 988); 

                auto tg_xyyyyyy_zzzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 989); 

                auto tg_xyyyyyz_xxxxxxxx_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 990); 

                auto tg_xyyyyyz_xxxxxxxy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 991); 

                auto tg_xyyyyyz_xxxxxxxz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 992); 

                auto tg_xyyyyyz_xxxxxxyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 993); 

                auto tg_xyyyyyz_xxxxxxyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 994); 

                auto tg_xyyyyyz_xxxxxxzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 995); 

                auto tg_xyyyyyz_xxxxxyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 996); 

                auto tg_xyyyyyz_xxxxxyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 997); 

                auto tg_xyyyyyz_xxxxxyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 998); 

                auto tg_xyyyyyz_xxxxxzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 999); 

                auto tg_xyyyyyz_xxxxyyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1000); 

                auto tg_xyyyyyz_xxxxyyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1001); 

                auto tg_xyyyyyz_xxxxyyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1002); 

                auto tg_xyyyyyz_xxxxyzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1003); 

                auto tg_xyyyyyz_xxxxzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1004); 

                auto tg_xyyyyyz_xxxyyyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1005); 

                auto tg_xyyyyyz_xxxyyyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1006); 

                auto tg_xyyyyyz_xxxyyyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1007); 

                auto tg_xyyyyyz_xxxyyzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1008); 

                auto tg_xyyyyyz_xxxyzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1009); 

                auto tg_xyyyyyz_xxxzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1010); 

                auto tg_xyyyyyz_xxyyyyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1011); 

                auto tg_xyyyyyz_xxyyyyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1012); 

                auto tg_xyyyyyz_xxyyyyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1013); 

                auto tg_xyyyyyz_xxyyyzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1014); 

                auto tg_xyyyyyz_xxyyzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1015); 

                auto tg_xyyyyyz_xxyzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1016); 

                auto tg_xyyyyyz_xxzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1017); 

                auto tg_xyyyyyz_xyyyyyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1018); 

                auto tg_xyyyyyz_xyyyyyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1019); 

                auto tg_xyyyyyz_xyyyyyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1020); 

                auto tg_xyyyyyz_xyyyyzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1021); 

                auto tg_xyyyyyz_xyyyzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1022); 

                auto tg_xyyyyyz_xyyzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1023); 

                auto tg_xyyyyyz_xyzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1024); 

                auto tg_xyyyyyz_xzzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1025); 

                auto tg_xyyyyyz_yyyyyyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1026); 

                auto tg_xyyyyyz_yyyyyyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1027); 

                auto tg_xyyyyyz_yyyyyyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1028); 

                auto tg_xyyyyyz_yyyyyzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1029); 

                auto tg_xyyyyyz_yyyyzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1030); 

                auto tg_xyyyyyz_yyyzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1031); 

                auto tg_xyyyyyz_yyzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1032); 

                auto tg_xyyyyyz_yzzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1033); 

                auto tg_xyyyyyz_zzzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1034); 

                auto tg_xyyyyzz_xxxxxxxx_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1035); 

                auto tg_xyyyyzz_xxxxxxxy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1036); 

                auto tg_xyyyyzz_xxxxxxxz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1037); 

                auto tg_xyyyyzz_xxxxxxyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1038); 

                auto tg_xyyyyzz_xxxxxxyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1039); 

                auto tg_xyyyyzz_xxxxxxzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1040); 

                auto tg_xyyyyzz_xxxxxyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1041); 

                auto tg_xyyyyzz_xxxxxyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1042); 

                auto tg_xyyyyzz_xxxxxyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1043); 

                auto tg_xyyyyzz_xxxxxzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1044); 

                auto tg_xyyyyzz_xxxxyyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1045); 

                auto tg_xyyyyzz_xxxxyyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1046); 

                auto tg_xyyyyzz_xxxxyyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1047); 

                auto tg_xyyyyzz_xxxxyzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1048); 

                auto tg_xyyyyzz_xxxxzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1049); 

                // Batch of Integrals (955,1050)

                #pragma omp simd aligned(fxn, tg_xyyyyyy_xxxxyyyy_0, tg_xyyyyyy_xxxxyyyz_0, \
                                         tg_xyyyyyy_xxxxyyzz_0, tg_xyyyyyy_xxxxyzzz_0, tg_xyyyyyy_xxxxzzzz_0, \
                                         tg_xyyyyyy_xxxyyyyy_0, tg_xyyyyyy_xxxyyyyz_0, tg_xyyyyyy_xxxyyyzz_0, \
                                         tg_xyyyyyy_xxxyyzzz_0, tg_xyyyyyy_xxxyzzzz_0, tg_xyyyyyy_xxxzzzzz_0, \
                                         tg_xyyyyyy_xxyyyyyy_0, tg_xyyyyyy_xxyyyyyz_0, tg_xyyyyyy_xxyyyyzz_0, \
                                         tg_xyyyyyy_xxyyyzzz_0, tg_xyyyyyy_xxyyzzzz_0, tg_xyyyyyy_xxyzzzzz_0, \
                                         tg_xyyyyyy_xxzzzzzz_0, tg_xyyyyyy_xyyyyyyy_0, tg_xyyyyyy_xyyyyyyz_0, \
                                         tg_xyyyyyy_xyyyyyzz_0, tg_xyyyyyy_xyyyyzzz_0, tg_xyyyyyy_xyyyzzzz_0, \
                                         tg_xyyyyyy_xyyzzzzz_0, tg_xyyyyyy_xyzzzzzz_0, tg_xyyyyyy_xzzzzzzz_0, \
                                         tg_xyyyyyy_yyyyyyyy_0, tg_xyyyyyy_yyyyyyyz_0, tg_xyyyyyy_yyyyyyzz_0, \
                                         tg_xyyyyyy_yyyyyzzz_0, tg_xyyyyyy_yyyyzzzz_0, tg_xyyyyyy_yyyzzzzz_0, \
                                         tg_xyyyyyy_yyzzzzzz_0, tg_xyyyyyy_yzzzzzzz_0, tg_xyyyyyy_zzzzzzzz_0, \
                                         tg_xyyyyyz_xxxxxxxx_0, tg_xyyyyyz_xxxxxxxy_0, tg_xyyyyyz_xxxxxxxz_0, \
                                         tg_xyyyyyz_xxxxxxyy_0, tg_xyyyyyz_xxxxxxyz_0, tg_xyyyyyz_xxxxxxzz_0, \
                                         tg_xyyyyyz_xxxxxyyy_0, tg_xyyyyyz_xxxxxyyz_0, tg_xyyyyyz_xxxxxyzz_0, \
                                         tg_xyyyyyz_xxxxxzzz_0, tg_xyyyyyz_xxxxyyyy_0, tg_xyyyyyz_xxxxyyyz_0, \
                                         tg_xyyyyyz_xxxxyyzz_0, tg_xyyyyyz_xxxxyzzz_0, tg_xyyyyyz_xxxxzzzz_0, \
                                         tg_xyyyyyz_xxxyyyyy_0, tg_xyyyyyz_xxxyyyyz_0, tg_xyyyyyz_xxxyyyzz_0, \
                                         tg_xyyyyyz_xxxyyzzz_0, tg_xyyyyyz_xxxyzzzz_0, tg_xyyyyyz_xxxzzzzz_0, \
                                         tg_xyyyyyz_xxyyyyyy_0, tg_xyyyyyz_xxyyyyyz_0, tg_xyyyyyz_xxyyyyzz_0, \
                                         tg_xyyyyyz_xxyyyzzz_0, tg_xyyyyyz_xxyyzzzz_0, tg_xyyyyyz_xxyzzzzz_0, \
                                         tg_xyyyyyz_xxzzzzzz_0, tg_xyyyyyz_xyyyyyyy_0, tg_xyyyyyz_xyyyyyyz_0, \
                                         tg_xyyyyyz_xyyyyyzz_0, tg_xyyyyyz_xyyyyzzz_0, tg_xyyyyyz_xyyyzzzz_0, \
                                         tg_xyyyyyz_xyyzzzzz_0, tg_xyyyyyz_xyzzzzzz_0, tg_xyyyyyz_xzzzzzzz_0, \
                                         tg_xyyyyyz_yyyyyyyy_0, tg_xyyyyyz_yyyyyyyz_0, tg_xyyyyyz_yyyyyyzz_0, \
                                         tg_xyyyyyz_yyyyyzzz_0, tg_xyyyyyz_yyyyzzzz_0, tg_xyyyyyz_yyyzzzzz_0, \
                                         tg_xyyyyyz_yyzzzzzz_0, tg_xyyyyyz_yzzzzzzz_0, tg_xyyyyyz_zzzzzzzz_0, \
                                         tg_xyyyyzz_xxxxxxxx_0, tg_xyyyyzz_xxxxxxxy_0, tg_xyyyyzz_xxxxxxxz_0, \
                                         tg_xyyyyzz_xxxxxxyy_0, tg_xyyyyzz_xxxxxxyz_0, tg_xyyyyzz_xxxxxxzz_0, \
                                         tg_xyyyyzz_xxxxxyyy_0, tg_xyyyyzz_xxxxxyyz_0, tg_xyyyyzz_xxxxxyzz_0, \
                                         tg_xyyyyzz_xxxxxzzz_0, tg_xyyyyzz_xxxxyyyy_0, tg_xyyyyzz_xxxxyyyz_0, \
                                         tg_xyyyyzz_xxxxyyzz_0, tg_xyyyyzz_xxxxyzzz_0, tg_xyyyyzz_xxxxzzzz_0, \
                                         tg_yyyyyy_xxxxyyyy_0, tg_yyyyyy_xxxxyyyy_1, tg_yyyyyy_xxxxyyyz_0, tg_yyyyyy_xxxxyyyz_1, \
                                         tg_yyyyyy_xxxxyyzz_0, tg_yyyyyy_xxxxyyzz_1, tg_yyyyyy_xxxxyzzz_0, tg_yyyyyy_xxxxyzzz_1, \
                                         tg_yyyyyy_xxxxzzzz_0, tg_yyyyyy_xxxxzzzz_1, tg_yyyyyy_xxxyyyy_1, tg_yyyyyy_xxxyyyyy_0, \
                                         tg_yyyyyy_xxxyyyyy_1, tg_yyyyyy_xxxyyyyz_0, tg_yyyyyy_xxxyyyyz_1, tg_yyyyyy_xxxyyyz_1, \
                                         tg_yyyyyy_xxxyyyzz_0, tg_yyyyyy_xxxyyyzz_1, tg_yyyyyy_xxxyyzz_1, tg_yyyyyy_xxxyyzzz_0, \
                                         tg_yyyyyy_xxxyyzzz_1, tg_yyyyyy_xxxyzzz_1, tg_yyyyyy_xxxyzzzz_0, tg_yyyyyy_xxxyzzzz_1, \
                                         tg_yyyyyy_xxxzzzz_1, tg_yyyyyy_xxxzzzzz_0, tg_yyyyyy_xxxzzzzz_1, tg_yyyyyy_xxyyyyy_1, \
                                         tg_yyyyyy_xxyyyyyy_0, tg_yyyyyy_xxyyyyyy_1, tg_yyyyyy_xxyyyyyz_0, tg_yyyyyy_xxyyyyyz_1, \
                                         tg_yyyyyy_xxyyyyz_1, tg_yyyyyy_xxyyyyzz_0, tg_yyyyyy_xxyyyyzz_1, tg_yyyyyy_xxyyyzz_1, \
                                         tg_yyyyyy_xxyyyzzz_0, tg_yyyyyy_xxyyyzzz_1, tg_yyyyyy_xxyyzzz_1, tg_yyyyyy_xxyyzzzz_0, \
                                         tg_yyyyyy_xxyyzzzz_1, tg_yyyyyy_xxyzzzz_1, tg_yyyyyy_xxyzzzzz_0, tg_yyyyyy_xxyzzzzz_1, \
                                         tg_yyyyyy_xxzzzzz_1, tg_yyyyyy_xxzzzzzz_0, tg_yyyyyy_xxzzzzzz_1, tg_yyyyyy_xyyyyyy_1, \
                                         tg_yyyyyy_xyyyyyyy_0, tg_yyyyyy_xyyyyyyy_1, tg_yyyyyy_xyyyyyyz_0, tg_yyyyyy_xyyyyyyz_1, \
                                         tg_yyyyyy_xyyyyyz_1, tg_yyyyyy_xyyyyyzz_0, tg_yyyyyy_xyyyyyzz_1, tg_yyyyyy_xyyyyzz_1, \
                                         tg_yyyyyy_xyyyyzzz_0, tg_yyyyyy_xyyyyzzz_1, tg_yyyyyy_xyyyzzz_1, tg_yyyyyy_xyyyzzzz_0, \
                                         tg_yyyyyy_xyyyzzzz_1, tg_yyyyyy_xyyzzzz_1, tg_yyyyyy_xyyzzzzz_0, tg_yyyyyy_xyyzzzzz_1, \
                                         tg_yyyyyy_xyzzzzz_1, tg_yyyyyy_xyzzzzzz_0, tg_yyyyyy_xyzzzzzz_1, tg_yyyyyy_xzzzzzz_1, \
                                         tg_yyyyyy_xzzzzzzz_0, tg_yyyyyy_xzzzzzzz_1, tg_yyyyyy_yyyyyyy_1, tg_yyyyyy_yyyyyyyy_0, \
                                         tg_yyyyyy_yyyyyyyy_1, tg_yyyyyy_yyyyyyyz_0, tg_yyyyyy_yyyyyyyz_1, tg_yyyyyy_yyyyyyz_1, \
                                         tg_yyyyyy_yyyyyyzz_0, tg_yyyyyy_yyyyyyzz_1, tg_yyyyyy_yyyyyzz_1, tg_yyyyyy_yyyyyzzz_0, \
                                         tg_yyyyyy_yyyyyzzz_1, tg_yyyyyy_yyyyzzz_1, tg_yyyyyy_yyyyzzzz_0, tg_yyyyyy_yyyyzzzz_1, \
                                         tg_yyyyyy_yyyzzzz_1, tg_yyyyyy_yyyzzzzz_0, tg_yyyyyy_yyyzzzzz_1, tg_yyyyyy_yyzzzzz_1, \
                                         tg_yyyyyy_yyzzzzzz_0, tg_yyyyyy_yyzzzzzz_1, tg_yyyyyy_yzzzzzz_1, tg_yyyyyy_yzzzzzzz_0, \
                                         tg_yyyyyy_yzzzzzzz_1, tg_yyyyyy_zzzzzzz_1, tg_yyyyyy_zzzzzzzz_0, tg_yyyyyy_zzzzzzzz_1, \
                                         tg_yyyyyz_xxxxxxx_1, tg_yyyyyz_xxxxxxxx_0, tg_yyyyyz_xxxxxxxx_1, tg_yyyyyz_xxxxxxxy_0, \
                                         tg_yyyyyz_xxxxxxxy_1, tg_yyyyyz_xxxxxxxz_0, tg_yyyyyz_xxxxxxxz_1, tg_yyyyyz_xxxxxxy_1, \
                                         tg_yyyyyz_xxxxxxyy_0, tg_yyyyyz_xxxxxxyy_1, tg_yyyyyz_xxxxxxyz_0, tg_yyyyyz_xxxxxxyz_1, \
                                         tg_yyyyyz_xxxxxxz_1, tg_yyyyyz_xxxxxxzz_0, tg_yyyyyz_xxxxxxzz_1, tg_yyyyyz_xxxxxyy_1, \
                                         tg_yyyyyz_xxxxxyyy_0, tg_yyyyyz_xxxxxyyy_1, tg_yyyyyz_xxxxxyyz_0, tg_yyyyyz_xxxxxyyz_1, \
                                         tg_yyyyyz_xxxxxyz_1, tg_yyyyyz_xxxxxyzz_0, tg_yyyyyz_xxxxxyzz_1, tg_yyyyyz_xxxxxzz_1, \
                                         tg_yyyyyz_xxxxxzzz_0, tg_yyyyyz_xxxxxzzz_1, tg_yyyyyz_xxxxyyy_1, tg_yyyyyz_xxxxyyyy_0, \
                                         tg_yyyyyz_xxxxyyyy_1, tg_yyyyyz_xxxxyyyz_0, tg_yyyyyz_xxxxyyyz_1, tg_yyyyyz_xxxxyyz_1, \
                                         tg_yyyyyz_xxxxyyzz_0, tg_yyyyyz_xxxxyyzz_1, tg_yyyyyz_xxxxyzz_1, tg_yyyyyz_xxxxyzzz_0, \
                                         tg_yyyyyz_xxxxyzzz_1, tg_yyyyyz_xxxxzzz_1, tg_yyyyyz_xxxxzzzz_0, tg_yyyyyz_xxxxzzzz_1, \
                                         tg_yyyyyz_xxxyyyy_1, tg_yyyyyz_xxxyyyyy_0, tg_yyyyyz_xxxyyyyy_1, tg_yyyyyz_xxxyyyyz_0, \
                                         tg_yyyyyz_xxxyyyyz_1, tg_yyyyyz_xxxyyyz_1, tg_yyyyyz_xxxyyyzz_0, tg_yyyyyz_xxxyyyzz_1, \
                                         tg_yyyyyz_xxxyyzz_1, tg_yyyyyz_xxxyyzzz_0, tg_yyyyyz_xxxyyzzz_1, tg_yyyyyz_xxxyzzz_1, \
                                         tg_yyyyyz_xxxyzzzz_0, tg_yyyyyz_xxxyzzzz_1, tg_yyyyyz_xxxzzzz_1, tg_yyyyyz_xxxzzzzz_0, \
                                         tg_yyyyyz_xxxzzzzz_1, tg_yyyyyz_xxyyyyy_1, tg_yyyyyz_xxyyyyyy_0, tg_yyyyyz_xxyyyyyy_1, \
                                         tg_yyyyyz_xxyyyyyz_0, tg_yyyyyz_xxyyyyyz_1, tg_yyyyyz_xxyyyyz_1, tg_yyyyyz_xxyyyyzz_0, \
                                         tg_yyyyyz_xxyyyyzz_1, tg_yyyyyz_xxyyyzz_1, tg_yyyyyz_xxyyyzzz_0, tg_yyyyyz_xxyyyzzz_1, \
                                         tg_yyyyyz_xxyyzzz_1, tg_yyyyyz_xxyyzzzz_0, tg_yyyyyz_xxyyzzzz_1, tg_yyyyyz_xxyzzzz_1, \
                                         tg_yyyyyz_xxyzzzzz_0, tg_yyyyyz_xxyzzzzz_1, tg_yyyyyz_xxzzzzz_1, tg_yyyyyz_xxzzzzzz_0, \
                                         tg_yyyyyz_xxzzzzzz_1, tg_yyyyyz_xyyyyyy_1, tg_yyyyyz_xyyyyyyy_0, tg_yyyyyz_xyyyyyyy_1, \
                                         tg_yyyyyz_xyyyyyyz_0, tg_yyyyyz_xyyyyyyz_1, tg_yyyyyz_xyyyyyz_1, tg_yyyyyz_xyyyyyzz_0, \
                                         tg_yyyyyz_xyyyyyzz_1, tg_yyyyyz_xyyyyzz_1, tg_yyyyyz_xyyyyzzz_0, tg_yyyyyz_xyyyyzzz_1, \
                                         tg_yyyyyz_xyyyzzz_1, tg_yyyyyz_xyyyzzzz_0, tg_yyyyyz_xyyyzzzz_1, tg_yyyyyz_xyyzzzz_1, \
                                         tg_yyyyyz_xyyzzzzz_0, tg_yyyyyz_xyyzzzzz_1, tg_yyyyyz_xyzzzzz_1, tg_yyyyyz_xyzzzzzz_0, \
                                         tg_yyyyyz_xyzzzzzz_1, tg_yyyyyz_xzzzzzz_1, tg_yyyyyz_xzzzzzzz_0, tg_yyyyyz_xzzzzzzz_1, \
                                         tg_yyyyyz_yyyyyyy_1, tg_yyyyyz_yyyyyyyy_0, tg_yyyyyz_yyyyyyyy_1, tg_yyyyyz_yyyyyyyz_0, \
                                         tg_yyyyyz_yyyyyyyz_1, tg_yyyyyz_yyyyyyz_1, tg_yyyyyz_yyyyyyzz_0, tg_yyyyyz_yyyyyyzz_1, \
                                         tg_yyyyyz_yyyyyzz_1, tg_yyyyyz_yyyyyzzz_0, tg_yyyyyz_yyyyyzzz_1, tg_yyyyyz_yyyyzzz_1, \
                                         tg_yyyyyz_yyyyzzzz_0, tg_yyyyyz_yyyyzzzz_1, tg_yyyyyz_yyyzzzz_1, tg_yyyyyz_yyyzzzzz_0, \
                                         tg_yyyyyz_yyyzzzzz_1, tg_yyyyyz_yyzzzzz_1, tg_yyyyyz_yyzzzzzz_0, tg_yyyyyz_yyzzzzzz_1, \
                                         tg_yyyyyz_yzzzzzz_1, tg_yyyyyz_yzzzzzzz_0, tg_yyyyyz_yzzzzzzz_1, tg_yyyyyz_zzzzzzz_1, \
                                         tg_yyyyyz_zzzzzzzz_0, tg_yyyyyz_zzzzzzzz_1, tg_yyyyzz_xxxxxxx_1, tg_yyyyzz_xxxxxxxx_0, \
                                         tg_yyyyzz_xxxxxxxx_1, tg_yyyyzz_xxxxxxxy_0, tg_yyyyzz_xxxxxxxy_1, tg_yyyyzz_xxxxxxxz_0, \
                                         tg_yyyyzz_xxxxxxxz_1, tg_yyyyzz_xxxxxxy_1, tg_yyyyzz_xxxxxxyy_0, tg_yyyyzz_xxxxxxyy_1, \
                                         tg_yyyyzz_xxxxxxyz_0, tg_yyyyzz_xxxxxxyz_1, tg_yyyyzz_xxxxxxz_1, tg_yyyyzz_xxxxxxzz_0, \
                                         tg_yyyyzz_xxxxxxzz_1, tg_yyyyzz_xxxxxyy_1, tg_yyyyzz_xxxxxyyy_0, tg_yyyyzz_xxxxxyyy_1, \
                                         tg_yyyyzz_xxxxxyyz_0, tg_yyyyzz_xxxxxyyz_1, tg_yyyyzz_xxxxxyz_1, tg_yyyyzz_xxxxxyzz_0, \
                                         tg_yyyyzz_xxxxxyzz_1, tg_yyyyzz_xxxxxzz_1, tg_yyyyzz_xxxxxzzz_0, tg_yyyyzz_xxxxxzzz_1, \
                                         tg_yyyyzz_xxxxyyy_1, tg_yyyyzz_xxxxyyyy_0, tg_yyyyzz_xxxxyyyy_1, tg_yyyyzz_xxxxyyyz_0, \
                                         tg_yyyyzz_xxxxyyyz_1, tg_yyyyzz_xxxxyyz_1, tg_yyyyzz_xxxxyyzz_0, tg_yyyyzz_xxxxyyzz_1, \
                                         tg_yyyyzz_xxxxyzz_1, tg_yyyyzz_xxxxyzzz_0, tg_yyyyzz_xxxxyzzz_1, tg_yyyyzz_xxxxzzz_1, \
                                         tg_yyyyzz_xxxxzzzz_0, tg_yyyyzz_xxxxzzzz_1, tg_yyyyzz_xxxyyyy_1, tg_yyyyzz_xxxyyyz_1, \
                                         tg_yyyyzz_xxxyyzz_1, tg_yyyyzz_xxxyzzz_1, tg_yyyyzz_xxxzzzz_1, wp_x: VLX_ALIGN)
                for (int32_t j = 0; j < nKetPrimPairs; j++)
                {
                    double fl1_fxn = fxn[j];

                    double fr = wp_x[j]; 

                    tg_xyyyyyy_xxxxyyyy_0[j] = pb_x * tg_yyyyyy_xxxxyyyy_0[j] + fr * tg_yyyyyy_xxxxyyyy_1[j] + 2.0 * fl1_fxn * tg_yyyyyy_xxxyyyy_1[j];

                    tg_xyyyyyy_xxxxyyyz_0[j] = pb_x * tg_yyyyyy_xxxxyyyz_0[j] + fr * tg_yyyyyy_xxxxyyyz_1[j] + 2.0 * fl1_fxn * tg_yyyyyy_xxxyyyz_1[j];

                    tg_xyyyyyy_xxxxyyzz_0[j] = pb_x * tg_yyyyyy_xxxxyyzz_0[j] + fr * tg_yyyyyy_xxxxyyzz_1[j] + 2.0 * fl1_fxn * tg_yyyyyy_xxxyyzz_1[j];

                    tg_xyyyyyy_xxxxyzzz_0[j] = pb_x * tg_yyyyyy_xxxxyzzz_0[j] + fr * tg_yyyyyy_xxxxyzzz_1[j] + 2.0 * fl1_fxn * tg_yyyyyy_xxxyzzz_1[j];

                    tg_xyyyyyy_xxxxzzzz_0[j] = pb_x * tg_yyyyyy_xxxxzzzz_0[j] + fr * tg_yyyyyy_xxxxzzzz_1[j] + 2.0 * fl1_fxn * tg_yyyyyy_xxxzzzz_1[j];

                    tg_xyyyyyy_xxxyyyyy_0[j] = pb_x * tg_yyyyyy_xxxyyyyy_0[j] + fr * tg_yyyyyy_xxxyyyyy_1[j] + 1.5 * fl1_fxn * tg_yyyyyy_xxyyyyy_1[j];

                    tg_xyyyyyy_xxxyyyyz_0[j] = pb_x * tg_yyyyyy_xxxyyyyz_0[j] + fr * tg_yyyyyy_xxxyyyyz_1[j] + 1.5 * fl1_fxn * tg_yyyyyy_xxyyyyz_1[j];

                    tg_xyyyyyy_xxxyyyzz_0[j] = pb_x * tg_yyyyyy_xxxyyyzz_0[j] + fr * tg_yyyyyy_xxxyyyzz_1[j] + 1.5 * fl1_fxn * tg_yyyyyy_xxyyyzz_1[j];

                    tg_xyyyyyy_xxxyyzzz_0[j] = pb_x * tg_yyyyyy_xxxyyzzz_0[j] + fr * tg_yyyyyy_xxxyyzzz_1[j] + 1.5 * fl1_fxn * tg_yyyyyy_xxyyzzz_1[j];

                    tg_xyyyyyy_xxxyzzzz_0[j] = pb_x * tg_yyyyyy_xxxyzzzz_0[j] + fr * tg_yyyyyy_xxxyzzzz_1[j] + 1.5 * fl1_fxn * tg_yyyyyy_xxyzzzz_1[j];

                    tg_xyyyyyy_xxxzzzzz_0[j] = pb_x * tg_yyyyyy_xxxzzzzz_0[j] + fr * tg_yyyyyy_xxxzzzzz_1[j] + 1.5 * fl1_fxn * tg_yyyyyy_xxzzzzz_1[j];

                    tg_xyyyyyy_xxyyyyyy_0[j] = pb_x * tg_yyyyyy_xxyyyyyy_0[j] + fr * tg_yyyyyy_xxyyyyyy_1[j] + fl1_fxn * tg_yyyyyy_xyyyyyy_1[j];

                    tg_xyyyyyy_xxyyyyyz_0[j] = pb_x * tg_yyyyyy_xxyyyyyz_0[j] + fr * tg_yyyyyy_xxyyyyyz_1[j] + fl1_fxn * tg_yyyyyy_xyyyyyz_1[j];

                    tg_xyyyyyy_xxyyyyzz_0[j] = pb_x * tg_yyyyyy_xxyyyyzz_0[j] + fr * tg_yyyyyy_xxyyyyzz_1[j] + fl1_fxn * tg_yyyyyy_xyyyyzz_1[j];

                    tg_xyyyyyy_xxyyyzzz_0[j] = pb_x * tg_yyyyyy_xxyyyzzz_0[j] + fr * tg_yyyyyy_xxyyyzzz_1[j] + fl1_fxn * tg_yyyyyy_xyyyzzz_1[j];

                    tg_xyyyyyy_xxyyzzzz_0[j] = pb_x * tg_yyyyyy_xxyyzzzz_0[j] + fr * tg_yyyyyy_xxyyzzzz_1[j] + fl1_fxn * tg_yyyyyy_xyyzzzz_1[j];

                    tg_xyyyyyy_xxyzzzzz_0[j] = pb_x * tg_yyyyyy_xxyzzzzz_0[j] + fr * tg_yyyyyy_xxyzzzzz_1[j] + fl1_fxn * tg_yyyyyy_xyzzzzz_1[j];

                    tg_xyyyyyy_xxzzzzzz_0[j] = pb_x * tg_yyyyyy_xxzzzzzz_0[j] + fr * tg_yyyyyy_xxzzzzzz_1[j] + fl1_fxn * tg_yyyyyy_xzzzzzz_1[j];

                    tg_xyyyyyy_xyyyyyyy_0[j] = pb_x * tg_yyyyyy_xyyyyyyy_0[j] + fr * tg_yyyyyy_xyyyyyyy_1[j] + 0.5 * fl1_fxn * tg_yyyyyy_yyyyyyy_1[j];

                    tg_xyyyyyy_xyyyyyyz_0[j] = pb_x * tg_yyyyyy_xyyyyyyz_0[j] + fr * tg_yyyyyy_xyyyyyyz_1[j] + 0.5 * fl1_fxn * tg_yyyyyy_yyyyyyz_1[j];

                    tg_xyyyyyy_xyyyyyzz_0[j] = pb_x * tg_yyyyyy_xyyyyyzz_0[j] + fr * tg_yyyyyy_xyyyyyzz_1[j] + 0.5 * fl1_fxn * tg_yyyyyy_yyyyyzz_1[j];

                    tg_xyyyyyy_xyyyyzzz_0[j] = pb_x * tg_yyyyyy_xyyyyzzz_0[j] + fr * tg_yyyyyy_xyyyyzzz_1[j] + 0.5 * fl1_fxn * tg_yyyyyy_yyyyzzz_1[j];

                    tg_xyyyyyy_xyyyzzzz_0[j] = pb_x * tg_yyyyyy_xyyyzzzz_0[j] + fr * tg_yyyyyy_xyyyzzzz_1[j] + 0.5 * fl1_fxn * tg_yyyyyy_yyyzzzz_1[j];

                    tg_xyyyyyy_xyyzzzzz_0[j] = pb_x * tg_yyyyyy_xyyzzzzz_0[j] + fr * tg_yyyyyy_xyyzzzzz_1[j] + 0.5 * fl1_fxn * tg_yyyyyy_yyzzzzz_1[j];

                    tg_xyyyyyy_xyzzzzzz_0[j] = pb_x * tg_yyyyyy_xyzzzzzz_0[j] + fr * tg_yyyyyy_xyzzzzzz_1[j] + 0.5 * fl1_fxn * tg_yyyyyy_yzzzzzz_1[j];

                    tg_xyyyyyy_xzzzzzzz_0[j] = pb_x * tg_yyyyyy_xzzzzzzz_0[j] + fr * tg_yyyyyy_xzzzzzzz_1[j] + 0.5 * fl1_fxn * tg_yyyyyy_zzzzzzz_1[j];

                    tg_xyyyyyy_yyyyyyyy_0[j] = pb_x * tg_yyyyyy_yyyyyyyy_0[j] + fr * tg_yyyyyy_yyyyyyyy_1[j];

                    tg_xyyyyyy_yyyyyyyz_0[j] = pb_x * tg_yyyyyy_yyyyyyyz_0[j] + fr * tg_yyyyyy_yyyyyyyz_1[j];

                    tg_xyyyyyy_yyyyyyzz_0[j] = pb_x * tg_yyyyyy_yyyyyyzz_0[j] + fr * tg_yyyyyy_yyyyyyzz_1[j];

                    tg_xyyyyyy_yyyyyzzz_0[j] = pb_x * tg_yyyyyy_yyyyyzzz_0[j] + fr * tg_yyyyyy_yyyyyzzz_1[j];

                    tg_xyyyyyy_yyyyzzzz_0[j] = pb_x * tg_yyyyyy_yyyyzzzz_0[j] + fr * tg_yyyyyy_yyyyzzzz_1[j];

                    tg_xyyyyyy_yyyzzzzz_0[j] = pb_x * tg_yyyyyy_yyyzzzzz_0[j] + fr * tg_yyyyyy_yyyzzzzz_1[j];

                    tg_xyyyyyy_yyzzzzzz_0[j] = pb_x * tg_yyyyyy_yyzzzzzz_0[j] + fr * tg_yyyyyy_yyzzzzzz_1[j];

                    tg_xyyyyyy_yzzzzzzz_0[j] = pb_x * tg_yyyyyy_yzzzzzzz_0[j] + fr * tg_yyyyyy_yzzzzzzz_1[j];

                    tg_xyyyyyy_zzzzzzzz_0[j] = pb_x * tg_yyyyyy_zzzzzzzz_0[j] + fr * tg_yyyyyy_zzzzzzzz_1[j];

                    tg_xyyyyyz_xxxxxxxx_0[j] = pb_x * tg_yyyyyz_xxxxxxxx_0[j] + fr * tg_yyyyyz_xxxxxxxx_1[j] + 4.0 * fl1_fxn * tg_yyyyyz_xxxxxxx_1[j];

                    tg_xyyyyyz_xxxxxxxy_0[j] = pb_x * tg_yyyyyz_xxxxxxxy_0[j] + fr * tg_yyyyyz_xxxxxxxy_1[j] + 3.5 * fl1_fxn * tg_yyyyyz_xxxxxxy_1[j];

                    tg_xyyyyyz_xxxxxxxz_0[j] = pb_x * tg_yyyyyz_xxxxxxxz_0[j] + fr * tg_yyyyyz_xxxxxxxz_1[j] + 3.5 * fl1_fxn * tg_yyyyyz_xxxxxxz_1[j];

                    tg_xyyyyyz_xxxxxxyy_0[j] = pb_x * tg_yyyyyz_xxxxxxyy_0[j] + fr * tg_yyyyyz_xxxxxxyy_1[j] + 3.0 * fl1_fxn * tg_yyyyyz_xxxxxyy_1[j];

                    tg_xyyyyyz_xxxxxxyz_0[j] = pb_x * tg_yyyyyz_xxxxxxyz_0[j] + fr * tg_yyyyyz_xxxxxxyz_1[j] + 3.0 * fl1_fxn * tg_yyyyyz_xxxxxyz_1[j];

                    tg_xyyyyyz_xxxxxxzz_0[j] = pb_x * tg_yyyyyz_xxxxxxzz_0[j] + fr * tg_yyyyyz_xxxxxxzz_1[j] + 3.0 * fl1_fxn * tg_yyyyyz_xxxxxzz_1[j];

                    tg_xyyyyyz_xxxxxyyy_0[j] = pb_x * tg_yyyyyz_xxxxxyyy_0[j] + fr * tg_yyyyyz_xxxxxyyy_1[j] + 2.5 * fl1_fxn * tg_yyyyyz_xxxxyyy_1[j];

                    tg_xyyyyyz_xxxxxyyz_0[j] = pb_x * tg_yyyyyz_xxxxxyyz_0[j] + fr * tg_yyyyyz_xxxxxyyz_1[j] + 2.5 * fl1_fxn * tg_yyyyyz_xxxxyyz_1[j];

                    tg_xyyyyyz_xxxxxyzz_0[j] = pb_x * tg_yyyyyz_xxxxxyzz_0[j] + fr * tg_yyyyyz_xxxxxyzz_1[j] + 2.5 * fl1_fxn * tg_yyyyyz_xxxxyzz_1[j];

                    tg_xyyyyyz_xxxxxzzz_0[j] = pb_x * tg_yyyyyz_xxxxxzzz_0[j] + fr * tg_yyyyyz_xxxxxzzz_1[j] + 2.5 * fl1_fxn * tg_yyyyyz_xxxxzzz_1[j];

                    tg_xyyyyyz_xxxxyyyy_0[j] = pb_x * tg_yyyyyz_xxxxyyyy_0[j] + fr * tg_yyyyyz_xxxxyyyy_1[j] + 2.0 * fl1_fxn * tg_yyyyyz_xxxyyyy_1[j];

                    tg_xyyyyyz_xxxxyyyz_0[j] = pb_x * tg_yyyyyz_xxxxyyyz_0[j] + fr * tg_yyyyyz_xxxxyyyz_1[j] + 2.0 * fl1_fxn * tg_yyyyyz_xxxyyyz_1[j];

                    tg_xyyyyyz_xxxxyyzz_0[j] = pb_x * tg_yyyyyz_xxxxyyzz_0[j] + fr * tg_yyyyyz_xxxxyyzz_1[j] + 2.0 * fl1_fxn * tg_yyyyyz_xxxyyzz_1[j];

                    tg_xyyyyyz_xxxxyzzz_0[j] = pb_x * tg_yyyyyz_xxxxyzzz_0[j] + fr * tg_yyyyyz_xxxxyzzz_1[j] + 2.0 * fl1_fxn * tg_yyyyyz_xxxyzzz_1[j];

                    tg_xyyyyyz_xxxxzzzz_0[j] = pb_x * tg_yyyyyz_xxxxzzzz_0[j] + fr * tg_yyyyyz_xxxxzzzz_1[j] + 2.0 * fl1_fxn * tg_yyyyyz_xxxzzzz_1[j];

                    tg_xyyyyyz_xxxyyyyy_0[j] = pb_x * tg_yyyyyz_xxxyyyyy_0[j] + fr * tg_yyyyyz_xxxyyyyy_1[j] + 1.5 * fl1_fxn * tg_yyyyyz_xxyyyyy_1[j];

                    tg_xyyyyyz_xxxyyyyz_0[j] = pb_x * tg_yyyyyz_xxxyyyyz_0[j] + fr * tg_yyyyyz_xxxyyyyz_1[j] + 1.5 * fl1_fxn * tg_yyyyyz_xxyyyyz_1[j];

                    tg_xyyyyyz_xxxyyyzz_0[j] = pb_x * tg_yyyyyz_xxxyyyzz_0[j] + fr * tg_yyyyyz_xxxyyyzz_1[j] + 1.5 * fl1_fxn * tg_yyyyyz_xxyyyzz_1[j];

                    tg_xyyyyyz_xxxyyzzz_0[j] = pb_x * tg_yyyyyz_xxxyyzzz_0[j] + fr * tg_yyyyyz_xxxyyzzz_1[j] + 1.5 * fl1_fxn * tg_yyyyyz_xxyyzzz_1[j];

                    tg_xyyyyyz_xxxyzzzz_0[j] = pb_x * tg_yyyyyz_xxxyzzzz_0[j] + fr * tg_yyyyyz_xxxyzzzz_1[j] + 1.5 * fl1_fxn * tg_yyyyyz_xxyzzzz_1[j];

                    tg_xyyyyyz_xxxzzzzz_0[j] = pb_x * tg_yyyyyz_xxxzzzzz_0[j] + fr * tg_yyyyyz_xxxzzzzz_1[j] + 1.5 * fl1_fxn * tg_yyyyyz_xxzzzzz_1[j];

                    tg_xyyyyyz_xxyyyyyy_0[j] = pb_x * tg_yyyyyz_xxyyyyyy_0[j] + fr * tg_yyyyyz_xxyyyyyy_1[j] + fl1_fxn * tg_yyyyyz_xyyyyyy_1[j];

                    tg_xyyyyyz_xxyyyyyz_0[j] = pb_x * tg_yyyyyz_xxyyyyyz_0[j] + fr * tg_yyyyyz_xxyyyyyz_1[j] + fl1_fxn * tg_yyyyyz_xyyyyyz_1[j];

                    tg_xyyyyyz_xxyyyyzz_0[j] = pb_x * tg_yyyyyz_xxyyyyzz_0[j] + fr * tg_yyyyyz_xxyyyyzz_1[j] + fl1_fxn * tg_yyyyyz_xyyyyzz_1[j];

                    tg_xyyyyyz_xxyyyzzz_0[j] = pb_x * tg_yyyyyz_xxyyyzzz_0[j] + fr * tg_yyyyyz_xxyyyzzz_1[j] + fl1_fxn * tg_yyyyyz_xyyyzzz_1[j];

                    tg_xyyyyyz_xxyyzzzz_0[j] = pb_x * tg_yyyyyz_xxyyzzzz_0[j] + fr * tg_yyyyyz_xxyyzzzz_1[j] + fl1_fxn * tg_yyyyyz_xyyzzzz_1[j];

                    tg_xyyyyyz_xxyzzzzz_0[j] = pb_x * tg_yyyyyz_xxyzzzzz_0[j] + fr * tg_yyyyyz_xxyzzzzz_1[j] + fl1_fxn * tg_yyyyyz_xyzzzzz_1[j];

                    tg_xyyyyyz_xxzzzzzz_0[j] = pb_x * tg_yyyyyz_xxzzzzzz_0[j] + fr * tg_yyyyyz_xxzzzzzz_1[j] + fl1_fxn * tg_yyyyyz_xzzzzzz_1[j];

                    tg_xyyyyyz_xyyyyyyy_0[j] = pb_x * tg_yyyyyz_xyyyyyyy_0[j] + fr * tg_yyyyyz_xyyyyyyy_1[j] + 0.5 * fl1_fxn * tg_yyyyyz_yyyyyyy_1[j];

                    tg_xyyyyyz_xyyyyyyz_0[j] = pb_x * tg_yyyyyz_xyyyyyyz_0[j] + fr * tg_yyyyyz_xyyyyyyz_1[j] + 0.5 * fl1_fxn * tg_yyyyyz_yyyyyyz_1[j];

                    tg_xyyyyyz_xyyyyyzz_0[j] = pb_x * tg_yyyyyz_xyyyyyzz_0[j] + fr * tg_yyyyyz_xyyyyyzz_1[j] + 0.5 * fl1_fxn * tg_yyyyyz_yyyyyzz_1[j];

                    tg_xyyyyyz_xyyyyzzz_0[j] = pb_x * tg_yyyyyz_xyyyyzzz_0[j] + fr * tg_yyyyyz_xyyyyzzz_1[j] + 0.5 * fl1_fxn * tg_yyyyyz_yyyyzzz_1[j];

                    tg_xyyyyyz_xyyyzzzz_0[j] = pb_x * tg_yyyyyz_xyyyzzzz_0[j] + fr * tg_yyyyyz_xyyyzzzz_1[j] + 0.5 * fl1_fxn * tg_yyyyyz_yyyzzzz_1[j];

                    tg_xyyyyyz_xyyzzzzz_0[j] = pb_x * tg_yyyyyz_xyyzzzzz_0[j] + fr * tg_yyyyyz_xyyzzzzz_1[j] + 0.5 * fl1_fxn * tg_yyyyyz_yyzzzzz_1[j];

                    tg_xyyyyyz_xyzzzzzz_0[j] = pb_x * tg_yyyyyz_xyzzzzzz_0[j] + fr * tg_yyyyyz_xyzzzzzz_1[j] + 0.5 * fl1_fxn * tg_yyyyyz_yzzzzzz_1[j];

                    tg_xyyyyyz_xzzzzzzz_0[j] = pb_x * tg_yyyyyz_xzzzzzzz_0[j] + fr * tg_yyyyyz_xzzzzzzz_1[j] + 0.5 * fl1_fxn * tg_yyyyyz_zzzzzzz_1[j];

                    tg_xyyyyyz_yyyyyyyy_0[j] = pb_x * tg_yyyyyz_yyyyyyyy_0[j] + fr * tg_yyyyyz_yyyyyyyy_1[j];

                    tg_xyyyyyz_yyyyyyyz_0[j] = pb_x * tg_yyyyyz_yyyyyyyz_0[j] + fr * tg_yyyyyz_yyyyyyyz_1[j];

                    tg_xyyyyyz_yyyyyyzz_0[j] = pb_x * tg_yyyyyz_yyyyyyzz_0[j] + fr * tg_yyyyyz_yyyyyyzz_1[j];

                    tg_xyyyyyz_yyyyyzzz_0[j] = pb_x * tg_yyyyyz_yyyyyzzz_0[j] + fr * tg_yyyyyz_yyyyyzzz_1[j];

                    tg_xyyyyyz_yyyyzzzz_0[j] = pb_x * tg_yyyyyz_yyyyzzzz_0[j] + fr * tg_yyyyyz_yyyyzzzz_1[j];

                    tg_xyyyyyz_yyyzzzzz_0[j] = pb_x * tg_yyyyyz_yyyzzzzz_0[j] + fr * tg_yyyyyz_yyyzzzzz_1[j];

                    tg_xyyyyyz_yyzzzzzz_0[j] = pb_x * tg_yyyyyz_yyzzzzzz_0[j] + fr * tg_yyyyyz_yyzzzzzz_1[j];

                    tg_xyyyyyz_yzzzzzzz_0[j] = pb_x * tg_yyyyyz_yzzzzzzz_0[j] + fr * tg_yyyyyz_yzzzzzzz_1[j];

                    tg_xyyyyyz_zzzzzzzz_0[j] = pb_x * tg_yyyyyz_zzzzzzzz_0[j] + fr * tg_yyyyyz_zzzzzzzz_1[j];

                    tg_xyyyyzz_xxxxxxxx_0[j] = pb_x * tg_yyyyzz_xxxxxxxx_0[j] + fr * tg_yyyyzz_xxxxxxxx_1[j] + 4.0 * fl1_fxn * tg_yyyyzz_xxxxxxx_1[j];

                    tg_xyyyyzz_xxxxxxxy_0[j] = pb_x * tg_yyyyzz_xxxxxxxy_0[j] + fr * tg_yyyyzz_xxxxxxxy_1[j] + 3.5 * fl1_fxn * tg_yyyyzz_xxxxxxy_1[j];

                    tg_xyyyyzz_xxxxxxxz_0[j] = pb_x * tg_yyyyzz_xxxxxxxz_0[j] + fr * tg_yyyyzz_xxxxxxxz_1[j] + 3.5 * fl1_fxn * tg_yyyyzz_xxxxxxz_1[j];

                    tg_xyyyyzz_xxxxxxyy_0[j] = pb_x * tg_yyyyzz_xxxxxxyy_0[j] + fr * tg_yyyyzz_xxxxxxyy_1[j] + 3.0 * fl1_fxn * tg_yyyyzz_xxxxxyy_1[j];

                    tg_xyyyyzz_xxxxxxyz_0[j] = pb_x * tg_yyyyzz_xxxxxxyz_0[j] + fr * tg_yyyyzz_xxxxxxyz_1[j] + 3.0 * fl1_fxn * tg_yyyyzz_xxxxxyz_1[j];

                    tg_xyyyyzz_xxxxxxzz_0[j] = pb_x * tg_yyyyzz_xxxxxxzz_0[j] + fr * tg_yyyyzz_xxxxxxzz_1[j] + 3.0 * fl1_fxn * tg_yyyyzz_xxxxxzz_1[j];

                    tg_xyyyyzz_xxxxxyyy_0[j] = pb_x * tg_yyyyzz_xxxxxyyy_0[j] + fr * tg_yyyyzz_xxxxxyyy_1[j] + 2.5 * fl1_fxn * tg_yyyyzz_xxxxyyy_1[j];

                    tg_xyyyyzz_xxxxxyyz_0[j] = pb_x * tg_yyyyzz_xxxxxyyz_0[j] + fr * tg_yyyyzz_xxxxxyyz_1[j] + 2.5 * fl1_fxn * tg_yyyyzz_xxxxyyz_1[j];

                    tg_xyyyyzz_xxxxxyzz_0[j] = pb_x * tg_yyyyzz_xxxxxyzz_0[j] + fr * tg_yyyyzz_xxxxxyzz_1[j] + 2.5 * fl1_fxn * tg_yyyyzz_xxxxyzz_1[j];

                    tg_xyyyyzz_xxxxxzzz_0[j] = pb_x * tg_yyyyzz_xxxxxzzz_0[j] + fr * tg_yyyyzz_xxxxxzzz_1[j] + 2.5 * fl1_fxn * tg_yyyyzz_xxxxzzz_1[j];

                    tg_xyyyyzz_xxxxyyyy_0[j] = pb_x * tg_yyyyzz_xxxxyyyy_0[j] + fr * tg_yyyyzz_xxxxyyyy_1[j] + 2.0 * fl1_fxn * tg_yyyyzz_xxxyyyy_1[j];

                    tg_xyyyyzz_xxxxyyyz_0[j] = pb_x * tg_yyyyzz_xxxxyyyz_0[j] + fr * tg_yyyyzz_xxxxyyyz_1[j] + 2.0 * fl1_fxn * tg_yyyyzz_xxxyyyz_1[j];

                    tg_xyyyyzz_xxxxyyzz_0[j] = pb_x * tg_yyyyzz_xxxxyyzz_0[j] + fr * tg_yyyyzz_xxxxyyzz_1[j] + 2.0 * fl1_fxn * tg_yyyyzz_xxxyyzz_1[j];

                    tg_xyyyyzz_xxxxyzzz_0[j] = pb_x * tg_yyyyzz_xxxxyzzz_0[j] + fr * tg_yyyyzz_xxxxyzzz_1[j] + 2.0 * fl1_fxn * tg_yyyyzz_xxxyzzz_1[j];

                    tg_xyyyyzz_xxxxzzzz_0[j] = pb_x * tg_yyyyzz_xxxxzzzz_0[j] + fr * tg_yyyyzz_xxxxzzzz_1[j] + 2.0 * fl1_fxn * tg_yyyyzz_xxxzzzz_1[j];
                }

                idx++;
            }
        }
    }

    void
    compElectronRepulsionForSKSL_1050_1145(      CMemBlock2D<double>* primBuffer,
                                           const CRecursionMap&       recursionMap,
                                           const CMemBlock2D<double>& osFactors,
                                           const CMemBlock2D<double>& wpDistances,
                                           const CGtoPairsBlock&      braGtoPairsBlock,
                                           const CGtoPairsBlock&      ketGtoPairsBlock,
                                           const int32_t              nKetPrimPairs,
                                           const int32_t              iContrPair)
    {
        // Batch of Integrals (1050,1145)

        // set up pointers to primitives data on bra side

        auto spos = braGtoPairsBlock.getStartPositions();

        auto epos = braGtoPairsBlock.getEndPositions();

        // set up pointers to tensor of distance R(PB) = P - B

        auto r_pb_x = braGtoPairsBlock.getDistancesPBX();

        // set up pointers to common Obara-Saika factors

        // set up maximum order of integral

        auto mord = recursionMap.getMaxOrder({"Electron Repulsion"},
                                             {7, -1, -1, -1},
                                             {8, -1, -1, -1},
                                             1, 1);

        for (int32_t iord = 0; iord <= mord; iord++)
        {
            // set up index of integral

            auto pidx_g_7_8_m0 = recursionMap.index(CRecursionTerm({"Electron Repulsion"}, 0, true, 
                                                                   {7, -1, -1, -1}, {8, -1, -1, -1}, 
                                                                   1, 1, iord));

            // check if integral is needed in recursion expansion

            if (pidx_g_7_8_m0 == -1) continue;

            // set up indexes of auxilary integral

            auto pidx_g_6_8_m0 = recursionMap.index(CRecursionTerm({"Electron Repulsion"}, 0, true, 
                                                                   {6, -1, -1, -1}, {8, -1, -1, -1}, 
                                                                   1, 1, iord));

            auto pidx_g_6_8_m1 = recursionMap.index(CRecursionTerm({"Electron Repulsion"}, 0, true, 
                                                                   {6, -1, -1, -1}, {8, -1, -1, -1}, 
                                                                   1, 1, iord + 1));

            auto pidx_g_6_7_m1 = recursionMap.index(CRecursionTerm({"Electron Repulsion"}, 0, true, 
                                                                   {6, -1, -1, -1}, {7, -1, -1, -1}, 
                                                                   1, 1, iord + 1));

            // loop over contracted GTO on bra side

            int32_t idx = 0;

            for (int32_t i = spos[iContrPair]; i < epos[iContrPair]; i++)
            {
                // set up pointers to Obara-Saika factors

                auto fxn = osFactors.data(4 * idx);

                // set up distances R(PB) = P - B

                auto pb_x = r_pb_x[i];

                // set up pointers to tensors product of distances R(WP) = W - P

                auto wp_x = wpDistances.data(3 * idx);

                // set up pointers to auxilary integrals

                auto tg_yyyyzz_xxxyyyyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1050); 

                auto tg_yyyyzz_xxxyyyyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1051); 

                auto tg_yyyyzz_xxxyyyzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1052); 

                auto tg_yyyyzz_xxxyyzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1053); 

                auto tg_yyyyzz_xxxyzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1054); 

                auto tg_yyyyzz_xxxzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1055); 

                auto tg_yyyyzz_xxyyyyyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1056); 

                auto tg_yyyyzz_xxyyyyyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1057); 

                auto tg_yyyyzz_xxyyyyzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1058); 

                auto tg_yyyyzz_xxyyyzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1059); 

                auto tg_yyyyzz_xxyyzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1060); 

                auto tg_yyyyzz_xxyzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1061); 

                auto tg_yyyyzz_xxzzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1062); 

                auto tg_yyyyzz_xyyyyyyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1063); 

                auto tg_yyyyzz_xyyyyyyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1064); 

                auto tg_yyyyzz_xyyyyyzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1065); 

                auto tg_yyyyzz_xyyyyzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1066); 

                auto tg_yyyyzz_xyyyzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1067); 

                auto tg_yyyyzz_xyyzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1068); 

                auto tg_yyyyzz_xyzzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1069); 

                auto tg_yyyyzz_xzzzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1070); 

                auto tg_yyyyzz_yyyyyyyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1071); 

                auto tg_yyyyzz_yyyyyyyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1072); 

                auto tg_yyyyzz_yyyyyyzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1073); 

                auto tg_yyyyzz_yyyyyzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1074); 

                auto tg_yyyyzz_yyyyzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1075); 

                auto tg_yyyyzz_yyyzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1076); 

                auto tg_yyyyzz_yyzzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1077); 

                auto tg_yyyyzz_yzzzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1078); 

                auto tg_yyyyzz_zzzzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1079); 

                auto tg_yyyzzz_xxxxxxxx_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1080); 

                auto tg_yyyzzz_xxxxxxxy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1081); 

                auto tg_yyyzzz_xxxxxxxz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1082); 

                auto tg_yyyzzz_xxxxxxyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1083); 

                auto tg_yyyzzz_xxxxxxyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1084); 

                auto tg_yyyzzz_xxxxxxzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1085); 

                auto tg_yyyzzz_xxxxxyyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1086); 

                auto tg_yyyzzz_xxxxxyyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1087); 

                auto tg_yyyzzz_xxxxxyzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1088); 

                auto tg_yyyzzz_xxxxxzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1089); 

                auto tg_yyyzzz_xxxxyyyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1090); 

                auto tg_yyyzzz_xxxxyyyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1091); 

                auto tg_yyyzzz_xxxxyyzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1092); 

                auto tg_yyyzzz_xxxxyzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1093); 

                auto tg_yyyzzz_xxxxzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1094); 

                auto tg_yyyzzz_xxxyyyyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1095); 

                auto tg_yyyzzz_xxxyyyyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1096); 

                auto tg_yyyzzz_xxxyyyzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1097); 

                auto tg_yyyzzz_xxxyyzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1098); 

                auto tg_yyyzzz_xxxyzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1099); 

                auto tg_yyyzzz_xxxzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1100); 

                auto tg_yyyzzz_xxyyyyyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1101); 

                auto tg_yyyzzz_xxyyyyyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1102); 

                auto tg_yyyzzz_xxyyyyzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1103); 

                auto tg_yyyzzz_xxyyyzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1104); 

                auto tg_yyyzzz_xxyyzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1105); 

                auto tg_yyyzzz_xxyzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1106); 

                auto tg_yyyzzz_xxzzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1107); 

                auto tg_yyyzzz_xyyyyyyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1108); 

                auto tg_yyyzzz_xyyyyyyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1109); 

                auto tg_yyyzzz_xyyyyyzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1110); 

                auto tg_yyyzzz_xyyyyzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1111); 

                auto tg_yyyzzz_xyyyzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1112); 

                auto tg_yyyzzz_xyyzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1113); 

                auto tg_yyyzzz_xyzzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1114); 

                auto tg_yyyzzz_xzzzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1115); 

                auto tg_yyyzzz_yyyyyyyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1116); 

                auto tg_yyyzzz_yyyyyyyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1117); 

                auto tg_yyyzzz_yyyyyyzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1118); 

                auto tg_yyyzzz_yyyyyzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1119); 

                auto tg_yyyzzz_yyyyzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1120); 

                auto tg_yyyzzz_yyyzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1121); 

                auto tg_yyyzzz_yyzzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1122); 

                auto tg_yyyzzz_yzzzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1123); 

                auto tg_yyyzzz_zzzzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1124); 

                auto tg_yyzzzz_xxxxxxxx_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1125); 

                auto tg_yyzzzz_xxxxxxxy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1126); 

                auto tg_yyzzzz_xxxxxxxz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1127); 

                auto tg_yyzzzz_xxxxxxyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1128); 

                auto tg_yyzzzz_xxxxxxyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1129); 

                auto tg_yyzzzz_xxxxxxzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1130); 

                auto tg_yyzzzz_xxxxxyyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1131); 

                auto tg_yyzzzz_xxxxxyyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1132); 

                auto tg_yyzzzz_xxxxxyzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1133); 

                auto tg_yyzzzz_xxxxxzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1134); 

                auto tg_yyzzzz_xxxxyyyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1135); 

                auto tg_yyzzzz_xxxxyyyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1136); 

                auto tg_yyzzzz_xxxxyyzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1137); 

                auto tg_yyzzzz_xxxxyzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1138); 

                auto tg_yyzzzz_xxxxzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1139); 

                auto tg_yyzzzz_xxxyyyyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1140); 

                auto tg_yyzzzz_xxxyyyyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1141); 

                auto tg_yyzzzz_xxxyyyzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1142); 

                auto tg_yyzzzz_xxxyyzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1143); 

                auto tg_yyzzzz_xxxyzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1144); 

                auto tg_yyyyzz_xxxyyyyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1050); 

                auto tg_yyyyzz_xxxyyyyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1051); 

                auto tg_yyyyzz_xxxyyyzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1052); 

                auto tg_yyyyzz_xxxyyzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1053); 

                auto tg_yyyyzz_xxxyzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1054); 

                auto tg_yyyyzz_xxxzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1055); 

                auto tg_yyyyzz_xxyyyyyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1056); 

                auto tg_yyyyzz_xxyyyyyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1057); 

                auto tg_yyyyzz_xxyyyyzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1058); 

                auto tg_yyyyzz_xxyyyzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1059); 

                auto tg_yyyyzz_xxyyzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1060); 

                auto tg_yyyyzz_xxyzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1061); 

                auto tg_yyyyzz_xxzzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1062); 

                auto tg_yyyyzz_xyyyyyyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1063); 

                auto tg_yyyyzz_xyyyyyyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1064); 

                auto tg_yyyyzz_xyyyyyzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1065); 

                auto tg_yyyyzz_xyyyyzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1066); 

                auto tg_yyyyzz_xyyyzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1067); 

                auto tg_yyyyzz_xyyzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1068); 

                auto tg_yyyyzz_xyzzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1069); 

                auto tg_yyyyzz_xzzzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1070); 

                auto tg_yyyyzz_yyyyyyyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1071); 

                auto tg_yyyyzz_yyyyyyyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1072); 

                auto tg_yyyyzz_yyyyyyzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1073); 

                auto tg_yyyyzz_yyyyyzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1074); 

                auto tg_yyyyzz_yyyyzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1075); 

                auto tg_yyyyzz_yyyzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1076); 

                auto tg_yyyyzz_yyzzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1077); 

                auto tg_yyyyzz_yzzzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1078); 

                auto tg_yyyyzz_zzzzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1079); 

                auto tg_yyyzzz_xxxxxxxx_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1080); 

                auto tg_yyyzzz_xxxxxxxy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1081); 

                auto tg_yyyzzz_xxxxxxxz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1082); 

                auto tg_yyyzzz_xxxxxxyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1083); 

                auto tg_yyyzzz_xxxxxxyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1084); 

                auto tg_yyyzzz_xxxxxxzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1085); 

                auto tg_yyyzzz_xxxxxyyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1086); 

                auto tg_yyyzzz_xxxxxyyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1087); 

                auto tg_yyyzzz_xxxxxyzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1088); 

                auto tg_yyyzzz_xxxxxzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1089); 

                auto tg_yyyzzz_xxxxyyyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1090); 

                auto tg_yyyzzz_xxxxyyyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1091); 

                auto tg_yyyzzz_xxxxyyzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1092); 

                auto tg_yyyzzz_xxxxyzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1093); 

                auto tg_yyyzzz_xxxxzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1094); 

                auto tg_yyyzzz_xxxyyyyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1095); 

                auto tg_yyyzzz_xxxyyyyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1096); 

                auto tg_yyyzzz_xxxyyyzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1097); 

                auto tg_yyyzzz_xxxyyzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1098); 

                auto tg_yyyzzz_xxxyzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1099); 

                auto tg_yyyzzz_xxxzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1100); 

                auto tg_yyyzzz_xxyyyyyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1101); 

                auto tg_yyyzzz_xxyyyyyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1102); 

                auto tg_yyyzzz_xxyyyyzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1103); 

                auto tg_yyyzzz_xxyyyzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1104); 

                auto tg_yyyzzz_xxyyzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1105); 

                auto tg_yyyzzz_xxyzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1106); 

                auto tg_yyyzzz_xxzzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1107); 

                auto tg_yyyzzz_xyyyyyyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1108); 

                auto tg_yyyzzz_xyyyyyyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1109); 

                auto tg_yyyzzz_xyyyyyzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1110); 

                auto tg_yyyzzz_xyyyyzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1111); 

                auto tg_yyyzzz_xyyyzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1112); 

                auto tg_yyyzzz_xyyzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1113); 

                auto tg_yyyzzz_xyzzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1114); 

                auto tg_yyyzzz_xzzzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1115); 

                auto tg_yyyzzz_yyyyyyyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1116); 

                auto tg_yyyzzz_yyyyyyyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1117); 

                auto tg_yyyzzz_yyyyyyzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1118); 

                auto tg_yyyzzz_yyyyyzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1119); 

                auto tg_yyyzzz_yyyyzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1120); 

                auto tg_yyyzzz_yyyzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1121); 

                auto tg_yyyzzz_yyzzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1122); 

                auto tg_yyyzzz_yzzzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1123); 

                auto tg_yyyzzz_zzzzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1124); 

                auto tg_yyzzzz_xxxxxxxx_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1125); 

                auto tg_yyzzzz_xxxxxxxy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1126); 

                auto tg_yyzzzz_xxxxxxxz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1127); 

                auto tg_yyzzzz_xxxxxxyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1128); 

                auto tg_yyzzzz_xxxxxxyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1129); 

                auto tg_yyzzzz_xxxxxxzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1130); 

                auto tg_yyzzzz_xxxxxyyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1131); 

                auto tg_yyzzzz_xxxxxyyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1132); 

                auto tg_yyzzzz_xxxxxyzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1133); 

                auto tg_yyzzzz_xxxxxzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1134); 

                auto tg_yyzzzz_xxxxyyyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1135); 

                auto tg_yyzzzz_xxxxyyyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1136); 

                auto tg_yyzzzz_xxxxyyzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1137); 

                auto tg_yyzzzz_xxxxyzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1138); 

                auto tg_yyzzzz_xxxxzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1139); 

                auto tg_yyzzzz_xxxyyyyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1140); 

                auto tg_yyzzzz_xxxyyyyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1141); 

                auto tg_yyzzzz_xxxyyyzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1142); 

                auto tg_yyzzzz_xxxyyzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1143); 

                auto tg_yyzzzz_xxxyzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1144); 

                auto tg_yyyyzz_xxyyyyy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 843); 

                auto tg_yyyyzz_xxyyyyz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 844); 

                auto tg_yyyyzz_xxyyyzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 845); 

                auto tg_yyyyzz_xxyyzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 846); 

                auto tg_yyyyzz_xxyzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 847); 

                auto tg_yyyyzz_xxzzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 848); 

                auto tg_yyyyzz_xyyyyyy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 849); 

                auto tg_yyyyzz_xyyyyyz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 850); 

                auto tg_yyyyzz_xyyyyzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 851); 

                auto tg_yyyyzz_xyyyzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 852); 

                auto tg_yyyyzz_xyyzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 853); 

                auto tg_yyyyzz_xyzzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 854); 

                auto tg_yyyyzz_xzzzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 855); 

                auto tg_yyyyzz_yyyyyyy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 856); 

                auto tg_yyyyzz_yyyyyyz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 857); 

                auto tg_yyyyzz_yyyyyzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 858); 

                auto tg_yyyyzz_yyyyzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 859); 

                auto tg_yyyyzz_yyyzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 860); 

                auto tg_yyyyzz_yyzzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 861); 

                auto tg_yyyyzz_yzzzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 862); 

                auto tg_yyyyzz_zzzzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 863); 

                auto tg_yyyzzz_xxxxxxx_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 864); 

                auto tg_yyyzzz_xxxxxxy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 865); 

                auto tg_yyyzzz_xxxxxxz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 866); 

                auto tg_yyyzzz_xxxxxyy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 867); 

                auto tg_yyyzzz_xxxxxyz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 868); 

                auto tg_yyyzzz_xxxxxzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 869); 

                auto tg_yyyzzz_xxxxyyy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 870); 

                auto tg_yyyzzz_xxxxyyz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 871); 

                auto tg_yyyzzz_xxxxyzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 872); 

                auto tg_yyyzzz_xxxxzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 873); 

                auto tg_yyyzzz_xxxyyyy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 874); 

                auto tg_yyyzzz_xxxyyyz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 875); 

                auto tg_yyyzzz_xxxyyzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 876); 

                auto tg_yyyzzz_xxxyzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 877); 

                auto tg_yyyzzz_xxxzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 878); 

                auto tg_yyyzzz_xxyyyyy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 879); 

                auto tg_yyyzzz_xxyyyyz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 880); 

                auto tg_yyyzzz_xxyyyzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 881); 

                auto tg_yyyzzz_xxyyzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 882); 

                auto tg_yyyzzz_xxyzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 883); 

                auto tg_yyyzzz_xxzzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 884); 

                auto tg_yyyzzz_xyyyyyy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 885); 

                auto tg_yyyzzz_xyyyyyz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 886); 

                auto tg_yyyzzz_xyyyyzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 887); 

                auto tg_yyyzzz_xyyyzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 888); 

                auto tg_yyyzzz_xyyzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 889); 

                auto tg_yyyzzz_xyzzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 890); 

                auto tg_yyyzzz_xzzzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 891); 

                auto tg_yyyzzz_yyyyyyy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 892); 

                auto tg_yyyzzz_yyyyyyz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 893); 

                auto tg_yyyzzz_yyyyyzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 894); 

                auto tg_yyyzzz_yyyyzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 895); 

                auto tg_yyyzzz_yyyzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 896); 

                auto tg_yyyzzz_yyzzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 897); 

                auto tg_yyyzzz_yzzzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 898); 

                auto tg_yyyzzz_zzzzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 899); 

                auto tg_yyzzzz_xxxxxxx_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 900); 

                auto tg_yyzzzz_xxxxxxy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 901); 

                auto tg_yyzzzz_xxxxxxz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 902); 

                auto tg_yyzzzz_xxxxxyy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 903); 

                auto tg_yyzzzz_xxxxxyz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 904); 

                auto tg_yyzzzz_xxxxxzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 905); 

                auto tg_yyzzzz_xxxxyyy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 906); 

                auto tg_yyzzzz_xxxxyyz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 907); 

                auto tg_yyzzzz_xxxxyzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 908); 

                auto tg_yyzzzz_xxxxzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 909); 

                auto tg_yyzzzz_xxxyyyy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 910); 

                auto tg_yyzzzz_xxxyyyz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 911); 

                auto tg_yyzzzz_xxxyyzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 912); 

                auto tg_yyzzzz_xxxyzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 913); 

                auto tg_yyzzzz_xxxzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 914); 

                auto tg_yyzzzz_xxyyyyy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 915); 

                auto tg_yyzzzz_xxyyyyz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 916); 

                auto tg_yyzzzz_xxyyyzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 917); 

                auto tg_yyzzzz_xxyyzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 918); 

                auto tg_yyzzzz_xxyzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 919); 

                // set up pointers to integrals

                auto tg_xyyyyzz_xxxyyyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1050); 

                auto tg_xyyyyzz_xxxyyyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1051); 

                auto tg_xyyyyzz_xxxyyyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1052); 

                auto tg_xyyyyzz_xxxyyzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1053); 

                auto tg_xyyyyzz_xxxyzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1054); 

                auto tg_xyyyyzz_xxxzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1055); 

                auto tg_xyyyyzz_xxyyyyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1056); 

                auto tg_xyyyyzz_xxyyyyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1057); 

                auto tg_xyyyyzz_xxyyyyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1058); 

                auto tg_xyyyyzz_xxyyyzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1059); 

                auto tg_xyyyyzz_xxyyzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1060); 

                auto tg_xyyyyzz_xxyzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1061); 

                auto tg_xyyyyzz_xxzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1062); 

                auto tg_xyyyyzz_xyyyyyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1063); 

                auto tg_xyyyyzz_xyyyyyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1064); 

                auto tg_xyyyyzz_xyyyyyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1065); 

                auto tg_xyyyyzz_xyyyyzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1066); 

                auto tg_xyyyyzz_xyyyzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1067); 

                auto tg_xyyyyzz_xyyzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1068); 

                auto tg_xyyyyzz_xyzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1069); 

                auto tg_xyyyyzz_xzzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1070); 

                auto tg_xyyyyzz_yyyyyyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1071); 

                auto tg_xyyyyzz_yyyyyyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1072); 

                auto tg_xyyyyzz_yyyyyyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1073); 

                auto tg_xyyyyzz_yyyyyzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1074); 

                auto tg_xyyyyzz_yyyyzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1075); 

                auto tg_xyyyyzz_yyyzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1076); 

                auto tg_xyyyyzz_yyzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1077); 

                auto tg_xyyyyzz_yzzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1078); 

                auto tg_xyyyyzz_zzzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1079); 

                auto tg_xyyyzzz_xxxxxxxx_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1080); 

                auto tg_xyyyzzz_xxxxxxxy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1081); 

                auto tg_xyyyzzz_xxxxxxxz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1082); 

                auto tg_xyyyzzz_xxxxxxyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1083); 

                auto tg_xyyyzzz_xxxxxxyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1084); 

                auto tg_xyyyzzz_xxxxxxzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1085); 

                auto tg_xyyyzzz_xxxxxyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1086); 

                auto tg_xyyyzzz_xxxxxyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1087); 

                auto tg_xyyyzzz_xxxxxyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1088); 

                auto tg_xyyyzzz_xxxxxzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1089); 

                auto tg_xyyyzzz_xxxxyyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1090); 

                auto tg_xyyyzzz_xxxxyyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1091); 

                auto tg_xyyyzzz_xxxxyyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1092); 

                auto tg_xyyyzzz_xxxxyzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1093); 

                auto tg_xyyyzzz_xxxxzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1094); 

                auto tg_xyyyzzz_xxxyyyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1095); 

                auto tg_xyyyzzz_xxxyyyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1096); 

                auto tg_xyyyzzz_xxxyyyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1097); 

                auto tg_xyyyzzz_xxxyyzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1098); 

                auto tg_xyyyzzz_xxxyzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1099); 

                auto tg_xyyyzzz_xxxzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1100); 

                auto tg_xyyyzzz_xxyyyyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1101); 

                auto tg_xyyyzzz_xxyyyyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1102); 

                auto tg_xyyyzzz_xxyyyyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1103); 

                auto tg_xyyyzzz_xxyyyzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1104); 

                auto tg_xyyyzzz_xxyyzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1105); 

                auto tg_xyyyzzz_xxyzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1106); 

                auto tg_xyyyzzz_xxzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1107); 

                auto tg_xyyyzzz_xyyyyyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1108); 

                auto tg_xyyyzzz_xyyyyyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1109); 

                auto tg_xyyyzzz_xyyyyyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1110); 

                auto tg_xyyyzzz_xyyyyzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1111); 

                auto tg_xyyyzzz_xyyyzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1112); 

                auto tg_xyyyzzz_xyyzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1113); 

                auto tg_xyyyzzz_xyzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1114); 

                auto tg_xyyyzzz_xzzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1115); 

                auto tg_xyyyzzz_yyyyyyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1116); 

                auto tg_xyyyzzz_yyyyyyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1117); 

                auto tg_xyyyzzz_yyyyyyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1118); 

                auto tg_xyyyzzz_yyyyyzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1119); 

                auto tg_xyyyzzz_yyyyzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1120); 

                auto tg_xyyyzzz_yyyzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1121); 

                auto tg_xyyyzzz_yyzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1122); 

                auto tg_xyyyzzz_yzzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1123); 

                auto tg_xyyyzzz_zzzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1124); 

                auto tg_xyyzzzz_xxxxxxxx_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1125); 

                auto tg_xyyzzzz_xxxxxxxy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1126); 

                auto tg_xyyzzzz_xxxxxxxz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1127); 

                auto tg_xyyzzzz_xxxxxxyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1128); 

                auto tg_xyyzzzz_xxxxxxyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1129); 

                auto tg_xyyzzzz_xxxxxxzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1130); 

                auto tg_xyyzzzz_xxxxxyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1131); 

                auto tg_xyyzzzz_xxxxxyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1132); 

                auto tg_xyyzzzz_xxxxxyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1133); 

                auto tg_xyyzzzz_xxxxxzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1134); 

                auto tg_xyyzzzz_xxxxyyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1135); 

                auto tg_xyyzzzz_xxxxyyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1136); 

                auto tg_xyyzzzz_xxxxyyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1137); 

                auto tg_xyyzzzz_xxxxyzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1138); 

                auto tg_xyyzzzz_xxxxzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1139); 

                auto tg_xyyzzzz_xxxyyyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1140); 

                auto tg_xyyzzzz_xxxyyyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1141); 

                auto tg_xyyzzzz_xxxyyyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1142); 

                auto tg_xyyzzzz_xxxyyzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1143); 

                auto tg_xyyzzzz_xxxyzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1144); 

                // Batch of Integrals (1050,1145)

                #pragma omp simd aligned(fxn, tg_xyyyyzz_xxxyyyyy_0, tg_xyyyyzz_xxxyyyyz_0, \
                                         tg_xyyyyzz_xxxyyyzz_0, tg_xyyyyzz_xxxyyzzz_0, tg_xyyyyzz_xxxyzzzz_0, \
                                         tg_xyyyyzz_xxxzzzzz_0, tg_xyyyyzz_xxyyyyyy_0, tg_xyyyyzz_xxyyyyyz_0, \
                                         tg_xyyyyzz_xxyyyyzz_0, tg_xyyyyzz_xxyyyzzz_0, tg_xyyyyzz_xxyyzzzz_0, \
                                         tg_xyyyyzz_xxyzzzzz_0, tg_xyyyyzz_xxzzzzzz_0, tg_xyyyyzz_xyyyyyyy_0, \
                                         tg_xyyyyzz_xyyyyyyz_0, tg_xyyyyzz_xyyyyyzz_0, tg_xyyyyzz_xyyyyzzz_0, \
                                         tg_xyyyyzz_xyyyzzzz_0, tg_xyyyyzz_xyyzzzzz_0, tg_xyyyyzz_xyzzzzzz_0, \
                                         tg_xyyyyzz_xzzzzzzz_0, tg_xyyyyzz_yyyyyyyy_0, tg_xyyyyzz_yyyyyyyz_0, \
                                         tg_xyyyyzz_yyyyyyzz_0, tg_xyyyyzz_yyyyyzzz_0, tg_xyyyyzz_yyyyzzzz_0, \
                                         tg_xyyyyzz_yyyzzzzz_0, tg_xyyyyzz_yyzzzzzz_0, tg_xyyyyzz_yzzzzzzz_0, \
                                         tg_xyyyyzz_zzzzzzzz_0, tg_xyyyzzz_xxxxxxxx_0, tg_xyyyzzz_xxxxxxxy_0, \
                                         tg_xyyyzzz_xxxxxxxz_0, tg_xyyyzzz_xxxxxxyy_0, tg_xyyyzzz_xxxxxxyz_0, \
                                         tg_xyyyzzz_xxxxxxzz_0, tg_xyyyzzz_xxxxxyyy_0, tg_xyyyzzz_xxxxxyyz_0, \
                                         tg_xyyyzzz_xxxxxyzz_0, tg_xyyyzzz_xxxxxzzz_0, tg_xyyyzzz_xxxxyyyy_0, \
                                         tg_xyyyzzz_xxxxyyyz_0, tg_xyyyzzz_xxxxyyzz_0, tg_xyyyzzz_xxxxyzzz_0, \
                                         tg_xyyyzzz_xxxxzzzz_0, tg_xyyyzzz_xxxyyyyy_0, tg_xyyyzzz_xxxyyyyz_0, \
                                         tg_xyyyzzz_xxxyyyzz_0, tg_xyyyzzz_xxxyyzzz_0, tg_xyyyzzz_xxxyzzzz_0, \
                                         tg_xyyyzzz_xxxzzzzz_0, tg_xyyyzzz_xxyyyyyy_0, tg_xyyyzzz_xxyyyyyz_0, \
                                         tg_xyyyzzz_xxyyyyzz_0, tg_xyyyzzz_xxyyyzzz_0, tg_xyyyzzz_xxyyzzzz_0, \
                                         tg_xyyyzzz_xxyzzzzz_0, tg_xyyyzzz_xxzzzzzz_0, tg_xyyyzzz_xyyyyyyy_0, \
                                         tg_xyyyzzz_xyyyyyyz_0, tg_xyyyzzz_xyyyyyzz_0, tg_xyyyzzz_xyyyyzzz_0, \
                                         tg_xyyyzzz_xyyyzzzz_0, tg_xyyyzzz_xyyzzzzz_0, tg_xyyyzzz_xyzzzzzz_0, \
                                         tg_xyyyzzz_xzzzzzzz_0, tg_xyyyzzz_yyyyyyyy_0, tg_xyyyzzz_yyyyyyyz_0, \
                                         tg_xyyyzzz_yyyyyyzz_0, tg_xyyyzzz_yyyyyzzz_0, tg_xyyyzzz_yyyyzzzz_0, \
                                         tg_xyyyzzz_yyyzzzzz_0, tg_xyyyzzz_yyzzzzzz_0, tg_xyyyzzz_yzzzzzzz_0, \
                                         tg_xyyyzzz_zzzzzzzz_0, tg_xyyzzzz_xxxxxxxx_0, tg_xyyzzzz_xxxxxxxy_0, \
                                         tg_xyyzzzz_xxxxxxxz_0, tg_xyyzzzz_xxxxxxyy_0, tg_xyyzzzz_xxxxxxyz_0, \
                                         tg_xyyzzzz_xxxxxxzz_0, tg_xyyzzzz_xxxxxyyy_0, tg_xyyzzzz_xxxxxyyz_0, \
                                         tg_xyyzzzz_xxxxxyzz_0, tg_xyyzzzz_xxxxxzzz_0, tg_xyyzzzz_xxxxyyyy_0, \
                                         tg_xyyzzzz_xxxxyyyz_0, tg_xyyzzzz_xxxxyyzz_0, tg_xyyzzzz_xxxxyzzz_0, \
                                         tg_xyyzzzz_xxxxzzzz_0, tg_xyyzzzz_xxxyyyyy_0, tg_xyyzzzz_xxxyyyyz_0, \
                                         tg_xyyzzzz_xxxyyyzz_0, tg_xyyzzzz_xxxyyzzz_0, tg_xyyzzzz_xxxyzzzz_0, \
                                         tg_yyyyzz_xxxyyyyy_0, tg_yyyyzz_xxxyyyyy_1, tg_yyyyzz_xxxyyyyz_0, tg_yyyyzz_xxxyyyyz_1, \
                                         tg_yyyyzz_xxxyyyzz_0, tg_yyyyzz_xxxyyyzz_1, tg_yyyyzz_xxxyyzzz_0, tg_yyyyzz_xxxyyzzz_1, \
                                         tg_yyyyzz_xxxyzzzz_0, tg_yyyyzz_xxxyzzzz_1, tg_yyyyzz_xxxzzzzz_0, tg_yyyyzz_xxxzzzzz_1, \
                                         tg_yyyyzz_xxyyyyy_1, tg_yyyyzz_xxyyyyyy_0, tg_yyyyzz_xxyyyyyy_1, tg_yyyyzz_xxyyyyyz_0, \
                                         tg_yyyyzz_xxyyyyyz_1, tg_yyyyzz_xxyyyyz_1, tg_yyyyzz_xxyyyyzz_0, tg_yyyyzz_xxyyyyzz_1, \
                                         tg_yyyyzz_xxyyyzz_1, tg_yyyyzz_xxyyyzzz_0, tg_yyyyzz_xxyyyzzz_1, tg_yyyyzz_xxyyzzz_1, \
                                         tg_yyyyzz_xxyyzzzz_0, tg_yyyyzz_xxyyzzzz_1, tg_yyyyzz_xxyzzzz_1, tg_yyyyzz_xxyzzzzz_0, \
                                         tg_yyyyzz_xxyzzzzz_1, tg_yyyyzz_xxzzzzz_1, tg_yyyyzz_xxzzzzzz_0, tg_yyyyzz_xxzzzzzz_1, \
                                         tg_yyyyzz_xyyyyyy_1, tg_yyyyzz_xyyyyyyy_0, tg_yyyyzz_xyyyyyyy_1, tg_yyyyzz_xyyyyyyz_0, \
                                         tg_yyyyzz_xyyyyyyz_1, tg_yyyyzz_xyyyyyz_1, tg_yyyyzz_xyyyyyzz_0, tg_yyyyzz_xyyyyyzz_1, \
                                         tg_yyyyzz_xyyyyzz_1, tg_yyyyzz_xyyyyzzz_0, tg_yyyyzz_xyyyyzzz_1, tg_yyyyzz_xyyyzzz_1, \
                                         tg_yyyyzz_xyyyzzzz_0, tg_yyyyzz_xyyyzzzz_1, tg_yyyyzz_xyyzzzz_1, tg_yyyyzz_xyyzzzzz_0, \
                                         tg_yyyyzz_xyyzzzzz_1, tg_yyyyzz_xyzzzzz_1, tg_yyyyzz_xyzzzzzz_0, tg_yyyyzz_xyzzzzzz_1, \
                                         tg_yyyyzz_xzzzzzz_1, tg_yyyyzz_xzzzzzzz_0, tg_yyyyzz_xzzzzzzz_1, tg_yyyyzz_yyyyyyy_1, \
                                         tg_yyyyzz_yyyyyyyy_0, tg_yyyyzz_yyyyyyyy_1, tg_yyyyzz_yyyyyyyz_0, tg_yyyyzz_yyyyyyyz_1, \
                                         tg_yyyyzz_yyyyyyz_1, tg_yyyyzz_yyyyyyzz_0, tg_yyyyzz_yyyyyyzz_1, tg_yyyyzz_yyyyyzz_1, \
                                         tg_yyyyzz_yyyyyzzz_0, tg_yyyyzz_yyyyyzzz_1, tg_yyyyzz_yyyyzzz_1, tg_yyyyzz_yyyyzzzz_0, \
                                         tg_yyyyzz_yyyyzzzz_1, tg_yyyyzz_yyyzzzz_1, tg_yyyyzz_yyyzzzzz_0, tg_yyyyzz_yyyzzzzz_1, \
                                         tg_yyyyzz_yyzzzzz_1, tg_yyyyzz_yyzzzzzz_0, tg_yyyyzz_yyzzzzzz_1, tg_yyyyzz_yzzzzzz_1, \
                                         tg_yyyyzz_yzzzzzzz_0, tg_yyyyzz_yzzzzzzz_1, tg_yyyyzz_zzzzzzz_1, tg_yyyyzz_zzzzzzzz_0, \
                                         tg_yyyyzz_zzzzzzzz_1, tg_yyyzzz_xxxxxxx_1, tg_yyyzzz_xxxxxxxx_0, tg_yyyzzz_xxxxxxxx_1, \
                                         tg_yyyzzz_xxxxxxxy_0, tg_yyyzzz_xxxxxxxy_1, tg_yyyzzz_xxxxxxxz_0, tg_yyyzzz_xxxxxxxz_1, \
                                         tg_yyyzzz_xxxxxxy_1, tg_yyyzzz_xxxxxxyy_0, tg_yyyzzz_xxxxxxyy_1, tg_yyyzzz_xxxxxxyz_0, \
                                         tg_yyyzzz_xxxxxxyz_1, tg_yyyzzz_xxxxxxz_1, tg_yyyzzz_xxxxxxzz_0, tg_yyyzzz_xxxxxxzz_1, \
                                         tg_yyyzzz_xxxxxyy_1, tg_yyyzzz_xxxxxyyy_0, tg_yyyzzz_xxxxxyyy_1, tg_yyyzzz_xxxxxyyz_0, \
                                         tg_yyyzzz_xxxxxyyz_1, tg_yyyzzz_xxxxxyz_1, tg_yyyzzz_xxxxxyzz_0, tg_yyyzzz_xxxxxyzz_1, \
                                         tg_yyyzzz_xxxxxzz_1, tg_yyyzzz_xxxxxzzz_0, tg_yyyzzz_xxxxxzzz_1, tg_yyyzzz_xxxxyyy_1, \
                                         tg_yyyzzz_xxxxyyyy_0, tg_yyyzzz_xxxxyyyy_1, tg_yyyzzz_xxxxyyyz_0, tg_yyyzzz_xxxxyyyz_1, \
                                         tg_yyyzzz_xxxxyyz_1, tg_yyyzzz_xxxxyyzz_0, tg_yyyzzz_xxxxyyzz_1, tg_yyyzzz_xxxxyzz_1, \
                                         tg_yyyzzz_xxxxyzzz_0, tg_yyyzzz_xxxxyzzz_1, tg_yyyzzz_xxxxzzz_1, tg_yyyzzz_xxxxzzzz_0, \
                                         tg_yyyzzz_xxxxzzzz_1, tg_yyyzzz_xxxyyyy_1, tg_yyyzzz_xxxyyyyy_0, tg_yyyzzz_xxxyyyyy_1, \
                                         tg_yyyzzz_xxxyyyyz_0, tg_yyyzzz_xxxyyyyz_1, tg_yyyzzz_xxxyyyz_1, tg_yyyzzz_xxxyyyzz_0, \
                                         tg_yyyzzz_xxxyyyzz_1, tg_yyyzzz_xxxyyzz_1, tg_yyyzzz_xxxyyzzz_0, tg_yyyzzz_xxxyyzzz_1, \
                                         tg_yyyzzz_xxxyzzz_1, tg_yyyzzz_xxxyzzzz_0, tg_yyyzzz_xxxyzzzz_1, tg_yyyzzz_xxxzzzz_1, \
                                         tg_yyyzzz_xxxzzzzz_0, tg_yyyzzz_xxxzzzzz_1, tg_yyyzzz_xxyyyyy_1, tg_yyyzzz_xxyyyyyy_0, \
                                         tg_yyyzzz_xxyyyyyy_1, tg_yyyzzz_xxyyyyyz_0, tg_yyyzzz_xxyyyyyz_1, tg_yyyzzz_xxyyyyz_1, \
                                         tg_yyyzzz_xxyyyyzz_0, tg_yyyzzz_xxyyyyzz_1, tg_yyyzzz_xxyyyzz_1, tg_yyyzzz_xxyyyzzz_0, \
                                         tg_yyyzzz_xxyyyzzz_1, tg_yyyzzz_xxyyzzz_1, tg_yyyzzz_xxyyzzzz_0, tg_yyyzzz_xxyyzzzz_1, \
                                         tg_yyyzzz_xxyzzzz_1, tg_yyyzzz_xxyzzzzz_0, tg_yyyzzz_xxyzzzzz_1, tg_yyyzzz_xxzzzzz_1, \
                                         tg_yyyzzz_xxzzzzzz_0, tg_yyyzzz_xxzzzzzz_1, tg_yyyzzz_xyyyyyy_1, tg_yyyzzz_xyyyyyyy_0, \
                                         tg_yyyzzz_xyyyyyyy_1, tg_yyyzzz_xyyyyyyz_0, tg_yyyzzz_xyyyyyyz_1, tg_yyyzzz_xyyyyyz_1, \
                                         tg_yyyzzz_xyyyyyzz_0, tg_yyyzzz_xyyyyyzz_1, tg_yyyzzz_xyyyyzz_1, tg_yyyzzz_xyyyyzzz_0, \
                                         tg_yyyzzz_xyyyyzzz_1, tg_yyyzzz_xyyyzzz_1, tg_yyyzzz_xyyyzzzz_0, tg_yyyzzz_xyyyzzzz_1, \
                                         tg_yyyzzz_xyyzzzz_1, tg_yyyzzz_xyyzzzzz_0, tg_yyyzzz_xyyzzzzz_1, tg_yyyzzz_xyzzzzz_1, \
                                         tg_yyyzzz_xyzzzzzz_0, tg_yyyzzz_xyzzzzzz_1, tg_yyyzzz_xzzzzzz_1, tg_yyyzzz_xzzzzzzz_0, \
                                         tg_yyyzzz_xzzzzzzz_1, tg_yyyzzz_yyyyyyy_1, tg_yyyzzz_yyyyyyyy_0, tg_yyyzzz_yyyyyyyy_1, \
                                         tg_yyyzzz_yyyyyyyz_0, tg_yyyzzz_yyyyyyyz_1, tg_yyyzzz_yyyyyyz_1, tg_yyyzzz_yyyyyyzz_0, \
                                         tg_yyyzzz_yyyyyyzz_1, tg_yyyzzz_yyyyyzz_1, tg_yyyzzz_yyyyyzzz_0, tg_yyyzzz_yyyyyzzz_1, \
                                         tg_yyyzzz_yyyyzzz_1, tg_yyyzzz_yyyyzzzz_0, tg_yyyzzz_yyyyzzzz_1, tg_yyyzzz_yyyzzzz_1, \
                                         tg_yyyzzz_yyyzzzzz_0, tg_yyyzzz_yyyzzzzz_1, tg_yyyzzz_yyzzzzz_1, tg_yyyzzz_yyzzzzzz_0, \
                                         tg_yyyzzz_yyzzzzzz_1, tg_yyyzzz_yzzzzzz_1, tg_yyyzzz_yzzzzzzz_0, tg_yyyzzz_yzzzzzzz_1, \
                                         tg_yyyzzz_zzzzzzz_1, tg_yyyzzz_zzzzzzzz_0, tg_yyyzzz_zzzzzzzz_1, tg_yyzzzz_xxxxxxx_1, \
                                         tg_yyzzzz_xxxxxxxx_0, tg_yyzzzz_xxxxxxxx_1, tg_yyzzzz_xxxxxxxy_0, tg_yyzzzz_xxxxxxxy_1, \
                                         tg_yyzzzz_xxxxxxxz_0, tg_yyzzzz_xxxxxxxz_1, tg_yyzzzz_xxxxxxy_1, tg_yyzzzz_xxxxxxyy_0, \
                                         tg_yyzzzz_xxxxxxyy_1, tg_yyzzzz_xxxxxxyz_0, tg_yyzzzz_xxxxxxyz_1, tg_yyzzzz_xxxxxxz_1, \
                                         tg_yyzzzz_xxxxxxzz_0, tg_yyzzzz_xxxxxxzz_1, tg_yyzzzz_xxxxxyy_1, tg_yyzzzz_xxxxxyyy_0, \
                                         tg_yyzzzz_xxxxxyyy_1, tg_yyzzzz_xxxxxyyz_0, tg_yyzzzz_xxxxxyyz_1, tg_yyzzzz_xxxxxyz_1, \
                                         tg_yyzzzz_xxxxxyzz_0, tg_yyzzzz_xxxxxyzz_1, tg_yyzzzz_xxxxxzz_1, tg_yyzzzz_xxxxxzzz_0, \
                                         tg_yyzzzz_xxxxxzzz_1, tg_yyzzzz_xxxxyyy_1, tg_yyzzzz_xxxxyyyy_0, tg_yyzzzz_xxxxyyyy_1, \
                                         tg_yyzzzz_xxxxyyyz_0, tg_yyzzzz_xxxxyyyz_1, tg_yyzzzz_xxxxyyz_1, tg_yyzzzz_xxxxyyzz_0, \
                                         tg_yyzzzz_xxxxyyzz_1, tg_yyzzzz_xxxxyzz_1, tg_yyzzzz_xxxxyzzz_0, tg_yyzzzz_xxxxyzzz_1, \
                                         tg_yyzzzz_xxxxzzz_1, tg_yyzzzz_xxxxzzzz_0, tg_yyzzzz_xxxxzzzz_1, tg_yyzzzz_xxxyyyy_1, \
                                         tg_yyzzzz_xxxyyyyy_0, tg_yyzzzz_xxxyyyyy_1, tg_yyzzzz_xxxyyyyz_0, tg_yyzzzz_xxxyyyyz_1, \
                                         tg_yyzzzz_xxxyyyz_1, tg_yyzzzz_xxxyyyzz_0, tg_yyzzzz_xxxyyyzz_1, tg_yyzzzz_xxxyyzz_1, \
                                         tg_yyzzzz_xxxyyzzz_0, tg_yyzzzz_xxxyyzzz_1, tg_yyzzzz_xxxyzzz_1, tg_yyzzzz_xxxyzzzz_0, \
                                         tg_yyzzzz_xxxyzzzz_1, tg_yyzzzz_xxxzzzz_1, tg_yyzzzz_xxyyyyy_1, tg_yyzzzz_xxyyyyz_1, \
                                         tg_yyzzzz_xxyyyzz_1, tg_yyzzzz_xxyyzzz_1, tg_yyzzzz_xxyzzzz_1, wp_x: VLX_ALIGN)
                for (int32_t j = 0; j < nKetPrimPairs; j++)
                {
                    double fl1_fxn = fxn[j];

                    double fr = wp_x[j]; 

                    tg_xyyyyzz_xxxyyyyy_0[j] = pb_x * tg_yyyyzz_xxxyyyyy_0[j] + fr * tg_yyyyzz_xxxyyyyy_1[j] + 1.5 * fl1_fxn * tg_yyyyzz_xxyyyyy_1[j];

                    tg_xyyyyzz_xxxyyyyz_0[j] = pb_x * tg_yyyyzz_xxxyyyyz_0[j] + fr * tg_yyyyzz_xxxyyyyz_1[j] + 1.5 * fl1_fxn * tg_yyyyzz_xxyyyyz_1[j];

                    tg_xyyyyzz_xxxyyyzz_0[j] = pb_x * tg_yyyyzz_xxxyyyzz_0[j] + fr * tg_yyyyzz_xxxyyyzz_1[j] + 1.5 * fl1_fxn * tg_yyyyzz_xxyyyzz_1[j];

                    tg_xyyyyzz_xxxyyzzz_0[j] = pb_x * tg_yyyyzz_xxxyyzzz_0[j] + fr * tg_yyyyzz_xxxyyzzz_1[j] + 1.5 * fl1_fxn * tg_yyyyzz_xxyyzzz_1[j];

                    tg_xyyyyzz_xxxyzzzz_0[j] = pb_x * tg_yyyyzz_xxxyzzzz_0[j] + fr * tg_yyyyzz_xxxyzzzz_1[j] + 1.5 * fl1_fxn * tg_yyyyzz_xxyzzzz_1[j];

                    tg_xyyyyzz_xxxzzzzz_0[j] = pb_x * tg_yyyyzz_xxxzzzzz_0[j] + fr * tg_yyyyzz_xxxzzzzz_1[j] + 1.5 * fl1_fxn * tg_yyyyzz_xxzzzzz_1[j];

                    tg_xyyyyzz_xxyyyyyy_0[j] = pb_x * tg_yyyyzz_xxyyyyyy_0[j] + fr * tg_yyyyzz_xxyyyyyy_1[j] + fl1_fxn * tg_yyyyzz_xyyyyyy_1[j];

                    tg_xyyyyzz_xxyyyyyz_0[j] = pb_x * tg_yyyyzz_xxyyyyyz_0[j] + fr * tg_yyyyzz_xxyyyyyz_1[j] + fl1_fxn * tg_yyyyzz_xyyyyyz_1[j];

                    tg_xyyyyzz_xxyyyyzz_0[j] = pb_x * tg_yyyyzz_xxyyyyzz_0[j] + fr * tg_yyyyzz_xxyyyyzz_1[j] + fl1_fxn * tg_yyyyzz_xyyyyzz_1[j];

                    tg_xyyyyzz_xxyyyzzz_0[j] = pb_x * tg_yyyyzz_xxyyyzzz_0[j] + fr * tg_yyyyzz_xxyyyzzz_1[j] + fl1_fxn * tg_yyyyzz_xyyyzzz_1[j];

                    tg_xyyyyzz_xxyyzzzz_0[j] = pb_x * tg_yyyyzz_xxyyzzzz_0[j] + fr * tg_yyyyzz_xxyyzzzz_1[j] + fl1_fxn * tg_yyyyzz_xyyzzzz_1[j];

                    tg_xyyyyzz_xxyzzzzz_0[j] = pb_x * tg_yyyyzz_xxyzzzzz_0[j] + fr * tg_yyyyzz_xxyzzzzz_1[j] + fl1_fxn * tg_yyyyzz_xyzzzzz_1[j];

                    tg_xyyyyzz_xxzzzzzz_0[j] = pb_x * tg_yyyyzz_xxzzzzzz_0[j] + fr * tg_yyyyzz_xxzzzzzz_1[j] + fl1_fxn * tg_yyyyzz_xzzzzzz_1[j];

                    tg_xyyyyzz_xyyyyyyy_0[j] = pb_x * tg_yyyyzz_xyyyyyyy_0[j] + fr * tg_yyyyzz_xyyyyyyy_1[j] + 0.5 * fl1_fxn * tg_yyyyzz_yyyyyyy_1[j];

                    tg_xyyyyzz_xyyyyyyz_0[j] = pb_x * tg_yyyyzz_xyyyyyyz_0[j] + fr * tg_yyyyzz_xyyyyyyz_1[j] + 0.5 * fl1_fxn * tg_yyyyzz_yyyyyyz_1[j];

                    tg_xyyyyzz_xyyyyyzz_0[j] = pb_x * tg_yyyyzz_xyyyyyzz_0[j] + fr * tg_yyyyzz_xyyyyyzz_1[j] + 0.5 * fl1_fxn * tg_yyyyzz_yyyyyzz_1[j];

                    tg_xyyyyzz_xyyyyzzz_0[j] = pb_x * tg_yyyyzz_xyyyyzzz_0[j] + fr * tg_yyyyzz_xyyyyzzz_1[j] + 0.5 * fl1_fxn * tg_yyyyzz_yyyyzzz_1[j];

                    tg_xyyyyzz_xyyyzzzz_0[j] = pb_x * tg_yyyyzz_xyyyzzzz_0[j] + fr * tg_yyyyzz_xyyyzzzz_1[j] + 0.5 * fl1_fxn * tg_yyyyzz_yyyzzzz_1[j];

                    tg_xyyyyzz_xyyzzzzz_0[j] = pb_x * tg_yyyyzz_xyyzzzzz_0[j] + fr * tg_yyyyzz_xyyzzzzz_1[j] + 0.5 * fl1_fxn * tg_yyyyzz_yyzzzzz_1[j];

                    tg_xyyyyzz_xyzzzzzz_0[j] = pb_x * tg_yyyyzz_xyzzzzzz_0[j] + fr * tg_yyyyzz_xyzzzzzz_1[j] + 0.5 * fl1_fxn * tg_yyyyzz_yzzzzzz_1[j];

                    tg_xyyyyzz_xzzzzzzz_0[j] = pb_x * tg_yyyyzz_xzzzzzzz_0[j] + fr * tg_yyyyzz_xzzzzzzz_1[j] + 0.5 * fl1_fxn * tg_yyyyzz_zzzzzzz_1[j];

                    tg_xyyyyzz_yyyyyyyy_0[j] = pb_x * tg_yyyyzz_yyyyyyyy_0[j] + fr * tg_yyyyzz_yyyyyyyy_1[j];

                    tg_xyyyyzz_yyyyyyyz_0[j] = pb_x * tg_yyyyzz_yyyyyyyz_0[j] + fr * tg_yyyyzz_yyyyyyyz_1[j];

                    tg_xyyyyzz_yyyyyyzz_0[j] = pb_x * tg_yyyyzz_yyyyyyzz_0[j] + fr * tg_yyyyzz_yyyyyyzz_1[j];

                    tg_xyyyyzz_yyyyyzzz_0[j] = pb_x * tg_yyyyzz_yyyyyzzz_0[j] + fr * tg_yyyyzz_yyyyyzzz_1[j];

                    tg_xyyyyzz_yyyyzzzz_0[j] = pb_x * tg_yyyyzz_yyyyzzzz_0[j] + fr * tg_yyyyzz_yyyyzzzz_1[j];

                    tg_xyyyyzz_yyyzzzzz_0[j] = pb_x * tg_yyyyzz_yyyzzzzz_0[j] + fr * tg_yyyyzz_yyyzzzzz_1[j];

                    tg_xyyyyzz_yyzzzzzz_0[j] = pb_x * tg_yyyyzz_yyzzzzzz_0[j] + fr * tg_yyyyzz_yyzzzzzz_1[j];

                    tg_xyyyyzz_yzzzzzzz_0[j] = pb_x * tg_yyyyzz_yzzzzzzz_0[j] + fr * tg_yyyyzz_yzzzzzzz_1[j];

                    tg_xyyyyzz_zzzzzzzz_0[j] = pb_x * tg_yyyyzz_zzzzzzzz_0[j] + fr * tg_yyyyzz_zzzzzzzz_1[j];

                    tg_xyyyzzz_xxxxxxxx_0[j] = pb_x * tg_yyyzzz_xxxxxxxx_0[j] + fr * tg_yyyzzz_xxxxxxxx_1[j] + 4.0 * fl1_fxn * tg_yyyzzz_xxxxxxx_1[j];

                    tg_xyyyzzz_xxxxxxxy_0[j] = pb_x * tg_yyyzzz_xxxxxxxy_0[j] + fr * tg_yyyzzz_xxxxxxxy_1[j] + 3.5 * fl1_fxn * tg_yyyzzz_xxxxxxy_1[j];

                    tg_xyyyzzz_xxxxxxxz_0[j] = pb_x * tg_yyyzzz_xxxxxxxz_0[j] + fr * tg_yyyzzz_xxxxxxxz_1[j] + 3.5 * fl1_fxn * tg_yyyzzz_xxxxxxz_1[j];

                    tg_xyyyzzz_xxxxxxyy_0[j] = pb_x * tg_yyyzzz_xxxxxxyy_0[j] + fr * tg_yyyzzz_xxxxxxyy_1[j] + 3.0 * fl1_fxn * tg_yyyzzz_xxxxxyy_1[j];

                    tg_xyyyzzz_xxxxxxyz_0[j] = pb_x * tg_yyyzzz_xxxxxxyz_0[j] + fr * tg_yyyzzz_xxxxxxyz_1[j] + 3.0 * fl1_fxn * tg_yyyzzz_xxxxxyz_1[j];

                    tg_xyyyzzz_xxxxxxzz_0[j] = pb_x * tg_yyyzzz_xxxxxxzz_0[j] + fr * tg_yyyzzz_xxxxxxzz_1[j] + 3.0 * fl1_fxn * tg_yyyzzz_xxxxxzz_1[j];

                    tg_xyyyzzz_xxxxxyyy_0[j] = pb_x * tg_yyyzzz_xxxxxyyy_0[j] + fr * tg_yyyzzz_xxxxxyyy_1[j] + 2.5 * fl1_fxn * tg_yyyzzz_xxxxyyy_1[j];

                    tg_xyyyzzz_xxxxxyyz_0[j] = pb_x * tg_yyyzzz_xxxxxyyz_0[j] + fr * tg_yyyzzz_xxxxxyyz_1[j] + 2.5 * fl1_fxn * tg_yyyzzz_xxxxyyz_1[j];

                    tg_xyyyzzz_xxxxxyzz_0[j] = pb_x * tg_yyyzzz_xxxxxyzz_0[j] + fr * tg_yyyzzz_xxxxxyzz_1[j] + 2.5 * fl1_fxn * tg_yyyzzz_xxxxyzz_1[j];

                    tg_xyyyzzz_xxxxxzzz_0[j] = pb_x * tg_yyyzzz_xxxxxzzz_0[j] + fr * tg_yyyzzz_xxxxxzzz_1[j] + 2.5 * fl1_fxn * tg_yyyzzz_xxxxzzz_1[j];

                    tg_xyyyzzz_xxxxyyyy_0[j] = pb_x * tg_yyyzzz_xxxxyyyy_0[j] + fr * tg_yyyzzz_xxxxyyyy_1[j] + 2.0 * fl1_fxn * tg_yyyzzz_xxxyyyy_1[j];

                    tg_xyyyzzz_xxxxyyyz_0[j] = pb_x * tg_yyyzzz_xxxxyyyz_0[j] + fr * tg_yyyzzz_xxxxyyyz_1[j] + 2.0 * fl1_fxn * tg_yyyzzz_xxxyyyz_1[j];

                    tg_xyyyzzz_xxxxyyzz_0[j] = pb_x * tg_yyyzzz_xxxxyyzz_0[j] + fr * tg_yyyzzz_xxxxyyzz_1[j] + 2.0 * fl1_fxn * tg_yyyzzz_xxxyyzz_1[j];

                    tg_xyyyzzz_xxxxyzzz_0[j] = pb_x * tg_yyyzzz_xxxxyzzz_0[j] + fr * tg_yyyzzz_xxxxyzzz_1[j] + 2.0 * fl1_fxn * tg_yyyzzz_xxxyzzz_1[j];

                    tg_xyyyzzz_xxxxzzzz_0[j] = pb_x * tg_yyyzzz_xxxxzzzz_0[j] + fr * tg_yyyzzz_xxxxzzzz_1[j] + 2.0 * fl1_fxn * tg_yyyzzz_xxxzzzz_1[j];

                    tg_xyyyzzz_xxxyyyyy_0[j] = pb_x * tg_yyyzzz_xxxyyyyy_0[j] + fr * tg_yyyzzz_xxxyyyyy_1[j] + 1.5 * fl1_fxn * tg_yyyzzz_xxyyyyy_1[j];

                    tg_xyyyzzz_xxxyyyyz_0[j] = pb_x * tg_yyyzzz_xxxyyyyz_0[j] + fr * tg_yyyzzz_xxxyyyyz_1[j] + 1.5 * fl1_fxn * tg_yyyzzz_xxyyyyz_1[j];

                    tg_xyyyzzz_xxxyyyzz_0[j] = pb_x * tg_yyyzzz_xxxyyyzz_0[j] + fr * tg_yyyzzz_xxxyyyzz_1[j] + 1.5 * fl1_fxn * tg_yyyzzz_xxyyyzz_1[j];

                    tg_xyyyzzz_xxxyyzzz_0[j] = pb_x * tg_yyyzzz_xxxyyzzz_0[j] + fr * tg_yyyzzz_xxxyyzzz_1[j] + 1.5 * fl1_fxn * tg_yyyzzz_xxyyzzz_1[j];

                    tg_xyyyzzz_xxxyzzzz_0[j] = pb_x * tg_yyyzzz_xxxyzzzz_0[j] + fr * tg_yyyzzz_xxxyzzzz_1[j] + 1.5 * fl1_fxn * tg_yyyzzz_xxyzzzz_1[j];

                    tg_xyyyzzz_xxxzzzzz_0[j] = pb_x * tg_yyyzzz_xxxzzzzz_0[j] + fr * tg_yyyzzz_xxxzzzzz_1[j] + 1.5 * fl1_fxn * tg_yyyzzz_xxzzzzz_1[j];

                    tg_xyyyzzz_xxyyyyyy_0[j] = pb_x * tg_yyyzzz_xxyyyyyy_0[j] + fr * tg_yyyzzz_xxyyyyyy_1[j] + fl1_fxn * tg_yyyzzz_xyyyyyy_1[j];

                    tg_xyyyzzz_xxyyyyyz_0[j] = pb_x * tg_yyyzzz_xxyyyyyz_0[j] + fr * tg_yyyzzz_xxyyyyyz_1[j] + fl1_fxn * tg_yyyzzz_xyyyyyz_1[j];

                    tg_xyyyzzz_xxyyyyzz_0[j] = pb_x * tg_yyyzzz_xxyyyyzz_0[j] + fr * tg_yyyzzz_xxyyyyzz_1[j] + fl1_fxn * tg_yyyzzz_xyyyyzz_1[j];

                    tg_xyyyzzz_xxyyyzzz_0[j] = pb_x * tg_yyyzzz_xxyyyzzz_0[j] + fr * tg_yyyzzz_xxyyyzzz_1[j] + fl1_fxn * tg_yyyzzz_xyyyzzz_1[j];

                    tg_xyyyzzz_xxyyzzzz_0[j] = pb_x * tg_yyyzzz_xxyyzzzz_0[j] + fr * tg_yyyzzz_xxyyzzzz_1[j] + fl1_fxn * tg_yyyzzz_xyyzzzz_1[j];

                    tg_xyyyzzz_xxyzzzzz_0[j] = pb_x * tg_yyyzzz_xxyzzzzz_0[j] + fr * tg_yyyzzz_xxyzzzzz_1[j] + fl1_fxn * tg_yyyzzz_xyzzzzz_1[j];

                    tg_xyyyzzz_xxzzzzzz_0[j] = pb_x * tg_yyyzzz_xxzzzzzz_0[j] + fr * tg_yyyzzz_xxzzzzzz_1[j] + fl1_fxn * tg_yyyzzz_xzzzzzz_1[j];

                    tg_xyyyzzz_xyyyyyyy_0[j] = pb_x * tg_yyyzzz_xyyyyyyy_0[j] + fr * tg_yyyzzz_xyyyyyyy_1[j] + 0.5 * fl1_fxn * tg_yyyzzz_yyyyyyy_1[j];

                    tg_xyyyzzz_xyyyyyyz_0[j] = pb_x * tg_yyyzzz_xyyyyyyz_0[j] + fr * tg_yyyzzz_xyyyyyyz_1[j] + 0.5 * fl1_fxn * tg_yyyzzz_yyyyyyz_1[j];

                    tg_xyyyzzz_xyyyyyzz_0[j] = pb_x * tg_yyyzzz_xyyyyyzz_0[j] + fr * tg_yyyzzz_xyyyyyzz_1[j] + 0.5 * fl1_fxn * tg_yyyzzz_yyyyyzz_1[j];

                    tg_xyyyzzz_xyyyyzzz_0[j] = pb_x * tg_yyyzzz_xyyyyzzz_0[j] + fr * tg_yyyzzz_xyyyyzzz_1[j] + 0.5 * fl1_fxn * tg_yyyzzz_yyyyzzz_1[j];

                    tg_xyyyzzz_xyyyzzzz_0[j] = pb_x * tg_yyyzzz_xyyyzzzz_0[j] + fr * tg_yyyzzz_xyyyzzzz_1[j] + 0.5 * fl1_fxn * tg_yyyzzz_yyyzzzz_1[j];

                    tg_xyyyzzz_xyyzzzzz_0[j] = pb_x * tg_yyyzzz_xyyzzzzz_0[j] + fr * tg_yyyzzz_xyyzzzzz_1[j] + 0.5 * fl1_fxn * tg_yyyzzz_yyzzzzz_1[j];

                    tg_xyyyzzz_xyzzzzzz_0[j] = pb_x * tg_yyyzzz_xyzzzzzz_0[j] + fr * tg_yyyzzz_xyzzzzzz_1[j] + 0.5 * fl1_fxn * tg_yyyzzz_yzzzzzz_1[j];

                    tg_xyyyzzz_xzzzzzzz_0[j] = pb_x * tg_yyyzzz_xzzzzzzz_0[j] + fr * tg_yyyzzz_xzzzzzzz_1[j] + 0.5 * fl1_fxn * tg_yyyzzz_zzzzzzz_1[j];

                    tg_xyyyzzz_yyyyyyyy_0[j] = pb_x * tg_yyyzzz_yyyyyyyy_0[j] + fr * tg_yyyzzz_yyyyyyyy_1[j];

                    tg_xyyyzzz_yyyyyyyz_0[j] = pb_x * tg_yyyzzz_yyyyyyyz_0[j] + fr * tg_yyyzzz_yyyyyyyz_1[j];

                    tg_xyyyzzz_yyyyyyzz_0[j] = pb_x * tg_yyyzzz_yyyyyyzz_0[j] + fr * tg_yyyzzz_yyyyyyzz_1[j];

                    tg_xyyyzzz_yyyyyzzz_0[j] = pb_x * tg_yyyzzz_yyyyyzzz_0[j] + fr * tg_yyyzzz_yyyyyzzz_1[j];

                    tg_xyyyzzz_yyyyzzzz_0[j] = pb_x * tg_yyyzzz_yyyyzzzz_0[j] + fr * tg_yyyzzz_yyyyzzzz_1[j];

                    tg_xyyyzzz_yyyzzzzz_0[j] = pb_x * tg_yyyzzz_yyyzzzzz_0[j] + fr * tg_yyyzzz_yyyzzzzz_1[j];

                    tg_xyyyzzz_yyzzzzzz_0[j] = pb_x * tg_yyyzzz_yyzzzzzz_0[j] + fr * tg_yyyzzz_yyzzzzzz_1[j];

                    tg_xyyyzzz_yzzzzzzz_0[j] = pb_x * tg_yyyzzz_yzzzzzzz_0[j] + fr * tg_yyyzzz_yzzzzzzz_1[j];

                    tg_xyyyzzz_zzzzzzzz_0[j] = pb_x * tg_yyyzzz_zzzzzzzz_0[j] + fr * tg_yyyzzz_zzzzzzzz_1[j];

                    tg_xyyzzzz_xxxxxxxx_0[j] = pb_x * tg_yyzzzz_xxxxxxxx_0[j] + fr * tg_yyzzzz_xxxxxxxx_1[j] + 4.0 * fl1_fxn * tg_yyzzzz_xxxxxxx_1[j];

                    tg_xyyzzzz_xxxxxxxy_0[j] = pb_x * tg_yyzzzz_xxxxxxxy_0[j] + fr * tg_yyzzzz_xxxxxxxy_1[j] + 3.5 * fl1_fxn * tg_yyzzzz_xxxxxxy_1[j];

                    tg_xyyzzzz_xxxxxxxz_0[j] = pb_x * tg_yyzzzz_xxxxxxxz_0[j] + fr * tg_yyzzzz_xxxxxxxz_1[j] + 3.5 * fl1_fxn * tg_yyzzzz_xxxxxxz_1[j];

                    tg_xyyzzzz_xxxxxxyy_0[j] = pb_x * tg_yyzzzz_xxxxxxyy_0[j] + fr * tg_yyzzzz_xxxxxxyy_1[j] + 3.0 * fl1_fxn * tg_yyzzzz_xxxxxyy_1[j];

                    tg_xyyzzzz_xxxxxxyz_0[j] = pb_x * tg_yyzzzz_xxxxxxyz_0[j] + fr * tg_yyzzzz_xxxxxxyz_1[j] + 3.0 * fl1_fxn * tg_yyzzzz_xxxxxyz_1[j];

                    tg_xyyzzzz_xxxxxxzz_0[j] = pb_x * tg_yyzzzz_xxxxxxzz_0[j] + fr * tg_yyzzzz_xxxxxxzz_1[j] + 3.0 * fl1_fxn * tg_yyzzzz_xxxxxzz_1[j];

                    tg_xyyzzzz_xxxxxyyy_0[j] = pb_x * tg_yyzzzz_xxxxxyyy_0[j] + fr * tg_yyzzzz_xxxxxyyy_1[j] + 2.5 * fl1_fxn * tg_yyzzzz_xxxxyyy_1[j];

                    tg_xyyzzzz_xxxxxyyz_0[j] = pb_x * tg_yyzzzz_xxxxxyyz_0[j] + fr * tg_yyzzzz_xxxxxyyz_1[j] + 2.5 * fl1_fxn * tg_yyzzzz_xxxxyyz_1[j];

                    tg_xyyzzzz_xxxxxyzz_0[j] = pb_x * tg_yyzzzz_xxxxxyzz_0[j] + fr * tg_yyzzzz_xxxxxyzz_1[j] + 2.5 * fl1_fxn * tg_yyzzzz_xxxxyzz_1[j];

                    tg_xyyzzzz_xxxxxzzz_0[j] = pb_x * tg_yyzzzz_xxxxxzzz_0[j] + fr * tg_yyzzzz_xxxxxzzz_1[j] + 2.5 * fl1_fxn * tg_yyzzzz_xxxxzzz_1[j];

                    tg_xyyzzzz_xxxxyyyy_0[j] = pb_x * tg_yyzzzz_xxxxyyyy_0[j] + fr * tg_yyzzzz_xxxxyyyy_1[j] + 2.0 * fl1_fxn * tg_yyzzzz_xxxyyyy_1[j];

                    tg_xyyzzzz_xxxxyyyz_0[j] = pb_x * tg_yyzzzz_xxxxyyyz_0[j] + fr * tg_yyzzzz_xxxxyyyz_1[j] + 2.0 * fl1_fxn * tg_yyzzzz_xxxyyyz_1[j];

                    tg_xyyzzzz_xxxxyyzz_0[j] = pb_x * tg_yyzzzz_xxxxyyzz_0[j] + fr * tg_yyzzzz_xxxxyyzz_1[j] + 2.0 * fl1_fxn * tg_yyzzzz_xxxyyzz_1[j];

                    tg_xyyzzzz_xxxxyzzz_0[j] = pb_x * tg_yyzzzz_xxxxyzzz_0[j] + fr * tg_yyzzzz_xxxxyzzz_1[j] + 2.0 * fl1_fxn * tg_yyzzzz_xxxyzzz_1[j];

                    tg_xyyzzzz_xxxxzzzz_0[j] = pb_x * tg_yyzzzz_xxxxzzzz_0[j] + fr * tg_yyzzzz_xxxxzzzz_1[j] + 2.0 * fl1_fxn * tg_yyzzzz_xxxzzzz_1[j];

                    tg_xyyzzzz_xxxyyyyy_0[j] = pb_x * tg_yyzzzz_xxxyyyyy_0[j] + fr * tg_yyzzzz_xxxyyyyy_1[j] + 1.5 * fl1_fxn * tg_yyzzzz_xxyyyyy_1[j];

                    tg_xyyzzzz_xxxyyyyz_0[j] = pb_x * tg_yyzzzz_xxxyyyyz_0[j] + fr * tg_yyzzzz_xxxyyyyz_1[j] + 1.5 * fl1_fxn * tg_yyzzzz_xxyyyyz_1[j];

                    tg_xyyzzzz_xxxyyyzz_0[j] = pb_x * tg_yyzzzz_xxxyyyzz_0[j] + fr * tg_yyzzzz_xxxyyyzz_1[j] + 1.5 * fl1_fxn * tg_yyzzzz_xxyyyzz_1[j];

                    tg_xyyzzzz_xxxyyzzz_0[j] = pb_x * tg_yyzzzz_xxxyyzzz_0[j] + fr * tg_yyzzzz_xxxyyzzz_1[j] + 1.5 * fl1_fxn * tg_yyzzzz_xxyyzzz_1[j];

                    tg_xyyzzzz_xxxyzzzz_0[j] = pb_x * tg_yyzzzz_xxxyzzzz_0[j] + fr * tg_yyzzzz_xxxyzzzz_1[j] + 1.5 * fl1_fxn * tg_yyzzzz_xxyzzzz_1[j];
                }

                idx++;
            }
        }
    }

    void
    compElectronRepulsionForSKSL_1145_1240(      CMemBlock2D<double>* primBuffer,
                                           const CRecursionMap&       recursionMap,
                                           const CMemBlock2D<double>& osFactors,
                                           const CMemBlock2D<double>& wpDistances,
                                           const CGtoPairsBlock&      braGtoPairsBlock,
                                           const CGtoPairsBlock&      ketGtoPairsBlock,
                                           const int32_t              nKetPrimPairs,
                                           const int32_t              iContrPair)
    {
        // Batch of Integrals (1145,1240)

        // set up pointers to primitives data on bra side

        auto spos = braGtoPairsBlock.getStartPositions();

        auto epos = braGtoPairsBlock.getEndPositions();

        // set up pointers to tensor of distance R(PB) = P - B

        auto r_pb_x = braGtoPairsBlock.getDistancesPBX();

        // set up pointers to common Obara-Saika factors

        // set up maximum order of integral

        auto mord = recursionMap.getMaxOrder({"Electron Repulsion"},
                                             {7, -1, -1, -1},
                                             {8, -1, -1, -1},
                                             1, 1);

        for (int32_t iord = 0; iord <= mord; iord++)
        {
            // set up index of integral

            auto pidx_g_7_8_m0 = recursionMap.index(CRecursionTerm({"Electron Repulsion"}, 0, true, 
                                                                   {7, -1, -1, -1}, {8, -1, -1, -1}, 
                                                                   1, 1, iord));

            // check if integral is needed in recursion expansion

            if (pidx_g_7_8_m0 == -1) continue;

            // set up indexes of auxilary integral

            auto pidx_g_6_8_m0 = recursionMap.index(CRecursionTerm({"Electron Repulsion"}, 0, true, 
                                                                   {6, -1, -1, -1}, {8, -1, -1, -1}, 
                                                                   1, 1, iord));

            auto pidx_g_6_8_m1 = recursionMap.index(CRecursionTerm({"Electron Repulsion"}, 0, true, 
                                                                   {6, -1, -1, -1}, {8, -1, -1, -1}, 
                                                                   1, 1, iord + 1));

            auto pidx_g_6_7_m1 = recursionMap.index(CRecursionTerm({"Electron Repulsion"}, 0, true, 
                                                                   {6, -1, -1, -1}, {7, -1, -1, -1}, 
                                                                   1, 1, iord + 1));

            // loop over contracted GTO on bra side

            int32_t idx = 0;

            for (int32_t i = spos[iContrPair]; i < epos[iContrPair]; i++)
            {
                // set up pointers to Obara-Saika factors

                auto fxn = osFactors.data(4 * idx);

                // set up distances R(PB) = P - B

                auto pb_x = r_pb_x[i];

                // set up pointers to tensors product of distances R(WP) = W - P

                auto wp_x = wpDistances.data(3 * idx);

                // set up pointers to auxilary integrals

                auto tg_yyzzzz_xxxzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1145); 

                auto tg_yyzzzz_xxyyyyyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1146); 

                auto tg_yyzzzz_xxyyyyyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1147); 

                auto tg_yyzzzz_xxyyyyzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1148); 

                auto tg_yyzzzz_xxyyyzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1149); 

                auto tg_yyzzzz_xxyyzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1150); 

                auto tg_yyzzzz_xxyzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1151); 

                auto tg_yyzzzz_xxzzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1152); 

                auto tg_yyzzzz_xyyyyyyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1153); 

                auto tg_yyzzzz_xyyyyyyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1154); 

                auto tg_yyzzzz_xyyyyyzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1155); 

                auto tg_yyzzzz_xyyyyzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1156); 

                auto tg_yyzzzz_xyyyzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1157); 

                auto tg_yyzzzz_xyyzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1158); 

                auto tg_yyzzzz_xyzzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1159); 

                auto tg_yyzzzz_xzzzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1160); 

                auto tg_yyzzzz_yyyyyyyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1161); 

                auto tg_yyzzzz_yyyyyyyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1162); 

                auto tg_yyzzzz_yyyyyyzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1163); 

                auto tg_yyzzzz_yyyyyzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1164); 

                auto tg_yyzzzz_yyyyzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1165); 

                auto tg_yyzzzz_yyyzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1166); 

                auto tg_yyzzzz_yyzzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1167); 

                auto tg_yyzzzz_yzzzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1168); 

                auto tg_yyzzzz_zzzzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1169); 

                auto tg_yzzzzz_xxxxxxxx_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1170); 

                auto tg_yzzzzz_xxxxxxxy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1171); 

                auto tg_yzzzzz_xxxxxxxz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1172); 

                auto tg_yzzzzz_xxxxxxyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1173); 

                auto tg_yzzzzz_xxxxxxyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1174); 

                auto tg_yzzzzz_xxxxxxzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1175); 

                auto tg_yzzzzz_xxxxxyyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1176); 

                auto tg_yzzzzz_xxxxxyyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1177); 

                auto tg_yzzzzz_xxxxxyzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1178); 

                auto tg_yzzzzz_xxxxxzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1179); 

                auto tg_yzzzzz_xxxxyyyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1180); 

                auto tg_yzzzzz_xxxxyyyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1181); 

                auto tg_yzzzzz_xxxxyyzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1182); 

                auto tg_yzzzzz_xxxxyzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1183); 

                auto tg_yzzzzz_xxxxzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1184); 

                auto tg_yzzzzz_xxxyyyyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1185); 

                auto tg_yzzzzz_xxxyyyyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1186); 

                auto tg_yzzzzz_xxxyyyzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1187); 

                auto tg_yzzzzz_xxxyyzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1188); 

                auto tg_yzzzzz_xxxyzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1189); 

                auto tg_yzzzzz_xxxzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1190); 

                auto tg_yzzzzz_xxyyyyyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1191); 

                auto tg_yzzzzz_xxyyyyyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1192); 

                auto tg_yzzzzz_xxyyyyzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1193); 

                auto tg_yzzzzz_xxyyyzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1194); 

                auto tg_yzzzzz_xxyyzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1195); 

                auto tg_yzzzzz_xxyzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1196); 

                auto tg_yzzzzz_xxzzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1197); 

                auto tg_yzzzzz_xyyyyyyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1198); 

                auto tg_yzzzzz_xyyyyyyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1199); 

                auto tg_yzzzzz_xyyyyyzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1200); 

                auto tg_yzzzzz_xyyyyzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1201); 

                auto tg_yzzzzz_xyyyzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1202); 

                auto tg_yzzzzz_xyyzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1203); 

                auto tg_yzzzzz_xyzzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1204); 

                auto tg_yzzzzz_xzzzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1205); 

                auto tg_yzzzzz_yyyyyyyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1206); 

                auto tg_yzzzzz_yyyyyyyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1207); 

                auto tg_yzzzzz_yyyyyyzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1208); 

                auto tg_yzzzzz_yyyyyzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1209); 

                auto tg_yzzzzz_yyyyzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1210); 

                auto tg_yzzzzz_yyyzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1211); 

                auto tg_yzzzzz_yyzzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1212); 

                auto tg_yzzzzz_yzzzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1213); 

                auto tg_yzzzzz_zzzzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1214); 

                auto tg_zzzzzz_xxxxxxxx_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1215); 

                auto tg_zzzzzz_xxxxxxxy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1216); 

                auto tg_zzzzzz_xxxxxxxz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1217); 

                auto tg_zzzzzz_xxxxxxyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1218); 

                auto tg_zzzzzz_xxxxxxyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1219); 

                auto tg_zzzzzz_xxxxxxzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1220); 

                auto tg_zzzzzz_xxxxxyyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1221); 

                auto tg_zzzzzz_xxxxxyyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1222); 

                auto tg_zzzzzz_xxxxxyzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1223); 

                auto tg_zzzzzz_xxxxxzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1224); 

                auto tg_zzzzzz_xxxxyyyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1225); 

                auto tg_zzzzzz_xxxxyyyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1226); 

                auto tg_zzzzzz_xxxxyyzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1227); 

                auto tg_zzzzzz_xxxxyzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1228); 

                auto tg_zzzzzz_xxxxzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1229); 

                auto tg_zzzzzz_xxxyyyyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1230); 

                auto tg_zzzzzz_xxxyyyyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1231); 

                auto tg_zzzzzz_xxxyyyzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1232); 

                auto tg_zzzzzz_xxxyyzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1233); 

                auto tg_zzzzzz_xxxyzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1234); 

                auto tg_zzzzzz_xxxzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1235); 

                auto tg_zzzzzz_xxyyyyyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1236); 

                auto tg_zzzzzz_xxyyyyyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1237); 

                auto tg_zzzzzz_xxyyyyzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1238); 

                auto tg_zzzzzz_xxyyyzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1239); 

                auto tg_yyzzzz_xxxzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1145); 

                auto tg_yyzzzz_xxyyyyyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1146); 

                auto tg_yyzzzz_xxyyyyyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1147); 

                auto tg_yyzzzz_xxyyyyzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1148); 

                auto tg_yyzzzz_xxyyyzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1149); 

                auto tg_yyzzzz_xxyyzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1150); 

                auto tg_yyzzzz_xxyzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1151); 

                auto tg_yyzzzz_xxzzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1152); 

                auto tg_yyzzzz_xyyyyyyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1153); 

                auto tg_yyzzzz_xyyyyyyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1154); 

                auto tg_yyzzzz_xyyyyyzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1155); 

                auto tg_yyzzzz_xyyyyzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1156); 

                auto tg_yyzzzz_xyyyzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1157); 

                auto tg_yyzzzz_xyyzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1158); 

                auto tg_yyzzzz_xyzzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1159); 

                auto tg_yyzzzz_xzzzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1160); 

                auto tg_yyzzzz_yyyyyyyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1161); 

                auto tg_yyzzzz_yyyyyyyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1162); 

                auto tg_yyzzzz_yyyyyyzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1163); 

                auto tg_yyzzzz_yyyyyzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1164); 

                auto tg_yyzzzz_yyyyzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1165); 

                auto tg_yyzzzz_yyyzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1166); 

                auto tg_yyzzzz_yyzzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1167); 

                auto tg_yyzzzz_yzzzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1168); 

                auto tg_yyzzzz_zzzzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1169); 

                auto tg_yzzzzz_xxxxxxxx_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1170); 

                auto tg_yzzzzz_xxxxxxxy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1171); 

                auto tg_yzzzzz_xxxxxxxz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1172); 

                auto tg_yzzzzz_xxxxxxyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1173); 

                auto tg_yzzzzz_xxxxxxyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1174); 

                auto tg_yzzzzz_xxxxxxzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1175); 

                auto tg_yzzzzz_xxxxxyyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1176); 

                auto tg_yzzzzz_xxxxxyyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1177); 

                auto tg_yzzzzz_xxxxxyzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1178); 

                auto tg_yzzzzz_xxxxxzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1179); 

                auto tg_yzzzzz_xxxxyyyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1180); 

                auto tg_yzzzzz_xxxxyyyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1181); 

                auto tg_yzzzzz_xxxxyyzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1182); 

                auto tg_yzzzzz_xxxxyzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1183); 

                auto tg_yzzzzz_xxxxzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1184); 

                auto tg_yzzzzz_xxxyyyyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1185); 

                auto tg_yzzzzz_xxxyyyyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1186); 

                auto tg_yzzzzz_xxxyyyzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1187); 

                auto tg_yzzzzz_xxxyyzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1188); 

                auto tg_yzzzzz_xxxyzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1189); 

                auto tg_yzzzzz_xxxzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1190); 

                auto tg_yzzzzz_xxyyyyyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1191); 

                auto tg_yzzzzz_xxyyyyyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1192); 

                auto tg_yzzzzz_xxyyyyzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1193); 

                auto tg_yzzzzz_xxyyyzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1194); 

                auto tg_yzzzzz_xxyyzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1195); 

                auto tg_yzzzzz_xxyzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1196); 

                auto tg_yzzzzz_xxzzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1197); 

                auto tg_yzzzzz_xyyyyyyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1198); 

                auto tg_yzzzzz_xyyyyyyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1199); 

                auto tg_yzzzzz_xyyyyyzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1200); 

                auto tg_yzzzzz_xyyyyzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1201); 

                auto tg_yzzzzz_xyyyzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1202); 

                auto tg_yzzzzz_xyyzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1203); 

                auto tg_yzzzzz_xyzzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1204); 

                auto tg_yzzzzz_xzzzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1205); 

                auto tg_yzzzzz_yyyyyyyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1206); 

                auto tg_yzzzzz_yyyyyyyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1207); 

                auto tg_yzzzzz_yyyyyyzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1208); 

                auto tg_yzzzzz_yyyyyzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1209); 

                auto tg_yzzzzz_yyyyzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1210); 

                auto tg_yzzzzz_yyyzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1211); 

                auto tg_yzzzzz_yyzzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1212); 

                auto tg_yzzzzz_yzzzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1213); 

                auto tg_yzzzzz_zzzzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1214); 

                auto tg_zzzzzz_xxxxxxxx_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1215); 

                auto tg_zzzzzz_xxxxxxxy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1216); 

                auto tg_zzzzzz_xxxxxxxz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1217); 

                auto tg_zzzzzz_xxxxxxyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1218); 

                auto tg_zzzzzz_xxxxxxyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1219); 

                auto tg_zzzzzz_xxxxxxzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1220); 

                auto tg_zzzzzz_xxxxxyyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1221); 

                auto tg_zzzzzz_xxxxxyyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1222); 

                auto tg_zzzzzz_xxxxxyzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1223); 

                auto tg_zzzzzz_xxxxxzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1224); 

                auto tg_zzzzzz_xxxxyyyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1225); 

                auto tg_zzzzzz_xxxxyyyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1226); 

                auto tg_zzzzzz_xxxxyyzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1227); 

                auto tg_zzzzzz_xxxxyzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1228); 

                auto tg_zzzzzz_xxxxzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1229); 

                auto tg_zzzzzz_xxxyyyyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1230); 

                auto tg_zzzzzz_xxxyyyyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1231); 

                auto tg_zzzzzz_xxxyyyzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1232); 

                auto tg_zzzzzz_xxxyyzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1233); 

                auto tg_zzzzzz_xxxyzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1234); 

                auto tg_zzzzzz_xxxzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1235); 

                auto tg_zzzzzz_xxyyyyyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1236); 

                auto tg_zzzzzz_xxyyyyyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1237); 

                auto tg_zzzzzz_xxyyyyzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1238); 

                auto tg_zzzzzz_xxyyyzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1239); 

                auto tg_yyzzzz_xxzzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 920); 

                auto tg_yyzzzz_xyyyyyy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 921); 

                auto tg_yyzzzz_xyyyyyz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 922); 

                auto tg_yyzzzz_xyyyyzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 923); 

                auto tg_yyzzzz_xyyyzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 924); 

                auto tg_yyzzzz_xyyzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 925); 

                auto tg_yyzzzz_xyzzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 926); 

                auto tg_yyzzzz_xzzzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 927); 

                auto tg_yyzzzz_yyyyyyy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 928); 

                auto tg_yyzzzz_yyyyyyz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 929); 

                auto tg_yyzzzz_yyyyyzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 930); 

                auto tg_yyzzzz_yyyyzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 931); 

                auto tg_yyzzzz_yyyzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 932); 

                auto tg_yyzzzz_yyzzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 933); 

                auto tg_yyzzzz_yzzzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 934); 

                auto tg_yyzzzz_zzzzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 935); 

                auto tg_yzzzzz_xxxxxxx_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 936); 

                auto tg_yzzzzz_xxxxxxy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 937); 

                auto tg_yzzzzz_xxxxxxz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 938); 

                auto tg_yzzzzz_xxxxxyy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 939); 

                auto tg_yzzzzz_xxxxxyz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 940); 

                auto tg_yzzzzz_xxxxxzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 941); 

                auto tg_yzzzzz_xxxxyyy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 942); 

                auto tg_yzzzzz_xxxxyyz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 943); 

                auto tg_yzzzzz_xxxxyzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 944); 

                auto tg_yzzzzz_xxxxzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 945); 

                auto tg_yzzzzz_xxxyyyy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 946); 

                auto tg_yzzzzz_xxxyyyz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 947); 

                auto tg_yzzzzz_xxxyyzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 948); 

                auto tg_yzzzzz_xxxyzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 949); 

                auto tg_yzzzzz_xxxzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 950); 

                auto tg_yzzzzz_xxyyyyy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 951); 

                auto tg_yzzzzz_xxyyyyz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 952); 

                auto tg_yzzzzz_xxyyyzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 953); 

                auto tg_yzzzzz_xxyyzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 954); 

                auto tg_yzzzzz_xxyzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 955); 

                auto tg_yzzzzz_xxzzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 956); 

                auto tg_yzzzzz_xyyyyyy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 957); 

                auto tg_yzzzzz_xyyyyyz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 958); 

                auto tg_yzzzzz_xyyyyzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 959); 

                auto tg_yzzzzz_xyyyzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 960); 

                auto tg_yzzzzz_xyyzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 961); 

                auto tg_yzzzzz_xyzzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 962); 

                auto tg_yzzzzz_xzzzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 963); 

                auto tg_yzzzzz_yyyyyyy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 964); 

                auto tg_yzzzzz_yyyyyyz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 965); 

                auto tg_yzzzzz_yyyyyzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 966); 

                auto tg_yzzzzz_yyyyzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 967); 

                auto tg_yzzzzz_yyyzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 968); 

                auto tg_yzzzzz_yyzzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 969); 

                auto tg_yzzzzz_yzzzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 970); 

                auto tg_yzzzzz_zzzzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 971); 

                auto tg_zzzzzz_xxxxxxx_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 972); 

                auto tg_zzzzzz_xxxxxxy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 973); 

                auto tg_zzzzzz_xxxxxxz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 974); 

                auto tg_zzzzzz_xxxxxyy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 975); 

                auto tg_zzzzzz_xxxxxyz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 976); 

                auto tg_zzzzzz_xxxxxzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 977); 

                auto tg_zzzzzz_xxxxyyy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 978); 

                auto tg_zzzzzz_xxxxyyz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 979); 

                auto tg_zzzzzz_xxxxyzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 980); 

                auto tg_zzzzzz_xxxxzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 981); 

                auto tg_zzzzzz_xxxyyyy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 982); 

                auto tg_zzzzzz_xxxyyyz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 983); 

                auto tg_zzzzzz_xxxyyzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 984); 

                auto tg_zzzzzz_xxxyzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 985); 

                auto tg_zzzzzz_xxxzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 986); 

                auto tg_zzzzzz_xxyyyyy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 987); 

                auto tg_zzzzzz_xxyyyyz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 988); 

                auto tg_zzzzzz_xxyyyzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 989); 

                auto tg_zzzzzz_xxyyzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 990); 

                auto tg_zzzzzz_xxyzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 991); 

                auto tg_zzzzzz_xxzzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 992); 

                auto tg_zzzzzz_xyyyyyy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 993); 

                auto tg_zzzzzz_xyyyyyz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 994); 

                auto tg_zzzzzz_xyyyyzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 995); 

                auto tg_zzzzzz_xyyyzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 996); 

                // set up pointers to integrals

                auto tg_xyyzzzz_xxxzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1145); 

                auto tg_xyyzzzz_xxyyyyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1146); 

                auto tg_xyyzzzz_xxyyyyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1147); 

                auto tg_xyyzzzz_xxyyyyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1148); 

                auto tg_xyyzzzz_xxyyyzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1149); 

                auto tg_xyyzzzz_xxyyzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1150); 

                auto tg_xyyzzzz_xxyzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1151); 

                auto tg_xyyzzzz_xxzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1152); 

                auto tg_xyyzzzz_xyyyyyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1153); 

                auto tg_xyyzzzz_xyyyyyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1154); 

                auto tg_xyyzzzz_xyyyyyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1155); 

                auto tg_xyyzzzz_xyyyyzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1156); 

                auto tg_xyyzzzz_xyyyzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1157); 

                auto tg_xyyzzzz_xyyzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1158); 

                auto tg_xyyzzzz_xyzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1159); 

                auto tg_xyyzzzz_xzzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1160); 

                auto tg_xyyzzzz_yyyyyyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1161); 

                auto tg_xyyzzzz_yyyyyyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1162); 

                auto tg_xyyzzzz_yyyyyyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1163); 

                auto tg_xyyzzzz_yyyyyzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1164); 

                auto tg_xyyzzzz_yyyyzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1165); 

                auto tg_xyyzzzz_yyyzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1166); 

                auto tg_xyyzzzz_yyzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1167); 

                auto tg_xyyzzzz_yzzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1168); 

                auto tg_xyyzzzz_zzzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1169); 

                auto tg_xyzzzzz_xxxxxxxx_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1170); 

                auto tg_xyzzzzz_xxxxxxxy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1171); 

                auto tg_xyzzzzz_xxxxxxxz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1172); 

                auto tg_xyzzzzz_xxxxxxyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1173); 

                auto tg_xyzzzzz_xxxxxxyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1174); 

                auto tg_xyzzzzz_xxxxxxzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1175); 

                auto tg_xyzzzzz_xxxxxyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1176); 

                auto tg_xyzzzzz_xxxxxyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1177); 

                auto tg_xyzzzzz_xxxxxyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1178); 

                auto tg_xyzzzzz_xxxxxzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1179); 

                auto tg_xyzzzzz_xxxxyyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1180); 

                auto tg_xyzzzzz_xxxxyyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1181); 

                auto tg_xyzzzzz_xxxxyyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1182); 

                auto tg_xyzzzzz_xxxxyzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1183); 

                auto tg_xyzzzzz_xxxxzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1184); 

                auto tg_xyzzzzz_xxxyyyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1185); 

                auto tg_xyzzzzz_xxxyyyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1186); 

                auto tg_xyzzzzz_xxxyyyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1187); 

                auto tg_xyzzzzz_xxxyyzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1188); 

                auto tg_xyzzzzz_xxxyzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1189); 

                auto tg_xyzzzzz_xxxzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1190); 

                auto tg_xyzzzzz_xxyyyyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1191); 

                auto tg_xyzzzzz_xxyyyyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1192); 

                auto tg_xyzzzzz_xxyyyyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1193); 

                auto tg_xyzzzzz_xxyyyzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1194); 

                auto tg_xyzzzzz_xxyyzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1195); 

                auto tg_xyzzzzz_xxyzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1196); 

                auto tg_xyzzzzz_xxzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1197); 

                auto tg_xyzzzzz_xyyyyyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1198); 

                auto tg_xyzzzzz_xyyyyyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1199); 

                auto tg_xyzzzzz_xyyyyyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1200); 

                auto tg_xyzzzzz_xyyyyzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1201); 

                auto tg_xyzzzzz_xyyyzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1202); 

                auto tg_xyzzzzz_xyyzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1203); 

                auto tg_xyzzzzz_xyzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1204); 

                auto tg_xyzzzzz_xzzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1205); 

                auto tg_xyzzzzz_yyyyyyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1206); 

                auto tg_xyzzzzz_yyyyyyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1207); 

                auto tg_xyzzzzz_yyyyyyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1208); 

                auto tg_xyzzzzz_yyyyyzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1209); 

                auto tg_xyzzzzz_yyyyzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1210); 

                auto tg_xyzzzzz_yyyzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1211); 

                auto tg_xyzzzzz_yyzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1212); 

                auto tg_xyzzzzz_yzzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1213); 

                auto tg_xyzzzzz_zzzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1214); 

                auto tg_xzzzzzz_xxxxxxxx_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1215); 

                auto tg_xzzzzzz_xxxxxxxy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1216); 

                auto tg_xzzzzzz_xxxxxxxz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1217); 

                auto tg_xzzzzzz_xxxxxxyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1218); 

                auto tg_xzzzzzz_xxxxxxyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1219); 

                auto tg_xzzzzzz_xxxxxxzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1220); 

                auto tg_xzzzzzz_xxxxxyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1221); 

                auto tg_xzzzzzz_xxxxxyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1222); 

                auto tg_xzzzzzz_xxxxxyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1223); 

                auto tg_xzzzzzz_xxxxxzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1224); 

                auto tg_xzzzzzz_xxxxyyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1225); 

                auto tg_xzzzzzz_xxxxyyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1226); 

                auto tg_xzzzzzz_xxxxyyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1227); 

                auto tg_xzzzzzz_xxxxyzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1228); 

                auto tg_xzzzzzz_xxxxzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1229); 

                auto tg_xzzzzzz_xxxyyyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1230); 

                auto tg_xzzzzzz_xxxyyyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1231); 

                auto tg_xzzzzzz_xxxyyyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1232); 

                auto tg_xzzzzzz_xxxyyzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1233); 

                auto tg_xzzzzzz_xxxyzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1234); 

                auto tg_xzzzzzz_xxxzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1235); 

                auto tg_xzzzzzz_xxyyyyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1236); 

                auto tg_xzzzzzz_xxyyyyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1237); 

                auto tg_xzzzzzz_xxyyyyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1238); 

                auto tg_xzzzzzz_xxyyyzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1239); 

                // Batch of Integrals (1145,1240)

                #pragma omp simd aligned(fxn, tg_xyyzzzz_xxxzzzzz_0, tg_xyyzzzz_xxyyyyyy_0, \
                                         tg_xyyzzzz_xxyyyyyz_0, tg_xyyzzzz_xxyyyyzz_0, tg_xyyzzzz_xxyyyzzz_0, \
                                         tg_xyyzzzz_xxyyzzzz_0, tg_xyyzzzz_xxyzzzzz_0, tg_xyyzzzz_xxzzzzzz_0, \
                                         tg_xyyzzzz_xyyyyyyy_0, tg_xyyzzzz_xyyyyyyz_0, tg_xyyzzzz_xyyyyyzz_0, \
                                         tg_xyyzzzz_xyyyyzzz_0, tg_xyyzzzz_xyyyzzzz_0, tg_xyyzzzz_xyyzzzzz_0, \
                                         tg_xyyzzzz_xyzzzzzz_0, tg_xyyzzzz_xzzzzzzz_0, tg_xyyzzzz_yyyyyyyy_0, \
                                         tg_xyyzzzz_yyyyyyyz_0, tg_xyyzzzz_yyyyyyzz_0, tg_xyyzzzz_yyyyyzzz_0, \
                                         tg_xyyzzzz_yyyyzzzz_0, tg_xyyzzzz_yyyzzzzz_0, tg_xyyzzzz_yyzzzzzz_0, \
                                         tg_xyyzzzz_yzzzzzzz_0, tg_xyyzzzz_zzzzzzzz_0, tg_xyzzzzz_xxxxxxxx_0, \
                                         tg_xyzzzzz_xxxxxxxy_0, tg_xyzzzzz_xxxxxxxz_0, tg_xyzzzzz_xxxxxxyy_0, \
                                         tg_xyzzzzz_xxxxxxyz_0, tg_xyzzzzz_xxxxxxzz_0, tg_xyzzzzz_xxxxxyyy_0, \
                                         tg_xyzzzzz_xxxxxyyz_0, tg_xyzzzzz_xxxxxyzz_0, tg_xyzzzzz_xxxxxzzz_0, \
                                         tg_xyzzzzz_xxxxyyyy_0, tg_xyzzzzz_xxxxyyyz_0, tg_xyzzzzz_xxxxyyzz_0, \
                                         tg_xyzzzzz_xxxxyzzz_0, tg_xyzzzzz_xxxxzzzz_0, tg_xyzzzzz_xxxyyyyy_0, \
                                         tg_xyzzzzz_xxxyyyyz_0, tg_xyzzzzz_xxxyyyzz_0, tg_xyzzzzz_xxxyyzzz_0, \
                                         tg_xyzzzzz_xxxyzzzz_0, tg_xyzzzzz_xxxzzzzz_0, tg_xyzzzzz_xxyyyyyy_0, \
                                         tg_xyzzzzz_xxyyyyyz_0, tg_xyzzzzz_xxyyyyzz_0, tg_xyzzzzz_xxyyyzzz_0, \
                                         tg_xyzzzzz_xxyyzzzz_0, tg_xyzzzzz_xxyzzzzz_0, tg_xyzzzzz_xxzzzzzz_0, \
                                         tg_xyzzzzz_xyyyyyyy_0, tg_xyzzzzz_xyyyyyyz_0, tg_xyzzzzz_xyyyyyzz_0, \
                                         tg_xyzzzzz_xyyyyzzz_0, tg_xyzzzzz_xyyyzzzz_0, tg_xyzzzzz_xyyzzzzz_0, \
                                         tg_xyzzzzz_xyzzzzzz_0, tg_xyzzzzz_xzzzzzzz_0, tg_xyzzzzz_yyyyyyyy_0, \
                                         tg_xyzzzzz_yyyyyyyz_0, tg_xyzzzzz_yyyyyyzz_0, tg_xyzzzzz_yyyyyzzz_0, \
                                         tg_xyzzzzz_yyyyzzzz_0, tg_xyzzzzz_yyyzzzzz_0, tg_xyzzzzz_yyzzzzzz_0, \
                                         tg_xyzzzzz_yzzzzzzz_0, tg_xyzzzzz_zzzzzzzz_0, tg_xzzzzzz_xxxxxxxx_0, \
                                         tg_xzzzzzz_xxxxxxxy_0, tg_xzzzzzz_xxxxxxxz_0, tg_xzzzzzz_xxxxxxyy_0, \
                                         tg_xzzzzzz_xxxxxxyz_0, tg_xzzzzzz_xxxxxxzz_0, tg_xzzzzzz_xxxxxyyy_0, \
                                         tg_xzzzzzz_xxxxxyyz_0, tg_xzzzzzz_xxxxxyzz_0, tg_xzzzzzz_xxxxxzzz_0, \
                                         tg_xzzzzzz_xxxxyyyy_0, tg_xzzzzzz_xxxxyyyz_0, tg_xzzzzzz_xxxxyyzz_0, \
                                         tg_xzzzzzz_xxxxyzzz_0, tg_xzzzzzz_xxxxzzzz_0, tg_xzzzzzz_xxxyyyyy_0, \
                                         tg_xzzzzzz_xxxyyyyz_0, tg_xzzzzzz_xxxyyyzz_0, tg_xzzzzzz_xxxyyzzz_0, \
                                         tg_xzzzzzz_xxxyzzzz_0, tg_xzzzzzz_xxxzzzzz_0, tg_xzzzzzz_xxyyyyyy_0, \
                                         tg_xzzzzzz_xxyyyyyz_0, tg_xzzzzzz_xxyyyyzz_0, tg_xzzzzzz_xxyyyzzz_0, \
                                         tg_yyzzzz_xxxzzzzz_0, tg_yyzzzz_xxxzzzzz_1, tg_yyzzzz_xxyyyyyy_0, tg_yyzzzz_xxyyyyyy_1, \
                                         tg_yyzzzz_xxyyyyyz_0, tg_yyzzzz_xxyyyyyz_1, tg_yyzzzz_xxyyyyzz_0, tg_yyzzzz_xxyyyyzz_1, \
                                         tg_yyzzzz_xxyyyzzz_0, tg_yyzzzz_xxyyyzzz_1, tg_yyzzzz_xxyyzzzz_0, tg_yyzzzz_xxyyzzzz_1, \
                                         tg_yyzzzz_xxyzzzzz_0, tg_yyzzzz_xxyzzzzz_1, tg_yyzzzz_xxzzzzz_1, tg_yyzzzz_xxzzzzzz_0, \
                                         tg_yyzzzz_xxzzzzzz_1, tg_yyzzzz_xyyyyyy_1, tg_yyzzzz_xyyyyyyy_0, tg_yyzzzz_xyyyyyyy_1, \
                                         tg_yyzzzz_xyyyyyyz_0, tg_yyzzzz_xyyyyyyz_1, tg_yyzzzz_xyyyyyz_1, tg_yyzzzz_xyyyyyzz_0, \
                                         tg_yyzzzz_xyyyyyzz_1, tg_yyzzzz_xyyyyzz_1, tg_yyzzzz_xyyyyzzz_0, tg_yyzzzz_xyyyyzzz_1, \
                                         tg_yyzzzz_xyyyzzz_1, tg_yyzzzz_xyyyzzzz_0, tg_yyzzzz_xyyyzzzz_1, tg_yyzzzz_xyyzzzz_1, \
                                         tg_yyzzzz_xyyzzzzz_0, tg_yyzzzz_xyyzzzzz_1, tg_yyzzzz_xyzzzzz_1, tg_yyzzzz_xyzzzzzz_0, \
                                         tg_yyzzzz_xyzzzzzz_1, tg_yyzzzz_xzzzzzz_1, tg_yyzzzz_xzzzzzzz_0, tg_yyzzzz_xzzzzzzz_1, \
                                         tg_yyzzzz_yyyyyyy_1, tg_yyzzzz_yyyyyyyy_0, tg_yyzzzz_yyyyyyyy_1, tg_yyzzzz_yyyyyyyz_0, \
                                         tg_yyzzzz_yyyyyyyz_1, tg_yyzzzz_yyyyyyz_1, tg_yyzzzz_yyyyyyzz_0, tg_yyzzzz_yyyyyyzz_1, \
                                         tg_yyzzzz_yyyyyzz_1, tg_yyzzzz_yyyyyzzz_0, tg_yyzzzz_yyyyyzzz_1, tg_yyzzzz_yyyyzzz_1, \
                                         tg_yyzzzz_yyyyzzzz_0, tg_yyzzzz_yyyyzzzz_1, tg_yyzzzz_yyyzzzz_1, tg_yyzzzz_yyyzzzzz_0, \
                                         tg_yyzzzz_yyyzzzzz_1, tg_yyzzzz_yyzzzzz_1, tg_yyzzzz_yyzzzzzz_0, tg_yyzzzz_yyzzzzzz_1, \
                                         tg_yyzzzz_yzzzzzz_1, tg_yyzzzz_yzzzzzzz_0, tg_yyzzzz_yzzzzzzz_1, tg_yyzzzz_zzzzzzz_1, \
                                         tg_yyzzzz_zzzzzzzz_0, tg_yyzzzz_zzzzzzzz_1, tg_yzzzzz_xxxxxxx_1, tg_yzzzzz_xxxxxxxx_0, \
                                         tg_yzzzzz_xxxxxxxx_1, tg_yzzzzz_xxxxxxxy_0, tg_yzzzzz_xxxxxxxy_1, tg_yzzzzz_xxxxxxxz_0, \
                                         tg_yzzzzz_xxxxxxxz_1, tg_yzzzzz_xxxxxxy_1, tg_yzzzzz_xxxxxxyy_0, tg_yzzzzz_xxxxxxyy_1, \
                                         tg_yzzzzz_xxxxxxyz_0, tg_yzzzzz_xxxxxxyz_1, tg_yzzzzz_xxxxxxz_1, tg_yzzzzz_xxxxxxzz_0, \
                                         tg_yzzzzz_xxxxxxzz_1, tg_yzzzzz_xxxxxyy_1, tg_yzzzzz_xxxxxyyy_0, tg_yzzzzz_xxxxxyyy_1, \
                                         tg_yzzzzz_xxxxxyyz_0, tg_yzzzzz_xxxxxyyz_1, tg_yzzzzz_xxxxxyz_1, tg_yzzzzz_xxxxxyzz_0, \
                                         tg_yzzzzz_xxxxxyzz_1, tg_yzzzzz_xxxxxzz_1, tg_yzzzzz_xxxxxzzz_0, tg_yzzzzz_xxxxxzzz_1, \
                                         tg_yzzzzz_xxxxyyy_1, tg_yzzzzz_xxxxyyyy_0, tg_yzzzzz_xxxxyyyy_1, tg_yzzzzz_xxxxyyyz_0, \
                                         tg_yzzzzz_xxxxyyyz_1, tg_yzzzzz_xxxxyyz_1, tg_yzzzzz_xxxxyyzz_0, tg_yzzzzz_xxxxyyzz_1, \
                                         tg_yzzzzz_xxxxyzz_1, tg_yzzzzz_xxxxyzzz_0, tg_yzzzzz_xxxxyzzz_1, tg_yzzzzz_xxxxzzz_1, \
                                         tg_yzzzzz_xxxxzzzz_0, tg_yzzzzz_xxxxzzzz_1, tg_yzzzzz_xxxyyyy_1, tg_yzzzzz_xxxyyyyy_0, \
                                         tg_yzzzzz_xxxyyyyy_1, tg_yzzzzz_xxxyyyyz_0, tg_yzzzzz_xxxyyyyz_1, tg_yzzzzz_xxxyyyz_1, \
                                         tg_yzzzzz_xxxyyyzz_0, tg_yzzzzz_xxxyyyzz_1, tg_yzzzzz_xxxyyzz_1, tg_yzzzzz_xxxyyzzz_0, \
                                         tg_yzzzzz_xxxyyzzz_1, tg_yzzzzz_xxxyzzz_1, tg_yzzzzz_xxxyzzzz_0, tg_yzzzzz_xxxyzzzz_1, \
                                         tg_yzzzzz_xxxzzzz_1, tg_yzzzzz_xxxzzzzz_0, tg_yzzzzz_xxxzzzzz_1, tg_yzzzzz_xxyyyyy_1, \
                                         tg_yzzzzz_xxyyyyyy_0, tg_yzzzzz_xxyyyyyy_1, tg_yzzzzz_xxyyyyyz_0, tg_yzzzzz_xxyyyyyz_1, \
                                         tg_yzzzzz_xxyyyyz_1, tg_yzzzzz_xxyyyyzz_0, tg_yzzzzz_xxyyyyzz_1, tg_yzzzzz_xxyyyzz_1, \
                                         tg_yzzzzz_xxyyyzzz_0, tg_yzzzzz_xxyyyzzz_1, tg_yzzzzz_xxyyzzz_1, tg_yzzzzz_xxyyzzzz_0, \
                                         tg_yzzzzz_xxyyzzzz_1, tg_yzzzzz_xxyzzzz_1, tg_yzzzzz_xxyzzzzz_0, tg_yzzzzz_xxyzzzzz_1, \
                                         tg_yzzzzz_xxzzzzz_1, tg_yzzzzz_xxzzzzzz_0, tg_yzzzzz_xxzzzzzz_1, tg_yzzzzz_xyyyyyy_1, \
                                         tg_yzzzzz_xyyyyyyy_0, tg_yzzzzz_xyyyyyyy_1, tg_yzzzzz_xyyyyyyz_0, tg_yzzzzz_xyyyyyyz_1, \
                                         tg_yzzzzz_xyyyyyz_1, tg_yzzzzz_xyyyyyzz_0, tg_yzzzzz_xyyyyyzz_1, tg_yzzzzz_xyyyyzz_1, \
                                         tg_yzzzzz_xyyyyzzz_0, tg_yzzzzz_xyyyyzzz_1, tg_yzzzzz_xyyyzzz_1, tg_yzzzzz_xyyyzzzz_0, \
                                         tg_yzzzzz_xyyyzzzz_1, tg_yzzzzz_xyyzzzz_1, tg_yzzzzz_xyyzzzzz_0, tg_yzzzzz_xyyzzzzz_1, \
                                         tg_yzzzzz_xyzzzzz_1, tg_yzzzzz_xyzzzzzz_0, tg_yzzzzz_xyzzzzzz_1, tg_yzzzzz_xzzzzzz_1, \
                                         tg_yzzzzz_xzzzzzzz_0, tg_yzzzzz_xzzzzzzz_1, tg_yzzzzz_yyyyyyy_1, tg_yzzzzz_yyyyyyyy_0, \
                                         tg_yzzzzz_yyyyyyyy_1, tg_yzzzzz_yyyyyyyz_0, tg_yzzzzz_yyyyyyyz_1, tg_yzzzzz_yyyyyyz_1, \
                                         tg_yzzzzz_yyyyyyzz_0, tg_yzzzzz_yyyyyyzz_1, tg_yzzzzz_yyyyyzz_1, tg_yzzzzz_yyyyyzzz_0, \
                                         tg_yzzzzz_yyyyyzzz_1, tg_yzzzzz_yyyyzzz_1, tg_yzzzzz_yyyyzzzz_0, tg_yzzzzz_yyyyzzzz_1, \
                                         tg_yzzzzz_yyyzzzz_1, tg_yzzzzz_yyyzzzzz_0, tg_yzzzzz_yyyzzzzz_1, tg_yzzzzz_yyzzzzz_1, \
                                         tg_yzzzzz_yyzzzzzz_0, tg_yzzzzz_yyzzzzzz_1, tg_yzzzzz_yzzzzzz_1, tg_yzzzzz_yzzzzzzz_0, \
                                         tg_yzzzzz_yzzzzzzz_1, tg_yzzzzz_zzzzzzz_1, tg_yzzzzz_zzzzzzzz_0, tg_yzzzzz_zzzzzzzz_1, \
                                         tg_zzzzzz_xxxxxxx_1, tg_zzzzzz_xxxxxxxx_0, tg_zzzzzz_xxxxxxxx_1, tg_zzzzzz_xxxxxxxy_0, \
                                         tg_zzzzzz_xxxxxxxy_1, tg_zzzzzz_xxxxxxxz_0, tg_zzzzzz_xxxxxxxz_1, tg_zzzzzz_xxxxxxy_1, \
                                         tg_zzzzzz_xxxxxxyy_0, tg_zzzzzz_xxxxxxyy_1, tg_zzzzzz_xxxxxxyz_0, tg_zzzzzz_xxxxxxyz_1, \
                                         tg_zzzzzz_xxxxxxz_1, tg_zzzzzz_xxxxxxzz_0, tg_zzzzzz_xxxxxxzz_1, tg_zzzzzz_xxxxxyy_1, \
                                         tg_zzzzzz_xxxxxyyy_0, tg_zzzzzz_xxxxxyyy_1, tg_zzzzzz_xxxxxyyz_0, tg_zzzzzz_xxxxxyyz_1, \
                                         tg_zzzzzz_xxxxxyz_1, tg_zzzzzz_xxxxxyzz_0, tg_zzzzzz_xxxxxyzz_1, tg_zzzzzz_xxxxxzz_1, \
                                         tg_zzzzzz_xxxxxzzz_0, tg_zzzzzz_xxxxxzzz_1, tg_zzzzzz_xxxxyyy_1, tg_zzzzzz_xxxxyyyy_0, \
                                         tg_zzzzzz_xxxxyyyy_1, tg_zzzzzz_xxxxyyyz_0, tg_zzzzzz_xxxxyyyz_1, tg_zzzzzz_xxxxyyz_1, \
                                         tg_zzzzzz_xxxxyyzz_0, tg_zzzzzz_xxxxyyzz_1, tg_zzzzzz_xxxxyzz_1, tg_zzzzzz_xxxxyzzz_0, \
                                         tg_zzzzzz_xxxxyzzz_1, tg_zzzzzz_xxxxzzz_1, tg_zzzzzz_xxxxzzzz_0, tg_zzzzzz_xxxxzzzz_1, \
                                         tg_zzzzzz_xxxyyyy_1, tg_zzzzzz_xxxyyyyy_0, tg_zzzzzz_xxxyyyyy_1, tg_zzzzzz_xxxyyyyz_0, \
                                         tg_zzzzzz_xxxyyyyz_1, tg_zzzzzz_xxxyyyz_1, tg_zzzzzz_xxxyyyzz_0, tg_zzzzzz_xxxyyyzz_1, \
                                         tg_zzzzzz_xxxyyzz_1, tg_zzzzzz_xxxyyzzz_0, tg_zzzzzz_xxxyyzzz_1, tg_zzzzzz_xxxyzzz_1, \
                                         tg_zzzzzz_xxxyzzzz_0, tg_zzzzzz_xxxyzzzz_1, tg_zzzzzz_xxxzzzz_1, tg_zzzzzz_xxxzzzzz_0, \
                                         tg_zzzzzz_xxxzzzzz_1, tg_zzzzzz_xxyyyyy_1, tg_zzzzzz_xxyyyyyy_0, tg_zzzzzz_xxyyyyyy_1, \
                                         tg_zzzzzz_xxyyyyyz_0, tg_zzzzzz_xxyyyyyz_1, tg_zzzzzz_xxyyyyz_1, tg_zzzzzz_xxyyyyzz_0, \
                                         tg_zzzzzz_xxyyyyzz_1, tg_zzzzzz_xxyyyzz_1, tg_zzzzzz_xxyyyzzz_0, tg_zzzzzz_xxyyyzzz_1, \
                                         tg_zzzzzz_xxyyzzz_1, tg_zzzzzz_xxyzzzz_1, tg_zzzzzz_xxzzzzz_1, tg_zzzzzz_xyyyyyy_1, \
                                         tg_zzzzzz_xyyyyyz_1, tg_zzzzzz_xyyyyzz_1, tg_zzzzzz_xyyyzzz_1, wp_x: VLX_ALIGN)
                for (int32_t j = 0; j < nKetPrimPairs; j++)
                {
                    double fl1_fxn = fxn[j];

                    double fr = wp_x[j]; 

                    tg_xyyzzzz_xxxzzzzz_0[j] = pb_x * tg_yyzzzz_xxxzzzzz_0[j] + fr * tg_yyzzzz_xxxzzzzz_1[j] + 1.5 * fl1_fxn * tg_yyzzzz_xxzzzzz_1[j];

                    tg_xyyzzzz_xxyyyyyy_0[j] = pb_x * tg_yyzzzz_xxyyyyyy_0[j] + fr * tg_yyzzzz_xxyyyyyy_1[j] + fl1_fxn * tg_yyzzzz_xyyyyyy_1[j];

                    tg_xyyzzzz_xxyyyyyz_0[j] = pb_x * tg_yyzzzz_xxyyyyyz_0[j] + fr * tg_yyzzzz_xxyyyyyz_1[j] + fl1_fxn * tg_yyzzzz_xyyyyyz_1[j];

                    tg_xyyzzzz_xxyyyyzz_0[j] = pb_x * tg_yyzzzz_xxyyyyzz_0[j] + fr * tg_yyzzzz_xxyyyyzz_1[j] + fl1_fxn * tg_yyzzzz_xyyyyzz_1[j];

                    tg_xyyzzzz_xxyyyzzz_0[j] = pb_x * tg_yyzzzz_xxyyyzzz_0[j] + fr * tg_yyzzzz_xxyyyzzz_1[j] + fl1_fxn * tg_yyzzzz_xyyyzzz_1[j];

                    tg_xyyzzzz_xxyyzzzz_0[j] = pb_x * tg_yyzzzz_xxyyzzzz_0[j] + fr * tg_yyzzzz_xxyyzzzz_1[j] + fl1_fxn * tg_yyzzzz_xyyzzzz_1[j];

                    tg_xyyzzzz_xxyzzzzz_0[j] = pb_x * tg_yyzzzz_xxyzzzzz_0[j] + fr * tg_yyzzzz_xxyzzzzz_1[j] + fl1_fxn * tg_yyzzzz_xyzzzzz_1[j];

                    tg_xyyzzzz_xxzzzzzz_0[j] = pb_x * tg_yyzzzz_xxzzzzzz_0[j] + fr * tg_yyzzzz_xxzzzzzz_1[j] + fl1_fxn * tg_yyzzzz_xzzzzzz_1[j];

                    tg_xyyzzzz_xyyyyyyy_0[j] = pb_x * tg_yyzzzz_xyyyyyyy_0[j] + fr * tg_yyzzzz_xyyyyyyy_1[j] + 0.5 * fl1_fxn * tg_yyzzzz_yyyyyyy_1[j];

                    tg_xyyzzzz_xyyyyyyz_0[j] = pb_x * tg_yyzzzz_xyyyyyyz_0[j] + fr * tg_yyzzzz_xyyyyyyz_1[j] + 0.5 * fl1_fxn * tg_yyzzzz_yyyyyyz_1[j];

                    tg_xyyzzzz_xyyyyyzz_0[j] = pb_x * tg_yyzzzz_xyyyyyzz_0[j] + fr * tg_yyzzzz_xyyyyyzz_1[j] + 0.5 * fl1_fxn * tg_yyzzzz_yyyyyzz_1[j];

                    tg_xyyzzzz_xyyyyzzz_0[j] = pb_x * tg_yyzzzz_xyyyyzzz_0[j] + fr * tg_yyzzzz_xyyyyzzz_1[j] + 0.5 * fl1_fxn * tg_yyzzzz_yyyyzzz_1[j];

                    tg_xyyzzzz_xyyyzzzz_0[j] = pb_x * tg_yyzzzz_xyyyzzzz_0[j] + fr * tg_yyzzzz_xyyyzzzz_1[j] + 0.5 * fl1_fxn * tg_yyzzzz_yyyzzzz_1[j];

                    tg_xyyzzzz_xyyzzzzz_0[j] = pb_x * tg_yyzzzz_xyyzzzzz_0[j] + fr * tg_yyzzzz_xyyzzzzz_1[j] + 0.5 * fl1_fxn * tg_yyzzzz_yyzzzzz_1[j];

                    tg_xyyzzzz_xyzzzzzz_0[j] = pb_x * tg_yyzzzz_xyzzzzzz_0[j] + fr * tg_yyzzzz_xyzzzzzz_1[j] + 0.5 * fl1_fxn * tg_yyzzzz_yzzzzzz_1[j];

                    tg_xyyzzzz_xzzzzzzz_0[j] = pb_x * tg_yyzzzz_xzzzzzzz_0[j] + fr * tg_yyzzzz_xzzzzzzz_1[j] + 0.5 * fl1_fxn * tg_yyzzzz_zzzzzzz_1[j];

                    tg_xyyzzzz_yyyyyyyy_0[j] = pb_x * tg_yyzzzz_yyyyyyyy_0[j] + fr * tg_yyzzzz_yyyyyyyy_1[j];

                    tg_xyyzzzz_yyyyyyyz_0[j] = pb_x * tg_yyzzzz_yyyyyyyz_0[j] + fr * tg_yyzzzz_yyyyyyyz_1[j];

                    tg_xyyzzzz_yyyyyyzz_0[j] = pb_x * tg_yyzzzz_yyyyyyzz_0[j] + fr * tg_yyzzzz_yyyyyyzz_1[j];

                    tg_xyyzzzz_yyyyyzzz_0[j] = pb_x * tg_yyzzzz_yyyyyzzz_0[j] + fr * tg_yyzzzz_yyyyyzzz_1[j];

                    tg_xyyzzzz_yyyyzzzz_0[j] = pb_x * tg_yyzzzz_yyyyzzzz_0[j] + fr * tg_yyzzzz_yyyyzzzz_1[j];

                    tg_xyyzzzz_yyyzzzzz_0[j] = pb_x * tg_yyzzzz_yyyzzzzz_0[j] + fr * tg_yyzzzz_yyyzzzzz_1[j];

                    tg_xyyzzzz_yyzzzzzz_0[j] = pb_x * tg_yyzzzz_yyzzzzzz_0[j] + fr * tg_yyzzzz_yyzzzzzz_1[j];

                    tg_xyyzzzz_yzzzzzzz_0[j] = pb_x * tg_yyzzzz_yzzzzzzz_0[j] + fr * tg_yyzzzz_yzzzzzzz_1[j];

                    tg_xyyzzzz_zzzzzzzz_0[j] = pb_x * tg_yyzzzz_zzzzzzzz_0[j] + fr * tg_yyzzzz_zzzzzzzz_1[j];

                    tg_xyzzzzz_xxxxxxxx_0[j] = pb_x * tg_yzzzzz_xxxxxxxx_0[j] + fr * tg_yzzzzz_xxxxxxxx_1[j] + 4.0 * fl1_fxn * tg_yzzzzz_xxxxxxx_1[j];

                    tg_xyzzzzz_xxxxxxxy_0[j] = pb_x * tg_yzzzzz_xxxxxxxy_0[j] + fr * tg_yzzzzz_xxxxxxxy_1[j] + 3.5 * fl1_fxn * tg_yzzzzz_xxxxxxy_1[j];

                    tg_xyzzzzz_xxxxxxxz_0[j] = pb_x * tg_yzzzzz_xxxxxxxz_0[j] + fr * tg_yzzzzz_xxxxxxxz_1[j] + 3.5 * fl1_fxn * tg_yzzzzz_xxxxxxz_1[j];

                    tg_xyzzzzz_xxxxxxyy_0[j] = pb_x * tg_yzzzzz_xxxxxxyy_0[j] + fr * tg_yzzzzz_xxxxxxyy_1[j] + 3.0 * fl1_fxn * tg_yzzzzz_xxxxxyy_1[j];

                    tg_xyzzzzz_xxxxxxyz_0[j] = pb_x * tg_yzzzzz_xxxxxxyz_0[j] + fr * tg_yzzzzz_xxxxxxyz_1[j] + 3.0 * fl1_fxn * tg_yzzzzz_xxxxxyz_1[j];

                    tg_xyzzzzz_xxxxxxzz_0[j] = pb_x * tg_yzzzzz_xxxxxxzz_0[j] + fr * tg_yzzzzz_xxxxxxzz_1[j] + 3.0 * fl1_fxn * tg_yzzzzz_xxxxxzz_1[j];

                    tg_xyzzzzz_xxxxxyyy_0[j] = pb_x * tg_yzzzzz_xxxxxyyy_0[j] + fr * tg_yzzzzz_xxxxxyyy_1[j] + 2.5 * fl1_fxn * tg_yzzzzz_xxxxyyy_1[j];

                    tg_xyzzzzz_xxxxxyyz_0[j] = pb_x * tg_yzzzzz_xxxxxyyz_0[j] + fr * tg_yzzzzz_xxxxxyyz_1[j] + 2.5 * fl1_fxn * tg_yzzzzz_xxxxyyz_1[j];

                    tg_xyzzzzz_xxxxxyzz_0[j] = pb_x * tg_yzzzzz_xxxxxyzz_0[j] + fr * tg_yzzzzz_xxxxxyzz_1[j] + 2.5 * fl1_fxn * tg_yzzzzz_xxxxyzz_1[j];

                    tg_xyzzzzz_xxxxxzzz_0[j] = pb_x * tg_yzzzzz_xxxxxzzz_0[j] + fr * tg_yzzzzz_xxxxxzzz_1[j] + 2.5 * fl1_fxn * tg_yzzzzz_xxxxzzz_1[j];

                    tg_xyzzzzz_xxxxyyyy_0[j] = pb_x * tg_yzzzzz_xxxxyyyy_0[j] + fr * tg_yzzzzz_xxxxyyyy_1[j] + 2.0 * fl1_fxn * tg_yzzzzz_xxxyyyy_1[j];

                    tg_xyzzzzz_xxxxyyyz_0[j] = pb_x * tg_yzzzzz_xxxxyyyz_0[j] + fr * tg_yzzzzz_xxxxyyyz_1[j] + 2.0 * fl1_fxn * tg_yzzzzz_xxxyyyz_1[j];

                    tg_xyzzzzz_xxxxyyzz_0[j] = pb_x * tg_yzzzzz_xxxxyyzz_0[j] + fr * tg_yzzzzz_xxxxyyzz_1[j] + 2.0 * fl1_fxn * tg_yzzzzz_xxxyyzz_1[j];

                    tg_xyzzzzz_xxxxyzzz_0[j] = pb_x * tg_yzzzzz_xxxxyzzz_0[j] + fr * tg_yzzzzz_xxxxyzzz_1[j] + 2.0 * fl1_fxn * tg_yzzzzz_xxxyzzz_1[j];

                    tg_xyzzzzz_xxxxzzzz_0[j] = pb_x * tg_yzzzzz_xxxxzzzz_0[j] + fr * tg_yzzzzz_xxxxzzzz_1[j] + 2.0 * fl1_fxn * tg_yzzzzz_xxxzzzz_1[j];

                    tg_xyzzzzz_xxxyyyyy_0[j] = pb_x * tg_yzzzzz_xxxyyyyy_0[j] + fr * tg_yzzzzz_xxxyyyyy_1[j] + 1.5 * fl1_fxn * tg_yzzzzz_xxyyyyy_1[j];

                    tg_xyzzzzz_xxxyyyyz_0[j] = pb_x * tg_yzzzzz_xxxyyyyz_0[j] + fr * tg_yzzzzz_xxxyyyyz_1[j] + 1.5 * fl1_fxn * tg_yzzzzz_xxyyyyz_1[j];

                    tg_xyzzzzz_xxxyyyzz_0[j] = pb_x * tg_yzzzzz_xxxyyyzz_0[j] + fr * tg_yzzzzz_xxxyyyzz_1[j] + 1.5 * fl1_fxn * tg_yzzzzz_xxyyyzz_1[j];

                    tg_xyzzzzz_xxxyyzzz_0[j] = pb_x * tg_yzzzzz_xxxyyzzz_0[j] + fr * tg_yzzzzz_xxxyyzzz_1[j] + 1.5 * fl1_fxn * tg_yzzzzz_xxyyzzz_1[j];

                    tg_xyzzzzz_xxxyzzzz_0[j] = pb_x * tg_yzzzzz_xxxyzzzz_0[j] + fr * tg_yzzzzz_xxxyzzzz_1[j] + 1.5 * fl1_fxn * tg_yzzzzz_xxyzzzz_1[j];

                    tg_xyzzzzz_xxxzzzzz_0[j] = pb_x * tg_yzzzzz_xxxzzzzz_0[j] + fr * tg_yzzzzz_xxxzzzzz_1[j] + 1.5 * fl1_fxn * tg_yzzzzz_xxzzzzz_1[j];

                    tg_xyzzzzz_xxyyyyyy_0[j] = pb_x * tg_yzzzzz_xxyyyyyy_0[j] + fr * tg_yzzzzz_xxyyyyyy_1[j] + fl1_fxn * tg_yzzzzz_xyyyyyy_1[j];

                    tg_xyzzzzz_xxyyyyyz_0[j] = pb_x * tg_yzzzzz_xxyyyyyz_0[j] + fr * tg_yzzzzz_xxyyyyyz_1[j] + fl1_fxn * tg_yzzzzz_xyyyyyz_1[j];

                    tg_xyzzzzz_xxyyyyzz_0[j] = pb_x * tg_yzzzzz_xxyyyyzz_0[j] + fr * tg_yzzzzz_xxyyyyzz_1[j] + fl1_fxn * tg_yzzzzz_xyyyyzz_1[j];

                    tg_xyzzzzz_xxyyyzzz_0[j] = pb_x * tg_yzzzzz_xxyyyzzz_0[j] + fr * tg_yzzzzz_xxyyyzzz_1[j] + fl1_fxn * tg_yzzzzz_xyyyzzz_1[j];

                    tg_xyzzzzz_xxyyzzzz_0[j] = pb_x * tg_yzzzzz_xxyyzzzz_0[j] + fr * tg_yzzzzz_xxyyzzzz_1[j] + fl1_fxn * tg_yzzzzz_xyyzzzz_1[j];

                    tg_xyzzzzz_xxyzzzzz_0[j] = pb_x * tg_yzzzzz_xxyzzzzz_0[j] + fr * tg_yzzzzz_xxyzzzzz_1[j] + fl1_fxn * tg_yzzzzz_xyzzzzz_1[j];

                    tg_xyzzzzz_xxzzzzzz_0[j] = pb_x * tg_yzzzzz_xxzzzzzz_0[j] + fr * tg_yzzzzz_xxzzzzzz_1[j] + fl1_fxn * tg_yzzzzz_xzzzzzz_1[j];

                    tg_xyzzzzz_xyyyyyyy_0[j] = pb_x * tg_yzzzzz_xyyyyyyy_0[j] + fr * tg_yzzzzz_xyyyyyyy_1[j] + 0.5 * fl1_fxn * tg_yzzzzz_yyyyyyy_1[j];

                    tg_xyzzzzz_xyyyyyyz_0[j] = pb_x * tg_yzzzzz_xyyyyyyz_0[j] + fr * tg_yzzzzz_xyyyyyyz_1[j] + 0.5 * fl1_fxn * tg_yzzzzz_yyyyyyz_1[j];

                    tg_xyzzzzz_xyyyyyzz_0[j] = pb_x * tg_yzzzzz_xyyyyyzz_0[j] + fr * tg_yzzzzz_xyyyyyzz_1[j] + 0.5 * fl1_fxn * tg_yzzzzz_yyyyyzz_1[j];

                    tg_xyzzzzz_xyyyyzzz_0[j] = pb_x * tg_yzzzzz_xyyyyzzz_0[j] + fr * tg_yzzzzz_xyyyyzzz_1[j] + 0.5 * fl1_fxn * tg_yzzzzz_yyyyzzz_1[j];

                    tg_xyzzzzz_xyyyzzzz_0[j] = pb_x * tg_yzzzzz_xyyyzzzz_0[j] + fr * tg_yzzzzz_xyyyzzzz_1[j] + 0.5 * fl1_fxn * tg_yzzzzz_yyyzzzz_1[j];

                    tg_xyzzzzz_xyyzzzzz_0[j] = pb_x * tg_yzzzzz_xyyzzzzz_0[j] + fr * tg_yzzzzz_xyyzzzzz_1[j] + 0.5 * fl1_fxn * tg_yzzzzz_yyzzzzz_1[j];

                    tg_xyzzzzz_xyzzzzzz_0[j] = pb_x * tg_yzzzzz_xyzzzzzz_0[j] + fr * tg_yzzzzz_xyzzzzzz_1[j] + 0.5 * fl1_fxn * tg_yzzzzz_yzzzzzz_1[j];

                    tg_xyzzzzz_xzzzzzzz_0[j] = pb_x * tg_yzzzzz_xzzzzzzz_0[j] + fr * tg_yzzzzz_xzzzzzzz_1[j] + 0.5 * fl1_fxn * tg_yzzzzz_zzzzzzz_1[j];

                    tg_xyzzzzz_yyyyyyyy_0[j] = pb_x * tg_yzzzzz_yyyyyyyy_0[j] + fr * tg_yzzzzz_yyyyyyyy_1[j];

                    tg_xyzzzzz_yyyyyyyz_0[j] = pb_x * tg_yzzzzz_yyyyyyyz_0[j] + fr * tg_yzzzzz_yyyyyyyz_1[j];

                    tg_xyzzzzz_yyyyyyzz_0[j] = pb_x * tg_yzzzzz_yyyyyyzz_0[j] + fr * tg_yzzzzz_yyyyyyzz_1[j];

                    tg_xyzzzzz_yyyyyzzz_0[j] = pb_x * tg_yzzzzz_yyyyyzzz_0[j] + fr * tg_yzzzzz_yyyyyzzz_1[j];

                    tg_xyzzzzz_yyyyzzzz_0[j] = pb_x * tg_yzzzzz_yyyyzzzz_0[j] + fr * tg_yzzzzz_yyyyzzzz_1[j];

                    tg_xyzzzzz_yyyzzzzz_0[j] = pb_x * tg_yzzzzz_yyyzzzzz_0[j] + fr * tg_yzzzzz_yyyzzzzz_1[j];

                    tg_xyzzzzz_yyzzzzzz_0[j] = pb_x * tg_yzzzzz_yyzzzzzz_0[j] + fr * tg_yzzzzz_yyzzzzzz_1[j];

                    tg_xyzzzzz_yzzzzzzz_0[j] = pb_x * tg_yzzzzz_yzzzzzzz_0[j] + fr * tg_yzzzzz_yzzzzzzz_1[j];

                    tg_xyzzzzz_zzzzzzzz_0[j] = pb_x * tg_yzzzzz_zzzzzzzz_0[j] + fr * tg_yzzzzz_zzzzzzzz_1[j];

                    tg_xzzzzzz_xxxxxxxx_0[j] = pb_x * tg_zzzzzz_xxxxxxxx_0[j] + fr * tg_zzzzzz_xxxxxxxx_1[j] + 4.0 * fl1_fxn * tg_zzzzzz_xxxxxxx_1[j];

                    tg_xzzzzzz_xxxxxxxy_0[j] = pb_x * tg_zzzzzz_xxxxxxxy_0[j] + fr * tg_zzzzzz_xxxxxxxy_1[j] + 3.5 * fl1_fxn * tg_zzzzzz_xxxxxxy_1[j];

                    tg_xzzzzzz_xxxxxxxz_0[j] = pb_x * tg_zzzzzz_xxxxxxxz_0[j] + fr * tg_zzzzzz_xxxxxxxz_1[j] + 3.5 * fl1_fxn * tg_zzzzzz_xxxxxxz_1[j];

                    tg_xzzzzzz_xxxxxxyy_0[j] = pb_x * tg_zzzzzz_xxxxxxyy_0[j] + fr * tg_zzzzzz_xxxxxxyy_1[j] + 3.0 * fl1_fxn * tg_zzzzzz_xxxxxyy_1[j];

                    tg_xzzzzzz_xxxxxxyz_0[j] = pb_x * tg_zzzzzz_xxxxxxyz_0[j] + fr * tg_zzzzzz_xxxxxxyz_1[j] + 3.0 * fl1_fxn * tg_zzzzzz_xxxxxyz_1[j];

                    tg_xzzzzzz_xxxxxxzz_0[j] = pb_x * tg_zzzzzz_xxxxxxzz_0[j] + fr * tg_zzzzzz_xxxxxxzz_1[j] + 3.0 * fl1_fxn * tg_zzzzzz_xxxxxzz_1[j];

                    tg_xzzzzzz_xxxxxyyy_0[j] = pb_x * tg_zzzzzz_xxxxxyyy_0[j] + fr * tg_zzzzzz_xxxxxyyy_1[j] + 2.5 * fl1_fxn * tg_zzzzzz_xxxxyyy_1[j];

                    tg_xzzzzzz_xxxxxyyz_0[j] = pb_x * tg_zzzzzz_xxxxxyyz_0[j] + fr * tg_zzzzzz_xxxxxyyz_1[j] + 2.5 * fl1_fxn * tg_zzzzzz_xxxxyyz_1[j];

                    tg_xzzzzzz_xxxxxyzz_0[j] = pb_x * tg_zzzzzz_xxxxxyzz_0[j] + fr * tg_zzzzzz_xxxxxyzz_1[j] + 2.5 * fl1_fxn * tg_zzzzzz_xxxxyzz_1[j];

                    tg_xzzzzzz_xxxxxzzz_0[j] = pb_x * tg_zzzzzz_xxxxxzzz_0[j] + fr * tg_zzzzzz_xxxxxzzz_1[j] + 2.5 * fl1_fxn * tg_zzzzzz_xxxxzzz_1[j];

                    tg_xzzzzzz_xxxxyyyy_0[j] = pb_x * tg_zzzzzz_xxxxyyyy_0[j] + fr * tg_zzzzzz_xxxxyyyy_1[j] + 2.0 * fl1_fxn * tg_zzzzzz_xxxyyyy_1[j];

                    tg_xzzzzzz_xxxxyyyz_0[j] = pb_x * tg_zzzzzz_xxxxyyyz_0[j] + fr * tg_zzzzzz_xxxxyyyz_1[j] + 2.0 * fl1_fxn * tg_zzzzzz_xxxyyyz_1[j];

                    tg_xzzzzzz_xxxxyyzz_0[j] = pb_x * tg_zzzzzz_xxxxyyzz_0[j] + fr * tg_zzzzzz_xxxxyyzz_1[j] + 2.0 * fl1_fxn * tg_zzzzzz_xxxyyzz_1[j];

                    tg_xzzzzzz_xxxxyzzz_0[j] = pb_x * tg_zzzzzz_xxxxyzzz_0[j] + fr * tg_zzzzzz_xxxxyzzz_1[j] + 2.0 * fl1_fxn * tg_zzzzzz_xxxyzzz_1[j];

                    tg_xzzzzzz_xxxxzzzz_0[j] = pb_x * tg_zzzzzz_xxxxzzzz_0[j] + fr * tg_zzzzzz_xxxxzzzz_1[j] + 2.0 * fl1_fxn * tg_zzzzzz_xxxzzzz_1[j];

                    tg_xzzzzzz_xxxyyyyy_0[j] = pb_x * tg_zzzzzz_xxxyyyyy_0[j] + fr * tg_zzzzzz_xxxyyyyy_1[j] + 1.5 * fl1_fxn * tg_zzzzzz_xxyyyyy_1[j];

                    tg_xzzzzzz_xxxyyyyz_0[j] = pb_x * tg_zzzzzz_xxxyyyyz_0[j] + fr * tg_zzzzzz_xxxyyyyz_1[j] + 1.5 * fl1_fxn * tg_zzzzzz_xxyyyyz_1[j];

                    tg_xzzzzzz_xxxyyyzz_0[j] = pb_x * tg_zzzzzz_xxxyyyzz_0[j] + fr * tg_zzzzzz_xxxyyyzz_1[j] + 1.5 * fl1_fxn * tg_zzzzzz_xxyyyzz_1[j];

                    tg_xzzzzzz_xxxyyzzz_0[j] = pb_x * tg_zzzzzz_xxxyyzzz_0[j] + fr * tg_zzzzzz_xxxyyzzz_1[j] + 1.5 * fl1_fxn * tg_zzzzzz_xxyyzzz_1[j];

                    tg_xzzzzzz_xxxyzzzz_0[j] = pb_x * tg_zzzzzz_xxxyzzzz_0[j] + fr * tg_zzzzzz_xxxyzzzz_1[j] + 1.5 * fl1_fxn * tg_zzzzzz_xxyzzzz_1[j];

                    tg_xzzzzzz_xxxzzzzz_0[j] = pb_x * tg_zzzzzz_xxxzzzzz_0[j] + fr * tg_zzzzzz_xxxzzzzz_1[j] + 1.5 * fl1_fxn * tg_zzzzzz_xxzzzzz_1[j];

                    tg_xzzzzzz_xxyyyyyy_0[j] = pb_x * tg_zzzzzz_xxyyyyyy_0[j] + fr * tg_zzzzzz_xxyyyyyy_1[j] + fl1_fxn * tg_zzzzzz_xyyyyyy_1[j];

                    tg_xzzzzzz_xxyyyyyz_0[j] = pb_x * tg_zzzzzz_xxyyyyyz_0[j] + fr * tg_zzzzzz_xxyyyyyz_1[j] + fl1_fxn * tg_zzzzzz_xyyyyyz_1[j];

                    tg_xzzzzzz_xxyyyyzz_0[j] = pb_x * tg_zzzzzz_xxyyyyzz_0[j] + fr * tg_zzzzzz_xxyyyyzz_1[j] + fl1_fxn * tg_zzzzzz_xyyyyzz_1[j];

                    tg_xzzzzzz_xxyyyzzz_0[j] = pb_x * tg_zzzzzz_xxyyyzzz_0[j] + fr * tg_zzzzzz_xxyyyzzz_1[j] + fl1_fxn * tg_zzzzzz_xyyyzzz_1[j];
                }

                idx++;
            }
        }
    }

    void
    compElectronRepulsionForSKSL_1240_1335(      CMemBlock2D<double>* primBuffer,
                                           const CRecursionMap&       recursionMap,
                                           const CMemBlock2D<double>& osFactors,
                                           const CMemBlock2D<double>& wpDistances,
                                           const CGtoPairsBlock&      braGtoPairsBlock,
                                           const CGtoPairsBlock&      ketGtoPairsBlock,
                                           const int32_t              nKetPrimPairs,
                                           const int32_t              iContrPair)
    {
        // Batch of Integrals (1240,1335)

        // set up pointers to primitives data on bra side

        auto spos = braGtoPairsBlock.getStartPositions();

        auto epos = braGtoPairsBlock.getEndPositions();

        // set up pointers to tensor of distance R(PB) = P - B

        auto r_pb_x = braGtoPairsBlock.getDistancesPBX();

        auto r_pb_y = braGtoPairsBlock.getDistancesPBY();

        // set up pointers to common Obara-Saika factors

        auto b_fx = braGtoPairsBlock.getFactorsOneOverXi();

        // set up maximum order of integral

        auto mord = recursionMap.getMaxOrder({"Electron Repulsion"},
                                             {7, -1, -1, -1},
                                             {8, -1, -1, -1},
                                             1, 1);

        for (int32_t iord = 0; iord <= mord; iord++)
        {
            // set up index of integral

            auto pidx_g_7_8_m0 = recursionMap.index(CRecursionTerm({"Electron Repulsion"}, 0, true, 
                                                                   {7, -1, -1, -1}, {8, -1, -1, -1}, 
                                                                   1, 1, iord));

            // check if integral is needed in recursion expansion

            if (pidx_g_7_8_m0 == -1) continue;

            // set up indexes of auxilary integral

            auto pidx_g_6_8_m0 = recursionMap.index(CRecursionTerm({"Electron Repulsion"}, 0, true, 
                                                                   {6, -1, -1, -1}, {8, -1, -1, -1}, 
                                                                   1, 1, iord));

            auto pidx_g_6_8_m1 = recursionMap.index(CRecursionTerm({"Electron Repulsion"}, 0, true, 
                                                                   {6, -1, -1, -1}, {8, -1, -1, -1}, 
                                                                   1, 1, iord + 1));

            auto pidx_g_6_7_m1 = recursionMap.index(CRecursionTerm({"Electron Repulsion"}, 0, true, 
                                                                   {6, -1, -1, -1}, {7, -1, -1, -1}, 
                                                                   1, 1, iord + 1));

            auto pidx_g_5_8_m0 = recursionMap.index(CRecursionTerm({"Electron Repulsion"}, 0, true, 
                                                                   {5, -1, -1, -1}, {8, -1, -1, -1}, 
                                                                   1, 1, iord));

            auto pidx_g_5_8_m1 = recursionMap.index(CRecursionTerm({"Electron Repulsion"}, 0, true, 
                                                                   {5, -1, -1, -1}, {8, -1, -1, -1}, 
                                                                   1, 1, iord + 1));

            // loop over contracted GTO on bra side

            int32_t idx = 0;

            for (int32_t i = spos[iContrPair]; i < epos[iContrPair]; i++)
            {
                // set up pointers to Obara-Saika factors

                double fx = b_fx[i];

                auto fza = osFactors.data(4 * idx + 2);

                auto fxn = osFactors.data(4 * idx);

                // set up distances R(PB) = P - B

                auto pb_x = r_pb_x[i];

                auto pb_y = r_pb_y[i];

                // set up pointers to tensors product of distances R(WP) = W - P

                auto wp_x = wpDistances.data(3 * idx);

                auto wp_y = wpDistances.data(3 * idx + 1);

                // set up pointers to auxilary integrals

                auto tg_yyyyyy_xxxxxxxx_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 945); 

                auto tg_yyyyyy_xxxxxxxy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 946); 

                auto tg_yyyyyy_xxxxxxxz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 947); 

                auto tg_yyyyyy_xxxxxxyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 948); 

                auto tg_yyyyyy_xxxxxxyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 949); 

                auto tg_yyyyyy_xxxxxxzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 950); 

                auto tg_yyyyyy_xxxxxyyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 951); 

                auto tg_yyyyyy_xxxxxyyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 952); 

                auto tg_yyyyyy_xxxxxyzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 953); 

                auto tg_yyyyyy_xxxxxzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 954); 

                auto tg_yyyyyy_xxxxyyyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 955); 

                auto tg_yyyyyy_xxxxyyyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 956); 

                auto tg_yyyyyy_xxxxyyzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 957); 

                auto tg_yyyyyy_xxxxyzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 958); 

                auto tg_yyyyyy_xxxxzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 959); 

                auto tg_yyyyyy_xxxyyyyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 960); 

                auto tg_yyyyyy_xxxyyyyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 961); 

                auto tg_yyyyyy_xxxyyyzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 962); 

                auto tg_yyyyyy_xxxyyzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 963); 

                auto tg_yyyyyy_xxxyzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 964); 

                auto tg_yyyyyy_xxxzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 965); 

                auto tg_yyyyyy_xxyyyyyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 966); 

                auto tg_yyyyyy_xxyyyyyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 967); 

                auto tg_yyyyyy_xxyyyyzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 968); 

                auto tg_yyyyyy_xxyyyzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 969); 

                auto tg_yyyyyy_xxyyzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 970); 

                auto tg_yyyyyy_xxyzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 971); 

                auto tg_yyyyyy_xxzzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 972); 

                auto tg_yyyyyy_xyyyyyyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 973); 

                auto tg_yyyyyy_xyyyyyyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 974); 

                auto tg_yyyyyy_xyyyyyzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 975); 

                auto tg_yyyyyy_xyyyyzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 976); 

                auto tg_yyyyyy_xyyyzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 977); 

                auto tg_yyyyyy_xyyzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 978); 

                auto tg_yyyyyy_xyzzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 979); 

                auto tg_yyyyyy_xzzzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 980); 

                auto tg_yyyyyy_yyyyyyyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 981); 

                auto tg_yyyyyy_yyyyyyyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 982); 

                auto tg_yyyyyy_yyyyyyzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 983); 

                auto tg_yyyyyy_yyyyyzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 984); 

                auto tg_yyyyyy_yyyyzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 985); 

                auto tg_yyyyyy_yyyzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 986); 

                auto tg_yyyyyy_yyzzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 987); 

                auto tg_yyyyyy_yzzzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 988); 

                auto tg_yyyyyy_zzzzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 989); 

                auto tg_yyyyyz_xxxxxxxx_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 990); 

                auto tg_yyyyyz_xxxxxxxy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 991); 

                auto tg_yyyyyz_xxxxxxxz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 992); 

                auto tg_yyyyyz_xxxxxxyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 993); 

                auto tg_yyyyyz_xxxxxxyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 994); 

                auto tg_yyyyyz_xxxxxxzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 995); 

                auto tg_yyyyyz_xxxxxyyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 996); 

                auto tg_yyyyyz_xxxxxyyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 997); 

                auto tg_yyyyyz_xxxxxyzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 998); 

                auto tg_yyyyyz_xxxxxzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 999); 

                auto tg_yyyyyz_xxxxyyyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1000); 

                auto tg_yyyyyz_xxxxyyyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1001); 

                auto tg_yyyyyz_xxxxyyzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1002); 

                auto tg_yyyyyz_xxxxyzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1003); 

                auto tg_yyyyyz_xxxxzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1004); 

                auto tg_yyyyyz_xxxyyyyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1005); 

                auto tg_yyyyyz_xxxyyyyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1006); 

                auto tg_yyyyyz_xxxyyyzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1007); 

                auto tg_yyyyyz_xxxyyzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1008); 

                auto tg_yyyyyz_xxxyzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1009); 

                auto tg_yyyyyz_xxxzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1010); 

                auto tg_yyyyyz_xxyyyyyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1011); 

                auto tg_yyyyyz_xxyyyyyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1012); 

                auto tg_yyyyyz_xxyyyyzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1013); 

                auto tg_yyyyyz_xxyyyzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1014); 

                auto tg_yyyyyz_xxyyzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1015); 

                auto tg_yyyyyz_xxyzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1016); 

                auto tg_yyyyyz_xxzzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1017); 

                auto tg_yyyyyz_xyyyyyyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1018); 

                auto tg_yyyyyz_xyyyyyyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1019); 

                auto tg_zzzzzz_xxyyzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1240); 

                auto tg_zzzzzz_xxyzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1241); 

                auto tg_zzzzzz_xxzzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1242); 

                auto tg_zzzzzz_xyyyyyyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1243); 

                auto tg_zzzzzz_xyyyyyyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1244); 

                auto tg_zzzzzz_xyyyyyzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1245); 

                auto tg_zzzzzz_xyyyyzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1246); 

                auto tg_zzzzzz_xyyyzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1247); 

                auto tg_zzzzzz_xyyzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1248); 

                auto tg_zzzzzz_xyzzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1249); 

                auto tg_zzzzzz_xzzzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1250); 

                auto tg_zzzzzz_yyyyyyyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1251); 

                auto tg_zzzzzz_yyyyyyyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1252); 

                auto tg_zzzzzz_yyyyyyzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1253); 

                auto tg_zzzzzz_yyyyyzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1254); 

                auto tg_zzzzzz_yyyyzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1255); 

                auto tg_zzzzzz_yyyzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1256); 

                auto tg_zzzzzz_yyzzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1257); 

                auto tg_zzzzzz_yzzzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1258); 

                auto tg_zzzzzz_zzzzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1259); 

                auto tg_yyyyyy_xxxxxxxx_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 945); 

                auto tg_yyyyyy_xxxxxxxy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 946); 

                auto tg_yyyyyy_xxxxxxxz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 947); 

                auto tg_yyyyyy_xxxxxxyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 948); 

                auto tg_yyyyyy_xxxxxxyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 949); 

                auto tg_yyyyyy_xxxxxxzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 950); 

                auto tg_yyyyyy_xxxxxyyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 951); 

                auto tg_yyyyyy_xxxxxyyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 952); 

                auto tg_yyyyyy_xxxxxyzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 953); 

                auto tg_yyyyyy_xxxxxzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 954); 

                auto tg_yyyyyy_xxxxyyyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 955); 

                auto tg_yyyyyy_xxxxyyyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 956); 

                auto tg_yyyyyy_xxxxyyzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 957); 

                auto tg_yyyyyy_xxxxyzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 958); 

                auto tg_yyyyyy_xxxxzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 959); 

                auto tg_yyyyyy_xxxyyyyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 960); 

                auto tg_yyyyyy_xxxyyyyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 961); 

                auto tg_yyyyyy_xxxyyyzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 962); 

                auto tg_yyyyyy_xxxyyzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 963); 

                auto tg_yyyyyy_xxxyzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 964); 

                auto tg_yyyyyy_xxxzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 965); 

                auto tg_yyyyyy_xxyyyyyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 966); 

                auto tg_yyyyyy_xxyyyyyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 967); 

                auto tg_yyyyyy_xxyyyyzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 968); 

                auto tg_yyyyyy_xxyyyzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 969); 

                auto tg_yyyyyy_xxyyzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 970); 

                auto tg_yyyyyy_xxyzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 971); 

                auto tg_yyyyyy_xxzzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 972); 

                auto tg_yyyyyy_xyyyyyyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 973); 

                auto tg_yyyyyy_xyyyyyyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 974); 

                auto tg_yyyyyy_xyyyyyzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 975); 

                auto tg_yyyyyy_xyyyyzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 976); 

                auto tg_yyyyyy_xyyyzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 977); 

                auto tg_yyyyyy_xyyzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 978); 

                auto tg_yyyyyy_xyzzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 979); 

                auto tg_yyyyyy_xzzzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 980); 

                auto tg_yyyyyy_yyyyyyyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 981); 

                auto tg_yyyyyy_yyyyyyyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 982); 

                auto tg_yyyyyy_yyyyyyzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 983); 

                auto tg_yyyyyy_yyyyyzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 984); 

                auto tg_yyyyyy_yyyyzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 985); 

                auto tg_yyyyyy_yyyzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 986); 

                auto tg_yyyyyy_yyzzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 987); 

                auto tg_yyyyyy_yzzzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 988); 

                auto tg_yyyyyy_zzzzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 989); 

                auto tg_yyyyyz_xxxxxxxx_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 990); 

                auto tg_yyyyyz_xxxxxxxy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 991); 

                auto tg_yyyyyz_xxxxxxxz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 992); 

                auto tg_yyyyyz_xxxxxxyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 993); 

                auto tg_yyyyyz_xxxxxxyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 994); 

                auto tg_yyyyyz_xxxxxxzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 995); 

                auto tg_yyyyyz_xxxxxyyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 996); 

                auto tg_yyyyyz_xxxxxyyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 997); 

                auto tg_yyyyyz_xxxxxyzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 998); 

                auto tg_yyyyyz_xxxxxzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 999); 

                auto tg_yyyyyz_xxxxyyyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1000); 

                auto tg_yyyyyz_xxxxyyyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1001); 

                auto tg_yyyyyz_xxxxyyzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1002); 

                auto tg_yyyyyz_xxxxyzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1003); 

                auto tg_yyyyyz_xxxxzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1004); 

                auto tg_yyyyyz_xxxyyyyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1005); 

                auto tg_yyyyyz_xxxyyyyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1006); 

                auto tg_yyyyyz_xxxyyyzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1007); 

                auto tg_yyyyyz_xxxyyzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1008); 

                auto tg_yyyyyz_xxxyzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1009); 

                auto tg_yyyyyz_xxxzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1010); 

                auto tg_yyyyyz_xxyyyyyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1011); 

                auto tg_yyyyyz_xxyyyyyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1012); 

                auto tg_yyyyyz_xxyyyyzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1013); 

                auto tg_yyyyyz_xxyyyzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1014); 

                auto tg_yyyyyz_xxyyzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1015); 

                auto tg_yyyyyz_xxyzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1016); 

                auto tg_yyyyyz_xxzzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1017); 

                auto tg_yyyyyz_xyyyyyyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1018); 

                auto tg_yyyyyz_xyyyyyyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1019); 

                auto tg_zzzzzz_xxyyzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1240); 

                auto tg_zzzzzz_xxyzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1241); 

                auto tg_zzzzzz_xxzzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1242); 

                auto tg_zzzzzz_xyyyyyyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1243); 

                auto tg_zzzzzz_xyyyyyyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1244); 

                auto tg_zzzzzz_xyyyyyzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1245); 

                auto tg_zzzzzz_xyyyyzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1246); 

                auto tg_zzzzzz_xyyyzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1247); 

                auto tg_zzzzzz_xyyzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1248); 

                auto tg_zzzzzz_xyzzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1249); 

                auto tg_zzzzzz_xzzzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1250); 

                auto tg_zzzzzz_yyyyyyyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1251); 

                auto tg_zzzzzz_yyyyyyyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1252); 

                auto tg_zzzzzz_yyyyyyzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1253); 

                auto tg_zzzzzz_yyyyyzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1254); 

                auto tg_zzzzzz_yyyyzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1255); 

                auto tg_zzzzzz_yyyzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1256); 

                auto tg_zzzzzz_yyzzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1257); 

                auto tg_zzzzzz_yzzzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1258); 

                auto tg_zzzzzz_zzzzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1259); 

                auto tg_yyyyy_xxxxxxxx_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 675); 

                auto tg_yyyyy_xxxxxxxy_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 676); 

                auto tg_yyyyy_xxxxxxxz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 677); 

                auto tg_yyyyy_xxxxxxyy_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 678); 

                auto tg_yyyyy_xxxxxxyz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 679); 

                auto tg_yyyyy_xxxxxxzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 680); 

                auto tg_yyyyy_xxxxxyyy_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 681); 

                auto tg_yyyyy_xxxxxyyz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 682); 

                auto tg_yyyyy_xxxxxyzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 683); 

                auto tg_yyyyy_xxxxxzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 684); 

                auto tg_yyyyy_xxxxyyyy_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 685); 

                auto tg_yyyyy_xxxxyyyz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 686); 

                auto tg_yyyyy_xxxxyyzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 687); 

                auto tg_yyyyy_xxxxyzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 688); 

                auto tg_yyyyy_xxxxzzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 689); 

                auto tg_yyyyy_xxxyyyyy_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 690); 

                auto tg_yyyyy_xxxyyyyz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 691); 

                auto tg_yyyyy_xxxyyyzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 692); 

                auto tg_yyyyy_xxxyyzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 693); 

                auto tg_yyyyy_xxxyzzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 694); 

                auto tg_yyyyy_xxxzzzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 695); 

                auto tg_yyyyy_xxyyyyyy_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 696); 

                auto tg_yyyyy_xxyyyyyz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 697); 

                auto tg_yyyyy_xxyyyyzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 698); 

                auto tg_yyyyy_xxyyyzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 699); 

                auto tg_yyyyy_xxyyzzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 700); 

                auto tg_yyyyy_xxyzzzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 701); 

                auto tg_yyyyy_xxzzzzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 702); 

                auto tg_yyyyy_xyyyyyyy_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 703); 

                auto tg_yyyyy_xyyyyyyz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 704); 

                auto tg_yyyyy_xyyyyyzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 705); 

                auto tg_yyyyy_xyyyyzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 706); 

                auto tg_yyyyy_xyyyzzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 707); 

                auto tg_yyyyy_xyyzzzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 708); 

                auto tg_yyyyy_xyzzzzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 709); 

                auto tg_yyyyy_xzzzzzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 710); 

                auto tg_yyyyy_yyyyyyyy_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 711); 

                auto tg_yyyyy_yyyyyyyz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 712); 

                auto tg_yyyyy_yyyyyyzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 713); 

                auto tg_yyyyy_yyyyyzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 714); 

                auto tg_yyyyy_yyyyzzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 715); 

                auto tg_yyyyy_yyyzzzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 716); 

                auto tg_yyyyy_yyzzzzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 717); 

                auto tg_yyyyy_yzzzzzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 718); 

                auto tg_yyyyy_zzzzzzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 719); 

                auto tg_yyyyz_xxxxxxxx_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 720); 

                auto tg_yyyyz_xxxxxxxy_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 721); 

                auto tg_yyyyz_xxxxxxxz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 722); 

                auto tg_yyyyz_xxxxxxyy_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 723); 

                auto tg_yyyyz_xxxxxxyz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 724); 

                auto tg_yyyyz_xxxxxxzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 725); 

                auto tg_yyyyz_xxxxxyyy_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 726); 

                auto tg_yyyyz_xxxxxyyz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 727); 

                auto tg_yyyyz_xxxxxyzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 728); 

                auto tg_yyyyz_xxxxxzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 729); 

                auto tg_yyyyz_xxxxyyyy_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 730); 

                auto tg_yyyyz_xxxxyyyz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 731); 

                auto tg_yyyyz_xxxxyyzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 732); 

                auto tg_yyyyz_xxxxyzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 733); 

                auto tg_yyyyz_xxxxzzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 734); 

                auto tg_yyyyz_xxxyyyyy_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 735); 

                auto tg_yyyyz_xxxyyyyz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 736); 

                auto tg_yyyyz_xxxyyyzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 737); 

                auto tg_yyyyz_xxxyyzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 738); 

                auto tg_yyyyz_xxxyzzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 739); 

                auto tg_yyyyz_xxxzzzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 740); 

                auto tg_yyyyz_xxyyyyyy_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 741); 

                auto tg_yyyyz_xxyyyyyz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 742); 

                auto tg_yyyyz_xxyyyyzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 743); 

                auto tg_yyyyz_xxyyyzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 744); 

                auto tg_yyyyz_xxyyzzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 745); 

                auto tg_yyyyz_xxyzzzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 746); 

                auto tg_yyyyz_xxzzzzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 747); 

                auto tg_yyyyz_xyyyyyyy_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 748); 

                auto tg_yyyyz_xyyyyyyz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 749); 

                auto tg_yyyyy_xxxxxxxx_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 675); 

                auto tg_yyyyy_xxxxxxxy_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 676); 

                auto tg_yyyyy_xxxxxxxz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 677); 

                auto tg_yyyyy_xxxxxxyy_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 678); 

                auto tg_yyyyy_xxxxxxyz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 679); 

                auto tg_yyyyy_xxxxxxzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 680); 

                auto tg_yyyyy_xxxxxyyy_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 681); 

                auto tg_yyyyy_xxxxxyyz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 682); 

                auto tg_yyyyy_xxxxxyzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 683); 

                auto tg_yyyyy_xxxxxzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 684); 

                auto tg_yyyyy_xxxxyyyy_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 685); 

                auto tg_yyyyy_xxxxyyyz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 686); 

                auto tg_yyyyy_xxxxyyzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 687); 

                auto tg_yyyyy_xxxxyzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 688); 

                auto tg_yyyyy_xxxxzzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 689); 

                auto tg_yyyyy_xxxyyyyy_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 690); 

                auto tg_yyyyy_xxxyyyyz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 691); 

                auto tg_yyyyy_xxxyyyzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 692); 

                auto tg_yyyyy_xxxyyzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 693); 

                auto tg_yyyyy_xxxyzzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 694); 

                auto tg_yyyyy_xxxzzzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 695); 

                auto tg_yyyyy_xxyyyyyy_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 696); 

                auto tg_yyyyy_xxyyyyyz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 697); 

                auto tg_yyyyy_xxyyyyzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 698); 

                auto tg_yyyyy_xxyyyzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 699); 

                auto tg_yyyyy_xxyyzzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 700); 

                auto tg_yyyyy_xxyzzzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 701); 

                auto tg_yyyyy_xxzzzzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 702); 

                auto tg_yyyyy_xyyyyyyy_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 703); 

                auto tg_yyyyy_xyyyyyyz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 704); 

                auto tg_yyyyy_xyyyyyzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 705); 

                auto tg_yyyyy_xyyyyzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 706); 

                auto tg_yyyyy_xyyyzzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 707); 

                auto tg_yyyyy_xyyzzzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 708); 

                auto tg_yyyyy_xyzzzzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 709); 

                auto tg_yyyyy_xzzzzzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 710); 

                auto tg_yyyyy_yyyyyyyy_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 711); 

                auto tg_yyyyy_yyyyyyyz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 712); 

                auto tg_yyyyy_yyyyyyzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 713); 

                auto tg_yyyyy_yyyyyzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 714); 

                auto tg_yyyyy_yyyyzzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 715); 

                auto tg_yyyyy_yyyzzzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 716); 

                auto tg_yyyyy_yyzzzzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 717); 

                auto tg_yyyyy_yzzzzzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 718); 

                auto tg_yyyyy_zzzzzzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 719); 

                auto tg_yyyyz_xxxxxxxx_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 720); 

                auto tg_yyyyz_xxxxxxxy_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 721); 

                auto tg_yyyyz_xxxxxxxz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 722); 

                auto tg_yyyyz_xxxxxxyy_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 723); 

                auto tg_yyyyz_xxxxxxyz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 724); 

                auto tg_yyyyz_xxxxxxzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 725); 

                auto tg_yyyyz_xxxxxyyy_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 726); 

                auto tg_yyyyz_xxxxxyyz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 727); 

                auto tg_yyyyz_xxxxxyzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 728); 

                auto tg_yyyyz_xxxxxzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 729); 

                auto tg_yyyyz_xxxxyyyy_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 730); 

                auto tg_yyyyz_xxxxyyyz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 731); 

                auto tg_yyyyz_xxxxyyzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 732); 

                auto tg_yyyyz_xxxxyzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 733); 

                auto tg_yyyyz_xxxxzzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 734); 

                auto tg_yyyyz_xxxyyyyy_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 735); 

                auto tg_yyyyz_xxxyyyyz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 736); 

                auto tg_yyyyz_xxxyyyzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 737); 

                auto tg_yyyyz_xxxyyzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 738); 

                auto tg_yyyyz_xxxyzzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 739); 

                auto tg_yyyyz_xxxzzzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 740); 

                auto tg_yyyyz_xxyyyyyy_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 741); 

                auto tg_yyyyz_xxyyyyyz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 742); 

                auto tg_yyyyz_xxyyyyzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 743); 

                auto tg_yyyyz_xxyyyzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 744); 

                auto tg_yyyyz_xxyyzzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 745); 

                auto tg_yyyyz_xxyzzzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 746); 

                auto tg_yyyyz_xxzzzzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 747); 

                auto tg_yyyyz_xyyyyyyy_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 748); 

                auto tg_yyyyz_xyyyyyyz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 749); 

                auto tg_yyyyyy_xxxxxxx_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 756); 

                auto tg_yyyyyy_xxxxxxy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 757); 

                auto tg_yyyyyy_xxxxxxz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 758); 

                auto tg_yyyyyy_xxxxxyy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 759); 

                auto tg_yyyyyy_xxxxxyz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 760); 

                auto tg_yyyyyy_xxxxxzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 761); 

                auto tg_yyyyyy_xxxxyyy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 762); 

                auto tg_yyyyyy_xxxxyyz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 763); 

                auto tg_yyyyyy_xxxxyzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 764); 

                auto tg_yyyyyy_xxxxzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 765); 

                auto tg_yyyyyy_xxxyyyy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 766); 

                auto tg_yyyyyy_xxxyyyz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 767); 

                auto tg_yyyyyy_xxxyyzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 768); 

                auto tg_yyyyyy_xxxyzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 769); 

                auto tg_yyyyyy_xxxzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 770); 

                auto tg_yyyyyy_xxyyyyy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 771); 

                auto tg_yyyyyy_xxyyyyz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 772); 

                auto tg_yyyyyy_xxyyyzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 773); 

                auto tg_yyyyyy_xxyyzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 774); 

                auto tg_yyyyyy_xxyzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 775); 

                auto tg_yyyyyy_xxzzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 776); 

                auto tg_yyyyyy_xyyyyyy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 777); 

                auto tg_yyyyyy_xyyyyyz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 778); 

                auto tg_yyyyyy_xyyyyzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 779); 

                auto tg_yyyyyy_xyyyzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 780); 

                auto tg_yyyyyy_xyyzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 781); 

                auto tg_yyyyyy_xyzzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 782); 

                auto tg_yyyyyy_xzzzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 783); 

                auto tg_yyyyyy_yyyyyyy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 784); 

                auto tg_yyyyyy_yyyyyyz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 785); 

                auto tg_yyyyyy_yyyyyzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 786); 

                auto tg_yyyyyy_yyyyzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 787); 

                auto tg_yyyyyy_yyyzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 788); 

                auto tg_yyyyyy_yyzzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 789); 

                auto tg_yyyyyy_yzzzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 790); 

                auto tg_yyyyyy_zzzzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 791); 

                auto tg_yyyyyz_xxxxxxx_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 792); 

                auto tg_yyyyyz_xxxxxxy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 793); 

                auto tg_yyyyyz_xxxxxxz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 794); 

                auto tg_yyyyyz_xxxxxyy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 795); 

                auto tg_yyyyyz_xxxxxyz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 796); 

                auto tg_yyyyyz_xxxxxzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 797); 

                auto tg_yyyyyz_xxxxyyy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 798); 

                auto tg_yyyyyz_xxxxyyz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 799); 

                auto tg_yyyyyz_xxxxyzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 800); 

                auto tg_yyyyyz_xxxxzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 801); 

                auto tg_yyyyyz_xxxyyyy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 802); 

                auto tg_yyyyyz_xxxyyyz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 803); 

                auto tg_yyyyyz_xxxyyzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 804); 

                auto tg_yyyyyz_xxxyzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 805); 

                auto tg_yyyyyz_xxxzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 806); 

                auto tg_yyyyyz_xxyyyyy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 807); 

                auto tg_yyyyyz_xxyyyyz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 808); 

                auto tg_yyyyyz_xxyyyzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 809); 

                auto tg_yyyyyz_xxyyzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 810); 

                auto tg_yyyyyz_xxyzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 811); 

                auto tg_yyyyyz_xxzzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 812); 

                auto tg_yyyyyz_xyyyyyy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 813); 

                auto tg_yyyyyz_xyyyyyz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 814); 

                auto tg_zzzzzz_xyyzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 997); 

                auto tg_zzzzzz_xyzzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 998); 

                auto tg_zzzzzz_xzzzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 999); 

                auto tg_zzzzzz_yyyyyyy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 1000); 

                auto tg_zzzzzz_yyyyyyz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 1001); 

                auto tg_zzzzzz_yyyyyzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 1002); 

                auto tg_zzzzzz_yyyyzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 1003); 

                auto tg_zzzzzz_yyyzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 1004); 

                auto tg_zzzzzz_yyzzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 1005); 

                auto tg_zzzzzz_yzzzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 1006); 

                auto tg_zzzzzz_zzzzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 1007); 

                // set up pointers to integrals

                auto tg_xzzzzzz_xxyyzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1240); 

                auto tg_xzzzzzz_xxyzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1241); 

                auto tg_xzzzzzz_xxzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1242); 

                auto tg_xzzzzzz_xyyyyyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1243); 

                auto tg_xzzzzzz_xyyyyyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1244); 

                auto tg_xzzzzzz_xyyyyyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1245); 

                auto tg_xzzzzzz_xyyyyzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1246); 

                auto tg_xzzzzzz_xyyyzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1247); 

                auto tg_xzzzzzz_xyyzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1248); 

                auto tg_xzzzzzz_xyzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1249); 

                auto tg_xzzzzzz_xzzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1250); 

                auto tg_xzzzzzz_yyyyyyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1251); 

                auto tg_xzzzzzz_yyyyyyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1252); 

                auto tg_xzzzzzz_yyyyyyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1253); 

                auto tg_xzzzzzz_yyyyyzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1254); 

                auto tg_xzzzzzz_yyyyzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1255); 

                auto tg_xzzzzzz_yyyzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1256); 

                auto tg_xzzzzzz_yyzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1257); 

                auto tg_xzzzzzz_yzzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1258); 

                auto tg_xzzzzzz_zzzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1259); 

                auto tg_yyyyyyy_xxxxxxxx_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1260); 

                auto tg_yyyyyyy_xxxxxxxy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1261); 

                auto tg_yyyyyyy_xxxxxxxz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1262); 

                auto tg_yyyyyyy_xxxxxxyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1263); 

                auto tg_yyyyyyy_xxxxxxyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1264); 

                auto tg_yyyyyyy_xxxxxxzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1265); 

                auto tg_yyyyyyy_xxxxxyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1266); 

                auto tg_yyyyyyy_xxxxxyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1267); 

                auto tg_yyyyyyy_xxxxxyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1268); 

                auto tg_yyyyyyy_xxxxxzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1269); 

                auto tg_yyyyyyy_xxxxyyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1270); 

                auto tg_yyyyyyy_xxxxyyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1271); 

                auto tg_yyyyyyy_xxxxyyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1272); 

                auto tg_yyyyyyy_xxxxyzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1273); 

                auto tg_yyyyyyy_xxxxzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1274); 

                auto tg_yyyyyyy_xxxyyyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1275); 

                auto tg_yyyyyyy_xxxyyyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1276); 

                auto tg_yyyyyyy_xxxyyyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1277); 

                auto tg_yyyyyyy_xxxyyzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1278); 

                auto tg_yyyyyyy_xxxyzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1279); 

                auto tg_yyyyyyy_xxxzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1280); 

                auto tg_yyyyyyy_xxyyyyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1281); 

                auto tg_yyyyyyy_xxyyyyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1282); 

                auto tg_yyyyyyy_xxyyyyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1283); 

                auto tg_yyyyyyy_xxyyyzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1284); 

                auto tg_yyyyyyy_xxyyzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1285); 

                auto tg_yyyyyyy_xxyzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1286); 

                auto tg_yyyyyyy_xxzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1287); 

                auto tg_yyyyyyy_xyyyyyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1288); 

                auto tg_yyyyyyy_xyyyyyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1289); 

                auto tg_yyyyyyy_xyyyyyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1290); 

                auto tg_yyyyyyy_xyyyyzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1291); 

                auto tg_yyyyyyy_xyyyzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1292); 

                auto tg_yyyyyyy_xyyzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1293); 

                auto tg_yyyyyyy_xyzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1294); 

                auto tg_yyyyyyy_xzzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1295); 

                auto tg_yyyyyyy_yyyyyyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1296); 

                auto tg_yyyyyyy_yyyyyyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1297); 

                auto tg_yyyyyyy_yyyyyyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1298); 

                auto tg_yyyyyyy_yyyyyzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1299); 

                auto tg_yyyyyyy_yyyyzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1300); 

                auto tg_yyyyyyy_yyyzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1301); 

                auto tg_yyyyyyy_yyzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1302); 

                auto tg_yyyyyyy_yzzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1303); 

                auto tg_yyyyyyy_zzzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1304); 

                auto tg_yyyyyyz_xxxxxxxx_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1305); 

                auto tg_yyyyyyz_xxxxxxxy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1306); 

                auto tg_yyyyyyz_xxxxxxxz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1307); 

                auto tg_yyyyyyz_xxxxxxyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1308); 

                auto tg_yyyyyyz_xxxxxxyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1309); 

                auto tg_yyyyyyz_xxxxxxzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1310); 

                auto tg_yyyyyyz_xxxxxyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1311); 

                auto tg_yyyyyyz_xxxxxyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1312); 

                auto tg_yyyyyyz_xxxxxyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1313); 

                auto tg_yyyyyyz_xxxxxzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1314); 

                auto tg_yyyyyyz_xxxxyyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1315); 

                auto tg_yyyyyyz_xxxxyyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1316); 

                auto tg_yyyyyyz_xxxxyyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1317); 

                auto tg_yyyyyyz_xxxxyzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1318); 

                auto tg_yyyyyyz_xxxxzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1319); 

                auto tg_yyyyyyz_xxxyyyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1320); 

                auto tg_yyyyyyz_xxxyyyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1321); 

                auto tg_yyyyyyz_xxxyyyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1322); 

                auto tg_yyyyyyz_xxxyyzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1323); 

                auto tg_yyyyyyz_xxxyzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1324); 

                auto tg_yyyyyyz_xxxzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1325); 

                auto tg_yyyyyyz_xxyyyyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1326); 

                auto tg_yyyyyyz_xxyyyyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1327); 

                auto tg_yyyyyyz_xxyyyyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1328); 

                auto tg_yyyyyyz_xxyyyzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1329); 

                auto tg_yyyyyyz_xxyyzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1330); 

                auto tg_yyyyyyz_xxyzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1331); 

                auto tg_yyyyyyz_xxzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1332); 

                auto tg_yyyyyyz_xyyyyyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1333); 

                auto tg_yyyyyyz_xyyyyyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1334); 

                // Batch of Integrals (1240,1335)

                #pragma omp simd aligned(fxn, fza, tg_xzzzzzz_xxyyzzzz_0, tg_xzzzzzz_xxyzzzzz_0, \
                                         tg_xzzzzzz_xxzzzzzz_0, tg_xzzzzzz_xyyyyyyy_0, tg_xzzzzzz_xyyyyyyz_0, \
                                         tg_xzzzzzz_xyyyyyzz_0, tg_xzzzzzz_xyyyyzzz_0, tg_xzzzzzz_xyyyzzzz_0, \
                                         tg_xzzzzzz_xyyzzzzz_0, tg_xzzzzzz_xyzzzzzz_0, tg_xzzzzzz_xzzzzzzz_0, \
                                         tg_xzzzzzz_yyyyyyyy_0, tg_xzzzzzz_yyyyyyyz_0, tg_xzzzzzz_yyyyyyzz_0, \
                                         tg_xzzzzzz_yyyyyzzz_0, tg_xzzzzzz_yyyyzzzz_0, tg_xzzzzzz_yyyzzzzz_0, \
                                         tg_xzzzzzz_yyzzzzzz_0, tg_xzzzzzz_yzzzzzzz_0, tg_xzzzzzz_zzzzzzzz_0, \
                                         tg_yyyyy_xxxxxxxx_0, tg_yyyyy_xxxxxxxx_1, tg_yyyyy_xxxxxxxy_0, tg_yyyyy_xxxxxxxy_1, \
                                         tg_yyyyy_xxxxxxxz_0, tg_yyyyy_xxxxxxxz_1, tg_yyyyy_xxxxxxyy_0, tg_yyyyy_xxxxxxyy_1, \
                                         tg_yyyyy_xxxxxxyz_0, tg_yyyyy_xxxxxxyz_1, tg_yyyyy_xxxxxxzz_0, tg_yyyyy_xxxxxxzz_1, \
                                         tg_yyyyy_xxxxxyyy_0, tg_yyyyy_xxxxxyyy_1, tg_yyyyy_xxxxxyyz_0, tg_yyyyy_xxxxxyyz_1, \
                                         tg_yyyyy_xxxxxyzz_0, tg_yyyyy_xxxxxyzz_1, tg_yyyyy_xxxxxzzz_0, tg_yyyyy_xxxxxzzz_1, \
                                         tg_yyyyy_xxxxyyyy_0, tg_yyyyy_xxxxyyyy_1, tg_yyyyy_xxxxyyyz_0, tg_yyyyy_xxxxyyyz_1, \
                                         tg_yyyyy_xxxxyyzz_0, tg_yyyyy_xxxxyyzz_1, tg_yyyyy_xxxxyzzz_0, tg_yyyyy_xxxxyzzz_1, \
                                         tg_yyyyy_xxxxzzzz_0, tg_yyyyy_xxxxzzzz_1, tg_yyyyy_xxxyyyyy_0, tg_yyyyy_xxxyyyyy_1, \
                                         tg_yyyyy_xxxyyyyz_0, tg_yyyyy_xxxyyyyz_1, tg_yyyyy_xxxyyyzz_0, tg_yyyyy_xxxyyyzz_1, \
                                         tg_yyyyy_xxxyyzzz_0, tg_yyyyy_xxxyyzzz_1, tg_yyyyy_xxxyzzzz_0, tg_yyyyy_xxxyzzzz_1, \
                                         tg_yyyyy_xxxzzzzz_0, tg_yyyyy_xxxzzzzz_1, tg_yyyyy_xxyyyyyy_0, tg_yyyyy_xxyyyyyy_1, \
                                         tg_yyyyy_xxyyyyyz_0, tg_yyyyy_xxyyyyyz_1, tg_yyyyy_xxyyyyzz_0, tg_yyyyy_xxyyyyzz_1, \
                                         tg_yyyyy_xxyyyzzz_0, tg_yyyyy_xxyyyzzz_1, tg_yyyyy_xxyyzzzz_0, tg_yyyyy_xxyyzzzz_1, \
                                         tg_yyyyy_xxyzzzzz_0, tg_yyyyy_xxyzzzzz_1, tg_yyyyy_xxzzzzzz_0, tg_yyyyy_xxzzzzzz_1, \
                                         tg_yyyyy_xyyyyyyy_0, tg_yyyyy_xyyyyyyy_1, tg_yyyyy_xyyyyyyz_0, tg_yyyyy_xyyyyyyz_1, \
                                         tg_yyyyy_xyyyyyzz_0, tg_yyyyy_xyyyyyzz_1, tg_yyyyy_xyyyyzzz_0, tg_yyyyy_xyyyyzzz_1, \
                                         tg_yyyyy_xyyyzzzz_0, tg_yyyyy_xyyyzzzz_1, tg_yyyyy_xyyzzzzz_0, tg_yyyyy_xyyzzzzz_1, \
                                         tg_yyyyy_xyzzzzzz_0, tg_yyyyy_xyzzzzzz_1, tg_yyyyy_xzzzzzzz_0, tg_yyyyy_xzzzzzzz_1, \
                                         tg_yyyyy_yyyyyyyy_0, tg_yyyyy_yyyyyyyy_1, tg_yyyyy_yyyyyyyz_0, tg_yyyyy_yyyyyyyz_1, \
                                         tg_yyyyy_yyyyyyzz_0, tg_yyyyy_yyyyyyzz_1, tg_yyyyy_yyyyyzzz_0, tg_yyyyy_yyyyyzzz_1, \
                                         tg_yyyyy_yyyyzzzz_0, tg_yyyyy_yyyyzzzz_1, tg_yyyyy_yyyzzzzz_0, tg_yyyyy_yyyzzzzz_1, \
                                         tg_yyyyy_yyzzzzzz_0, tg_yyyyy_yyzzzzzz_1, tg_yyyyy_yzzzzzzz_0, tg_yyyyy_yzzzzzzz_1, \
                                         tg_yyyyy_zzzzzzzz_0, tg_yyyyy_zzzzzzzz_1, tg_yyyyyy_xxxxxxx_1, tg_yyyyyy_xxxxxxxx_0, \
                                         tg_yyyyyy_xxxxxxxx_1, tg_yyyyyy_xxxxxxxy_0, tg_yyyyyy_xxxxxxxy_1, tg_yyyyyy_xxxxxxxz_0, \
                                         tg_yyyyyy_xxxxxxxz_1, tg_yyyyyy_xxxxxxy_1, tg_yyyyyy_xxxxxxyy_0, tg_yyyyyy_xxxxxxyy_1, \
                                         tg_yyyyyy_xxxxxxyz_0, tg_yyyyyy_xxxxxxyz_1, tg_yyyyyy_xxxxxxz_1, tg_yyyyyy_xxxxxxzz_0, \
                                         tg_yyyyyy_xxxxxxzz_1, tg_yyyyyy_xxxxxyy_1, tg_yyyyyy_xxxxxyyy_0, tg_yyyyyy_xxxxxyyy_1, \
                                         tg_yyyyyy_xxxxxyyz_0, tg_yyyyyy_xxxxxyyz_1, tg_yyyyyy_xxxxxyz_1, tg_yyyyyy_xxxxxyzz_0, \
                                         tg_yyyyyy_xxxxxyzz_1, tg_yyyyyy_xxxxxzz_1, tg_yyyyyy_xxxxxzzz_0, tg_yyyyyy_xxxxxzzz_1, \
                                         tg_yyyyyy_xxxxyyy_1, tg_yyyyyy_xxxxyyyy_0, tg_yyyyyy_xxxxyyyy_1, tg_yyyyyy_xxxxyyyz_0, \
                                         tg_yyyyyy_xxxxyyyz_1, tg_yyyyyy_xxxxyyz_1, tg_yyyyyy_xxxxyyzz_0, tg_yyyyyy_xxxxyyzz_1, \
                                         tg_yyyyyy_xxxxyzz_1, tg_yyyyyy_xxxxyzzz_0, tg_yyyyyy_xxxxyzzz_1, tg_yyyyyy_xxxxzzz_1, \
                                         tg_yyyyyy_xxxxzzzz_0, tg_yyyyyy_xxxxzzzz_1, tg_yyyyyy_xxxyyyy_1, tg_yyyyyy_xxxyyyyy_0, \
                                         tg_yyyyyy_xxxyyyyy_1, tg_yyyyyy_xxxyyyyz_0, tg_yyyyyy_xxxyyyyz_1, tg_yyyyyy_xxxyyyz_1, \
                                         tg_yyyyyy_xxxyyyzz_0, tg_yyyyyy_xxxyyyzz_1, tg_yyyyyy_xxxyyzz_1, tg_yyyyyy_xxxyyzzz_0, \
                                         tg_yyyyyy_xxxyyzzz_1, tg_yyyyyy_xxxyzzz_1, tg_yyyyyy_xxxyzzzz_0, tg_yyyyyy_xxxyzzzz_1, \
                                         tg_yyyyyy_xxxzzzz_1, tg_yyyyyy_xxxzzzzz_0, tg_yyyyyy_xxxzzzzz_1, tg_yyyyyy_xxyyyyy_1, \
                                         tg_yyyyyy_xxyyyyyy_0, tg_yyyyyy_xxyyyyyy_1, tg_yyyyyy_xxyyyyyz_0, tg_yyyyyy_xxyyyyyz_1, \
                                         tg_yyyyyy_xxyyyyz_1, tg_yyyyyy_xxyyyyzz_0, tg_yyyyyy_xxyyyyzz_1, tg_yyyyyy_xxyyyzz_1, \
                                         tg_yyyyyy_xxyyyzzz_0, tg_yyyyyy_xxyyyzzz_1, tg_yyyyyy_xxyyzzz_1, tg_yyyyyy_xxyyzzzz_0, \
                                         tg_yyyyyy_xxyyzzzz_1, tg_yyyyyy_xxyzzzz_1, tg_yyyyyy_xxyzzzzz_0, tg_yyyyyy_xxyzzzzz_1, \
                                         tg_yyyyyy_xxzzzzz_1, tg_yyyyyy_xxzzzzzz_0, tg_yyyyyy_xxzzzzzz_1, tg_yyyyyy_xyyyyyy_1, \
                                         tg_yyyyyy_xyyyyyyy_0, tg_yyyyyy_xyyyyyyy_1, tg_yyyyyy_xyyyyyyz_0, tg_yyyyyy_xyyyyyyz_1, \
                                         tg_yyyyyy_xyyyyyz_1, tg_yyyyyy_xyyyyyzz_0, tg_yyyyyy_xyyyyyzz_1, tg_yyyyyy_xyyyyzz_1, \
                                         tg_yyyyyy_xyyyyzzz_0, tg_yyyyyy_xyyyyzzz_1, tg_yyyyyy_xyyyzzz_1, tg_yyyyyy_xyyyzzzz_0, \
                                         tg_yyyyyy_xyyyzzzz_1, tg_yyyyyy_xyyzzzz_1, tg_yyyyyy_xyyzzzzz_0, tg_yyyyyy_xyyzzzzz_1, \
                                         tg_yyyyyy_xyzzzzz_1, tg_yyyyyy_xyzzzzzz_0, tg_yyyyyy_xyzzzzzz_1, tg_yyyyyy_xzzzzzz_1, \
                                         tg_yyyyyy_xzzzzzzz_0, tg_yyyyyy_xzzzzzzz_1, tg_yyyyyy_yyyyyyy_1, tg_yyyyyy_yyyyyyyy_0, \
                                         tg_yyyyyy_yyyyyyyy_1, tg_yyyyyy_yyyyyyyz_0, tg_yyyyyy_yyyyyyyz_1, tg_yyyyyy_yyyyyyz_1, \
                                         tg_yyyyyy_yyyyyyzz_0, tg_yyyyyy_yyyyyyzz_1, tg_yyyyyy_yyyyyzz_1, tg_yyyyyy_yyyyyzzz_0, \
                                         tg_yyyyyy_yyyyyzzz_1, tg_yyyyyy_yyyyzzz_1, tg_yyyyyy_yyyyzzzz_0, tg_yyyyyy_yyyyzzzz_1, \
                                         tg_yyyyyy_yyyzzzz_1, tg_yyyyyy_yyyzzzzz_0, tg_yyyyyy_yyyzzzzz_1, tg_yyyyyy_yyzzzzz_1, \
                                         tg_yyyyyy_yyzzzzzz_0, tg_yyyyyy_yyzzzzzz_1, tg_yyyyyy_yzzzzzz_1, tg_yyyyyy_yzzzzzzz_0, \
                                         tg_yyyyyy_yzzzzzzz_1, tg_yyyyyy_zzzzzzz_1, tg_yyyyyy_zzzzzzzz_0, tg_yyyyyy_zzzzzzzz_1, \
                                         tg_yyyyyyy_xxxxxxxx_0, tg_yyyyyyy_xxxxxxxy_0, tg_yyyyyyy_xxxxxxxz_0, \
                                         tg_yyyyyyy_xxxxxxyy_0, tg_yyyyyyy_xxxxxxyz_0, tg_yyyyyyy_xxxxxxzz_0, \
                                         tg_yyyyyyy_xxxxxyyy_0, tg_yyyyyyy_xxxxxyyz_0, tg_yyyyyyy_xxxxxyzz_0, \
                                         tg_yyyyyyy_xxxxxzzz_0, tg_yyyyyyy_xxxxyyyy_0, tg_yyyyyyy_xxxxyyyz_0, \
                                         tg_yyyyyyy_xxxxyyzz_0, tg_yyyyyyy_xxxxyzzz_0, tg_yyyyyyy_xxxxzzzz_0, \
                                         tg_yyyyyyy_xxxyyyyy_0, tg_yyyyyyy_xxxyyyyz_0, tg_yyyyyyy_xxxyyyzz_0, \
                                         tg_yyyyyyy_xxxyyzzz_0, tg_yyyyyyy_xxxyzzzz_0, tg_yyyyyyy_xxxzzzzz_0, \
                                         tg_yyyyyyy_xxyyyyyy_0, tg_yyyyyyy_xxyyyyyz_0, tg_yyyyyyy_xxyyyyzz_0, \
                                         tg_yyyyyyy_xxyyyzzz_0, tg_yyyyyyy_xxyyzzzz_0, tg_yyyyyyy_xxyzzzzz_0, \
                                         tg_yyyyyyy_xxzzzzzz_0, tg_yyyyyyy_xyyyyyyy_0, tg_yyyyyyy_xyyyyyyz_0, \
                                         tg_yyyyyyy_xyyyyyzz_0, tg_yyyyyyy_xyyyyzzz_0, tg_yyyyyyy_xyyyzzzz_0, \
                                         tg_yyyyyyy_xyyzzzzz_0, tg_yyyyyyy_xyzzzzzz_0, tg_yyyyyyy_xzzzzzzz_0, \
                                         tg_yyyyyyy_yyyyyyyy_0, tg_yyyyyyy_yyyyyyyz_0, tg_yyyyyyy_yyyyyyzz_0, \
                                         tg_yyyyyyy_yyyyyzzz_0, tg_yyyyyyy_yyyyzzzz_0, tg_yyyyyyy_yyyzzzzz_0, \
                                         tg_yyyyyyy_yyzzzzzz_0, tg_yyyyyyy_yzzzzzzz_0, tg_yyyyyyy_zzzzzzzz_0, \
                                         tg_yyyyyyz_xxxxxxxx_0, tg_yyyyyyz_xxxxxxxy_0, tg_yyyyyyz_xxxxxxxz_0, \
                                         tg_yyyyyyz_xxxxxxyy_0, tg_yyyyyyz_xxxxxxyz_0, tg_yyyyyyz_xxxxxxzz_0, \
                                         tg_yyyyyyz_xxxxxyyy_0, tg_yyyyyyz_xxxxxyyz_0, tg_yyyyyyz_xxxxxyzz_0, \
                                         tg_yyyyyyz_xxxxxzzz_0, tg_yyyyyyz_xxxxyyyy_0, tg_yyyyyyz_xxxxyyyz_0, \
                                         tg_yyyyyyz_xxxxyyzz_0, tg_yyyyyyz_xxxxyzzz_0, tg_yyyyyyz_xxxxzzzz_0, \
                                         tg_yyyyyyz_xxxyyyyy_0, tg_yyyyyyz_xxxyyyyz_0, tg_yyyyyyz_xxxyyyzz_0, \
                                         tg_yyyyyyz_xxxyyzzz_0, tg_yyyyyyz_xxxyzzzz_0, tg_yyyyyyz_xxxzzzzz_0, \
                                         tg_yyyyyyz_xxyyyyyy_0, tg_yyyyyyz_xxyyyyyz_0, tg_yyyyyyz_xxyyyyzz_0, \
                                         tg_yyyyyyz_xxyyyzzz_0, tg_yyyyyyz_xxyyzzzz_0, tg_yyyyyyz_xxyzzzzz_0, \
                                         tg_yyyyyyz_xxzzzzzz_0, tg_yyyyyyz_xyyyyyyy_0, tg_yyyyyyz_xyyyyyyz_0, \
                                         tg_yyyyyz_xxxxxxx_1, tg_yyyyyz_xxxxxxxx_0, tg_yyyyyz_xxxxxxxx_1, tg_yyyyyz_xxxxxxxy_0, \
                                         tg_yyyyyz_xxxxxxxy_1, tg_yyyyyz_xxxxxxxz_0, tg_yyyyyz_xxxxxxxz_1, tg_yyyyyz_xxxxxxy_1, \
                                         tg_yyyyyz_xxxxxxyy_0, tg_yyyyyz_xxxxxxyy_1, tg_yyyyyz_xxxxxxyz_0, tg_yyyyyz_xxxxxxyz_1, \
                                         tg_yyyyyz_xxxxxxz_1, tg_yyyyyz_xxxxxxzz_0, tg_yyyyyz_xxxxxxzz_1, tg_yyyyyz_xxxxxyy_1, \
                                         tg_yyyyyz_xxxxxyyy_0, tg_yyyyyz_xxxxxyyy_1, tg_yyyyyz_xxxxxyyz_0, tg_yyyyyz_xxxxxyyz_1, \
                                         tg_yyyyyz_xxxxxyz_1, tg_yyyyyz_xxxxxyzz_0, tg_yyyyyz_xxxxxyzz_1, tg_yyyyyz_xxxxxzz_1, \
                                         tg_yyyyyz_xxxxxzzz_0, tg_yyyyyz_xxxxxzzz_1, tg_yyyyyz_xxxxyyy_1, tg_yyyyyz_xxxxyyyy_0, \
                                         tg_yyyyyz_xxxxyyyy_1, tg_yyyyyz_xxxxyyyz_0, tg_yyyyyz_xxxxyyyz_1, tg_yyyyyz_xxxxyyz_1, \
                                         tg_yyyyyz_xxxxyyzz_0, tg_yyyyyz_xxxxyyzz_1, tg_yyyyyz_xxxxyzz_1, tg_yyyyyz_xxxxyzzz_0, \
                                         tg_yyyyyz_xxxxyzzz_1, tg_yyyyyz_xxxxzzz_1, tg_yyyyyz_xxxxzzzz_0, tg_yyyyyz_xxxxzzzz_1, \
                                         tg_yyyyyz_xxxyyyy_1, tg_yyyyyz_xxxyyyyy_0, tg_yyyyyz_xxxyyyyy_1, tg_yyyyyz_xxxyyyyz_0, \
                                         tg_yyyyyz_xxxyyyyz_1, tg_yyyyyz_xxxyyyz_1, tg_yyyyyz_xxxyyyzz_0, tg_yyyyyz_xxxyyyzz_1, \
                                         tg_yyyyyz_xxxyyzz_1, tg_yyyyyz_xxxyyzzz_0, tg_yyyyyz_xxxyyzzz_1, tg_yyyyyz_xxxyzzz_1, \
                                         tg_yyyyyz_xxxyzzzz_0, tg_yyyyyz_xxxyzzzz_1, tg_yyyyyz_xxxzzzz_1, tg_yyyyyz_xxxzzzzz_0, \
                                         tg_yyyyyz_xxxzzzzz_1, tg_yyyyyz_xxyyyyy_1, tg_yyyyyz_xxyyyyyy_0, tg_yyyyyz_xxyyyyyy_1, \
                                         tg_yyyyyz_xxyyyyyz_0, tg_yyyyyz_xxyyyyyz_1, tg_yyyyyz_xxyyyyz_1, tg_yyyyyz_xxyyyyzz_0, \
                                         tg_yyyyyz_xxyyyyzz_1, tg_yyyyyz_xxyyyzz_1, tg_yyyyyz_xxyyyzzz_0, tg_yyyyyz_xxyyyzzz_1, \
                                         tg_yyyyyz_xxyyzzz_1, tg_yyyyyz_xxyyzzzz_0, tg_yyyyyz_xxyyzzzz_1, tg_yyyyyz_xxyzzzz_1, \
                                         tg_yyyyyz_xxyzzzzz_0, tg_yyyyyz_xxyzzzzz_1, tg_yyyyyz_xxzzzzz_1, tg_yyyyyz_xxzzzzzz_0, \
                                         tg_yyyyyz_xxzzzzzz_1, tg_yyyyyz_xyyyyyy_1, tg_yyyyyz_xyyyyyyy_0, tg_yyyyyz_xyyyyyyy_1, \
                                         tg_yyyyyz_xyyyyyyz_0, tg_yyyyyz_xyyyyyyz_1, tg_yyyyyz_xyyyyyz_1, tg_yyyyz_xxxxxxxx_0, \
                                         tg_yyyyz_xxxxxxxx_1, tg_yyyyz_xxxxxxxy_0, tg_yyyyz_xxxxxxxy_1, tg_yyyyz_xxxxxxxz_0, \
                                         tg_yyyyz_xxxxxxxz_1, tg_yyyyz_xxxxxxyy_0, tg_yyyyz_xxxxxxyy_1, tg_yyyyz_xxxxxxyz_0, \
                                         tg_yyyyz_xxxxxxyz_1, tg_yyyyz_xxxxxxzz_0, tg_yyyyz_xxxxxxzz_1, tg_yyyyz_xxxxxyyy_0, \
                                         tg_yyyyz_xxxxxyyy_1, tg_yyyyz_xxxxxyyz_0, tg_yyyyz_xxxxxyyz_1, tg_yyyyz_xxxxxyzz_0, \
                                         tg_yyyyz_xxxxxyzz_1, tg_yyyyz_xxxxxzzz_0, tg_yyyyz_xxxxxzzz_1, tg_yyyyz_xxxxyyyy_0, \
                                         tg_yyyyz_xxxxyyyy_1, tg_yyyyz_xxxxyyyz_0, tg_yyyyz_xxxxyyyz_1, tg_yyyyz_xxxxyyzz_0, \
                                         tg_yyyyz_xxxxyyzz_1, tg_yyyyz_xxxxyzzz_0, tg_yyyyz_xxxxyzzz_1, tg_yyyyz_xxxxzzzz_0, \
                                         tg_yyyyz_xxxxzzzz_1, tg_yyyyz_xxxyyyyy_0, tg_yyyyz_xxxyyyyy_1, tg_yyyyz_xxxyyyyz_0, \
                                         tg_yyyyz_xxxyyyyz_1, tg_yyyyz_xxxyyyzz_0, tg_yyyyz_xxxyyyzz_1, tg_yyyyz_xxxyyzzz_0, \
                                         tg_yyyyz_xxxyyzzz_1, tg_yyyyz_xxxyzzzz_0, tg_yyyyz_xxxyzzzz_1, tg_yyyyz_xxxzzzzz_0, \
                                         tg_yyyyz_xxxzzzzz_1, tg_yyyyz_xxyyyyyy_0, tg_yyyyz_xxyyyyyy_1, tg_yyyyz_xxyyyyyz_0, \
                                         tg_yyyyz_xxyyyyyz_1, tg_yyyyz_xxyyyyzz_0, tg_yyyyz_xxyyyyzz_1, tg_yyyyz_xxyyyzzz_0, \
                                         tg_yyyyz_xxyyyzzz_1, tg_yyyyz_xxyyzzzz_0, tg_yyyyz_xxyyzzzz_1, tg_yyyyz_xxyzzzzz_0, \
                                         tg_yyyyz_xxyzzzzz_1, tg_yyyyz_xxzzzzzz_0, tg_yyyyz_xxzzzzzz_1, tg_yyyyz_xyyyyyyy_0, \
                                         tg_yyyyz_xyyyyyyy_1, tg_yyyyz_xyyyyyyz_0, tg_yyyyz_xyyyyyyz_1, tg_zzzzzz_xxyyzzzz_0, \
                                         tg_zzzzzz_xxyyzzzz_1, tg_zzzzzz_xxyzzzzz_0, tg_zzzzzz_xxyzzzzz_1, tg_zzzzzz_xxzzzzzz_0, \
                                         tg_zzzzzz_xxzzzzzz_1, tg_zzzzzz_xyyyyyyy_0, tg_zzzzzz_xyyyyyyy_1, tg_zzzzzz_xyyyyyyz_0, \
                                         tg_zzzzzz_xyyyyyyz_1, tg_zzzzzz_xyyyyyzz_0, tg_zzzzzz_xyyyyyzz_1, tg_zzzzzz_xyyyyzzz_0, \
                                         tg_zzzzzz_xyyyyzzz_1, tg_zzzzzz_xyyyzzzz_0, tg_zzzzzz_xyyyzzzz_1, tg_zzzzzz_xyyzzzz_1, \
                                         tg_zzzzzz_xyyzzzzz_0, tg_zzzzzz_xyyzzzzz_1, tg_zzzzzz_xyzzzzz_1, tg_zzzzzz_xyzzzzzz_0, \
                                         tg_zzzzzz_xyzzzzzz_1, tg_zzzzzz_xzzzzzz_1, tg_zzzzzz_xzzzzzzz_0, tg_zzzzzz_xzzzzzzz_1, \
                                         tg_zzzzzz_yyyyyyy_1, tg_zzzzzz_yyyyyyyy_0, tg_zzzzzz_yyyyyyyy_1, tg_zzzzzz_yyyyyyyz_0, \
                                         tg_zzzzzz_yyyyyyyz_1, tg_zzzzzz_yyyyyyz_1, tg_zzzzzz_yyyyyyzz_0, tg_zzzzzz_yyyyyyzz_1, \
                                         tg_zzzzzz_yyyyyzz_1, tg_zzzzzz_yyyyyzzz_0, tg_zzzzzz_yyyyyzzz_1, tg_zzzzzz_yyyyzzz_1, \
                                         tg_zzzzzz_yyyyzzzz_0, tg_zzzzzz_yyyyzzzz_1, tg_zzzzzz_yyyzzzz_1, tg_zzzzzz_yyyzzzzz_0, \
                                         tg_zzzzzz_yyyzzzzz_1, tg_zzzzzz_yyzzzzz_1, tg_zzzzzz_yyzzzzzz_0, tg_zzzzzz_yyzzzzzz_1, \
                                         tg_zzzzzz_yzzzzzz_1, tg_zzzzzz_yzzzzzzz_0, tg_zzzzzz_yzzzzzzz_1, tg_zzzzzz_zzzzzzz_1, \
                                         tg_zzzzzz_zzzzzzzz_0, tg_zzzzzz_zzzzzzzz_1, wp_x, wp_y: VLX_ALIGN)
                for (int32_t j = 0; j < nKetPrimPairs; j++)
                {
                    double fl1_fx = fx;

                    double fl1_fxn = fxn[j];

                    double fl1_fza = fza[j];

                    double fr = wp_x[j]; 

                    tg_xzzzzzz_xxyyzzzz_0[j] = pb_x * tg_zzzzzz_xxyyzzzz_0[j] + fr * tg_zzzzzz_xxyyzzzz_1[j] + fl1_fxn * tg_zzzzzz_xyyzzzz_1[j];

                    tg_xzzzzzz_xxyzzzzz_0[j] = pb_x * tg_zzzzzz_xxyzzzzz_0[j] + fr * tg_zzzzzz_xxyzzzzz_1[j] + fl1_fxn * tg_zzzzzz_xyzzzzz_1[j];

                    tg_xzzzzzz_xxzzzzzz_0[j] = pb_x * tg_zzzzzz_xxzzzzzz_0[j] + fr * tg_zzzzzz_xxzzzzzz_1[j] + fl1_fxn * tg_zzzzzz_xzzzzzz_1[j];

                    tg_xzzzzzz_xyyyyyyy_0[j] = pb_x * tg_zzzzzz_xyyyyyyy_0[j] + fr * tg_zzzzzz_xyyyyyyy_1[j] + 0.5 * fl1_fxn * tg_zzzzzz_yyyyyyy_1[j];

                    tg_xzzzzzz_xyyyyyyz_0[j] = pb_x * tg_zzzzzz_xyyyyyyz_0[j] + fr * tg_zzzzzz_xyyyyyyz_1[j] + 0.5 * fl1_fxn * tg_zzzzzz_yyyyyyz_1[j];

                    tg_xzzzzzz_xyyyyyzz_0[j] = pb_x * tg_zzzzzz_xyyyyyzz_0[j] + fr * tg_zzzzzz_xyyyyyzz_1[j] + 0.5 * fl1_fxn * tg_zzzzzz_yyyyyzz_1[j];

                    tg_xzzzzzz_xyyyyzzz_0[j] = pb_x * tg_zzzzzz_xyyyyzzz_0[j] + fr * tg_zzzzzz_xyyyyzzz_1[j] + 0.5 * fl1_fxn * tg_zzzzzz_yyyyzzz_1[j];

                    tg_xzzzzzz_xyyyzzzz_0[j] = pb_x * tg_zzzzzz_xyyyzzzz_0[j] + fr * tg_zzzzzz_xyyyzzzz_1[j] + 0.5 * fl1_fxn * tg_zzzzzz_yyyzzzz_1[j];

                    tg_xzzzzzz_xyyzzzzz_0[j] = pb_x * tg_zzzzzz_xyyzzzzz_0[j] + fr * tg_zzzzzz_xyyzzzzz_1[j] + 0.5 * fl1_fxn * tg_zzzzzz_yyzzzzz_1[j];

                    tg_xzzzzzz_xyzzzzzz_0[j] = pb_x * tg_zzzzzz_xyzzzzzz_0[j] + fr * tg_zzzzzz_xyzzzzzz_1[j] + 0.5 * fl1_fxn * tg_zzzzzz_yzzzzzz_1[j];

                    tg_xzzzzzz_xzzzzzzz_0[j] = pb_x * tg_zzzzzz_xzzzzzzz_0[j] + fr * tg_zzzzzz_xzzzzzzz_1[j] + 0.5 * fl1_fxn * tg_zzzzzz_zzzzzzz_1[j];

                    tg_xzzzzzz_yyyyyyyy_0[j] = pb_x * tg_zzzzzz_yyyyyyyy_0[j] + fr * tg_zzzzzz_yyyyyyyy_1[j];

                    tg_xzzzzzz_yyyyyyyz_0[j] = pb_x * tg_zzzzzz_yyyyyyyz_0[j] + fr * tg_zzzzzz_yyyyyyyz_1[j];

                    tg_xzzzzzz_yyyyyyzz_0[j] = pb_x * tg_zzzzzz_yyyyyyzz_0[j] + fr * tg_zzzzzz_yyyyyyzz_1[j];

                    tg_xzzzzzz_yyyyyzzz_0[j] = pb_x * tg_zzzzzz_yyyyyzzz_0[j] + fr * tg_zzzzzz_yyyyyzzz_1[j];

                    tg_xzzzzzz_yyyyzzzz_0[j] = pb_x * tg_zzzzzz_yyyyzzzz_0[j] + fr * tg_zzzzzz_yyyyzzzz_1[j];

                    tg_xzzzzzz_yyyzzzzz_0[j] = pb_x * tg_zzzzzz_yyyzzzzz_0[j] + fr * tg_zzzzzz_yyyzzzzz_1[j];

                    tg_xzzzzzz_yyzzzzzz_0[j] = pb_x * tg_zzzzzz_yyzzzzzz_0[j] + fr * tg_zzzzzz_yyzzzzzz_1[j];

                    tg_xzzzzzz_yzzzzzzz_0[j] = pb_x * tg_zzzzzz_yzzzzzzz_0[j] + fr * tg_zzzzzz_yzzzzzzz_1[j];

                    tg_xzzzzzz_zzzzzzzz_0[j] = pb_x * tg_zzzzzz_zzzzzzzz_0[j] + fr * tg_zzzzzz_zzzzzzzz_1[j];

                    fr = wp_y[j]; 

                    tg_yyyyyyy_xxxxxxxx_0[j] = pb_y * tg_yyyyyy_xxxxxxxx_0[j] + fr * tg_yyyyyy_xxxxxxxx_1[j] + 3.0 * fl1_fx * (tg_yyyyy_xxxxxxxx_0[j] - tg_yyyyy_xxxxxxxx_1[j] * fl1_fza);

                    tg_yyyyyyy_xxxxxxxy_0[j] = pb_y * tg_yyyyyy_xxxxxxxy_0[j] + fr * tg_yyyyyy_xxxxxxxy_1[j] + 3.0 * fl1_fx * (tg_yyyyy_xxxxxxxy_0[j] - tg_yyyyy_xxxxxxxy_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_yyyyyy_xxxxxxx_1[j];

                    tg_yyyyyyy_xxxxxxxz_0[j] = pb_y * tg_yyyyyy_xxxxxxxz_0[j] + fr * tg_yyyyyy_xxxxxxxz_1[j] + 3.0 * fl1_fx * (tg_yyyyy_xxxxxxxz_0[j] - tg_yyyyy_xxxxxxxz_1[j] * fl1_fza);

                    tg_yyyyyyy_xxxxxxyy_0[j] = pb_y * tg_yyyyyy_xxxxxxyy_0[j] + fr * tg_yyyyyy_xxxxxxyy_1[j] + 3.0 * fl1_fx * (tg_yyyyy_xxxxxxyy_0[j] - tg_yyyyy_xxxxxxyy_1[j] * fl1_fza) + fl1_fxn * tg_yyyyyy_xxxxxxy_1[j];

                    tg_yyyyyyy_xxxxxxyz_0[j] = pb_y * tg_yyyyyy_xxxxxxyz_0[j] + fr * tg_yyyyyy_xxxxxxyz_1[j] + 3.0 * fl1_fx * (tg_yyyyy_xxxxxxyz_0[j] - tg_yyyyy_xxxxxxyz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_yyyyyy_xxxxxxz_1[j];

                    tg_yyyyyyy_xxxxxxzz_0[j] = pb_y * tg_yyyyyy_xxxxxxzz_0[j] + fr * tg_yyyyyy_xxxxxxzz_1[j] + 3.0 * fl1_fx * (tg_yyyyy_xxxxxxzz_0[j] - tg_yyyyy_xxxxxxzz_1[j] * fl1_fza);

                    tg_yyyyyyy_xxxxxyyy_0[j] = pb_y * tg_yyyyyy_xxxxxyyy_0[j] + fr * tg_yyyyyy_xxxxxyyy_1[j] + 3.0 * fl1_fx * (tg_yyyyy_xxxxxyyy_0[j] - tg_yyyyy_xxxxxyyy_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_yyyyyy_xxxxxyy_1[j];

                    tg_yyyyyyy_xxxxxyyz_0[j] = pb_y * tg_yyyyyy_xxxxxyyz_0[j] + fr * tg_yyyyyy_xxxxxyyz_1[j] + 3.0 * fl1_fx * (tg_yyyyy_xxxxxyyz_0[j] - tg_yyyyy_xxxxxyyz_1[j] * fl1_fza) + fl1_fxn * tg_yyyyyy_xxxxxyz_1[j];

                    tg_yyyyyyy_xxxxxyzz_0[j] = pb_y * tg_yyyyyy_xxxxxyzz_0[j] + fr * tg_yyyyyy_xxxxxyzz_1[j] + 3.0 * fl1_fx * (tg_yyyyy_xxxxxyzz_0[j] - tg_yyyyy_xxxxxyzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_yyyyyy_xxxxxzz_1[j];

                    tg_yyyyyyy_xxxxxzzz_0[j] = pb_y * tg_yyyyyy_xxxxxzzz_0[j] + fr * tg_yyyyyy_xxxxxzzz_1[j] + 3.0 * fl1_fx * (tg_yyyyy_xxxxxzzz_0[j] - tg_yyyyy_xxxxxzzz_1[j] * fl1_fza);

                    tg_yyyyyyy_xxxxyyyy_0[j] = pb_y * tg_yyyyyy_xxxxyyyy_0[j] + fr * tg_yyyyyy_xxxxyyyy_1[j] + 3.0 * fl1_fx * (tg_yyyyy_xxxxyyyy_0[j] - tg_yyyyy_xxxxyyyy_1[j] * fl1_fza) + 2.0 * fl1_fxn * tg_yyyyyy_xxxxyyy_1[j];

                    tg_yyyyyyy_xxxxyyyz_0[j] = pb_y * tg_yyyyyy_xxxxyyyz_0[j] + fr * tg_yyyyyy_xxxxyyyz_1[j] + 3.0 * fl1_fx * (tg_yyyyy_xxxxyyyz_0[j] - tg_yyyyy_xxxxyyyz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_yyyyyy_xxxxyyz_1[j];

                    tg_yyyyyyy_xxxxyyzz_0[j] = pb_y * tg_yyyyyy_xxxxyyzz_0[j] + fr * tg_yyyyyy_xxxxyyzz_1[j] + 3.0 * fl1_fx * (tg_yyyyy_xxxxyyzz_0[j] - tg_yyyyy_xxxxyyzz_1[j] * fl1_fza) + fl1_fxn * tg_yyyyyy_xxxxyzz_1[j];

                    tg_yyyyyyy_xxxxyzzz_0[j] = pb_y * tg_yyyyyy_xxxxyzzz_0[j] + fr * tg_yyyyyy_xxxxyzzz_1[j] + 3.0 * fl1_fx * (tg_yyyyy_xxxxyzzz_0[j] - tg_yyyyy_xxxxyzzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_yyyyyy_xxxxzzz_1[j];

                    tg_yyyyyyy_xxxxzzzz_0[j] = pb_y * tg_yyyyyy_xxxxzzzz_0[j] + fr * tg_yyyyyy_xxxxzzzz_1[j] + 3.0 * fl1_fx * (tg_yyyyy_xxxxzzzz_0[j] - tg_yyyyy_xxxxzzzz_1[j] * fl1_fza);

                    tg_yyyyyyy_xxxyyyyy_0[j] = pb_y * tg_yyyyyy_xxxyyyyy_0[j] + fr * tg_yyyyyy_xxxyyyyy_1[j] + 3.0 * fl1_fx * (tg_yyyyy_xxxyyyyy_0[j] - tg_yyyyy_xxxyyyyy_1[j] * fl1_fza) + 2.5 * fl1_fxn * tg_yyyyyy_xxxyyyy_1[j];

                    tg_yyyyyyy_xxxyyyyz_0[j] = pb_y * tg_yyyyyy_xxxyyyyz_0[j] + fr * tg_yyyyyy_xxxyyyyz_1[j] + 3.0 * fl1_fx * (tg_yyyyy_xxxyyyyz_0[j] - tg_yyyyy_xxxyyyyz_1[j] * fl1_fza) + 2.0 * fl1_fxn * tg_yyyyyy_xxxyyyz_1[j];

                    tg_yyyyyyy_xxxyyyzz_0[j] = pb_y * tg_yyyyyy_xxxyyyzz_0[j] + fr * tg_yyyyyy_xxxyyyzz_1[j] + 3.0 * fl1_fx * (tg_yyyyy_xxxyyyzz_0[j] - tg_yyyyy_xxxyyyzz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_yyyyyy_xxxyyzz_1[j];

                    tg_yyyyyyy_xxxyyzzz_0[j] = pb_y * tg_yyyyyy_xxxyyzzz_0[j] + fr * tg_yyyyyy_xxxyyzzz_1[j] + 3.0 * fl1_fx * (tg_yyyyy_xxxyyzzz_0[j] - tg_yyyyy_xxxyyzzz_1[j] * fl1_fza) + fl1_fxn * tg_yyyyyy_xxxyzzz_1[j];

                    tg_yyyyyyy_xxxyzzzz_0[j] = pb_y * tg_yyyyyy_xxxyzzzz_0[j] + fr * tg_yyyyyy_xxxyzzzz_1[j] + 3.0 * fl1_fx * (tg_yyyyy_xxxyzzzz_0[j] - tg_yyyyy_xxxyzzzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_yyyyyy_xxxzzzz_1[j];

                    tg_yyyyyyy_xxxzzzzz_0[j] = pb_y * tg_yyyyyy_xxxzzzzz_0[j] + fr * tg_yyyyyy_xxxzzzzz_1[j] + 3.0 * fl1_fx * (tg_yyyyy_xxxzzzzz_0[j] - tg_yyyyy_xxxzzzzz_1[j] * fl1_fza);

                    tg_yyyyyyy_xxyyyyyy_0[j] = pb_y * tg_yyyyyy_xxyyyyyy_0[j] + fr * tg_yyyyyy_xxyyyyyy_1[j] + 3.0 * fl1_fx * (tg_yyyyy_xxyyyyyy_0[j] - tg_yyyyy_xxyyyyyy_1[j] * fl1_fza) + 3.0 * fl1_fxn * tg_yyyyyy_xxyyyyy_1[j];

                    tg_yyyyyyy_xxyyyyyz_0[j] = pb_y * tg_yyyyyy_xxyyyyyz_0[j] + fr * tg_yyyyyy_xxyyyyyz_1[j] + 3.0 * fl1_fx * (tg_yyyyy_xxyyyyyz_0[j] - tg_yyyyy_xxyyyyyz_1[j] * fl1_fza) + 2.5 * fl1_fxn * tg_yyyyyy_xxyyyyz_1[j];

                    tg_yyyyyyy_xxyyyyzz_0[j] = pb_y * tg_yyyyyy_xxyyyyzz_0[j] + fr * tg_yyyyyy_xxyyyyzz_1[j] + 3.0 * fl1_fx * (tg_yyyyy_xxyyyyzz_0[j] - tg_yyyyy_xxyyyyzz_1[j] * fl1_fza) + 2.0 * fl1_fxn * tg_yyyyyy_xxyyyzz_1[j];

                    tg_yyyyyyy_xxyyyzzz_0[j] = pb_y * tg_yyyyyy_xxyyyzzz_0[j] + fr * tg_yyyyyy_xxyyyzzz_1[j] + 3.0 * fl1_fx * (tg_yyyyy_xxyyyzzz_0[j] - tg_yyyyy_xxyyyzzz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_yyyyyy_xxyyzzz_1[j];

                    tg_yyyyyyy_xxyyzzzz_0[j] = pb_y * tg_yyyyyy_xxyyzzzz_0[j] + fr * tg_yyyyyy_xxyyzzzz_1[j] + 3.0 * fl1_fx * (tg_yyyyy_xxyyzzzz_0[j] - tg_yyyyy_xxyyzzzz_1[j] * fl1_fza) + fl1_fxn * tg_yyyyyy_xxyzzzz_1[j];

                    tg_yyyyyyy_xxyzzzzz_0[j] = pb_y * tg_yyyyyy_xxyzzzzz_0[j] + fr * tg_yyyyyy_xxyzzzzz_1[j] + 3.0 * fl1_fx * (tg_yyyyy_xxyzzzzz_0[j] - tg_yyyyy_xxyzzzzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_yyyyyy_xxzzzzz_1[j];

                    tg_yyyyyyy_xxzzzzzz_0[j] = pb_y * tg_yyyyyy_xxzzzzzz_0[j] + fr * tg_yyyyyy_xxzzzzzz_1[j] + 3.0 * fl1_fx * (tg_yyyyy_xxzzzzzz_0[j] - tg_yyyyy_xxzzzzzz_1[j] * fl1_fza);

                    tg_yyyyyyy_xyyyyyyy_0[j] = pb_y * tg_yyyyyy_xyyyyyyy_0[j] + fr * tg_yyyyyy_xyyyyyyy_1[j] + 3.0 * fl1_fx * (tg_yyyyy_xyyyyyyy_0[j] - tg_yyyyy_xyyyyyyy_1[j] * fl1_fza) + 3.5 * fl1_fxn * tg_yyyyyy_xyyyyyy_1[j];

                    tg_yyyyyyy_xyyyyyyz_0[j] = pb_y * tg_yyyyyy_xyyyyyyz_0[j] + fr * tg_yyyyyy_xyyyyyyz_1[j] + 3.0 * fl1_fx * (tg_yyyyy_xyyyyyyz_0[j] - tg_yyyyy_xyyyyyyz_1[j] * fl1_fza) + 3.0 * fl1_fxn * tg_yyyyyy_xyyyyyz_1[j];

                    tg_yyyyyyy_xyyyyyzz_0[j] = pb_y * tg_yyyyyy_xyyyyyzz_0[j] + fr * tg_yyyyyy_xyyyyyzz_1[j] + 3.0 * fl1_fx * (tg_yyyyy_xyyyyyzz_0[j] - tg_yyyyy_xyyyyyzz_1[j] * fl1_fza) + 2.5 * fl1_fxn * tg_yyyyyy_xyyyyzz_1[j];

                    tg_yyyyyyy_xyyyyzzz_0[j] = pb_y * tg_yyyyyy_xyyyyzzz_0[j] + fr * tg_yyyyyy_xyyyyzzz_1[j] + 3.0 * fl1_fx * (tg_yyyyy_xyyyyzzz_0[j] - tg_yyyyy_xyyyyzzz_1[j] * fl1_fza) + 2.0 * fl1_fxn * tg_yyyyyy_xyyyzzz_1[j];

                    tg_yyyyyyy_xyyyzzzz_0[j] = pb_y * tg_yyyyyy_xyyyzzzz_0[j] + fr * tg_yyyyyy_xyyyzzzz_1[j] + 3.0 * fl1_fx * (tg_yyyyy_xyyyzzzz_0[j] - tg_yyyyy_xyyyzzzz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_yyyyyy_xyyzzzz_1[j];

                    tg_yyyyyyy_xyyzzzzz_0[j] = pb_y * tg_yyyyyy_xyyzzzzz_0[j] + fr * tg_yyyyyy_xyyzzzzz_1[j] + 3.0 * fl1_fx * (tg_yyyyy_xyyzzzzz_0[j] - tg_yyyyy_xyyzzzzz_1[j] * fl1_fza) + fl1_fxn * tg_yyyyyy_xyzzzzz_1[j];

                    tg_yyyyyyy_xyzzzzzz_0[j] = pb_y * tg_yyyyyy_xyzzzzzz_0[j] + fr * tg_yyyyyy_xyzzzzzz_1[j] + 3.0 * fl1_fx * (tg_yyyyy_xyzzzzzz_0[j] - tg_yyyyy_xyzzzzzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_yyyyyy_xzzzzzz_1[j];

                    tg_yyyyyyy_xzzzzzzz_0[j] = pb_y * tg_yyyyyy_xzzzzzzz_0[j] + fr * tg_yyyyyy_xzzzzzzz_1[j] + 3.0 * fl1_fx * (tg_yyyyy_xzzzzzzz_0[j] - tg_yyyyy_xzzzzzzz_1[j] * fl1_fza);

                    tg_yyyyyyy_yyyyyyyy_0[j] = pb_y * tg_yyyyyy_yyyyyyyy_0[j] + fr * tg_yyyyyy_yyyyyyyy_1[j] + 3.0 * fl1_fx * (tg_yyyyy_yyyyyyyy_0[j] - tg_yyyyy_yyyyyyyy_1[j] * fl1_fza) + 4.0 * fl1_fxn * tg_yyyyyy_yyyyyyy_1[j];

                    tg_yyyyyyy_yyyyyyyz_0[j] = pb_y * tg_yyyyyy_yyyyyyyz_0[j] + fr * tg_yyyyyy_yyyyyyyz_1[j] + 3.0 * fl1_fx * (tg_yyyyy_yyyyyyyz_0[j] - tg_yyyyy_yyyyyyyz_1[j] * fl1_fza) + 3.5 * fl1_fxn * tg_yyyyyy_yyyyyyz_1[j];

                    tg_yyyyyyy_yyyyyyzz_0[j] = pb_y * tg_yyyyyy_yyyyyyzz_0[j] + fr * tg_yyyyyy_yyyyyyzz_1[j] + 3.0 * fl1_fx * (tg_yyyyy_yyyyyyzz_0[j] - tg_yyyyy_yyyyyyzz_1[j] * fl1_fza) + 3.0 * fl1_fxn * tg_yyyyyy_yyyyyzz_1[j];

                    tg_yyyyyyy_yyyyyzzz_0[j] = pb_y * tg_yyyyyy_yyyyyzzz_0[j] + fr * tg_yyyyyy_yyyyyzzz_1[j] + 3.0 * fl1_fx * (tg_yyyyy_yyyyyzzz_0[j] - tg_yyyyy_yyyyyzzz_1[j] * fl1_fza) + 2.5 * fl1_fxn * tg_yyyyyy_yyyyzzz_1[j];

                    tg_yyyyyyy_yyyyzzzz_0[j] = pb_y * tg_yyyyyy_yyyyzzzz_0[j] + fr * tg_yyyyyy_yyyyzzzz_1[j] + 3.0 * fl1_fx * (tg_yyyyy_yyyyzzzz_0[j] - tg_yyyyy_yyyyzzzz_1[j] * fl1_fza) + 2.0 * fl1_fxn * tg_yyyyyy_yyyzzzz_1[j];

                    tg_yyyyyyy_yyyzzzzz_0[j] = pb_y * tg_yyyyyy_yyyzzzzz_0[j] + fr * tg_yyyyyy_yyyzzzzz_1[j] + 3.0 * fl1_fx * (tg_yyyyy_yyyzzzzz_0[j] - tg_yyyyy_yyyzzzzz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_yyyyyy_yyzzzzz_1[j];

                    tg_yyyyyyy_yyzzzzzz_0[j] = pb_y * tg_yyyyyy_yyzzzzzz_0[j] + fr * tg_yyyyyy_yyzzzzzz_1[j] + 3.0 * fl1_fx * (tg_yyyyy_yyzzzzzz_0[j] - tg_yyyyy_yyzzzzzz_1[j] * fl1_fza) + fl1_fxn * tg_yyyyyy_yzzzzzz_1[j];

                    tg_yyyyyyy_yzzzzzzz_0[j] = pb_y * tg_yyyyyy_yzzzzzzz_0[j] + fr * tg_yyyyyy_yzzzzzzz_1[j] + 3.0 * fl1_fx * (tg_yyyyy_yzzzzzzz_0[j] - tg_yyyyy_yzzzzzzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_yyyyyy_zzzzzzz_1[j];

                    tg_yyyyyyy_zzzzzzzz_0[j] = pb_y * tg_yyyyyy_zzzzzzzz_0[j] + fr * tg_yyyyyy_zzzzzzzz_1[j] + 3.0 * fl1_fx * (tg_yyyyy_zzzzzzzz_0[j] - tg_yyyyy_zzzzzzzz_1[j] * fl1_fza);

                    tg_yyyyyyz_xxxxxxxx_0[j] = pb_y * tg_yyyyyz_xxxxxxxx_0[j] + fr * tg_yyyyyz_xxxxxxxx_1[j] + 2.5 * fl1_fx * (tg_yyyyz_xxxxxxxx_0[j] - tg_yyyyz_xxxxxxxx_1[j] * fl1_fza);

                    tg_yyyyyyz_xxxxxxxy_0[j] = pb_y * tg_yyyyyz_xxxxxxxy_0[j] + fr * tg_yyyyyz_xxxxxxxy_1[j] + 2.5 * fl1_fx * (tg_yyyyz_xxxxxxxy_0[j] - tg_yyyyz_xxxxxxxy_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_yyyyyz_xxxxxxx_1[j];

                    tg_yyyyyyz_xxxxxxxz_0[j] = pb_y * tg_yyyyyz_xxxxxxxz_0[j] + fr * tg_yyyyyz_xxxxxxxz_1[j] + 2.5 * fl1_fx * (tg_yyyyz_xxxxxxxz_0[j] - tg_yyyyz_xxxxxxxz_1[j] * fl1_fza);

                    tg_yyyyyyz_xxxxxxyy_0[j] = pb_y * tg_yyyyyz_xxxxxxyy_0[j] + fr * tg_yyyyyz_xxxxxxyy_1[j] + 2.5 * fl1_fx * (tg_yyyyz_xxxxxxyy_0[j] - tg_yyyyz_xxxxxxyy_1[j] * fl1_fza) + fl1_fxn * tg_yyyyyz_xxxxxxy_1[j];

                    tg_yyyyyyz_xxxxxxyz_0[j] = pb_y * tg_yyyyyz_xxxxxxyz_0[j] + fr * tg_yyyyyz_xxxxxxyz_1[j] + 2.5 * fl1_fx * (tg_yyyyz_xxxxxxyz_0[j] - tg_yyyyz_xxxxxxyz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_yyyyyz_xxxxxxz_1[j];

                    tg_yyyyyyz_xxxxxxzz_0[j] = pb_y * tg_yyyyyz_xxxxxxzz_0[j] + fr * tg_yyyyyz_xxxxxxzz_1[j] + 2.5 * fl1_fx * (tg_yyyyz_xxxxxxzz_0[j] - tg_yyyyz_xxxxxxzz_1[j] * fl1_fza);

                    tg_yyyyyyz_xxxxxyyy_0[j] = pb_y * tg_yyyyyz_xxxxxyyy_0[j] + fr * tg_yyyyyz_xxxxxyyy_1[j] + 2.5 * fl1_fx * (tg_yyyyz_xxxxxyyy_0[j] - tg_yyyyz_xxxxxyyy_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_yyyyyz_xxxxxyy_1[j];

                    tg_yyyyyyz_xxxxxyyz_0[j] = pb_y * tg_yyyyyz_xxxxxyyz_0[j] + fr * tg_yyyyyz_xxxxxyyz_1[j] + 2.5 * fl1_fx * (tg_yyyyz_xxxxxyyz_0[j] - tg_yyyyz_xxxxxyyz_1[j] * fl1_fza) + fl1_fxn * tg_yyyyyz_xxxxxyz_1[j];

                    tg_yyyyyyz_xxxxxyzz_0[j] = pb_y * tg_yyyyyz_xxxxxyzz_0[j] + fr * tg_yyyyyz_xxxxxyzz_1[j] + 2.5 * fl1_fx * (tg_yyyyz_xxxxxyzz_0[j] - tg_yyyyz_xxxxxyzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_yyyyyz_xxxxxzz_1[j];

                    tg_yyyyyyz_xxxxxzzz_0[j] = pb_y * tg_yyyyyz_xxxxxzzz_0[j] + fr * tg_yyyyyz_xxxxxzzz_1[j] + 2.5 * fl1_fx * (tg_yyyyz_xxxxxzzz_0[j] - tg_yyyyz_xxxxxzzz_1[j] * fl1_fza);

                    tg_yyyyyyz_xxxxyyyy_0[j] = pb_y * tg_yyyyyz_xxxxyyyy_0[j] + fr * tg_yyyyyz_xxxxyyyy_1[j] + 2.5 * fl1_fx * (tg_yyyyz_xxxxyyyy_0[j] - tg_yyyyz_xxxxyyyy_1[j] * fl1_fza) + 2.0 * fl1_fxn * tg_yyyyyz_xxxxyyy_1[j];

                    tg_yyyyyyz_xxxxyyyz_0[j] = pb_y * tg_yyyyyz_xxxxyyyz_0[j] + fr * tg_yyyyyz_xxxxyyyz_1[j] + 2.5 * fl1_fx * (tg_yyyyz_xxxxyyyz_0[j] - tg_yyyyz_xxxxyyyz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_yyyyyz_xxxxyyz_1[j];

                    tg_yyyyyyz_xxxxyyzz_0[j] = pb_y * tg_yyyyyz_xxxxyyzz_0[j] + fr * tg_yyyyyz_xxxxyyzz_1[j] + 2.5 * fl1_fx * (tg_yyyyz_xxxxyyzz_0[j] - tg_yyyyz_xxxxyyzz_1[j] * fl1_fza) + fl1_fxn * tg_yyyyyz_xxxxyzz_1[j];

                    tg_yyyyyyz_xxxxyzzz_0[j] = pb_y * tg_yyyyyz_xxxxyzzz_0[j] + fr * tg_yyyyyz_xxxxyzzz_1[j] + 2.5 * fl1_fx * (tg_yyyyz_xxxxyzzz_0[j] - tg_yyyyz_xxxxyzzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_yyyyyz_xxxxzzz_1[j];

                    tg_yyyyyyz_xxxxzzzz_0[j] = pb_y * tg_yyyyyz_xxxxzzzz_0[j] + fr * tg_yyyyyz_xxxxzzzz_1[j] + 2.5 * fl1_fx * (tg_yyyyz_xxxxzzzz_0[j] - tg_yyyyz_xxxxzzzz_1[j] * fl1_fza);

                    tg_yyyyyyz_xxxyyyyy_0[j] = pb_y * tg_yyyyyz_xxxyyyyy_0[j] + fr * tg_yyyyyz_xxxyyyyy_1[j] + 2.5 * fl1_fx * (tg_yyyyz_xxxyyyyy_0[j] - tg_yyyyz_xxxyyyyy_1[j] * fl1_fza) + 2.5 * fl1_fxn * tg_yyyyyz_xxxyyyy_1[j];

                    tg_yyyyyyz_xxxyyyyz_0[j] = pb_y * tg_yyyyyz_xxxyyyyz_0[j] + fr * tg_yyyyyz_xxxyyyyz_1[j] + 2.5 * fl1_fx * (tg_yyyyz_xxxyyyyz_0[j] - tg_yyyyz_xxxyyyyz_1[j] * fl1_fza) + 2.0 * fl1_fxn * tg_yyyyyz_xxxyyyz_1[j];

                    tg_yyyyyyz_xxxyyyzz_0[j] = pb_y * tg_yyyyyz_xxxyyyzz_0[j] + fr * tg_yyyyyz_xxxyyyzz_1[j] + 2.5 * fl1_fx * (tg_yyyyz_xxxyyyzz_0[j] - tg_yyyyz_xxxyyyzz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_yyyyyz_xxxyyzz_1[j];

                    tg_yyyyyyz_xxxyyzzz_0[j] = pb_y * tg_yyyyyz_xxxyyzzz_0[j] + fr * tg_yyyyyz_xxxyyzzz_1[j] + 2.5 * fl1_fx * (tg_yyyyz_xxxyyzzz_0[j] - tg_yyyyz_xxxyyzzz_1[j] * fl1_fza) + fl1_fxn * tg_yyyyyz_xxxyzzz_1[j];

                    tg_yyyyyyz_xxxyzzzz_0[j] = pb_y * tg_yyyyyz_xxxyzzzz_0[j] + fr * tg_yyyyyz_xxxyzzzz_1[j] + 2.5 * fl1_fx * (tg_yyyyz_xxxyzzzz_0[j] - tg_yyyyz_xxxyzzzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_yyyyyz_xxxzzzz_1[j];

                    tg_yyyyyyz_xxxzzzzz_0[j] = pb_y * tg_yyyyyz_xxxzzzzz_0[j] + fr * tg_yyyyyz_xxxzzzzz_1[j] + 2.5 * fl1_fx * (tg_yyyyz_xxxzzzzz_0[j] - tg_yyyyz_xxxzzzzz_1[j] * fl1_fza);

                    tg_yyyyyyz_xxyyyyyy_0[j] = pb_y * tg_yyyyyz_xxyyyyyy_0[j] + fr * tg_yyyyyz_xxyyyyyy_1[j] + 2.5 * fl1_fx * (tg_yyyyz_xxyyyyyy_0[j] - tg_yyyyz_xxyyyyyy_1[j] * fl1_fza) + 3.0 * fl1_fxn * tg_yyyyyz_xxyyyyy_1[j];

                    tg_yyyyyyz_xxyyyyyz_0[j] = pb_y * tg_yyyyyz_xxyyyyyz_0[j] + fr * tg_yyyyyz_xxyyyyyz_1[j] + 2.5 * fl1_fx * (tg_yyyyz_xxyyyyyz_0[j] - tg_yyyyz_xxyyyyyz_1[j] * fl1_fza) + 2.5 * fl1_fxn * tg_yyyyyz_xxyyyyz_1[j];

                    tg_yyyyyyz_xxyyyyzz_0[j] = pb_y * tg_yyyyyz_xxyyyyzz_0[j] + fr * tg_yyyyyz_xxyyyyzz_1[j] + 2.5 * fl1_fx * (tg_yyyyz_xxyyyyzz_0[j] - tg_yyyyz_xxyyyyzz_1[j] * fl1_fza) + 2.0 * fl1_fxn * tg_yyyyyz_xxyyyzz_1[j];

                    tg_yyyyyyz_xxyyyzzz_0[j] = pb_y * tg_yyyyyz_xxyyyzzz_0[j] + fr * tg_yyyyyz_xxyyyzzz_1[j] + 2.5 * fl1_fx * (tg_yyyyz_xxyyyzzz_0[j] - tg_yyyyz_xxyyyzzz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_yyyyyz_xxyyzzz_1[j];

                    tg_yyyyyyz_xxyyzzzz_0[j] = pb_y * tg_yyyyyz_xxyyzzzz_0[j] + fr * tg_yyyyyz_xxyyzzzz_1[j] + 2.5 * fl1_fx * (tg_yyyyz_xxyyzzzz_0[j] - tg_yyyyz_xxyyzzzz_1[j] * fl1_fza) + fl1_fxn * tg_yyyyyz_xxyzzzz_1[j];

                    tg_yyyyyyz_xxyzzzzz_0[j] = pb_y * tg_yyyyyz_xxyzzzzz_0[j] + fr * tg_yyyyyz_xxyzzzzz_1[j] + 2.5 * fl1_fx * (tg_yyyyz_xxyzzzzz_0[j] - tg_yyyyz_xxyzzzzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_yyyyyz_xxzzzzz_1[j];

                    tg_yyyyyyz_xxzzzzzz_0[j] = pb_y * tg_yyyyyz_xxzzzzzz_0[j] + fr * tg_yyyyyz_xxzzzzzz_1[j] + 2.5 * fl1_fx * (tg_yyyyz_xxzzzzzz_0[j] - tg_yyyyz_xxzzzzzz_1[j] * fl1_fza);

                    tg_yyyyyyz_xyyyyyyy_0[j] = pb_y * tg_yyyyyz_xyyyyyyy_0[j] + fr * tg_yyyyyz_xyyyyyyy_1[j] + 2.5 * fl1_fx * (tg_yyyyz_xyyyyyyy_0[j] - tg_yyyyz_xyyyyyyy_1[j] * fl1_fza) + 3.5 * fl1_fxn * tg_yyyyyz_xyyyyyy_1[j];

                    tg_yyyyyyz_xyyyyyyz_0[j] = pb_y * tg_yyyyyz_xyyyyyyz_0[j] + fr * tg_yyyyyz_xyyyyyyz_1[j] + 2.5 * fl1_fx * (tg_yyyyz_xyyyyyyz_0[j] - tg_yyyyz_xyyyyyyz_1[j] * fl1_fza) + 3.0 * fl1_fxn * tg_yyyyyz_xyyyyyz_1[j];
                }

                idx++;
            }
        }
    }

    void
    compElectronRepulsionForSKSL_1335_1430(      CMemBlock2D<double>* primBuffer,
                                           const CRecursionMap&       recursionMap,
                                           const CMemBlock2D<double>& osFactors,
                                           const CMemBlock2D<double>& wpDistances,
                                           const CGtoPairsBlock&      braGtoPairsBlock,
                                           const CGtoPairsBlock&      ketGtoPairsBlock,
                                           const int32_t              nKetPrimPairs,
                                           const int32_t              iContrPair)
    {
        // Batch of Integrals (1335,1430)

        // set up pointers to primitives data on bra side

        auto spos = braGtoPairsBlock.getStartPositions();

        auto epos = braGtoPairsBlock.getEndPositions();

        // set up pointers to tensor of distance R(PB) = P - B

        auto r_pb_y = braGtoPairsBlock.getDistancesPBY();

        // set up pointers to common Obara-Saika factors

        auto b_fx = braGtoPairsBlock.getFactorsOneOverXi();

        // set up maximum order of integral

        auto mord = recursionMap.getMaxOrder({"Electron Repulsion"},
                                             {7, -1, -1, -1},
                                             {8, -1, -1, -1},
                                             1, 1);

        for (int32_t iord = 0; iord <= mord; iord++)
        {
            // set up index of integral

            auto pidx_g_7_8_m0 = recursionMap.index(CRecursionTerm({"Electron Repulsion"}, 0, true, 
                                                                   {7, -1, -1, -1}, {8, -1, -1, -1}, 
                                                                   1, 1, iord));

            // check if integral is needed in recursion expansion

            if (pidx_g_7_8_m0 == -1) continue;

            // set up indexes of auxilary integral

            auto pidx_g_6_8_m0 = recursionMap.index(CRecursionTerm({"Electron Repulsion"}, 0, true, 
                                                                   {6, -1, -1, -1}, {8, -1, -1, -1}, 
                                                                   1, 1, iord));

            auto pidx_g_6_8_m1 = recursionMap.index(CRecursionTerm({"Electron Repulsion"}, 0, true, 
                                                                   {6, -1, -1, -1}, {8, -1, -1, -1}, 
                                                                   1, 1, iord + 1));

            auto pidx_g_5_8_m0 = recursionMap.index(CRecursionTerm({"Electron Repulsion"}, 0, true, 
                                                                   {5, -1, -1, -1}, {8, -1, -1, -1}, 
                                                                   1, 1, iord));

            auto pidx_g_5_8_m1 = recursionMap.index(CRecursionTerm({"Electron Repulsion"}, 0, true, 
                                                                   {5, -1, -1, -1}, {8, -1, -1, -1}, 
                                                                   1, 1, iord + 1));

            auto pidx_g_6_7_m1 = recursionMap.index(CRecursionTerm({"Electron Repulsion"}, 0, true, 
                                                                   {6, -1, -1, -1}, {7, -1, -1, -1}, 
                                                                   1, 1, iord + 1));

            // loop over contracted GTO on bra side

            int32_t idx = 0;

            for (int32_t i = spos[iContrPair]; i < epos[iContrPair]; i++)
            {
                // set up pointers to Obara-Saika factors

                double fx = b_fx[i];

                auto fza = osFactors.data(4 * idx + 2);

                auto fxn = osFactors.data(4 * idx);

                // set up distances R(PB) = P - B

                auto pb_y = r_pb_y[i];

                // set up pointers to tensors product of distances R(WP) = W - P

                auto wp_y = wpDistances.data(3 * idx + 1);

                // set up pointers to auxilary integrals

                auto tg_yyyyyz_xyyyyyzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1020); 

                auto tg_yyyyyz_xyyyyzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1021); 

                auto tg_yyyyyz_xyyyzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1022); 

                auto tg_yyyyyz_xyyzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1023); 

                auto tg_yyyyyz_xyzzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1024); 

                auto tg_yyyyyz_xzzzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1025); 

                auto tg_yyyyyz_yyyyyyyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1026); 

                auto tg_yyyyyz_yyyyyyyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1027); 

                auto tg_yyyyyz_yyyyyyzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1028); 

                auto tg_yyyyyz_yyyyyzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1029); 

                auto tg_yyyyyz_yyyyzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1030); 

                auto tg_yyyyyz_yyyzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1031); 

                auto tg_yyyyyz_yyzzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1032); 

                auto tg_yyyyyz_yzzzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1033); 

                auto tg_yyyyyz_zzzzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1034); 

                auto tg_yyyyzz_xxxxxxxx_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1035); 

                auto tg_yyyyzz_xxxxxxxy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1036); 

                auto tg_yyyyzz_xxxxxxxz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1037); 

                auto tg_yyyyzz_xxxxxxyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1038); 

                auto tg_yyyyzz_xxxxxxyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1039); 

                auto tg_yyyyzz_xxxxxxzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1040); 

                auto tg_yyyyzz_xxxxxyyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1041); 

                auto tg_yyyyzz_xxxxxyyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1042); 

                auto tg_yyyyzz_xxxxxyzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1043); 

                auto tg_yyyyzz_xxxxxzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1044); 

                auto tg_yyyyzz_xxxxyyyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1045); 

                auto tg_yyyyzz_xxxxyyyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1046); 

                auto tg_yyyyzz_xxxxyyzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1047); 

                auto tg_yyyyzz_xxxxyzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1048); 

                auto tg_yyyyzz_xxxxzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1049); 

                auto tg_yyyyzz_xxxyyyyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1050); 

                auto tg_yyyyzz_xxxyyyyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1051); 

                auto tg_yyyyzz_xxxyyyzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1052); 

                auto tg_yyyyzz_xxxyyzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1053); 

                auto tg_yyyyzz_xxxyzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1054); 

                auto tg_yyyyzz_xxxzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1055); 

                auto tg_yyyyzz_xxyyyyyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1056); 

                auto tg_yyyyzz_xxyyyyyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1057); 

                auto tg_yyyyzz_xxyyyyzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1058); 

                auto tg_yyyyzz_xxyyyzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1059); 

                auto tg_yyyyzz_xxyyzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1060); 

                auto tg_yyyyzz_xxyzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1061); 

                auto tg_yyyyzz_xxzzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1062); 

                auto tg_yyyyzz_xyyyyyyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1063); 

                auto tg_yyyyzz_xyyyyyyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1064); 

                auto tg_yyyyzz_xyyyyyzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1065); 

                auto tg_yyyyzz_xyyyyzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1066); 

                auto tg_yyyyzz_xyyyzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1067); 

                auto tg_yyyyzz_xyyzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1068); 

                auto tg_yyyyzz_xyzzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1069); 

                auto tg_yyyyzz_xzzzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1070); 

                auto tg_yyyyzz_yyyyyyyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1071); 

                auto tg_yyyyzz_yyyyyyyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1072); 

                auto tg_yyyyzz_yyyyyyzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1073); 

                auto tg_yyyyzz_yyyyyzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1074); 

                auto tg_yyyyzz_yyyyzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1075); 

                auto tg_yyyyzz_yyyzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1076); 

                auto tg_yyyyzz_yyzzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1077); 

                auto tg_yyyyzz_yzzzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1078); 

                auto tg_yyyyzz_zzzzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1079); 

                auto tg_yyyzzz_xxxxxxxx_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1080); 

                auto tg_yyyzzz_xxxxxxxy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1081); 

                auto tg_yyyzzz_xxxxxxxz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1082); 

                auto tg_yyyzzz_xxxxxxyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1083); 

                auto tg_yyyzzz_xxxxxxyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1084); 

                auto tg_yyyzzz_xxxxxxzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1085); 

                auto tg_yyyzzz_xxxxxyyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1086); 

                auto tg_yyyzzz_xxxxxyyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1087); 

                auto tg_yyyzzz_xxxxxyzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1088); 

                auto tg_yyyzzz_xxxxxzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1089); 

                auto tg_yyyzzz_xxxxyyyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1090); 

                auto tg_yyyzzz_xxxxyyyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1091); 

                auto tg_yyyzzz_xxxxyyzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1092); 

                auto tg_yyyzzz_xxxxyzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1093); 

                auto tg_yyyzzz_xxxxzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1094); 

                auto tg_yyyzzz_xxxyyyyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1095); 

                auto tg_yyyzzz_xxxyyyyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1096); 

                auto tg_yyyzzz_xxxyyyzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1097); 

                auto tg_yyyzzz_xxxyyzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1098); 

                auto tg_yyyzzz_xxxyzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1099); 

                auto tg_yyyzzz_xxxzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1100); 

                auto tg_yyyzzz_xxyyyyyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1101); 

                auto tg_yyyzzz_xxyyyyyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1102); 

                auto tg_yyyzzz_xxyyyyzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1103); 

                auto tg_yyyzzz_xxyyyzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1104); 

                auto tg_yyyzzz_xxyyzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1105); 

                auto tg_yyyzzz_xxyzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1106); 

                auto tg_yyyzzz_xxzzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1107); 

                auto tg_yyyzzz_xyyyyyyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1108); 

                auto tg_yyyzzz_xyyyyyyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1109); 

                auto tg_yyyzzz_xyyyyyzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1110); 

                auto tg_yyyzzz_xyyyyzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1111); 

                auto tg_yyyzzz_xyyyzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1112); 

                auto tg_yyyzzz_xyyzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1113); 

                auto tg_yyyzzz_xyzzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1114); 

                auto tg_yyyyyz_xyyyyyzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1020); 

                auto tg_yyyyyz_xyyyyzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1021); 

                auto tg_yyyyyz_xyyyzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1022); 

                auto tg_yyyyyz_xyyzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1023); 

                auto tg_yyyyyz_xyzzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1024); 

                auto tg_yyyyyz_xzzzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1025); 

                auto tg_yyyyyz_yyyyyyyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1026); 

                auto tg_yyyyyz_yyyyyyyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1027); 

                auto tg_yyyyyz_yyyyyyzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1028); 

                auto tg_yyyyyz_yyyyyzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1029); 

                auto tg_yyyyyz_yyyyzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1030); 

                auto tg_yyyyyz_yyyzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1031); 

                auto tg_yyyyyz_yyzzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1032); 

                auto tg_yyyyyz_yzzzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1033); 

                auto tg_yyyyyz_zzzzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1034); 

                auto tg_yyyyzz_xxxxxxxx_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1035); 

                auto tg_yyyyzz_xxxxxxxy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1036); 

                auto tg_yyyyzz_xxxxxxxz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1037); 

                auto tg_yyyyzz_xxxxxxyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1038); 

                auto tg_yyyyzz_xxxxxxyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1039); 

                auto tg_yyyyzz_xxxxxxzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1040); 

                auto tg_yyyyzz_xxxxxyyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1041); 

                auto tg_yyyyzz_xxxxxyyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1042); 

                auto tg_yyyyzz_xxxxxyzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1043); 

                auto tg_yyyyzz_xxxxxzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1044); 

                auto tg_yyyyzz_xxxxyyyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1045); 

                auto tg_yyyyzz_xxxxyyyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1046); 

                auto tg_yyyyzz_xxxxyyzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1047); 

                auto tg_yyyyzz_xxxxyzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1048); 

                auto tg_yyyyzz_xxxxzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1049); 

                auto tg_yyyyzz_xxxyyyyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1050); 

                auto tg_yyyyzz_xxxyyyyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1051); 

                auto tg_yyyyzz_xxxyyyzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1052); 

                auto tg_yyyyzz_xxxyyzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1053); 

                auto tg_yyyyzz_xxxyzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1054); 

                auto tg_yyyyzz_xxxzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1055); 

                auto tg_yyyyzz_xxyyyyyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1056); 

                auto tg_yyyyzz_xxyyyyyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1057); 

                auto tg_yyyyzz_xxyyyyzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1058); 

                auto tg_yyyyzz_xxyyyzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1059); 

                auto tg_yyyyzz_xxyyzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1060); 

                auto tg_yyyyzz_xxyzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1061); 

                auto tg_yyyyzz_xxzzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1062); 

                auto tg_yyyyzz_xyyyyyyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1063); 

                auto tg_yyyyzz_xyyyyyyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1064); 

                auto tg_yyyyzz_xyyyyyzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1065); 

                auto tg_yyyyzz_xyyyyzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1066); 

                auto tg_yyyyzz_xyyyzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1067); 

                auto tg_yyyyzz_xyyzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1068); 

                auto tg_yyyyzz_xyzzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1069); 

                auto tg_yyyyzz_xzzzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1070); 

                auto tg_yyyyzz_yyyyyyyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1071); 

                auto tg_yyyyzz_yyyyyyyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1072); 

                auto tg_yyyyzz_yyyyyyzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1073); 

                auto tg_yyyyzz_yyyyyzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1074); 

                auto tg_yyyyzz_yyyyzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1075); 

                auto tg_yyyyzz_yyyzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1076); 

                auto tg_yyyyzz_yyzzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1077); 

                auto tg_yyyyzz_yzzzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1078); 

                auto tg_yyyyzz_zzzzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1079); 

                auto tg_yyyzzz_xxxxxxxx_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1080); 

                auto tg_yyyzzz_xxxxxxxy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1081); 

                auto tg_yyyzzz_xxxxxxxz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1082); 

                auto tg_yyyzzz_xxxxxxyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1083); 

                auto tg_yyyzzz_xxxxxxyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1084); 

                auto tg_yyyzzz_xxxxxxzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1085); 

                auto tg_yyyzzz_xxxxxyyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1086); 

                auto tg_yyyzzz_xxxxxyyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1087); 

                auto tg_yyyzzz_xxxxxyzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1088); 

                auto tg_yyyzzz_xxxxxzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1089); 

                auto tg_yyyzzz_xxxxyyyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1090); 

                auto tg_yyyzzz_xxxxyyyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1091); 

                auto tg_yyyzzz_xxxxyyzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1092); 

                auto tg_yyyzzz_xxxxyzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1093); 

                auto tg_yyyzzz_xxxxzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1094); 

                auto tg_yyyzzz_xxxyyyyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1095); 

                auto tg_yyyzzz_xxxyyyyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1096); 

                auto tg_yyyzzz_xxxyyyzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1097); 

                auto tg_yyyzzz_xxxyyzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1098); 

                auto tg_yyyzzz_xxxyzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1099); 

                auto tg_yyyzzz_xxxzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1100); 

                auto tg_yyyzzz_xxyyyyyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1101); 

                auto tg_yyyzzz_xxyyyyyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1102); 

                auto tg_yyyzzz_xxyyyyzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1103); 

                auto tg_yyyzzz_xxyyyzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1104); 

                auto tg_yyyzzz_xxyyzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1105); 

                auto tg_yyyzzz_xxyzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1106); 

                auto tg_yyyzzz_xxzzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1107); 

                auto tg_yyyzzz_xyyyyyyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1108); 

                auto tg_yyyzzz_xyyyyyyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1109); 

                auto tg_yyyzzz_xyyyyyzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1110); 

                auto tg_yyyzzz_xyyyyzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1111); 

                auto tg_yyyzzz_xyyyzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1112); 

                auto tg_yyyzzz_xyyzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1113); 

                auto tg_yyyzzz_xyzzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1114); 

                auto tg_yyyyz_xyyyyyzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 750); 

                auto tg_yyyyz_xyyyyzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 751); 

                auto tg_yyyyz_xyyyzzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 752); 

                auto tg_yyyyz_xyyzzzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 753); 

                auto tg_yyyyz_xyzzzzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 754); 

                auto tg_yyyyz_xzzzzzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 755); 

                auto tg_yyyyz_yyyyyyyy_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 756); 

                auto tg_yyyyz_yyyyyyyz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 757); 

                auto tg_yyyyz_yyyyyyzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 758); 

                auto tg_yyyyz_yyyyyzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 759); 

                auto tg_yyyyz_yyyyzzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 760); 

                auto tg_yyyyz_yyyzzzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 761); 

                auto tg_yyyyz_yyzzzzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 762); 

                auto tg_yyyyz_yzzzzzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 763); 

                auto tg_yyyyz_zzzzzzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 764); 

                auto tg_yyyzz_xxxxxxxx_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 765); 

                auto tg_yyyzz_xxxxxxxy_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 766); 

                auto tg_yyyzz_xxxxxxxz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 767); 

                auto tg_yyyzz_xxxxxxyy_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 768); 

                auto tg_yyyzz_xxxxxxyz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 769); 

                auto tg_yyyzz_xxxxxxzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 770); 

                auto tg_yyyzz_xxxxxyyy_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 771); 

                auto tg_yyyzz_xxxxxyyz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 772); 

                auto tg_yyyzz_xxxxxyzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 773); 

                auto tg_yyyzz_xxxxxzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 774); 

                auto tg_yyyzz_xxxxyyyy_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 775); 

                auto tg_yyyzz_xxxxyyyz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 776); 

                auto tg_yyyzz_xxxxyyzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 777); 

                auto tg_yyyzz_xxxxyzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 778); 

                auto tg_yyyzz_xxxxzzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 779); 

                auto tg_yyyzz_xxxyyyyy_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 780); 

                auto tg_yyyzz_xxxyyyyz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 781); 

                auto tg_yyyzz_xxxyyyzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 782); 

                auto tg_yyyzz_xxxyyzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 783); 

                auto tg_yyyzz_xxxyzzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 784); 

                auto tg_yyyzz_xxxzzzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 785); 

                auto tg_yyyzz_xxyyyyyy_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 786); 

                auto tg_yyyzz_xxyyyyyz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 787); 

                auto tg_yyyzz_xxyyyyzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 788); 

                auto tg_yyyzz_xxyyyzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 789); 

                auto tg_yyyzz_xxyyzzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 790); 

                auto tg_yyyzz_xxyzzzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 791); 

                auto tg_yyyzz_xxzzzzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 792); 

                auto tg_yyyzz_xyyyyyyy_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 793); 

                auto tg_yyyzz_xyyyyyyz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 794); 

                auto tg_yyyzz_xyyyyyzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 795); 

                auto tg_yyyzz_xyyyyzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 796); 

                auto tg_yyyzz_xyyyzzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 797); 

                auto tg_yyyzz_xyyzzzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 798); 

                auto tg_yyyzz_xyzzzzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 799); 

                auto tg_yyyzz_xzzzzzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 800); 

                auto tg_yyyzz_yyyyyyyy_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 801); 

                auto tg_yyyzz_yyyyyyyz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 802); 

                auto tg_yyyzz_yyyyyyzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 803); 

                auto tg_yyyzz_yyyyyzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 804); 

                auto tg_yyyzz_yyyyzzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 805); 

                auto tg_yyyzz_yyyzzzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 806); 

                auto tg_yyyzz_yyzzzzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 807); 

                auto tg_yyyzz_yzzzzzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 808); 

                auto tg_yyyzz_zzzzzzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 809); 

                auto tg_yyzzz_xxxxxxxx_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 810); 

                auto tg_yyzzz_xxxxxxxy_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 811); 

                auto tg_yyzzz_xxxxxxxz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 812); 

                auto tg_yyzzz_xxxxxxyy_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 813); 

                auto tg_yyzzz_xxxxxxyz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 814); 

                auto tg_yyzzz_xxxxxxzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 815); 

                auto tg_yyzzz_xxxxxyyy_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 816); 

                auto tg_yyzzz_xxxxxyyz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 817); 

                auto tg_yyzzz_xxxxxyzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 818); 

                auto tg_yyzzz_xxxxxzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 819); 

                auto tg_yyzzz_xxxxyyyy_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 820); 

                auto tg_yyzzz_xxxxyyyz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 821); 

                auto tg_yyzzz_xxxxyyzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 822); 

                auto tg_yyzzz_xxxxyzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 823); 

                auto tg_yyzzz_xxxxzzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 824); 

                auto tg_yyzzz_xxxyyyyy_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 825); 

                auto tg_yyzzz_xxxyyyyz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 826); 

                auto tg_yyzzz_xxxyyyzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 827); 

                auto tg_yyzzz_xxxyyzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 828); 

                auto tg_yyzzz_xxxyzzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 829); 

                auto tg_yyzzz_xxxzzzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 830); 

                auto tg_yyzzz_xxyyyyyy_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 831); 

                auto tg_yyzzz_xxyyyyyz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 832); 

                auto tg_yyzzz_xxyyyyzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 833); 

                auto tg_yyzzz_xxyyyzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 834); 

                auto tg_yyzzz_xxyyzzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 835); 

                auto tg_yyzzz_xxyzzzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 836); 

                auto tg_yyzzz_xxzzzzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 837); 

                auto tg_yyzzz_xyyyyyyy_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 838); 

                auto tg_yyzzz_xyyyyyyz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 839); 

                auto tg_yyzzz_xyyyyyzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 840); 

                auto tg_yyzzz_xyyyyzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 841); 

                auto tg_yyzzz_xyyyzzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 842); 

                auto tg_yyzzz_xyyzzzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 843); 

                auto tg_yyzzz_xyzzzzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 844); 

                auto tg_yyyyz_xyyyyyzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 750); 

                auto tg_yyyyz_xyyyyzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 751); 

                auto tg_yyyyz_xyyyzzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 752); 

                auto tg_yyyyz_xyyzzzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 753); 

                auto tg_yyyyz_xyzzzzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 754); 

                auto tg_yyyyz_xzzzzzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 755); 

                auto tg_yyyyz_yyyyyyyy_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 756); 

                auto tg_yyyyz_yyyyyyyz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 757); 

                auto tg_yyyyz_yyyyyyzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 758); 

                auto tg_yyyyz_yyyyyzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 759); 

                auto tg_yyyyz_yyyyzzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 760); 

                auto tg_yyyyz_yyyzzzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 761); 

                auto tg_yyyyz_yyzzzzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 762); 

                auto tg_yyyyz_yzzzzzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 763); 

                auto tg_yyyyz_zzzzzzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 764); 

                auto tg_yyyzz_xxxxxxxx_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 765); 

                auto tg_yyyzz_xxxxxxxy_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 766); 

                auto tg_yyyzz_xxxxxxxz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 767); 

                auto tg_yyyzz_xxxxxxyy_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 768); 

                auto tg_yyyzz_xxxxxxyz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 769); 

                auto tg_yyyzz_xxxxxxzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 770); 

                auto tg_yyyzz_xxxxxyyy_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 771); 

                auto tg_yyyzz_xxxxxyyz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 772); 

                auto tg_yyyzz_xxxxxyzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 773); 

                auto tg_yyyzz_xxxxxzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 774); 

                auto tg_yyyzz_xxxxyyyy_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 775); 

                auto tg_yyyzz_xxxxyyyz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 776); 

                auto tg_yyyzz_xxxxyyzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 777); 

                auto tg_yyyzz_xxxxyzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 778); 

                auto tg_yyyzz_xxxxzzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 779); 

                auto tg_yyyzz_xxxyyyyy_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 780); 

                auto tg_yyyzz_xxxyyyyz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 781); 

                auto tg_yyyzz_xxxyyyzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 782); 

                auto tg_yyyzz_xxxyyzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 783); 

                auto tg_yyyzz_xxxyzzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 784); 

                auto tg_yyyzz_xxxzzzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 785); 

                auto tg_yyyzz_xxyyyyyy_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 786); 

                auto tg_yyyzz_xxyyyyyz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 787); 

                auto tg_yyyzz_xxyyyyzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 788); 

                auto tg_yyyzz_xxyyyzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 789); 

                auto tg_yyyzz_xxyyzzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 790); 

                auto tg_yyyzz_xxyzzzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 791); 

                auto tg_yyyzz_xxzzzzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 792); 

                auto tg_yyyzz_xyyyyyyy_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 793); 

                auto tg_yyyzz_xyyyyyyz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 794); 

                auto tg_yyyzz_xyyyyyzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 795); 

                auto tg_yyyzz_xyyyyzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 796); 

                auto tg_yyyzz_xyyyzzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 797); 

                auto tg_yyyzz_xyyzzzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 798); 

                auto tg_yyyzz_xyzzzzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 799); 

                auto tg_yyyzz_xzzzzzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 800); 

                auto tg_yyyzz_yyyyyyyy_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 801); 

                auto tg_yyyzz_yyyyyyyz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 802); 

                auto tg_yyyzz_yyyyyyzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 803); 

                auto tg_yyyzz_yyyyyzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 804); 

                auto tg_yyyzz_yyyyzzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 805); 

                auto tg_yyyzz_yyyzzzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 806); 

                auto tg_yyyzz_yyzzzzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 807); 

                auto tg_yyyzz_yzzzzzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 808); 

                auto tg_yyyzz_zzzzzzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 809); 

                auto tg_yyzzz_xxxxxxxx_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 810); 

                auto tg_yyzzz_xxxxxxxy_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 811); 

                auto tg_yyzzz_xxxxxxxz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 812); 

                auto tg_yyzzz_xxxxxxyy_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 813); 

                auto tg_yyzzz_xxxxxxyz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 814); 

                auto tg_yyzzz_xxxxxxzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 815); 

                auto tg_yyzzz_xxxxxyyy_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 816); 

                auto tg_yyzzz_xxxxxyyz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 817); 

                auto tg_yyzzz_xxxxxyzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 818); 

                auto tg_yyzzz_xxxxxzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 819); 

                auto tg_yyzzz_xxxxyyyy_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 820); 

                auto tg_yyzzz_xxxxyyyz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 821); 

                auto tg_yyzzz_xxxxyyzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 822); 

                auto tg_yyzzz_xxxxyzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 823); 

                auto tg_yyzzz_xxxxzzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 824); 

                auto tg_yyzzz_xxxyyyyy_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 825); 

                auto tg_yyzzz_xxxyyyyz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 826); 

                auto tg_yyzzz_xxxyyyzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 827); 

                auto tg_yyzzz_xxxyyzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 828); 

                auto tg_yyzzz_xxxyzzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 829); 

                auto tg_yyzzz_xxxzzzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 830); 

                auto tg_yyzzz_xxyyyyyy_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 831); 

                auto tg_yyzzz_xxyyyyyz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 832); 

                auto tg_yyzzz_xxyyyyzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 833); 

                auto tg_yyzzz_xxyyyzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 834); 

                auto tg_yyzzz_xxyyzzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 835); 

                auto tg_yyzzz_xxyzzzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 836); 

                auto tg_yyzzz_xxzzzzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 837); 

                auto tg_yyzzz_xyyyyyyy_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 838); 

                auto tg_yyzzz_xyyyyyyz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 839); 

                auto tg_yyzzz_xyyyyyzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 840); 

                auto tg_yyzzz_xyyyyzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 841); 

                auto tg_yyzzz_xyyyzzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 842); 

                auto tg_yyzzz_xyyzzzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 843); 

                auto tg_yyzzz_xyzzzzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 844); 

                auto tg_yyyyyz_xyyyyzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 815); 

                auto tg_yyyyyz_xyyyzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 816); 

                auto tg_yyyyyz_xyyzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 817); 

                auto tg_yyyyyz_xyzzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 818); 

                auto tg_yyyyyz_xzzzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 819); 

                auto tg_yyyyyz_yyyyyyy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 820); 

                auto tg_yyyyyz_yyyyyyz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 821); 

                auto tg_yyyyyz_yyyyyzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 822); 

                auto tg_yyyyyz_yyyyzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 823); 

                auto tg_yyyyyz_yyyzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 824); 

                auto tg_yyyyyz_yyzzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 825); 

                auto tg_yyyyyz_yzzzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 826); 

                auto tg_yyyyyz_zzzzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 827); 

                auto tg_yyyyzz_xxxxxxx_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 828); 

                auto tg_yyyyzz_xxxxxxy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 829); 

                auto tg_yyyyzz_xxxxxxz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 830); 

                auto tg_yyyyzz_xxxxxyy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 831); 

                auto tg_yyyyzz_xxxxxyz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 832); 

                auto tg_yyyyzz_xxxxxzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 833); 

                auto tg_yyyyzz_xxxxyyy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 834); 

                auto tg_yyyyzz_xxxxyyz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 835); 

                auto tg_yyyyzz_xxxxyzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 836); 

                auto tg_yyyyzz_xxxxzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 837); 

                auto tg_yyyyzz_xxxyyyy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 838); 

                auto tg_yyyyzz_xxxyyyz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 839); 

                auto tg_yyyyzz_xxxyyzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 840); 

                auto tg_yyyyzz_xxxyzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 841); 

                auto tg_yyyyzz_xxxzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 842); 

                auto tg_yyyyzz_xxyyyyy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 843); 

                auto tg_yyyyzz_xxyyyyz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 844); 

                auto tg_yyyyzz_xxyyyzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 845); 

                auto tg_yyyyzz_xxyyzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 846); 

                auto tg_yyyyzz_xxyzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 847); 

                auto tg_yyyyzz_xxzzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 848); 

                auto tg_yyyyzz_xyyyyyy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 849); 

                auto tg_yyyyzz_xyyyyyz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 850); 

                auto tg_yyyyzz_xyyyyzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 851); 

                auto tg_yyyyzz_xyyyzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 852); 

                auto tg_yyyyzz_xyyzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 853); 

                auto tg_yyyyzz_xyzzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 854); 

                auto tg_yyyyzz_xzzzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 855); 

                auto tg_yyyyzz_yyyyyyy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 856); 

                auto tg_yyyyzz_yyyyyyz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 857); 

                auto tg_yyyyzz_yyyyyzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 858); 

                auto tg_yyyyzz_yyyyzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 859); 

                auto tg_yyyyzz_yyyzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 860); 

                auto tg_yyyyzz_yyzzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 861); 

                auto tg_yyyyzz_yzzzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 862); 

                auto tg_yyyyzz_zzzzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 863); 

                auto tg_yyyzzz_xxxxxxx_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 864); 

                auto tg_yyyzzz_xxxxxxy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 865); 

                auto tg_yyyzzz_xxxxxxz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 866); 

                auto tg_yyyzzz_xxxxxyy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 867); 

                auto tg_yyyzzz_xxxxxyz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 868); 

                auto tg_yyyzzz_xxxxxzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 869); 

                auto tg_yyyzzz_xxxxyyy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 870); 

                auto tg_yyyzzz_xxxxyyz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 871); 

                auto tg_yyyzzz_xxxxyzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 872); 

                auto tg_yyyzzz_xxxxzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 873); 

                auto tg_yyyzzz_xxxyyyy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 874); 

                auto tg_yyyzzz_xxxyyyz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 875); 

                auto tg_yyyzzz_xxxyyzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 876); 

                auto tg_yyyzzz_xxxyzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 877); 

                auto tg_yyyzzz_xxxzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 878); 

                auto tg_yyyzzz_xxyyyyy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 879); 

                auto tg_yyyzzz_xxyyyyz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 880); 

                auto tg_yyyzzz_xxyyyzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 881); 

                auto tg_yyyzzz_xxyyzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 882); 

                auto tg_yyyzzz_xxyzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 883); 

                auto tg_yyyzzz_xxzzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 884); 

                auto tg_yyyzzz_xyyyyyy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 885); 

                auto tg_yyyzzz_xyyyyyz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 886); 

                auto tg_yyyzzz_xyyyyzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 887); 

                auto tg_yyyzzz_xyyyzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 888); 

                auto tg_yyyzzz_xyyzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 889); 

                auto tg_yyyzzz_xyzzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 890); 

                auto tg_yyyzzz_xzzzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 891); 

                // set up pointers to integrals

                auto tg_yyyyyyz_xyyyyyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1335); 

                auto tg_yyyyyyz_xyyyyzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1336); 

                auto tg_yyyyyyz_xyyyzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1337); 

                auto tg_yyyyyyz_xyyzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1338); 

                auto tg_yyyyyyz_xyzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1339); 

                auto tg_yyyyyyz_xzzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1340); 

                auto tg_yyyyyyz_yyyyyyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1341); 

                auto tg_yyyyyyz_yyyyyyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1342); 

                auto tg_yyyyyyz_yyyyyyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1343); 

                auto tg_yyyyyyz_yyyyyzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1344); 

                auto tg_yyyyyyz_yyyyzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1345); 

                auto tg_yyyyyyz_yyyzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1346); 

                auto tg_yyyyyyz_yyzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1347); 

                auto tg_yyyyyyz_yzzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1348); 

                auto tg_yyyyyyz_zzzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1349); 

                auto tg_yyyyyzz_xxxxxxxx_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1350); 

                auto tg_yyyyyzz_xxxxxxxy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1351); 

                auto tg_yyyyyzz_xxxxxxxz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1352); 

                auto tg_yyyyyzz_xxxxxxyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1353); 

                auto tg_yyyyyzz_xxxxxxyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1354); 

                auto tg_yyyyyzz_xxxxxxzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1355); 

                auto tg_yyyyyzz_xxxxxyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1356); 

                auto tg_yyyyyzz_xxxxxyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1357); 

                auto tg_yyyyyzz_xxxxxyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1358); 

                auto tg_yyyyyzz_xxxxxzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1359); 

                auto tg_yyyyyzz_xxxxyyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1360); 

                auto tg_yyyyyzz_xxxxyyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1361); 

                auto tg_yyyyyzz_xxxxyyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1362); 

                auto tg_yyyyyzz_xxxxyzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1363); 

                auto tg_yyyyyzz_xxxxzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1364); 

                auto tg_yyyyyzz_xxxyyyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1365); 

                auto tg_yyyyyzz_xxxyyyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1366); 

                auto tg_yyyyyzz_xxxyyyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1367); 

                auto tg_yyyyyzz_xxxyyzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1368); 

                auto tg_yyyyyzz_xxxyzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1369); 

                auto tg_yyyyyzz_xxxzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1370); 

                auto tg_yyyyyzz_xxyyyyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1371); 

                auto tg_yyyyyzz_xxyyyyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1372); 

                auto tg_yyyyyzz_xxyyyyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1373); 

                auto tg_yyyyyzz_xxyyyzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1374); 

                auto tg_yyyyyzz_xxyyzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1375); 

                auto tg_yyyyyzz_xxyzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1376); 

                auto tg_yyyyyzz_xxzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1377); 

                auto tg_yyyyyzz_xyyyyyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1378); 

                auto tg_yyyyyzz_xyyyyyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1379); 

                auto tg_yyyyyzz_xyyyyyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1380); 

                auto tg_yyyyyzz_xyyyyzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1381); 

                auto tg_yyyyyzz_xyyyzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1382); 

                auto tg_yyyyyzz_xyyzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1383); 

                auto tg_yyyyyzz_xyzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1384); 

                auto tg_yyyyyzz_xzzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1385); 

                auto tg_yyyyyzz_yyyyyyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1386); 

                auto tg_yyyyyzz_yyyyyyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1387); 

                auto tg_yyyyyzz_yyyyyyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1388); 

                auto tg_yyyyyzz_yyyyyzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1389); 

                auto tg_yyyyyzz_yyyyzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1390); 

                auto tg_yyyyyzz_yyyzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1391); 

                auto tg_yyyyyzz_yyzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1392); 

                auto tg_yyyyyzz_yzzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1393); 

                auto tg_yyyyyzz_zzzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1394); 

                auto tg_yyyyzzz_xxxxxxxx_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1395); 

                auto tg_yyyyzzz_xxxxxxxy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1396); 

                auto tg_yyyyzzz_xxxxxxxz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1397); 

                auto tg_yyyyzzz_xxxxxxyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1398); 

                auto tg_yyyyzzz_xxxxxxyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1399); 

                auto tg_yyyyzzz_xxxxxxzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1400); 

                auto tg_yyyyzzz_xxxxxyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1401); 

                auto tg_yyyyzzz_xxxxxyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1402); 

                auto tg_yyyyzzz_xxxxxyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1403); 

                auto tg_yyyyzzz_xxxxxzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1404); 

                auto tg_yyyyzzz_xxxxyyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1405); 

                auto tg_yyyyzzz_xxxxyyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1406); 

                auto tg_yyyyzzz_xxxxyyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1407); 

                auto tg_yyyyzzz_xxxxyzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1408); 

                auto tg_yyyyzzz_xxxxzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1409); 

                auto tg_yyyyzzz_xxxyyyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1410); 

                auto tg_yyyyzzz_xxxyyyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1411); 

                auto tg_yyyyzzz_xxxyyyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1412); 

                auto tg_yyyyzzz_xxxyyzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1413); 

                auto tg_yyyyzzz_xxxyzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1414); 

                auto tg_yyyyzzz_xxxzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1415); 

                auto tg_yyyyzzz_xxyyyyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1416); 

                auto tg_yyyyzzz_xxyyyyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1417); 

                auto tg_yyyyzzz_xxyyyyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1418); 

                auto tg_yyyyzzz_xxyyyzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1419); 

                auto tg_yyyyzzz_xxyyzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1420); 

                auto tg_yyyyzzz_xxyzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1421); 

                auto tg_yyyyzzz_xxzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1422); 

                auto tg_yyyyzzz_xyyyyyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1423); 

                auto tg_yyyyzzz_xyyyyyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1424); 

                auto tg_yyyyzzz_xyyyyyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1425); 

                auto tg_yyyyzzz_xyyyyzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1426); 

                auto tg_yyyyzzz_xyyyzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1427); 

                auto tg_yyyyzzz_xyyzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1428); 

                auto tg_yyyyzzz_xyzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1429); 

                // Batch of Integrals (1335,1430)

                #pragma omp simd aligned(fxn, fza, tg_yyyyyyz_xyyyyyzz_0, tg_yyyyyyz_xyyyyzzz_0, \
                                         tg_yyyyyyz_xyyyzzzz_0, tg_yyyyyyz_xyyzzzzz_0, tg_yyyyyyz_xyzzzzzz_0, \
                                         tg_yyyyyyz_xzzzzzzz_0, tg_yyyyyyz_yyyyyyyy_0, tg_yyyyyyz_yyyyyyyz_0, \
                                         tg_yyyyyyz_yyyyyyzz_0, tg_yyyyyyz_yyyyyzzz_0, tg_yyyyyyz_yyyyzzzz_0, \
                                         tg_yyyyyyz_yyyzzzzz_0, tg_yyyyyyz_yyzzzzzz_0, tg_yyyyyyz_yzzzzzzz_0, \
                                         tg_yyyyyyz_zzzzzzzz_0, tg_yyyyyz_xyyyyyzz_0, tg_yyyyyz_xyyyyyzz_1, tg_yyyyyz_xyyyyzz_1, \
                                         tg_yyyyyz_xyyyyzzz_0, tg_yyyyyz_xyyyyzzz_1, tg_yyyyyz_xyyyzzz_1, tg_yyyyyz_xyyyzzzz_0, \
                                         tg_yyyyyz_xyyyzzzz_1, tg_yyyyyz_xyyzzzz_1, tg_yyyyyz_xyyzzzzz_0, tg_yyyyyz_xyyzzzzz_1, \
                                         tg_yyyyyz_xyzzzzz_1, tg_yyyyyz_xyzzzzzz_0, tg_yyyyyz_xyzzzzzz_1, tg_yyyyyz_xzzzzzz_1, \
                                         tg_yyyyyz_xzzzzzzz_0, tg_yyyyyz_xzzzzzzz_1, tg_yyyyyz_yyyyyyy_1, tg_yyyyyz_yyyyyyyy_0, \
                                         tg_yyyyyz_yyyyyyyy_1, tg_yyyyyz_yyyyyyyz_0, tg_yyyyyz_yyyyyyyz_1, tg_yyyyyz_yyyyyyz_1, \
                                         tg_yyyyyz_yyyyyyzz_0, tg_yyyyyz_yyyyyyzz_1, tg_yyyyyz_yyyyyzz_1, tg_yyyyyz_yyyyyzzz_0, \
                                         tg_yyyyyz_yyyyyzzz_1, tg_yyyyyz_yyyyzzz_1, tg_yyyyyz_yyyyzzzz_0, tg_yyyyyz_yyyyzzzz_1, \
                                         tg_yyyyyz_yyyzzzz_1, tg_yyyyyz_yyyzzzzz_0, tg_yyyyyz_yyyzzzzz_1, tg_yyyyyz_yyzzzzz_1, \
                                         tg_yyyyyz_yyzzzzzz_0, tg_yyyyyz_yyzzzzzz_1, tg_yyyyyz_yzzzzzz_1, tg_yyyyyz_yzzzzzzz_0, \
                                         tg_yyyyyz_yzzzzzzz_1, tg_yyyyyz_zzzzzzz_1, tg_yyyyyz_zzzzzzzz_0, tg_yyyyyz_zzzzzzzz_1, \
                                         tg_yyyyyzz_xxxxxxxx_0, tg_yyyyyzz_xxxxxxxy_0, tg_yyyyyzz_xxxxxxxz_0, \
                                         tg_yyyyyzz_xxxxxxyy_0, tg_yyyyyzz_xxxxxxyz_0, tg_yyyyyzz_xxxxxxzz_0, \
                                         tg_yyyyyzz_xxxxxyyy_0, tg_yyyyyzz_xxxxxyyz_0, tg_yyyyyzz_xxxxxyzz_0, \
                                         tg_yyyyyzz_xxxxxzzz_0, tg_yyyyyzz_xxxxyyyy_0, tg_yyyyyzz_xxxxyyyz_0, \
                                         tg_yyyyyzz_xxxxyyzz_0, tg_yyyyyzz_xxxxyzzz_0, tg_yyyyyzz_xxxxzzzz_0, \
                                         tg_yyyyyzz_xxxyyyyy_0, tg_yyyyyzz_xxxyyyyz_0, tg_yyyyyzz_xxxyyyzz_0, \
                                         tg_yyyyyzz_xxxyyzzz_0, tg_yyyyyzz_xxxyzzzz_0, tg_yyyyyzz_xxxzzzzz_0, \
                                         tg_yyyyyzz_xxyyyyyy_0, tg_yyyyyzz_xxyyyyyz_0, tg_yyyyyzz_xxyyyyzz_0, \
                                         tg_yyyyyzz_xxyyyzzz_0, tg_yyyyyzz_xxyyzzzz_0, tg_yyyyyzz_xxyzzzzz_0, \
                                         tg_yyyyyzz_xxzzzzzz_0, tg_yyyyyzz_xyyyyyyy_0, tg_yyyyyzz_xyyyyyyz_0, \
                                         tg_yyyyyzz_xyyyyyzz_0, tg_yyyyyzz_xyyyyzzz_0, tg_yyyyyzz_xyyyzzzz_0, \
                                         tg_yyyyyzz_xyyzzzzz_0, tg_yyyyyzz_xyzzzzzz_0, tg_yyyyyzz_xzzzzzzz_0, \
                                         tg_yyyyyzz_yyyyyyyy_0, tg_yyyyyzz_yyyyyyyz_0, tg_yyyyyzz_yyyyyyzz_0, \
                                         tg_yyyyyzz_yyyyyzzz_0, tg_yyyyyzz_yyyyzzzz_0, tg_yyyyyzz_yyyzzzzz_0, \
                                         tg_yyyyyzz_yyzzzzzz_0, tg_yyyyyzz_yzzzzzzz_0, tg_yyyyyzz_zzzzzzzz_0, \
                                         tg_yyyyz_xyyyyyzz_0, tg_yyyyz_xyyyyyzz_1, tg_yyyyz_xyyyyzzz_0, tg_yyyyz_xyyyyzzz_1, \
                                         tg_yyyyz_xyyyzzzz_0, tg_yyyyz_xyyyzzzz_1, tg_yyyyz_xyyzzzzz_0, tg_yyyyz_xyyzzzzz_1, \
                                         tg_yyyyz_xyzzzzzz_0, tg_yyyyz_xyzzzzzz_1, tg_yyyyz_xzzzzzzz_0, tg_yyyyz_xzzzzzzz_1, \
                                         tg_yyyyz_yyyyyyyy_0, tg_yyyyz_yyyyyyyy_1, tg_yyyyz_yyyyyyyz_0, tg_yyyyz_yyyyyyyz_1, \
                                         tg_yyyyz_yyyyyyzz_0, tg_yyyyz_yyyyyyzz_1, tg_yyyyz_yyyyyzzz_0, tg_yyyyz_yyyyyzzz_1, \
                                         tg_yyyyz_yyyyzzzz_0, tg_yyyyz_yyyyzzzz_1, tg_yyyyz_yyyzzzzz_0, tg_yyyyz_yyyzzzzz_1, \
                                         tg_yyyyz_yyzzzzzz_0, tg_yyyyz_yyzzzzzz_1, tg_yyyyz_yzzzzzzz_0, tg_yyyyz_yzzzzzzz_1, \
                                         tg_yyyyz_zzzzzzzz_0, tg_yyyyz_zzzzzzzz_1, tg_yyyyzz_xxxxxxx_1, tg_yyyyzz_xxxxxxxx_0, \
                                         tg_yyyyzz_xxxxxxxx_1, tg_yyyyzz_xxxxxxxy_0, tg_yyyyzz_xxxxxxxy_1, tg_yyyyzz_xxxxxxxz_0, \
                                         tg_yyyyzz_xxxxxxxz_1, tg_yyyyzz_xxxxxxy_1, tg_yyyyzz_xxxxxxyy_0, tg_yyyyzz_xxxxxxyy_1, \
                                         tg_yyyyzz_xxxxxxyz_0, tg_yyyyzz_xxxxxxyz_1, tg_yyyyzz_xxxxxxz_1, tg_yyyyzz_xxxxxxzz_0, \
                                         tg_yyyyzz_xxxxxxzz_1, tg_yyyyzz_xxxxxyy_1, tg_yyyyzz_xxxxxyyy_0, tg_yyyyzz_xxxxxyyy_1, \
                                         tg_yyyyzz_xxxxxyyz_0, tg_yyyyzz_xxxxxyyz_1, tg_yyyyzz_xxxxxyz_1, tg_yyyyzz_xxxxxyzz_0, \
                                         tg_yyyyzz_xxxxxyzz_1, tg_yyyyzz_xxxxxzz_1, tg_yyyyzz_xxxxxzzz_0, tg_yyyyzz_xxxxxzzz_1, \
                                         tg_yyyyzz_xxxxyyy_1, tg_yyyyzz_xxxxyyyy_0, tg_yyyyzz_xxxxyyyy_1, tg_yyyyzz_xxxxyyyz_0, \
                                         tg_yyyyzz_xxxxyyyz_1, tg_yyyyzz_xxxxyyz_1, tg_yyyyzz_xxxxyyzz_0, tg_yyyyzz_xxxxyyzz_1, \
                                         tg_yyyyzz_xxxxyzz_1, tg_yyyyzz_xxxxyzzz_0, tg_yyyyzz_xxxxyzzz_1, tg_yyyyzz_xxxxzzz_1, \
                                         tg_yyyyzz_xxxxzzzz_0, tg_yyyyzz_xxxxzzzz_1, tg_yyyyzz_xxxyyyy_1, tg_yyyyzz_xxxyyyyy_0, \
                                         tg_yyyyzz_xxxyyyyy_1, tg_yyyyzz_xxxyyyyz_0, tg_yyyyzz_xxxyyyyz_1, tg_yyyyzz_xxxyyyz_1, \
                                         tg_yyyyzz_xxxyyyzz_0, tg_yyyyzz_xxxyyyzz_1, tg_yyyyzz_xxxyyzz_1, tg_yyyyzz_xxxyyzzz_0, \
                                         tg_yyyyzz_xxxyyzzz_1, tg_yyyyzz_xxxyzzz_1, tg_yyyyzz_xxxyzzzz_0, tg_yyyyzz_xxxyzzzz_1, \
                                         tg_yyyyzz_xxxzzzz_1, tg_yyyyzz_xxxzzzzz_0, tg_yyyyzz_xxxzzzzz_1, tg_yyyyzz_xxyyyyy_1, \
                                         tg_yyyyzz_xxyyyyyy_0, tg_yyyyzz_xxyyyyyy_1, tg_yyyyzz_xxyyyyyz_0, tg_yyyyzz_xxyyyyyz_1, \
                                         tg_yyyyzz_xxyyyyz_1, tg_yyyyzz_xxyyyyzz_0, tg_yyyyzz_xxyyyyzz_1, tg_yyyyzz_xxyyyzz_1, \
                                         tg_yyyyzz_xxyyyzzz_0, tg_yyyyzz_xxyyyzzz_1, tg_yyyyzz_xxyyzzz_1, tg_yyyyzz_xxyyzzzz_0, \
                                         tg_yyyyzz_xxyyzzzz_1, tg_yyyyzz_xxyzzzz_1, tg_yyyyzz_xxyzzzzz_0, tg_yyyyzz_xxyzzzzz_1, \
                                         tg_yyyyzz_xxzzzzz_1, tg_yyyyzz_xxzzzzzz_0, tg_yyyyzz_xxzzzzzz_1, tg_yyyyzz_xyyyyyy_1, \
                                         tg_yyyyzz_xyyyyyyy_0, tg_yyyyzz_xyyyyyyy_1, tg_yyyyzz_xyyyyyyz_0, tg_yyyyzz_xyyyyyyz_1, \
                                         tg_yyyyzz_xyyyyyz_1, tg_yyyyzz_xyyyyyzz_0, tg_yyyyzz_xyyyyyzz_1, tg_yyyyzz_xyyyyzz_1, \
                                         tg_yyyyzz_xyyyyzzz_0, tg_yyyyzz_xyyyyzzz_1, tg_yyyyzz_xyyyzzz_1, tg_yyyyzz_xyyyzzzz_0, \
                                         tg_yyyyzz_xyyyzzzz_1, tg_yyyyzz_xyyzzzz_1, tg_yyyyzz_xyyzzzzz_0, tg_yyyyzz_xyyzzzzz_1, \
                                         tg_yyyyzz_xyzzzzz_1, tg_yyyyzz_xyzzzzzz_0, tg_yyyyzz_xyzzzzzz_1, tg_yyyyzz_xzzzzzz_1, \
                                         tg_yyyyzz_xzzzzzzz_0, tg_yyyyzz_xzzzzzzz_1, tg_yyyyzz_yyyyyyy_1, tg_yyyyzz_yyyyyyyy_0, \
                                         tg_yyyyzz_yyyyyyyy_1, tg_yyyyzz_yyyyyyyz_0, tg_yyyyzz_yyyyyyyz_1, tg_yyyyzz_yyyyyyz_1, \
                                         tg_yyyyzz_yyyyyyzz_0, tg_yyyyzz_yyyyyyzz_1, tg_yyyyzz_yyyyyzz_1, tg_yyyyzz_yyyyyzzz_0, \
                                         tg_yyyyzz_yyyyyzzz_1, tg_yyyyzz_yyyyzzz_1, tg_yyyyzz_yyyyzzzz_0, tg_yyyyzz_yyyyzzzz_1, \
                                         tg_yyyyzz_yyyzzzz_1, tg_yyyyzz_yyyzzzzz_0, tg_yyyyzz_yyyzzzzz_1, tg_yyyyzz_yyzzzzz_1, \
                                         tg_yyyyzz_yyzzzzzz_0, tg_yyyyzz_yyzzzzzz_1, tg_yyyyzz_yzzzzzz_1, tg_yyyyzz_yzzzzzzz_0, \
                                         tg_yyyyzz_yzzzzzzz_1, tg_yyyyzz_zzzzzzz_1, tg_yyyyzz_zzzzzzzz_0, tg_yyyyzz_zzzzzzzz_1, \
                                         tg_yyyyzzz_xxxxxxxx_0, tg_yyyyzzz_xxxxxxxy_0, tg_yyyyzzz_xxxxxxxz_0, \
                                         tg_yyyyzzz_xxxxxxyy_0, tg_yyyyzzz_xxxxxxyz_0, tg_yyyyzzz_xxxxxxzz_0, \
                                         tg_yyyyzzz_xxxxxyyy_0, tg_yyyyzzz_xxxxxyyz_0, tg_yyyyzzz_xxxxxyzz_0, \
                                         tg_yyyyzzz_xxxxxzzz_0, tg_yyyyzzz_xxxxyyyy_0, tg_yyyyzzz_xxxxyyyz_0, \
                                         tg_yyyyzzz_xxxxyyzz_0, tg_yyyyzzz_xxxxyzzz_0, tg_yyyyzzz_xxxxzzzz_0, \
                                         tg_yyyyzzz_xxxyyyyy_0, tg_yyyyzzz_xxxyyyyz_0, tg_yyyyzzz_xxxyyyzz_0, \
                                         tg_yyyyzzz_xxxyyzzz_0, tg_yyyyzzz_xxxyzzzz_0, tg_yyyyzzz_xxxzzzzz_0, \
                                         tg_yyyyzzz_xxyyyyyy_0, tg_yyyyzzz_xxyyyyyz_0, tg_yyyyzzz_xxyyyyzz_0, \
                                         tg_yyyyzzz_xxyyyzzz_0, tg_yyyyzzz_xxyyzzzz_0, tg_yyyyzzz_xxyzzzzz_0, \
                                         tg_yyyyzzz_xxzzzzzz_0, tg_yyyyzzz_xyyyyyyy_0, tg_yyyyzzz_xyyyyyyz_0, \
                                         tg_yyyyzzz_xyyyyyzz_0, tg_yyyyzzz_xyyyyzzz_0, tg_yyyyzzz_xyyyzzzz_0, \
                                         tg_yyyyzzz_xyyzzzzz_0, tg_yyyyzzz_xyzzzzzz_0, tg_yyyzz_xxxxxxxx_0, tg_yyyzz_xxxxxxxx_1, \
                                         tg_yyyzz_xxxxxxxy_0, tg_yyyzz_xxxxxxxy_1, tg_yyyzz_xxxxxxxz_0, tg_yyyzz_xxxxxxxz_1, \
                                         tg_yyyzz_xxxxxxyy_0, tg_yyyzz_xxxxxxyy_1, tg_yyyzz_xxxxxxyz_0, tg_yyyzz_xxxxxxyz_1, \
                                         tg_yyyzz_xxxxxxzz_0, tg_yyyzz_xxxxxxzz_1, tg_yyyzz_xxxxxyyy_0, tg_yyyzz_xxxxxyyy_1, \
                                         tg_yyyzz_xxxxxyyz_0, tg_yyyzz_xxxxxyyz_1, tg_yyyzz_xxxxxyzz_0, tg_yyyzz_xxxxxyzz_1, \
                                         tg_yyyzz_xxxxxzzz_0, tg_yyyzz_xxxxxzzz_1, tg_yyyzz_xxxxyyyy_0, tg_yyyzz_xxxxyyyy_1, \
                                         tg_yyyzz_xxxxyyyz_0, tg_yyyzz_xxxxyyyz_1, tg_yyyzz_xxxxyyzz_0, tg_yyyzz_xxxxyyzz_1, \
                                         tg_yyyzz_xxxxyzzz_0, tg_yyyzz_xxxxyzzz_1, tg_yyyzz_xxxxzzzz_0, tg_yyyzz_xxxxzzzz_1, \
                                         tg_yyyzz_xxxyyyyy_0, tg_yyyzz_xxxyyyyy_1, tg_yyyzz_xxxyyyyz_0, tg_yyyzz_xxxyyyyz_1, \
                                         tg_yyyzz_xxxyyyzz_0, tg_yyyzz_xxxyyyzz_1, tg_yyyzz_xxxyyzzz_0, tg_yyyzz_xxxyyzzz_1, \
                                         tg_yyyzz_xxxyzzzz_0, tg_yyyzz_xxxyzzzz_1, tg_yyyzz_xxxzzzzz_0, tg_yyyzz_xxxzzzzz_1, \
                                         tg_yyyzz_xxyyyyyy_0, tg_yyyzz_xxyyyyyy_1, tg_yyyzz_xxyyyyyz_0, tg_yyyzz_xxyyyyyz_1, \
                                         tg_yyyzz_xxyyyyzz_0, tg_yyyzz_xxyyyyzz_1, tg_yyyzz_xxyyyzzz_0, tg_yyyzz_xxyyyzzz_1, \
                                         tg_yyyzz_xxyyzzzz_0, tg_yyyzz_xxyyzzzz_1, tg_yyyzz_xxyzzzzz_0, tg_yyyzz_xxyzzzzz_1, \
                                         tg_yyyzz_xxzzzzzz_0, tg_yyyzz_xxzzzzzz_1, tg_yyyzz_xyyyyyyy_0, tg_yyyzz_xyyyyyyy_1, \
                                         tg_yyyzz_xyyyyyyz_0, tg_yyyzz_xyyyyyyz_1, tg_yyyzz_xyyyyyzz_0, tg_yyyzz_xyyyyyzz_1, \
                                         tg_yyyzz_xyyyyzzz_0, tg_yyyzz_xyyyyzzz_1, tg_yyyzz_xyyyzzzz_0, tg_yyyzz_xyyyzzzz_1, \
                                         tg_yyyzz_xyyzzzzz_0, tg_yyyzz_xyyzzzzz_1, tg_yyyzz_xyzzzzzz_0, tg_yyyzz_xyzzzzzz_1, \
                                         tg_yyyzz_xzzzzzzz_0, tg_yyyzz_xzzzzzzz_1, tg_yyyzz_yyyyyyyy_0, tg_yyyzz_yyyyyyyy_1, \
                                         tg_yyyzz_yyyyyyyz_0, tg_yyyzz_yyyyyyyz_1, tg_yyyzz_yyyyyyzz_0, tg_yyyzz_yyyyyyzz_1, \
                                         tg_yyyzz_yyyyyzzz_0, tg_yyyzz_yyyyyzzz_1, tg_yyyzz_yyyyzzzz_0, tg_yyyzz_yyyyzzzz_1, \
                                         tg_yyyzz_yyyzzzzz_0, tg_yyyzz_yyyzzzzz_1, tg_yyyzz_yyzzzzzz_0, tg_yyyzz_yyzzzzzz_1, \
                                         tg_yyyzz_yzzzzzzz_0, tg_yyyzz_yzzzzzzz_1, tg_yyyzz_zzzzzzzz_0, tg_yyyzz_zzzzzzzz_1, \
                                         tg_yyyzzz_xxxxxxx_1, tg_yyyzzz_xxxxxxxx_0, tg_yyyzzz_xxxxxxxx_1, tg_yyyzzz_xxxxxxxy_0, \
                                         tg_yyyzzz_xxxxxxxy_1, tg_yyyzzz_xxxxxxxz_0, tg_yyyzzz_xxxxxxxz_1, tg_yyyzzz_xxxxxxy_1, \
                                         tg_yyyzzz_xxxxxxyy_0, tg_yyyzzz_xxxxxxyy_1, tg_yyyzzz_xxxxxxyz_0, tg_yyyzzz_xxxxxxyz_1, \
                                         tg_yyyzzz_xxxxxxz_1, tg_yyyzzz_xxxxxxzz_0, tg_yyyzzz_xxxxxxzz_1, tg_yyyzzz_xxxxxyy_1, \
                                         tg_yyyzzz_xxxxxyyy_0, tg_yyyzzz_xxxxxyyy_1, tg_yyyzzz_xxxxxyyz_0, tg_yyyzzz_xxxxxyyz_1, \
                                         tg_yyyzzz_xxxxxyz_1, tg_yyyzzz_xxxxxyzz_0, tg_yyyzzz_xxxxxyzz_1, tg_yyyzzz_xxxxxzz_1, \
                                         tg_yyyzzz_xxxxxzzz_0, tg_yyyzzz_xxxxxzzz_1, tg_yyyzzz_xxxxyyy_1, tg_yyyzzz_xxxxyyyy_0, \
                                         tg_yyyzzz_xxxxyyyy_1, tg_yyyzzz_xxxxyyyz_0, tg_yyyzzz_xxxxyyyz_1, tg_yyyzzz_xxxxyyz_1, \
                                         tg_yyyzzz_xxxxyyzz_0, tg_yyyzzz_xxxxyyzz_1, tg_yyyzzz_xxxxyzz_1, tg_yyyzzz_xxxxyzzz_0, \
                                         tg_yyyzzz_xxxxyzzz_1, tg_yyyzzz_xxxxzzz_1, tg_yyyzzz_xxxxzzzz_0, tg_yyyzzz_xxxxzzzz_1, \
                                         tg_yyyzzz_xxxyyyy_1, tg_yyyzzz_xxxyyyyy_0, tg_yyyzzz_xxxyyyyy_1, tg_yyyzzz_xxxyyyyz_0, \
                                         tg_yyyzzz_xxxyyyyz_1, tg_yyyzzz_xxxyyyz_1, tg_yyyzzz_xxxyyyzz_0, tg_yyyzzz_xxxyyyzz_1, \
                                         tg_yyyzzz_xxxyyzz_1, tg_yyyzzz_xxxyyzzz_0, tg_yyyzzz_xxxyyzzz_1, tg_yyyzzz_xxxyzzz_1, \
                                         tg_yyyzzz_xxxyzzzz_0, tg_yyyzzz_xxxyzzzz_1, tg_yyyzzz_xxxzzzz_1, tg_yyyzzz_xxxzzzzz_0, \
                                         tg_yyyzzz_xxxzzzzz_1, tg_yyyzzz_xxyyyyy_1, tg_yyyzzz_xxyyyyyy_0, tg_yyyzzz_xxyyyyyy_1, \
                                         tg_yyyzzz_xxyyyyyz_0, tg_yyyzzz_xxyyyyyz_1, tg_yyyzzz_xxyyyyz_1, tg_yyyzzz_xxyyyyzz_0, \
                                         tg_yyyzzz_xxyyyyzz_1, tg_yyyzzz_xxyyyzz_1, tg_yyyzzz_xxyyyzzz_0, tg_yyyzzz_xxyyyzzz_1, \
                                         tg_yyyzzz_xxyyzzz_1, tg_yyyzzz_xxyyzzzz_0, tg_yyyzzz_xxyyzzzz_1, tg_yyyzzz_xxyzzzz_1, \
                                         tg_yyyzzz_xxyzzzzz_0, tg_yyyzzz_xxyzzzzz_1, tg_yyyzzz_xxzzzzz_1, tg_yyyzzz_xxzzzzzz_0, \
                                         tg_yyyzzz_xxzzzzzz_1, tg_yyyzzz_xyyyyyy_1, tg_yyyzzz_xyyyyyyy_0, tg_yyyzzz_xyyyyyyy_1, \
                                         tg_yyyzzz_xyyyyyyz_0, tg_yyyzzz_xyyyyyyz_1, tg_yyyzzz_xyyyyyz_1, tg_yyyzzz_xyyyyyzz_0, \
                                         tg_yyyzzz_xyyyyyzz_1, tg_yyyzzz_xyyyyzz_1, tg_yyyzzz_xyyyyzzz_0, tg_yyyzzz_xyyyyzzz_1, \
                                         tg_yyyzzz_xyyyzzz_1, tg_yyyzzz_xyyyzzzz_0, tg_yyyzzz_xyyyzzzz_1, tg_yyyzzz_xyyzzzz_1, \
                                         tg_yyyzzz_xyyzzzzz_0, tg_yyyzzz_xyyzzzzz_1, tg_yyyzzz_xyzzzzz_1, tg_yyyzzz_xyzzzzzz_0, \
                                         tg_yyyzzz_xyzzzzzz_1, tg_yyyzzz_xzzzzzz_1, tg_yyzzz_xxxxxxxx_0, tg_yyzzz_xxxxxxxx_1, \
                                         tg_yyzzz_xxxxxxxy_0, tg_yyzzz_xxxxxxxy_1, tg_yyzzz_xxxxxxxz_0, tg_yyzzz_xxxxxxxz_1, \
                                         tg_yyzzz_xxxxxxyy_0, tg_yyzzz_xxxxxxyy_1, tg_yyzzz_xxxxxxyz_0, tg_yyzzz_xxxxxxyz_1, \
                                         tg_yyzzz_xxxxxxzz_0, tg_yyzzz_xxxxxxzz_1, tg_yyzzz_xxxxxyyy_0, tg_yyzzz_xxxxxyyy_1, \
                                         tg_yyzzz_xxxxxyyz_0, tg_yyzzz_xxxxxyyz_1, tg_yyzzz_xxxxxyzz_0, tg_yyzzz_xxxxxyzz_1, \
                                         tg_yyzzz_xxxxxzzz_0, tg_yyzzz_xxxxxzzz_1, tg_yyzzz_xxxxyyyy_0, tg_yyzzz_xxxxyyyy_1, \
                                         tg_yyzzz_xxxxyyyz_0, tg_yyzzz_xxxxyyyz_1, tg_yyzzz_xxxxyyzz_0, tg_yyzzz_xxxxyyzz_1, \
                                         tg_yyzzz_xxxxyzzz_0, tg_yyzzz_xxxxyzzz_1, tg_yyzzz_xxxxzzzz_0, tg_yyzzz_xxxxzzzz_1, \
                                         tg_yyzzz_xxxyyyyy_0, tg_yyzzz_xxxyyyyy_1, tg_yyzzz_xxxyyyyz_0, tg_yyzzz_xxxyyyyz_1, \
                                         tg_yyzzz_xxxyyyzz_0, tg_yyzzz_xxxyyyzz_1, tg_yyzzz_xxxyyzzz_0, tg_yyzzz_xxxyyzzz_1, \
                                         tg_yyzzz_xxxyzzzz_0, tg_yyzzz_xxxyzzzz_1, tg_yyzzz_xxxzzzzz_0, tg_yyzzz_xxxzzzzz_1, \
                                         tg_yyzzz_xxyyyyyy_0, tg_yyzzz_xxyyyyyy_1, tg_yyzzz_xxyyyyyz_0, tg_yyzzz_xxyyyyyz_1, \
                                         tg_yyzzz_xxyyyyzz_0, tg_yyzzz_xxyyyyzz_1, tg_yyzzz_xxyyyzzz_0, tg_yyzzz_xxyyyzzz_1, \
                                         tg_yyzzz_xxyyzzzz_0, tg_yyzzz_xxyyzzzz_1, tg_yyzzz_xxyzzzzz_0, tg_yyzzz_xxyzzzzz_1, \
                                         tg_yyzzz_xxzzzzzz_0, tg_yyzzz_xxzzzzzz_1, tg_yyzzz_xyyyyyyy_0, tg_yyzzz_xyyyyyyy_1, \
                                         tg_yyzzz_xyyyyyyz_0, tg_yyzzz_xyyyyyyz_1, tg_yyzzz_xyyyyyzz_0, tg_yyzzz_xyyyyyzz_1, \
                                         tg_yyzzz_xyyyyzzz_0, tg_yyzzz_xyyyyzzz_1, tg_yyzzz_xyyyzzzz_0, tg_yyzzz_xyyyzzzz_1, \
                                         tg_yyzzz_xyyzzzzz_0, tg_yyzzz_xyyzzzzz_1, tg_yyzzz_xyzzzzzz_0, tg_yyzzz_xyzzzzzz_1, \
                                         wp_y: VLX_ALIGN)
                for (int32_t j = 0; j < nKetPrimPairs; j++)
                {
                    double fl1_fx = fx;

                    double fl1_fxn = fxn[j];

                    double fl1_fza = fza[j];

                    double fr = wp_y[j]; 

                    tg_yyyyyyz_xyyyyyzz_0[j] = pb_y * tg_yyyyyz_xyyyyyzz_0[j] + fr * tg_yyyyyz_xyyyyyzz_1[j] + 2.5 * fl1_fx * (tg_yyyyz_xyyyyyzz_0[j] - tg_yyyyz_xyyyyyzz_1[j] * fl1_fza) + 2.5 * fl1_fxn * tg_yyyyyz_xyyyyzz_1[j];

                    tg_yyyyyyz_xyyyyzzz_0[j] = pb_y * tg_yyyyyz_xyyyyzzz_0[j] + fr * tg_yyyyyz_xyyyyzzz_1[j] + 2.5 * fl1_fx * (tg_yyyyz_xyyyyzzz_0[j] - tg_yyyyz_xyyyyzzz_1[j] * fl1_fza) + 2.0 * fl1_fxn * tg_yyyyyz_xyyyzzz_1[j];

                    tg_yyyyyyz_xyyyzzzz_0[j] = pb_y * tg_yyyyyz_xyyyzzzz_0[j] + fr * tg_yyyyyz_xyyyzzzz_1[j] + 2.5 * fl1_fx * (tg_yyyyz_xyyyzzzz_0[j] - tg_yyyyz_xyyyzzzz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_yyyyyz_xyyzzzz_1[j];

                    tg_yyyyyyz_xyyzzzzz_0[j] = pb_y * tg_yyyyyz_xyyzzzzz_0[j] + fr * tg_yyyyyz_xyyzzzzz_1[j] + 2.5 * fl1_fx * (tg_yyyyz_xyyzzzzz_0[j] - tg_yyyyz_xyyzzzzz_1[j] * fl1_fza) + fl1_fxn * tg_yyyyyz_xyzzzzz_1[j];

                    tg_yyyyyyz_xyzzzzzz_0[j] = pb_y * tg_yyyyyz_xyzzzzzz_0[j] + fr * tg_yyyyyz_xyzzzzzz_1[j] + 2.5 * fl1_fx * (tg_yyyyz_xyzzzzzz_0[j] - tg_yyyyz_xyzzzzzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_yyyyyz_xzzzzzz_1[j];

                    tg_yyyyyyz_xzzzzzzz_0[j] = pb_y * tg_yyyyyz_xzzzzzzz_0[j] + fr * tg_yyyyyz_xzzzzzzz_1[j] + 2.5 * fl1_fx * (tg_yyyyz_xzzzzzzz_0[j] - tg_yyyyz_xzzzzzzz_1[j] * fl1_fza);

                    tg_yyyyyyz_yyyyyyyy_0[j] = pb_y * tg_yyyyyz_yyyyyyyy_0[j] + fr * tg_yyyyyz_yyyyyyyy_1[j] + 2.5 * fl1_fx * (tg_yyyyz_yyyyyyyy_0[j] - tg_yyyyz_yyyyyyyy_1[j] * fl1_fza) + 4.0 * fl1_fxn * tg_yyyyyz_yyyyyyy_1[j];

                    tg_yyyyyyz_yyyyyyyz_0[j] = pb_y * tg_yyyyyz_yyyyyyyz_0[j] + fr * tg_yyyyyz_yyyyyyyz_1[j] + 2.5 * fl1_fx * (tg_yyyyz_yyyyyyyz_0[j] - tg_yyyyz_yyyyyyyz_1[j] * fl1_fza) + 3.5 * fl1_fxn * tg_yyyyyz_yyyyyyz_1[j];

                    tg_yyyyyyz_yyyyyyzz_0[j] = pb_y * tg_yyyyyz_yyyyyyzz_0[j] + fr * tg_yyyyyz_yyyyyyzz_1[j] + 2.5 * fl1_fx * (tg_yyyyz_yyyyyyzz_0[j] - tg_yyyyz_yyyyyyzz_1[j] * fl1_fza) + 3.0 * fl1_fxn * tg_yyyyyz_yyyyyzz_1[j];

                    tg_yyyyyyz_yyyyyzzz_0[j] = pb_y * tg_yyyyyz_yyyyyzzz_0[j] + fr * tg_yyyyyz_yyyyyzzz_1[j] + 2.5 * fl1_fx * (tg_yyyyz_yyyyyzzz_0[j] - tg_yyyyz_yyyyyzzz_1[j] * fl1_fza) + 2.5 * fl1_fxn * tg_yyyyyz_yyyyzzz_1[j];

                    tg_yyyyyyz_yyyyzzzz_0[j] = pb_y * tg_yyyyyz_yyyyzzzz_0[j] + fr * tg_yyyyyz_yyyyzzzz_1[j] + 2.5 * fl1_fx * (tg_yyyyz_yyyyzzzz_0[j] - tg_yyyyz_yyyyzzzz_1[j] * fl1_fza) + 2.0 * fl1_fxn * tg_yyyyyz_yyyzzzz_1[j];

                    tg_yyyyyyz_yyyzzzzz_0[j] = pb_y * tg_yyyyyz_yyyzzzzz_0[j] + fr * tg_yyyyyz_yyyzzzzz_1[j] + 2.5 * fl1_fx * (tg_yyyyz_yyyzzzzz_0[j] - tg_yyyyz_yyyzzzzz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_yyyyyz_yyzzzzz_1[j];

                    tg_yyyyyyz_yyzzzzzz_0[j] = pb_y * tg_yyyyyz_yyzzzzzz_0[j] + fr * tg_yyyyyz_yyzzzzzz_1[j] + 2.5 * fl1_fx * (tg_yyyyz_yyzzzzzz_0[j] - tg_yyyyz_yyzzzzzz_1[j] * fl1_fza) + fl1_fxn * tg_yyyyyz_yzzzzzz_1[j];

                    tg_yyyyyyz_yzzzzzzz_0[j] = pb_y * tg_yyyyyz_yzzzzzzz_0[j] + fr * tg_yyyyyz_yzzzzzzz_1[j] + 2.5 * fl1_fx * (tg_yyyyz_yzzzzzzz_0[j] - tg_yyyyz_yzzzzzzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_yyyyyz_zzzzzzz_1[j];

                    tg_yyyyyyz_zzzzzzzz_0[j] = pb_y * tg_yyyyyz_zzzzzzzz_0[j] + fr * tg_yyyyyz_zzzzzzzz_1[j] + 2.5 * fl1_fx * (tg_yyyyz_zzzzzzzz_0[j] - tg_yyyyz_zzzzzzzz_1[j] * fl1_fza);

                    tg_yyyyyzz_xxxxxxxx_0[j] = pb_y * tg_yyyyzz_xxxxxxxx_0[j] + fr * tg_yyyyzz_xxxxxxxx_1[j] + 2.0 * fl1_fx * (tg_yyyzz_xxxxxxxx_0[j] - tg_yyyzz_xxxxxxxx_1[j] * fl1_fza);

                    tg_yyyyyzz_xxxxxxxy_0[j] = pb_y * tg_yyyyzz_xxxxxxxy_0[j] + fr * tg_yyyyzz_xxxxxxxy_1[j] + 2.0 * fl1_fx * (tg_yyyzz_xxxxxxxy_0[j] - tg_yyyzz_xxxxxxxy_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_yyyyzz_xxxxxxx_1[j];

                    tg_yyyyyzz_xxxxxxxz_0[j] = pb_y * tg_yyyyzz_xxxxxxxz_0[j] + fr * tg_yyyyzz_xxxxxxxz_1[j] + 2.0 * fl1_fx * (tg_yyyzz_xxxxxxxz_0[j] - tg_yyyzz_xxxxxxxz_1[j] * fl1_fza);

                    tg_yyyyyzz_xxxxxxyy_0[j] = pb_y * tg_yyyyzz_xxxxxxyy_0[j] + fr * tg_yyyyzz_xxxxxxyy_1[j] + 2.0 * fl1_fx * (tg_yyyzz_xxxxxxyy_0[j] - tg_yyyzz_xxxxxxyy_1[j] * fl1_fza) + fl1_fxn * tg_yyyyzz_xxxxxxy_1[j];

                    tg_yyyyyzz_xxxxxxyz_0[j] = pb_y * tg_yyyyzz_xxxxxxyz_0[j] + fr * tg_yyyyzz_xxxxxxyz_1[j] + 2.0 * fl1_fx * (tg_yyyzz_xxxxxxyz_0[j] - tg_yyyzz_xxxxxxyz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_yyyyzz_xxxxxxz_1[j];

                    tg_yyyyyzz_xxxxxxzz_0[j] = pb_y * tg_yyyyzz_xxxxxxzz_0[j] + fr * tg_yyyyzz_xxxxxxzz_1[j] + 2.0 * fl1_fx * (tg_yyyzz_xxxxxxzz_0[j] - tg_yyyzz_xxxxxxzz_1[j] * fl1_fza);

                    tg_yyyyyzz_xxxxxyyy_0[j] = pb_y * tg_yyyyzz_xxxxxyyy_0[j] + fr * tg_yyyyzz_xxxxxyyy_1[j] + 2.0 * fl1_fx * (tg_yyyzz_xxxxxyyy_0[j] - tg_yyyzz_xxxxxyyy_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_yyyyzz_xxxxxyy_1[j];

                    tg_yyyyyzz_xxxxxyyz_0[j] = pb_y * tg_yyyyzz_xxxxxyyz_0[j] + fr * tg_yyyyzz_xxxxxyyz_1[j] + 2.0 * fl1_fx * (tg_yyyzz_xxxxxyyz_0[j] - tg_yyyzz_xxxxxyyz_1[j] * fl1_fza) + fl1_fxn * tg_yyyyzz_xxxxxyz_1[j];

                    tg_yyyyyzz_xxxxxyzz_0[j] = pb_y * tg_yyyyzz_xxxxxyzz_0[j] + fr * tg_yyyyzz_xxxxxyzz_1[j] + 2.0 * fl1_fx * (tg_yyyzz_xxxxxyzz_0[j] - tg_yyyzz_xxxxxyzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_yyyyzz_xxxxxzz_1[j];

                    tg_yyyyyzz_xxxxxzzz_0[j] = pb_y * tg_yyyyzz_xxxxxzzz_0[j] + fr * tg_yyyyzz_xxxxxzzz_1[j] + 2.0 * fl1_fx * (tg_yyyzz_xxxxxzzz_0[j] - tg_yyyzz_xxxxxzzz_1[j] * fl1_fza);

                    tg_yyyyyzz_xxxxyyyy_0[j] = pb_y * tg_yyyyzz_xxxxyyyy_0[j] + fr * tg_yyyyzz_xxxxyyyy_1[j] + 2.0 * fl1_fx * (tg_yyyzz_xxxxyyyy_0[j] - tg_yyyzz_xxxxyyyy_1[j] * fl1_fza) + 2.0 * fl1_fxn * tg_yyyyzz_xxxxyyy_1[j];

                    tg_yyyyyzz_xxxxyyyz_0[j] = pb_y * tg_yyyyzz_xxxxyyyz_0[j] + fr * tg_yyyyzz_xxxxyyyz_1[j] + 2.0 * fl1_fx * (tg_yyyzz_xxxxyyyz_0[j] - tg_yyyzz_xxxxyyyz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_yyyyzz_xxxxyyz_1[j];

                    tg_yyyyyzz_xxxxyyzz_0[j] = pb_y * tg_yyyyzz_xxxxyyzz_0[j] + fr * tg_yyyyzz_xxxxyyzz_1[j] + 2.0 * fl1_fx * (tg_yyyzz_xxxxyyzz_0[j] - tg_yyyzz_xxxxyyzz_1[j] * fl1_fza) + fl1_fxn * tg_yyyyzz_xxxxyzz_1[j];

                    tg_yyyyyzz_xxxxyzzz_0[j] = pb_y * tg_yyyyzz_xxxxyzzz_0[j] + fr * tg_yyyyzz_xxxxyzzz_1[j] + 2.0 * fl1_fx * (tg_yyyzz_xxxxyzzz_0[j] - tg_yyyzz_xxxxyzzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_yyyyzz_xxxxzzz_1[j];

                    tg_yyyyyzz_xxxxzzzz_0[j] = pb_y * tg_yyyyzz_xxxxzzzz_0[j] + fr * tg_yyyyzz_xxxxzzzz_1[j] + 2.0 * fl1_fx * (tg_yyyzz_xxxxzzzz_0[j] - tg_yyyzz_xxxxzzzz_1[j] * fl1_fza);

                    tg_yyyyyzz_xxxyyyyy_0[j] = pb_y * tg_yyyyzz_xxxyyyyy_0[j] + fr * tg_yyyyzz_xxxyyyyy_1[j] + 2.0 * fl1_fx * (tg_yyyzz_xxxyyyyy_0[j] - tg_yyyzz_xxxyyyyy_1[j] * fl1_fza) + 2.5 * fl1_fxn * tg_yyyyzz_xxxyyyy_1[j];

                    tg_yyyyyzz_xxxyyyyz_0[j] = pb_y * tg_yyyyzz_xxxyyyyz_0[j] + fr * tg_yyyyzz_xxxyyyyz_1[j] + 2.0 * fl1_fx * (tg_yyyzz_xxxyyyyz_0[j] - tg_yyyzz_xxxyyyyz_1[j] * fl1_fza) + 2.0 * fl1_fxn * tg_yyyyzz_xxxyyyz_1[j];

                    tg_yyyyyzz_xxxyyyzz_0[j] = pb_y * tg_yyyyzz_xxxyyyzz_0[j] + fr * tg_yyyyzz_xxxyyyzz_1[j] + 2.0 * fl1_fx * (tg_yyyzz_xxxyyyzz_0[j] - tg_yyyzz_xxxyyyzz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_yyyyzz_xxxyyzz_1[j];

                    tg_yyyyyzz_xxxyyzzz_0[j] = pb_y * tg_yyyyzz_xxxyyzzz_0[j] + fr * tg_yyyyzz_xxxyyzzz_1[j] + 2.0 * fl1_fx * (tg_yyyzz_xxxyyzzz_0[j] - tg_yyyzz_xxxyyzzz_1[j] * fl1_fza) + fl1_fxn * tg_yyyyzz_xxxyzzz_1[j];

                    tg_yyyyyzz_xxxyzzzz_0[j] = pb_y * tg_yyyyzz_xxxyzzzz_0[j] + fr * tg_yyyyzz_xxxyzzzz_1[j] + 2.0 * fl1_fx * (tg_yyyzz_xxxyzzzz_0[j] - tg_yyyzz_xxxyzzzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_yyyyzz_xxxzzzz_1[j];

                    tg_yyyyyzz_xxxzzzzz_0[j] = pb_y * tg_yyyyzz_xxxzzzzz_0[j] + fr * tg_yyyyzz_xxxzzzzz_1[j] + 2.0 * fl1_fx * (tg_yyyzz_xxxzzzzz_0[j] - tg_yyyzz_xxxzzzzz_1[j] * fl1_fza);

                    tg_yyyyyzz_xxyyyyyy_0[j] = pb_y * tg_yyyyzz_xxyyyyyy_0[j] + fr * tg_yyyyzz_xxyyyyyy_1[j] + 2.0 * fl1_fx * (tg_yyyzz_xxyyyyyy_0[j] - tg_yyyzz_xxyyyyyy_1[j] * fl1_fza) + 3.0 * fl1_fxn * tg_yyyyzz_xxyyyyy_1[j];

                    tg_yyyyyzz_xxyyyyyz_0[j] = pb_y * tg_yyyyzz_xxyyyyyz_0[j] + fr * tg_yyyyzz_xxyyyyyz_1[j] + 2.0 * fl1_fx * (tg_yyyzz_xxyyyyyz_0[j] - tg_yyyzz_xxyyyyyz_1[j] * fl1_fza) + 2.5 * fl1_fxn * tg_yyyyzz_xxyyyyz_1[j];

                    tg_yyyyyzz_xxyyyyzz_0[j] = pb_y * tg_yyyyzz_xxyyyyzz_0[j] + fr * tg_yyyyzz_xxyyyyzz_1[j] + 2.0 * fl1_fx * (tg_yyyzz_xxyyyyzz_0[j] - tg_yyyzz_xxyyyyzz_1[j] * fl1_fza) + 2.0 * fl1_fxn * tg_yyyyzz_xxyyyzz_1[j];

                    tg_yyyyyzz_xxyyyzzz_0[j] = pb_y * tg_yyyyzz_xxyyyzzz_0[j] + fr * tg_yyyyzz_xxyyyzzz_1[j] + 2.0 * fl1_fx * (tg_yyyzz_xxyyyzzz_0[j] - tg_yyyzz_xxyyyzzz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_yyyyzz_xxyyzzz_1[j];

                    tg_yyyyyzz_xxyyzzzz_0[j] = pb_y * tg_yyyyzz_xxyyzzzz_0[j] + fr * tg_yyyyzz_xxyyzzzz_1[j] + 2.0 * fl1_fx * (tg_yyyzz_xxyyzzzz_0[j] - tg_yyyzz_xxyyzzzz_1[j] * fl1_fza) + fl1_fxn * tg_yyyyzz_xxyzzzz_1[j];

                    tg_yyyyyzz_xxyzzzzz_0[j] = pb_y * tg_yyyyzz_xxyzzzzz_0[j] + fr * tg_yyyyzz_xxyzzzzz_1[j] + 2.0 * fl1_fx * (tg_yyyzz_xxyzzzzz_0[j] - tg_yyyzz_xxyzzzzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_yyyyzz_xxzzzzz_1[j];

                    tg_yyyyyzz_xxzzzzzz_0[j] = pb_y * tg_yyyyzz_xxzzzzzz_0[j] + fr * tg_yyyyzz_xxzzzzzz_1[j] + 2.0 * fl1_fx * (tg_yyyzz_xxzzzzzz_0[j] - tg_yyyzz_xxzzzzzz_1[j] * fl1_fza);

                    tg_yyyyyzz_xyyyyyyy_0[j] = pb_y * tg_yyyyzz_xyyyyyyy_0[j] + fr * tg_yyyyzz_xyyyyyyy_1[j] + 2.0 * fl1_fx * (tg_yyyzz_xyyyyyyy_0[j] - tg_yyyzz_xyyyyyyy_1[j] * fl1_fza) + 3.5 * fl1_fxn * tg_yyyyzz_xyyyyyy_1[j];

                    tg_yyyyyzz_xyyyyyyz_0[j] = pb_y * tg_yyyyzz_xyyyyyyz_0[j] + fr * tg_yyyyzz_xyyyyyyz_1[j] + 2.0 * fl1_fx * (tg_yyyzz_xyyyyyyz_0[j] - tg_yyyzz_xyyyyyyz_1[j] * fl1_fza) + 3.0 * fl1_fxn * tg_yyyyzz_xyyyyyz_1[j];

                    tg_yyyyyzz_xyyyyyzz_0[j] = pb_y * tg_yyyyzz_xyyyyyzz_0[j] + fr * tg_yyyyzz_xyyyyyzz_1[j] + 2.0 * fl1_fx * (tg_yyyzz_xyyyyyzz_0[j] - tg_yyyzz_xyyyyyzz_1[j] * fl1_fza) + 2.5 * fl1_fxn * tg_yyyyzz_xyyyyzz_1[j];

                    tg_yyyyyzz_xyyyyzzz_0[j] = pb_y * tg_yyyyzz_xyyyyzzz_0[j] + fr * tg_yyyyzz_xyyyyzzz_1[j] + 2.0 * fl1_fx * (tg_yyyzz_xyyyyzzz_0[j] - tg_yyyzz_xyyyyzzz_1[j] * fl1_fza) + 2.0 * fl1_fxn * tg_yyyyzz_xyyyzzz_1[j];

                    tg_yyyyyzz_xyyyzzzz_0[j] = pb_y * tg_yyyyzz_xyyyzzzz_0[j] + fr * tg_yyyyzz_xyyyzzzz_1[j] + 2.0 * fl1_fx * (tg_yyyzz_xyyyzzzz_0[j] - tg_yyyzz_xyyyzzzz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_yyyyzz_xyyzzzz_1[j];

                    tg_yyyyyzz_xyyzzzzz_0[j] = pb_y * tg_yyyyzz_xyyzzzzz_0[j] + fr * tg_yyyyzz_xyyzzzzz_1[j] + 2.0 * fl1_fx * (tg_yyyzz_xyyzzzzz_0[j] - tg_yyyzz_xyyzzzzz_1[j] * fl1_fza) + fl1_fxn * tg_yyyyzz_xyzzzzz_1[j];

                    tg_yyyyyzz_xyzzzzzz_0[j] = pb_y * tg_yyyyzz_xyzzzzzz_0[j] + fr * tg_yyyyzz_xyzzzzzz_1[j] + 2.0 * fl1_fx * (tg_yyyzz_xyzzzzzz_0[j] - tg_yyyzz_xyzzzzzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_yyyyzz_xzzzzzz_1[j];

                    tg_yyyyyzz_xzzzzzzz_0[j] = pb_y * tg_yyyyzz_xzzzzzzz_0[j] + fr * tg_yyyyzz_xzzzzzzz_1[j] + 2.0 * fl1_fx * (tg_yyyzz_xzzzzzzz_0[j] - tg_yyyzz_xzzzzzzz_1[j] * fl1_fza);

                    tg_yyyyyzz_yyyyyyyy_0[j] = pb_y * tg_yyyyzz_yyyyyyyy_0[j] + fr * tg_yyyyzz_yyyyyyyy_1[j] + 2.0 * fl1_fx * (tg_yyyzz_yyyyyyyy_0[j] - tg_yyyzz_yyyyyyyy_1[j] * fl1_fza) + 4.0 * fl1_fxn * tg_yyyyzz_yyyyyyy_1[j];

                    tg_yyyyyzz_yyyyyyyz_0[j] = pb_y * tg_yyyyzz_yyyyyyyz_0[j] + fr * tg_yyyyzz_yyyyyyyz_1[j] + 2.0 * fl1_fx * (tg_yyyzz_yyyyyyyz_0[j] - tg_yyyzz_yyyyyyyz_1[j] * fl1_fza) + 3.5 * fl1_fxn * tg_yyyyzz_yyyyyyz_1[j];

                    tg_yyyyyzz_yyyyyyzz_0[j] = pb_y * tg_yyyyzz_yyyyyyzz_0[j] + fr * tg_yyyyzz_yyyyyyzz_1[j] + 2.0 * fl1_fx * (tg_yyyzz_yyyyyyzz_0[j] - tg_yyyzz_yyyyyyzz_1[j] * fl1_fza) + 3.0 * fl1_fxn * tg_yyyyzz_yyyyyzz_1[j];

                    tg_yyyyyzz_yyyyyzzz_0[j] = pb_y * tg_yyyyzz_yyyyyzzz_0[j] + fr * tg_yyyyzz_yyyyyzzz_1[j] + 2.0 * fl1_fx * (tg_yyyzz_yyyyyzzz_0[j] - tg_yyyzz_yyyyyzzz_1[j] * fl1_fza) + 2.5 * fl1_fxn * tg_yyyyzz_yyyyzzz_1[j];

                    tg_yyyyyzz_yyyyzzzz_0[j] = pb_y * tg_yyyyzz_yyyyzzzz_0[j] + fr * tg_yyyyzz_yyyyzzzz_1[j] + 2.0 * fl1_fx * (tg_yyyzz_yyyyzzzz_0[j] - tg_yyyzz_yyyyzzzz_1[j] * fl1_fza) + 2.0 * fl1_fxn * tg_yyyyzz_yyyzzzz_1[j];

                    tg_yyyyyzz_yyyzzzzz_0[j] = pb_y * tg_yyyyzz_yyyzzzzz_0[j] + fr * tg_yyyyzz_yyyzzzzz_1[j] + 2.0 * fl1_fx * (tg_yyyzz_yyyzzzzz_0[j] - tg_yyyzz_yyyzzzzz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_yyyyzz_yyzzzzz_1[j];

                    tg_yyyyyzz_yyzzzzzz_0[j] = pb_y * tg_yyyyzz_yyzzzzzz_0[j] + fr * tg_yyyyzz_yyzzzzzz_1[j] + 2.0 * fl1_fx * (tg_yyyzz_yyzzzzzz_0[j] - tg_yyyzz_yyzzzzzz_1[j] * fl1_fza) + fl1_fxn * tg_yyyyzz_yzzzzzz_1[j];

                    tg_yyyyyzz_yzzzzzzz_0[j] = pb_y * tg_yyyyzz_yzzzzzzz_0[j] + fr * tg_yyyyzz_yzzzzzzz_1[j] + 2.0 * fl1_fx * (tg_yyyzz_yzzzzzzz_0[j] - tg_yyyzz_yzzzzzzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_yyyyzz_zzzzzzz_1[j];

                    tg_yyyyyzz_zzzzzzzz_0[j] = pb_y * tg_yyyyzz_zzzzzzzz_0[j] + fr * tg_yyyyzz_zzzzzzzz_1[j] + 2.0 * fl1_fx * (tg_yyyzz_zzzzzzzz_0[j] - tg_yyyzz_zzzzzzzz_1[j] * fl1_fza);

                    tg_yyyyzzz_xxxxxxxx_0[j] = pb_y * tg_yyyzzz_xxxxxxxx_0[j] + fr * tg_yyyzzz_xxxxxxxx_1[j] + 1.5 * fl1_fx * (tg_yyzzz_xxxxxxxx_0[j] - tg_yyzzz_xxxxxxxx_1[j] * fl1_fza);

                    tg_yyyyzzz_xxxxxxxy_0[j] = pb_y * tg_yyyzzz_xxxxxxxy_0[j] + fr * tg_yyyzzz_xxxxxxxy_1[j] + 1.5 * fl1_fx * (tg_yyzzz_xxxxxxxy_0[j] - tg_yyzzz_xxxxxxxy_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_yyyzzz_xxxxxxx_1[j];

                    tg_yyyyzzz_xxxxxxxz_0[j] = pb_y * tg_yyyzzz_xxxxxxxz_0[j] + fr * tg_yyyzzz_xxxxxxxz_1[j] + 1.5 * fl1_fx * (tg_yyzzz_xxxxxxxz_0[j] - tg_yyzzz_xxxxxxxz_1[j] * fl1_fza);

                    tg_yyyyzzz_xxxxxxyy_0[j] = pb_y * tg_yyyzzz_xxxxxxyy_0[j] + fr * tg_yyyzzz_xxxxxxyy_1[j] + 1.5 * fl1_fx * (tg_yyzzz_xxxxxxyy_0[j] - tg_yyzzz_xxxxxxyy_1[j] * fl1_fza) + fl1_fxn * tg_yyyzzz_xxxxxxy_1[j];

                    tg_yyyyzzz_xxxxxxyz_0[j] = pb_y * tg_yyyzzz_xxxxxxyz_0[j] + fr * tg_yyyzzz_xxxxxxyz_1[j] + 1.5 * fl1_fx * (tg_yyzzz_xxxxxxyz_0[j] - tg_yyzzz_xxxxxxyz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_yyyzzz_xxxxxxz_1[j];

                    tg_yyyyzzz_xxxxxxzz_0[j] = pb_y * tg_yyyzzz_xxxxxxzz_0[j] + fr * tg_yyyzzz_xxxxxxzz_1[j] + 1.5 * fl1_fx * (tg_yyzzz_xxxxxxzz_0[j] - tg_yyzzz_xxxxxxzz_1[j] * fl1_fza);

                    tg_yyyyzzz_xxxxxyyy_0[j] = pb_y * tg_yyyzzz_xxxxxyyy_0[j] + fr * tg_yyyzzz_xxxxxyyy_1[j] + 1.5 * fl1_fx * (tg_yyzzz_xxxxxyyy_0[j] - tg_yyzzz_xxxxxyyy_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_yyyzzz_xxxxxyy_1[j];

                    tg_yyyyzzz_xxxxxyyz_0[j] = pb_y * tg_yyyzzz_xxxxxyyz_0[j] + fr * tg_yyyzzz_xxxxxyyz_1[j] + 1.5 * fl1_fx * (tg_yyzzz_xxxxxyyz_0[j] - tg_yyzzz_xxxxxyyz_1[j] * fl1_fza) + fl1_fxn * tg_yyyzzz_xxxxxyz_1[j];

                    tg_yyyyzzz_xxxxxyzz_0[j] = pb_y * tg_yyyzzz_xxxxxyzz_0[j] + fr * tg_yyyzzz_xxxxxyzz_1[j] + 1.5 * fl1_fx * (tg_yyzzz_xxxxxyzz_0[j] - tg_yyzzz_xxxxxyzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_yyyzzz_xxxxxzz_1[j];

                    tg_yyyyzzz_xxxxxzzz_0[j] = pb_y * tg_yyyzzz_xxxxxzzz_0[j] + fr * tg_yyyzzz_xxxxxzzz_1[j] + 1.5 * fl1_fx * (tg_yyzzz_xxxxxzzz_0[j] - tg_yyzzz_xxxxxzzz_1[j] * fl1_fza);

                    tg_yyyyzzz_xxxxyyyy_0[j] = pb_y * tg_yyyzzz_xxxxyyyy_0[j] + fr * tg_yyyzzz_xxxxyyyy_1[j] + 1.5 * fl1_fx * (tg_yyzzz_xxxxyyyy_0[j] - tg_yyzzz_xxxxyyyy_1[j] * fl1_fza) + 2.0 * fl1_fxn * tg_yyyzzz_xxxxyyy_1[j];

                    tg_yyyyzzz_xxxxyyyz_0[j] = pb_y * tg_yyyzzz_xxxxyyyz_0[j] + fr * tg_yyyzzz_xxxxyyyz_1[j] + 1.5 * fl1_fx * (tg_yyzzz_xxxxyyyz_0[j] - tg_yyzzz_xxxxyyyz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_yyyzzz_xxxxyyz_1[j];

                    tg_yyyyzzz_xxxxyyzz_0[j] = pb_y * tg_yyyzzz_xxxxyyzz_0[j] + fr * tg_yyyzzz_xxxxyyzz_1[j] + 1.5 * fl1_fx * (tg_yyzzz_xxxxyyzz_0[j] - tg_yyzzz_xxxxyyzz_1[j] * fl1_fza) + fl1_fxn * tg_yyyzzz_xxxxyzz_1[j];

                    tg_yyyyzzz_xxxxyzzz_0[j] = pb_y * tg_yyyzzz_xxxxyzzz_0[j] + fr * tg_yyyzzz_xxxxyzzz_1[j] + 1.5 * fl1_fx * (tg_yyzzz_xxxxyzzz_0[j] - tg_yyzzz_xxxxyzzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_yyyzzz_xxxxzzz_1[j];

                    tg_yyyyzzz_xxxxzzzz_0[j] = pb_y * tg_yyyzzz_xxxxzzzz_0[j] + fr * tg_yyyzzz_xxxxzzzz_1[j] + 1.5 * fl1_fx * (tg_yyzzz_xxxxzzzz_0[j] - tg_yyzzz_xxxxzzzz_1[j] * fl1_fza);

                    tg_yyyyzzz_xxxyyyyy_0[j] = pb_y * tg_yyyzzz_xxxyyyyy_0[j] + fr * tg_yyyzzz_xxxyyyyy_1[j] + 1.5 * fl1_fx * (tg_yyzzz_xxxyyyyy_0[j] - tg_yyzzz_xxxyyyyy_1[j] * fl1_fza) + 2.5 * fl1_fxn * tg_yyyzzz_xxxyyyy_1[j];

                    tg_yyyyzzz_xxxyyyyz_0[j] = pb_y * tg_yyyzzz_xxxyyyyz_0[j] + fr * tg_yyyzzz_xxxyyyyz_1[j] + 1.5 * fl1_fx * (tg_yyzzz_xxxyyyyz_0[j] - tg_yyzzz_xxxyyyyz_1[j] * fl1_fza) + 2.0 * fl1_fxn * tg_yyyzzz_xxxyyyz_1[j];

                    tg_yyyyzzz_xxxyyyzz_0[j] = pb_y * tg_yyyzzz_xxxyyyzz_0[j] + fr * tg_yyyzzz_xxxyyyzz_1[j] + 1.5 * fl1_fx * (tg_yyzzz_xxxyyyzz_0[j] - tg_yyzzz_xxxyyyzz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_yyyzzz_xxxyyzz_1[j];

                    tg_yyyyzzz_xxxyyzzz_0[j] = pb_y * tg_yyyzzz_xxxyyzzz_0[j] + fr * tg_yyyzzz_xxxyyzzz_1[j] + 1.5 * fl1_fx * (tg_yyzzz_xxxyyzzz_0[j] - tg_yyzzz_xxxyyzzz_1[j] * fl1_fza) + fl1_fxn * tg_yyyzzz_xxxyzzz_1[j];

                    tg_yyyyzzz_xxxyzzzz_0[j] = pb_y * tg_yyyzzz_xxxyzzzz_0[j] + fr * tg_yyyzzz_xxxyzzzz_1[j] + 1.5 * fl1_fx * (tg_yyzzz_xxxyzzzz_0[j] - tg_yyzzz_xxxyzzzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_yyyzzz_xxxzzzz_1[j];

                    tg_yyyyzzz_xxxzzzzz_0[j] = pb_y * tg_yyyzzz_xxxzzzzz_0[j] + fr * tg_yyyzzz_xxxzzzzz_1[j] + 1.5 * fl1_fx * (tg_yyzzz_xxxzzzzz_0[j] - tg_yyzzz_xxxzzzzz_1[j] * fl1_fza);

                    tg_yyyyzzz_xxyyyyyy_0[j] = pb_y * tg_yyyzzz_xxyyyyyy_0[j] + fr * tg_yyyzzz_xxyyyyyy_1[j] + 1.5 * fl1_fx * (tg_yyzzz_xxyyyyyy_0[j] - tg_yyzzz_xxyyyyyy_1[j] * fl1_fza) + 3.0 * fl1_fxn * tg_yyyzzz_xxyyyyy_1[j];

                    tg_yyyyzzz_xxyyyyyz_0[j] = pb_y * tg_yyyzzz_xxyyyyyz_0[j] + fr * tg_yyyzzz_xxyyyyyz_1[j] + 1.5 * fl1_fx * (tg_yyzzz_xxyyyyyz_0[j] - tg_yyzzz_xxyyyyyz_1[j] * fl1_fza) + 2.5 * fl1_fxn * tg_yyyzzz_xxyyyyz_1[j];

                    tg_yyyyzzz_xxyyyyzz_0[j] = pb_y * tg_yyyzzz_xxyyyyzz_0[j] + fr * tg_yyyzzz_xxyyyyzz_1[j] + 1.5 * fl1_fx * (tg_yyzzz_xxyyyyzz_0[j] - tg_yyzzz_xxyyyyzz_1[j] * fl1_fza) + 2.0 * fl1_fxn * tg_yyyzzz_xxyyyzz_1[j];

                    tg_yyyyzzz_xxyyyzzz_0[j] = pb_y * tg_yyyzzz_xxyyyzzz_0[j] + fr * tg_yyyzzz_xxyyyzzz_1[j] + 1.5 * fl1_fx * (tg_yyzzz_xxyyyzzz_0[j] - tg_yyzzz_xxyyyzzz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_yyyzzz_xxyyzzz_1[j];

                    tg_yyyyzzz_xxyyzzzz_0[j] = pb_y * tg_yyyzzz_xxyyzzzz_0[j] + fr * tg_yyyzzz_xxyyzzzz_1[j] + 1.5 * fl1_fx * (tg_yyzzz_xxyyzzzz_0[j] - tg_yyzzz_xxyyzzzz_1[j] * fl1_fza) + fl1_fxn * tg_yyyzzz_xxyzzzz_1[j];

                    tg_yyyyzzz_xxyzzzzz_0[j] = pb_y * tg_yyyzzz_xxyzzzzz_0[j] + fr * tg_yyyzzz_xxyzzzzz_1[j] + 1.5 * fl1_fx * (tg_yyzzz_xxyzzzzz_0[j] - tg_yyzzz_xxyzzzzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_yyyzzz_xxzzzzz_1[j];

                    tg_yyyyzzz_xxzzzzzz_0[j] = pb_y * tg_yyyzzz_xxzzzzzz_0[j] + fr * tg_yyyzzz_xxzzzzzz_1[j] + 1.5 * fl1_fx * (tg_yyzzz_xxzzzzzz_0[j] - tg_yyzzz_xxzzzzzz_1[j] * fl1_fza);

                    tg_yyyyzzz_xyyyyyyy_0[j] = pb_y * tg_yyyzzz_xyyyyyyy_0[j] + fr * tg_yyyzzz_xyyyyyyy_1[j] + 1.5 * fl1_fx * (tg_yyzzz_xyyyyyyy_0[j] - tg_yyzzz_xyyyyyyy_1[j] * fl1_fza) + 3.5 * fl1_fxn * tg_yyyzzz_xyyyyyy_1[j];

                    tg_yyyyzzz_xyyyyyyz_0[j] = pb_y * tg_yyyzzz_xyyyyyyz_0[j] + fr * tg_yyyzzz_xyyyyyyz_1[j] + 1.5 * fl1_fx * (tg_yyzzz_xyyyyyyz_0[j] - tg_yyzzz_xyyyyyyz_1[j] * fl1_fza) + 3.0 * fl1_fxn * tg_yyyzzz_xyyyyyz_1[j];

                    tg_yyyyzzz_xyyyyyzz_0[j] = pb_y * tg_yyyzzz_xyyyyyzz_0[j] + fr * tg_yyyzzz_xyyyyyzz_1[j] + 1.5 * fl1_fx * (tg_yyzzz_xyyyyyzz_0[j] - tg_yyzzz_xyyyyyzz_1[j] * fl1_fza) + 2.5 * fl1_fxn * tg_yyyzzz_xyyyyzz_1[j];

                    tg_yyyyzzz_xyyyyzzz_0[j] = pb_y * tg_yyyzzz_xyyyyzzz_0[j] + fr * tg_yyyzzz_xyyyyzzz_1[j] + 1.5 * fl1_fx * (tg_yyzzz_xyyyyzzz_0[j] - tg_yyzzz_xyyyyzzz_1[j] * fl1_fza) + 2.0 * fl1_fxn * tg_yyyzzz_xyyyzzz_1[j];

                    tg_yyyyzzz_xyyyzzzz_0[j] = pb_y * tg_yyyzzz_xyyyzzzz_0[j] + fr * tg_yyyzzz_xyyyzzzz_1[j] + 1.5 * fl1_fx * (tg_yyzzz_xyyyzzzz_0[j] - tg_yyzzz_xyyyzzzz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_yyyzzz_xyyzzzz_1[j];

                    tg_yyyyzzz_xyyzzzzz_0[j] = pb_y * tg_yyyzzz_xyyzzzzz_0[j] + fr * tg_yyyzzz_xyyzzzzz_1[j] + 1.5 * fl1_fx * (tg_yyzzz_xyyzzzzz_0[j] - tg_yyzzz_xyyzzzzz_1[j] * fl1_fza) + fl1_fxn * tg_yyyzzz_xyzzzzz_1[j];

                    tg_yyyyzzz_xyzzzzzz_0[j] = pb_y * tg_yyyzzz_xyzzzzzz_0[j] + fr * tg_yyyzzz_xyzzzzzz_1[j] + 1.5 * fl1_fx * (tg_yyzzz_xyzzzzzz_0[j] - tg_yyzzz_xyzzzzzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_yyyzzz_xzzzzzz_1[j];
                }

                idx++;
            }
        }
    }

    void
    compElectronRepulsionForSKSL_1430_1525(      CMemBlock2D<double>* primBuffer,
                                           const CRecursionMap&       recursionMap,
                                           const CMemBlock2D<double>& osFactors,
                                           const CMemBlock2D<double>& wpDistances,
                                           const CGtoPairsBlock&      braGtoPairsBlock,
                                           const CGtoPairsBlock&      ketGtoPairsBlock,
                                           const int32_t              nKetPrimPairs,
                                           const int32_t              iContrPair)
    {
        // Batch of Integrals (1430,1525)

        // set up pointers to primitives data on bra side

        auto spos = braGtoPairsBlock.getStartPositions();

        auto epos = braGtoPairsBlock.getEndPositions();

        // set up pointers to tensor of distance R(PB) = P - B

        auto r_pb_y = braGtoPairsBlock.getDistancesPBY();

        // set up pointers to common Obara-Saika factors

        auto b_fx = braGtoPairsBlock.getFactorsOneOverXi();

        // set up maximum order of integral

        auto mord = recursionMap.getMaxOrder({"Electron Repulsion"},
                                             {7, -1, -1, -1},
                                             {8, -1, -1, -1},
                                             1, 1);

        for (int32_t iord = 0; iord <= mord; iord++)
        {
            // set up index of integral

            auto pidx_g_7_8_m0 = recursionMap.index(CRecursionTerm({"Electron Repulsion"}, 0, true, 
                                                                   {7, -1, -1, -1}, {8, -1, -1, -1}, 
                                                                   1, 1, iord));

            // check if integral is needed in recursion expansion

            if (pidx_g_7_8_m0 == -1) continue;

            // set up indexes of auxilary integral

            auto pidx_g_6_8_m0 = recursionMap.index(CRecursionTerm({"Electron Repulsion"}, 0, true, 
                                                                   {6, -1, -1, -1}, {8, -1, -1, -1}, 
                                                                   1, 1, iord));

            auto pidx_g_6_8_m1 = recursionMap.index(CRecursionTerm({"Electron Repulsion"}, 0, true, 
                                                                   {6, -1, -1, -1}, {8, -1, -1, -1}, 
                                                                   1, 1, iord + 1));

            auto pidx_g_5_8_m0 = recursionMap.index(CRecursionTerm({"Electron Repulsion"}, 0, true, 
                                                                   {5, -1, -1, -1}, {8, -1, -1, -1}, 
                                                                   1, 1, iord));

            auto pidx_g_5_8_m1 = recursionMap.index(CRecursionTerm({"Electron Repulsion"}, 0, true, 
                                                                   {5, -1, -1, -1}, {8, -1, -1, -1}, 
                                                                   1, 1, iord + 1));

            auto pidx_g_6_7_m1 = recursionMap.index(CRecursionTerm({"Electron Repulsion"}, 0, true, 
                                                                   {6, -1, -1, -1}, {7, -1, -1, -1}, 
                                                                   1, 1, iord + 1));

            // loop over contracted GTO on bra side

            int32_t idx = 0;

            for (int32_t i = spos[iContrPair]; i < epos[iContrPair]; i++)
            {
                // set up pointers to Obara-Saika factors

                double fx = b_fx[i];

                auto fza = osFactors.data(4 * idx + 2);

                auto fxn = osFactors.data(4 * idx);

                // set up distances R(PB) = P - B

                auto pb_y = r_pb_y[i];

                // set up pointers to tensors product of distances R(WP) = W - P

                auto wp_y = wpDistances.data(3 * idx + 1);

                // set up pointers to auxilary integrals

                auto tg_yyyzzz_xzzzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1115); 

                auto tg_yyyzzz_yyyyyyyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1116); 

                auto tg_yyyzzz_yyyyyyyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1117); 

                auto tg_yyyzzz_yyyyyyzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1118); 

                auto tg_yyyzzz_yyyyyzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1119); 

                auto tg_yyyzzz_yyyyzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1120); 

                auto tg_yyyzzz_yyyzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1121); 

                auto tg_yyyzzz_yyzzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1122); 

                auto tg_yyyzzz_yzzzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1123); 

                auto tg_yyyzzz_zzzzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1124); 

                auto tg_yyzzzz_xxxxxxxx_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1125); 

                auto tg_yyzzzz_xxxxxxxy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1126); 

                auto tg_yyzzzz_xxxxxxxz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1127); 

                auto tg_yyzzzz_xxxxxxyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1128); 

                auto tg_yyzzzz_xxxxxxyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1129); 

                auto tg_yyzzzz_xxxxxxzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1130); 

                auto tg_yyzzzz_xxxxxyyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1131); 

                auto tg_yyzzzz_xxxxxyyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1132); 

                auto tg_yyzzzz_xxxxxyzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1133); 

                auto tg_yyzzzz_xxxxxzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1134); 

                auto tg_yyzzzz_xxxxyyyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1135); 

                auto tg_yyzzzz_xxxxyyyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1136); 

                auto tg_yyzzzz_xxxxyyzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1137); 

                auto tg_yyzzzz_xxxxyzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1138); 

                auto tg_yyzzzz_xxxxzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1139); 

                auto tg_yyzzzz_xxxyyyyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1140); 

                auto tg_yyzzzz_xxxyyyyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1141); 

                auto tg_yyzzzz_xxxyyyzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1142); 

                auto tg_yyzzzz_xxxyyzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1143); 

                auto tg_yyzzzz_xxxyzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1144); 

                auto tg_yyzzzz_xxxzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1145); 

                auto tg_yyzzzz_xxyyyyyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1146); 

                auto tg_yyzzzz_xxyyyyyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1147); 

                auto tg_yyzzzz_xxyyyyzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1148); 

                auto tg_yyzzzz_xxyyyzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1149); 

                auto tg_yyzzzz_xxyyzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1150); 

                auto tg_yyzzzz_xxyzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1151); 

                auto tg_yyzzzz_xxzzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1152); 

                auto tg_yyzzzz_xyyyyyyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1153); 

                auto tg_yyzzzz_xyyyyyyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1154); 

                auto tg_yyzzzz_xyyyyyzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1155); 

                auto tg_yyzzzz_xyyyyzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1156); 

                auto tg_yyzzzz_xyyyzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1157); 

                auto tg_yyzzzz_xyyzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1158); 

                auto tg_yyzzzz_xyzzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1159); 

                auto tg_yyzzzz_xzzzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1160); 

                auto tg_yyzzzz_yyyyyyyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1161); 

                auto tg_yyzzzz_yyyyyyyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1162); 

                auto tg_yyzzzz_yyyyyyzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1163); 

                auto tg_yyzzzz_yyyyyzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1164); 

                auto tg_yyzzzz_yyyyzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1165); 

                auto tg_yyzzzz_yyyzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1166); 

                auto tg_yyzzzz_yyzzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1167); 

                auto tg_yyzzzz_yzzzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1168); 

                auto tg_yyzzzz_zzzzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1169); 

                auto tg_yzzzzz_xxxxxxxx_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1170); 

                auto tg_yzzzzz_xxxxxxxy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1171); 

                auto tg_yzzzzz_xxxxxxxz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1172); 

                auto tg_yzzzzz_xxxxxxyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1173); 

                auto tg_yzzzzz_xxxxxxyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1174); 

                auto tg_yzzzzz_xxxxxxzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1175); 

                auto tg_yzzzzz_xxxxxyyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1176); 

                auto tg_yzzzzz_xxxxxyyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1177); 

                auto tg_yzzzzz_xxxxxyzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1178); 

                auto tg_yzzzzz_xxxxxzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1179); 

                auto tg_yzzzzz_xxxxyyyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1180); 

                auto tg_yzzzzz_xxxxyyyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1181); 

                auto tg_yzzzzz_xxxxyyzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1182); 

                auto tg_yzzzzz_xxxxyzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1183); 

                auto tg_yzzzzz_xxxxzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1184); 

                auto tg_yzzzzz_xxxyyyyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1185); 

                auto tg_yzzzzz_xxxyyyyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1186); 

                auto tg_yzzzzz_xxxyyyzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1187); 

                auto tg_yzzzzz_xxxyyzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1188); 

                auto tg_yzzzzz_xxxyzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1189); 

                auto tg_yzzzzz_xxxzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1190); 

                auto tg_yzzzzz_xxyyyyyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1191); 

                auto tg_yzzzzz_xxyyyyyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1192); 

                auto tg_yzzzzz_xxyyyyzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1193); 

                auto tg_yzzzzz_xxyyyzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1194); 

                auto tg_yzzzzz_xxyyzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1195); 

                auto tg_yzzzzz_xxyzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1196); 

                auto tg_yzzzzz_xxzzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1197); 

                auto tg_yzzzzz_xyyyyyyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1198); 

                auto tg_yzzzzz_xyyyyyyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1199); 

                auto tg_yzzzzz_xyyyyyzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1200); 

                auto tg_yzzzzz_xyyyyzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1201); 

                auto tg_yzzzzz_xyyyzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1202); 

                auto tg_yzzzzz_xyyzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1203); 

                auto tg_yzzzzz_xyzzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1204); 

                auto tg_yzzzzz_xzzzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1205); 

                auto tg_yzzzzz_yyyyyyyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1206); 

                auto tg_yzzzzz_yyyyyyyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1207); 

                auto tg_yzzzzz_yyyyyyzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1208); 

                auto tg_yzzzzz_yyyyyzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1209); 

                auto tg_yyyzzz_xzzzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1115); 

                auto tg_yyyzzz_yyyyyyyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1116); 

                auto tg_yyyzzz_yyyyyyyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1117); 

                auto tg_yyyzzz_yyyyyyzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1118); 

                auto tg_yyyzzz_yyyyyzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1119); 

                auto tg_yyyzzz_yyyyzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1120); 

                auto tg_yyyzzz_yyyzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1121); 

                auto tg_yyyzzz_yyzzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1122); 

                auto tg_yyyzzz_yzzzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1123); 

                auto tg_yyyzzz_zzzzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1124); 

                auto tg_yyzzzz_xxxxxxxx_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1125); 

                auto tg_yyzzzz_xxxxxxxy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1126); 

                auto tg_yyzzzz_xxxxxxxz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1127); 

                auto tg_yyzzzz_xxxxxxyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1128); 

                auto tg_yyzzzz_xxxxxxyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1129); 

                auto tg_yyzzzz_xxxxxxzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1130); 

                auto tg_yyzzzz_xxxxxyyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1131); 

                auto tg_yyzzzz_xxxxxyyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1132); 

                auto tg_yyzzzz_xxxxxyzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1133); 

                auto tg_yyzzzz_xxxxxzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1134); 

                auto tg_yyzzzz_xxxxyyyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1135); 

                auto tg_yyzzzz_xxxxyyyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1136); 

                auto tg_yyzzzz_xxxxyyzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1137); 

                auto tg_yyzzzz_xxxxyzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1138); 

                auto tg_yyzzzz_xxxxzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1139); 

                auto tg_yyzzzz_xxxyyyyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1140); 

                auto tg_yyzzzz_xxxyyyyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1141); 

                auto tg_yyzzzz_xxxyyyzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1142); 

                auto tg_yyzzzz_xxxyyzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1143); 

                auto tg_yyzzzz_xxxyzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1144); 

                auto tg_yyzzzz_xxxzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1145); 

                auto tg_yyzzzz_xxyyyyyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1146); 

                auto tg_yyzzzz_xxyyyyyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1147); 

                auto tg_yyzzzz_xxyyyyzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1148); 

                auto tg_yyzzzz_xxyyyzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1149); 

                auto tg_yyzzzz_xxyyzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1150); 

                auto tg_yyzzzz_xxyzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1151); 

                auto tg_yyzzzz_xxzzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1152); 

                auto tg_yyzzzz_xyyyyyyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1153); 

                auto tg_yyzzzz_xyyyyyyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1154); 

                auto tg_yyzzzz_xyyyyyzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1155); 

                auto tg_yyzzzz_xyyyyzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1156); 

                auto tg_yyzzzz_xyyyzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1157); 

                auto tg_yyzzzz_xyyzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1158); 

                auto tg_yyzzzz_xyzzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1159); 

                auto tg_yyzzzz_xzzzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1160); 

                auto tg_yyzzzz_yyyyyyyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1161); 

                auto tg_yyzzzz_yyyyyyyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1162); 

                auto tg_yyzzzz_yyyyyyzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1163); 

                auto tg_yyzzzz_yyyyyzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1164); 

                auto tg_yyzzzz_yyyyzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1165); 

                auto tg_yyzzzz_yyyzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1166); 

                auto tg_yyzzzz_yyzzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1167); 

                auto tg_yyzzzz_yzzzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1168); 

                auto tg_yyzzzz_zzzzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1169); 

                auto tg_yzzzzz_xxxxxxxx_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1170); 

                auto tg_yzzzzz_xxxxxxxy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1171); 

                auto tg_yzzzzz_xxxxxxxz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1172); 

                auto tg_yzzzzz_xxxxxxyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1173); 

                auto tg_yzzzzz_xxxxxxyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1174); 

                auto tg_yzzzzz_xxxxxxzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1175); 

                auto tg_yzzzzz_xxxxxyyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1176); 

                auto tg_yzzzzz_xxxxxyyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1177); 

                auto tg_yzzzzz_xxxxxyzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1178); 

                auto tg_yzzzzz_xxxxxzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1179); 

                auto tg_yzzzzz_xxxxyyyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1180); 

                auto tg_yzzzzz_xxxxyyyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1181); 

                auto tg_yzzzzz_xxxxyyzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1182); 

                auto tg_yzzzzz_xxxxyzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1183); 

                auto tg_yzzzzz_xxxxzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1184); 

                auto tg_yzzzzz_xxxyyyyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1185); 

                auto tg_yzzzzz_xxxyyyyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1186); 

                auto tg_yzzzzz_xxxyyyzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1187); 

                auto tg_yzzzzz_xxxyyzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1188); 

                auto tg_yzzzzz_xxxyzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1189); 

                auto tg_yzzzzz_xxxzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1190); 

                auto tg_yzzzzz_xxyyyyyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1191); 

                auto tg_yzzzzz_xxyyyyyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1192); 

                auto tg_yzzzzz_xxyyyyzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1193); 

                auto tg_yzzzzz_xxyyyzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1194); 

                auto tg_yzzzzz_xxyyzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1195); 

                auto tg_yzzzzz_xxyzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1196); 

                auto tg_yzzzzz_xxzzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1197); 

                auto tg_yzzzzz_xyyyyyyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1198); 

                auto tg_yzzzzz_xyyyyyyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1199); 

                auto tg_yzzzzz_xyyyyyzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1200); 

                auto tg_yzzzzz_xyyyyzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1201); 

                auto tg_yzzzzz_xyyyzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1202); 

                auto tg_yzzzzz_xyyzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1203); 

                auto tg_yzzzzz_xyzzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1204); 

                auto tg_yzzzzz_xzzzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1205); 

                auto tg_yzzzzz_yyyyyyyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1206); 

                auto tg_yzzzzz_yyyyyyyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1207); 

                auto tg_yzzzzz_yyyyyyzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1208); 

                auto tg_yzzzzz_yyyyyzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1209); 

                auto tg_yyzzz_xzzzzzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 845); 

                auto tg_yyzzz_yyyyyyyy_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 846); 

                auto tg_yyzzz_yyyyyyyz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 847); 

                auto tg_yyzzz_yyyyyyzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 848); 

                auto tg_yyzzz_yyyyyzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 849); 

                auto tg_yyzzz_yyyyzzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 850); 

                auto tg_yyzzz_yyyzzzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 851); 

                auto tg_yyzzz_yyzzzzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 852); 

                auto tg_yyzzz_yzzzzzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 853); 

                auto tg_yyzzz_zzzzzzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 854); 

                auto tg_yzzzz_xxxxxxxx_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 855); 

                auto tg_yzzzz_xxxxxxxy_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 856); 

                auto tg_yzzzz_xxxxxxxz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 857); 

                auto tg_yzzzz_xxxxxxyy_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 858); 

                auto tg_yzzzz_xxxxxxyz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 859); 

                auto tg_yzzzz_xxxxxxzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 860); 

                auto tg_yzzzz_xxxxxyyy_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 861); 

                auto tg_yzzzz_xxxxxyyz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 862); 

                auto tg_yzzzz_xxxxxyzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 863); 

                auto tg_yzzzz_xxxxxzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 864); 

                auto tg_yzzzz_xxxxyyyy_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 865); 

                auto tg_yzzzz_xxxxyyyz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 866); 

                auto tg_yzzzz_xxxxyyzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 867); 

                auto tg_yzzzz_xxxxyzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 868); 

                auto tg_yzzzz_xxxxzzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 869); 

                auto tg_yzzzz_xxxyyyyy_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 870); 

                auto tg_yzzzz_xxxyyyyz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 871); 

                auto tg_yzzzz_xxxyyyzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 872); 

                auto tg_yzzzz_xxxyyzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 873); 

                auto tg_yzzzz_xxxyzzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 874); 

                auto tg_yzzzz_xxxzzzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 875); 

                auto tg_yzzzz_xxyyyyyy_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 876); 

                auto tg_yzzzz_xxyyyyyz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 877); 

                auto tg_yzzzz_xxyyyyzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 878); 

                auto tg_yzzzz_xxyyyzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 879); 

                auto tg_yzzzz_xxyyzzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 880); 

                auto tg_yzzzz_xxyzzzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 881); 

                auto tg_yzzzz_xxzzzzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 882); 

                auto tg_yzzzz_xyyyyyyy_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 883); 

                auto tg_yzzzz_xyyyyyyz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 884); 

                auto tg_yzzzz_xyyyyyzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 885); 

                auto tg_yzzzz_xyyyyzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 886); 

                auto tg_yzzzz_xyyyzzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 887); 

                auto tg_yzzzz_xyyzzzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 888); 

                auto tg_yzzzz_xyzzzzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 889); 

                auto tg_yzzzz_xzzzzzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 890); 

                auto tg_yzzzz_yyyyyyyy_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 891); 

                auto tg_yzzzz_yyyyyyyz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 892); 

                auto tg_yzzzz_yyyyyyzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 893); 

                auto tg_yzzzz_yyyyyzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 894); 

                auto tg_yzzzz_yyyyzzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 895); 

                auto tg_yzzzz_yyyzzzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 896); 

                auto tg_yzzzz_yyzzzzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 897); 

                auto tg_yzzzz_yzzzzzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 898); 

                auto tg_yzzzz_zzzzzzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 899); 

                auto tg_zzzzz_xxxxxxxx_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 900); 

                auto tg_zzzzz_xxxxxxxy_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 901); 

                auto tg_zzzzz_xxxxxxxz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 902); 

                auto tg_zzzzz_xxxxxxyy_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 903); 

                auto tg_zzzzz_xxxxxxyz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 904); 

                auto tg_zzzzz_xxxxxxzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 905); 

                auto tg_zzzzz_xxxxxyyy_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 906); 

                auto tg_zzzzz_xxxxxyyz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 907); 

                auto tg_zzzzz_xxxxxyzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 908); 

                auto tg_zzzzz_xxxxxzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 909); 

                auto tg_zzzzz_xxxxyyyy_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 910); 

                auto tg_zzzzz_xxxxyyyz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 911); 

                auto tg_zzzzz_xxxxyyzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 912); 

                auto tg_zzzzz_xxxxyzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 913); 

                auto tg_zzzzz_xxxxzzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 914); 

                auto tg_zzzzz_xxxyyyyy_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 915); 

                auto tg_zzzzz_xxxyyyyz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 916); 

                auto tg_zzzzz_xxxyyyzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 917); 

                auto tg_zzzzz_xxxyyzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 918); 

                auto tg_zzzzz_xxxyzzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 919); 

                auto tg_zzzzz_xxxzzzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 920); 

                auto tg_zzzzz_xxyyyyyy_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 921); 

                auto tg_zzzzz_xxyyyyyz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 922); 

                auto tg_zzzzz_xxyyyyzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 923); 

                auto tg_zzzzz_xxyyyzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 924); 

                auto tg_zzzzz_xxyyzzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 925); 

                auto tg_zzzzz_xxyzzzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 926); 

                auto tg_zzzzz_xxzzzzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 927); 

                auto tg_zzzzz_xyyyyyyy_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 928); 

                auto tg_zzzzz_xyyyyyyz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 929); 

                auto tg_zzzzz_xyyyyyzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 930); 

                auto tg_zzzzz_xyyyyzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 931); 

                auto tg_zzzzz_xyyyzzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 932); 

                auto tg_zzzzz_xyyzzzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 933); 

                auto tg_zzzzz_xyzzzzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 934); 

                auto tg_zzzzz_xzzzzzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 935); 

                auto tg_zzzzz_yyyyyyyy_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 936); 

                auto tg_zzzzz_yyyyyyyz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 937); 

                auto tg_zzzzz_yyyyyyzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 938); 

                auto tg_zzzzz_yyyyyzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 939); 

                auto tg_yyzzz_xzzzzzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 845); 

                auto tg_yyzzz_yyyyyyyy_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 846); 

                auto tg_yyzzz_yyyyyyyz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 847); 

                auto tg_yyzzz_yyyyyyzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 848); 

                auto tg_yyzzz_yyyyyzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 849); 

                auto tg_yyzzz_yyyyzzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 850); 

                auto tg_yyzzz_yyyzzzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 851); 

                auto tg_yyzzz_yyzzzzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 852); 

                auto tg_yyzzz_yzzzzzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 853); 

                auto tg_yyzzz_zzzzzzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 854); 

                auto tg_yzzzz_xxxxxxxx_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 855); 

                auto tg_yzzzz_xxxxxxxy_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 856); 

                auto tg_yzzzz_xxxxxxxz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 857); 

                auto tg_yzzzz_xxxxxxyy_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 858); 

                auto tg_yzzzz_xxxxxxyz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 859); 

                auto tg_yzzzz_xxxxxxzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 860); 

                auto tg_yzzzz_xxxxxyyy_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 861); 

                auto tg_yzzzz_xxxxxyyz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 862); 

                auto tg_yzzzz_xxxxxyzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 863); 

                auto tg_yzzzz_xxxxxzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 864); 

                auto tg_yzzzz_xxxxyyyy_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 865); 

                auto tg_yzzzz_xxxxyyyz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 866); 

                auto tg_yzzzz_xxxxyyzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 867); 

                auto tg_yzzzz_xxxxyzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 868); 

                auto tg_yzzzz_xxxxzzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 869); 

                auto tg_yzzzz_xxxyyyyy_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 870); 

                auto tg_yzzzz_xxxyyyyz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 871); 

                auto tg_yzzzz_xxxyyyzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 872); 

                auto tg_yzzzz_xxxyyzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 873); 

                auto tg_yzzzz_xxxyzzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 874); 

                auto tg_yzzzz_xxxzzzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 875); 

                auto tg_yzzzz_xxyyyyyy_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 876); 

                auto tg_yzzzz_xxyyyyyz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 877); 

                auto tg_yzzzz_xxyyyyzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 878); 

                auto tg_yzzzz_xxyyyzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 879); 

                auto tg_yzzzz_xxyyzzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 880); 

                auto tg_yzzzz_xxyzzzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 881); 

                auto tg_yzzzz_xxzzzzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 882); 

                auto tg_yzzzz_xyyyyyyy_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 883); 

                auto tg_yzzzz_xyyyyyyz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 884); 

                auto tg_yzzzz_xyyyyyzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 885); 

                auto tg_yzzzz_xyyyyzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 886); 

                auto tg_yzzzz_xyyyzzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 887); 

                auto tg_yzzzz_xyyzzzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 888); 

                auto tg_yzzzz_xyzzzzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 889); 

                auto tg_yzzzz_xzzzzzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 890); 

                auto tg_yzzzz_yyyyyyyy_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 891); 

                auto tg_yzzzz_yyyyyyyz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 892); 

                auto tg_yzzzz_yyyyyyzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 893); 

                auto tg_yzzzz_yyyyyzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 894); 

                auto tg_yzzzz_yyyyzzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 895); 

                auto tg_yzzzz_yyyzzzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 896); 

                auto tg_yzzzz_yyzzzzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 897); 

                auto tg_yzzzz_yzzzzzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 898); 

                auto tg_yzzzz_zzzzzzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 899); 

                auto tg_zzzzz_xxxxxxxx_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 900); 

                auto tg_zzzzz_xxxxxxxy_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 901); 

                auto tg_zzzzz_xxxxxxxz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 902); 

                auto tg_zzzzz_xxxxxxyy_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 903); 

                auto tg_zzzzz_xxxxxxyz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 904); 

                auto tg_zzzzz_xxxxxxzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 905); 

                auto tg_zzzzz_xxxxxyyy_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 906); 

                auto tg_zzzzz_xxxxxyyz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 907); 

                auto tg_zzzzz_xxxxxyzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 908); 

                auto tg_zzzzz_xxxxxzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 909); 

                auto tg_zzzzz_xxxxyyyy_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 910); 

                auto tg_zzzzz_xxxxyyyz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 911); 

                auto tg_zzzzz_xxxxyyzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 912); 

                auto tg_zzzzz_xxxxyzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 913); 

                auto tg_zzzzz_xxxxzzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 914); 

                auto tg_zzzzz_xxxyyyyy_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 915); 

                auto tg_zzzzz_xxxyyyyz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 916); 

                auto tg_zzzzz_xxxyyyzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 917); 

                auto tg_zzzzz_xxxyyzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 918); 

                auto tg_zzzzz_xxxyzzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 919); 

                auto tg_zzzzz_xxxzzzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 920); 

                auto tg_zzzzz_xxyyyyyy_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 921); 

                auto tg_zzzzz_xxyyyyyz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 922); 

                auto tg_zzzzz_xxyyyyzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 923); 

                auto tg_zzzzz_xxyyyzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 924); 

                auto tg_zzzzz_xxyyzzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 925); 

                auto tg_zzzzz_xxyzzzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 926); 

                auto tg_zzzzz_xxzzzzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 927); 

                auto tg_zzzzz_xyyyyyyy_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 928); 

                auto tg_zzzzz_xyyyyyyz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 929); 

                auto tg_zzzzz_xyyyyyzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 930); 

                auto tg_zzzzz_xyyyyzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 931); 

                auto tg_zzzzz_xyyyzzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 932); 

                auto tg_zzzzz_xyyzzzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 933); 

                auto tg_zzzzz_xyzzzzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 934); 

                auto tg_zzzzz_xzzzzzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 935); 

                auto tg_zzzzz_yyyyyyyy_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 936); 

                auto tg_zzzzz_yyyyyyyz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 937); 

                auto tg_zzzzz_yyyyyyzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 938); 

                auto tg_zzzzz_yyyyyzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 939); 

                auto tg_yyyzzz_yyyyyyy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 892); 

                auto tg_yyyzzz_yyyyyyz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 893); 

                auto tg_yyyzzz_yyyyyzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 894); 

                auto tg_yyyzzz_yyyyzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 895); 

                auto tg_yyyzzz_yyyzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 896); 

                auto tg_yyyzzz_yyzzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 897); 

                auto tg_yyyzzz_yzzzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 898); 

                auto tg_yyyzzz_zzzzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 899); 

                auto tg_yyzzzz_xxxxxxx_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 900); 

                auto tg_yyzzzz_xxxxxxy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 901); 

                auto tg_yyzzzz_xxxxxxz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 902); 

                auto tg_yyzzzz_xxxxxyy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 903); 

                auto tg_yyzzzz_xxxxxyz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 904); 

                auto tg_yyzzzz_xxxxxzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 905); 

                auto tg_yyzzzz_xxxxyyy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 906); 

                auto tg_yyzzzz_xxxxyyz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 907); 

                auto tg_yyzzzz_xxxxyzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 908); 

                auto tg_yyzzzz_xxxxzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 909); 

                auto tg_yyzzzz_xxxyyyy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 910); 

                auto tg_yyzzzz_xxxyyyz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 911); 

                auto tg_yyzzzz_xxxyyzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 912); 

                auto tg_yyzzzz_xxxyzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 913); 

                auto tg_yyzzzz_xxxzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 914); 

                auto tg_yyzzzz_xxyyyyy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 915); 

                auto tg_yyzzzz_xxyyyyz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 916); 

                auto tg_yyzzzz_xxyyyzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 917); 

                auto tg_yyzzzz_xxyyzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 918); 

                auto tg_yyzzzz_xxyzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 919); 

                auto tg_yyzzzz_xxzzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 920); 

                auto tg_yyzzzz_xyyyyyy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 921); 

                auto tg_yyzzzz_xyyyyyz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 922); 

                auto tg_yyzzzz_xyyyyzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 923); 

                auto tg_yyzzzz_xyyyzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 924); 

                auto tg_yyzzzz_xyyzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 925); 

                auto tg_yyzzzz_xyzzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 926); 

                auto tg_yyzzzz_xzzzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 927); 

                auto tg_yyzzzz_yyyyyyy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 928); 

                auto tg_yyzzzz_yyyyyyz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 929); 

                auto tg_yyzzzz_yyyyyzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 930); 

                auto tg_yyzzzz_yyyyzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 931); 

                auto tg_yyzzzz_yyyzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 932); 

                auto tg_yyzzzz_yyzzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 933); 

                auto tg_yyzzzz_yzzzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 934); 

                auto tg_yyzzzz_zzzzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 935); 

                auto tg_yzzzzz_xxxxxxx_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 936); 

                auto tg_yzzzzz_xxxxxxy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 937); 

                auto tg_yzzzzz_xxxxxxz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 938); 

                auto tg_yzzzzz_xxxxxyy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 939); 

                auto tg_yzzzzz_xxxxxyz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 940); 

                auto tg_yzzzzz_xxxxxzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 941); 

                auto tg_yzzzzz_xxxxyyy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 942); 

                auto tg_yzzzzz_xxxxyyz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 943); 

                auto tg_yzzzzz_xxxxyzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 944); 

                auto tg_yzzzzz_xxxxzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 945); 

                auto tg_yzzzzz_xxxyyyy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 946); 

                auto tg_yzzzzz_xxxyyyz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 947); 

                auto tg_yzzzzz_xxxyyzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 948); 

                auto tg_yzzzzz_xxxyzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 949); 

                auto tg_yzzzzz_xxxzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 950); 

                auto tg_yzzzzz_xxyyyyy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 951); 

                auto tg_yzzzzz_xxyyyyz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 952); 

                auto tg_yzzzzz_xxyyyzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 953); 

                auto tg_yzzzzz_xxyyzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 954); 

                auto tg_yzzzzz_xxyzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 955); 

                auto tg_yzzzzz_xxzzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 956); 

                auto tg_yzzzzz_xyyyyyy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 957); 

                auto tg_yzzzzz_xyyyyyz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 958); 

                auto tg_yzzzzz_xyyyyzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 959); 

                auto tg_yzzzzz_xyyyzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 960); 

                auto tg_yzzzzz_xyyzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 961); 

                auto tg_yzzzzz_xyzzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 962); 

                auto tg_yzzzzz_xzzzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 963); 

                auto tg_yzzzzz_yyyyyyy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 964); 

                auto tg_yzzzzz_yyyyyyz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 965); 

                auto tg_yzzzzz_yyyyyzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 966); 

                auto tg_yzzzzz_yyyyzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 967); 

                // set up pointers to integrals

                auto tg_yyyyzzz_xzzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1430); 

                auto tg_yyyyzzz_yyyyyyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1431); 

                auto tg_yyyyzzz_yyyyyyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1432); 

                auto tg_yyyyzzz_yyyyyyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1433); 

                auto tg_yyyyzzz_yyyyyzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1434); 

                auto tg_yyyyzzz_yyyyzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1435); 

                auto tg_yyyyzzz_yyyzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1436); 

                auto tg_yyyyzzz_yyzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1437); 

                auto tg_yyyyzzz_yzzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1438); 

                auto tg_yyyyzzz_zzzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1439); 

                auto tg_yyyzzzz_xxxxxxxx_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1440); 

                auto tg_yyyzzzz_xxxxxxxy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1441); 

                auto tg_yyyzzzz_xxxxxxxz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1442); 

                auto tg_yyyzzzz_xxxxxxyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1443); 

                auto tg_yyyzzzz_xxxxxxyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1444); 

                auto tg_yyyzzzz_xxxxxxzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1445); 

                auto tg_yyyzzzz_xxxxxyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1446); 

                auto tg_yyyzzzz_xxxxxyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1447); 

                auto tg_yyyzzzz_xxxxxyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1448); 

                auto tg_yyyzzzz_xxxxxzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1449); 

                auto tg_yyyzzzz_xxxxyyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1450); 

                auto tg_yyyzzzz_xxxxyyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1451); 

                auto tg_yyyzzzz_xxxxyyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1452); 

                auto tg_yyyzzzz_xxxxyzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1453); 

                auto tg_yyyzzzz_xxxxzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1454); 

                auto tg_yyyzzzz_xxxyyyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1455); 

                auto tg_yyyzzzz_xxxyyyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1456); 

                auto tg_yyyzzzz_xxxyyyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1457); 

                auto tg_yyyzzzz_xxxyyzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1458); 

                auto tg_yyyzzzz_xxxyzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1459); 

                auto tg_yyyzzzz_xxxzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1460); 

                auto tg_yyyzzzz_xxyyyyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1461); 

                auto tg_yyyzzzz_xxyyyyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1462); 

                auto tg_yyyzzzz_xxyyyyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1463); 

                auto tg_yyyzzzz_xxyyyzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1464); 

                auto tg_yyyzzzz_xxyyzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1465); 

                auto tg_yyyzzzz_xxyzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1466); 

                auto tg_yyyzzzz_xxzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1467); 

                auto tg_yyyzzzz_xyyyyyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1468); 

                auto tg_yyyzzzz_xyyyyyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1469); 

                auto tg_yyyzzzz_xyyyyyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1470); 

                auto tg_yyyzzzz_xyyyyzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1471); 

                auto tg_yyyzzzz_xyyyzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1472); 

                auto tg_yyyzzzz_xyyzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1473); 

                auto tg_yyyzzzz_xyzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1474); 

                auto tg_yyyzzzz_xzzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1475); 

                auto tg_yyyzzzz_yyyyyyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1476); 

                auto tg_yyyzzzz_yyyyyyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1477); 

                auto tg_yyyzzzz_yyyyyyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1478); 

                auto tg_yyyzzzz_yyyyyzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1479); 

                auto tg_yyyzzzz_yyyyzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1480); 

                auto tg_yyyzzzz_yyyzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1481); 

                auto tg_yyyzzzz_yyzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1482); 

                auto tg_yyyzzzz_yzzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1483); 

                auto tg_yyyzzzz_zzzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1484); 

                auto tg_yyzzzzz_xxxxxxxx_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1485); 

                auto tg_yyzzzzz_xxxxxxxy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1486); 

                auto tg_yyzzzzz_xxxxxxxz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1487); 

                auto tg_yyzzzzz_xxxxxxyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1488); 

                auto tg_yyzzzzz_xxxxxxyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1489); 

                auto tg_yyzzzzz_xxxxxxzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1490); 

                auto tg_yyzzzzz_xxxxxyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1491); 

                auto tg_yyzzzzz_xxxxxyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1492); 

                auto tg_yyzzzzz_xxxxxyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1493); 

                auto tg_yyzzzzz_xxxxxzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1494); 

                auto tg_yyzzzzz_xxxxyyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1495); 

                auto tg_yyzzzzz_xxxxyyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1496); 

                auto tg_yyzzzzz_xxxxyyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1497); 

                auto tg_yyzzzzz_xxxxyzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1498); 

                auto tg_yyzzzzz_xxxxzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1499); 

                auto tg_yyzzzzz_xxxyyyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1500); 

                auto tg_yyzzzzz_xxxyyyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1501); 

                auto tg_yyzzzzz_xxxyyyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1502); 

                auto tg_yyzzzzz_xxxyyzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1503); 

                auto tg_yyzzzzz_xxxyzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1504); 

                auto tg_yyzzzzz_xxxzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1505); 

                auto tg_yyzzzzz_xxyyyyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1506); 

                auto tg_yyzzzzz_xxyyyyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1507); 

                auto tg_yyzzzzz_xxyyyyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1508); 

                auto tg_yyzzzzz_xxyyyzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1509); 

                auto tg_yyzzzzz_xxyyzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1510); 

                auto tg_yyzzzzz_xxyzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1511); 

                auto tg_yyzzzzz_xxzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1512); 

                auto tg_yyzzzzz_xyyyyyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1513); 

                auto tg_yyzzzzz_xyyyyyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1514); 

                auto tg_yyzzzzz_xyyyyyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1515); 

                auto tg_yyzzzzz_xyyyyzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1516); 

                auto tg_yyzzzzz_xyyyzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1517); 

                auto tg_yyzzzzz_xyyzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1518); 

                auto tg_yyzzzzz_xyzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1519); 

                auto tg_yyzzzzz_xzzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1520); 

                auto tg_yyzzzzz_yyyyyyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1521); 

                auto tg_yyzzzzz_yyyyyyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1522); 

                auto tg_yyzzzzz_yyyyyyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1523); 

                auto tg_yyzzzzz_yyyyyzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1524); 

                // Batch of Integrals (1430,1525)

                #pragma omp simd aligned(fxn, fza, tg_yyyyzzz_xzzzzzzz_0, tg_yyyyzzz_yyyyyyyy_0, \
                                         tg_yyyyzzz_yyyyyyyz_0, tg_yyyyzzz_yyyyyyzz_0, tg_yyyyzzz_yyyyyzzz_0, \
                                         tg_yyyyzzz_yyyyzzzz_0, tg_yyyyzzz_yyyzzzzz_0, tg_yyyyzzz_yyzzzzzz_0, \
                                         tg_yyyyzzz_yzzzzzzz_0, tg_yyyyzzz_zzzzzzzz_0, tg_yyyzzz_xzzzzzzz_0, \
                                         tg_yyyzzz_xzzzzzzz_1, tg_yyyzzz_yyyyyyy_1, tg_yyyzzz_yyyyyyyy_0, tg_yyyzzz_yyyyyyyy_1, \
                                         tg_yyyzzz_yyyyyyyz_0, tg_yyyzzz_yyyyyyyz_1, tg_yyyzzz_yyyyyyz_1, tg_yyyzzz_yyyyyyzz_0, \
                                         tg_yyyzzz_yyyyyyzz_1, tg_yyyzzz_yyyyyzz_1, tg_yyyzzz_yyyyyzzz_0, tg_yyyzzz_yyyyyzzz_1, \
                                         tg_yyyzzz_yyyyzzz_1, tg_yyyzzz_yyyyzzzz_0, tg_yyyzzz_yyyyzzzz_1, tg_yyyzzz_yyyzzzz_1, \
                                         tg_yyyzzz_yyyzzzzz_0, tg_yyyzzz_yyyzzzzz_1, tg_yyyzzz_yyzzzzz_1, tg_yyyzzz_yyzzzzzz_0, \
                                         tg_yyyzzz_yyzzzzzz_1, tg_yyyzzz_yzzzzzz_1, tg_yyyzzz_yzzzzzzz_0, tg_yyyzzz_yzzzzzzz_1, \
                                         tg_yyyzzz_zzzzzzz_1, tg_yyyzzz_zzzzzzzz_0, tg_yyyzzz_zzzzzzzz_1, \
                                         tg_yyyzzzz_xxxxxxxx_0, tg_yyyzzzz_xxxxxxxy_0, tg_yyyzzzz_xxxxxxxz_0, \
                                         tg_yyyzzzz_xxxxxxyy_0, tg_yyyzzzz_xxxxxxyz_0, tg_yyyzzzz_xxxxxxzz_0, \
                                         tg_yyyzzzz_xxxxxyyy_0, tg_yyyzzzz_xxxxxyyz_0, tg_yyyzzzz_xxxxxyzz_0, \
                                         tg_yyyzzzz_xxxxxzzz_0, tg_yyyzzzz_xxxxyyyy_0, tg_yyyzzzz_xxxxyyyz_0, \
                                         tg_yyyzzzz_xxxxyyzz_0, tg_yyyzzzz_xxxxyzzz_0, tg_yyyzzzz_xxxxzzzz_0, \
                                         tg_yyyzzzz_xxxyyyyy_0, tg_yyyzzzz_xxxyyyyz_0, tg_yyyzzzz_xxxyyyzz_0, \
                                         tg_yyyzzzz_xxxyyzzz_0, tg_yyyzzzz_xxxyzzzz_0, tg_yyyzzzz_xxxzzzzz_0, \
                                         tg_yyyzzzz_xxyyyyyy_0, tg_yyyzzzz_xxyyyyyz_0, tg_yyyzzzz_xxyyyyzz_0, \
                                         tg_yyyzzzz_xxyyyzzz_0, tg_yyyzzzz_xxyyzzzz_0, tg_yyyzzzz_xxyzzzzz_0, \
                                         tg_yyyzzzz_xxzzzzzz_0, tg_yyyzzzz_xyyyyyyy_0, tg_yyyzzzz_xyyyyyyz_0, \
                                         tg_yyyzzzz_xyyyyyzz_0, tg_yyyzzzz_xyyyyzzz_0, tg_yyyzzzz_xyyyzzzz_0, \
                                         tg_yyyzzzz_xyyzzzzz_0, tg_yyyzzzz_xyzzzzzz_0, tg_yyyzzzz_xzzzzzzz_0, \
                                         tg_yyyzzzz_yyyyyyyy_0, tg_yyyzzzz_yyyyyyyz_0, tg_yyyzzzz_yyyyyyzz_0, \
                                         tg_yyyzzzz_yyyyyzzz_0, tg_yyyzzzz_yyyyzzzz_0, tg_yyyzzzz_yyyzzzzz_0, \
                                         tg_yyyzzzz_yyzzzzzz_0, tg_yyyzzzz_yzzzzzzz_0, tg_yyyzzzz_zzzzzzzz_0, \
                                         tg_yyzzz_xzzzzzzz_0, tg_yyzzz_xzzzzzzz_1, tg_yyzzz_yyyyyyyy_0, tg_yyzzz_yyyyyyyy_1, \
                                         tg_yyzzz_yyyyyyyz_0, tg_yyzzz_yyyyyyyz_1, tg_yyzzz_yyyyyyzz_0, tg_yyzzz_yyyyyyzz_1, \
                                         tg_yyzzz_yyyyyzzz_0, tg_yyzzz_yyyyyzzz_1, tg_yyzzz_yyyyzzzz_0, tg_yyzzz_yyyyzzzz_1, \
                                         tg_yyzzz_yyyzzzzz_0, tg_yyzzz_yyyzzzzz_1, tg_yyzzz_yyzzzzzz_0, tg_yyzzz_yyzzzzzz_1, \
                                         tg_yyzzz_yzzzzzzz_0, tg_yyzzz_yzzzzzzz_1, tg_yyzzz_zzzzzzzz_0, tg_yyzzz_zzzzzzzz_1, \
                                         tg_yyzzzz_xxxxxxx_1, tg_yyzzzz_xxxxxxxx_0, tg_yyzzzz_xxxxxxxx_1, tg_yyzzzz_xxxxxxxy_0, \
                                         tg_yyzzzz_xxxxxxxy_1, tg_yyzzzz_xxxxxxxz_0, tg_yyzzzz_xxxxxxxz_1, tg_yyzzzz_xxxxxxy_1, \
                                         tg_yyzzzz_xxxxxxyy_0, tg_yyzzzz_xxxxxxyy_1, tg_yyzzzz_xxxxxxyz_0, tg_yyzzzz_xxxxxxyz_1, \
                                         tg_yyzzzz_xxxxxxz_1, tg_yyzzzz_xxxxxxzz_0, tg_yyzzzz_xxxxxxzz_1, tg_yyzzzz_xxxxxyy_1, \
                                         tg_yyzzzz_xxxxxyyy_0, tg_yyzzzz_xxxxxyyy_1, tg_yyzzzz_xxxxxyyz_0, tg_yyzzzz_xxxxxyyz_1, \
                                         tg_yyzzzz_xxxxxyz_1, tg_yyzzzz_xxxxxyzz_0, tg_yyzzzz_xxxxxyzz_1, tg_yyzzzz_xxxxxzz_1, \
                                         tg_yyzzzz_xxxxxzzz_0, tg_yyzzzz_xxxxxzzz_1, tg_yyzzzz_xxxxyyy_1, tg_yyzzzz_xxxxyyyy_0, \
                                         tg_yyzzzz_xxxxyyyy_1, tg_yyzzzz_xxxxyyyz_0, tg_yyzzzz_xxxxyyyz_1, tg_yyzzzz_xxxxyyz_1, \
                                         tg_yyzzzz_xxxxyyzz_0, tg_yyzzzz_xxxxyyzz_1, tg_yyzzzz_xxxxyzz_1, tg_yyzzzz_xxxxyzzz_0, \
                                         tg_yyzzzz_xxxxyzzz_1, tg_yyzzzz_xxxxzzz_1, tg_yyzzzz_xxxxzzzz_0, tg_yyzzzz_xxxxzzzz_1, \
                                         tg_yyzzzz_xxxyyyy_1, tg_yyzzzz_xxxyyyyy_0, tg_yyzzzz_xxxyyyyy_1, tg_yyzzzz_xxxyyyyz_0, \
                                         tg_yyzzzz_xxxyyyyz_1, tg_yyzzzz_xxxyyyz_1, tg_yyzzzz_xxxyyyzz_0, tg_yyzzzz_xxxyyyzz_1, \
                                         tg_yyzzzz_xxxyyzz_1, tg_yyzzzz_xxxyyzzz_0, tg_yyzzzz_xxxyyzzz_1, tg_yyzzzz_xxxyzzz_1, \
                                         tg_yyzzzz_xxxyzzzz_0, tg_yyzzzz_xxxyzzzz_1, tg_yyzzzz_xxxzzzz_1, tg_yyzzzz_xxxzzzzz_0, \
                                         tg_yyzzzz_xxxzzzzz_1, tg_yyzzzz_xxyyyyy_1, tg_yyzzzz_xxyyyyyy_0, tg_yyzzzz_xxyyyyyy_1, \
                                         tg_yyzzzz_xxyyyyyz_0, tg_yyzzzz_xxyyyyyz_1, tg_yyzzzz_xxyyyyz_1, tg_yyzzzz_xxyyyyzz_0, \
                                         tg_yyzzzz_xxyyyyzz_1, tg_yyzzzz_xxyyyzz_1, tg_yyzzzz_xxyyyzzz_0, tg_yyzzzz_xxyyyzzz_1, \
                                         tg_yyzzzz_xxyyzzz_1, tg_yyzzzz_xxyyzzzz_0, tg_yyzzzz_xxyyzzzz_1, tg_yyzzzz_xxyzzzz_1, \
                                         tg_yyzzzz_xxyzzzzz_0, tg_yyzzzz_xxyzzzzz_1, tg_yyzzzz_xxzzzzz_1, tg_yyzzzz_xxzzzzzz_0, \
                                         tg_yyzzzz_xxzzzzzz_1, tg_yyzzzz_xyyyyyy_1, tg_yyzzzz_xyyyyyyy_0, tg_yyzzzz_xyyyyyyy_1, \
                                         tg_yyzzzz_xyyyyyyz_0, tg_yyzzzz_xyyyyyyz_1, tg_yyzzzz_xyyyyyz_1, tg_yyzzzz_xyyyyyzz_0, \
                                         tg_yyzzzz_xyyyyyzz_1, tg_yyzzzz_xyyyyzz_1, tg_yyzzzz_xyyyyzzz_0, tg_yyzzzz_xyyyyzzz_1, \
                                         tg_yyzzzz_xyyyzzz_1, tg_yyzzzz_xyyyzzzz_0, tg_yyzzzz_xyyyzzzz_1, tg_yyzzzz_xyyzzzz_1, \
                                         tg_yyzzzz_xyyzzzzz_0, tg_yyzzzz_xyyzzzzz_1, tg_yyzzzz_xyzzzzz_1, tg_yyzzzz_xyzzzzzz_0, \
                                         tg_yyzzzz_xyzzzzzz_1, tg_yyzzzz_xzzzzzz_1, tg_yyzzzz_xzzzzzzz_0, tg_yyzzzz_xzzzzzzz_1, \
                                         tg_yyzzzz_yyyyyyy_1, tg_yyzzzz_yyyyyyyy_0, tg_yyzzzz_yyyyyyyy_1, tg_yyzzzz_yyyyyyyz_0, \
                                         tg_yyzzzz_yyyyyyyz_1, tg_yyzzzz_yyyyyyz_1, tg_yyzzzz_yyyyyyzz_0, tg_yyzzzz_yyyyyyzz_1, \
                                         tg_yyzzzz_yyyyyzz_1, tg_yyzzzz_yyyyyzzz_0, tg_yyzzzz_yyyyyzzz_1, tg_yyzzzz_yyyyzzz_1, \
                                         tg_yyzzzz_yyyyzzzz_0, tg_yyzzzz_yyyyzzzz_1, tg_yyzzzz_yyyzzzz_1, tg_yyzzzz_yyyzzzzz_0, \
                                         tg_yyzzzz_yyyzzzzz_1, tg_yyzzzz_yyzzzzz_1, tg_yyzzzz_yyzzzzzz_0, tg_yyzzzz_yyzzzzzz_1, \
                                         tg_yyzzzz_yzzzzzz_1, tg_yyzzzz_yzzzzzzz_0, tg_yyzzzz_yzzzzzzz_1, tg_yyzzzz_zzzzzzz_1, \
                                         tg_yyzzzz_zzzzzzzz_0, tg_yyzzzz_zzzzzzzz_1, tg_yyzzzzz_xxxxxxxx_0, \
                                         tg_yyzzzzz_xxxxxxxy_0, tg_yyzzzzz_xxxxxxxz_0, tg_yyzzzzz_xxxxxxyy_0, \
                                         tg_yyzzzzz_xxxxxxyz_0, tg_yyzzzzz_xxxxxxzz_0, tg_yyzzzzz_xxxxxyyy_0, \
                                         tg_yyzzzzz_xxxxxyyz_0, tg_yyzzzzz_xxxxxyzz_0, tg_yyzzzzz_xxxxxzzz_0, \
                                         tg_yyzzzzz_xxxxyyyy_0, tg_yyzzzzz_xxxxyyyz_0, tg_yyzzzzz_xxxxyyzz_0, \
                                         tg_yyzzzzz_xxxxyzzz_0, tg_yyzzzzz_xxxxzzzz_0, tg_yyzzzzz_xxxyyyyy_0, \
                                         tg_yyzzzzz_xxxyyyyz_0, tg_yyzzzzz_xxxyyyzz_0, tg_yyzzzzz_xxxyyzzz_0, \
                                         tg_yyzzzzz_xxxyzzzz_0, tg_yyzzzzz_xxxzzzzz_0, tg_yyzzzzz_xxyyyyyy_0, \
                                         tg_yyzzzzz_xxyyyyyz_0, tg_yyzzzzz_xxyyyyzz_0, tg_yyzzzzz_xxyyyzzz_0, \
                                         tg_yyzzzzz_xxyyzzzz_0, tg_yyzzzzz_xxyzzzzz_0, tg_yyzzzzz_xxzzzzzz_0, \
                                         tg_yyzzzzz_xyyyyyyy_0, tg_yyzzzzz_xyyyyyyz_0, tg_yyzzzzz_xyyyyyzz_0, \
                                         tg_yyzzzzz_xyyyyzzz_0, tg_yyzzzzz_xyyyzzzz_0, tg_yyzzzzz_xyyzzzzz_0, \
                                         tg_yyzzzzz_xyzzzzzz_0, tg_yyzzzzz_xzzzzzzz_0, tg_yyzzzzz_yyyyyyyy_0, \
                                         tg_yyzzzzz_yyyyyyyz_0, tg_yyzzzzz_yyyyyyzz_0, tg_yyzzzzz_yyyyyzzz_0, \
                                         tg_yzzzz_xxxxxxxx_0, tg_yzzzz_xxxxxxxx_1, tg_yzzzz_xxxxxxxy_0, tg_yzzzz_xxxxxxxy_1, \
                                         tg_yzzzz_xxxxxxxz_0, tg_yzzzz_xxxxxxxz_1, tg_yzzzz_xxxxxxyy_0, tg_yzzzz_xxxxxxyy_1, \
                                         tg_yzzzz_xxxxxxyz_0, tg_yzzzz_xxxxxxyz_1, tg_yzzzz_xxxxxxzz_0, tg_yzzzz_xxxxxxzz_1, \
                                         tg_yzzzz_xxxxxyyy_0, tg_yzzzz_xxxxxyyy_1, tg_yzzzz_xxxxxyyz_0, tg_yzzzz_xxxxxyyz_1, \
                                         tg_yzzzz_xxxxxyzz_0, tg_yzzzz_xxxxxyzz_1, tg_yzzzz_xxxxxzzz_0, tg_yzzzz_xxxxxzzz_1, \
                                         tg_yzzzz_xxxxyyyy_0, tg_yzzzz_xxxxyyyy_1, tg_yzzzz_xxxxyyyz_0, tg_yzzzz_xxxxyyyz_1, \
                                         tg_yzzzz_xxxxyyzz_0, tg_yzzzz_xxxxyyzz_1, tg_yzzzz_xxxxyzzz_0, tg_yzzzz_xxxxyzzz_1, \
                                         tg_yzzzz_xxxxzzzz_0, tg_yzzzz_xxxxzzzz_1, tg_yzzzz_xxxyyyyy_0, tg_yzzzz_xxxyyyyy_1, \
                                         tg_yzzzz_xxxyyyyz_0, tg_yzzzz_xxxyyyyz_1, tg_yzzzz_xxxyyyzz_0, tg_yzzzz_xxxyyyzz_1, \
                                         tg_yzzzz_xxxyyzzz_0, tg_yzzzz_xxxyyzzz_1, tg_yzzzz_xxxyzzzz_0, tg_yzzzz_xxxyzzzz_1, \
                                         tg_yzzzz_xxxzzzzz_0, tg_yzzzz_xxxzzzzz_1, tg_yzzzz_xxyyyyyy_0, tg_yzzzz_xxyyyyyy_1, \
                                         tg_yzzzz_xxyyyyyz_0, tg_yzzzz_xxyyyyyz_1, tg_yzzzz_xxyyyyzz_0, tg_yzzzz_xxyyyyzz_1, \
                                         tg_yzzzz_xxyyyzzz_0, tg_yzzzz_xxyyyzzz_1, tg_yzzzz_xxyyzzzz_0, tg_yzzzz_xxyyzzzz_1, \
                                         tg_yzzzz_xxyzzzzz_0, tg_yzzzz_xxyzzzzz_1, tg_yzzzz_xxzzzzzz_0, tg_yzzzz_xxzzzzzz_1, \
                                         tg_yzzzz_xyyyyyyy_0, tg_yzzzz_xyyyyyyy_1, tg_yzzzz_xyyyyyyz_0, tg_yzzzz_xyyyyyyz_1, \
                                         tg_yzzzz_xyyyyyzz_0, tg_yzzzz_xyyyyyzz_1, tg_yzzzz_xyyyyzzz_0, tg_yzzzz_xyyyyzzz_1, \
                                         tg_yzzzz_xyyyzzzz_0, tg_yzzzz_xyyyzzzz_1, tg_yzzzz_xyyzzzzz_0, tg_yzzzz_xyyzzzzz_1, \
                                         tg_yzzzz_xyzzzzzz_0, tg_yzzzz_xyzzzzzz_1, tg_yzzzz_xzzzzzzz_0, tg_yzzzz_xzzzzzzz_1, \
                                         tg_yzzzz_yyyyyyyy_0, tg_yzzzz_yyyyyyyy_1, tg_yzzzz_yyyyyyyz_0, tg_yzzzz_yyyyyyyz_1, \
                                         tg_yzzzz_yyyyyyzz_0, tg_yzzzz_yyyyyyzz_1, tg_yzzzz_yyyyyzzz_0, tg_yzzzz_yyyyyzzz_1, \
                                         tg_yzzzz_yyyyzzzz_0, tg_yzzzz_yyyyzzzz_1, tg_yzzzz_yyyzzzzz_0, tg_yzzzz_yyyzzzzz_1, \
                                         tg_yzzzz_yyzzzzzz_0, tg_yzzzz_yyzzzzzz_1, tg_yzzzz_yzzzzzzz_0, tg_yzzzz_yzzzzzzz_1, \
                                         tg_yzzzz_zzzzzzzz_0, tg_yzzzz_zzzzzzzz_1, tg_yzzzzz_xxxxxxx_1, tg_yzzzzz_xxxxxxxx_0, \
                                         tg_yzzzzz_xxxxxxxx_1, tg_yzzzzz_xxxxxxxy_0, tg_yzzzzz_xxxxxxxy_1, tg_yzzzzz_xxxxxxxz_0, \
                                         tg_yzzzzz_xxxxxxxz_1, tg_yzzzzz_xxxxxxy_1, tg_yzzzzz_xxxxxxyy_0, tg_yzzzzz_xxxxxxyy_1, \
                                         tg_yzzzzz_xxxxxxyz_0, tg_yzzzzz_xxxxxxyz_1, tg_yzzzzz_xxxxxxz_1, tg_yzzzzz_xxxxxxzz_0, \
                                         tg_yzzzzz_xxxxxxzz_1, tg_yzzzzz_xxxxxyy_1, tg_yzzzzz_xxxxxyyy_0, tg_yzzzzz_xxxxxyyy_1, \
                                         tg_yzzzzz_xxxxxyyz_0, tg_yzzzzz_xxxxxyyz_1, tg_yzzzzz_xxxxxyz_1, tg_yzzzzz_xxxxxyzz_0, \
                                         tg_yzzzzz_xxxxxyzz_1, tg_yzzzzz_xxxxxzz_1, tg_yzzzzz_xxxxxzzz_0, tg_yzzzzz_xxxxxzzz_1, \
                                         tg_yzzzzz_xxxxyyy_1, tg_yzzzzz_xxxxyyyy_0, tg_yzzzzz_xxxxyyyy_1, tg_yzzzzz_xxxxyyyz_0, \
                                         tg_yzzzzz_xxxxyyyz_1, tg_yzzzzz_xxxxyyz_1, tg_yzzzzz_xxxxyyzz_0, tg_yzzzzz_xxxxyyzz_1, \
                                         tg_yzzzzz_xxxxyzz_1, tg_yzzzzz_xxxxyzzz_0, tg_yzzzzz_xxxxyzzz_1, tg_yzzzzz_xxxxzzz_1, \
                                         tg_yzzzzz_xxxxzzzz_0, tg_yzzzzz_xxxxzzzz_1, tg_yzzzzz_xxxyyyy_1, tg_yzzzzz_xxxyyyyy_0, \
                                         tg_yzzzzz_xxxyyyyy_1, tg_yzzzzz_xxxyyyyz_0, tg_yzzzzz_xxxyyyyz_1, tg_yzzzzz_xxxyyyz_1, \
                                         tg_yzzzzz_xxxyyyzz_0, tg_yzzzzz_xxxyyyzz_1, tg_yzzzzz_xxxyyzz_1, tg_yzzzzz_xxxyyzzz_0, \
                                         tg_yzzzzz_xxxyyzzz_1, tg_yzzzzz_xxxyzzz_1, tg_yzzzzz_xxxyzzzz_0, tg_yzzzzz_xxxyzzzz_1, \
                                         tg_yzzzzz_xxxzzzz_1, tg_yzzzzz_xxxzzzzz_0, tg_yzzzzz_xxxzzzzz_1, tg_yzzzzz_xxyyyyy_1, \
                                         tg_yzzzzz_xxyyyyyy_0, tg_yzzzzz_xxyyyyyy_1, tg_yzzzzz_xxyyyyyz_0, tg_yzzzzz_xxyyyyyz_1, \
                                         tg_yzzzzz_xxyyyyz_1, tg_yzzzzz_xxyyyyzz_0, tg_yzzzzz_xxyyyyzz_1, tg_yzzzzz_xxyyyzz_1, \
                                         tg_yzzzzz_xxyyyzzz_0, tg_yzzzzz_xxyyyzzz_1, tg_yzzzzz_xxyyzzz_1, tg_yzzzzz_xxyyzzzz_0, \
                                         tg_yzzzzz_xxyyzzzz_1, tg_yzzzzz_xxyzzzz_1, tg_yzzzzz_xxyzzzzz_0, tg_yzzzzz_xxyzzzzz_1, \
                                         tg_yzzzzz_xxzzzzz_1, tg_yzzzzz_xxzzzzzz_0, tg_yzzzzz_xxzzzzzz_1, tg_yzzzzz_xyyyyyy_1, \
                                         tg_yzzzzz_xyyyyyyy_0, tg_yzzzzz_xyyyyyyy_1, tg_yzzzzz_xyyyyyyz_0, tg_yzzzzz_xyyyyyyz_1, \
                                         tg_yzzzzz_xyyyyyz_1, tg_yzzzzz_xyyyyyzz_0, tg_yzzzzz_xyyyyyzz_1, tg_yzzzzz_xyyyyzz_1, \
                                         tg_yzzzzz_xyyyyzzz_0, tg_yzzzzz_xyyyyzzz_1, tg_yzzzzz_xyyyzzz_1, tg_yzzzzz_xyyyzzzz_0, \
                                         tg_yzzzzz_xyyyzzzz_1, tg_yzzzzz_xyyzzzz_1, tg_yzzzzz_xyyzzzzz_0, tg_yzzzzz_xyyzzzzz_1, \
                                         tg_yzzzzz_xyzzzzz_1, tg_yzzzzz_xyzzzzzz_0, tg_yzzzzz_xyzzzzzz_1, tg_yzzzzz_xzzzzzz_1, \
                                         tg_yzzzzz_xzzzzzzz_0, tg_yzzzzz_xzzzzzzz_1, tg_yzzzzz_yyyyyyy_1, tg_yzzzzz_yyyyyyyy_0, \
                                         tg_yzzzzz_yyyyyyyy_1, tg_yzzzzz_yyyyyyyz_0, tg_yzzzzz_yyyyyyyz_1, tg_yzzzzz_yyyyyyz_1, \
                                         tg_yzzzzz_yyyyyyzz_0, tg_yzzzzz_yyyyyyzz_1, tg_yzzzzz_yyyyyzz_1, tg_yzzzzz_yyyyyzzz_0, \
                                         tg_yzzzzz_yyyyyzzz_1, tg_yzzzzz_yyyyzzz_1, tg_zzzzz_xxxxxxxx_0, tg_zzzzz_xxxxxxxx_1, \
                                         tg_zzzzz_xxxxxxxy_0, tg_zzzzz_xxxxxxxy_1, tg_zzzzz_xxxxxxxz_0, tg_zzzzz_xxxxxxxz_1, \
                                         tg_zzzzz_xxxxxxyy_0, tg_zzzzz_xxxxxxyy_1, tg_zzzzz_xxxxxxyz_0, tg_zzzzz_xxxxxxyz_1, \
                                         tg_zzzzz_xxxxxxzz_0, tg_zzzzz_xxxxxxzz_1, tg_zzzzz_xxxxxyyy_0, tg_zzzzz_xxxxxyyy_1, \
                                         tg_zzzzz_xxxxxyyz_0, tg_zzzzz_xxxxxyyz_1, tg_zzzzz_xxxxxyzz_0, tg_zzzzz_xxxxxyzz_1, \
                                         tg_zzzzz_xxxxxzzz_0, tg_zzzzz_xxxxxzzz_1, tg_zzzzz_xxxxyyyy_0, tg_zzzzz_xxxxyyyy_1, \
                                         tg_zzzzz_xxxxyyyz_0, tg_zzzzz_xxxxyyyz_1, tg_zzzzz_xxxxyyzz_0, tg_zzzzz_xxxxyyzz_1, \
                                         tg_zzzzz_xxxxyzzz_0, tg_zzzzz_xxxxyzzz_1, tg_zzzzz_xxxxzzzz_0, tg_zzzzz_xxxxzzzz_1, \
                                         tg_zzzzz_xxxyyyyy_0, tg_zzzzz_xxxyyyyy_1, tg_zzzzz_xxxyyyyz_0, tg_zzzzz_xxxyyyyz_1, \
                                         tg_zzzzz_xxxyyyzz_0, tg_zzzzz_xxxyyyzz_1, tg_zzzzz_xxxyyzzz_0, tg_zzzzz_xxxyyzzz_1, \
                                         tg_zzzzz_xxxyzzzz_0, tg_zzzzz_xxxyzzzz_1, tg_zzzzz_xxxzzzzz_0, tg_zzzzz_xxxzzzzz_1, \
                                         tg_zzzzz_xxyyyyyy_0, tg_zzzzz_xxyyyyyy_1, tg_zzzzz_xxyyyyyz_0, tg_zzzzz_xxyyyyyz_1, \
                                         tg_zzzzz_xxyyyyzz_0, tg_zzzzz_xxyyyyzz_1, tg_zzzzz_xxyyyzzz_0, tg_zzzzz_xxyyyzzz_1, \
                                         tg_zzzzz_xxyyzzzz_0, tg_zzzzz_xxyyzzzz_1, tg_zzzzz_xxyzzzzz_0, tg_zzzzz_xxyzzzzz_1, \
                                         tg_zzzzz_xxzzzzzz_0, tg_zzzzz_xxzzzzzz_1, tg_zzzzz_xyyyyyyy_0, tg_zzzzz_xyyyyyyy_1, \
                                         tg_zzzzz_xyyyyyyz_0, tg_zzzzz_xyyyyyyz_1, tg_zzzzz_xyyyyyzz_0, tg_zzzzz_xyyyyyzz_1, \
                                         tg_zzzzz_xyyyyzzz_0, tg_zzzzz_xyyyyzzz_1, tg_zzzzz_xyyyzzzz_0, tg_zzzzz_xyyyzzzz_1, \
                                         tg_zzzzz_xyyzzzzz_0, tg_zzzzz_xyyzzzzz_1, tg_zzzzz_xyzzzzzz_0, tg_zzzzz_xyzzzzzz_1, \
                                         tg_zzzzz_xzzzzzzz_0, tg_zzzzz_xzzzzzzz_1, tg_zzzzz_yyyyyyyy_0, tg_zzzzz_yyyyyyyy_1, \
                                         tg_zzzzz_yyyyyyyz_0, tg_zzzzz_yyyyyyyz_1, tg_zzzzz_yyyyyyzz_0, tg_zzzzz_yyyyyyzz_1, \
                                         tg_zzzzz_yyyyyzzz_0, tg_zzzzz_yyyyyzzz_1, wp_y: VLX_ALIGN)
                for (int32_t j = 0; j < nKetPrimPairs; j++)
                {
                    double fl1_fx = fx;

                    double fl1_fxn = fxn[j];

                    double fl1_fza = fza[j];

                    double fr = wp_y[j]; 

                    tg_yyyyzzz_xzzzzzzz_0[j] = pb_y * tg_yyyzzz_xzzzzzzz_0[j] + fr * tg_yyyzzz_xzzzzzzz_1[j] + 1.5 * fl1_fx * (tg_yyzzz_xzzzzzzz_0[j] - tg_yyzzz_xzzzzzzz_1[j] * fl1_fza);

                    tg_yyyyzzz_yyyyyyyy_0[j] = pb_y * tg_yyyzzz_yyyyyyyy_0[j] + fr * tg_yyyzzz_yyyyyyyy_1[j] + 1.5 * fl1_fx * (tg_yyzzz_yyyyyyyy_0[j] - tg_yyzzz_yyyyyyyy_1[j] * fl1_fza) + 4.0 * fl1_fxn * tg_yyyzzz_yyyyyyy_1[j];

                    tg_yyyyzzz_yyyyyyyz_0[j] = pb_y * tg_yyyzzz_yyyyyyyz_0[j] + fr * tg_yyyzzz_yyyyyyyz_1[j] + 1.5 * fl1_fx * (tg_yyzzz_yyyyyyyz_0[j] - tg_yyzzz_yyyyyyyz_1[j] * fl1_fza) + 3.5 * fl1_fxn * tg_yyyzzz_yyyyyyz_1[j];

                    tg_yyyyzzz_yyyyyyzz_0[j] = pb_y * tg_yyyzzz_yyyyyyzz_0[j] + fr * tg_yyyzzz_yyyyyyzz_1[j] + 1.5 * fl1_fx * (tg_yyzzz_yyyyyyzz_0[j] - tg_yyzzz_yyyyyyzz_1[j] * fl1_fza) + 3.0 * fl1_fxn * tg_yyyzzz_yyyyyzz_1[j];

                    tg_yyyyzzz_yyyyyzzz_0[j] = pb_y * tg_yyyzzz_yyyyyzzz_0[j] + fr * tg_yyyzzz_yyyyyzzz_1[j] + 1.5 * fl1_fx * (tg_yyzzz_yyyyyzzz_0[j] - tg_yyzzz_yyyyyzzz_1[j] * fl1_fza) + 2.5 * fl1_fxn * tg_yyyzzz_yyyyzzz_1[j];

                    tg_yyyyzzz_yyyyzzzz_0[j] = pb_y * tg_yyyzzz_yyyyzzzz_0[j] + fr * tg_yyyzzz_yyyyzzzz_1[j] + 1.5 * fl1_fx * (tg_yyzzz_yyyyzzzz_0[j] - tg_yyzzz_yyyyzzzz_1[j] * fl1_fza) + 2.0 * fl1_fxn * tg_yyyzzz_yyyzzzz_1[j];

                    tg_yyyyzzz_yyyzzzzz_0[j] = pb_y * tg_yyyzzz_yyyzzzzz_0[j] + fr * tg_yyyzzz_yyyzzzzz_1[j] + 1.5 * fl1_fx * (tg_yyzzz_yyyzzzzz_0[j] - tg_yyzzz_yyyzzzzz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_yyyzzz_yyzzzzz_1[j];

                    tg_yyyyzzz_yyzzzzzz_0[j] = pb_y * tg_yyyzzz_yyzzzzzz_0[j] + fr * tg_yyyzzz_yyzzzzzz_1[j] + 1.5 * fl1_fx * (tg_yyzzz_yyzzzzzz_0[j] - tg_yyzzz_yyzzzzzz_1[j] * fl1_fza) + fl1_fxn * tg_yyyzzz_yzzzzzz_1[j];

                    tg_yyyyzzz_yzzzzzzz_0[j] = pb_y * tg_yyyzzz_yzzzzzzz_0[j] + fr * tg_yyyzzz_yzzzzzzz_1[j] + 1.5 * fl1_fx * (tg_yyzzz_yzzzzzzz_0[j] - tg_yyzzz_yzzzzzzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_yyyzzz_zzzzzzz_1[j];

                    tg_yyyyzzz_zzzzzzzz_0[j] = pb_y * tg_yyyzzz_zzzzzzzz_0[j] + fr * tg_yyyzzz_zzzzzzzz_1[j] + 1.5 * fl1_fx * (tg_yyzzz_zzzzzzzz_0[j] - tg_yyzzz_zzzzzzzz_1[j] * fl1_fza);

                    tg_yyyzzzz_xxxxxxxx_0[j] = pb_y * tg_yyzzzz_xxxxxxxx_0[j] + fr * tg_yyzzzz_xxxxxxxx_1[j] + fl1_fx * (tg_yzzzz_xxxxxxxx_0[j] - tg_yzzzz_xxxxxxxx_1[j] * fl1_fza);

                    tg_yyyzzzz_xxxxxxxy_0[j] = pb_y * tg_yyzzzz_xxxxxxxy_0[j] + fr * tg_yyzzzz_xxxxxxxy_1[j] + fl1_fx * (tg_yzzzz_xxxxxxxy_0[j] - tg_yzzzz_xxxxxxxy_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_yyzzzz_xxxxxxx_1[j];

                    tg_yyyzzzz_xxxxxxxz_0[j] = pb_y * tg_yyzzzz_xxxxxxxz_0[j] + fr * tg_yyzzzz_xxxxxxxz_1[j] + fl1_fx * (tg_yzzzz_xxxxxxxz_0[j] - tg_yzzzz_xxxxxxxz_1[j] * fl1_fza);

                    tg_yyyzzzz_xxxxxxyy_0[j] = pb_y * tg_yyzzzz_xxxxxxyy_0[j] + fr * tg_yyzzzz_xxxxxxyy_1[j] + fl1_fx * (tg_yzzzz_xxxxxxyy_0[j] - tg_yzzzz_xxxxxxyy_1[j] * fl1_fza) + fl1_fxn * tg_yyzzzz_xxxxxxy_1[j];

                    tg_yyyzzzz_xxxxxxyz_0[j] = pb_y * tg_yyzzzz_xxxxxxyz_0[j] + fr * tg_yyzzzz_xxxxxxyz_1[j] + fl1_fx * (tg_yzzzz_xxxxxxyz_0[j] - tg_yzzzz_xxxxxxyz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_yyzzzz_xxxxxxz_1[j];

                    tg_yyyzzzz_xxxxxxzz_0[j] = pb_y * tg_yyzzzz_xxxxxxzz_0[j] + fr * tg_yyzzzz_xxxxxxzz_1[j] + fl1_fx * (tg_yzzzz_xxxxxxzz_0[j] - tg_yzzzz_xxxxxxzz_1[j] * fl1_fza);

                    tg_yyyzzzz_xxxxxyyy_0[j] = pb_y * tg_yyzzzz_xxxxxyyy_0[j] + fr * tg_yyzzzz_xxxxxyyy_1[j] + fl1_fx * (tg_yzzzz_xxxxxyyy_0[j] - tg_yzzzz_xxxxxyyy_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_yyzzzz_xxxxxyy_1[j];

                    tg_yyyzzzz_xxxxxyyz_0[j] = pb_y * tg_yyzzzz_xxxxxyyz_0[j] + fr * tg_yyzzzz_xxxxxyyz_1[j] + fl1_fx * (tg_yzzzz_xxxxxyyz_0[j] - tg_yzzzz_xxxxxyyz_1[j] * fl1_fza) + fl1_fxn * tg_yyzzzz_xxxxxyz_1[j];

                    tg_yyyzzzz_xxxxxyzz_0[j] = pb_y * tg_yyzzzz_xxxxxyzz_0[j] + fr * tg_yyzzzz_xxxxxyzz_1[j] + fl1_fx * (tg_yzzzz_xxxxxyzz_0[j] - tg_yzzzz_xxxxxyzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_yyzzzz_xxxxxzz_1[j];

                    tg_yyyzzzz_xxxxxzzz_0[j] = pb_y * tg_yyzzzz_xxxxxzzz_0[j] + fr * tg_yyzzzz_xxxxxzzz_1[j] + fl1_fx * (tg_yzzzz_xxxxxzzz_0[j] - tg_yzzzz_xxxxxzzz_1[j] * fl1_fza);

                    tg_yyyzzzz_xxxxyyyy_0[j] = pb_y * tg_yyzzzz_xxxxyyyy_0[j] + fr * tg_yyzzzz_xxxxyyyy_1[j] + fl1_fx * (tg_yzzzz_xxxxyyyy_0[j] - tg_yzzzz_xxxxyyyy_1[j] * fl1_fza) + 2.0 * fl1_fxn * tg_yyzzzz_xxxxyyy_1[j];

                    tg_yyyzzzz_xxxxyyyz_0[j] = pb_y * tg_yyzzzz_xxxxyyyz_0[j] + fr * tg_yyzzzz_xxxxyyyz_1[j] + fl1_fx * (tg_yzzzz_xxxxyyyz_0[j] - tg_yzzzz_xxxxyyyz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_yyzzzz_xxxxyyz_1[j];

                    tg_yyyzzzz_xxxxyyzz_0[j] = pb_y * tg_yyzzzz_xxxxyyzz_0[j] + fr * tg_yyzzzz_xxxxyyzz_1[j] + fl1_fx * (tg_yzzzz_xxxxyyzz_0[j] - tg_yzzzz_xxxxyyzz_1[j] * fl1_fza) + fl1_fxn * tg_yyzzzz_xxxxyzz_1[j];

                    tg_yyyzzzz_xxxxyzzz_0[j] = pb_y * tg_yyzzzz_xxxxyzzz_0[j] + fr * tg_yyzzzz_xxxxyzzz_1[j] + fl1_fx * (tg_yzzzz_xxxxyzzz_0[j] - tg_yzzzz_xxxxyzzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_yyzzzz_xxxxzzz_1[j];

                    tg_yyyzzzz_xxxxzzzz_0[j] = pb_y * tg_yyzzzz_xxxxzzzz_0[j] + fr * tg_yyzzzz_xxxxzzzz_1[j] + fl1_fx * (tg_yzzzz_xxxxzzzz_0[j] - tg_yzzzz_xxxxzzzz_1[j] * fl1_fza);

                    tg_yyyzzzz_xxxyyyyy_0[j] = pb_y * tg_yyzzzz_xxxyyyyy_0[j] + fr * tg_yyzzzz_xxxyyyyy_1[j] + fl1_fx * (tg_yzzzz_xxxyyyyy_0[j] - tg_yzzzz_xxxyyyyy_1[j] * fl1_fza) + 2.5 * fl1_fxn * tg_yyzzzz_xxxyyyy_1[j];

                    tg_yyyzzzz_xxxyyyyz_0[j] = pb_y * tg_yyzzzz_xxxyyyyz_0[j] + fr * tg_yyzzzz_xxxyyyyz_1[j] + fl1_fx * (tg_yzzzz_xxxyyyyz_0[j] - tg_yzzzz_xxxyyyyz_1[j] * fl1_fza) + 2.0 * fl1_fxn * tg_yyzzzz_xxxyyyz_1[j];

                    tg_yyyzzzz_xxxyyyzz_0[j] = pb_y * tg_yyzzzz_xxxyyyzz_0[j] + fr * tg_yyzzzz_xxxyyyzz_1[j] + fl1_fx * (tg_yzzzz_xxxyyyzz_0[j] - tg_yzzzz_xxxyyyzz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_yyzzzz_xxxyyzz_1[j];

                    tg_yyyzzzz_xxxyyzzz_0[j] = pb_y * tg_yyzzzz_xxxyyzzz_0[j] + fr * tg_yyzzzz_xxxyyzzz_1[j] + fl1_fx * (tg_yzzzz_xxxyyzzz_0[j] - tg_yzzzz_xxxyyzzz_1[j] * fl1_fza) + fl1_fxn * tg_yyzzzz_xxxyzzz_1[j];

                    tg_yyyzzzz_xxxyzzzz_0[j] = pb_y * tg_yyzzzz_xxxyzzzz_0[j] + fr * tg_yyzzzz_xxxyzzzz_1[j] + fl1_fx * (tg_yzzzz_xxxyzzzz_0[j] - tg_yzzzz_xxxyzzzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_yyzzzz_xxxzzzz_1[j];

                    tg_yyyzzzz_xxxzzzzz_0[j] = pb_y * tg_yyzzzz_xxxzzzzz_0[j] + fr * tg_yyzzzz_xxxzzzzz_1[j] + fl1_fx * (tg_yzzzz_xxxzzzzz_0[j] - tg_yzzzz_xxxzzzzz_1[j] * fl1_fza);

                    tg_yyyzzzz_xxyyyyyy_0[j] = pb_y * tg_yyzzzz_xxyyyyyy_0[j] + fr * tg_yyzzzz_xxyyyyyy_1[j] + fl1_fx * (tg_yzzzz_xxyyyyyy_0[j] - tg_yzzzz_xxyyyyyy_1[j] * fl1_fza) + 3.0 * fl1_fxn * tg_yyzzzz_xxyyyyy_1[j];

                    tg_yyyzzzz_xxyyyyyz_0[j] = pb_y * tg_yyzzzz_xxyyyyyz_0[j] + fr * tg_yyzzzz_xxyyyyyz_1[j] + fl1_fx * (tg_yzzzz_xxyyyyyz_0[j] - tg_yzzzz_xxyyyyyz_1[j] * fl1_fza) + 2.5 * fl1_fxn * tg_yyzzzz_xxyyyyz_1[j];

                    tg_yyyzzzz_xxyyyyzz_0[j] = pb_y * tg_yyzzzz_xxyyyyzz_0[j] + fr * tg_yyzzzz_xxyyyyzz_1[j] + fl1_fx * (tg_yzzzz_xxyyyyzz_0[j] - tg_yzzzz_xxyyyyzz_1[j] * fl1_fza) + 2.0 * fl1_fxn * tg_yyzzzz_xxyyyzz_1[j];

                    tg_yyyzzzz_xxyyyzzz_0[j] = pb_y * tg_yyzzzz_xxyyyzzz_0[j] + fr * tg_yyzzzz_xxyyyzzz_1[j] + fl1_fx * (tg_yzzzz_xxyyyzzz_0[j] - tg_yzzzz_xxyyyzzz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_yyzzzz_xxyyzzz_1[j];

                    tg_yyyzzzz_xxyyzzzz_0[j] = pb_y * tg_yyzzzz_xxyyzzzz_0[j] + fr * tg_yyzzzz_xxyyzzzz_1[j] + fl1_fx * (tg_yzzzz_xxyyzzzz_0[j] - tg_yzzzz_xxyyzzzz_1[j] * fl1_fza) + fl1_fxn * tg_yyzzzz_xxyzzzz_1[j];

                    tg_yyyzzzz_xxyzzzzz_0[j] = pb_y * tg_yyzzzz_xxyzzzzz_0[j] + fr * tg_yyzzzz_xxyzzzzz_1[j] + fl1_fx * (tg_yzzzz_xxyzzzzz_0[j] - tg_yzzzz_xxyzzzzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_yyzzzz_xxzzzzz_1[j];

                    tg_yyyzzzz_xxzzzzzz_0[j] = pb_y * tg_yyzzzz_xxzzzzzz_0[j] + fr * tg_yyzzzz_xxzzzzzz_1[j] + fl1_fx * (tg_yzzzz_xxzzzzzz_0[j] - tg_yzzzz_xxzzzzzz_1[j] * fl1_fza);

                    tg_yyyzzzz_xyyyyyyy_0[j] = pb_y * tg_yyzzzz_xyyyyyyy_0[j] + fr * tg_yyzzzz_xyyyyyyy_1[j] + fl1_fx * (tg_yzzzz_xyyyyyyy_0[j] - tg_yzzzz_xyyyyyyy_1[j] * fl1_fza) + 3.5 * fl1_fxn * tg_yyzzzz_xyyyyyy_1[j];

                    tg_yyyzzzz_xyyyyyyz_0[j] = pb_y * tg_yyzzzz_xyyyyyyz_0[j] + fr * tg_yyzzzz_xyyyyyyz_1[j] + fl1_fx * (tg_yzzzz_xyyyyyyz_0[j] - tg_yzzzz_xyyyyyyz_1[j] * fl1_fza) + 3.0 * fl1_fxn * tg_yyzzzz_xyyyyyz_1[j];

                    tg_yyyzzzz_xyyyyyzz_0[j] = pb_y * tg_yyzzzz_xyyyyyzz_0[j] + fr * tg_yyzzzz_xyyyyyzz_1[j] + fl1_fx * (tg_yzzzz_xyyyyyzz_0[j] - tg_yzzzz_xyyyyyzz_1[j] * fl1_fza) + 2.5 * fl1_fxn * tg_yyzzzz_xyyyyzz_1[j];

                    tg_yyyzzzz_xyyyyzzz_0[j] = pb_y * tg_yyzzzz_xyyyyzzz_0[j] + fr * tg_yyzzzz_xyyyyzzz_1[j] + fl1_fx * (tg_yzzzz_xyyyyzzz_0[j] - tg_yzzzz_xyyyyzzz_1[j] * fl1_fza) + 2.0 * fl1_fxn * tg_yyzzzz_xyyyzzz_1[j];

                    tg_yyyzzzz_xyyyzzzz_0[j] = pb_y * tg_yyzzzz_xyyyzzzz_0[j] + fr * tg_yyzzzz_xyyyzzzz_1[j] + fl1_fx * (tg_yzzzz_xyyyzzzz_0[j] - tg_yzzzz_xyyyzzzz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_yyzzzz_xyyzzzz_1[j];

                    tg_yyyzzzz_xyyzzzzz_0[j] = pb_y * tg_yyzzzz_xyyzzzzz_0[j] + fr * tg_yyzzzz_xyyzzzzz_1[j] + fl1_fx * (tg_yzzzz_xyyzzzzz_0[j] - tg_yzzzz_xyyzzzzz_1[j] * fl1_fza) + fl1_fxn * tg_yyzzzz_xyzzzzz_1[j];

                    tg_yyyzzzz_xyzzzzzz_0[j] = pb_y * tg_yyzzzz_xyzzzzzz_0[j] + fr * tg_yyzzzz_xyzzzzzz_1[j] + fl1_fx * (tg_yzzzz_xyzzzzzz_0[j] - tg_yzzzz_xyzzzzzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_yyzzzz_xzzzzzz_1[j];

                    tg_yyyzzzz_xzzzzzzz_0[j] = pb_y * tg_yyzzzz_xzzzzzzz_0[j] + fr * tg_yyzzzz_xzzzzzzz_1[j] + fl1_fx * (tg_yzzzz_xzzzzzzz_0[j] - tg_yzzzz_xzzzzzzz_1[j] * fl1_fza);

                    tg_yyyzzzz_yyyyyyyy_0[j] = pb_y * tg_yyzzzz_yyyyyyyy_0[j] + fr * tg_yyzzzz_yyyyyyyy_1[j] + fl1_fx * (tg_yzzzz_yyyyyyyy_0[j] - tg_yzzzz_yyyyyyyy_1[j] * fl1_fza) + 4.0 * fl1_fxn * tg_yyzzzz_yyyyyyy_1[j];

                    tg_yyyzzzz_yyyyyyyz_0[j] = pb_y * tg_yyzzzz_yyyyyyyz_0[j] + fr * tg_yyzzzz_yyyyyyyz_1[j] + fl1_fx * (tg_yzzzz_yyyyyyyz_0[j] - tg_yzzzz_yyyyyyyz_1[j] * fl1_fza) + 3.5 * fl1_fxn * tg_yyzzzz_yyyyyyz_1[j];

                    tg_yyyzzzz_yyyyyyzz_0[j] = pb_y * tg_yyzzzz_yyyyyyzz_0[j] + fr * tg_yyzzzz_yyyyyyzz_1[j] + fl1_fx * (tg_yzzzz_yyyyyyzz_0[j] - tg_yzzzz_yyyyyyzz_1[j] * fl1_fza) + 3.0 * fl1_fxn * tg_yyzzzz_yyyyyzz_1[j];

                    tg_yyyzzzz_yyyyyzzz_0[j] = pb_y * tg_yyzzzz_yyyyyzzz_0[j] + fr * tg_yyzzzz_yyyyyzzz_1[j] + fl1_fx * (tg_yzzzz_yyyyyzzz_0[j] - tg_yzzzz_yyyyyzzz_1[j] * fl1_fza) + 2.5 * fl1_fxn * tg_yyzzzz_yyyyzzz_1[j];

                    tg_yyyzzzz_yyyyzzzz_0[j] = pb_y * tg_yyzzzz_yyyyzzzz_0[j] + fr * tg_yyzzzz_yyyyzzzz_1[j] + fl1_fx * (tg_yzzzz_yyyyzzzz_0[j] - tg_yzzzz_yyyyzzzz_1[j] * fl1_fza) + 2.0 * fl1_fxn * tg_yyzzzz_yyyzzzz_1[j];

                    tg_yyyzzzz_yyyzzzzz_0[j] = pb_y * tg_yyzzzz_yyyzzzzz_0[j] + fr * tg_yyzzzz_yyyzzzzz_1[j] + fl1_fx * (tg_yzzzz_yyyzzzzz_0[j] - tg_yzzzz_yyyzzzzz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_yyzzzz_yyzzzzz_1[j];

                    tg_yyyzzzz_yyzzzzzz_0[j] = pb_y * tg_yyzzzz_yyzzzzzz_0[j] + fr * tg_yyzzzz_yyzzzzzz_1[j] + fl1_fx * (tg_yzzzz_yyzzzzzz_0[j] - tg_yzzzz_yyzzzzzz_1[j] * fl1_fza) + fl1_fxn * tg_yyzzzz_yzzzzzz_1[j];

                    tg_yyyzzzz_yzzzzzzz_0[j] = pb_y * tg_yyzzzz_yzzzzzzz_0[j] + fr * tg_yyzzzz_yzzzzzzz_1[j] + fl1_fx * (tg_yzzzz_yzzzzzzz_0[j] - tg_yzzzz_yzzzzzzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_yyzzzz_zzzzzzz_1[j];

                    tg_yyyzzzz_zzzzzzzz_0[j] = pb_y * tg_yyzzzz_zzzzzzzz_0[j] + fr * tg_yyzzzz_zzzzzzzz_1[j] + fl1_fx * (tg_yzzzz_zzzzzzzz_0[j] - tg_yzzzz_zzzzzzzz_1[j] * fl1_fza);

                    tg_yyzzzzz_xxxxxxxx_0[j] = pb_y * tg_yzzzzz_xxxxxxxx_0[j] + fr * tg_yzzzzz_xxxxxxxx_1[j] + 0.5 * fl1_fx * (tg_zzzzz_xxxxxxxx_0[j] - tg_zzzzz_xxxxxxxx_1[j] * fl1_fza);

                    tg_yyzzzzz_xxxxxxxy_0[j] = pb_y * tg_yzzzzz_xxxxxxxy_0[j] + fr * tg_yzzzzz_xxxxxxxy_1[j] + 0.5 * fl1_fx * (tg_zzzzz_xxxxxxxy_0[j] - tg_zzzzz_xxxxxxxy_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_yzzzzz_xxxxxxx_1[j];

                    tg_yyzzzzz_xxxxxxxz_0[j] = pb_y * tg_yzzzzz_xxxxxxxz_0[j] + fr * tg_yzzzzz_xxxxxxxz_1[j] + 0.5 * fl1_fx * (tg_zzzzz_xxxxxxxz_0[j] - tg_zzzzz_xxxxxxxz_1[j] * fl1_fza);

                    tg_yyzzzzz_xxxxxxyy_0[j] = pb_y * tg_yzzzzz_xxxxxxyy_0[j] + fr * tg_yzzzzz_xxxxxxyy_1[j] + 0.5 * fl1_fx * (tg_zzzzz_xxxxxxyy_0[j] - tg_zzzzz_xxxxxxyy_1[j] * fl1_fza) + fl1_fxn * tg_yzzzzz_xxxxxxy_1[j];

                    tg_yyzzzzz_xxxxxxyz_0[j] = pb_y * tg_yzzzzz_xxxxxxyz_0[j] + fr * tg_yzzzzz_xxxxxxyz_1[j] + 0.5 * fl1_fx * (tg_zzzzz_xxxxxxyz_0[j] - tg_zzzzz_xxxxxxyz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_yzzzzz_xxxxxxz_1[j];

                    tg_yyzzzzz_xxxxxxzz_0[j] = pb_y * tg_yzzzzz_xxxxxxzz_0[j] + fr * tg_yzzzzz_xxxxxxzz_1[j] + 0.5 * fl1_fx * (tg_zzzzz_xxxxxxzz_0[j] - tg_zzzzz_xxxxxxzz_1[j] * fl1_fza);

                    tg_yyzzzzz_xxxxxyyy_0[j] = pb_y * tg_yzzzzz_xxxxxyyy_0[j] + fr * tg_yzzzzz_xxxxxyyy_1[j] + 0.5 * fl1_fx * (tg_zzzzz_xxxxxyyy_0[j] - tg_zzzzz_xxxxxyyy_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_yzzzzz_xxxxxyy_1[j];

                    tg_yyzzzzz_xxxxxyyz_0[j] = pb_y * tg_yzzzzz_xxxxxyyz_0[j] + fr * tg_yzzzzz_xxxxxyyz_1[j] + 0.5 * fl1_fx * (tg_zzzzz_xxxxxyyz_0[j] - tg_zzzzz_xxxxxyyz_1[j] * fl1_fza) + fl1_fxn * tg_yzzzzz_xxxxxyz_1[j];

                    tg_yyzzzzz_xxxxxyzz_0[j] = pb_y * tg_yzzzzz_xxxxxyzz_0[j] + fr * tg_yzzzzz_xxxxxyzz_1[j] + 0.5 * fl1_fx * (tg_zzzzz_xxxxxyzz_0[j] - tg_zzzzz_xxxxxyzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_yzzzzz_xxxxxzz_1[j];

                    tg_yyzzzzz_xxxxxzzz_0[j] = pb_y * tg_yzzzzz_xxxxxzzz_0[j] + fr * tg_yzzzzz_xxxxxzzz_1[j] + 0.5 * fl1_fx * (tg_zzzzz_xxxxxzzz_0[j] - tg_zzzzz_xxxxxzzz_1[j] * fl1_fza);

                    tg_yyzzzzz_xxxxyyyy_0[j] = pb_y * tg_yzzzzz_xxxxyyyy_0[j] + fr * tg_yzzzzz_xxxxyyyy_1[j] + 0.5 * fl1_fx * (tg_zzzzz_xxxxyyyy_0[j] - tg_zzzzz_xxxxyyyy_1[j] * fl1_fza) + 2.0 * fl1_fxn * tg_yzzzzz_xxxxyyy_1[j];

                    tg_yyzzzzz_xxxxyyyz_0[j] = pb_y * tg_yzzzzz_xxxxyyyz_0[j] + fr * tg_yzzzzz_xxxxyyyz_1[j] + 0.5 * fl1_fx * (tg_zzzzz_xxxxyyyz_0[j] - tg_zzzzz_xxxxyyyz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_yzzzzz_xxxxyyz_1[j];

                    tg_yyzzzzz_xxxxyyzz_0[j] = pb_y * tg_yzzzzz_xxxxyyzz_0[j] + fr * tg_yzzzzz_xxxxyyzz_1[j] + 0.5 * fl1_fx * (tg_zzzzz_xxxxyyzz_0[j] - tg_zzzzz_xxxxyyzz_1[j] * fl1_fza) + fl1_fxn * tg_yzzzzz_xxxxyzz_1[j];

                    tg_yyzzzzz_xxxxyzzz_0[j] = pb_y * tg_yzzzzz_xxxxyzzz_0[j] + fr * tg_yzzzzz_xxxxyzzz_1[j] + 0.5 * fl1_fx * (tg_zzzzz_xxxxyzzz_0[j] - tg_zzzzz_xxxxyzzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_yzzzzz_xxxxzzz_1[j];

                    tg_yyzzzzz_xxxxzzzz_0[j] = pb_y * tg_yzzzzz_xxxxzzzz_0[j] + fr * tg_yzzzzz_xxxxzzzz_1[j] + 0.5 * fl1_fx * (tg_zzzzz_xxxxzzzz_0[j] - tg_zzzzz_xxxxzzzz_1[j] * fl1_fza);

                    tg_yyzzzzz_xxxyyyyy_0[j] = pb_y * tg_yzzzzz_xxxyyyyy_0[j] + fr * tg_yzzzzz_xxxyyyyy_1[j] + 0.5 * fl1_fx * (tg_zzzzz_xxxyyyyy_0[j] - tg_zzzzz_xxxyyyyy_1[j] * fl1_fza) + 2.5 * fl1_fxn * tg_yzzzzz_xxxyyyy_1[j];

                    tg_yyzzzzz_xxxyyyyz_0[j] = pb_y * tg_yzzzzz_xxxyyyyz_0[j] + fr * tg_yzzzzz_xxxyyyyz_1[j] + 0.5 * fl1_fx * (tg_zzzzz_xxxyyyyz_0[j] - tg_zzzzz_xxxyyyyz_1[j] * fl1_fza) + 2.0 * fl1_fxn * tg_yzzzzz_xxxyyyz_1[j];

                    tg_yyzzzzz_xxxyyyzz_0[j] = pb_y * tg_yzzzzz_xxxyyyzz_0[j] + fr * tg_yzzzzz_xxxyyyzz_1[j] + 0.5 * fl1_fx * (tg_zzzzz_xxxyyyzz_0[j] - tg_zzzzz_xxxyyyzz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_yzzzzz_xxxyyzz_1[j];

                    tg_yyzzzzz_xxxyyzzz_0[j] = pb_y * tg_yzzzzz_xxxyyzzz_0[j] + fr * tg_yzzzzz_xxxyyzzz_1[j] + 0.5 * fl1_fx * (tg_zzzzz_xxxyyzzz_0[j] - tg_zzzzz_xxxyyzzz_1[j] * fl1_fza) + fl1_fxn * tg_yzzzzz_xxxyzzz_1[j];

                    tg_yyzzzzz_xxxyzzzz_0[j] = pb_y * tg_yzzzzz_xxxyzzzz_0[j] + fr * tg_yzzzzz_xxxyzzzz_1[j] + 0.5 * fl1_fx * (tg_zzzzz_xxxyzzzz_0[j] - tg_zzzzz_xxxyzzzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_yzzzzz_xxxzzzz_1[j];

                    tg_yyzzzzz_xxxzzzzz_0[j] = pb_y * tg_yzzzzz_xxxzzzzz_0[j] + fr * tg_yzzzzz_xxxzzzzz_1[j] + 0.5 * fl1_fx * (tg_zzzzz_xxxzzzzz_0[j] - tg_zzzzz_xxxzzzzz_1[j] * fl1_fza);

                    tg_yyzzzzz_xxyyyyyy_0[j] = pb_y * tg_yzzzzz_xxyyyyyy_0[j] + fr * tg_yzzzzz_xxyyyyyy_1[j] + 0.5 * fl1_fx * (tg_zzzzz_xxyyyyyy_0[j] - tg_zzzzz_xxyyyyyy_1[j] * fl1_fza) + 3.0 * fl1_fxn * tg_yzzzzz_xxyyyyy_1[j];

                    tg_yyzzzzz_xxyyyyyz_0[j] = pb_y * tg_yzzzzz_xxyyyyyz_0[j] + fr * tg_yzzzzz_xxyyyyyz_1[j] + 0.5 * fl1_fx * (tg_zzzzz_xxyyyyyz_0[j] - tg_zzzzz_xxyyyyyz_1[j] * fl1_fza) + 2.5 * fl1_fxn * tg_yzzzzz_xxyyyyz_1[j];

                    tg_yyzzzzz_xxyyyyzz_0[j] = pb_y * tg_yzzzzz_xxyyyyzz_0[j] + fr * tg_yzzzzz_xxyyyyzz_1[j] + 0.5 * fl1_fx * (tg_zzzzz_xxyyyyzz_0[j] - tg_zzzzz_xxyyyyzz_1[j] * fl1_fza) + 2.0 * fl1_fxn * tg_yzzzzz_xxyyyzz_1[j];

                    tg_yyzzzzz_xxyyyzzz_0[j] = pb_y * tg_yzzzzz_xxyyyzzz_0[j] + fr * tg_yzzzzz_xxyyyzzz_1[j] + 0.5 * fl1_fx * (tg_zzzzz_xxyyyzzz_0[j] - tg_zzzzz_xxyyyzzz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_yzzzzz_xxyyzzz_1[j];

                    tg_yyzzzzz_xxyyzzzz_0[j] = pb_y * tg_yzzzzz_xxyyzzzz_0[j] + fr * tg_yzzzzz_xxyyzzzz_1[j] + 0.5 * fl1_fx * (tg_zzzzz_xxyyzzzz_0[j] - tg_zzzzz_xxyyzzzz_1[j] * fl1_fza) + fl1_fxn * tg_yzzzzz_xxyzzzz_1[j];

                    tg_yyzzzzz_xxyzzzzz_0[j] = pb_y * tg_yzzzzz_xxyzzzzz_0[j] + fr * tg_yzzzzz_xxyzzzzz_1[j] + 0.5 * fl1_fx * (tg_zzzzz_xxyzzzzz_0[j] - tg_zzzzz_xxyzzzzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_yzzzzz_xxzzzzz_1[j];

                    tg_yyzzzzz_xxzzzzzz_0[j] = pb_y * tg_yzzzzz_xxzzzzzz_0[j] + fr * tg_yzzzzz_xxzzzzzz_1[j] + 0.5 * fl1_fx * (tg_zzzzz_xxzzzzzz_0[j] - tg_zzzzz_xxzzzzzz_1[j] * fl1_fza);

                    tg_yyzzzzz_xyyyyyyy_0[j] = pb_y * tg_yzzzzz_xyyyyyyy_0[j] + fr * tg_yzzzzz_xyyyyyyy_1[j] + 0.5 * fl1_fx * (tg_zzzzz_xyyyyyyy_0[j] - tg_zzzzz_xyyyyyyy_1[j] * fl1_fza) + 3.5 * fl1_fxn * tg_yzzzzz_xyyyyyy_1[j];

                    tg_yyzzzzz_xyyyyyyz_0[j] = pb_y * tg_yzzzzz_xyyyyyyz_0[j] + fr * tg_yzzzzz_xyyyyyyz_1[j] + 0.5 * fl1_fx * (tg_zzzzz_xyyyyyyz_0[j] - tg_zzzzz_xyyyyyyz_1[j] * fl1_fza) + 3.0 * fl1_fxn * tg_yzzzzz_xyyyyyz_1[j];

                    tg_yyzzzzz_xyyyyyzz_0[j] = pb_y * tg_yzzzzz_xyyyyyzz_0[j] + fr * tg_yzzzzz_xyyyyyzz_1[j] + 0.5 * fl1_fx * (tg_zzzzz_xyyyyyzz_0[j] - tg_zzzzz_xyyyyyzz_1[j] * fl1_fza) + 2.5 * fl1_fxn * tg_yzzzzz_xyyyyzz_1[j];

                    tg_yyzzzzz_xyyyyzzz_0[j] = pb_y * tg_yzzzzz_xyyyyzzz_0[j] + fr * tg_yzzzzz_xyyyyzzz_1[j] + 0.5 * fl1_fx * (tg_zzzzz_xyyyyzzz_0[j] - tg_zzzzz_xyyyyzzz_1[j] * fl1_fza) + 2.0 * fl1_fxn * tg_yzzzzz_xyyyzzz_1[j];

                    tg_yyzzzzz_xyyyzzzz_0[j] = pb_y * tg_yzzzzz_xyyyzzzz_0[j] + fr * tg_yzzzzz_xyyyzzzz_1[j] + 0.5 * fl1_fx * (tg_zzzzz_xyyyzzzz_0[j] - tg_zzzzz_xyyyzzzz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_yzzzzz_xyyzzzz_1[j];

                    tg_yyzzzzz_xyyzzzzz_0[j] = pb_y * tg_yzzzzz_xyyzzzzz_0[j] + fr * tg_yzzzzz_xyyzzzzz_1[j] + 0.5 * fl1_fx * (tg_zzzzz_xyyzzzzz_0[j] - tg_zzzzz_xyyzzzzz_1[j] * fl1_fza) + fl1_fxn * tg_yzzzzz_xyzzzzz_1[j];

                    tg_yyzzzzz_xyzzzzzz_0[j] = pb_y * tg_yzzzzz_xyzzzzzz_0[j] + fr * tg_yzzzzz_xyzzzzzz_1[j] + 0.5 * fl1_fx * (tg_zzzzz_xyzzzzzz_0[j] - tg_zzzzz_xyzzzzzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_yzzzzz_xzzzzzz_1[j];

                    tg_yyzzzzz_xzzzzzzz_0[j] = pb_y * tg_yzzzzz_xzzzzzzz_0[j] + fr * tg_yzzzzz_xzzzzzzz_1[j] + 0.5 * fl1_fx * (tg_zzzzz_xzzzzzzz_0[j] - tg_zzzzz_xzzzzzzz_1[j] * fl1_fza);

                    tg_yyzzzzz_yyyyyyyy_0[j] = pb_y * tg_yzzzzz_yyyyyyyy_0[j] + fr * tg_yzzzzz_yyyyyyyy_1[j] + 0.5 * fl1_fx * (tg_zzzzz_yyyyyyyy_0[j] - tg_zzzzz_yyyyyyyy_1[j] * fl1_fza) + 4.0 * fl1_fxn * tg_yzzzzz_yyyyyyy_1[j];

                    tg_yyzzzzz_yyyyyyyz_0[j] = pb_y * tg_yzzzzz_yyyyyyyz_0[j] + fr * tg_yzzzzz_yyyyyyyz_1[j] + 0.5 * fl1_fx * (tg_zzzzz_yyyyyyyz_0[j] - tg_zzzzz_yyyyyyyz_1[j] * fl1_fza) + 3.5 * fl1_fxn * tg_yzzzzz_yyyyyyz_1[j];

                    tg_yyzzzzz_yyyyyyzz_0[j] = pb_y * tg_yzzzzz_yyyyyyzz_0[j] + fr * tg_yzzzzz_yyyyyyzz_1[j] + 0.5 * fl1_fx * (tg_zzzzz_yyyyyyzz_0[j] - tg_zzzzz_yyyyyyzz_1[j] * fl1_fza) + 3.0 * fl1_fxn * tg_yzzzzz_yyyyyzz_1[j];

                    tg_yyzzzzz_yyyyyzzz_0[j] = pb_y * tg_yzzzzz_yyyyyzzz_0[j] + fr * tg_yzzzzz_yyyyyzzz_1[j] + 0.5 * fl1_fx * (tg_zzzzz_yyyyyzzz_0[j] - tg_zzzzz_yyyyyzzz_1[j] * fl1_fza) + 2.5 * fl1_fxn * tg_yzzzzz_yyyyzzz_1[j];
                }

                idx++;
            }
        }
    }

    void
    compElectronRepulsionForSKSL_1525_1620(      CMemBlock2D<double>* primBuffer,
                                           const CRecursionMap&       recursionMap,
                                           const CMemBlock2D<double>& osFactors,
                                           const CMemBlock2D<double>& wpDistances,
                                           const CGtoPairsBlock&      braGtoPairsBlock,
                                           const CGtoPairsBlock&      ketGtoPairsBlock,
                                           const int32_t              nKetPrimPairs,
                                           const int32_t              iContrPair)
    {
        // Batch of Integrals (1525,1620)

        // set up pointers to primitives data on bra side

        auto spos = braGtoPairsBlock.getStartPositions();

        auto epos = braGtoPairsBlock.getEndPositions();

        // set up pointers to tensor of distance R(PB) = P - B

        auto r_pb_y = braGtoPairsBlock.getDistancesPBY();

        auto r_pb_z = braGtoPairsBlock.getDistancesPBZ();

        // set up pointers to common Obara-Saika factors

        auto b_fx = braGtoPairsBlock.getFactorsOneOverXi();

        // set up maximum order of integral

        auto mord = recursionMap.getMaxOrder({"Electron Repulsion"},
                                             {7, -1, -1, -1},
                                             {8, -1, -1, -1},
                                             1, 1);

        for (int32_t iord = 0; iord <= mord; iord++)
        {
            // set up index of integral

            auto pidx_g_7_8_m0 = recursionMap.index(CRecursionTerm({"Electron Repulsion"}, 0, true, 
                                                                   {7, -1, -1, -1}, {8, -1, -1, -1}, 
                                                                   1, 1, iord));

            // check if integral is needed in recursion expansion

            if (pidx_g_7_8_m0 == -1) continue;

            // set up indexes of auxilary integral

            auto pidx_g_6_8_m0 = recursionMap.index(CRecursionTerm({"Electron Repulsion"}, 0, true, 
                                                                   {6, -1, -1, -1}, {8, -1, -1, -1}, 
                                                                   1, 1, iord));

            auto pidx_g_6_8_m1 = recursionMap.index(CRecursionTerm({"Electron Repulsion"}, 0, true, 
                                                                   {6, -1, -1, -1}, {8, -1, -1, -1}, 
                                                                   1, 1, iord + 1));

            auto pidx_g_5_8_m0 = recursionMap.index(CRecursionTerm({"Electron Repulsion"}, 0, true, 
                                                                   {5, -1, -1, -1}, {8, -1, -1, -1}, 
                                                                   1, 1, iord));

            auto pidx_g_5_8_m1 = recursionMap.index(CRecursionTerm({"Electron Repulsion"}, 0, true, 
                                                                   {5, -1, -1, -1}, {8, -1, -1, -1}, 
                                                                   1, 1, iord + 1));

            auto pidx_g_6_7_m1 = recursionMap.index(CRecursionTerm({"Electron Repulsion"}, 0, true, 
                                                                   {6, -1, -1, -1}, {7, -1, -1, -1}, 
                                                                   1, 1, iord + 1));

            // loop over contracted GTO on bra side

            int32_t idx = 0;

            for (int32_t i = spos[iContrPair]; i < epos[iContrPair]; i++)
            {
                // set up pointers to Obara-Saika factors

                double fx = b_fx[i];

                auto fza = osFactors.data(4 * idx + 2);

                auto fxn = osFactors.data(4 * idx);

                // set up distances R(PB) = P - B

                auto pb_y = r_pb_y[i];

                auto pb_z = r_pb_z[i];

                // set up pointers to tensors product of distances R(WP) = W - P

                auto wp_y = wpDistances.data(3 * idx + 1);

                auto wp_z = wpDistances.data(3 * idx + 2);

                // set up pointers to auxilary integrals

                auto tg_yzzzzz_yyyyzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1210); 

                auto tg_yzzzzz_yyyzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1211); 

                auto tg_yzzzzz_yyzzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1212); 

                auto tg_yzzzzz_yzzzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1213); 

                auto tg_yzzzzz_zzzzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1214); 

                auto tg_zzzzzz_xxxxxxxx_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1215); 

                auto tg_zzzzzz_xxxxxxxy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1216); 

                auto tg_zzzzzz_xxxxxxxz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1217); 

                auto tg_zzzzzz_xxxxxxyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1218); 

                auto tg_zzzzzz_xxxxxxyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1219); 

                auto tg_zzzzzz_xxxxxxzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1220); 

                auto tg_zzzzzz_xxxxxyyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1221); 

                auto tg_zzzzzz_xxxxxyyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1222); 

                auto tg_zzzzzz_xxxxxyzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1223); 

                auto tg_zzzzzz_xxxxxzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1224); 

                auto tg_zzzzzz_xxxxyyyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1225); 

                auto tg_zzzzzz_xxxxyyyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1226); 

                auto tg_zzzzzz_xxxxyyzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1227); 

                auto tg_zzzzzz_xxxxyzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1228); 

                auto tg_zzzzzz_xxxxzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1229); 

                auto tg_zzzzzz_xxxyyyyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1230); 

                auto tg_zzzzzz_xxxyyyyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1231); 

                auto tg_zzzzzz_xxxyyyzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1232); 

                auto tg_zzzzzz_xxxyyzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1233); 

                auto tg_zzzzzz_xxxyzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1234); 

                auto tg_zzzzzz_xxxzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1235); 

                auto tg_zzzzzz_xxyyyyyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1236); 

                auto tg_zzzzzz_xxyyyyyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1237); 

                auto tg_zzzzzz_xxyyyyzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1238); 

                auto tg_zzzzzz_xxyyyzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1239); 

                auto tg_zzzzzz_xxyyzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1240); 

                auto tg_zzzzzz_xxyzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1241); 

                auto tg_zzzzzz_xxzzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1242); 

                auto tg_zzzzzz_xyyyyyyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1243); 

                auto tg_zzzzzz_xyyyyyyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1244); 

                auto tg_zzzzzz_xyyyyyzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1245); 

                auto tg_zzzzzz_xyyyyzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1246); 

                auto tg_zzzzzz_xyyyzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1247); 

                auto tg_zzzzzz_xyyzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1248); 

                auto tg_zzzzzz_xyzzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1249); 

                auto tg_zzzzzz_xzzzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1250); 

                auto tg_zzzzzz_yyyyyyyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1251); 

                auto tg_zzzzzz_yyyyyyyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1252); 

                auto tg_zzzzzz_yyyyyyzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1253); 

                auto tg_zzzzzz_yyyyyzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1254); 

                auto tg_zzzzzz_yyyyzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1255); 

                auto tg_zzzzzz_yyyzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1256); 

                auto tg_zzzzzz_yyzzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1257); 

                auto tg_zzzzzz_yzzzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1258); 

                auto tg_zzzzzz_zzzzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1259); 

                auto tg_yzzzzz_yyyyzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1210); 

                auto tg_yzzzzz_yyyzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1211); 

                auto tg_yzzzzz_yyzzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1212); 

                auto tg_yzzzzz_yzzzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1213); 

                auto tg_yzzzzz_zzzzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1214); 

                auto tg_zzzzzz_xxxxxxxx_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1215); 

                auto tg_zzzzzz_xxxxxxxy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1216); 

                auto tg_zzzzzz_xxxxxxxz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1217); 

                auto tg_zzzzzz_xxxxxxyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1218); 

                auto tg_zzzzzz_xxxxxxyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1219); 

                auto tg_zzzzzz_xxxxxxzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1220); 

                auto tg_zzzzzz_xxxxxyyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1221); 

                auto tg_zzzzzz_xxxxxyyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1222); 

                auto tg_zzzzzz_xxxxxyzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1223); 

                auto tg_zzzzzz_xxxxxzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1224); 

                auto tg_zzzzzz_xxxxyyyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1225); 

                auto tg_zzzzzz_xxxxyyyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1226); 

                auto tg_zzzzzz_xxxxyyzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1227); 

                auto tg_zzzzzz_xxxxyzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1228); 

                auto tg_zzzzzz_xxxxzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1229); 

                auto tg_zzzzzz_xxxyyyyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1230); 

                auto tg_zzzzzz_xxxyyyyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1231); 

                auto tg_zzzzzz_xxxyyyzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1232); 

                auto tg_zzzzzz_xxxyyzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1233); 

                auto tg_zzzzzz_xxxyzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1234); 

                auto tg_zzzzzz_xxxzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1235); 

                auto tg_zzzzzz_xxyyyyyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1236); 

                auto tg_zzzzzz_xxyyyyyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1237); 

                auto tg_zzzzzz_xxyyyyzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1238); 

                auto tg_zzzzzz_xxyyyzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1239); 

                auto tg_zzzzzz_xxyyzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1240); 

                auto tg_zzzzzz_xxyzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1241); 

                auto tg_zzzzzz_xxzzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1242); 

                auto tg_zzzzzz_xyyyyyyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1243); 

                auto tg_zzzzzz_xyyyyyyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1244); 

                auto tg_zzzzzz_xyyyyyzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1245); 

                auto tg_zzzzzz_xyyyyzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1246); 

                auto tg_zzzzzz_xyyyzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1247); 

                auto tg_zzzzzz_xyyzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1248); 

                auto tg_zzzzzz_xyzzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1249); 

                auto tg_zzzzzz_xzzzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1250); 

                auto tg_zzzzzz_yyyyyyyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1251); 

                auto tg_zzzzzz_yyyyyyyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1252); 

                auto tg_zzzzzz_yyyyyyzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1253); 

                auto tg_zzzzzz_yyyyyzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1254); 

                auto tg_zzzzzz_yyyyzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1255); 

                auto tg_zzzzzz_yyyzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1256); 

                auto tg_zzzzzz_yyzzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1257); 

                auto tg_zzzzzz_yzzzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1258); 

                auto tg_zzzzzz_zzzzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1259); 

                auto tg_zzzzz_xxxxxxxx_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 900); 

                auto tg_zzzzz_xxxxxxxy_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 901); 

                auto tg_zzzzz_xxxxxxxz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 902); 

                auto tg_zzzzz_xxxxxxyy_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 903); 

                auto tg_zzzzz_xxxxxxyz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 904); 

                auto tg_zzzzz_xxxxxxzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 905); 

                auto tg_zzzzz_xxxxxyyy_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 906); 

                auto tg_zzzzz_xxxxxyyz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 907); 

                auto tg_zzzzz_xxxxxyzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 908); 

                auto tg_zzzzz_xxxxxzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 909); 

                auto tg_zzzzz_xxxxyyyy_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 910); 

                auto tg_zzzzz_xxxxyyyz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 911); 

                auto tg_zzzzz_xxxxyyzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 912); 

                auto tg_zzzzz_xxxxyzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 913); 

                auto tg_zzzzz_xxxxzzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 914); 

                auto tg_zzzzz_xxxyyyyy_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 915); 

                auto tg_zzzzz_xxxyyyyz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 916); 

                auto tg_zzzzz_xxxyyyzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 917); 

                auto tg_zzzzz_xxxyyzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 918); 

                auto tg_zzzzz_xxxyzzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 919); 

                auto tg_zzzzz_xxxzzzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 920); 

                auto tg_zzzzz_xxyyyyyy_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 921); 

                auto tg_zzzzz_xxyyyyyz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 922); 

                auto tg_zzzzz_xxyyyyzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 923); 

                auto tg_zzzzz_xxyyyzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 924); 

                auto tg_zzzzz_xxyyzzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 925); 

                auto tg_zzzzz_xxyzzzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 926); 

                auto tg_zzzzz_xxzzzzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 927); 

                auto tg_zzzzz_xyyyyyyy_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 928); 

                auto tg_zzzzz_xyyyyyyz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 929); 

                auto tg_zzzzz_xyyyyyzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 930); 

                auto tg_zzzzz_xyyyyzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 931); 

                auto tg_zzzzz_xyyyzzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 932); 

                auto tg_zzzzz_xyyzzzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 933); 

                auto tg_zzzzz_xyzzzzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 934); 

                auto tg_zzzzz_xzzzzzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 935); 

                auto tg_zzzzz_yyyyyyyy_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 936); 

                auto tg_zzzzz_yyyyyyyz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 937); 

                auto tg_zzzzz_yyyyyyzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 938); 

                auto tg_zzzzz_yyyyyzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 939); 

                auto tg_zzzzz_yyyyzzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 940); 

                auto tg_zzzzz_yyyzzzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 941); 

                auto tg_zzzzz_yyzzzzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 942); 

                auto tg_zzzzz_yzzzzzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 943); 

                auto tg_zzzzz_zzzzzzzz_0 = primBuffer[pidx_g_5_8_m0].data(945 * idx + 944); 

                auto tg_zzzzz_xxxxxxxx_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 900); 

                auto tg_zzzzz_xxxxxxxy_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 901); 

                auto tg_zzzzz_xxxxxxxz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 902); 

                auto tg_zzzzz_xxxxxxyy_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 903); 

                auto tg_zzzzz_xxxxxxyz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 904); 

                auto tg_zzzzz_xxxxxxzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 905); 

                auto tg_zzzzz_xxxxxyyy_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 906); 

                auto tg_zzzzz_xxxxxyyz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 907); 

                auto tg_zzzzz_xxxxxyzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 908); 

                auto tg_zzzzz_xxxxxzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 909); 

                auto tg_zzzzz_xxxxyyyy_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 910); 

                auto tg_zzzzz_xxxxyyyz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 911); 

                auto tg_zzzzz_xxxxyyzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 912); 

                auto tg_zzzzz_xxxxyzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 913); 

                auto tg_zzzzz_xxxxzzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 914); 

                auto tg_zzzzz_xxxyyyyy_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 915); 

                auto tg_zzzzz_xxxyyyyz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 916); 

                auto tg_zzzzz_xxxyyyzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 917); 

                auto tg_zzzzz_xxxyyzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 918); 

                auto tg_zzzzz_xxxyzzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 919); 

                auto tg_zzzzz_xxxzzzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 920); 

                auto tg_zzzzz_xxyyyyyy_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 921); 

                auto tg_zzzzz_xxyyyyyz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 922); 

                auto tg_zzzzz_xxyyyyzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 923); 

                auto tg_zzzzz_xxyyyzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 924); 

                auto tg_zzzzz_xxyyzzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 925); 

                auto tg_zzzzz_xxyzzzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 926); 

                auto tg_zzzzz_xxzzzzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 927); 

                auto tg_zzzzz_xyyyyyyy_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 928); 

                auto tg_zzzzz_xyyyyyyz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 929); 

                auto tg_zzzzz_xyyyyyzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 930); 

                auto tg_zzzzz_xyyyyzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 931); 

                auto tg_zzzzz_xyyyzzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 932); 

                auto tg_zzzzz_xyyzzzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 933); 

                auto tg_zzzzz_xyzzzzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 934); 

                auto tg_zzzzz_xzzzzzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 935); 

                auto tg_zzzzz_yyyyyyyy_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 936); 

                auto tg_zzzzz_yyyyyyyz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 937); 

                auto tg_zzzzz_yyyyyyzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 938); 

                auto tg_zzzzz_yyyyyzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 939); 

                auto tg_zzzzz_yyyyzzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 940); 

                auto tg_zzzzz_yyyzzzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 941); 

                auto tg_zzzzz_yyzzzzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 942); 

                auto tg_zzzzz_yzzzzzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 943); 

                auto tg_zzzzz_zzzzzzzz_1 = primBuffer[pidx_g_5_8_m1].data(945 * idx + 944); 

                auto tg_yzzzzz_yyyzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 968); 

                auto tg_yzzzzz_yyzzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 969); 

                auto tg_yzzzzz_yzzzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 970); 

                auto tg_yzzzzz_zzzzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 971); 

                auto tg_zzzzzz_xxxxxxx_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 972); 

                auto tg_zzzzzz_xxxxxxy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 973); 

                auto tg_zzzzzz_xxxxxxz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 974); 

                auto tg_zzzzzz_xxxxxyy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 975); 

                auto tg_zzzzzz_xxxxxyz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 976); 

                auto tg_zzzzzz_xxxxxzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 977); 

                auto tg_zzzzzz_xxxxyyy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 978); 

                auto tg_zzzzzz_xxxxyyz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 979); 

                auto tg_zzzzzz_xxxxyzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 980); 

                auto tg_zzzzzz_xxxxzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 981); 

                auto tg_zzzzzz_xxxyyyy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 982); 

                auto tg_zzzzzz_xxxyyyz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 983); 

                auto tg_zzzzzz_xxxyyzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 984); 

                auto tg_zzzzzz_xxxyzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 985); 

                auto tg_zzzzzz_xxxzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 986); 

                auto tg_zzzzzz_xxyyyyy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 987); 

                auto tg_zzzzzz_xxyyyyz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 988); 

                auto tg_zzzzzz_xxyyyzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 989); 

                auto tg_zzzzzz_xxyyzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 990); 

                auto tg_zzzzzz_xxyzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 991); 

                auto tg_zzzzzz_xxzzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 992); 

                auto tg_zzzzzz_xyyyyyy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 993); 

                auto tg_zzzzzz_xyyyyyz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 994); 

                auto tg_zzzzzz_xyyyyzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 995); 

                auto tg_zzzzzz_xyyyzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 996); 

                auto tg_zzzzzz_xyyzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 997); 

                auto tg_zzzzzz_xyzzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 998); 

                auto tg_zzzzzz_xzzzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 999); 

                auto tg_zzzzzz_yyyyyyy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 1000); 

                auto tg_zzzzzz_yyyyyyz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 1001); 

                auto tg_zzzzzz_yyyyyzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 1002); 

                auto tg_zzzzzz_yyyyzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 1003); 

                auto tg_zzzzzz_yyyzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 1004); 

                auto tg_zzzzzz_yyzzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 1005); 

                auto tg_zzzzzz_yzzzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 1006); 

                auto tg_zzzzzz_zzzzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 1007); 

                // set up pointers to integrals

                auto tg_yyzzzzz_yyyyzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1525); 

                auto tg_yyzzzzz_yyyzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1526); 

                auto tg_yyzzzzz_yyzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1527); 

                auto tg_yyzzzzz_yzzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1528); 

                auto tg_yyzzzzz_zzzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1529); 

                auto tg_yzzzzzz_xxxxxxxx_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1530); 

                auto tg_yzzzzzz_xxxxxxxy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1531); 

                auto tg_yzzzzzz_xxxxxxxz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1532); 

                auto tg_yzzzzzz_xxxxxxyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1533); 

                auto tg_yzzzzzz_xxxxxxyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1534); 

                auto tg_yzzzzzz_xxxxxxzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1535); 

                auto tg_yzzzzzz_xxxxxyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1536); 

                auto tg_yzzzzzz_xxxxxyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1537); 

                auto tg_yzzzzzz_xxxxxyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1538); 

                auto tg_yzzzzzz_xxxxxzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1539); 

                auto tg_yzzzzzz_xxxxyyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1540); 

                auto tg_yzzzzzz_xxxxyyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1541); 

                auto tg_yzzzzzz_xxxxyyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1542); 

                auto tg_yzzzzzz_xxxxyzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1543); 

                auto tg_yzzzzzz_xxxxzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1544); 

                auto tg_yzzzzzz_xxxyyyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1545); 

                auto tg_yzzzzzz_xxxyyyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1546); 

                auto tg_yzzzzzz_xxxyyyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1547); 

                auto tg_yzzzzzz_xxxyyzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1548); 

                auto tg_yzzzzzz_xxxyzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1549); 

                auto tg_yzzzzzz_xxxzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1550); 

                auto tg_yzzzzzz_xxyyyyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1551); 

                auto tg_yzzzzzz_xxyyyyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1552); 

                auto tg_yzzzzzz_xxyyyyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1553); 

                auto tg_yzzzzzz_xxyyyzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1554); 

                auto tg_yzzzzzz_xxyyzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1555); 

                auto tg_yzzzzzz_xxyzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1556); 

                auto tg_yzzzzzz_xxzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1557); 

                auto tg_yzzzzzz_xyyyyyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1558); 

                auto tg_yzzzzzz_xyyyyyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1559); 

                auto tg_yzzzzzz_xyyyyyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1560); 

                auto tg_yzzzzzz_xyyyyzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1561); 

                auto tg_yzzzzzz_xyyyzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1562); 

                auto tg_yzzzzzz_xyyzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1563); 

                auto tg_yzzzzzz_xyzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1564); 

                auto tg_yzzzzzz_xzzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1565); 

                auto tg_yzzzzzz_yyyyyyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1566); 

                auto tg_yzzzzzz_yyyyyyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1567); 

                auto tg_yzzzzzz_yyyyyyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1568); 

                auto tg_yzzzzzz_yyyyyzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1569); 

                auto tg_yzzzzzz_yyyyzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1570); 

                auto tg_yzzzzzz_yyyzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1571); 

                auto tg_yzzzzzz_yyzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1572); 

                auto tg_yzzzzzz_yzzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1573); 

                auto tg_yzzzzzz_zzzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1574); 

                auto tg_zzzzzzz_xxxxxxxx_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1575); 

                auto tg_zzzzzzz_xxxxxxxy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1576); 

                auto tg_zzzzzzz_xxxxxxxz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1577); 

                auto tg_zzzzzzz_xxxxxxyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1578); 

                auto tg_zzzzzzz_xxxxxxyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1579); 

                auto tg_zzzzzzz_xxxxxxzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1580); 

                auto tg_zzzzzzz_xxxxxyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1581); 

                auto tg_zzzzzzz_xxxxxyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1582); 

                auto tg_zzzzzzz_xxxxxyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1583); 

                auto tg_zzzzzzz_xxxxxzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1584); 

                auto tg_zzzzzzz_xxxxyyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1585); 

                auto tg_zzzzzzz_xxxxyyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1586); 

                auto tg_zzzzzzz_xxxxyyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1587); 

                auto tg_zzzzzzz_xxxxyzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1588); 

                auto tg_zzzzzzz_xxxxzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1589); 

                auto tg_zzzzzzz_xxxyyyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1590); 

                auto tg_zzzzzzz_xxxyyyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1591); 

                auto tg_zzzzzzz_xxxyyyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1592); 

                auto tg_zzzzzzz_xxxyyzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1593); 

                auto tg_zzzzzzz_xxxyzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1594); 

                auto tg_zzzzzzz_xxxzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1595); 

                auto tg_zzzzzzz_xxyyyyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1596); 

                auto tg_zzzzzzz_xxyyyyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1597); 

                auto tg_zzzzzzz_xxyyyyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1598); 

                auto tg_zzzzzzz_xxyyyzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1599); 

                auto tg_zzzzzzz_xxyyzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1600); 

                auto tg_zzzzzzz_xxyzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1601); 

                auto tg_zzzzzzz_xxzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1602); 

                auto tg_zzzzzzz_xyyyyyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1603); 

                auto tg_zzzzzzz_xyyyyyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1604); 

                auto tg_zzzzzzz_xyyyyyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1605); 

                auto tg_zzzzzzz_xyyyyzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1606); 

                auto tg_zzzzzzz_xyyyzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1607); 

                auto tg_zzzzzzz_xyyzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1608); 

                auto tg_zzzzzzz_xyzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1609); 

                auto tg_zzzzzzz_xzzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1610); 

                auto tg_zzzzzzz_yyyyyyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1611); 

                auto tg_zzzzzzz_yyyyyyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1612); 

                auto tg_zzzzzzz_yyyyyyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1613); 

                auto tg_zzzzzzz_yyyyyzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1614); 

                auto tg_zzzzzzz_yyyyzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1615); 

                auto tg_zzzzzzz_yyyzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1616); 

                auto tg_zzzzzzz_yyzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1617); 

                auto tg_zzzzzzz_yzzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1618); 

                auto tg_zzzzzzz_zzzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1619); 

                // Batch of Integrals (1525,1620)

                #pragma omp simd aligned(fxn, fza, tg_yyzzzzz_yyyyzzzz_0, tg_yyzzzzz_yyyzzzzz_0, \
                                         tg_yyzzzzz_yyzzzzzz_0, tg_yyzzzzz_yzzzzzzz_0, tg_yyzzzzz_zzzzzzzz_0, \
                                         tg_yzzzzz_yyyyzzzz_0, tg_yzzzzz_yyyyzzzz_1, tg_yzzzzz_yyyzzzz_1, tg_yzzzzz_yyyzzzzz_0, \
                                         tg_yzzzzz_yyyzzzzz_1, tg_yzzzzz_yyzzzzz_1, tg_yzzzzz_yyzzzzzz_0, tg_yzzzzz_yyzzzzzz_1, \
                                         tg_yzzzzz_yzzzzzz_1, tg_yzzzzz_yzzzzzzz_0, tg_yzzzzz_yzzzzzzz_1, tg_yzzzzz_zzzzzzz_1, \
                                         tg_yzzzzz_zzzzzzzz_0, tg_yzzzzz_zzzzzzzz_1, tg_yzzzzzz_xxxxxxxx_0, \
                                         tg_yzzzzzz_xxxxxxxy_0, tg_yzzzzzz_xxxxxxxz_0, tg_yzzzzzz_xxxxxxyy_0, \
                                         tg_yzzzzzz_xxxxxxyz_0, tg_yzzzzzz_xxxxxxzz_0, tg_yzzzzzz_xxxxxyyy_0, \
                                         tg_yzzzzzz_xxxxxyyz_0, tg_yzzzzzz_xxxxxyzz_0, tg_yzzzzzz_xxxxxzzz_0, \
                                         tg_yzzzzzz_xxxxyyyy_0, tg_yzzzzzz_xxxxyyyz_0, tg_yzzzzzz_xxxxyyzz_0, \
                                         tg_yzzzzzz_xxxxyzzz_0, tg_yzzzzzz_xxxxzzzz_0, tg_yzzzzzz_xxxyyyyy_0, \
                                         tg_yzzzzzz_xxxyyyyz_0, tg_yzzzzzz_xxxyyyzz_0, tg_yzzzzzz_xxxyyzzz_0, \
                                         tg_yzzzzzz_xxxyzzzz_0, tg_yzzzzzz_xxxzzzzz_0, tg_yzzzzzz_xxyyyyyy_0, \
                                         tg_yzzzzzz_xxyyyyyz_0, tg_yzzzzzz_xxyyyyzz_0, tg_yzzzzzz_xxyyyzzz_0, \
                                         tg_yzzzzzz_xxyyzzzz_0, tg_yzzzzzz_xxyzzzzz_0, tg_yzzzzzz_xxzzzzzz_0, \
                                         tg_yzzzzzz_xyyyyyyy_0, tg_yzzzzzz_xyyyyyyz_0, tg_yzzzzzz_xyyyyyzz_0, \
                                         tg_yzzzzzz_xyyyyzzz_0, tg_yzzzzzz_xyyyzzzz_0, tg_yzzzzzz_xyyzzzzz_0, \
                                         tg_yzzzzzz_xyzzzzzz_0, tg_yzzzzzz_xzzzzzzz_0, tg_yzzzzzz_yyyyyyyy_0, \
                                         tg_yzzzzzz_yyyyyyyz_0, tg_yzzzzzz_yyyyyyzz_0, tg_yzzzzzz_yyyyyzzz_0, \
                                         tg_yzzzzzz_yyyyzzzz_0, tg_yzzzzzz_yyyzzzzz_0, tg_yzzzzzz_yyzzzzzz_0, \
                                         tg_yzzzzzz_yzzzzzzz_0, tg_yzzzzzz_zzzzzzzz_0, tg_zzzzz_xxxxxxxx_0, tg_zzzzz_xxxxxxxx_1, \
                                         tg_zzzzz_xxxxxxxy_0, tg_zzzzz_xxxxxxxy_1, tg_zzzzz_xxxxxxxz_0, tg_zzzzz_xxxxxxxz_1, \
                                         tg_zzzzz_xxxxxxyy_0, tg_zzzzz_xxxxxxyy_1, tg_zzzzz_xxxxxxyz_0, tg_zzzzz_xxxxxxyz_1, \
                                         tg_zzzzz_xxxxxxzz_0, tg_zzzzz_xxxxxxzz_1, tg_zzzzz_xxxxxyyy_0, tg_zzzzz_xxxxxyyy_1, \
                                         tg_zzzzz_xxxxxyyz_0, tg_zzzzz_xxxxxyyz_1, tg_zzzzz_xxxxxyzz_0, tg_zzzzz_xxxxxyzz_1, \
                                         tg_zzzzz_xxxxxzzz_0, tg_zzzzz_xxxxxzzz_1, tg_zzzzz_xxxxyyyy_0, tg_zzzzz_xxxxyyyy_1, \
                                         tg_zzzzz_xxxxyyyz_0, tg_zzzzz_xxxxyyyz_1, tg_zzzzz_xxxxyyzz_0, tg_zzzzz_xxxxyyzz_1, \
                                         tg_zzzzz_xxxxyzzz_0, tg_zzzzz_xxxxyzzz_1, tg_zzzzz_xxxxzzzz_0, tg_zzzzz_xxxxzzzz_1, \
                                         tg_zzzzz_xxxyyyyy_0, tg_zzzzz_xxxyyyyy_1, tg_zzzzz_xxxyyyyz_0, tg_zzzzz_xxxyyyyz_1, \
                                         tg_zzzzz_xxxyyyzz_0, tg_zzzzz_xxxyyyzz_1, tg_zzzzz_xxxyyzzz_0, tg_zzzzz_xxxyyzzz_1, \
                                         tg_zzzzz_xxxyzzzz_0, tg_zzzzz_xxxyzzzz_1, tg_zzzzz_xxxzzzzz_0, tg_zzzzz_xxxzzzzz_1, \
                                         tg_zzzzz_xxyyyyyy_0, tg_zzzzz_xxyyyyyy_1, tg_zzzzz_xxyyyyyz_0, tg_zzzzz_xxyyyyyz_1, \
                                         tg_zzzzz_xxyyyyzz_0, tg_zzzzz_xxyyyyzz_1, tg_zzzzz_xxyyyzzz_0, tg_zzzzz_xxyyyzzz_1, \
                                         tg_zzzzz_xxyyzzzz_0, tg_zzzzz_xxyyzzzz_1, tg_zzzzz_xxyzzzzz_0, tg_zzzzz_xxyzzzzz_1, \
                                         tg_zzzzz_xxzzzzzz_0, tg_zzzzz_xxzzzzzz_1, tg_zzzzz_xyyyyyyy_0, tg_zzzzz_xyyyyyyy_1, \
                                         tg_zzzzz_xyyyyyyz_0, tg_zzzzz_xyyyyyyz_1, tg_zzzzz_xyyyyyzz_0, tg_zzzzz_xyyyyyzz_1, \
                                         tg_zzzzz_xyyyyzzz_0, tg_zzzzz_xyyyyzzz_1, tg_zzzzz_xyyyzzzz_0, tg_zzzzz_xyyyzzzz_1, \
                                         tg_zzzzz_xyyzzzzz_0, tg_zzzzz_xyyzzzzz_1, tg_zzzzz_xyzzzzzz_0, tg_zzzzz_xyzzzzzz_1, \
                                         tg_zzzzz_xzzzzzzz_0, tg_zzzzz_xzzzzzzz_1, tg_zzzzz_yyyyyyyy_0, tg_zzzzz_yyyyyyyy_1, \
                                         tg_zzzzz_yyyyyyyz_0, tg_zzzzz_yyyyyyyz_1, tg_zzzzz_yyyyyyzz_0, tg_zzzzz_yyyyyyzz_1, \
                                         tg_zzzzz_yyyyyzzz_0, tg_zzzzz_yyyyyzzz_1, tg_zzzzz_yyyyzzzz_0, tg_zzzzz_yyyyzzzz_1, \
                                         tg_zzzzz_yyyzzzzz_0, tg_zzzzz_yyyzzzzz_1, tg_zzzzz_yyzzzzzz_0, tg_zzzzz_yyzzzzzz_1, \
                                         tg_zzzzz_yzzzzzzz_0, tg_zzzzz_yzzzzzzz_1, tg_zzzzz_zzzzzzzz_0, tg_zzzzz_zzzzzzzz_1, \
                                         tg_zzzzzz_xxxxxxx_1, tg_zzzzzz_xxxxxxxx_0, tg_zzzzzz_xxxxxxxx_1, tg_zzzzzz_xxxxxxxy_0, \
                                         tg_zzzzzz_xxxxxxxy_1, tg_zzzzzz_xxxxxxxz_0, tg_zzzzzz_xxxxxxxz_1, tg_zzzzzz_xxxxxxy_1, \
                                         tg_zzzzzz_xxxxxxyy_0, tg_zzzzzz_xxxxxxyy_1, tg_zzzzzz_xxxxxxyz_0, tg_zzzzzz_xxxxxxyz_1, \
                                         tg_zzzzzz_xxxxxxz_1, tg_zzzzzz_xxxxxxzz_0, tg_zzzzzz_xxxxxxzz_1, tg_zzzzzz_xxxxxyy_1, \
                                         tg_zzzzzz_xxxxxyyy_0, tg_zzzzzz_xxxxxyyy_1, tg_zzzzzz_xxxxxyyz_0, tg_zzzzzz_xxxxxyyz_1, \
                                         tg_zzzzzz_xxxxxyz_1, tg_zzzzzz_xxxxxyzz_0, tg_zzzzzz_xxxxxyzz_1, tg_zzzzzz_xxxxxzz_1, \
                                         tg_zzzzzz_xxxxxzzz_0, tg_zzzzzz_xxxxxzzz_1, tg_zzzzzz_xxxxyyy_1, tg_zzzzzz_xxxxyyyy_0, \
                                         tg_zzzzzz_xxxxyyyy_1, tg_zzzzzz_xxxxyyyz_0, tg_zzzzzz_xxxxyyyz_1, tg_zzzzzz_xxxxyyz_1, \
                                         tg_zzzzzz_xxxxyyzz_0, tg_zzzzzz_xxxxyyzz_1, tg_zzzzzz_xxxxyzz_1, tg_zzzzzz_xxxxyzzz_0, \
                                         tg_zzzzzz_xxxxyzzz_1, tg_zzzzzz_xxxxzzz_1, tg_zzzzzz_xxxxzzzz_0, tg_zzzzzz_xxxxzzzz_1, \
                                         tg_zzzzzz_xxxyyyy_1, tg_zzzzzz_xxxyyyyy_0, tg_zzzzzz_xxxyyyyy_1, tg_zzzzzz_xxxyyyyz_0, \
                                         tg_zzzzzz_xxxyyyyz_1, tg_zzzzzz_xxxyyyz_1, tg_zzzzzz_xxxyyyzz_0, tg_zzzzzz_xxxyyyzz_1, \
                                         tg_zzzzzz_xxxyyzz_1, tg_zzzzzz_xxxyyzzz_0, tg_zzzzzz_xxxyyzzz_1, tg_zzzzzz_xxxyzzz_1, \
                                         tg_zzzzzz_xxxyzzzz_0, tg_zzzzzz_xxxyzzzz_1, tg_zzzzzz_xxxzzzz_1, tg_zzzzzz_xxxzzzzz_0, \
                                         tg_zzzzzz_xxxzzzzz_1, tg_zzzzzz_xxyyyyy_1, tg_zzzzzz_xxyyyyyy_0, tg_zzzzzz_xxyyyyyy_1, \
                                         tg_zzzzzz_xxyyyyyz_0, tg_zzzzzz_xxyyyyyz_1, tg_zzzzzz_xxyyyyz_1, tg_zzzzzz_xxyyyyzz_0, \
                                         tg_zzzzzz_xxyyyyzz_1, tg_zzzzzz_xxyyyzz_1, tg_zzzzzz_xxyyyzzz_0, tg_zzzzzz_xxyyyzzz_1, \
                                         tg_zzzzzz_xxyyzzz_1, tg_zzzzzz_xxyyzzzz_0, tg_zzzzzz_xxyyzzzz_1, tg_zzzzzz_xxyzzzz_1, \
                                         tg_zzzzzz_xxyzzzzz_0, tg_zzzzzz_xxyzzzzz_1, tg_zzzzzz_xxzzzzz_1, tg_zzzzzz_xxzzzzzz_0, \
                                         tg_zzzzzz_xxzzzzzz_1, tg_zzzzzz_xyyyyyy_1, tg_zzzzzz_xyyyyyyy_0, tg_zzzzzz_xyyyyyyy_1, \
                                         tg_zzzzzz_xyyyyyyz_0, tg_zzzzzz_xyyyyyyz_1, tg_zzzzzz_xyyyyyz_1, tg_zzzzzz_xyyyyyzz_0, \
                                         tg_zzzzzz_xyyyyyzz_1, tg_zzzzzz_xyyyyzz_1, tg_zzzzzz_xyyyyzzz_0, tg_zzzzzz_xyyyyzzz_1, \
                                         tg_zzzzzz_xyyyzzz_1, tg_zzzzzz_xyyyzzzz_0, tg_zzzzzz_xyyyzzzz_1, tg_zzzzzz_xyyzzzz_1, \
                                         tg_zzzzzz_xyyzzzzz_0, tg_zzzzzz_xyyzzzzz_1, tg_zzzzzz_xyzzzzz_1, tg_zzzzzz_xyzzzzzz_0, \
                                         tg_zzzzzz_xyzzzzzz_1, tg_zzzzzz_xzzzzzz_1, tg_zzzzzz_xzzzzzzz_0, tg_zzzzzz_xzzzzzzz_1, \
                                         tg_zzzzzz_yyyyyyy_1, tg_zzzzzz_yyyyyyyy_0, tg_zzzzzz_yyyyyyyy_1, tg_zzzzzz_yyyyyyyz_0, \
                                         tg_zzzzzz_yyyyyyyz_1, tg_zzzzzz_yyyyyyz_1, tg_zzzzzz_yyyyyyzz_0, tg_zzzzzz_yyyyyyzz_1, \
                                         tg_zzzzzz_yyyyyzz_1, tg_zzzzzz_yyyyyzzz_0, tg_zzzzzz_yyyyyzzz_1, tg_zzzzzz_yyyyzzz_1, \
                                         tg_zzzzzz_yyyyzzzz_0, tg_zzzzzz_yyyyzzzz_1, tg_zzzzzz_yyyzzzz_1, tg_zzzzzz_yyyzzzzz_0, \
                                         tg_zzzzzz_yyyzzzzz_1, tg_zzzzzz_yyzzzzz_1, tg_zzzzzz_yyzzzzzz_0, tg_zzzzzz_yyzzzzzz_1, \
                                         tg_zzzzzz_yzzzzzz_1, tg_zzzzzz_yzzzzzzz_0, tg_zzzzzz_yzzzzzzz_1, tg_zzzzzz_zzzzzzz_1, \
                                         tg_zzzzzz_zzzzzzzz_0, tg_zzzzzz_zzzzzzzz_1, tg_zzzzzzz_xxxxxxxx_0, \
                                         tg_zzzzzzz_xxxxxxxy_0, tg_zzzzzzz_xxxxxxxz_0, tg_zzzzzzz_xxxxxxyy_0, \
                                         tg_zzzzzzz_xxxxxxyz_0, tg_zzzzzzz_xxxxxxzz_0, tg_zzzzzzz_xxxxxyyy_0, \
                                         tg_zzzzzzz_xxxxxyyz_0, tg_zzzzzzz_xxxxxyzz_0, tg_zzzzzzz_xxxxxzzz_0, \
                                         tg_zzzzzzz_xxxxyyyy_0, tg_zzzzzzz_xxxxyyyz_0, tg_zzzzzzz_xxxxyyzz_0, \
                                         tg_zzzzzzz_xxxxyzzz_0, tg_zzzzzzz_xxxxzzzz_0, tg_zzzzzzz_xxxyyyyy_0, \
                                         tg_zzzzzzz_xxxyyyyz_0, tg_zzzzzzz_xxxyyyzz_0, tg_zzzzzzz_xxxyyzzz_0, \
                                         tg_zzzzzzz_xxxyzzzz_0, tg_zzzzzzz_xxxzzzzz_0, tg_zzzzzzz_xxyyyyyy_0, \
                                         tg_zzzzzzz_xxyyyyyz_0, tg_zzzzzzz_xxyyyyzz_0, tg_zzzzzzz_xxyyyzzz_0, \
                                         tg_zzzzzzz_xxyyzzzz_0, tg_zzzzzzz_xxyzzzzz_0, tg_zzzzzzz_xxzzzzzz_0, \
                                         tg_zzzzzzz_xyyyyyyy_0, tg_zzzzzzz_xyyyyyyz_0, tg_zzzzzzz_xyyyyyzz_0, \
                                         tg_zzzzzzz_xyyyyzzz_0, tg_zzzzzzz_xyyyzzzz_0, tg_zzzzzzz_xyyzzzzz_0, \
                                         tg_zzzzzzz_xyzzzzzz_0, tg_zzzzzzz_xzzzzzzz_0, tg_zzzzzzz_yyyyyyyy_0, \
                                         tg_zzzzzzz_yyyyyyyz_0, tg_zzzzzzz_yyyyyyzz_0, tg_zzzzzzz_yyyyyzzz_0, \
                                         tg_zzzzzzz_yyyyzzzz_0, tg_zzzzzzz_yyyzzzzz_0, tg_zzzzzzz_yyzzzzzz_0, \
                                         tg_zzzzzzz_yzzzzzzz_0, tg_zzzzzzz_zzzzzzzz_0, wp_y, wp_z: VLX_ALIGN)
                for (int32_t j = 0; j < nKetPrimPairs; j++)
                {
                    double fl1_fx = fx;

                    double fl1_fxn = fxn[j];

                    double fl1_fza = fza[j];

                    double fr = wp_y[j]; 

                    tg_yyzzzzz_yyyyzzzz_0[j] = pb_y * tg_yzzzzz_yyyyzzzz_0[j] + fr * tg_yzzzzz_yyyyzzzz_1[j] + 0.5 * fl1_fx * (tg_zzzzz_yyyyzzzz_0[j] - tg_zzzzz_yyyyzzzz_1[j] * fl1_fza) + 2.0 * fl1_fxn * tg_yzzzzz_yyyzzzz_1[j];

                    tg_yyzzzzz_yyyzzzzz_0[j] = pb_y * tg_yzzzzz_yyyzzzzz_0[j] + fr * tg_yzzzzz_yyyzzzzz_1[j] + 0.5 * fl1_fx * (tg_zzzzz_yyyzzzzz_0[j] - tg_zzzzz_yyyzzzzz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_yzzzzz_yyzzzzz_1[j];

                    tg_yyzzzzz_yyzzzzzz_0[j] = pb_y * tg_yzzzzz_yyzzzzzz_0[j] + fr * tg_yzzzzz_yyzzzzzz_1[j] + 0.5 * fl1_fx * (tg_zzzzz_yyzzzzzz_0[j] - tg_zzzzz_yyzzzzzz_1[j] * fl1_fza) + fl1_fxn * tg_yzzzzz_yzzzzzz_1[j];

                    tg_yyzzzzz_yzzzzzzz_0[j] = pb_y * tg_yzzzzz_yzzzzzzz_0[j] + fr * tg_yzzzzz_yzzzzzzz_1[j] + 0.5 * fl1_fx * (tg_zzzzz_yzzzzzzz_0[j] - tg_zzzzz_yzzzzzzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_yzzzzz_zzzzzzz_1[j];

                    tg_yyzzzzz_zzzzzzzz_0[j] = pb_y * tg_yzzzzz_zzzzzzzz_0[j] + fr * tg_yzzzzz_zzzzzzzz_1[j] + 0.5 * fl1_fx * (tg_zzzzz_zzzzzzzz_0[j] - tg_zzzzz_zzzzzzzz_1[j] * fl1_fza);

                    tg_yzzzzzz_xxxxxxxx_0[j] = pb_y * tg_zzzzzz_xxxxxxxx_0[j] + fr * tg_zzzzzz_xxxxxxxx_1[j];

                    tg_yzzzzzz_xxxxxxxy_0[j] = pb_y * tg_zzzzzz_xxxxxxxy_0[j] + fr * tg_zzzzzz_xxxxxxxy_1[j] + 0.5 * fl1_fxn * tg_zzzzzz_xxxxxxx_1[j];

                    tg_yzzzzzz_xxxxxxxz_0[j] = pb_y * tg_zzzzzz_xxxxxxxz_0[j] + fr * tg_zzzzzz_xxxxxxxz_1[j];

                    tg_yzzzzzz_xxxxxxyy_0[j] = pb_y * tg_zzzzzz_xxxxxxyy_0[j] + fr * tg_zzzzzz_xxxxxxyy_1[j] + fl1_fxn * tg_zzzzzz_xxxxxxy_1[j];

                    tg_yzzzzzz_xxxxxxyz_0[j] = pb_y * tg_zzzzzz_xxxxxxyz_0[j] + fr * tg_zzzzzz_xxxxxxyz_1[j] + 0.5 * fl1_fxn * tg_zzzzzz_xxxxxxz_1[j];

                    tg_yzzzzzz_xxxxxxzz_0[j] = pb_y * tg_zzzzzz_xxxxxxzz_0[j] + fr * tg_zzzzzz_xxxxxxzz_1[j];

                    tg_yzzzzzz_xxxxxyyy_0[j] = pb_y * tg_zzzzzz_xxxxxyyy_0[j] + fr * tg_zzzzzz_xxxxxyyy_1[j] + 1.5 * fl1_fxn * tg_zzzzzz_xxxxxyy_1[j];

                    tg_yzzzzzz_xxxxxyyz_0[j] = pb_y * tg_zzzzzz_xxxxxyyz_0[j] + fr * tg_zzzzzz_xxxxxyyz_1[j] + fl1_fxn * tg_zzzzzz_xxxxxyz_1[j];

                    tg_yzzzzzz_xxxxxyzz_0[j] = pb_y * tg_zzzzzz_xxxxxyzz_0[j] + fr * tg_zzzzzz_xxxxxyzz_1[j] + 0.5 * fl1_fxn * tg_zzzzzz_xxxxxzz_1[j];

                    tg_yzzzzzz_xxxxxzzz_0[j] = pb_y * tg_zzzzzz_xxxxxzzz_0[j] + fr * tg_zzzzzz_xxxxxzzz_1[j];

                    tg_yzzzzzz_xxxxyyyy_0[j] = pb_y * tg_zzzzzz_xxxxyyyy_0[j] + fr * tg_zzzzzz_xxxxyyyy_1[j] + 2.0 * fl1_fxn * tg_zzzzzz_xxxxyyy_1[j];

                    tg_yzzzzzz_xxxxyyyz_0[j] = pb_y * tg_zzzzzz_xxxxyyyz_0[j] + fr * tg_zzzzzz_xxxxyyyz_1[j] + 1.5 * fl1_fxn * tg_zzzzzz_xxxxyyz_1[j];

                    tg_yzzzzzz_xxxxyyzz_0[j] = pb_y * tg_zzzzzz_xxxxyyzz_0[j] + fr * tg_zzzzzz_xxxxyyzz_1[j] + fl1_fxn * tg_zzzzzz_xxxxyzz_1[j];

                    tg_yzzzzzz_xxxxyzzz_0[j] = pb_y * tg_zzzzzz_xxxxyzzz_0[j] + fr * tg_zzzzzz_xxxxyzzz_1[j] + 0.5 * fl1_fxn * tg_zzzzzz_xxxxzzz_1[j];

                    tg_yzzzzzz_xxxxzzzz_0[j] = pb_y * tg_zzzzzz_xxxxzzzz_0[j] + fr * tg_zzzzzz_xxxxzzzz_1[j];

                    tg_yzzzzzz_xxxyyyyy_0[j] = pb_y * tg_zzzzzz_xxxyyyyy_0[j] + fr * tg_zzzzzz_xxxyyyyy_1[j] + 2.5 * fl1_fxn * tg_zzzzzz_xxxyyyy_1[j];

                    tg_yzzzzzz_xxxyyyyz_0[j] = pb_y * tg_zzzzzz_xxxyyyyz_0[j] + fr * tg_zzzzzz_xxxyyyyz_1[j] + 2.0 * fl1_fxn * tg_zzzzzz_xxxyyyz_1[j];

                    tg_yzzzzzz_xxxyyyzz_0[j] = pb_y * tg_zzzzzz_xxxyyyzz_0[j] + fr * tg_zzzzzz_xxxyyyzz_1[j] + 1.5 * fl1_fxn * tg_zzzzzz_xxxyyzz_1[j];

                    tg_yzzzzzz_xxxyyzzz_0[j] = pb_y * tg_zzzzzz_xxxyyzzz_0[j] + fr * tg_zzzzzz_xxxyyzzz_1[j] + fl1_fxn * tg_zzzzzz_xxxyzzz_1[j];

                    tg_yzzzzzz_xxxyzzzz_0[j] = pb_y * tg_zzzzzz_xxxyzzzz_0[j] + fr * tg_zzzzzz_xxxyzzzz_1[j] + 0.5 * fl1_fxn * tg_zzzzzz_xxxzzzz_1[j];

                    tg_yzzzzzz_xxxzzzzz_0[j] = pb_y * tg_zzzzzz_xxxzzzzz_0[j] + fr * tg_zzzzzz_xxxzzzzz_1[j];

                    tg_yzzzzzz_xxyyyyyy_0[j] = pb_y * tg_zzzzzz_xxyyyyyy_0[j] + fr * tg_zzzzzz_xxyyyyyy_1[j] + 3.0 * fl1_fxn * tg_zzzzzz_xxyyyyy_1[j];

                    tg_yzzzzzz_xxyyyyyz_0[j] = pb_y * tg_zzzzzz_xxyyyyyz_0[j] + fr * tg_zzzzzz_xxyyyyyz_1[j] + 2.5 * fl1_fxn * tg_zzzzzz_xxyyyyz_1[j];

                    tg_yzzzzzz_xxyyyyzz_0[j] = pb_y * tg_zzzzzz_xxyyyyzz_0[j] + fr * tg_zzzzzz_xxyyyyzz_1[j] + 2.0 * fl1_fxn * tg_zzzzzz_xxyyyzz_1[j];

                    tg_yzzzzzz_xxyyyzzz_0[j] = pb_y * tg_zzzzzz_xxyyyzzz_0[j] + fr * tg_zzzzzz_xxyyyzzz_1[j] + 1.5 * fl1_fxn * tg_zzzzzz_xxyyzzz_1[j];

                    tg_yzzzzzz_xxyyzzzz_0[j] = pb_y * tg_zzzzzz_xxyyzzzz_0[j] + fr * tg_zzzzzz_xxyyzzzz_1[j] + fl1_fxn * tg_zzzzzz_xxyzzzz_1[j];

                    tg_yzzzzzz_xxyzzzzz_0[j] = pb_y * tg_zzzzzz_xxyzzzzz_0[j] + fr * tg_zzzzzz_xxyzzzzz_1[j] + 0.5 * fl1_fxn * tg_zzzzzz_xxzzzzz_1[j];

                    tg_yzzzzzz_xxzzzzzz_0[j] = pb_y * tg_zzzzzz_xxzzzzzz_0[j] + fr * tg_zzzzzz_xxzzzzzz_1[j];

                    tg_yzzzzzz_xyyyyyyy_0[j] = pb_y * tg_zzzzzz_xyyyyyyy_0[j] + fr * tg_zzzzzz_xyyyyyyy_1[j] + 3.5 * fl1_fxn * tg_zzzzzz_xyyyyyy_1[j];

                    tg_yzzzzzz_xyyyyyyz_0[j] = pb_y * tg_zzzzzz_xyyyyyyz_0[j] + fr * tg_zzzzzz_xyyyyyyz_1[j] + 3.0 * fl1_fxn * tg_zzzzzz_xyyyyyz_1[j];

                    tg_yzzzzzz_xyyyyyzz_0[j] = pb_y * tg_zzzzzz_xyyyyyzz_0[j] + fr * tg_zzzzzz_xyyyyyzz_1[j] + 2.5 * fl1_fxn * tg_zzzzzz_xyyyyzz_1[j];

                    tg_yzzzzzz_xyyyyzzz_0[j] = pb_y * tg_zzzzzz_xyyyyzzz_0[j] + fr * tg_zzzzzz_xyyyyzzz_1[j] + 2.0 * fl1_fxn * tg_zzzzzz_xyyyzzz_1[j];

                    tg_yzzzzzz_xyyyzzzz_0[j] = pb_y * tg_zzzzzz_xyyyzzzz_0[j] + fr * tg_zzzzzz_xyyyzzzz_1[j] + 1.5 * fl1_fxn * tg_zzzzzz_xyyzzzz_1[j];

                    tg_yzzzzzz_xyyzzzzz_0[j] = pb_y * tg_zzzzzz_xyyzzzzz_0[j] + fr * tg_zzzzzz_xyyzzzzz_1[j] + fl1_fxn * tg_zzzzzz_xyzzzzz_1[j];

                    tg_yzzzzzz_xyzzzzzz_0[j] = pb_y * tg_zzzzzz_xyzzzzzz_0[j] + fr * tg_zzzzzz_xyzzzzzz_1[j] + 0.5 * fl1_fxn * tg_zzzzzz_xzzzzzz_1[j];

                    tg_yzzzzzz_xzzzzzzz_0[j] = pb_y * tg_zzzzzz_xzzzzzzz_0[j] + fr * tg_zzzzzz_xzzzzzzz_1[j];

                    tg_yzzzzzz_yyyyyyyy_0[j] = pb_y * tg_zzzzzz_yyyyyyyy_0[j] + fr * tg_zzzzzz_yyyyyyyy_1[j] + 4.0 * fl1_fxn * tg_zzzzzz_yyyyyyy_1[j];

                    tg_yzzzzzz_yyyyyyyz_0[j] = pb_y * tg_zzzzzz_yyyyyyyz_0[j] + fr * tg_zzzzzz_yyyyyyyz_1[j] + 3.5 * fl1_fxn * tg_zzzzzz_yyyyyyz_1[j];

                    tg_yzzzzzz_yyyyyyzz_0[j] = pb_y * tg_zzzzzz_yyyyyyzz_0[j] + fr * tg_zzzzzz_yyyyyyzz_1[j] + 3.0 * fl1_fxn * tg_zzzzzz_yyyyyzz_1[j];

                    tg_yzzzzzz_yyyyyzzz_0[j] = pb_y * tg_zzzzzz_yyyyyzzz_0[j] + fr * tg_zzzzzz_yyyyyzzz_1[j] + 2.5 * fl1_fxn * tg_zzzzzz_yyyyzzz_1[j];

                    tg_yzzzzzz_yyyyzzzz_0[j] = pb_y * tg_zzzzzz_yyyyzzzz_0[j] + fr * tg_zzzzzz_yyyyzzzz_1[j] + 2.0 * fl1_fxn * tg_zzzzzz_yyyzzzz_1[j];

                    tg_yzzzzzz_yyyzzzzz_0[j] = pb_y * tg_zzzzzz_yyyzzzzz_0[j] + fr * tg_zzzzzz_yyyzzzzz_1[j] + 1.5 * fl1_fxn * tg_zzzzzz_yyzzzzz_1[j];

                    tg_yzzzzzz_yyzzzzzz_0[j] = pb_y * tg_zzzzzz_yyzzzzzz_0[j] + fr * tg_zzzzzz_yyzzzzzz_1[j] + fl1_fxn * tg_zzzzzz_yzzzzzz_1[j];

                    tg_yzzzzzz_yzzzzzzz_0[j] = pb_y * tg_zzzzzz_yzzzzzzz_0[j] + fr * tg_zzzzzz_yzzzzzzz_1[j] + 0.5 * fl1_fxn * tg_zzzzzz_zzzzzzz_1[j];

                    tg_yzzzzzz_zzzzzzzz_0[j] = pb_y * tg_zzzzzz_zzzzzzzz_0[j] + fr * tg_zzzzzz_zzzzzzzz_1[j];

                    fr = wp_z[j]; 

                    tg_zzzzzzz_xxxxxxxx_0[j] = pb_z * tg_zzzzzz_xxxxxxxx_0[j] + fr * tg_zzzzzz_xxxxxxxx_1[j] + 3.0 * fl1_fx * (tg_zzzzz_xxxxxxxx_0[j] - tg_zzzzz_xxxxxxxx_1[j] * fl1_fza);

                    tg_zzzzzzz_xxxxxxxy_0[j] = pb_z * tg_zzzzzz_xxxxxxxy_0[j] + fr * tg_zzzzzz_xxxxxxxy_1[j] + 3.0 * fl1_fx * (tg_zzzzz_xxxxxxxy_0[j] - tg_zzzzz_xxxxxxxy_1[j] * fl1_fza);

                    tg_zzzzzzz_xxxxxxxz_0[j] = pb_z * tg_zzzzzz_xxxxxxxz_0[j] + fr * tg_zzzzzz_xxxxxxxz_1[j] + 3.0 * fl1_fx * (tg_zzzzz_xxxxxxxz_0[j] - tg_zzzzz_xxxxxxxz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_zzzzzz_xxxxxxx_1[j];

                    tg_zzzzzzz_xxxxxxyy_0[j] = pb_z * tg_zzzzzz_xxxxxxyy_0[j] + fr * tg_zzzzzz_xxxxxxyy_1[j] + 3.0 * fl1_fx * (tg_zzzzz_xxxxxxyy_0[j] - tg_zzzzz_xxxxxxyy_1[j] * fl1_fza);

                    tg_zzzzzzz_xxxxxxyz_0[j] = pb_z * tg_zzzzzz_xxxxxxyz_0[j] + fr * tg_zzzzzz_xxxxxxyz_1[j] + 3.0 * fl1_fx * (tg_zzzzz_xxxxxxyz_0[j] - tg_zzzzz_xxxxxxyz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_zzzzzz_xxxxxxy_1[j];

                    tg_zzzzzzz_xxxxxxzz_0[j] = pb_z * tg_zzzzzz_xxxxxxzz_0[j] + fr * tg_zzzzzz_xxxxxxzz_1[j] + 3.0 * fl1_fx * (tg_zzzzz_xxxxxxzz_0[j] - tg_zzzzz_xxxxxxzz_1[j] * fl1_fza) + fl1_fxn * tg_zzzzzz_xxxxxxz_1[j];

                    tg_zzzzzzz_xxxxxyyy_0[j] = pb_z * tg_zzzzzz_xxxxxyyy_0[j] + fr * tg_zzzzzz_xxxxxyyy_1[j] + 3.0 * fl1_fx * (tg_zzzzz_xxxxxyyy_0[j] - tg_zzzzz_xxxxxyyy_1[j] * fl1_fza);

                    tg_zzzzzzz_xxxxxyyz_0[j] = pb_z * tg_zzzzzz_xxxxxyyz_0[j] + fr * tg_zzzzzz_xxxxxyyz_1[j] + 3.0 * fl1_fx * (tg_zzzzz_xxxxxyyz_0[j] - tg_zzzzz_xxxxxyyz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_zzzzzz_xxxxxyy_1[j];

                    tg_zzzzzzz_xxxxxyzz_0[j] = pb_z * tg_zzzzzz_xxxxxyzz_0[j] + fr * tg_zzzzzz_xxxxxyzz_1[j] + 3.0 * fl1_fx * (tg_zzzzz_xxxxxyzz_0[j] - tg_zzzzz_xxxxxyzz_1[j] * fl1_fza) + fl1_fxn * tg_zzzzzz_xxxxxyz_1[j];

                    tg_zzzzzzz_xxxxxzzz_0[j] = pb_z * tg_zzzzzz_xxxxxzzz_0[j] + fr * tg_zzzzzz_xxxxxzzz_1[j] + 3.0 * fl1_fx * (tg_zzzzz_xxxxxzzz_0[j] - tg_zzzzz_xxxxxzzz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_zzzzzz_xxxxxzz_1[j];

                    tg_zzzzzzz_xxxxyyyy_0[j] = pb_z * tg_zzzzzz_xxxxyyyy_0[j] + fr * tg_zzzzzz_xxxxyyyy_1[j] + 3.0 * fl1_fx * (tg_zzzzz_xxxxyyyy_0[j] - tg_zzzzz_xxxxyyyy_1[j] * fl1_fza);

                    tg_zzzzzzz_xxxxyyyz_0[j] = pb_z * tg_zzzzzz_xxxxyyyz_0[j] + fr * tg_zzzzzz_xxxxyyyz_1[j] + 3.0 * fl1_fx * (tg_zzzzz_xxxxyyyz_0[j] - tg_zzzzz_xxxxyyyz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_zzzzzz_xxxxyyy_1[j];

                    tg_zzzzzzz_xxxxyyzz_0[j] = pb_z * tg_zzzzzz_xxxxyyzz_0[j] + fr * tg_zzzzzz_xxxxyyzz_1[j] + 3.0 * fl1_fx * (tg_zzzzz_xxxxyyzz_0[j] - tg_zzzzz_xxxxyyzz_1[j] * fl1_fza) + fl1_fxn * tg_zzzzzz_xxxxyyz_1[j];

                    tg_zzzzzzz_xxxxyzzz_0[j] = pb_z * tg_zzzzzz_xxxxyzzz_0[j] + fr * tg_zzzzzz_xxxxyzzz_1[j] + 3.0 * fl1_fx * (tg_zzzzz_xxxxyzzz_0[j] - tg_zzzzz_xxxxyzzz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_zzzzzz_xxxxyzz_1[j];

                    tg_zzzzzzz_xxxxzzzz_0[j] = pb_z * tg_zzzzzz_xxxxzzzz_0[j] + fr * tg_zzzzzz_xxxxzzzz_1[j] + 3.0 * fl1_fx * (tg_zzzzz_xxxxzzzz_0[j] - tg_zzzzz_xxxxzzzz_1[j] * fl1_fza) + 2.0 * fl1_fxn * tg_zzzzzz_xxxxzzz_1[j];

                    tg_zzzzzzz_xxxyyyyy_0[j] = pb_z * tg_zzzzzz_xxxyyyyy_0[j] + fr * tg_zzzzzz_xxxyyyyy_1[j] + 3.0 * fl1_fx * (tg_zzzzz_xxxyyyyy_0[j] - tg_zzzzz_xxxyyyyy_1[j] * fl1_fza);

                    tg_zzzzzzz_xxxyyyyz_0[j] = pb_z * tg_zzzzzz_xxxyyyyz_0[j] + fr * tg_zzzzzz_xxxyyyyz_1[j] + 3.0 * fl1_fx * (tg_zzzzz_xxxyyyyz_0[j] - tg_zzzzz_xxxyyyyz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_zzzzzz_xxxyyyy_1[j];

                    tg_zzzzzzz_xxxyyyzz_0[j] = pb_z * tg_zzzzzz_xxxyyyzz_0[j] + fr * tg_zzzzzz_xxxyyyzz_1[j] + 3.0 * fl1_fx * (tg_zzzzz_xxxyyyzz_0[j] - tg_zzzzz_xxxyyyzz_1[j] * fl1_fza) + fl1_fxn * tg_zzzzzz_xxxyyyz_1[j];

                    tg_zzzzzzz_xxxyyzzz_0[j] = pb_z * tg_zzzzzz_xxxyyzzz_0[j] + fr * tg_zzzzzz_xxxyyzzz_1[j] + 3.0 * fl1_fx * (tg_zzzzz_xxxyyzzz_0[j] - tg_zzzzz_xxxyyzzz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_zzzzzz_xxxyyzz_1[j];

                    tg_zzzzzzz_xxxyzzzz_0[j] = pb_z * tg_zzzzzz_xxxyzzzz_0[j] + fr * tg_zzzzzz_xxxyzzzz_1[j] + 3.0 * fl1_fx * (tg_zzzzz_xxxyzzzz_0[j] - tg_zzzzz_xxxyzzzz_1[j] * fl1_fza) + 2.0 * fl1_fxn * tg_zzzzzz_xxxyzzz_1[j];

                    tg_zzzzzzz_xxxzzzzz_0[j] = pb_z * tg_zzzzzz_xxxzzzzz_0[j] + fr * tg_zzzzzz_xxxzzzzz_1[j] + 3.0 * fl1_fx * (tg_zzzzz_xxxzzzzz_0[j] - tg_zzzzz_xxxzzzzz_1[j] * fl1_fza) + 2.5 * fl1_fxn * tg_zzzzzz_xxxzzzz_1[j];

                    tg_zzzzzzz_xxyyyyyy_0[j] = pb_z * tg_zzzzzz_xxyyyyyy_0[j] + fr * tg_zzzzzz_xxyyyyyy_1[j] + 3.0 * fl1_fx * (tg_zzzzz_xxyyyyyy_0[j] - tg_zzzzz_xxyyyyyy_1[j] * fl1_fza);

                    tg_zzzzzzz_xxyyyyyz_0[j] = pb_z * tg_zzzzzz_xxyyyyyz_0[j] + fr * tg_zzzzzz_xxyyyyyz_1[j] + 3.0 * fl1_fx * (tg_zzzzz_xxyyyyyz_0[j] - tg_zzzzz_xxyyyyyz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_zzzzzz_xxyyyyy_1[j];

                    tg_zzzzzzz_xxyyyyzz_0[j] = pb_z * tg_zzzzzz_xxyyyyzz_0[j] + fr * tg_zzzzzz_xxyyyyzz_1[j] + 3.0 * fl1_fx * (tg_zzzzz_xxyyyyzz_0[j] - tg_zzzzz_xxyyyyzz_1[j] * fl1_fza) + fl1_fxn * tg_zzzzzz_xxyyyyz_1[j];

                    tg_zzzzzzz_xxyyyzzz_0[j] = pb_z * tg_zzzzzz_xxyyyzzz_0[j] + fr * tg_zzzzzz_xxyyyzzz_1[j] + 3.0 * fl1_fx * (tg_zzzzz_xxyyyzzz_0[j] - tg_zzzzz_xxyyyzzz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_zzzzzz_xxyyyzz_1[j];

                    tg_zzzzzzz_xxyyzzzz_0[j] = pb_z * tg_zzzzzz_xxyyzzzz_0[j] + fr * tg_zzzzzz_xxyyzzzz_1[j] + 3.0 * fl1_fx * (tg_zzzzz_xxyyzzzz_0[j] - tg_zzzzz_xxyyzzzz_1[j] * fl1_fza) + 2.0 * fl1_fxn * tg_zzzzzz_xxyyzzz_1[j];

                    tg_zzzzzzz_xxyzzzzz_0[j] = pb_z * tg_zzzzzz_xxyzzzzz_0[j] + fr * tg_zzzzzz_xxyzzzzz_1[j] + 3.0 * fl1_fx * (tg_zzzzz_xxyzzzzz_0[j] - tg_zzzzz_xxyzzzzz_1[j] * fl1_fza) + 2.5 * fl1_fxn * tg_zzzzzz_xxyzzzz_1[j];

                    tg_zzzzzzz_xxzzzzzz_0[j] = pb_z * tg_zzzzzz_xxzzzzzz_0[j] + fr * tg_zzzzzz_xxzzzzzz_1[j] + 3.0 * fl1_fx * (tg_zzzzz_xxzzzzzz_0[j] - tg_zzzzz_xxzzzzzz_1[j] * fl1_fza) + 3.0 * fl1_fxn * tg_zzzzzz_xxzzzzz_1[j];

                    tg_zzzzzzz_xyyyyyyy_0[j] = pb_z * tg_zzzzzz_xyyyyyyy_0[j] + fr * tg_zzzzzz_xyyyyyyy_1[j] + 3.0 * fl1_fx * (tg_zzzzz_xyyyyyyy_0[j] - tg_zzzzz_xyyyyyyy_1[j] * fl1_fza);

                    tg_zzzzzzz_xyyyyyyz_0[j] = pb_z * tg_zzzzzz_xyyyyyyz_0[j] + fr * tg_zzzzzz_xyyyyyyz_1[j] + 3.0 * fl1_fx * (tg_zzzzz_xyyyyyyz_0[j] - tg_zzzzz_xyyyyyyz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_zzzzzz_xyyyyyy_1[j];

                    tg_zzzzzzz_xyyyyyzz_0[j] = pb_z * tg_zzzzzz_xyyyyyzz_0[j] + fr * tg_zzzzzz_xyyyyyzz_1[j] + 3.0 * fl1_fx * (tg_zzzzz_xyyyyyzz_0[j] - tg_zzzzz_xyyyyyzz_1[j] * fl1_fza) + fl1_fxn * tg_zzzzzz_xyyyyyz_1[j];

                    tg_zzzzzzz_xyyyyzzz_0[j] = pb_z * tg_zzzzzz_xyyyyzzz_0[j] + fr * tg_zzzzzz_xyyyyzzz_1[j] + 3.0 * fl1_fx * (tg_zzzzz_xyyyyzzz_0[j] - tg_zzzzz_xyyyyzzz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_zzzzzz_xyyyyzz_1[j];

                    tg_zzzzzzz_xyyyzzzz_0[j] = pb_z * tg_zzzzzz_xyyyzzzz_0[j] + fr * tg_zzzzzz_xyyyzzzz_1[j] + 3.0 * fl1_fx * (tg_zzzzz_xyyyzzzz_0[j] - tg_zzzzz_xyyyzzzz_1[j] * fl1_fza) + 2.0 * fl1_fxn * tg_zzzzzz_xyyyzzz_1[j];

                    tg_zzzzzzz_xyyzzzzz_0[j] = pb_z * tg_zzzzzz_xyyzzzzz_0[j] + fr * tg_zzzzzz_xyyzzzzz_1[j] + 3.0 * fl1_fx * (tg_zzzzz_xyyzzzzz_0[j] - tg_zzzzz_xyyzzzzz_1[j] * fl1_fza) + 2.5 * fl1_fxn * tg_zzzzzz_xyyzzzz_1[j];

                    tg_zzzzzzz_xyzzzzzz_0[j] = pb_z * tg_zzzzzz_xyzzzzzz_0[j] + fr * tg_zzzzzz_xyzzzzzz_1[j] + 3.0 * fl1_fx * (tg_zzzzz_xyzzzzzz_0[j] - tg_zzzzz_xyzzzzzz_1[j] * fl1_fza) + 3.0 * fl1_fxn * tg_zzzzzz_xyzzzzz_1[j];

                    tg_zzzzzzz_xzzzzzzz_0[j] = pb_z * tg_zzzzzz_xzzzzzzz_0[j] + fr * tg_zzzzzz_xzzzzzzz_1[j] + 3.0 * fl1_fx * (tg_zzzzz_xzzzzzzz_0[j] - tg_zzzzz_xzzzzzzz_1[j] * fl1_fza) + 3.5 * fl1_fxn * tg_zzzzzz_xzzzzzz_1[j];

                    tg_zzzzzzz_yyyyyyyy_0[j] = pb_z * tg_zzzzzz_yyyyyyyy_0[j] + fr * tg_zzzzzz_yyyyyyyy_1[j] + 3.0 * fl1_fx * (tg_zzzzz_yyyyyyyy_0[j] - tg_zzzzz_yyyyyyyy_1[j] * fl1_fza);

                    tg_zzzzzzz_yyyyyyyz_0[j] = pb_z * tg_zzzzzz_yyyyyyyz_0[j] + fr * tg_zzzzzz_yyyyyyyz_1[j] + 3.0 * fl1_fx * (tg_zzzzz_yyyyyyyz_0[j] - tg_zzzzz_yyyyyyyz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_zzzzzz_yyyyyyy_1[j];

                    tg_zzzzzzz_yyyyyyzz_0[j] = pb_z * tg_zzzzzz_yyyyyyzz_0[j] + fr * tg_zzzzzz_yyyyyyzz_1[j] + 3.0 * fl1_fx * (tg_zzzzz_yyyyyyzz_0[j] - tg_zzzzz_yyyyyyzz_1[j] * fl1_fza) + fl1_fxn * tg_zzzzzz_yyyyyyz_1[j];

                    tg_zzzzzzz_yyyyyzzz_0[j] = pb_z * tg_zzzzzz_yyyyyzzz_0[j] + fr * tg_zzzzzz_yyyyyzzz_1[j] + 3.0 * fl1_fx * (tg_zzzzz_yyyyyzzz_0[j] - tg_zzzzz_yyyyyzzz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_zzzzzz_yyyyyzz_1[j];

                    tg_zzzzzzz_yyyyzzzz_0[j] = pb_z * tg_zzzzzz_yyyyzzzz_0[j] + fr * tg_zzzzzz_yyyyzzzz_1[j] + 3.0 * fl1_fx * (tg_zzzzz_yyyyzzzz_0[j] - tg_zzzzz_yyyyzzzz_1[j] * fl1_fza) + 2.0 * fl1_fxn * tg_zzzzzz_yyyyzzz_1[j];

                    tg_zzzzzzz_yyyzzzzz_0[j] = pb_z * tg_zzzzzz_yyyzzzzz_0[j] + fr * tg_zzzzzz_yyyzzzzz_1[j] + 3.0 * fl1_fx * (tg_zzzzz_yyyzzzzz_0[j] - tg_zzzzz_yyyzzzzz_1[j] * fl1_fza) + 2.5 * fl1_fxn * tg_zzzzzz_yyyzzzz_1[j];

                    tg_zzzzzzz_yyzzzzzz_0[j] = pb_z * tg_zzzzzz_yyzzzzzz_0[j] + fr * tg_zzzzzz_yyzzzzzz_1[j] + 3.0 * fl1_fx * (tg_zzzzz_yyzzzzzz_0[j] - tg_zzzzz_yyzzzzzz_1[j] * fl1_fza) + 3.0 * fl1_fxn * tg_zzzzzz_yyzzzzz_1[j];

                    tg_zzzzzzz_yzzzzzzz_0[j] = pb_z * tg_zzzzzz_yzzzzzzz_0[j] + fr * tg_zzzzzz_yzzzzzzz_1[j] + 3.0 * fl1_fx * (tg_zzzzz_yzzzzzzz_0[j] - tg_zzzzz_yzzzzzzz_1[j] * fl1_fza) + 3.5 * fl1_fxn * tg_zzzzzz_yzzzzzz_1[j];

                    tg_zzzzzzz_zzzzzzzz_0[j] = pb_z * tg_zzzzzz_zzzzzzzz_0[j] + fr * tg_zzzzzz_zzzzzzzz_1[j] + 3.0 * fl1_fx * (tg_zzzzz_zzzzzzzz_0[j] - tg_zzzzz_zzzzzzzz_1[j] * fl1_fza) + 4.0 * fl1_fxn * tg_zzzzzz_zzzzzzz_1[j];
                }

                idx++;
            }
        }
    }


} // erirecfunc namespace

