//
//                           VELOXCHEM 1.0-RC
//      ---------------------------------------------------
//                     An Electronic Structure Code
//
//  Copyright © 2018-2020 by VeloxChem developers. All rights reserved.
//  Contact: https://veloxchem.org/contact

#include "ElectronRepulsionRecFuncForLK.hpp"

namespace erirecfunc { // erirecfunc namespace

    void
    compElectronRepulsionForSLSK(      CMemBlock2D<double>* primBuffer,
                                 const CRecursionMap&       recursionMap,
                                 const CMemBlock2D<double>& osFactors,
                                 const CMemBlock2D<double>& wpDistances,
                                 const CGtoPairsBlock&      braGtoPairsBlock,
                                 const CGtoPairsBlock&      ketGtoPairsBlock,
                                 const int32_t              nKetPrimPairs,
                                 const int32_t              iContrPair)
    {
        erirecfunc::compElectronRepulsionForSLSK_0_96(primBuffer,
                                                      recursionMap,
                                                      osFactors,
                                                      wpDistances, 
                                                      braGtoPairsBlock,
                                                      ketGtoPairsBlock,
                                                      nKetPrimPairs,
                                                      iContrPair); 

        erirecfunc::compElectronRepulsionForSLSK_96_192(primBuffer,
                                                        recursionMap,
                                                        osFactors,
                                                        wpDistances, 
                                                        braGtoPairsBlock,
                                                        ketGtoPairsBlock,
                                                        nKetPrimPairs,
                                                        iContrPair); 

        erirecfunc::compElectronRepulsionForSLSK_192_288(primBuffer,
                                                         recursionMap,
                                                         osFactors,
                                                         wpDistances, 
                                                         braGtoPairsBlock,
                                                         ketGtoPairsBlock,
                                                         nKetPrimPairs,
                                                         iContrPair); 

        erirecfunc::compElectronRepulsionForSLSK_288_384(primBuffer,
                                                         recursionMap,
                                                         osFactors,
                                                         wpDistances, 
                                                         braGtoPairsBlock,
                                                         ketGtoPairsBlock,
                                                         nKetPrimPairs,
                                                         iContrPair); 

        erirecfunc::compElectronRepulsionForSLSK_384_480(primBuffer,
                                                         recursionMap,
                                                         osFactors,
                                                         wpDistances, 
                                                         braGtoPairsBlock,
                                                         ketGtoPairsBlock,
                                                         nKetPrimPairs,
                                                         iContrPair); 

        erirecfunc::compElectronRepulsionForSLSK_480_575(primBuffer,
                                                         recursionMap,
                                                         osFactors,
                                                         wpDistances, 
                                                         braGtoPairsBlock,
                                                         ketGtoPairsBlock,
                                                         nKetPrimPairs,
                                                         iContrPair); 

        erirecfunc::compElectronRepulsionForSLSK_575_670(primBuffer,
                                                         recursionMap,
                                                         osFactors,
                                                         wpDistances, 
                                                         braGtoPairsBlock,
                                                         ketGtoPairsBlock,
                                                         nKetPrimPairs,
                                                         iContrPair); 

        erirecfunc::compElectronRepulsionForSLSK_670_765(primBuffer,
                                                         recursionMap,
                                                         osFactors,
                                                         wpDistances, 
                                                         braGtoPairsBlock,
                                                         ketGtoPairsBlock,
                                                         nKetPrimPairs,
                                                         iContrPair); 

        erirecfunc::compElectronRepulsionForSLSK_765_860(primBuffer,
                                                         recursionMap,
                                                         osFactors,
                                                         wpDistances, 
                                                         braGtoPairsBlock,
                                                         ketGtoPairsBlock,
                                                         nKetPrimPairs,
                                                         iContrPair); 

        erirecfunc::compElectronRepulsionForSLSK_860_955(primBuffer,
                                                         recursionMap,
                                                         osFactors,
                                                         wpDistances, 
                                                         braGtoPairsBlock,
                                                         ketGtoPairsBlock,
                                                         nKetPrimPairs,
                                                         iContrPair); 

        erirecfunc::compElectronRepulsionForSLSK_955_1050(primBuffer,
                                                          recursionMap,
                                                          osFactors,
                                                          wpDistances, 
                                                          braGtoPairsBlock,
                                                          ketGtoPairsBlock,
                                                          nKetPrimPairs,
                                                          iContrPair); 

        erirecfunc::compElectronRepulsionForSLSK_1050_1145(primBuffer,
                                                           recursionMap,
                                                           osFactors,
                                                           wpDistances, 
                                                           braGtoPairsBlock,
                                                           ketGtoPairsBlock,
                                                           nKetPrimPairs,
                                                           iContrPair); 

        erirecfunc::compElectronRepulsionForSLSK_1145_1240(primBuffer,
                                                           recursionMap,
                                                           osFactors,
                                                           wpDistances, 
                                                           braGtoPairsBlock,
                                                           ketGtoPairsBlock,
                                                           nKetPrimPairs,
                                                           iContrPair); 

        erirecfunc::compElectronRepulsionForSLSK_1240_1335(primBuffer,
                                                           recursionMap,
                                                           osFactors,
                                                           wpDistances, 
                                                           braGtoPairsBlock,
                                                           ketGtoPairsBlock,
                                                           nKetPrimPairs,
                                                           iContrPair); 

        erirecfunc::compElectronRepulsionForSLSK_1335_1430(primBuffer,
                                                           recursionMap,
                                                           osFactors,
                                                           wpDistances, 
                                                           braGtoPairsBlock,
                                                           ketGtoPairsBlock,
                                                           nKetPrimPairs,
                                                           iContrPair); 

        erirecfunc::compElectronRepulsionForSLSK_1430_1525(primBuffer,
                                                           recursionMap,
                                                           osFactors,
                                                           wpDistances, 
                                                           braGtoPairsBlock,
                                                           ketGtoPairsBlock,
                                                           nKetPrimPairs,
                                                           iContrPair); 

        erirecfunc::compElectronRepulsionForSLSK_1525_1620(primBuffer,
                                                           recursionMap,
                                                           osFactors,
                                                           wpDistances, 
                                                           braGtoPairsBlock,
                                                           ketGtoPairsBlock,
                                                           nKetPrimPairs,
                                                           iContrPair); 
    }

    void
    compElectronRepulsionForSLSK_0_96(      CMemBlock2D<double>* primBuffer,
                                      const CRecursionMap&       recursionMap,
                                      const CMemBlock2D<double>& osFactors,
                                      const CMemBlock2D<double>& wpDistances,
                                      const CGtoPairsBlock&      braGtoPairsBlock,
                                      const CGtoPairsBlock&      ketGtoPairsBlock,
                                      const int32_t              nKetPrimPairs,
                                      const int32_t              iContrPair)
    {
        // Batch of Integrals (0,96)

        // set up pointers to primitives data on bra side

        auto spos = braGtoPairsBlock.getStartPositions();

        auto epos = braGtoPairsBlock.getEndPositions();

        // set up pointers to tensor of distance R(PB) = P - B

        auto r_pb_x = braGtoPairsBlock.getDistancesPBX();

        // set up pointers to common Obara-Saika factors

        auto b_fx = braGtoPairsBlock.getFactorsOneOverXi();

        // set up maximum order of integral

        auto mord = recursionMap.getMaxOrder({"Electron Repulsion"},
                                             {8, -1, -1, -1},
                                             {7, -1, -1, -1},
                                             1, 1);

        for (int32_t iord = 0; iord <= mord; iord++)
        {
            // set up index of integral

            auto pidx_g_8_7_m0 = recursionMap.index(CRecursionTerm({"Electron Repulsion"}, 0, true, 
                                                                   {8, -1, -1, -1}, {7, -1, -1, -1}, 
                                                                   1, 1, iord));

            // check if integral is needed in recursion expansion

            if (pidx_g_8_7_m0 == -1) continue;

            // set up indexes of auxilary integral

            auto pidx_g_7_7_m0 = recursionMap.index(CRecursionTerm({"Electron Repulsion"}, 0, true, 
                                                                   {7, -1, -1, -1}, {7, -1, -1, -1}, 
                                                                   1, 1, iord));

            auto pidx_g_7_7_m1 = recursionMap.index(CRecursionTerm({"Electron Repulsion"}, 0, true, 
                                                                   {7, -1, -1, -1}, {7, -1, -1, -1}, 
                                                                   1, 1, iord + 1));

            auto pidx_g_6_7_m0 = recursionMap.index(CRecursionTerm({"Electron Repulsion"}, 0, true, 
                                                                   {6, -1, -1, -1}, {7, -1, -1, -1}, 
                                                                   1, 1, iord));

            auto pidx_g_6_7_m1 = recursionMap.index(CRecursionTerm({"Electron Repulsion"}, 0, true, 
                                                                   {6, -1, -1, -1}, {7, -1, -1, -1}, 
                                                                   1, 1, iord + 1));

            auto pidx_g_7_6_m1 = recursionMap.index(CRecursionTerm({"Electron Repulsion"}, 0, true, 
                                                                   {7, -1, -1, -1}, {6, -1, -1, -1}, 
                                                                   1, 1, iord + 1));

            // loop over contracted GTO on bra side

            int32_t idx = 0;

            for (int32_t i = spos[iContrPair]; i < epos[iContrPair]; i++)
            {
                // set up pointers to Obara-Saika factors

                double fx = b_fx[i];

                auto fza = osFactors.data(4 * idx + 2);

                auto fxn = osFactors.data(4 * idx);

                // set up distances R(PB) = P - B

                auto pb_x = r_pb_x[i];

                // set up pointers to tensors product of distances R(WP) = W - P

                auto wp_x = wpDistances.data(3 * idx);

                // set up pointers to auxilary integrals

                auto tg_xxxxxxx_xxxxxxx_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx); 

                auto tg_xxxxxxx_xxxxxxy_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1); 

                auto tg_xxxxxxx_xxxxxxz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 2); 

                auto tg_xxxxxxx_xxxxxyy_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 3); 

                auto tg_xxxxxxx_xxxxxyz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 4); 

                auto tg_xxxxxxx_xxxxxzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 5); 

                auto tg_xxxxxxx_xxxxyyy_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 6); 

                auto tg_xxxxxxx_xxxxyyz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 7); 

                auto tg_xxxxxxx_xxxxyzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 8); 

                auto tg_xxxxxxx_xxxxzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 9); 

                auto tg_xxxxxxx_xxxyyyy_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 10); 

                auto tg_xxxxxxx_xxxyyyz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 11); 

                auto tg_xxxxxxx_xxxyyzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 12); 

                auto tg_xxxxxxx_xxxyzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 13); 

                auto tg_xxxxxxx_xxxzzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 14); 

                auto tg_xxxxxxx_xxyyyyy_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 15); 

                auto tg_xxxxxxx_xxyyyyz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 16); 

                auto tg_xxxxxxx_xxyyyzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 17); 

                auto tg_xxxxxxx_xxyyzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 18); 

                auto tg_xxxxxxx_xxyzzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 19); 

                auto tg_xxxxxxx_xxzzzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 20); 

                auto tg_xxxxxxx_xyyyyyy_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 21); 

                auto tg_xxxxxxx_xyyyyyz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 22); 

                auto tg_xxxxxxx_xyyyyzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 23); 

                auto tg_xxxxxxx_xyyyzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 24); 

                auto tg_xxxxxxx_xyyzzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 25); 

                auto tg_xxxxxxx_xyzzzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 26); 

                auto tg_xxxxxxx_xzzzzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 27); 

                auto tg_xxxxxxx_yyyyyyy_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 28); 

                auto tg_xxxxxxx_yyyyyyz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 29); 

                auto tg_xxxxxxx_yyyyyzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 30); 

                auto tg_xxxxxxx_yyyyzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 31); 

                auto tg_xxxxxxx_yyyzzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 32); 

                auto tg_xxxxxxx_yyzzzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 33); 

                auto tg_xxxxxxx_yzzzzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 34); 

                auto tg_xxxxxxx_zzzzzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 35); 

                auto tg_xxxxxxy_xxxxxxx_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 36); 

                auto tg_xxxxxxy_xxxxxxy_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 37); 

                auto tg_xxxxxxy_xxxxxxz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 38); 

                auto tg_xxxxxxy_xxxxxyy_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 39); 

                auto tg_xxxxxxy_xxxxxyz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 40); 

                auto tg_xxxxxxy_xxxxxzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 41); 

                auto tg_xxxxxxy_xxxxyyy_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 42); 

                auto tg_xxxxxxy_xxxxyyz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 43); 

                auto tg_xxxxxxy_xxxxyzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 44); 

                auto tg_xxxxxxy_xxxxzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 45); 

                auto tg_xxxxxxy_xxxyyyy_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 46); 

                auto tg_xxxxxxy_xxxyyyz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 47); 

                auto tg_xxxxxxy_xxxyyzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 48); 

                auto tg_xxxxxxy_xxxyzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 49); 

                auto tg_xxxxxxy_xxxzzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 50); 

                auto tg_xxxxxxy_xxyyyyy_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 51); 

                auto tg_xxxxxxy_xxyyyyz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 52); 

                auto tg_xxxxxxy_xxyyyzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 53); 

                auto tg_xxxxxxy_xxyyzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 54); 

                auto tg_xxxxxxy_xxyzzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 55); 

                auto tg_xxxxxxy_xxzzzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 56); 

                auto tg_xxxxxxy_xyyyyyy_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 57); 

                auto tg_xxxxxxy_xyyyyyz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 58); 

                auto tg_xxxxxxy_xyyyyzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 59); 

                auto tg_xxxxxxy_xyyyzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 60); 

                auto tg_xxxxxxy_xyyzzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 61); 

                auto tg_xxxxxxy_xyzzzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 62); 

                auto tg_xxxxxxy_xzzzzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 63); 

                auto tg_xxxxxxy_yyyyyyy_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 64); 

                auto tg_xxxxxxy_yyyyyyz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 65); 

                auto tg_xxxxxxy_yyyyyzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 66); 

                auto tg_xxxxxxy_yyyyzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 67); 

                auto tg_xxxxxxy_yyyzzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 68); 

                auto tg_xxxxxxy_yyzzzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 69); 

                auto tg_xxxxxxy_yzzzzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 70); 

                auto tg_xxxxxxy_zzzzzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 71); 

                auto tg_xxxxxxz_xxxxxxx_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 72); 

                auto tg_xxxxxxz_xxxxxxy_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 73); 

                auto tg_xxxxxxz_xxxxxxz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 74); 

                auto tg_xxxxxxz_xxxxxyy_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 75); 

                auto tg_xxxxxxz_xxxxxyz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 76); 

                auto tg_xxxxxxz_xxxxxzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 77); 

                auto tg_xxxxxxz_xxxxyyy_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 78); 

                auto tg_xxxxxxz_xxxxyyz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 79); 

                auto tg_xxxxxxz_xxxxyzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 80); 

                auto tg_xxxxxxz_xxxxzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 81); 

                auto tg_xxxxxxz_xxxyyyy_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 82); 

                auto tg_xxxxxxz_xxxyyyz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 83); 

                auto tg_xxxxxxz_xxxyyzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 84); 

                auto tg_xxxxxxz_xxxyzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 85); 

                auto tg_xxxxxxz_xxxzzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 86); 

                auto tg_xxxxxxz_xxyyyyy_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 87); 

                auto tg_xxxxxxz_xxyyyyz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 88); 

                auto tg_xxxxxxz_xxyyyzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 89); 

                auto tg_xxxxxxz_xxyyzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 90); 

                auto tg_xxxxxxz_xxyzzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 91); 

                auto tg_xxxxxxz_xxzzzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 92); 

                auto tg_xxxxxxz_xyyyyyy_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 93); 

                auto tg_xxxxxxz_xyyyyyz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 94); 

                auto tg_xxxxxxz_xyyyyzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 95); 

                auto tg_xxxxxxx_xxxxxxx_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx); 

                auto tg_xxxxxxx_xxxxxxy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1); 

                auto tg_xxxxxxx_xxxxxxz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 2); 

                auto tg_xxxxxxx_xxxxxyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 3); 

                auto tg_xxxxxxx_xxxxxyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 4); 

                auto tg_xxxxxxx_xxxxxzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 5); 

                auto tg_xxxxxxx_xxxxyyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 6); 

                auto tg_xxxxxxx_xxxxyyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 7); 

                auto tg_xxxxxxx_xxxxyzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 8); 

                auto tg_xxxxxxx_xxxxzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 9); 

                auto tg_xxxxxxx_xxxyyyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 10); 

                auto tg_xxxxxxx_xxxyyyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 11); 

                auto tg_xxxxxxx_xxxyyzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 12); 

                auto tg_xxxxxxx_xxxyzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 13); 

                auto tg_xxxxxxx_xxxzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 14); 

                auto tg_xxxxxxx_xxyyyyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 15); 

                auto tg_xxxxxxx_xxyyyyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 16); 

                auto tg_xxxxxxx_xxyyyzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 17); 

                auto tg_xxxxxxx_xxyyzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 18); 

                auto tg_xxxxxxx_xxyzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 19); 

                auto tg_xxxxxxx_xxzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 20); 

                auto tg_xxxxxxx_xyyyyyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 21); 

                auto tg_xxxxxxx_xyyyyyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 22); 

                auto tg_xxxxxxx_xyyyyzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 23); 

                auto tg_xxxxxxx_xyyyzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 24); 

                auto tg_xxxxxxx_xyyzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 25); 

                auto tg_xxxxxxx_xyzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 26); 

                auto tg_xxxxxxx_xzzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 27); 

                auto tg_xxxxxxx_yyyyyyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 28); 

                auto tg_xxxxxxx_yyyyyyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 29); 

                auto tg_xxxxxxx_yyyyyzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 30); 

                auto tg_xxxxxxx_yyyyzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 31); 

                auto tg_xxxxxxx_yyyzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 32); 

                auto tg_xxxxxxx_yyzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 33); 

                auto tg_xxxxxxx_yzzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 34); 

                auto tg_xxxxxxx_zzzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 35); 

                auto tg_xxxxxxy_xxxxxxx_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 36); 

                auto tg_xxxxxxy_xxxxxxy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 37); 

                auto tg_xxxxxxy_xxxxxxz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 38); 

                auto tg_xxxxxxy_xxxxxyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 39); 

                auto tg_xxxxxxy_xxxxxyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 40); 

                auto tg_xxxxxxy_xxxxxzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 41); 

                auto tg_xxxxxxy_xxxxyyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 42); 

                auto tg_xxxxxxy_xxxxyyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 43); 

                auto tg_xxxxxxy_xxxxyzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 44); 

                auto tg_xxxxxxy_xxxxzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 45); 

                auto tg_xxxxxxy_xxxyyyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 46); 

                auto tg_xxxxxxy_xxxyyyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 47); 

                auto tg_xxxxxxy_xxxyyzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 48); 

                auto tg_xxxxxxy_xxxyzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 49); 

                auto tg_xxxxxxy_xxxzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 50); 

                auto tg_xxxxxxy_xxyyyyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 51); 

                auto tg_xxxxxxy_xxyyyyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 52); 

                auto tg_xxxxxxy_xxyyyzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 53); 

                auto tg_xxxxxxy_xxyyzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 54); 

                auto tg_xxxxxxy_xxyzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 55); 

                auto tg_xxxxxxy_xxzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 56); 

                auto tg_xxxxxxy_xyyyyyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 57); 

                auto tg_xxxxxxy_xyyyyyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 58); 

                auto tg_xxxxxxy_xyyyyzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 59); 

                auto tg_xxxxxxy_xyyyzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 60); 

                auto tg_xxxxxxy_xyyzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 61); 

                auto tg_xxxxxxy_xyzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 62); 

                auto tg_xxxxxxy_xzzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 63); 

                auto tg_xxxxxxy_yyyyyyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 64); 

                auto tg_xxxxxxy_yyyyyyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 65); 

                auto tg_xxxxxxy_yyyyyzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 66); 

                auto tg_xxxxxxy_yyyyzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 67); 

                auto tg_xxxxxxy_yyyzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 68); 

                auto tg_xxxxxxy_yyzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 69); 

                auto tg_xxxxxxy_yzzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 70); 

                auto tg_xxxxxxy_zzzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 71); 

                auto tg_xxxxxxz_xxxxxxx_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 72); 

                auto tg_xxxxxxz_xxxxxxy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 73); 

                auto tg_xxxxxxz_xxxxxxz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 74); 

                auto tg_xxxxxxz_xxxxxyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 75); 

                auto tg_xxxxxxz_xxxxxyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 76); 

                auto tg_xxxxxxz_xxxxxzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 77); 

                auto tg_xxxxxxz_xxxxyyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 78); 

                auto tg_xxxxxxz_xxxxyyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 79); 

                auto tg_xxxxxxz_xxxxyzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 80); 

                auto tg_xxxxxxz_xxxxzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 81); 

                auto tg_xxxxxxz_xxxyyyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 82); 

                auto tg_xxxxxxz_xxxyyyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 83); 

                auto tg_xxxxxxz_xxxyyzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 84); 

                auto tg_xxxxxxz_xxxyzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 85); 

                auto tg_xxxxxxz_xxxzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 86); 

                auto tg_xxxxxxz_xxyyyyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 87); 

                auto tg_xxxxxxz_xxyyyyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 88); 

                auto tg_xxxxxxz_xxyyyzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 89); 

                auto tg_xxxxxxz_xxyyzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 90); 

                auto tg_xxxxxxz_xxyzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 91); 

                auto tg_xxxxxxz_xxzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 92); 

                auto tg_xxxxxxz_xyyyyyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 93); 

                auto tg_xxxxxxz_xyyyyyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 94); 

                auto tg_xxxxxxz_xyyyyzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 95); 

                auto tg_xxxxxx_xxxxxxx_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx); 

                auto tg_xxxxxx_xxxxxxy_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 1); 

                auto tg_xxxxxx_xxxxxxz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 2); 

                auto tg_xxxxxx_xxxxxyy_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 3); 

                auto tg_xxxxxx_xxxxxyz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 4); 

                auto tg_xxxxxx_xxxxxzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 5); 

                auto tg_xxxxxx_xxxxyyy_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 6); 

                auto tg_xxxxxx_xxxxyyz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 7); 

                auto tg_xxxxxx_xxxxyzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 8); 

                auto tg_xxxxxx_xxxxzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 9); 

                auto tg_xxxxxx_xxxyyyy_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 10); 

                auto tg_xxxxxx_xxxyyyz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 11); 

                auto tg_xxxxxx_xxxyyzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 12); 

                auto tg_xxxxxx_xxxyzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 13); 

                auto tg_xxxxxx_xxxzzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 14); 

                auto tg_xxxxxx_xxyyyyy_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 15); 

                auto tg_xxxxxx_xxyyyyz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 16); 

                auto tg_xxxxxx_xxyyyzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 17); 

                auto tg_xxxxxx_xxyyzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 18); 

                auto tg_xxxxxx_xxyzzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 19); 

                auto tg_xxxxxx_xxzzzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 20); 

                auto tg_xxxxxx_xyyyyyy_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 21); 

                auto tg_xxxxxx_xyyyyyz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 22); 

                auto tg_xxxxxx_xyyyyzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 23); 

                auto tg_xxxxxx_xyyyzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 24); 

                auto tg_xxxxxx_xyyzzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 25); 

                auto tg_xxxxxx_xyzzzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 26); 

                auto tg_xxxxxx_xzzzzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 27); 

                auto tg_xxxxxx_yyyyyyy_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 28); 

                auto tg_xxxxxx_yyyyyyz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 29); 

                auto tg_xxxxxx_yyyyyzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 30); 

                auto tg_xxxxxx_yyyyzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 31); 

                auto tg_xxxxxx_yyyzzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 32); 

                auto tg_xxxxxx_yyzzzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 33); 

                auto tg_xxxxxx_yzzzzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 34); 

                auto tg_xxxxxx_zzzzzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 35); 

                auto tg_xxxxxy_xxxxxxx_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 36); 

                auto tg_xxxxxy_xxxxxxy_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 37); 

                auto tg_xxxxxy_xxxxxxz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 38); 

                auto tg_xxxxxy_xxxxxyy_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 39); 

                auto tg_xxxxxy_xxxxxyz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 40); 

                auto tg_xxxxxy_xxxxxzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 41); 

                auto tg_xxxxxy_xxxxyyy_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 42); 

                auto tg_xxxxxy_xxxxyyz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 43); 

                auto tg_xxxxxy_xxxxyzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 44); 

                auto tg_xxxxxy_xxxxzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 45); 

                auto tg_xxxxxy_xxxyyyy_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 46); 

                auto tg_xxxxxy_xxxyyyz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 47); 

                auto tg_xxxxxy_xxxyyzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 48); 

                auto tg_xxxxxy_xxxyzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 49); 

                auto tg_xxxxxy_xxxzzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 50); 

                auto tg_xxxxxy_xxyyyyy_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 51); 

                auto tg_xxxxxy_xxyyyyz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 52); 

                auto tg_xxxxxy_xxyyyzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 53); 

                auto tg_xxxxxy_xxyyzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 54); 

                auto tg_xxxxxy_xxyzzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 55); 

                auto tg_xxxxxy_xxzzzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 56); 

                auto tg_xxxxxy_xyyyyyy_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 57); 

                auto tg_xxxxxy_xyyyyyz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 58); 

                auto tg_xxxxxy_xyyyyzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 59); 

                auto tg_xxxxxy_xyyyzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 60); 

                auto tg_xxxxxy_xyyzzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 61); 

                auto tg_xxxxxy_xyzzzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 62); 

                auto tg_xxxxxy_xzzzzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 63); 

                auto tg_xxxxxy_yyyyyyy_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 64); 

                auto tg_xxxxxy_yyyyyyz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 65); 

                auto tg_xxxxxy_yyyyyzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 66); 

                auto tg_xxxxxy_yyyyzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 67); 

                auto tg_xxxxxy_yyyzzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 68); 

                auto tg_xxxxxy_yyzzzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 69); 

                auto tg_xxxxxy_yzzzzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 70); 

                auto tg_xxxxxy_zzzzzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 71); 

                auto tg_xxxxxz_xxxxxxx_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 72); 

                auto tg_xxxxxz_xxxxxxy_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 73); 

                auto tg_xxxxxz_xxxxxxz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 74); 

                auto tg_xxxxxz_xxxxxyy_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 75); 

                auto tg_xxxxxz_xxxxxyz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 76); 

                auto tg_xxxxxz_xxxxxzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 77); 

                auto tg_xxxxxz_xxxxyyy_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 78); 

                auto tg_xxxxxz_xxxxyyz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 79); 

                auto tg_xxxxxz_xxxxyzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 80); 

                auto tg_xxxxxz_xxxxzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 81); 

                auto tg_xxxxxz_xxxyyyy_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 82); 

                auto tg_xxxxxz_xxxyyyz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 83); 

                auto tg_xxxxxz_xxxyyzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 84); 

                auto tg_xxxxxz_xxxyzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 85); 

                auto tg_xxxxxz_xxxzzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 86); 

                auto tg_xxxxxz_xxyyyyy_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 87); 

                auto tg_xxxxxz_xxyyyyz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 88); 

                auto tg_xxxxxz_xxyyyzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 89); 

                auto tg_xxxxxz_xxyyzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 90); 

                auto tg_xxxxxz_xxyzzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 91); 

                auto tg_xxxxxz_xxzzzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 92); 

                auto tg_xxxxxz_xyyyyyy_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 93); 

                auto tg_xxxxxz_xyyyyyz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 94); 

                auto tg_xxxxxz_xyyyyzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 95); 

                auto tg_xxxxxx_xxxxxxx_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx); 

                auto tg_xxxxxx_xxxxxxy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 1); 

                auto tg_xxxxxx_xxxxxxz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 2); 

                auto tg_xxxxxx_xxxxxyy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 3); 

                auto tg_xxxxxx_xxxxxyz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 4); 

                auto tg_xxxxxx_xxxxxzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 5); 

                auto tg_xxxxxx_xxxxyyy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 6); 

                auto tg_xxxxxx_xxxxyyz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 7); 

                auto tg_xxxxxx_xxxxyzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 8); 

                auto tg_xxxxxx_xxxxzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 9); 

                auto tg_xxxxxx_xxxyyyy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 10); 

                auto tg_xxxxxx_xxxyyyz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 11); 

                auto tg_xxxxxx_xxxyyzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 12); 

                auto tg_xxxxxx_xxxyzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 13); 

                auto tg_xxxxxx_xxxzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 14); 

                auto tg_xxxxxx_xxyyyyy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 15); 

                auto tg_xxxxxx_xxyyyyz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 16); 

                auto tg_xxxxxx_xxyyyzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 17); 

                auto tg_xxxxxx_xxyyzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 18); 

                auto tg_xxxxxx_xxyzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 19); 

                auto tg_xxxxxx_xxzzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 20); 

                auto tg_xxxxxx_xyyyyyy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 21); 

                auto tg_xxxxxx_xyyyyyz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 22); 

                auto tg_xxxxxx_xyyyyzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 23); 

                auto tg_xxxxxx_xyyyzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 24); 

                auto tg_xxxxxx_xyyzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 25); 

                auto tg_xxxxxx_xyzzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 26); 

                auto tg_xxxxxx_xzzzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 27); 

                auto tg_xxxxxx_yyyyyyy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 28); 

                auto tg_xxxxxx_yyyyyyz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 29); 

                auto tg_xxxxxx_yyyyyzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 30); 

                auto tg_xxxxxx_yyyyzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 31); 

                auto tg_xxxxxx_yyyzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 32); 

                auto tg_xxxxxx_yyzzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 33); 

                auto tg_xxxxxx_yzzzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 34); 

                auto tg_xxxxxx_zzzzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 35); 

                auto tg_xxxxxy_xxxxxxx_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 36); 

                auto tg_xxxxxy_xxxxxxy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 37); 

                auto tg_xxxxxy_xxxxxxz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 38); 

                auto tg_xxxxxy_xxxxxyy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 39); 

                auto tg_xxxxxy_xxxxxyz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 40); 

                auto tg_xxxxxy_xxxxxzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 41); 

                auto tg_xxxxxy_xxxxyyy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 42); 

                auto tg_xxxxxy_xxxxyyz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 43); 

                auto tg_xxxxxy_xxxxyzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 44); 

                auto tg_xxxxxy_xxxxzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 45); 

                auto tg_xxxxxy_xxxyyyy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 46); 

                auto tg_xxxxxy_xxxyyyz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 47); 

                auto tg_xxxxxy_xxxyyzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 48); 

                auto tg_xxxxxy_xxxyzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 49); 

                auto tg_xxxxxy_xxxzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 50); 

                auto tg_xxxxxy_xxyyyyy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 51); 

                auto tg_xxxxxy_xxyyyyz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 52); 

                auto tg_xxxxxy_xxyyyzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 53); 

                auto tg_xxxxxy_xxyyzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 54); 

                auto tg_xxxxxy_xxyzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 55); 

                auto tg_xxxxxy_xxzzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 56); 

                auto tg_xxxxxy_xyyyyyy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 57); 

                auto tg_xxxxxy_xyyyyyz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 58); 

                auto tg_xxxxxy_xyyyyzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 59); 

                auto tg_xxxxxy_xyyyzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 60); 

                auto tg_xxxxxy_xyyzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 61); 

                auto tg_xxxxxy_xyzzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 62); 

                auto tg_xxxxxy_xzzzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 63); 

                auto tg_xxxxxy_yyyyyyy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 64); 

                auto tg_xxxxxy_yyyyyyz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 65); 

                auto tg_xxxxxy_yyyyyzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 66); 

                auto tg_xxxxxy_yyyyzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 67); 

                auto tg_xxxxxy_yyyzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 68); 

                auto tg_xxxxxy_yyzzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 69); 

                auto tg_xxxxxy_yzzzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 70); 

                auto tg_xxxxxy_zzzzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 71); 

                auto tg_xxxxxz_xxxxxxx_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 72); 

                auto tg_xxxxxz_xxxxxxy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 73); 

                auto tg_xxxxxz_xxxxxxz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 74); 

                auto tg_xxxxxz_xxxxxyy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 75); 

                auto tg_xxxxxz_xxxxxyz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 76); 

                auto tg_xxxxxz_xxxxxzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 77); 

                auto tg_xxxxxz_xxxxyyy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 78); 

                auto tg_xxxxxz_xxxxyyz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 79); 

                auto tg_xxxxxz_xxxxyzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 80); 

                auto tg_xxxxxz_xxxxzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 81); 

                auto tg_xxxxxz_xxxyyyy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 82); 

                auto tg_xxxxxz_xxxyyyz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 83); 

                auto tg_xxxxxz_xxxyyzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 84); 

                auto tg_xxxxxz_xxxyzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 85); 

                auto tg_xxxxxz_xxxzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 86); 

                auto tg_xxxxxz_xxyyyyy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 87); 

                auto tg_xxxxxz_xxyyyyz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 88); 

                auto tg_xxxxxz_xxyyyzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 89); 

                auto tg_xxxxxz_xxyyzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 90); 

                auto tg_xxxxxz_xxyzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 91); 

                auto tg_xxxxxz_xxzzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 92); 

                auto tg_xxxxxz_xyyyyyy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 93); 

                auto tg_xxxxxz_xyyyyyz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 94); 

                auto tg_xxxxxz_xyyyyzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 95); 

                auto tg_xxxxxxx_xxxxxx_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx); 

                auto tg_xxxxxxx_xxxxxy_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 1); 

                auto tg_xxxxxxx_xxxxxz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 2); 

                auto tg_xxxxxxx_xxxxyy_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 3); 

                auto tg_xxxxxxx_xxxxyz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 4); 

                auto tg_xxxxxxx_xxxxzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 5); 

                auto tg_xxxxxxx_xxxyyy_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 6); 

                auto tg_xxxxxxx_xxxyyz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 7); 

                auto tg_xxxxxxx_xxxyzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 8); 

                auto tg_xxxxxxx_xxxzzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 9); 

                auto tg_xxxxxxx_xxyyyy_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 10); 

                auto tg_xxxxxxx_xxyyyz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 11); 

                auto tg_xxxxxxx_xxyyzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 12); 

                auto tg_xxxxxxx_xxyzzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 13); 

                auto tg_xxxxxxx_xxzzzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 14); 

                auto tg_xxxxxxx_xyyyyy_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 15); 

                auto tg_xxxxxxx_xyyyyz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 16); 

                auto tg_xxxxxxx_xyyyzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 17); 

                auto tg_xxxxxxx_xyyzzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 18); 

                auto tg_xxxxxxx_xyzzzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 19); 

                auto tg_xxxxxxx_xzzzzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 20); 

                auto tg_xxxxxxx_yyyyyy_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 21); 

                auto tg_xxxxxxx_yyyyyz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 22); 

                auto tg_xxxxxxx_yyyyzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 23); 

                auto tg_xxxxxxx_yyyzzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 24); 

                auto tg_xxxxxxx_yyzzzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 25); 

                auto tg_xxxxxxx_yzzzzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 26); 

                auto tg_xxxxxxx_zzzzzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 27); 

                auto tg_xxxxxxy_xxxxxx_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 28); 

                auto tg_xxxxxxy_xxxxxy_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 29); 

                auto tg_xxxxxxy_xxxxxz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 30); 

                auto tg_xxxxxxy_xxxxyy_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 31); 

                auto tg_xxxxxxy_xxxxyz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 32); 

                auto tg_xxxxxxy_xxxxzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 33); 

                auto tg_xxxxxxy_xxxyyy_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 34); 

                auto tg_xxxxxxy_xxxyyz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 35); 

                auto tg_xxxxxxy_xxxyzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 36); 

                auto tg_xxxxxxy_xxxzzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 37); 

                auto tg_xxxxxxy_xxyyyy_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 38); 

                auto tg_xxxxxxy_xxyyyz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 39); 

                auto tg_xxxxxxy_xxyyzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 40); 

                auto tg_xxxxxxy_xxyzzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 41); 

                auto tg_xxxxxxy_xxzzzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 42); 

                auto tg_xxxxxxy_xyyyyy_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 43); 

                auto tg_xxxxxxy_xyyyyz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 44); 

                auto tg_xxxxxxy_xyyyzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 45); 

                auto tg_xxxxxxy_xyyzzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 46); 

                auto tg_xxxxxxy_xyzzzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 47); 

                auto tg_xxxxxxy_xzzzzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 48); 

                auto tg_xxxxxxy_yyyyyy_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 49); 

                auto tg_xxxxxxy_yyyyyz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 50); 

                auto tg_xxxxxxy_yyyyzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 51); 

                auto tg_xxxxxxy_yyyzzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 52); 

                auto tg_xxxxxxy_yyzzzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 53); 

                auto tg_xxxxxxy_yzzzzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 54); 

                auto tg_xxxxxxy_zzzzzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 55); 

                auto tg_xxxxxxz_xxxxxx_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 56); 

                auto tg_xxxxxxz_xxxxxy_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 57); 

                auto tg_xxxxxxz_xxxxxz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 58); 

                auto tg_xxxxxxz_xxxxyy_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 59); 

                auto tg_xxxxxxz_xxxxyz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 60); 

                auto tg_xxxxxxz_xxxxzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 61); 

                auto tg_xxxxxxz_xxxyyy_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 62); 

                auto tg_xxxxxxz_xxxyyz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 63); 

                auto tg_xxxxxxz_xxxyzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 64); 

                auto tg_xxxxxxz_xxxzzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 65); 

                auto tg_xxxxxxz_xxyyyy_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 66); 

                auto tg_xxxxxxz_xxyyyz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 67); 

                auto tg_xxxxxxz_xxyyzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 68); 

                auto tg_xxxxxxz_xxyzzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 69); 

                auto tg_xxxxxxz_xxzzzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 70); 

                auto tg_xxxxxxz_xyyyyy_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 71); 

                auto tg_xxxxxxz_xyyyyz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 72); 

                auto tg_xxxxxxz_xyyyzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 73); 

                auto tg_xxxxxxz_xyyzzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 74); 

                auto tg_xxxxxxz_xyzzzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 75); 

                auto tg_xxxxxxz_xzzzzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 76); 

                auto tg_xxxxxxz_yyyyyy_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 77); 

                auto tg_xxxxxxz_yyyyyz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 78); 

                auto tg_xxxxxxz_yyyyzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 79); 

                // set up pointers to integrals

                auto tg_xxxxxxxx_xxxxxxx_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx); 

                auto tg_xxxxxxxx_xxxxxxy_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1); 

                auto tg_xxxxxxxx_xxxxxxz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 2); 

                auto tg_xxxxxxxx_xxxxxyy_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 3); 

                auto tg_xxxxxxxx_xxxxxyz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 4); 

                auto tg_xxxxxxxx_xxxxxzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 5); 

                auto tg_xxxxxxxx_xxxxyyy_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 6); 

                auto tg_xxxxxxxx_xxxxyyz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 7); 

                auto tg_xxxxxxxx_xxxxyzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 8); 

                auto tg_xxxxxxxx_xxxxzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 9); 

                auto tg_xxxxxxxx_xxxyyyy_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 10); 

                auto tg_xxxxxxxx_xxxyyyz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 11); 

                auto tg_xxxxxxxx_xxxyyzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 12); 

                auto tg_xxxxxxxx_xxxyzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 13); 

                auto tg_xxxxxxxx_xxxzzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 14); 

                auto tg_xxxxxxxx_xxyyyyy_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 15); 

                auto tg_xxxxxxxx_xxyyyyz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 16); 

                auto tg_xxxxxxxx_xxyyyzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 17); 

                auto tg_xxxxxxxx_xxyyzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 18); 

                auto tg_xxxxxxxx_xxyzzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 19); 

                auto tg_xxxxxxxx_xxzzzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 20); 

                auto tg_xxxxxxxx_xyyyyyy_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 21); 

                auto tg_xxxxxxxx_xyyyyyz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 22); 

                auto tg_xxxxxxxx_xyyyyzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 23); 

                auto tg_xxxxxxxx_xyyyzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 24); 

                auto tg_xxxxxxxx_xyyzzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 25); 

                auto tg_xxxxxxxx_xyzzzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 26); 

                auto tg_xxxxxxxx_xzzzzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 27); 

                auto tg_xxxxxxxx_yyyyyyy_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 28); 

                auto tg_xxxxxxxx_yyyyyyz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 29); 

                auto tg_xxxxxxxx_yyyyyzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 30); 

                auto tg_xxxxxxxx_yyyyzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 31); 

                auto tg_xxxxxxxx_yyyzzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 32); 

                auto tg_xxxxxxxx_yyzzzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 33); 

                auto tg_xxxxxxxx_yzzzzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 34); 

                auto tg_xxxxxxxx_zzzzzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 35); 

                auto tg_xxxxxxxy_xxxxxxx_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 36); 

                auto tg_xxxxxxxy_xxxxxxy_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 37); 

                auto tg_xxxxxxxy_xxxxxxz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 38); 

                auto tg_xxxxxxxy_xxxxxyy_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 39); 

                auto tg_xxxxxxxy_xxxxxyz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 40); 

                auto tg_xxxxxxxy_xxxxxzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 41); 

                auto tg_xxxxxxxy_xxxxyyy_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 42); 

                auto tg_xxxxxxxy_xxxxyyz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 43); 

                auto tg_xxxxxxxy_xxxxyzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 44); 

                auto tg_xxxxxxxy_xxxxzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 45); 

                auto tg_xxxxxxxy_xxxyyyy_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 46); 

                auto tg_xxxxxxxy_xxxyyyz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 47); 

                auto tg_xxxxxxxy_xxxyyzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 48); 

                auto tg_xxxxxxxy_xxxyzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 49); 

                auto tg_xxxxxxxy_xxxzzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 50); 

                auto tg_xxxxxxxy_xxyyyyy_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 51); 

                auto tg_xxxxxxxy_xxyyyyz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 52); 

                auto tg_xxxxxxxy_xxyyyzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 53); 

                auto tg_xxxxxxxy_xxyyzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 54); 

                auto tg_xxxxxxxy_xxyzzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 55); 

                auto tg_xxxxxxxy_xxzzzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 56); 

                auto tg_xxxxxxxy_xyyyyyy_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 57); 

                auto tg_xxxxxxxy_xyyyyyz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 58); 

                auto tg_xxxxxxxy_xyyyyzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 59); 

                auto tg_xxxxxxxy_xyyyzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 60); 

                auto tg_xxxxxxxy_xyyzzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 61); 

                auto tg_xxxxxxxy_xyzzzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 62); 

                auto tg_xxxxxxxy_xzzzzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 63); 

                auto tg_xxxxxxxy_yyyyyyy_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 64); 

                auto tg_xxxxxxxy_yyyyyyz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 65); 

                auto tg_xxxxxxxy_yyyyyzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 66); 

                auto tg_xxxxxxxy_yyyyzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 67); 

                auto tg_xxxxxxxy_yyyzzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 68); 

                auto tg_xxxxxxxy_yyzzzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 69); 

                auto tg_xxxxxxxy_yzzzzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 70); 

                auto tg_xxxxxxxy_zzzzzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 71); 

                auto tg_xxxxxxxz_xxxxxxx_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 72); 

                auto tg_xxxxxxxz_xxxxxxy_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 73); 

                auto tg_xxxxxxxz_xxxxxxz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 74); 

                auto tg_xxxxxxxz_xxxxxyy_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 75); 

                auto tg_xxxxxxxz_xxxxxyz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 76); 

                auto tg_xxxxxxxz_xxxxxzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 77); 

                auto tg_xxxxxxxz_xxxxyyy_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 78); 

                auto tg_xxxxxxxz_xxxxyyz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 79); 

                auto tg_xxxxxxxz_xxxxyzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 80); 

                auto tg_xxxxxxxz_xxxxzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 81); 

                auto tg_xxxxxxxz_xxxyyyy_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 82); 

                auto tg_xxxxxxxz_xxxyyyz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 83); 

                auto tg_xxxxxxxz_xxxyyzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 84); 

                auto tg_xxxxxxxz_xxxyzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 85); 

                auto tg_xxxxxxxz_xxxzzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 86); 

                auto tg_xxxxxxxz_xxyyyyy_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 87); 

                auto tg_xxxxxxxz_xxyyyyz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 88); 

                auto tg_xxxxxxxz_xxyyyzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 89); 

                auto tg_xxxxxxxz_xxyyzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 90); 

                auto tg_xxxxxxxz_xxyzzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 91); 

                auto tg_xxxxxxxz_xxzzzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 92); 

                auto tg_xxxxxxxz_xyyyyyy_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 93); 

                auto tg_xxxxxxxz_xyyyyyz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 94); 

                auto tg_xxxxxxxz_xyyyyzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 95); 

                // Batch of Integrals (0,96)

                #pragma omp simd aligned(fxn, fza, tg_xxxxxx_xxxxxxx_0, tg_xxxxxx_xxxxxxx_1, \
                                         tg_xxxxxx_xxxxxxy_0, tg_xxxxxx_xxxxxxy_1, tg_xxxxxx_xxxxxxz_0, tg_xxxxxx_xxxxxxz_1, \
                                         tg_xxxxxx_xxxxxyy_0, tg_xxxxxx_xxxxxyy_1, tg_xxxxxx_xxxxxyz_0, tg_xxxxxx_xxxxxyz_1, \
                                         tg_xxxxxx_xxxxxzz_0, tg_xxxxxx_xxxxxzz_1, tg_xxxxxx_xxxxyyy_0, tg_xxxxxx_xxxxyyy_1, \
                                         tg_xxxxxx_xxxxyyz_0, tg_xxxxxx_xxxxyyz_1, tg_xxxxxx_xxxxyzz_0, tg_xxxxxx_xxxxyzz_1, \
                                         tg_xxxxxx_xxxxzzz_0, tg_xxxxxx_xxxxzzz_1, tg_xxxxxx_xxxyyyy_0, tg_xxxxxx_xxxyyyy_1, \
                                         tg_xxxxxx_xxxyyyz_0, tg_xxxxxx_xxxyyyz_1, tg_xxxxxx_xxxyyzz_0, tg_xxxxxx_xxxyyzz_1, \
                                         tg_xxxxxx_xxxyzzz_0, tg_xxxxxx_xxxyzzz_1, tg_xxxxxx_xxxzzzz_0, tg_xxxxxx_xxxzzzz_1, \
                                         tg_xxxxxx_xxyyyyy_0, tg_xxxxxx_xxyyyyy_1, tg_xxxxxx_xxyyyyz_0, tg_xxxxxx_xxyyyyz_1, \
                                         tg_xxxxxx_xxyyyzz_0, tg_xxxxxx_xxyyyzz_1, tg_xxxxxx_xxyyzzz_0, tg_xxxxxx_xxyyzzz_1, \
                                         tg_xxxxxx_xxyzzzz_0, tg_xxxxxx_xxyzzzz_1, tg_xxxxxx_xxzzzzz_0, tg_xxxxxx_xxzzzzz_1, \
                                         tg_xxxxxx_xyyyyyy_0, tg_xxxxxx_xyyyyyy_1, tg_xxxxxx_xyyyyyz_0, tg_xxxxxx_xyyyyyz_1, \
                                         tg_xxxxxx_xyyyyzz_0, tg_xxxxxx_xyyyyzz_1, tg_xxxxxx_xyyyzzz_0, tg_xxxxxx_xyyyzzz_1, \
                                         tg_xxxxxx_xyyzzzz_0, tg_xxxxxx_xyyzzzz_1, tg_xxxxxx_xyzzzzz_0, tg_xxxxxx_xyzzzzz_1, \
                                         tg_xxxxxx_xzzzzzz_0, tg_xxxxxx_xzzzzzz_1, tg_xxxxxx_yyyyyyy_0, tg_xxxxxx_yyyyyyy_1, \
                                         tg_xxxxxx_yyyyyyz_0, tg_xxxxxx_yyyyyyz_1, tg_xxxxxx_yyyyyzz_0, tg_xxxxxx_yyyyyzz_1, \
                                         tg_xxxxxx_yyyyzzz_0, tg_xxxxxx_yyyyzzz_1, tg_xxxxxx_yyyzzzz_0, tg_xxxxxx_yyyzzzz_1, \
                                         tg_xxxxxx_yyzzzzz_0, tg_xxxxxx_yyzzzzz_1, tg_xxxxxx_yzzzzzz_0, tg_xxxxxx_yzzzzzz_1, \
                                         tg_xxxxxx_zzzzzzz_0, tg_xxxxxx_zzzzzzz_1, tg_xxxxxxx_xxxxxx_1, tg_xxxxxxx_xxxxxxx_0, \
                                         tg_xxxxxxx_xxxxxxx_1, tg_xxxxxxx_xxxxxxy_0, tg_xxxxxxx_xxxxxxy_1, tg_xxxxxxx_xxxxxxz_0, \
                                         tg_xxxxxxx_xxxxxxz_1, tg_xxxxxxx_xxxxxy_1, tg_xxxxxxx_xxxxxyy_0, tg_xxxxxxx_xxxxxyy_1, \
                                         tg_xxxxxxx_xxxxxyz_0, tg_xxxxxxx_xxxxxyz_1, tg_xxxxxxx_xxxxxz_1, tg_xxxxxxx_xxxxxzz_0, \
                                         tg_xxxxxxx_xxxxxzz_1, tg_xxxxxxx_xxxxyy_1, tg_xxxxxxx_xxxxyyy_0, tg_xxxxxxx_xxxxyyy_1, \
                                         tg_xxxxxxx_xxxxyyz_0, tg_xxxxxxx_xxxxyyz_1, tg_xxxxxxx_xxxxyz_1, tg_xxxxxxx_xxxxyzz_0, \
                                         tg_xxxxxxx_xxxxyzz_1, tg_xxxxxxx_xxxxzz_1, tg_xxxxxxx_xxxxzzz_0, tg_xxxxxxx_xxxxzzz_1, \
                                         tg_xxxxxxx_xxxyyy_1, tg_xxxxxxx_xxxyyyy_0, tg_xxxxxxx_xxxyyyy_1, tg_xxxxxxx_xxxyyyz_0, \
                                         tg_xxxxxxx_xxxyyyz_1, tg_xxxxxxx_xxxyyz_1, tg_xxxxxxx_xxxyyzz_0, tg_xxxxxxx_xxxyyzz_1, \
                                         tg_xxxxxxx_xxxyzz_1, tg_xxxxxxx_xxxyzzz_0, tg_xxxxxxx_xxxyzzz_1, tg_xxxxxxx_xxxzzz_1, \
                                         tg_xxxxxxx_xxxzzzz_0, tg_xxxxxxx_xxxzzzz_1, tg_xxxxxxx_xxyyyy_1, tg_xxxxxxx_xxyyyyy_0, \
                                         tg_xxxxxxx_xxyyyyy_1, tg_xxxxxxx_xxyyyyz_0, tg_xxxxxxx_xxyyyyz_1, tg_xxxxxxx_xxyyyz_1, \
                                         tg_xxxxxxx_xxyyyzz_0, tg_xxxxxxx_xxyyyzz_1, tg_xxxxxxx_xxyyzz_1, tg_xxxxxxx_xxyyzzz_0, \
                                         tg_xxxxxxx_xxyyzzz_1, tg_xxxxxxx_xxyzzz_1, tg_xxxxxxx_xxyzzzz_0, tg_xxxxxxx_xxyzzzz_1, \
                                         tg_xxxxxxx_xxzzzz_1, tg_xxxxxxx_xxzzzzz_0, tg_xxxxxxx_xxzzzzz_1, tg_xxxxxxx_xyyyyy_1, \
                                         tg_xxxxxxx_xyyyyyy_0, tg_xxxxxxx_xyyyyyy_1, tg_xxxxxxx_xyyyyyz_0, tg_xxxxxxx_xyyyyyz_1, \
                                         tg_xxxxxxx_xyyyyz_1, tg_xxxxxxx_xyyyyzz_0, tg_xxxxxxx_xyyyyzz_1, tg_xxxxxxx_xyyyzz_1, \
                                         tg_xxxxxxx_xyyyzzz_0, tg_xxxxxxx_xyyyzzz_1, tg_xxxxxxx_xyyzzz_1, tg_xxxxxxx_xyyzzzz_0, \
                                         tg_xxxxxxx_xyyzzzz_1, tg_xxxxxxx_xyzzzz_1, tg_xxxxxxx_xyzzzzz_0, tg_xxxxxxx_xyzzzzz_1, \
                                         tg_xxxxxxx_xzzzzz_1, tg_xxxxxxx_xzzzzzz_0, tg_xxxxxxx_xzzzzzz_1, tg_xxxxxxx_yyyyyy_1, \
                                         tg_xxxxxxx_yyyyyyy_0, tg_xxxxxxx_yyyyyyy_1, tg_xxxxxxx_yyyyyyz_0, tg_xxxxxxx_yyyyyyz_1, \
                                         tg_xxxxxxx_yyyyyz_1, tg_xxxxxxx_yyyyyzz_0, tg_xxxxxxx_yyyyyzz_1, tg_xxxxxxx_yyyyzz_1, \
                                         tg_xxxxxxx_yyyyzzz_0, tg_xxxxxxx_yyyyzzz_1, tg_xxxxxxx_yyyzzz_1, tg_xxxxxxx_yyyzzzz_0, \
                                         tg_xxxxxxx_yyyzzzz_1, tg_xxxxxxx_yyzzzz_1, tg_xxxxxxx_yyzzzzz_0, tg_xxxxxxx_yyzzzzz_1, \
                                         tg_xxxxxxx_yzzzzz_1, tg_xxxxxxx_yzzzzzz_0, tg_xxxxxxx_yzzzzzz_1, tg_xxxxxxx_zzzzzz_1, \
                                         tg_xxxxxxx_zzzzzzz_0, tg_xxxxxxx_zzzzzzz_1, tg_xxxxxxxx_xxxxxxx_0, \
                                         tg_xxxxxxxx_xxxxxxy_0, tg_xxxxxxxx_xxxxxxz_0, tg_xxxxxxxx_xxxxxyy_0, \
                                         tg_xxxxxxxx_xxxxxyz_0, tg_xxxxxxxx_xxxxxzz_0, tg_xxxxxxxx_xxxxyyy_0, \
                                         tg_xxxxxxxx_xxxxyyz_0, tg_xxxxxxxx_xxxxyzz_0, tg_xxxxxxxx_xxxxzzz_0, \
                                         tg_xxxxxxxx_xxxyyyy_0, tg_xxxxxxxx_xxxyyyz_0, tg_xxxxxxxx_xxxyyzz_0, \
                                         tg_xxxxxxxx_xxxyzzz_0, tg_xxxxxxxx_xxxzzzz_0, tg_xxxxxxxx_xxyyyyy_0, \
                                         tg_xxxxxxxx_xxyyyyz_0, tg_xxxxxxxx_xxyyyzz_0, tg_xxxxxxxx_xxyyzzz_0, \
                                         tg_xxxxxxxx_xxyzzzz_0, tg_xxxxxxxx_xxzzzzz_0, tg_xxxxxxxx_xyyyyyy_0, \
                                         tg_xxxxxxxx_xyyyyyz_0, tg_xxxxxxxx_xyyyyzz_0, tg_xxxxxxxx_xyyyzzz_0, \
                                         tg_xxxxxxxx_xyyzzzz_0, tg_xxxxxxxx_xyzzzzz_0, tg_xxxxxxxx_xzzzzzz_0, \
                                         tg_xxxxxxxx_yyyyyyy_0, tg_xxxxxxxx_yyyyyyz_0, tg_xxxxxxxx_yyyyyzz_0, \
                                         tg_xxxxxxxx_yyyyzzz_0, tg_xxxxxxxx_yyyzzzz_0, tg_xxxxxxxx_yyzzzzz_0, \
                                         tg_xxxxxxxx_yzzzzzz_0, tg_xxxxxxxx_zzzzzzz_0, tg_xxxxxxxy_xxxxxxx_0, \
                                         tg_xxxxxxxy_xxxxxxy_0, tg_xxxxxxxy_xxxxxxz_0, tg_xxxxxxxy_xxxxxyy_0, \
                                         tg_xxxxxxxy_xxxxxyz_0, tg_xxxxxxxy_xxxxxzz_0, tg_xxxxxxxy_xxxxyyy_0, \
                                         tg_xxxxxxxy_xxxxyyz_0, tg_xxxxxxxy_xxxxyzz_0, tg_xxxxxxxy_xxxxzzz_0, \
                                         tg_xxxxxxxy_xxxyyyy_0, tg_xxxxxxxy_xxxyyyz_0, tg_xxxxxxxy_xxxyyzz_0, \
                                         tg_xxxxxxxy_xxxyzzz_0, tg_xxxxxxxy_xxxzzzz_0, tg_xxxxxxxy_xxyyyyy_0, \
                                         tg_xxxxxxxy_xxyyyyz_0, tg_xxxxxxxy_xxyyyzz_0, tg_xxxxxxxy_xxyyzzz_0, \
                                         tg_xxxxxxxy_xxyzzzz_0, tg_xxxxxxxy_xxzzzzz_0, tg_xxxxxxxy_xyyyyyy_0, \
                                         tg_xxxxxxxy_xyyyyyz_0, tg_xxxxxxxy_xyyyyzz_0, tg_xxxxxxxy_xyyyzzz_0, \
                                         tg_xxxxxxxy_xyyzzzz_0, tg_xxxxxxxy_xyzzzzz_0, tg_xxxxxxxy_xzzzzzz_0, \
                                         tg_xxxxxxxy_yyyyyyy_0, tg_xxxxxxxy_yyyyyyz_0, tg_xxxxxxxy_yyyyyzz_0, \
                                         tg_xxxxxxxy_yyyyzzz_0, tg_xxxxxxxy_yyyzzzz_0, tg_xxxxxxxy_yyzzzzz_0, \
                                         tg_xxxxxxxy_yzzzzzz_0, tg_xxxxxxxy_zzzzzzz_0, tg_xxxxxxxz_xxxxxxx_0, \
                                         tg_xxxxxxxz_xxxxxxy_0, tg_xxxxxxxz_xxxxxxz_0, tg_xxxxxxxz_xxxxxyy_0, \
                                         tg_xxxxxxxz_xxxxxyz_0, tg_xxxxxxxz_xxxxxzz_0, tg_xxxxxxxz_xxxxyyy_0, \
                                         tg_xxxxxxxz_xxxxyyz_0, tg_xxxxxxxz_xxxxyzz_0, tg_xxxxxxxz_xxxxzzz_0, \
                                         tg_xxxxxxxz_xxxyyyy_0, tg_xxxxxxxz_xxxyyyz_0, tg_xxxxxxxz_xxxyyzz_0, \
                                         tg_xxxxxxxz_xxxyzzz_0, tg_xxxxxxxz_xxxzzzz_0, tg_xxxxxxxz_xxyyyyy_0, \
                                         tg_xxxxxxxz_xxyyyyz_0, tg_xxxxxxxz_xxyyyzz_0, tg_xxxxxxxz_xxyyzzz_0, \
                                         tg_xxxxxxxz_xxyzzzz_0, tg_xxxxxxxz_xxzzzzz_0, tg_xxxxxxxz_xyyyyyy_0, \
                                         tg_xxxxxxxz_xyyyyyz_0, tg_xxxxxxxz_xyyyyzz_0, tg_xxxxxxy_xxxxxx_1, tg_xxxxxxy_xxxxxxx_0, \
                                         tg_xxxxxxy_xxxxxxx_1, tg_xxxxxxy_xxxxxxy_0, tg_xxxxxxy_xxxxxxy_1, tg_xxxxxxy_xxxxxxz_0, \
                                         tg_xxxxxxy_xxxxxxz_1, tg_xxxxxxy_xxxxxy_1, tg_xxxxxxy_xxxxxyy_0, tg_xxxxxxy_xxxxxyy_1, \
                                         tg_xxxxxxy_xxxxxyz_0, tg_xxxxxxy_xxxxxyz_1, tg_xxxxxxy_xxxxxz_1, tg_xxxxxxy_xxxxxzz_0, \
                                         tg_xxxxxxy_xxxxxzz_1, tg_xxxxxxy_xxxxyy_1, tg_xxxxxxy_xxxxyyy_0, tg_xxxxxxy_xxxxyyy_1, \
                                         tg_xxxxxxy_xxxxyyz_0, tg_xxxxxxy_xxxxyyz_1, tg_xxxxxxy_xxxxyz_1, tg_xxxxxxy_xxxxyzz_0, \
                                         tg_xxxxxxy_xxxxyzz_1, tg_xxxxxxy_xxxxzz_1, tg_xxxxxxy_xxxxzzz_0, tg_xxxxxxy_xxxxzzz_1, \
                                         tg_xxxxxxy_xxxyyy_1, tg_xxxxxxy_xxxyyyy_0, tg_xxxxxxy_xxxyyyy_1, tg_xxxxxxy_xxxyyyz_0, \
                                         tg_xxxxxxy_xxxyyyz_1, tg_xxxxxxy_xxxyyz_1, tg_xxxxxxy_xxxyyzz_0, tg_xxxxxxy_xxxyyzz_1, \
                                         tg_xxxxxxy_xxxyzz_1, tg_xxxxxxy_xxxyzzz_0, tg_xxxxxxy_xxxyzzz_1, tg_xxxxxxy_xxxzzz_1, \
                                         tg_xxxxxxy_xxxzzzz_0, tg_xxxxxxy_xxxzzzz_1, tg_xxxxxxy_xxyyyy_1, tg_xxxxxxy_xxyyyyy_0, \
                                         tg_xxxxxxy_xxyyyyy_1, tg_xxxxxxy_xxyyyyz_0, tg_xxxxxxy_xxyyyyz_1, tg_xxxxxxy_xxyyyz_1, \
                                         tg_xxxxxxy_xxyyyzz_0, tg_xxxxxxy_xxyyyzz_1, tg_xxxxxxy_xxyyzz_1, tg_xxxxxxy_xxyyzzz_0, \
                                         tg_xxxxxxy_xxyyzzz_1, tg_xxxxxxy_xxyzzz_1, tg_xxxxxxy_xxyzzzz_0, tg_xxxxxxy_xxyzzzz_1, \
                                         tg_xxxxxxy_xxzzzz_1, tg_xxxxxxy_xxzzzzz_0, tg_xxxxxxy_xxzzzzz_1, tg_xxxxxxy_xyyyyy_1, \
                                         tg_xxxxxxy_xyyyyyy_0, tg_xxxxxxy_xyyyyyy_1, tg_xxxxxxy_xyyyyyz_0, tg_xxxxxxy_xyyyyyz_1, \
                                         tg_xxxxxxy_xyyyyz_1, tg_xxxxxxy_xyyyyzz_0, tg_xxxxxxy_xyyyyzz_1, tg_xxxxxxy_xyyyzz_1, \
                                         tg_xxxxxxy_xyyyzzz_0, tg_xxxxxxy_xyyyzzz_1, tg_xxxxxxy_xyyzzz_1, tg_xxxxxxy_xyyzzzz_0, \
                                         tg_xxxxxxy_xyyzzzz_1, tg_xxxxxxy_xyzzzz_1, tg_xxxxxxy_xyzzzzz_0, tg_xxxxxxy_xyzzzzz_1, \
                                         tg_xxxxxxy_xzzzzz_1, tg_xxxxxxy_xzzzzzz_0, tg_xxxxxxy_xzzzzzz_1, tg_xxxxxxy_yyyyyy_1, \
                                         tg_xxxxxxy_yyyyyyy_0, tg_xxxxxxy_yyyyyyy_1, tg_xxxxxxy_yyyyyyz_0, tg_xxxxxxy_yyyyyyz_1, \
                                         tg_xxxxxxy_yyyyyz_1, tg_xxxxxxy_yyyyyzz_0, tg_xxxxxxy_yyyyyzz_1, tg_xxxxxxy_yyyyzz_1, \
                                         tg_xxxxxxy_yyyyzzz_0, tg_xxxxxxy_yyyyzzz_1, tg_xxxxxxy_yyyzzz_1, tg_xxxxxxy_yyyzzzz_0, \
                                         tg_xxxxxxy_yyyzzzz_1, tg_xxxxxxy_yyzzzz_1, tg_xxxxxxy_yyzzzzz_0, tg_xxxxxxy_yyzzzzz_1, \
                                         tg_xxxxxxy_yzzzzz_1, tg_xxxxxxy_yzzzzzz_0, tg_xxxxxxy_yzzzzzz_1, tg_xxxxxxy_zzzzzz_1, \
                                         tg_xxxxxxy_zzzzzzz_0, tg_xxxxxxy_zzzzzzz_1, tg_xxxxxxz_xxxxxx_1, tg_xxxxxxz_xxxxxxx_0, \
                                         tg_xxxxxxz_xxxxxxx_1, tg_xxxxxxz_xxxxxxy_0, tg_xxxxxxz_xxxxxxy_1, tg_xxxxxxz_xxxxxxz_0, \
                                         tg_xxxxxxz_xxxxxxz_1, tg_xxxxxxz_xxxxxy_1, tg_xxxxxxz_xxxxxyy_0, tg_xxxxxxz_xxxxxyy_1, \
                                         tg_xxxxxxz_xxxxxyz_0, tg_xxxxxxz_xxxxxyz_1, tg_xxxxxxz_xxxxxz_1, tg_xxxxxxz_xxxxxzz_0, \
                                         tg_xxxxxxz_xxxxxzz_1, tg_xxxxxxz_xxxxyy_1, tg_xxxxxxz_xxxxyyy_0, tg_xxxxxxz_xxxxyyy_1, \
                                         tg_xxxxxxz_xxxxyyz_0, tg_xxxxxxz_xxxxyyz_1, tg_xxxxxxz_xxxxyz_1, tg_xxxxxxz_xxxxyzz_0, \
                                         tg_xxxxxxz_xxxxyzz_1, tg_xxxxxxz_xxxxzz_1, tg_xxxxxxz_xxxxzzz_0, tg_xxxxxxz_xxxxzzz_1, \
                                         tg_xxxxxxz_xxxyyy_1, tg_xxxxxxz_xxxyyyy_0, tg_xxxxxxz_xxxyyyy_1, tg_xxxxxxz_xxxyyyz_0, \
                                         tg_xxxxxxz_xxxyyyz_1, tg_xxxxxxz_xxxyyz_1, tg_xxxxxxz_xxxyyzz_0, tg_xxxxxxz_xxxyyzz_1, \
                                         tg_xxxxxxz_xxxyzz_1, tg_xxxxxxz_xxxyzzz_0, tg_xxxxxxz_xxxyzzz_1, tg_xxxxxxz_xxxzzz_1, \
                                         tg_xxxxxxz_xxxzzzz_0, tg_xxxxxxz_xxxzzzz_1, tg_xxxxxxz_xxyyyy_1, tg_xxxxxxz_xxyyyyy_0, \
                                         tg_xxxxxxz_xxyyyyy_1, tg_xxxxxxz_xxyyyyz_0, tg_xxxxxxz_xxyyyyz_1, tg_xxxxxxz_xxyyyz_1, \
                                         tg_xxxxxxz_xxyyyzz_0, tg_xxxxxxz_xxyyyzz_1, tg_xxxxxxz_xxyyzz_1, tg_xxxxxxz_xxyyzzz_0, \
                                         tg_xxxxxxz_xxyyzzz_1, tg_xxxxxxz_xxyzzz_1, tg_xxxxxxz_xxyzzzz_0, tg_xxxxxxz_xxyzzzz_1, \
                                         tg_xxxxxxz_xxzzzz_1, tg_xxxxxxz_xxzzzzz_0, tg_xxxxxxz_xxzzzzz_1, tg_xxxxxxz_xyyyyy_1, \
                                         tg_xxxxxxz_xyyyyyy_0, tg_xxxxxxz_xyyyyyy_1, tg_xxxxxxz_xyyyyyz_0, tg_xxxxxxz_xyyyyyz_1, \
                                         tg_xxxxxxz_xyyyyz_1, tg_xxxxxxz_xyyyyzz_0, tg_xxxxxxz_xyyyyzz_1, tg_xxxxxxz_xyyyzz_1, \
                                         tg_xxxxxxz_xyyzzz_1, tg_xxxxxxz_xyzzzz_1, tg_xxxxxxz_xzzzzz_1, tg_xxxxxxz_yyyyyy_1, \
                                         tg_xxxxxxz_yyyyyz_1, tg_xxxxxxz_yyyyzz_1, tg_xxxxxy_xxxxxxx_0, tg_xxxxxy_xxxxxxx_1, \
                                         tg_xxxxxy_xxxxxxy_0, tg_xxxxxy_xxxxxxy_1, tg_xxxxxy_xxxxxxz_0, tg_xxxxxy_xxxxxxz_1, \
                                         tg_xxxxxy_xxxxxyy_0, tg_xxxxxy_xxxxxyy_1, tg_xxxxxy_xxxxxyz_0, tg_xxxxxy_xxxxxyz_1, \
                                         tg_xxxxxy_xxxxxzz_0, tg_xxxxxy_xxxxxzz_1, tg_xxxxxy_xxxxyyy_0, tg_xxxxxy_xxxxyyy_1, \
                                         tg_xxxxxy_xxxxyyz_0, tg_xxxxxy_xxxxyyz_1, tg_xxxxxy_xxxxyzz_0, tg_xxxxxy_xxxxyzz_1, \
                                         tg_xxxxxy_xxxxzzz_0, tg_xxxxxy_xxxxzzz_1, tg_xxxxxy_xxxyyyy_0, tg_xxxxxy_xxxyyyy_1, \
                                         tg_xxxxxy_xxxyyyz_0, tg_xxxxxy_xxxyyyz_1, tg_xxxxxy_xxxyyzz_0, tg_xxxxxy_xxxyyzz_1, \
                                         tg_xxxxxy_xxxyzzz_0, tg_xxxxxy_xxxyzzz_1, tg_xxxxxy_xxxzzzz_0, tg_xxxxxy_xxxzzzz_1, \
                                         tg_xxxxxy_xxyyyyy_0, tg_xxxxxy_xxyyyyy_1, tg_xxxxxy_xxyyyyz_0, tg_xxxxxy_xxyyyyz_1, \
                                         tg_xxxxxy_xxyyyzz_0, tg_xxxxxy_xxyyyzz_1, tg_xxxxxy_xxyyzzz_0, tg_xxxxxy_xxyyzzz_1, \
                                         tg_xxxxxy_xxyzzzz_0, tg_xxxxxy_xxyzzzz_1, tg_xxxxxy_xxzzzzz_0, tg_xxxxxy_xxzzzzz_1, \
                                         tg_xxxxxy_xyyyyyy_0, tg_xxxxxy_xyyyyyy_1, tg_xxxxxy_xyyyyyz_0, tg_xxxxxy_xyyyyyz_1, \
                                         tg_xxxxxy_xyyyyzz_0, tg_xxxxxy_xyyyyzz_1, tg_xxxxxy_xyyyzzz_0, tg_xxxxxy_xyyyzzz_1, \
                                         tg_xxxxxy_xyyzzzz_0, tg_xxxxxy_xyyzzzz_1, tg_xxxxxy_xyzzzzz_0, tg_xxxxxy_xyzzzzz_1, \
                                         tg_xxxxxy_xzzzzzz_0, tg_xxxxxy_xzzzzzz_1, tg_xxxxxy_yyyyyyy_0, tg_xxxxxy_yyyyyyy_1, \
                                         tg_xxxxxy_yyyyyyz_0, tg_xxxxxy_yyyyyyz_1, tg_xxxxxy_yyyyyzz_0, tg_xxxxxy_yyyyyzz_1, \
                                         tg_xxxxxy_yyyyzzz_0, tg_xxxxxy_yyyyzzz_1, tg_xxxxxy_yyyzzzz_0, tg_xxxxxy_yyyzzzz_1, \
                                         tg_xxxxxy_yyzzzzz_0, tg_xxxxxy_yyzzzzz_1, tg_xxxxxy_yzzzzzz_0, tg_xxxxxy_yzzzzzz_1, \
                                         tg_xxxxxy_zzzzzzz_0, tg_xxxxxy_zzzzzzz_1, tg_xxxxxz_xxxxxxx_0, tg_xxxxxz_xxxxxxx_1, \
                                         tg_xxxxxz_xxxxxxy_0, tg_xxxxxz_xxxxxxy_1, tg_xxxxxz_xxxxxxz_0, tg_xxxxxz_xxxxxxz_1, \
                                         tg_xxxxxz_xxxxxyy_0, tg_xxxxxz_xxxxxyy_1, tg_xxxxxz_xxxxxyz_0, tg_xxxxxz_xxxxxyz_1, \
                                         tg_xxxxxz_xxxxxzz_0, tg_xxxxxz_xxxxxzz_1, tg_xxxxxz_xxxxyyy_0, tg_xxxxxz_xxxxyyy_1, \
                                         tg_xxxxxz_xxxxyyz_0, tg_xxxxxz_xxxxyyz_1, tg_xxxxxz_xxxxyzz_0, tg_xxxxxz_xxxxyzz_1, \
                                         tg_xxxxxz_xxxxzzz_0, tg_xxxxxz_xxxxzzz_1, tg_xxxxxz_xxxyyyy_0, tg_xxxxxz_xxxyyyy_1, \
                                         tg_xxxxxz_xxxyyyz_0, tg_xxxxxz_xxxyyyz_1, tg_xxxxxz_xxxyyzz_0, tg_xxxxxz_xxxyyzz_1, \
                                         tg_xxxxxz_xxxyzzz_0, tg_xxxxxz_xxxyzzz_1, tg_xxxxxz_xxxzzzz_0, tg_xxxxxz_xxxzzzz_1, \
                                         tg_xxxxxz_xxyyyyy_0, tg_xxxxxz_xxyyyyy_1, tg_xxxxxz_xxyyyyz_0, tg_xxxxxz_xxyyyyz_1, \
                                         tg_xxxxxz_xxyyyzz_0, tg_xxxxxz_xxyyyzz_1, tg_xxxxxz_xxyyzzz_0, tg_xxxxxz_xxyyzzz_1, \
                                         tg_xxxxxz_xxyzzzz_0, tg_xxxxxz_xxyzzzz_1, tg_xxxxxz_xxzzzzz_0, tg_xxxxxz_xxzzzzz_1, \
                                         tg_xxxxxz_xyyyyyy_0, tg_xxxxxz_xyyyyyy_1, tg_xxxxxz_xyyyyyz_0, tg_xxxxxz_xyyyyyz_1, \
                                         tg_xxxxxz_xyyyyzz_0, tg_xxxxxz_xyyyyzz_1, wp_x: VLX_ALIGN)
                for (int32_t j = 0; j < nKetPrimPairs; j++)
                {
                    double fl1_fx = fx;

                    double fl1_fxn = fxn[j];

                    double fl1_fza = fza[j];

                    double fr = wp_x[j]; 

                    tg_xxxxxxxx_xxxxxxx_0[j] = pb_x * tg_xxxxxxx_xxxxxxx_0[j] + fr * tg_xxxxxxx_xxxxxxx_1[j] + 3.5 * fl1_fx * (tg_xxxxxx_xxxxxxx_0[j] - tg_xxxxxx_xxxxxxx_1[j] * fl1_fza) + 3.5 * fl1_fxn * tg_xxxxxxx_xxxxxx_1[j];

                    tg_xxxxxxxx_xxxxxxy_0[j] = pb_x * tg_xxxxxxx_xxxxxxy_0[j] + fr * tg_xxxxxxx_xxxxxxy_1[j] + 3.5 * fl1_fx * (tg_xxxxxx_xxxxxxy_0[j] - tg_xxxxxx_xxxxxxy_1[j] * fl1_fza) + 3.0 * fl1_fxn * tg_xxxxxxx_xxxxxy_1[j];

                    tg_xxxxxxxx_xxxxxxz_0[j] = pb_x * tg_xxxxxxx_xxxxxxz_0[j] + fr * tg_xxxxxxx_xxxxxxz_1[j] + 3.5 * fl1_fx * (tg_xxxxxx_xxxxxxz_0[j] - tg_xxxxxx_xxxxxxz_1[j] * fl1_fza) + 3.0 * fl1_fxn * tg_xxxxxxx_xxxxxz_1[j];

                    tg_xxxxxxxx_xxxxxyy_0[j] = pb_x * tg_xxxxxxx_xxxxxyy_0[j] + fr * tg_xxxxxxx_xxxxxyy_1[j] + 3.5 * fl1_fx * (tg_xxxxxx_xxxxxyy_0[j] - tg_xxxxxx_xxxxxyy_1[j] * fl1_fza) + 2.5 * fl1_fxn * tg_xxxxxxx_xxxxyy_1[j];

                    tg_xxxxxxxx_xxxxxyz_0[j] = pb_x * tg_xxxxxxx_xxxxxyz_0[j] + fr * tg_xxxxxxx_xxxxxyz_1[j] + 3.5 * fl1_fx * (tg_xxxxxx_xxxxxyz_0[j] - tg_xxxxxx_xxxxxyz_1[j] * fl1_fza) + 2.5 * fl1_fxn * tg_xxxxxxx_xxxxyz_1[j];

                    tg_xxxxxxxx_xxxxxzz_0[j] = pb_x * tg_xxxxxxx_xxxxxzz_0[j] + fr * tg_xxxxxxx_xxxxxzz_1[j] + 3.5 * fl1_fx * (tg_xxxxxx_xxxxxzz_0[j] - tg_xxxxxx_xxxxxzz_1[j] * fl1_fza) + 2.5 * fl1_fxn * tg_xxxxxxx_xxxxzz_1[j];

                    tg_xxxxxxxx_xxxxyyy_0[j] = pb_x * tg_xxxxxxx_xxxxyyy_0[j] + fr * tg_xxxxxxx_xxxxyyy_1[j] + 3.5 * fl1_fx * (tg_xxxxxx_xxxxyyy_0[j] - tg_xxxxxx_xxxxyyy_1[j] * fl1_fza) + 2.0 * fl1_fxn * tg_xxxxxxx_xxxyyy_1[j];

                    tg_xxxxxxxx_xxxxyyz_0[j] = pb_x * tg_xxxxxxx_xxxxyyz_0[j] + fr * tg_xxxxxxx_xxxxyyz_1[j] + 3.5 * fl1_fx * (tg_xxxxxx_xxxxyyz_0[j] - tg_xxxxxx_xxxxyyz_1[j] * fl1_fza) + 2.0 * fl1_fxn * tg_xxxxxxx_xxxyyz_1[j];

                    tg_xxxxxxxx_xxxxyzz_0[j] = pb_x * tg_xxxxxxx_xxxxyzz_0[j] + fr * tg_xxxxxxx_xxxxyzz_1[j] + 3.5 * fl1_fx * (tg_xxxxxx_xxxxyzz_0[j] - tg_xxxxxx_xxxxyzz_1[j] * fl1_fza) + 2.0 * fl1_fxn * tg_xxxxxxx_xxxyzz_1[j];

                    tg_xxxxxxxx_xxxxzzz_0[j] = pb_x * tg_xxxxxxx_xxxxzzz_0[j] + fr * tg_xxxxxxx_xxxxzzz_1[j] + 3.5 * fl1_fx * (tg_xxxxxx_xxxxzzz_0[j] - tg_xxxxxx_xxxxzzz_1[j] * fl1_fza) + 2.0 * fl1_fxn * tg_xxxxxxx_xxxzzz_1[j];

                    tg_xxxxxxxx_xxxyyyy_0[j] = pb_x * tg_xxxxxxx_xxxyyyy_0[j] + fr * tg_xxxxxxx_xxxyyyy_1[j] + 3.5 * fl1_fx * (tg_xxxxxx_xxxyyyy_0[j] - tg_xxxxxx_xxxyyyy_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_xxxxxxx_xxyyyy_1[j];

                    tg_xxxxxxxx_xxxyyyz_0[j] = pb_x * tg_xxxxxxx_xxxyyyz_0[j] + fr * tg_xxxxxxx_xxxyyyz_1[j] + 3.5 * fl1_fx * (tg_xxxxxx_xxxyyyz_0[j] - tg_xxxxxx_xxxyyyz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_xxxxxxx_xxyyyz_1[j];

                    tg_xxxxxxxx_xxxyyzz_0[j] = pb_x * tg_xxxxxxx_xxxyyzz_0[j] + fr * tg_xxxxxxx_xxxyyzz_1[j] + 3.5 * fl1_fx * (tg_xxxxxx_xxxyyzz_0[j] - tg_xxxxxx_xxxyyzz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_xxxxxxx_xxyyzz_1[j];

                    tg_xxxxxxxx_xxxyzzz_0[j] = pb_x * tg_xxxxxxx_xxxyzzz_0[j] + fr * tg_xxxxxxx_xxxyzzz_1[j] + 3.5 * fl1_fx * (tg_xxxxxx_xxxyzzz_0[j] - tg_xxxxxx_xxxyzzz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_xxxxxxx_xxyzzz_1[j];

                    tg_xxxxxxxx_xxxzzzz_0[j] = pb_x * tg_xxxxxxx_xxxzzzz_0[j] + fr * tg_xxxxxxx_xxxzzzz_1[j] + 3.5 * fl1_fx * (tg_xxxxxx_xxxzzzz_0[j] - tg_xxxxxx_xxxzzzz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_xxxxxxx_xxzzzz_1[j];

                    tg_xxxxxxxx_xxyyyyy_0[j] = pb_x * tg_xxxxxxx_xxyyyyy_0[j] + fr * tg_xxxxxxx_xxyyyyy_1[j] + 3.5 * fl1_fx * (tg_xxxxxx_xxyyyyy_0[j] - tg_xxxxxx_xxyyyyy_1[j] * fl1_fza) + fl1_fxn * tg_xxxxxxx_xyyyyy_1[j];

                    tg_xxxxxxxx_xxyyyyz_0[j] = pb_x * tg_xxxxxxx_xxyyyyz_0[j] + fr * tg_xxxxxxx_xxyyyyz_1[j] + 3.5 * fl1_fx * (tg_xxxxxx_xxyyyyz_0[j] - tg_xxxxxx_xxyyyyz_1[j] * fl1_fza) + fl1_fxn * tg_xxxxxxx_xyyyyz_1[j];

                    tg_xxxxxxxx_xxyyyzz_0[j] = pb_x * tg_xxxxxxx_xxyyyzz_0[j] + fr * tg_xxxxxxx_xxyyyzz_1[j] + 3.5 * fl1_fx * (tg_xxxxxx_xxyyyzz_0[j] - tg_xxxxxx_xxyyyzz_1[j] * fl1_fza) + fl1_fxn * tg_xxxxxxx_xyyyzz_1[j];

                    tg_xxxxxxxx_xxyyzzz_0[j] = pb_x * tg_xxxxxxx_xxyyzzz_0[j] + fr * tg_xxxxxxx_xxyyzzz_1[j] + 3.5 * fl1_fx * (tg_xxxxxx_xxyyzzz_0[j] - tg_xxxxxx_xxyyzzz_1[j] * fl1_fza) + fl1_fxn * tg_xxxxxxx_xyyzzz_1[j];

                    tg_xxxxxxxx_xxyzzzz_0[j] = pb_x * tg_xxxxxxx_xxyzzzz_0[j] + fr * tg_xxxxxxx_xxyzzzz_1[j] + 3.5 * fl1_fx * (tg_xxxxxx_xxyzzzz_0[j] - tg_xxxxxx_xxyzzzz_1[j] * fl1_fza) + fl1_fxn * tg_xxxxxxx_xyzzzz_1[j];

                    tg_xxxxxxxx_xxzzzzz_0[j] = pb_x * tg_xxxxxxx_xxzzzzz_0[j] + fr * tg_xxxxxxx_xxzzzzz_1[j] + 3.5 * fl1_fx * (tg_xxxxxx_xxzzzzz_0[j] - tg_xxxxxx_xxzzzzz_1[j] * fl1_fza) + fl1_fxn * tg_xxxxxxx_xzzzzz_1[j];

                    tg_xxxxxxxx_xyyyyyy_0[j] = pb_x * tg_xxxxxxx_xyyyyyy_0[j] + fr * tg_xxxxxxx_xyyyyyy_1[j] + 3.5 * fl1_fx * (tg_xxxxxx_xyyyyyy_0[j] - tg_xxxxxx_xyyyyyy_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xxxxxxx_yyyyyy_1[j];

                    tg_xxxxxxxx_xyyyyyz_0[j] = pb_x * tg_xxxxxxx_xyyyyyz_0[j] + fr * tg_xxxxxxx_xyyyyyz_1[j] + 3.5 * fl1_fx * (tg_xxxxxx_xyyyyyz_0[j] - tg_xxxxxx_xyyyyyz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xxxxxxx_yyyyyz_1[j];

                    tg_xxxxxxxx_xyyyyzz_0[j] = pb_x * tg_xxxxxxx_xyyyyzz_0[j] + fr * tg_xxxxxxx_xyyyyzz_1[j] + 3.5 * fl1_fx * (tg_xxxxxx_xyyyyzz_0[j] - tg_xxxxxx_xyyyyzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xxxxxxx_yyyyzz_1[j];

                    tg_xxxxxxxx_xyyyzzz_0[j] = pb_x * tg_xxxxxxx_xyyyzzz_0[j] + fr * tg_xxxxxxx_xyyyzzz_1[j] + 3.5 * fl1_fx * (tg_xxxxxx_xyyyzzz_0[j] - tg_xxxxxx_xyyyzzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xxxxxxx_yyyzzz_1[j];

                    tg_xxxxxxxx_xyyzzzz_0[j] = pb_x * tg_xxxxxxx_xyyzzzz_0[j] + fr * tg_xxxxxxx_xyyzzzz_1[j] + 3.5 * fl1_fx * (tg_xxxxxx_xyyzzzz_0[j] - tg_xxxxxx_xyyzzzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xxxxxxx_yyzzzz_1[j];

                    tg_xxxxxxxx_xyzzzzz_0[j] = pb_x * tg_xxxxxxx_xyzzzzz_0[j] + fr * tg_xxxxxxx_xyzzzzz_1[j] + 3.5 * fl1_fx * (tg_xxxxxx_xyzzzzz_0[j] - tg_xxxxxx_xyzzzzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xxxxxxx_yzzzzz_1[j];

                    tg_xxxxxxxx_xzzzzzz_0[j] = pb_x * tg_xxxxxxx_xzzzzzz_0[j] + fr * tg_xxxxxxx_xzzzzzz_1[j] + 3.5 * fl1_fx * (tg_xxxxxx_xzzzzzz_0[j] - tg_xxxxxx_xzzzzzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xxxxxxx_zzzzzz_1[j];

                    tg_xxxxxxxx_yyyyyyy_0[j] = pb_x * tg_xxxxxxx_yyyyyyy_0[j] + fr * tg_xxxxxxx_yyyyyyy_1[j] + 3.5 * fl1_fx * (tg_xxxxxx_yyyyyyy_0[j] - tg_xxxxxx_yyyyyyy_1[j] * fl1_fza);

                    tg_xxxxxxxx_yyyyyyz_0[j] = pb_x * tg_xxxxxxx_yyyyyyz_0[j] + fr * tg_xxxxxxx_yyyyyyz_1[j] + 3.5 * fl1_fx * (tg_xxxxxx_yyyyyyz_0[j] - tg_xxxxxx_yyyyyyz_1[j] * fl1_fza);

                    tg_xxxxxxxx_yyyyyzz_0[j] = pb_x * tg_xxxxxxx_yyyyyzz_0[j] + fr * tg_xxxxxxx_yyyyyzz_1[j] + 3.5 * fl1_fx * (tg_xxxxxx_yyyyyzz_0[j] - tg_xxxxxx_yyyyyzz_1[j] * fl1_fza);

                    tg_xxxxxxxx_yyyyzzz_0[j] = pb_x * tg_xxxxxxx_yyyyzzz_0[j] + fr * tg_xxxxxxx_yyyyzzz_1[j] + 3.5 * fl1_fx * (tg_xxxxxx_yyyyzzz_0[j] - tg_xxxxxx_yyyyzzz_1[j] * fl1_fza);

                    tg_xxxxxxxx_yyyzzzz_0[j] = pb_x * tg_xxxxxxx_yyyzzzz_0[j] + fr * tg_xxxxxxx_yyyzzzz_1[j] + 3.5 * fl1_fx * (tg_xxxxxx_yyyzzzz_0[j] - tg_xxxxxx_yyyzzzz_1[j] * fl1_fza);

                    tg_xxxxxxxx_yyzzzzz_0[j] = pb_x * tg_xxxxxxx_yyzzzzz_0[j] + fr * tg_xxxxxxx_yyzzzzz_1[j] + 3.5 * fl1_fx * (tg_xxxxxx_yyzzzzz_0[j] - tg_xxxxxx_yyzzzzz_1[j] * fl1_fza);

                    tg_xxxxxxxx_yzzzzzz_0[j] = pb_x * tg_xxxxxxx_yzzzzzz_0[j] + fr * tg_xxxxxxx_yzzzzzz_1[j] + 3.5 * fl1_fx * (tg_xxxxxx_yzzzzzz_0[j] - tg_xxxxxx_yzzzzzz_1[j] * fl1_fza);

                    tg_xxxxxxxx_zzzzzzz_0[j] = pb_x * tg_xxxxxxx_zzzzzzz_0[j] + fr * tg_xxxxxxx_zzzzzzz_1[j] + 3.5 * fl1_fx * (tg_xxxxxx_zzzzzzz_0[j] - tg_xxxxxx_zzzzzzz_1[j] * fl1_fza);

                    tg_xxxxxxxy_xxxxxxx_0[j] = pb_x * tg_xxxxxxy_xxxxxxx_0[j] + fr * tg_xxxxxxy_xxxxxxx_1[j] + 3.0 * fl1_fx * (tg_xxxxxy_xxxxxxx_0[j] - tg_xxxxxy_xxxxxxx_1[j] * fl1_fza) + 3.5 * fl1_fxn * tg_xxxxxxy_xxxxxx_1[j];

                    tg_xxxxxxxy_xxxxxxy_0[j] = pb_x * tg_xxxxxxy_xxxxxxy_0[j] + fr * tg_xxxxxxy_xxxxxxy_1[j] + 3.0 * fl1_fx * (tg_xxxxxy_xxxxxxy_0[j] - tg_xxxxxy_xxxxxxy_1[j] * fl1_fza) + 3.0 * fl1_fxn * tg_xxxxxxy_xxxxxy_1[j];

                    tg_xxxxxxxy_xxxxxxz_0[j] = pb_x * tg_xxxxxxy_xxxxxxz_0[j] + fr * tg_xxxxxxy_xxxxxxz_1[j] + 3.0 * fl1_fx * (tg_xxxxxy_xxxxxxz_0[j] - tg_xxxxxy_xxxxxxz_1[j] * fl1_fza) + 3.0 * fl1_fxn * tg_xxxxxxy_xxxxxz_1[j];

                    tg_xxxxxxxy_xxxxxyy_0[j] = pb_x * tg_xxxxxxy_xxxxxyy_0[j] + fr * tg_xxxxxxy_xxxxxyy_1[j] + 3.0 * fl1_fx * (tg_xxxxxy_xxxxxyy_0[j] - tg_xxxxxy_xxxxxyy_1[j] * fl1_fza) + 2.5 * fl1_fxn * tg_xxxxxxy_xxxxyy_1[j];

                    tg_xxxxxxxy_xxxxxyz_0[j] = pb_x * tg_xxxxxxy_xxxxxyz_0[j] + fr * tg_xxxxxxy_xxxxxyz_1[j] + 3.0 * fl1_fx * (tg_xxxxxy_xxxxxyz_0[j] - tg_xxxxxy_xxxxxyz_1[j] * fl1_fza) + 2.5 * fl1_fxn * tg_xxxxxxy_xxxxyz_1[j];

                    tg_xxxxxxxy_xxxxxzz_0[j] = pb_x * tg_xxxxxxy_xxxxxzz_0[j] + fr * tg_xxxxxxy_xxxxxzz_1[j] + 3.0 * fl1_fx * (tg_xxxxxy_xxxxxzz_0[j] - tg_xxxxxy_xxxxxzz_1[j] * fl1_fza) + 2.5 * fl1_fxn * tg_xxxxxxy_xxxxzz_1[j];

                    tg_xxxxxxxy_xxxxyyy_0[j] = pb_x * tg_xxxxxxy_xxxxyyy_0[j] + fr * tg_xxxxxxy_xxxxyyy_1[j] + 3.0 * fl1_fx * (tg_xxxxxy_xxxxyyy_0[j] - tg_xxxxxy_xxxxyyy_1[j] * fl1_fza) + 2.0 * fl1_fxn * tg_xxxxxxy_xxxyyy_1[j];

                    tg_xxxxxxxy_xxxxyyz_0[j] = pb_x * tg_xxxxxxy_xxxxyyz_0[j] + fr * tg_xxxxxxy_xxxxyyz_1[j] + 3.0 * fl1_fx * (tg_xxxxxy_xxxxyyz_0[j] - tg_xxxxxy_xxxxyyz_1[j] * fl1_fza) + 2.0 * fl1_fxn * tg_xxxxxxy_xxxyyz_1[j];

                    tg_xxxxxxxy_xxxxyzz_0[j] = pb_x * tg_xxxxxxy_xxxxyzz_0[j] + fr * tg_xxxxxxy_xxxxyzz_1[j] + 3.0 * fl1_fx * (tg_xxxxxy_xxxxyzz_0[j] - tg_xxxxxy_xxxxyzz_1[j] * fl1_fza) + 2.0 * fl1_fxn * tg_xxxxxxy_xxxyzz_1[j];

                    tg_xxxxxxxy_xxxxzzz_0[j] = pb_x * tg_xxxxxxy_xxxxzzz_0[j] + fr * tg_xxxxxxy_xxxxzzz_1[j] + 3.0 * fl1_fx * (tg_xxxxxy_xxxxzzz_0[j] - tg_xxxxxy_xxxxzzz_1[j] * fl1_fza) + 2.0 * fl1_fxn * tg_xxxxxxy_xxxzzz_1[j];

                    tg_xxxxxxxy_xxxyyyy_0[j] = pb_x * tg_xxxxxxy_xxxyyyy_0[j] + fr * tg_xxxxxxy_xxxyyyy_1[j] + 3.0 * fl1_fx * (tg_xxxxxy_xxxyyyy_0[j] - tg_xxxxxy_xxxyyyy_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_xxxxxxy_xxyyyy_1[j];

                    tg_xxxxxxxy_xxxyyyz_0[j] = pb_x * tg_xxxxxxy_xxxyyyz_0[j] + fr * tg_xxxxxxy_xxxyyyz_1[j] + 3.0 * fl1_fx * (tg_xxxxxy_xxxyyyz_0[j] - tg_xxxxxy_xxxyyyz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_xxxxxxy_xxyyyz_1[j];

                    tg_xxxxxxxy_xxxyyzz_0[j] = pb_x * tg_xxxxxxy_xxxyyzz_0[j] + fr * tg_xxxxxxy_xxxyyzz_1[j] + 3.0 * fl1_fx * (tg_xxxxxy_xxxyyzz_0[j] - tg_xxxxxy_xxxyyzz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_xxxxxxy_xxyyzz_1[j];

                    tg_xxxxxxxy_xxxyzzz_0[j] = pb_x * tg_xxxxxxy_xxxyzzz_0[j] + fr * tg_xxxxxxy_xxxyzzz_1[j] + 3.0 * fl1_fx * (tg_xxxxxy_xxxyzzz_0[j] - tg_xxxxxy_xxxyzzz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_xxxxxxy_xxyzzz_1[j];

                    tg_xxxxxxxy_xxxzzzz_0[j] = pb_x * tg_xxxxxxy_xxxzzzz_0[j] + fr * tg_xxxxxxy_xxxzzzz_1[j] + 3.0 * fl1_fx * (tg_xxxxxy_xxxzzzz_0[j] - tg_xxxxxy_xxxzzzz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_xxxxxxy_xxzzzz_1[j];

                    tg_xxxxxxxy_xxyyyyy_0[j] = pb_x * tg_xxxxxxy_xxyyyyy_0[j] + fr * tg_xxxxxxy_xxyyyyy_1[j] + 3.0 * fl1_fx * (tg_xxxxxy_xxyyyyy_0[j] - tg_xxxxxy_xxyyyyy_1[j] * fl1_fza) + fl1_fxn * tg_xxxxxxy_xyyyyy_1[j];

                    tg_xxxxxxxy_xxyyyyz_0[j] = pb_x * tg_xxxxxxy_xxyyyyz_0[j] + fr * tg_xxxxxxy_xxyyyyz_1[j] + 3.0 * fl1_fx * (tg_xxxxxy_xxyyyyz_0[j] - tg_xxxxxy_xxyyyyz_1[j] * fl1_fza) + fl1_fxn * tg_xxxxxxy_xyyyyz_1[j];

                    tg_xxxxxxxy_xxyyyzz_0[j] = pb_x * tg_xxxxxxy_xxyyyzz_0[j] + fr * tg_xxxxxxy_xxyyyzz_1[j] + 3.0 * fl1_fx * (tg_xxxxxy_xxyyyzz_0[j] - tg_xxxxxy_xxyyyzz_1[j] * fl1_fza) + fl1_fxn * tg_xxxxxxy_xyyyzz_1[j];

                    tg_xxxxxxxy_xxyyzzz_0[j] = pb_x * tg_xxxxxxy_xxyyzzz_0[j] + fr * tg_xxxxxxy_xxyyzzz_1[j] + 3.0 * fl1_fx * (tg_xxxxxy_xxyyzzz_0[j] - tg_xxxxxy_xxyyzzz_1[j] * fl1_fza) + fl1_fxn * tg_xxxxxxy_xyyzzz_1[j];

                    tg_xxxxxxxy_xxyzzzz_0[j] = pb_x * tg_xxxxxxy_xxyzzzz_0[j] + fr * tg_xxxxxxy_xxyzzzz_1[j] + 3.0 * fl1_fx * (tg_xxxxxy_xxyzzzz_0[j] - tg_xxxxxy_xxyzzzz_1[j] * fl1_fza) + fl1_fxn * tg_xxxxxxy_xyzzzz_1[j];

                    tg_xxxxxxxy_xxzzzzz_0[j] = pb_x * tg_xxxxxxy_xxzzzzz_0[j] + fr * tg_xxxxxxy_xxzzzzz_1[j] + 3.0 * fl1_fx * (tg_xxxxxy_xxzzzzz_0[j] - tg_xxxxxy_xxzzzzz_1[j] * fl1_fza) + fl1_fxn * tg_xxxxxxy_xzzzzz_1[j];

                    tg_xxxxxxxy_xyyyyyy_0[j] = pb_x * tg_xxxxxxy_xyyyyyy_0[j] + fr * tg_xxxxxxy_xyyyyyy_1[j] + 3.0 * fl1_fx * (tg_xxxxxy_xyyyyyy_0[j] - tg_xxxxxy_xyyyyyy_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xxxxxxy_yyyyyy_1[j];

                    tg_xxxxxxxy_xyyyyyz_0[j] = pb_x * tg_xxxxxxy_xyyyyyz_0[j] + fr * tg_xxxxxxy_xyyyyyz_1[j] + 3.0 * fl1_fx * (tg_xxxxxy_xyyyyyz_0[j] - tg_xxxxxy_xyyyyyz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xxxxxxy_yyyyyz_1[j];

                    tg_xxxxxxxy_xyyyyzz_0[j] = pb_x * tg_xxxxxxy_xyyyyzz_0[j] + fr * tg_xxxxxxy_xyyyyzz_1[j] + 3.0 * fl1_fx * (tg_xxxxxy_xyyyyzz_0[j] - tg_xxxxxy_xyyyyzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xxxxxxy_yyyyzz_1[j];

                    tg_xxxxxxxy_xyyyzzz_0[j] = pb_x * tg_xxxxxxy_xyyyzzz_0[j] + fr * tg_xxxxxxy_xyyyzzz_1[j] + 3.0 * fl1_fx * (tg_xxxxxy_xyyyzzz_0[j] - tg_xxxxxy_xyyyzzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xxxxxxy_yyyzzz_1[j];

                    tg_xxxxxxxy_xyyzzzz_0[j] = pb_x * tg_xxxxxxy_xyyzzzz_0[j] + fr * tg_xxxxxxy_xyyzzzz_1[j] + 3.0 * fl1_fx * (tg_xxxxxy_xyyzzzz_0[j] - tg_xxxxxy_xyyzzzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xxxxxxy_yyzzzz_1[j];

                    tg_xxxxxxxy_xyzzzzz_0[j] = pb_x * tg_xxxxxxy_xyzzzzz_0[j] + fr * tg_xxxxxxy_xyzzzzz_1[j] + 3.0 * fl1_fx * (tg_xxxxxy_xyzzzzz_0[j] - tg_xxxxxy_xyzzzzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xxxxxxy_yzzzzz_1[j];

                    tg_xxxxxxxy_xzzzzzz_0[j] = pb_x * tg_xxxxxxy_xzzzzzz_0[j] + fr * tg_xxxxxxy_xzzzzzz_1[j] + 3.0 * fl1_fx * (tg_xxxxxy_xzzzzzz_0[j] - tg_xxxxxy_xzzzzzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xxxxxxy_zzzzzz_1[j];

                    tg_xxxxxxxy_yyyyyyy_0[j] = pb_x * tg_xxxxxxy_yyyyyyy_0[j] + fr * tg_xxxxxxy_yyyyyyy_1[j] + 3.0 * fl1_fx * (tg_xxxxxy_yyyyyyy_0[j] - tg_xxxxxy_yyyyyyy_1[j] * fl1_fza);

                    tg_xxxxxxxy_yyyyyyz_0[j] = pb_x * tg_xxxxxxy_yyyyyyz_0[j] + fr * tg_xxxxxxy_yyyyyyz_1[j] + 3.0 * fl1_fx * (tg_xxxxxy_yyyyyyz_0[j] - tg_xxxxxy_yyyyyyz_1[j] * fl1_fza);

                    tg_xxxxxxxy_yyyyyzz_0[j] = pb_x * tg_xxxxxxy_yyyyyzz_0[j] + fr * tg_xxxxxxy_yyyyyzz_1[j] + 3.0 * fl1_fx * (tg_xxxxxy_yyyyyzz_0[j] - tg_xxxxxy_yyyyyzz_1[j] * fl1_fza);

                    tg_xxxxxxxy_yyyyzzz_0[j] = pb_x * tg_xxxxxxy_yyyyzzz_0[j] + fr * tg_xxxxxxy_yyyyzzz_1[j] + 3.0 * fl1_fx * (tg_xxxxxy_yyyyzzz_0[j] - tg_xxxxxy_yyyyzzz_1[j] * fl1_fza);

                    tg_xxxxxxxy_yyyzzzz_0[j] = pb_x * tg_xxxxxxy_yyyzzzz_0[j] + fr * tg_xxxxxxy_yyyzzzz_1[j] + 3.0 * fl1_fx * (tg_xxxxxy_yyyzzzz_0[j] - tg_xxxxxy_yyyzzzz_1[j] * fl1_fza);

                    tg_xxxxxxxy_yyzzzzz_0[j] = pb_x * tg_xxxxxxy_yyzzzzz_0[j] + fr * tg_xxxxxxy_yyzzzzz_1[j] + 3.0 * fl1_fx * (tg_xxxxxy_yyzzzzz_0[j] - tg_xxxxxy_yyzzzzz_1[j] * fl1_fza);

                    tg_xxxxxxxy_yzzzzzz_0[j] = pb_x * tg_xxxxxxy_yzzzzzz_0[j] + fr * tg_xxxxxxy_yzzzzzz_1[j] + 3.0 * fl1_fx * (tg_xxxxxy_yzzzzzz_0[j] - tg_xxxxxy_yzzzzzz_1[j] * fl1_fza);

                    tg_xxxxxxxy_zzzzzzz_0[j] = pb_x * tg_xxxxxxy_zzzzzzz_0[j] + fr * tg_xxxxxxy_zzzzzzz_1[j] + 3.0 * fl1_fx * (tg_xxxxxy_zzzzzzz_0[j] - tg_xxxxxy_zzzzzzz_1[j] * fl1_fza);

                    tg_xxxxxxxz_xxxxxxx_0[j] = pb_x * tg_xxxxxxz_xxxxxxx_0[j] + fr * tg_xxxxxxz_xxxxxxx_1[j] + 3.0 * fl1_fx * (tg_xxxxxz_xxxxxxx_0[j] - tg_xxxxxz_xxxxxxx_1[j] * fl1_fza) + 3.5 * fl1_fxn * tg_xxxxxxz_xxxxxx_1[j];

                    tg_xxxxxxxz_xxxxxxy_0[j] = pb_x * tg_xxxxxxz_xxxxxxy_0[j] + fr * tg_xxxxxxz_xxxxxxy_1[j] + 3.0 * fl1_fx * (tg_xxxxxz_xxxxxxy_0[j] - tg_xxxxxz_xxxxxxy_1[j] * fl1_fza) + 3.0 * fl1_fxn * tg_xxxxxxz_xxxxxy_1[j];

                    tg_xxxxxxxz_xxxxxxz_0[j] = pb_x * tg_xxxxxxz_xxxxxxz_0[j] + fr * tg_xxxxxxz_xxxxxxz_1[j] + 3.0 * fl1_fx * (tg_xxxxxz_xxxxxxz_0[j] - tg_xxxxxz_xxxxxxz_1[j] * fl1_fza) + 3.0 * fl1_fxn * tg_xxxxxxz_xxxxxz_1[j];

                    tg_xxxxxxxz_xxxxxyy_0[j] = pb_x * tg_xxxxxxz_xxxxxyy_0[j] + fr * tg_xxxxxxz_xxxxxyy_1[j] + 3.0 * fl1_fx * (tg_xxxxxz_xxxxxyy_0[j] - tg_xxxxxz_xxxxxyy_1[j] * fl1_fza) + 2.5 * fl1_fxn * tg_xxxxxxz_xxxxyy_1[j];

                    tg_xxxxxxxz_xxxxxyz_0[j] = pb_x * tg_xxxxxxz_xxxxxyz_0[j] + fr * tg_xxxxxxz_xxxxxyz_1[j] + 3.0 * fl1_fx * (tg_xxxxxz_xxxxxyz_0[j] - tg_xxxxxz_xxxxxyz_1[j] * fl1_fza) + 2.5 * fl1_fxn * tg_xxxxxxz_xxxxyz_1[j];

                    tg_xxxxxxxz_xxxxxzz_0[j] = pb_x * tg_xxxxxxz_xxxxxzz_0[j] + fr * tg_xxxxxxz_xxxxxzz_1[j] + 3.0 * fl1_fx * (tg_xxxxxz_xxxxxzz_0[j] - tg_xxxxxz_xxxxxzz_1[j] * fl1_fza) + 2.5 * fl1_fxn * tg_xxxxxxz_xxxxzz_1[j];

                    tg_xxxxxxxz_xxxxyyy_0[j] = pb_x * tg_xxxxxxz_xxxxyyy_0[j] + fr * tg_xxxxxxz_xxxxyyy_1[j] + 3.0 * fl1_fx * (tg_xxxxxz_xxxxyyy_0[j] - tg_xxxxxz_xxxxyyy_1[j] * fl1_fza) + 2.0 * fl1_fxn * tg_xxxxxxz_xxxyyy_1[j];

                    tg_xxxxxxxz_xxxxyyz_0[j] = pb_x * tg_xxxxxxz_xxxxyyz_0[j] + fr * tg_xxxxxxz_xxxxyyz_1[j] + 3.0 * fl1_fx * (tg_xxxxxz_xxxxyyz_0[j] - tg_xxxxxz_xxxxyyz_1[j] * fl1_fza) + 2.0 * fl1_fxn * tg_xxxxxxz_xxxyyz_1[j];

                    tg_xxxxxxxz_xxxxyzz_0[j] = pb_x * tg_xxxxxxz_xxxxyzz_0[j] + fr * tg_xxxxxxz_xxxxyzz_1[j] + 3.0 * fl1_fx * (tg_xxxxxz_xxxxyzz_0[j] - tg_xxxxxz_xxxxyzz_1[j] * fl1_fza) + 2.0 * fl1_fxn * tg_xxxxxxz_xxxyzz_1[j];

                    tg_xxxxxxxz_xxxxzzz_0[j] = pb_x * tg_xxxxxxz_xxxxzzz_0[j] + fr * tg_xxxxxxz_xxxxzzz_1[j] + 3.0 * fl1_fx * (tg_xxxxxz_xxxxzzz_0[j] - tg_xxxxxz_xxxxzzz_1[j] * fl1_fza) + 2.0 * fl1_fxn * tg_xxxxxxz_xxxzzz_1[j];

                    tg_xxxxxxxz_xxxyyyy_0[j] = pb_x * tg_xxxxxxz_xxxyyyy_0[j] + fr * tg_xxxxxxz_xxxyyyy_1[j] + 3.0 * fl1_fx * (tg_xxxxxz_xxxyyyy_0[j] - tg_xxxxxz_xxxyyyy_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_xxxxxxz_xxyyyy_1[j];

                    tg_xxxxxxxz_xxxyyyz_0[j] = pb_x * tg_xxxxxxz_xxxyyyz_0[j] + fr * tg_xxxxxxz_xxxyyyz_1[j] + 3.0 * fl1_fx * (tg_xxxxxz_xxxyyyz_0[j] - tg_xxxxxz_xxxyyyz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_xxxxxxz_xxyyyz_1[j];

                    tg_xxxxxxxz_xxxyyzz_0[j] = pb_x * tg_xxxxxxz_xxxyyzz_0[j] + fr * tg_xxxxxxz_xxxyyzz_1[j] + 3.0 * fl1_fx * (tg_xxxxxz_xxxyyzz_0[j] - tg_xxxxxz_xxxyyzz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_xxxxxxz_xxyyzz_1[j];

                    tg_xxxxxxxz_xxxyzzz_0[j] = pb_x * tg_xxxxxxz_xxxyzzz_0[j] + fr * tg_xxxxxxz_xxxyzzz_1[j] + 3.0 * fl1_fx * (tg_xxxxxz_xxxyzzz_0[j] - tg_xxxxxz_xxxyzzz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_xxxxxxz_xxyzzz_1[j];

                    tg_xxxxxxxz_xxxzzzz_0[j] = pb_x * tg_xxxxxxz_xxxzzzz_0[j] + fr * tg_xxxxxxz_xxxzzzz_1[j] + 3.0 * fl1_fx * (tg_xxxxxz_xxxzzzz_0[j] - tg_xxxxxz_xxxzzzz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_xxxxxxz_xxzzzz_1[j];

                    tg_xxxxxxxz_xxyyyyy_0[j] = pb_x * tg_xxxxxxz_xxyyyyy_0[j] + fr * tg_xxxxxxz_xxyyyyy_1[j] + 3.0 * fl1_fx * (tg_xxxxxz_xxyyyyy_0[j] - tg_xxxxxz_xxyyyyy_1[j] * fl1_fza) + fl1_fxn * tg_xxxxxxz_xyyyyy_1[j];

                    tg_xxxxxxxz_xxyyyyz_0[j] = pb_x * tg_xxxxxxz_xxyyyyz_0[j] + fr * tg_xxxxxxz_xxyyyyz_1[j] + 3.0 * fl1_fx * (tg_xxxxxz_xxyyyyz_0[j] - tg_xxxxxz_xxyyyyz_1[j] * fl1_fza) + fl1_fxn * tg_xxxxxxz_xyyyyz_1[j];

                    tg_xxxxxxxz_xxyyyzz_0[j] = pb_x * tg_xxxxxxz_xxyyyzz_0[j] + fr * tg_xxxxxxz_xxyyyzz_1[j] + 3.0 * fl1_fx * (tg_xxxxxz_xxyyyzz_0[j] - tg_xxxxxz_xxyyyzz_1[j] * fl1_fza) + fl1_fxn * tg_xxxxxxz_xyyyzz_1[j];

                    tg_xxxxxxxz_xxyyzzz_0[j] = pb_x * tg_xxxxxxz_xxyyzzz_0[j] + fr * tg_xxxxxxz_xxyyzzz_1[j] + 3.0 * fl1_fx * (tg_xxxxxz_xxyyzzz_0[j] - tg_xxxxxz_xxyyzzz_1[j] * fl1_fza) + fl1_fxn * tg_xxxxxxz_xyyzzz_1[j];

                    tg_xxxxxxxz_xxyzzzz_0[j] = pb_x * tg_xxxxxxz_xxyzzzz_0[j] + fr * tg_xxxxxxz_xxyzzzz_1[j] + 3.0 * fl1_fx * (tg_xxxxxz_xxyzzzz_0[j] - tg_xxxxxz_xxyzzzz_1[j] * fl1_fza) + fl1_fxn * tg_xxxxxxz_xyzzzz_1[j];

                    tg_xxxxxxxz_xxzzzzz_0[j] = pb_x * tg_xxxxxxz_xxzzzzz_0[j] + fr * tg_xxxxxxz_xxzzzzz_1[j] + 3.0 * fl1_fx * (tg_xxxxxz_xxzzzzz_0[j] - tg_xxxxxz_xxzzzzz_1[j] * fl1_fza) + fl1_fxn * tg_xxxxxxz_xzzzzz_1[j];

                    tg_xxxxxxxz_xyyyyyy_0[j] = pb_x * tg_xxxxxxz_xyyyyyy_0[j] + fr * tg_xxxxxxz_xyyyyyy_1[j] + 3.0 * fl1_fx * (tg_xxxxxz_xyyyyyy_0[j] - tg_xxxxxz_xyyyyyy_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xxxxxxz_yyyyyy_1[j];

                    tg_xxxxxxxz_xyyyyyz_0[j] = pb_x * tg_xxxxxxz_xyyyyyz_0[j] + fr * tg_xxxxxxz_xyyyyyz_1[j] + 3.0 * fl1_fx * (tg_xxxxxz_xyyyyyz_0[j] - tg_xxxxxz_xyyyyyz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xxxxxxz_yyyyyz_1[j];

                    tg_xxxxxxxz_xyyyyzz_0[j] = pb_x * tg_xxxxxxz_xyyyyzz_0[j] + fr * tg_xxxxxxz_xyyyyzz_1[j] + 3.0 * fl1_fx * (tg_xxxxxz_xyyyyzz_0[j] - tg_xxxxxz_xyyyyzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xxxxxxz_yyyyzz_1[j];
                }

                idx++;
            }
        }
    }

    void
    compElectronRepulsionForSLSK_96_192(      CMemBlock2D<double>* primBuffer,
                                        const CRecursionMap&       recursionMap,
                                        const CMemBlock2D<double>& osFactors,
                                        const CMemBlock2D<double>& wpDistances,
                                        const CGtoPairsBlock&      braGtoPairsBlock,
                                        const CGtoPairsBlock&      ketGtoPairsBlock,
                                        const int32_t              nKetPrimPairs,
                                        const int32_t              iContrPair)
    {
        // Batch of Integrals (96,192)

        // set up pointers to primitives data on bra side

        auto spos = braGtoPairsBlock.getStartPositions();

        auto epos = braGtoPairsBlock.getEndPositions();

        // set up pointers to tensor of distance R(PB) = P - B

        auto r_pb_x = braGtoPairsBlock.getDistancesPBX();

        // set up pointers to common Obara-Saika factors

        auto b_fx = braGtoPairsBlock.getFactorsOneOverXi();

        // set up maximum order of integral

        auto mord = recursionMap.getMaxOrder({"Electron Repulsion"},
                                             {8, -1, -1, -1},
                                             {7, -1, -1, -1},
                                             1, 1);

        for (int32_t iord = 0; iord <= mord; iord++)
        {
            // set up index of integral

            auto pidx_g_8_7_m0 = recursionMap.index(CRecursionTerm({"Electron Repulsion"}, 0, true, 
                                                                   {8, -1, -1, -1}, {7, -1, -1, -1}, 
                                                                   1, 1, iord));

            // check if integral is needed in recursion expansion

            if (pidx_g_8_7_m0 == -1) continue;

            // set up indexes of auxilary integral

            auto pidx_g_7_7_m0 = recursionMap.index(CRecursionTerm({"Electron Repulsion"}, 0, true, 
                                                                   {7, -1, -1, -1}, {7, -1, -1, -1}, 
                                                                   1, 1, iord));

            auto pidx_g_7_7_m1 = recursionMap.index(CRecursionTerm({"Electron Repulsion"}, 0, true, 
                                                                   {7, -1, -1, -1}, {7, -1, -1, -1}, 
                                                                   1, 1, iord + 1));

            auto pidx_g_6_7_m0 = recursionMap.index(CRecursionTerm({"Electron Repulsion"}, 0, true, 
                                                                   {6, -1, -1, -1}, {7, -1, -1, -1}, 
                                                                   1, 1, iord));

            auto pidx_g_6_7_m1 = recursionMap.index(CRecursionTerm({"Electron Repulsion"}, 0, true, 
                                                                   {6, -1, -1, -1}, {7, -1, -1, -1}, 
                                                                   1, 1, iord + 1));

            auto pidx_g_7_6_m1 = recursionMap.index(CRecursionTerm({"Electron Repulsion"}, 0, true, 
                                                                   {7, -1, -1, -1}, {6, -1, -1, -1}, 
                                                                   1, 1, iord + 1));

            // loop over contracted GTO on bra side

            int32_t idx = 0;

            for (int32_t i = spos[iContrPair]; i < epos[iContrPair]; i++)
            {
                // set up pointers to Obara-Saika factors

                double fx = b_fx[i];

                auto fza = osFactors.data(4 * idx + 2);

                auto fxn = osFactors.data(4 * idx);

                // set up distances R(PB) = P - B

                auto pb_x = r_pb_x[i];

                // set up pointers to tensors product of distances R(WP) = W - P

                auto wp_x = wpDistances.data(3 * idx);

                // set up pointers to auxilary integrals

                auto tg_xxxxxxz_xyyyzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 96); 

                auto tg_xxxxxxz_xyyzzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 97); 

                auto tg_xxxxxxz_xyzzzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 98); 

                auto tg_xxxxxxz_xzzzzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 99); 

                auto tg_xxxxxxz_yyyyyyy_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 100); 

                auto tg_xxxxxxz_yyyyyyz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 101); 

                auto tg_xxxxxxz_yyyyyzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 102); 

                auto tg_xxxxxxz_yyyyzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 103); 

                auto tg_xxxxxxz_yyyzzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 104); 

                auto tg_xxxxxxz_yyzzzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 105); 

                auto tg_xxxxxxz_yzzzzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 106); 

                auto tg_xxxxxxz_zzzzzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 107); 

                auto tg_xxxxxyy_xxxxxxx_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 108); 

                auto tg_xxxxxyy_xxxxxxy_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 109); 

                auto tg_xxxxxyy_xxxxxxz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 110); 

                auto tg_xxxxxyy_xxxxxyy_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 111); 

                auto tg_xxxxxyy_xxxxxyz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 112); 

                auto tg_xxxxxyy_xxxxxzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 113); 

                auto tg_xxxxxyy_xxxxyyy_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 114); 

                auto tg_xxxxxyy_xxxxyyz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 115); 

                auto tg_xxxxxyy_xxxxyzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 116); 

                auto tg_xxxxxyy_xxxxzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 117); 

                auto tg_xxxxxyy_xxxyyyy_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 118); 

                auto tg_xxxxxyy_xxxyyyz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 119); 

                auto tg_xxxxxyy_xxxyyzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 120); 

                auto tg_xxxxxyy_xxxyzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 121); 

                auto tg_xxxxxyy_xxxzzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 122); 

                auto tg_xxxxxyy_xxyyyyy_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 123); 

                auto tg_xxxxxyy_xxyyyyz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 124); 

                auto tg_xxxxxyy_xxyyyzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 125); 

                auto tg_xxxxxyy_xxyyzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 126); 

                auto tg_xxxxxyy_xxyzzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 127); 

                auto tg_xxxxxyy_xxzzzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 128); 

                auto tg_xxxxxyy_xyyyyyy_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 129); 

                auto tg_xxxxxyy_xyyyyyz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 130); 

                auto tg_xxxxxyy_xyyyyzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 131); 

                auto tg_xxxxxyy_xyyyzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 132); 

                auto tg_xxxxxyy_xyyzzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 133); 

                auto tg_xxxxxyy_xyzzzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 134); 

                auto tg_xxxxxyy_xzzzzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 135); 

                auto tg_xxxxxyy_yyyyyyy_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 136); 

                auto tg_xxxxxyy_yyyyyyz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 137); 

                auto tg_xxxxxyy_yyyyyzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 138); 

                auto tg_xxxxxyy_yyyyzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 139); 

                auto tg_xxxxxyy_yyyzzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 140); 

                auto tg_xxxxxyy_yyzzzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 141); 

                auto tg_xxxxxyy_yzzzzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 142); 

                auto tg_xxxxxyy_zzzzzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 143); 

                auto tg_xxxxxyz_xxxxxxx_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 144); 

                auto tg_xxxxxyz_xxxxxxy_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 145); 

                auto tg_xxxxxyz_xxxxxxz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 146); 

                auto tg_xxxxxyz_xxxxxyy_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 147); 

                auto tg_xxxxxyz_xxxxxyz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 148); 

                auto tg_xxxxxyz_xxxxxzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 149); 

                auto tg_xxxxxyz_xxxxyyy_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 150); 

                auto tg_xxxxxyz_xxxxyyz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 151); 

                auto tg_xxxxxyz_xxxxyzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 152); 

                auto tg_xxxxxyz_xxxxzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 153); 

                auto tg_xxxxxyz_xxxyyyy_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 154); 

                auto tg_xxxxxyz_xxxyyyz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 155); 

                auto tg_xxxxxyz_xxxyyzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 156); 

                auto tg_xxxxxyz_xxxyzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 157); 

                auto tg_xxxxxyz_xxxzzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 158); 

                auto tg_xxxxxyz_xxyyyyy_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 159); 

                auto tg_xxxxxyz_xxyyyyz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 160); 

                auto tg_xxxxxyz_xxyyyzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 161); 

                auto tg_xxxxxyz_xxyyzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 162); 

                auto tg_xxxxxyz_xxyzzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 163); 

                auto tg_xxxxxyz_xxzzzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 164); 

                auto tg_xxxxxyz_xyyyyyy_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 165); 

                auto tg_xxxxxyz_xyyyyyz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 166); 

                auto tg_xxxxxyz_xyyyyzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 167); 

                auto tg_xxxxxyz_xyyyzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 168); 

                auto tg_xxxxxyz_xyyzzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 169); 

                auto tg_xxxxxyz_xyzzzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 170); 

                auto tg_xxxxxyz_xzzzzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 171); 

                auto tg_xxxxxyz_yyyyyyy_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 172); 

                auto tg_xxxxxyz_yyyyyyz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 173); 

                auto tg_xxxxxyz_yyyyyzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 174); 

                auto tg_xxxxxyz_yyyyzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 175); 

                auto tg_xxxxxyz_yyyzzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 176); 

                auto tg_xxxxxyz_yyzzzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 177); 

                auto tg_xxxxxyz_yzzzzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 178); 

                auto tg_xxxxxyz_zzzzzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 179); 

                auto tg_xxxxxzz_xxxxxxx_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 180); 

                auto tg_xxxxxzz_xxxxxxy_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 181); 

                auto tg_xxxxxzz_xxxxxxz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 182); 

                auto tg_xxxxxzz_xxxxxyy_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 183); 

                auto tg_xxxxxzz_xxxxxyz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 184); 

                auto tg_xxxxxzz_xxxxxzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 185); 

                auto tg_xxxxxzz_xxxxyyy_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 186); 

                auto tg_xxxxxzz_xxxxyyz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 187); 

                auto tg_xxxxxzz_xxxxyzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 188); 

                auto tg_xxxxxzz_xxxxzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 189); 

                auto tg_xxxxxzz_xxxyyyy_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 190); 

                auto tg_xxxxxzz_xxxyyyz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 191); 

                auto tg_xxxxxxz_xyyyzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 96); 

                auto tg_xxxxxxz_xyyzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 97); 

                auto tg_xxxxxxz_xyzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 98); 

                auto tg_xxxxxxz_xzzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 99); 

                auto tg_xxxxxxz_yyyyyyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 100); 

                auto tg_xxxxxxz_yyyyyyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 101); 

                auto tg_xxxxxxz_yyyyyzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 102); 

                auto tg_xxxxxxz_yyyyzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 103); 

                auto tg_xxxxxxz_yyyzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 104); 

                auto tg_xxxxxxz_yyzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 105); 

                auto tg_xxxxxxz_yzzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 106); 

                auto tg_xxxxxxz_zzzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 107); 

                auto tg_xxxxxyy_xxxxxxx_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 108); 

                auto tg_xxxxxyy_xxxxxxy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 109); 

                auto tg_xxxxxyy_xxxxxxz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 110); 

                auto tg_xxxxxyy_xxxxxyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 111); 

                auto tg_xxxxxyy_xxxxxyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 112); 

                auto tg_xxxxxyy_xxxxxzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 113); 

                auto tg_xxxxxyy_xxxxyyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 114); 

                auto tg_xxxxxyy_xxxxyyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 115); 

                auto tg_xxxxxyy_xxxxyzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 116); 

                auto tg_xxxxxyy_xxxxzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 117); 

                auto tg_xxxxxyy_xxxyyyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 118); 

                auto tg_xxxxxyy_xxxyyyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 119); 

                auto tg_xxxxxyy_xxxyyzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 120); 

                auto tg_xxxxxyy_xxxyzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 121); 

                auto tg_xxxxxyy_xxxzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 122); 

                auto tg_xxxxxyy_xxyyyyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 123); 

                auto tg_xxxxxyy_xxyyyyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 124); 

                auto tg_xxxxxyy_xxyyyzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 125); 

                auto tg_xxxxxyy_xxyyzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 126); 

                auto tg_xxxxxyy_xxyzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 127); 

                auto tg_xxxxxyy_xxzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 128); 

                auto tg_xxxxxyy_xyyyyyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 129); 

                auto tg_xxxxxyy_xyyyyyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 130); 

                auto tg_xxxxxyy_xyyyyzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 131); 

                auto tg_xxxxxyy_xyyyzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 132); 

                auto tg_xxxxxyy_xyyzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 133); 

                auto tg_xxxxxyy_xyzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 134); 

                auto tg_xxxxxyy_xzzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 135); 

                auto tg_xxxxxyy_yyyyyyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 136); 

                auto tg_xxxxxyy_yyyyyyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 137); 

                auto tg_xxxxxyy_yyyyyzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 138); 

                auto tg_xxxxxyy_yyyyzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 139); 

                auto tg_xxxxxyy_yyyzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 140); 

                auto tg_xxxxxyy_yyzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 141); 

                auto tg_xxxxxyy_yzzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 142); 

                auto tg_xxxxxyy_zzzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 143); 

                auto tg_xxxxxyz_xxxxxxx_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 144); 

                auto tg_xxxxxyz_xxxxxxy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 145); 

                auto tg_xxxxxyz_xxxxxxz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 146); 

                auto tg_xxxxxyz_xxxxxyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 147); 

                auto tg_xxxxxyz_xxxxxyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 148); 

                auto tg_xxxxxyz_xxxxxzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 149); 

                auto tg_xxxxxyz_xxxxyyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 150); 

                auto tg_xxxxxyz_xxxxyyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 151); 

                auto tg_xxxxxyz_xxxxyzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 152); 

                auto tg_xxxxxyz_xxxxzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 153); 

                auto tg_xxxxxyz_xxxyyyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 154); 

                auto tg_xxxxxyz_xxxyyyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 155); 

                auto tg_xxxxxyz_xxxyyzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 156); 

                auto tg_xxxxxyz_xxxyzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 157); 

                auto tg_xxxxxyz_xxxzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 158); 

                auto tg_xxxxxyz_xxyyyyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 159); 

                auto tg_xxxxxyz_xxyyyyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 160); 

                auto tg_xxxxxyz_xxyyyzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 161); 

                auto tg_xxxxxyz_xxyyzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 162); 

                auto tg_xxxxxyz_xxyzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 163); 

                auto tg_xxxxxyz_xxzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 164); 

                auto tg_xxxxxyz_xyyyyyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 165); 

                auto tg_xxxxxyz_xyyyyyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 166); 

                auto tg_xxxxxyz_xyyyyzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 167); 

                auto tg_xxxxxyz_xyyyzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 168); 

                auto tg_xxxxxyz_xyyzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 169); 

                auto tg_xxxxxyz_xyzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 170); 

                auto tg_xxxxxyz_xzzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 171); 

                auto tg_xxxxxyz_yyyyyyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 172); 

                auto tg_xxxxxyz_yyyyyyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 173); 

                auto tg_xxxxxyz_yyyyyzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 174); 

                auto tg_xxxxxyz_yyyyzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 175); 

                auto tg_xxxxxyz_yyyzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 176); 

                auto tg_xxxxxyz_yyzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 177); 

                auto tg_xxxxxyz_yzzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 178); 

                auto tg_xxxxxyz_zzzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 179); 

                auto tg_xxxxxzz_xxxxxxx_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 180); 

                auto tg_xxxxxzz_xxxxxxy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 181); 

                auto tg_xxxxxzz_xxxxxxz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 182); 

                auto tg_xxxxxzz_xxxxxyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 183); 

                auto tg_xxxxxzz_xxxxxyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 184); 

                auto tg_xxxxxzz_xxxxxzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 185); 

                auto tg_xxxxxzz_xxxxyyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 186); 

                auto tg_xxxxxzz_xxxxyyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 187); 

                auto tg_xxxxxzz_xxxxyzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 188); 

                auto tg_xxxxxzz_xxxxzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 189); 

                auto tg_xxxxxzz_xxxyyyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 190); 

                auto tg_xxxxxzz_xxxyyyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 191); 

                auto tg_xxxxxz_xyyyzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 96); 

                auto tg_xxxxxz_xyyzzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 97); 

                auto tg_xxxxxz_xyzzzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 98); 

                auto tg_xxxxxz_xzzzzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 99); 

                auto tg_xxxxxz_yyyyyyy_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 100); 

                auto tg_xxxxxz_yyyyyyz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 101); 

                auto tg_xxxxxz_yyyyyzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 102); 

                auto tg_xxxxxz_yyyyzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 103); 

                auto tg_xxxxxz_yyyzzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 104); 

                auto tg_xxxxxz_yyzzzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 105); 

                auto tg_xxxxxz_yzzzzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 106); 

                auto tg_xxxxxz_zzzzzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 107); 

                auto tg_xxxxyy_xxxxxxx_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 108); 

                auto tg_xxxxyy_xxxxxxy_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 109); 

                auto tg_xxxxyy_xxxxxxz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 110); 

                auto tg_xxxxyy_xxxxxyy_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 111); 

                auto tg_xxxxyy_xxxxxyz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 112); 

                auto tg_xxxxyy_xxxxxzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 113); 

                auto tg_xxxxyy_xxxxyyy_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 114); 

                auto tg_xxxxyy_xxxxyyz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 115); 

                auto tg_xxxxyy_xxxxyzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 116); 

                auto tg_xxxxyy_xxxxzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 117); 

                auto tg_xxxxyy_xxxyyyy_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 118); 

                auto tg_xxxxyy_xxxyyyz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 119); 

                auto tg_xxxxyy_xxxyyzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 120); 

                auto tg_xxxxyy_xxxyzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 121); 

                auto tg_xxxxyy_xxxzzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 122); 

                auto tg_xxxxyy_xxyyyyy_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 123); 

                auto tg_xxxxyy_xxyyyyz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 124); 

                auto tg_xxxxyy_xxyyyzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 125); 

                auto tg_xxxxyy_xxyyzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 126); 

                auto tg_xxxxyy_xxyzzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 127); 

                auto tg_xxxxyy_xxzzzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 128); 

                auto tg_xxxxyy_xyyyyyy_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 129); 

                auto tg_xxxxyy_xyyyyyz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 130); 

                auto tg_xxxxyy_xyyyyzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 131); 

                auto tg_xxxxyy_xyyyzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 132); 

                auto tg_xxxxyy_xyyzzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 133); 

                auto tg_xxxxyy_xyzzzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 134); 

                auto tg_xxxxyy_xzzzzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 135); 

                auto tg_xxxxyy_yyyyyyy_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 136); 

                auto tg_xxxxyy_yyyyyyz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 137); 

                auto tg_xxxxyy_yyyyyzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 138); 

                auto tg_xxxxyy_yyyyzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 139); 

                auto tg_xxxxyy_yyyzzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 140); 

                auto tg_xxxxyy_yyzzzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 141); 

                auto tg_xxxxyy_yzzzzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 142); 

                auto tg_xxxxyy_zzzzzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 143); 

                auto tg_xxxxyz_xxxxxxx_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 144); 

                auto tg_xxxxyz_xxxxxxy_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 145); 

                auto tg_xxxxyz_xxxxxxz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 146); 

                auto tg_xxxxyz_xxxxxyy_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 147); 

                auto tg_xxxxyz_xxxxxyz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 148); 

                auto tg_xxxxyz_xxxxxzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 149); 

                auto tg_xxxxyz_xxxxyyy_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 150); 

                auto tg_xxxxyz_xxxxyyz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 151); 

                auto tg_xxxxyz_xxxxyzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 152); 

                auto tg_xxxxyz_xxxxzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 153); 

                auto tg_xxxxyz_xxxyyyy_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 154); 

                auto tg_xxxxyz_xxxyyyz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 155); 

                auto tg_xxxxyz_xxxyyzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 156); 

                auto tg_xxxxyz_xxxyzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 157); 

                auto tg_xxxxyz_xxxzzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 158); 

                auto tg_xxxxyz_xxyyyyy_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 159); 

                auto tg_xxxxyz_xxyyyyz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 160); 

                auto tg_xxxxyz_xxyyyzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 161); 

                auto tg_xxxxyz_xxyyzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 162); 

                auto tg_xxxxyz_xxyzzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 163); 

                auto tg_xxxxyz_xxzzzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 164); 

                auto tg_xxxxyz_xyyyyyy_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 165); 

                auto tg_xxxxyz_xyyyyyz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 166); 

                auto tg_xxxxyz_xyyyyzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 167); 

                auto tg_xxxxyz_xyyyzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 168); 

                auto tg_xxxxyz_xyyzzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 169); 

                auto tg_xxxxyz_xyzzzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 170); 

                auto tg_xxxxyz_xzzzzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 171); 

                auto tg_xxxxyz_yyyyyyy_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 172); 

                auto tg_xxxxyz_yyyyyyz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 173); 

                auto tg_xxxxyz_yyyyyzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 174); 

                auto tg_xxxxyz_yyyyzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 175); 

                auto tg_xxxxyz_yyyzzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 176); 

                auto tg_xxxxyz_yyzzzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 177); 

                auto tg_xxxxyz_yzzzzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 178); 

                auto tg_xxxxyz_zzzzzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 179); 

                auto tg_xxxxzz_xxxxxxx_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 180); 

                auto tg_xxxxzz_xxxxxxy_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 181); 

                auto tg_xxxxzz_xxxxxxz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 182); 

                auto tg_xxxxzz_xxxxxyy_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 183); 

                auto tg_xxxxzz_xxxxxyz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 184); 

                auto tg_xxxxzz_xxxxxzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 185); 

                auto tg_xxxxzz_xxxxyyy_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 186); 

                auto tg_xxxxzz_xxxxyyz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 187); 

                auto tg_xxxxzz_xxxxyzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 188); 

                auto tg_xxxxzz_xxxxzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 189); 

                auto tg_xxxxzz_xxxyyyy_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 190); 

                auto tg_xxxxzz_xxxyyyz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 191); 

                auto tg_xxxxxz_xyyyzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 96); 

                auto tg_xxxxxz_xyyzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 97); 

                auto tg_xxxxxz_xyzzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 98); 

                auto tg_xxxxxz_xzzzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 99); 

                auto tg_xxxxxz_yyyyyyy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 100); 

                auto tg_xxxxxz_yyyyyyz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 101); 

                auto tg_xxxxxz_yyyyyzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 102); 

                auto tg_xxxxxz_yyyyzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 103); 

                auto tg_xxxxxz_yyyzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 104); 

                auto tg_xxxxxz_yyzzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 105); 

                auto tg_xxxxxz_yzzzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 106); 

                auto tg_xxxxxz_zzzzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 107); 

                auto tg_xxxxyy_xxxxxxx_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 108); 

                auto tg_xxxxyy_xxxxxxy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 109); 

                auto tg_xxxxyy_xxxxxxz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 110); 

                auto tg_xxxxyy_xxxxxyy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 111); 

                auto tg_xxxxyy_xxxxxyz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 112); 

                auto tg_xxxxyy_xxxxxzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 113); 

                auto tg_xxxxyy_xxxxyyy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 114); 

                auto tg_xxxxyy_xxxxyyz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 115); 

                auto tg_xxxxyy_xxxxyzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 116); 

                auto tg_xxxxyy_xxxxzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 117); 

                auto tg_xxxxyy_xxxyyyy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 118); 

                auto tg_xxxxyy_xxxyyyz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 119); 

                auto tg_xxxxyy_xxxyyzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 120); 

                auto tg_xxxxyy_xxxyzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 121); 

                auto tg_xxxxyy_xxxzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 122); 

                auto tg_xxxxyy_xxyyyyy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 123); 

                auto tg_xxxxyy_xxyyyyz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 124); 

                auto tg_xxxxyy_xxyyyzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 125); 

                auto tg_xxxxyy_xxyyzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 126); 

                auto tg_xxxxyy_xxyzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 127); 

                auto tg_xxxxyy_xxzzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 128); 

                auto tg_xxxxyy_xyyyyyy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 129); 

                auto tg_xxxxyy_xyyyyyz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 130); 

                auto tg_xxxxyy_xyyyyzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 131); 

                auto tg_xxxxyy_xyyyzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 132); 

                auto tg_xxxxyy_xyyzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 133); 

                auto tg_xxxxyy_xyzzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 134); 

                auto tg_xxxxyy_xzzzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 135); 

                auto tg_xxxxyy_yyyyyyy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 136); 

                auto tg_xxxxyy_yyyyyyz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 137); 

                auto tg_xxxxyy_yyyyyzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 138); 

                auto tg_xxxxyy_yyyyzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 139); 

                auto tg_xxxxyy_yyyzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 140); 

                auto tg_xxxxyy_yyzzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 141); 

                auto tg_xxxxyy_yzzzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 142); 

                auto tg_xxxxyy_zzzzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 143); 

                auto tg_xxxxyz_xxxxxxx_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 144); 

                auto tg_xxxxyz_xxxxxxy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 145); 

                auto tg_xxxxyz_xxxxxxz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 146); 

                auto tg_xxxxyz_xxxxxyy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 147); 

                auto tg_xxxxyz_xxxxxyz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 148); 

                auto tg_xxxxyz_xxxxxzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 149); 

                auto tg_xxxxyz_xxxxyyy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 150); 

                auto tg_xxxxyz_xxxxyyz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 151); 

                auto tg_xxxxyz_xxxxyzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 152); 

                auto tg_xxxxyz_xxxxzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 153); 

                auto tg_xxxxyz_xxxyyyy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 154); 

                auto tg_xxxxyz_xxxyyyz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 155); 

                auto tg_xxxxyz_xxxyyzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 156); 

                auto tg_xxxxyz_xxxyzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 157); 

                auto tg_xxxxyz_xxxzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 158); 

                auto tg_xxxxyz_xxyyyyy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 159); 

                auto tg_xxxxyz_xxyyyyz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 160); 

                auto tg_xxxxyz_xxyyyzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 161); 

                auto tg_xxxxyz_xxyyzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 162); 

                auto tg_xxxxyz_xxyzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 163); 

                auto tg_xxxxyz_xxzzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 164); 

                auto tg_xxxxyz_xyyyyyy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 165); 

                auto tg_xxxxyz_xyyyyyz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 166); 

                auto tg_xxxxyz_xyyyyzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 167); 

                auto tg_xxxxyz_xyyyzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 168); 

                auto tg_xxxxyz_xyyzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 169); 

                auto tg_xxxxyz_xyzzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 170); 

                auto tg_xxxxyz_xzzzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 171); 

                auto tg_xxxxyz_yyyyyyy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 172); 

                auto tg_xxxxyz_yyyyyyz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 173); 

                auto tg_xxxxyz_yyyyyzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 174); 

                auto tg_xxxxyz_yyyyzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 175); 

                auto tg_xxxxyz_yyyzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 176); 

                auto tg_xxxxyz_yyzzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 177); 

                auto tg_xxxxyz_yzzzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 178); 

                auto tg_xxxxyz_zzzzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 179); 

                auto tg_xxxxzz_xxxxxxx_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 180); 

                auto tg_xxxxzz_xxxxxxy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 181); 

                auto tg_xxxxzz_xxxxxxz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 182); 

                auto tg_xxxxzz_xxxxxyy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 183); 

                auto tg_xxxxzz_xxxxxyz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 184); 

                auto tg_xxxxzz_xxxxxzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 185); 

                auto tg_xxxxzz_xxxxyyy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 186); 

                auto tg_xxxxzz_xxxxyyz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 187); 

                auto tg_xxxxzz_xxxxyzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 188); 

                auto tg_xxxxzz_xxxxzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 189); 

                auto tg_xxxxzz_xxxyyyy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 190); 

                auto tg_xxxxzz_xxxyyyz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 191); 

                auto tg_xxxxxxz_yyyzzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 80); 

                auto tg_xxxxxxz_yyzzzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 81); 

                auto tg_xxxxxxz_yzzzzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 82); 

                auto tg_xxxxxxz_zzzzzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 83); 

                auto tg_xxxxxyy_xxxxxx_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 84); 

                auto tg_xxxxxyy_xxxxxy_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 85); 

                auto tg_xxxxxyy_xxxxxz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 86); 

                auto tg_xxxxxyy_xxxxyy_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 87); 

                auto tg_xxxxxyy_xxxxyz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 88); 

                auto tg_xxxxxyy_xxxxzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 89); 

                auto tg_xxxxxyy_xxxyyy_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 90); 

                auto tg_xxxxxyy_xxxyyz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 91); 

                auto tg_xxxxxyy_xxxyzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 92); 

                auto tg_xxxxxyy_xxxzzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 93); 

                auto tg_xxxxxyy_xxyyyy_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 94); 

                auto tg_xxxxxyy_xxyyyz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 95); 

                auto tg_xxxxxyy_xxyyzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 96); 

                auto tg_xxxxxyy_xxyzzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 97); 

                auto tg_xxxxxyy_xxzzzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 98); 

                auto tg_xxxxxyy_xyyyyy_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 99); 

                auto tg_xxxxxyy_xyyyyz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 100); 

                auto tg_xxxxxyy_xyyyzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 101); 

                auto tg_xxxxxyy_xyyzzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 102); 

                auto tg_xxxxxyy_xyzzzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 103); 

                auto tg_xxxxxyy_xzzzzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 104); 

                auto tg_xxxxxyy_yyyyyy_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 105); 

                auto tg_xxxxxyy_yyyyyz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 106); 

                auto tg_xxxxxyy_yyyyzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 107); 

                auto tg_xxxxxyy_yyyzzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 108); 

                auto tg_xxxxxyy_yyzzzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 109); 

                auto tg_xxxxxyy_yzzzzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 110); 

                auto tg_xxxxxyy_zzzzzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 111); 

                auto tg_xxxxxyz_xxxxxx_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 112); 

                auto tg_xxxxxyz_xxxxxy_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 113); 

                auto tg_xxxxxyz_xxxxxz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 114); 

                auto tg_xxxxxyz_xxxxyy_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 115); 

                auto tg_xxxxxyz_xxxxyz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 116); 

                auto tg_xxxxxyz_xxxxzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 117); 

                auto tg_xxxxxyz_xxxyyy_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 118); 

                auto tg_xxxxxyz_xxxyyz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 119); 

                auto tg_xxxxxyz_xxxyzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 120); 

                auto tg_xxxxxyz_xxxzzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 121); 

                auto tg_xxxxxyz_xxyyyy_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 122); 

                auto tg_xxxxxyz_xxyyyz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 123); 

                auto tg_xxxxxyz_xxyyzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 124); 

                auto tg_xxxxxyz_xxyzzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 125); 

                auto tg_xxxxxyz_xxzzzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 126); 

                auto tg_xxxxxyz_xyyyyy_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 127); 

                auto tg_xxxxxyz_xyyyyz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 128); 

                auto tg_xxxxxyz_xyyyzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 129); 

                auto tg_xxxxxyz_xyyzzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 130); 

                auto tg_xxxxxyz_xyzzzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 131); 

                auto tg_xxxxxyz_xzzzzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 132); 

                auto tg_xxxxxyz_yyyyyy_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 133); 

                auto tg_xxxxxyz_yyyyyz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 134); 

                auto tg_xxxxxyz_yyyyzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 135); 

                auto tg_xxxxxyz_yyyzzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 136); 

                auto tg_xxxxxyz_yyzzzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 137); 

                auto tg_xxxxxyz_yzzzzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 138); 

                auto tg_xxxxxyz_zzzzzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 139); 

                auto tg_xxxxxzz_xxxxxx_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 140); 

                auto tg_xxxxxzz_xxxxxy_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 141); 

                auto tg_xxxxxzz_xxxxxz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 142); 

                auto tg_xxxxxzz_xxxxyy_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 143); 

                auto tg_xxxxxzz_xxxxyz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 144); 

                auto tg_xxxxxzz_xxxxzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 145); 

                auto tg_xxxxxzz_xxxyyy_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 146); 

                auto tg_xxxxxzz_xxxyyz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 147); 

                auto tg_xxxxxzz_xxxyzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 148); 

                auto tg_xxxxxzz_xxxzzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 149); 

                auto tg_xxxxxzz_xxyyyy_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 150); 

                auto tg_xxxxxzz_xxyyyz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 151); 

                // set up pointers to integrals

                auto tg_xxxxxxxz_xyyyzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 96); 

                auto tg_xxxxxxxz_xyyzzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 97); 

                auto tg_xxxxxxxz_xyzzzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 98); 

                auto tg_xxxxxxxz_xzzzzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 99); 

                auto tg_xxxxxxxz_yyyyyyy_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 100); 

                auto tg_xxxxxxxz_yyyyyyz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 101); 

                auto tg_xxxxxxxz_yyyyyzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 102); 

                auto tg_xxxxxxxz_yyyyzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 103); 

                auto tg_xxxxxxxz_yyyzzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 104); 

                auto tg_xxxxxxxz_yyzzzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 105); 

                auto tg_xxxxxxxz_yzzzzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 106); 

                auto tg_xxxxxxxz_zzzzzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 107); 

                auto tg_xxxxxxyy_xxxxxxx_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 108); 

                auto tg_xxxxxxyy_xxxxxxy_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 109); 

                auto tg_xxxxxxyy_xxxxxxz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 110); 

                auto tg_xxxxxxyy_xxxxxyy_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 111); 

                auto tg_xxxxxxyy_xxxxxyz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 112); 

                auto tg_xxxxxxyy_xxxxxzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 113); 

                auto tg_xxxxxxyy_xxxxyyy_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 114); 

                auto tg_xxxxxxyy_xxxxyyz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 115); 

                auto tg_xxxxxxyy_xxxxyzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 116); 

                auto tg_xxxxxxyy_xxxxzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 117); 

                auto tg_xxxxxxyy_xxxyyyy_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 118); 

                auto tg_xxxxxxyy_xxxyyyz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 119); 

                auto tg_xxxxxxyy_xxxyyzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 120); 

                auto tg_xxxxxxyy_xxxyzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 121); 

                auto tg_xxxxxxyy_xxxzzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 122); 

                auto tg_xxxxxxyy_xxyyyyy_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 123); 

                auto tg_xxxxxxyy_xxyyyyz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 124); 

                auto tg_xxxxxxyy_xxyyyzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 125); 

                auto tg_xxxxxxyy_xxyyzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 126); 

                auto tg_xxxxxxyy_xxyzzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 127); 

                auto tg_xxxxxxyy_xxzzzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 128); 

                auto tg_xxxxxxyy_xyyyyyy_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 129); 

                auto tg_xxxxxxyy_xyyyyyz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 130); 

                auto tg_xxxxxxyy_xyyyyzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 131); 

                auto tg_xxxxxxyy_xyyyzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 132); 

                auto tg_xxxxxxyy_xyyzzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 133); 

                auto tg_xxxxxxyy_xyzzzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 134); 

                auto tg_xxxxxxyy_xzzzzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 135); 

                auto tg_xxxxxxyy_yyyyyyy_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 136); 

                auto tg_xxxxxxyy_yyyyyyz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 137); 

                auto tg_xxxxxxyy_yyyyyzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 138); 

                auto tg_xxxxxxyy_yyyyzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 139); 

                auto tg_xxxxxxyy_yyyzzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 140); 

                auto tg_xxxxxxyy_yyzzzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 141); 

                auto tg_xxxxxxyy_yzzzzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 142); 

                auto tg_xxxxxxyy_zzzzzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 143); 

                auto tg_xxxxxxyz_xxxxxxx_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 144); 

                auto tg_xxxxxxyz_xxxxxxy_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 145); 

                auto tg_xxxxxxyz_xxxxxxz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 146); 

                auto tg_xxxxxxyz_xxxxxyy_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 147); 

                auto tg_xxxxxxyz_xxxxxyz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 148); 

                auto tg_xxxxxxyz_xxxxxzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 149); 

                auto tg_xxxxxxyz_xxxxyyy_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 150); 

                auto tg_xxxxxxyz_xxxxyyz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 151); 

                auto tg_xxxxxxyz_xxxxyzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 152); 

                auto tg_xxxxxxyz_xxxxzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 153); 

                auto tg_xxxxxxyz_xxxyyyy_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 154); 

                auto tg_xxxxxxyz_xxxyyyz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 155); 

                auto tg_xxxxxxyz_xxxyyzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 156); 

                auto tg_xxxxxxyz_xxxyzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 157); 

                auto tg_xxxxxxyz_xxxzzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 158); 

                auto tg_xxxxxxyz_xxyyyyy_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 159); 

                auto tg_xxxxxxyz_xxyyyyz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 160); 

                auto tg_xxxxxxyz_xxyyyzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 161); 

                auto tg_xxxxxxyz_xxyyzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 162); 

                auto tg_xxxxxxyz_xxyzzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 163); 

                auto tg_xxxxxxyz_xxzzzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 164); 

                auto tg_xxxxxxyz_xyyyyyy_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 165); 

                auto tg_xxxxxxyz_xyyyyyz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 166); 

                auto tg_xxxxxxyz_xyyyyzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 167); 

                auto tg_xxxxxxyz_xyyyzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 168); 

                auto tg_xxxxxxyz_xyyzzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 169); 

                auto tg_xxxxxxyz_xyzzzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 170); 

                auto tg_xxxxxxyz_xzzzzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 171); 

                auto tg_xxxxxxyz_yyyyyyy_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 172); 

                auto tg_xxxxxxyz_yyyyyyz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 173); 

                auto tg_xxxxxxyz_yyyyyzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 174); 

                auto tg_xxxxxxyz_yyyyzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 175); 

                auto tg_xxxxxxyz_yyyzzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 176); 

                auto tg_xxxxxxyz_yyzzzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 177); 

                auto tg_xxxxxxyz_yzzzzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 178); 

                auto tg_xxxxxxyz_zzzzzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 179); 

                auto tg_xxxxxxzz_xxxxxxx_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 180); 

                auto tg_xxxxxxzz_xxxxxxy_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 181); 

                auto tg_xxxxxxzz_xxxxxxz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 182); 

                auto tg_xxxxxxzz_xxxxxyy_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 183); 

                auto tg_xxxxxxzz_xxxxxyz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 184); 

                auto tg_xxxxxxzz_xxxxxzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 185); 

                auto tg_xxxxxxzz_xxxxyyy_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 186); 

                auto tg_xxxxxxzz_xxxxyyz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 187); 

                auto tg_xxxxxxzz_xxxxyzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 188); 

                auto tg_xxxxxxzz_xxxxzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 189); 

                auto tg_xxxxxxzz_xxxyyyy_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 190); 

                auto tg_xxxxxxzz_xxxyyyz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 191); 

                // Batch of Integrals (96,192)

                #pragma omp simd aligned(fxn, fza, tg_xxxxxxxz_xyyyzzz_0, tg_xxxxxxxz_xyyzzzz_0, \
                                         tg_xxxxxxxz_xyzzzzz_0, tg_xxxxxxxz_xzzzzzz_0, tg_xxxxxxxz_yyyyyyy_0, \
                                         tg_xxxxxxxz_yyyyyyz_0, tg_xxxxxxxz_yyyyyzz_0, tg_xxxxxxxz_yyyyzzz_0, \
                                         tg_xxxxxxxz_yyyzzzz_0, tg_xxxxxxxz_yyzzzzz_0, tg_xxxxxxxz_yzzzzzz_0, \
                                         tg_xxxxxxxz_zzzzzzz_0, tg_xxxxxxyy_xxxxxxx_0, tg_xxxxxxyy_xxxxxxy_0, \
                                         tg_xxxxxxyy_xxxxxxz_0, tg_xxxxxxyy_xxxxxyy_0, tg_xxxxxxyy_xxxxxyz_0, \
                                         tg_xxxxxxyy_xxxxxzz_0, tg_xxxxxxyy_xxxxyyy_0, tg_xxxxxxyy_xxxxyyz_0, \
                                         tg_xxxxxxyy_xxxxyzz_0, tg_xxxxxxyy_xxxxzzz_0, tg_xxxxxxyy_xxxyyyy_0, \
                                         tg_xxxxxxyy_xxxyyyz_0, tg_xxxxxxyy_xxxyyzz_0, tg_xxxxxxyy_xxxyzzz_0, \
                                         tg_xxxxxxyy_xxxzzzz_0, tg_xxxxxxyy_xxyyyyy_0, tg_xxxxxxyy_xxyyyyz_0, \
                                         tg_xxxxxxyy_xxyyyzz_0, tg_xxxxxxyy_xxyyzzz_0, tg_xxxxxxyy_xxyzzzz_0, \
                                         tg_xxxxxxyy_xxzzzzz_0, tg_xxxxxxyy_xyyyyyy_0, tg_xxxxxxyy_xyyyyyz_0, \
                                         tg_xxxxxxyy_xyyyyzz_0, tg_xxxxxxyy_xyyyzzz_0, tg_xxxxxxyy_xyyzzzz_0, \
                                         tg_xxxxxxyy_xyzzzzz_0, tg_xxxxxxyy_xzzzzzz_0, tg_xxxxxxyy_yyyyyyy_0, \
                                         tg_xxxxxxyy_yyyyyyz_0, tg_xxxxxxyy_yyyyyzz_0, tg_xxxxxxyy_yyyyzzz_0, \
                                         tg_xxxxxxyy_yyyzzzz_0, tg_xxxxxxyy_yyzzzzz_0, tg_xxxxxxyy_yzzzzzz_0, \
                                         tg_xxxxxxyy_zzzzzzz_0, tg_xxxxxxyz_xxxxxxx_0, tg_xxxxxxyz_xxxxxxy_0, \
                                         tg_xxxxxxyz_xxxxxxz_0, tg_xxxxxxyz_xxxxxyy_0, tg_xxxxxxyz_xxxxxyz_0, \
                                         tg_xxxxxxyz_xxxxxzz_0, tg_xxxxxxyz_xxxxyyy_0, tg_xxxxxxyz_xxxxyyz_0, \
                                         tg_xxxxxxyz_xxxxyzz_0, tg_xxxxxxyz_xxxxzzz_0, tg_xxxxxxyz_xxxyyyy_0, \
                                         tg_xxxxxxyz_xxxyyyz_0, tg_xxxxxxyz_xxxyyzz_0, tg_xxxxxxyz_xxxyzzz_0, \
                                         tg_xxxxxxyz_xxxzzzz_0, tg_xxxxxxyz_xxyyyyy_0, tg_xxxxxxyz_xxyyyyz_0, \
                                         tg_xxxxxxyz_xxyyyzz_0, tg_xxxxxxyz_xxyyzzz_0, tg_xxxxxxyz_xxyzzzz_0, \
                                         tg_xxxxxxyz_xxzzzzz_0, tg_xxxxxxyz_xyyyyyy_0, tg_xxxxxxyz_xyyyyyz_0, \
                                         tg_xxxxxxyz_xyyyyzz_0, tg_xxxxxxyz_xyyyzzz_0, tg_xxxxxxyz_xyyzzzz_0, \
                                         tg_xxxxxxyz_xyzzzzz_0, tg_xxxxxxyz_xzzzzzz_0, tg_xxxxxxyz_yyyyyyy_0, \
                                         tg_xxxxxxyz_yyyyyyz_0, tg_xxxxxxyz_yyyyyzz_0, tg_xxxxxxyz_yyyyzzz_0, \
                                         tg_xxxxxxyz_yyyzzzz_0, tg_xxxxxxyz_yyzzzzz_0, tg_xxxxxxyz_yzzzzzz_0, \
                                         tg_xxxxxxyz_zzzzzzz_0, tg_xxxxxxz_xyyyzzz_0, tg_xxxxxxz_xyyyzzz_1, tg_xxxxxxz_xyyzzzz_0, \
                                         tg_xxxxxxz_xyyzzzz_1, tg_xxxxxxz_xyzzzzz_0, tg_xxxxxxz_xyzzzzz_1, tg_xxxxxxz_xzzzzzz_0, \
                                         tg_xxxxxxz_xzzzzzz_1, tg_xxxxxxz_yyyyyyy_0, tg_xxxxxxz_yyyyyyy_1, tg_xxxxxxz_yyyyyyz_0, \
                                         tg_xxxxxxz_yyyyyyz_1, tg_xxxxxxz_yyyyyzz_0, tg_xxxxxxz_yyyyyzz_1, tg_xxxxxxz_yyyyzzz_0, \
                                         tg_xxxxxxz_yyyyzzz_1, tg_xxxxxxz_yyyzzz_1, tg_xxxxxxz_yyyzzzz_0, tg_xxxxxxz_yyyzzzz_1, \
                                         tg_xxxxxxz_yyzzzz_1, tg_xxxxxxz_yyzzzzz_0, tg_xxxxxxz_yyzzzzz_1, tg_xxxxxxz_yzzzzz_1, \
                                         tg_xxxxxxz_yzzzzzz_0, tg_xxxxxxz_yzzzzzz_1, tg_xxxxxxz_zzzzzz_1, tg_xxxxxxz_zzzzzzz_0, \
                                         tg_xxxxxxz_zzzzzzz_1, tg_xxxxxxzz_xxxxxxx_0, tg_xxxxxxzz_xxxxxxy_0, \
                                         tg_xxxxxxzz_xxxxxxz_0, tg_xxxxxxzz_xxxxxyy_0, tg_xxxxxxzz_xxxxxyz_0, \
                                         tg_xxxxxxzz_xxxxxzz_0, tg_xxxxxxzz_xxxxyyy_0, tg_xxxxxxzz_xxxxyyz_0, \
                                         tg_xxxxxxzz_xxxxyzz_0, tg_xxxxxxzz_xxxxzzz_0, tg_xxxxxxzz_xxxyyyy_0, \
                                         tg_xxxxxxzz_xxxyyyz_0, tg_xxxxxyy_xxxxxx_1, tg_xxxxxyy_xxxxxxx_0, tg_xxxxxyy_xxxxxxx_1, \
                                         tg_xxxxxyy_xxxxxxy_0, tg_xxxxxyy_xxxxxxy_1, tg_xxxxxyy_xxxxxxz_0, tg_xxxxxyy_xxxxxxz_1, \
                                         tg_xxxxxyy_xxxxxy_1, tg_xxxxxyy_xxxxxyy_0, tg_xxxxxyy_xxxxxyy_1, tg_xxxxxyy_xxxxxyz_0, \
                                         tg_xxxxxyy_xxxxxyz_1, tg_xxxxxyy_xxxxxz_1, tg_xxxxxyy_xxxxxzz_0, tg_xxxxxyy_xxxxxzz_1, \
                                         tg_xxxxxyy_xxxxyy_1, tg_xxxxxyy_xxxxyyy_0, tg_xxxxxyy_xxxxyyy_1, tg_xxxxxyy_xxxxyyz_0, \
                                         tg_xxxxxyy_xxxxyyz_1, tg_xxxxxyy_xxxxyz_1, tg_xxxxxyy_xxxxyzz_0, tg_xxxxxyy_xxxxyzz_1, \
                                         tg_xxxxxyy_xxxxzz_1, tg_xxxxxyy_xxxxzzz_0, tg_xxxxxyy_xxxxzzz_1, tg_xxxxxyy_xxxyyy_1, \
                                         tg_xxxxxyy_xxxyyyy_0, tg_xxxxxyy_xxxyyyy_1, tg_xxxxxyy_xxxyyyz_0, tg_xxxxxyy_xxxyyyz_1, \
                                         tg_xxxxxyy_xxxyyz_1, tg_xxxxxyy_xxxyyzz_0, tg_xxxxxyy_xxxyyzz_1, tg_xxxxxyy_xxxyzz_1, \
                                         tg_xxxxxyy_xxxyzzz_0, tg_xxxxxyy_xxxyzzz_1, tg_xxxxxyy_xxxzzz_1, tg_xxxxxyy_xxxzzzz_0, \
                                         tg_xxxxxyy_xxxzzzz_1, tg_xxxxxyy_xxyyyy_1, tg_xxxxxyy_xxyyyyy_0, tg_xxxxxyy_xxyyyyy_1, \
                                         tg_xxxxxyy_xxyyyyz_0, tg_xxxxxyy_xxyyyyz_1, tg_xxxxxyy_xxyyyz_1, tg_xxxxxyy_xxyyyzz_0, \
                                         tg_xxxxxyy_xxyyyzz_1, tg_xxxxxyy_xxyyzz_1, tg_xxxxxyy_xxyyzzz_0, tg_xxxxxyy_xxyyzzz_1, \
                                         tg_xxxxxyy_xxyzzz_1, tg_xxxxxyy_xxyzzzz_0, tg_xxxxxyy_xxyzzzz_1, tg_xxxxxyy_xxzzzz_1, \
                                         tg_xxxxxyy_xxzzzzz_0, tg_xxxxxyy_xxzzzzz_1, tg_xxxxxyy_xyyyyy_1, tg_xxxxxyy_xyyyyyy_0, \
                                         tg_xxxxxyy_xyyyyyy_1, tg_xxxxxyy_xyyyyyz_0, tg_xxxxxyy_xyyyyyz_1, tg_xxxxxyy_xyyyyz_1, \
                                         tg_xxxxxyy_xyyyyzz_0, tg_xxxxxyy_xyyyyzz_1, tg_xxxxxyy_xyyyzz_1, tg_xxxxxyy_xyyyzzz_0, \
                                         tg_xxxxxyy_xyyyzzz_1, tg_xxxxxyy_xyyzzz_1, tg_xxxxxyy_xyyzzzz_0, tg_xxxxxyy_xyyzzzz_1, \
                                         tg_xxxxxyy_xyzzzz_1, tg_xxxxxyy_xyzzzzz_0, tg_xxxxxyy_xyzzzzz_1, tg_xxxxxyy_xzzzzz_1, \
                                         tg_xxxxxyy_xzzzzzz_0, tg_xxxxxyy_xzzzzzz_1, tg_xxxxxyy_yyyyyy_1, tg_xxxxxyy_yyyyyyy_0, \
                                         tg_xxxxxyy_yyyyyyy_1, tg_xxxxxyy_yyyyyyz_0, tg_xxxxxyy_yyyyyyz_1, tg_xxxxxyy_yyyyyz_1, \
                                         tg_xxxxxyy_yyyyyzz_0, tg_xxxxxyy_yyyyyzz_1, tg_xxxxxyy_yyyyzz_1, tg_xxxxxyy_yyyyzzz_0, \
                                         tg_xxxxxyy_yyyyzzz_1, tg_xxxxxyy_yyyzzz_1, tg_xxxxxyy_yyyzzzz_0, tg_xxxxxyy_yyyzzzz_1, \
                                         tg_xxxxxyy_yyzzzz_1, tg_xxxxxyy_yyzzzzz_0, tg_xxxxxyy_yyzzzzz_1, tg_xxxxxyy_yzzzzz_1, \
                                         tg_xxxxxyy_yzzzzzz_0, tg_xxxxxyy_yzzzzzz_1, tg_xxxxxyy_zzzzzz_1, tg_xxxxxyy_zzzzzzz_0, \
                                         tg_xxxxxyy_zzzzzzz_1, tg_xxxxxyz_xxxxxx_1, tg_xxxxxyz_xxxxxxx_0, tg_xxxxxyz_xxxxxxx_1, \
                                         tg_xxxxxyz_xxxxxxy_0, tg_xxxxxyz_xxxxxxy_1, tg_xxxxxyz_xxxxxxz_0, tg_xxxxxyz_xxxxxxz_1, \
                                         tg_xxxxxyz_xxxxxy_1, tg_xxxxxyz_xxxxxyy_0, tg_xxxxxyz_xxxxxyy_1, tg_xxxxxyz_xxxxxyz_0, \
                                         tg_xxxxxyz_xxxxxyz_1, tg_xxxxxyz_xxxxxz_1, tg_xxxxxyz_xxxxxzz_0, tg_xxxxxyz_xxxxxzz_1, \
                                         tg_xxxxxyz_xxxxyy_1, tg_xxxxxyz_xxxxyyy_0, tg_xxxxxyz_xxxxyyy_1, tg_xxxxxyz_xxxxyyz_0, \
                                         tg_xxxxxyz_xxxxyyz_1, tg_xxxxxyz_xxxxyz_1, tg_xxxxxyz_xxxxyzz_0, tg_xxxxxyz_xxxxyzz_1, \
                                         tg_xxxxxyz_xxxxzz_1, tg_xxxxxyz_xxxxzzz_0, tg_xxxxxyz_xxxxzzz_1, tg_xxxxxyz_xxxyyy_1, \
                                         tg_xxxxxyz_xxxyyyy_0, tg_xxxxxyz_xxxyyyy_1, tg_xxxxxyz_xxxyyyz_0, tg_xxxxxyz_xxxyyyz_1, \
                                         tg_xxxxxyz_xxxyyz_1, tg_xxxxxyz_xxxyyzz_0, tg_xxxxxyz_xxxyyzz_1, tg_xxxxxyz_xxxyzz_1, \
                                         tg_xxxxxyz_xxxyzzz_0, tg_xxxxxyz_xxxyzzz_1, tg_xxxxxyz_xxxzzz_1, tg_xxxxxyz_xxxzzzz_0, \
                                         tg_xxxxxyz_xxxzzzz_1, tg_xxxxxyz_xxyyyy_1, tg_xxxxxyz_xxyyyyy_0, tg_xxxxxyz_xxyyyyy_1, \
                                         tg_xxxxxyz_xxyyyyz_0, tg_xxxxxyz_xxyyyyz_1, tg_xxxxxyz_xxyyyz_1, tg_xxxxxyz_xxyyyzz_0, \
                                         tg_xxxxxyz_xxyyyzz_1, tg_xxxxxyz_xxyyzz_1, tg_xxxxxyz_xxyyzzz_0, tg_xxxxxyz_xxyyzzz_1, \
                                         tg_xxxxxyz_xxyzzz_1, tg_xxxxxyz_xxyzzzz_0, tg_xxxxxyz_xxyzzzz_1, tg_xxxxxyz_xxzzzz_1, \
                                         tg_xxxxxyz_xxzzzzz_0, tg_xxxxxyz_xxzzzzz_1, tg_xxxxxyz_xyyyyy_1, tg_xxxxxyz_xyyyyyy_0, \
                                         tg_xxxxxyz_xyyyyyy_1, tg_xxxxxyz_xyyyyyz_0, tg_xxxxxyz_xyyyyyz_1, tg_xxxxxyz_xyyyyz_1, \
                                         tg_xxxxxyz_xyyyyzz_0, tg_xxxxxyz_xyyyyzz_1, tg_xxxxxyz_xyyyzz_1, tg_xxxxxyz_xyyyzzz_0, \
                                         tg_xxxxxyz_xyyyzzz_1, tg_xxxxxyz_xyyzzz_1, tg_xxxxxyz_xyyzzzz_0, tg_xxxxxyz_xyyzzzz_1, \
                                         tg_xxxxxyz_xyzzzz_1, tg_xxxxxyz_xyzzzzz_0, tg_xxxxxyz_xyzzzzz_1, tg_xxxxxyz_xzzzzz_1, \
                                         tg_xxxxxyz_xzzzzzz_0, tg_xxxxxyz_xzzzzzz_1, tg_xxxxxyz_yyyyyy_1, tg_xxxxxyz_yyyyyyy_0, \
                                         tg_xxxxxyz_yyyyyyy_1, tg_xxxxxyz_yyyyyyz_0, tg_xxxxxyz_yyyyyyz_1, tg_xxxxxyz_yyyyyz_1, \
                                         tg_xxxxxyz_yyyyyzz_0, tg_xxxxxyz_yyyyyzz_1, tg_xxxxxyz_yyyyzz_1, tg_xxxxxyz_yyyyzzz_0, \
                                         tg_xxxxxyz_yyyyzzz_1, tg_xxxxxyz_yyyzzz_1, tg_xxxxxyz_yyyzzzz_0, tg_xxxxxyz_yyyzzzz_1, \
                                         tg_xxxxxyz_yyzzzz_1, tg_xxxxxyz_yyzzzzz_0, tg_xxxxxyz_yyzzzzz_1, tg_xxxxxyz_yzzzzz_1, \
                                         tg_xxxxxyz_yzzzzzz_0, tg_xxxxxyz_yzzzzzz_1, tg_xxxxxyz_zzzzzz_1, tg_xxxxxyz_zzzzzzz_0, \
                                         tg_xxxxxyz_zzzzzzz_1, tg_xxxxxz_xyyyzzz_0, tg_xxxxxz_xyyyzzz_1, tg_xxxxxz_xyyzzzz_0, \
                                         tg_xxxxxz_xyyzzzz_1, tg_xxxxxz_xyzzzzz_0, tg_xxxxxz_xyzzzzz_1, tg_xxxxxz_xzzzzzz_0, \
                                         tg_xxxxxz_xzzzzzz_1, tg_xxxxxz_yyyyyyy_0, tg_xxxxxz_yyyyyyy_1, tg_xxxxxz_yyyyyyz_0, \
                                         tg_xxxxxz_yyyyyyz_1, tg_xxxxxz_yyyyyzz_0, tg_xxxxxz_yyyyyzz_1, tg_xxxxxz_yyyyzzz_0, \
                                         tg_xxxxxz_yyyyzzz_1, tg_xxxxxz_yyyzzzz_0, tg_xxxxxz_yyyzzzz_1, tg_xxxxxz_yyzzzzz_0, \
                                         tg_xxxxxz_yyzzzzz_1, tg_xxxxxz_yzzzzzz_0, tg_xxxxxz_yzzzzzz_1, tg_xxxxxz_zzzzzzz_0, \
                                         tg_xxxxxz_zzzzzzz_1, tg_xxxxxzz_xxxxxx_1, tg_xxxxxzz_xxxxxxx_0, tg_xxxxxzz_xxxxxxx_1, \
                                         tg_xxxxxzz_xxxxxxy_0, tg_xxxxxzz_xxxxxxy_1, tg_xxxxxzz_xxxxxxz_0, tg_xxxxxzz_xxxxxxz_1, \
                                         tg_xxxxxzz_xxxxxy_1, tg_xxxxxzz_xxxxxyy_0, tg_xxxxxzz_xxxxxyy_1, tg_xxxxxzz_xxxxxyz_0, \
                                         tg_xxxxxzz_xxxxxyz_1, tg_xxxxxzz_xxxxxz_1, tg_xxxxxzz_xxxxxzz_0, tg_xxxxxzz_xxxxxzz_1, \
                                         tg_xxxxxzz_xxxxyy_1, tg_xxxxxzz_xxxxyyy_0, tg_xxxxxzz_xxxxyyy_1, tg_xxxxxzz_xxxxyyz_0, \
                                         tg_xxxxxzz_xxxxyyz_1, tg_xxxxxzz_xxxxyz_1, tg_xxxxxzz_xxxxyzz_0, tg_xxxxxzz_xxxxyzz_1, \
                                         tg_xxxxxzz_xxxxzz_1, tg_xxxxxzz_xxxxzzz_0, tg_xxxxxzz_xxxxzzz_1, tg_xxxxxzz_xxxyyy_1, \
                                         tg_xxxxxzz_xxxyyyy_0, tg_xxxxxzz_xxxyyyy_1, tg_xxxxxzz_xxxyyyz_0, tg_xxxxxzz_xxxyyyz_1, \
                                         tg_xxxxxzz_xxxyyz_1, tg_xxxxxzz_xxxyzz_1, tg_xxxxxzz_xxxzzz_1, tg_xxxxxzz_xxyyyy_1, \
                                         tg_xxxxxzz_xxyyyz_1, tg_xxxxyy_xxxxxxx_0, tg_xxxxyy_xxxxxxx_1, tg_xxxxyy_xxxxxxy_0, \
                                         tg_xxxxyy_xxxxxxy_1, tg_xxxxyy_xxxxxxz_0, tg_xxxxyy_xxxxxxz_1, tg_xxxxyy_xxxxxyy_0, \
                                         tg_xxxxyy_xxxxxyy_1, tg_xxxxyy_xxxxxyz_0, tg_xxxxyy_xxxxxyz_1, tg_xxxxyy_xxxxxzz_0, \
                                         tg_xxxxyy_xxxxxzz_1, tg_xxxxyy_xxxxyyy_0, tg_xxxxyy_xxxxyyy_1, tg_xxxxyy_xxxxyyz_0, \
                                         tg_xxxxyy_xxxxyyz_1, tg_xxxxyy_xxxxyzz_0, tg_xxxxyy_xxxxyzz_1, tg_xxxxyy_xxxxzzz_0, \
                                         tg_xxxxyy_xxxxzzz_1, tg_xxxxyy_xxxyyyy_0, tg_xxxxyy_xxxyyyy_1, tg_xxxxyy_xxxyyyz_0, \
                                         tg_xxxxyy_xxxyyyz_1, tg_xxxxyy_xxxyyzz_0, tg_xxxxyy_xxxyyzz_1, tg_xxxxyy_xxxyzzz_0, \
                                         tg_xxxxyy_xxxyzzz_1, tg_xxxxyy_xxxzzzz_0, tg_xxxxyy_xxxzzzz_1, tg_xxxxyy_xxyyyyy_0, \
                                         tg_xxxxyy_xxyyyyy_1, tg_xxxxyy_xxyyyyz_0, tg_xxxxyy_xxyyyyz_1, tg_xxxxyy_xxyyyzz_0, \
                                         tg_xxxxyy_xxyyyzz_1, tg_xxxxyy_xxyyzzz_0, tg_xxxxyy_xxyyzzz_1, tg_xxxxyy_xxyzzzz_0, \
                                         tg_xxxxyy_xxyzzzz_1, tg_xxxxyy_xxzzzzz_0, tg_xxxxyy_xxzzzzz_1, tg_xxxxyy_xyyyyyy_0, \
                                         tg_xxxxyy_xyyyyyy_1, tg_xxxxyy_xyyyyyz_0, tg_xxxxyy_xyyyyyz_1, tg_xxxxyy_xyyyyzz_0, \
                                         tg_xxxxyy_xyyyyzz_1, tg_xxxxyy_xyyyzzz_0, tg_xxxxyy_xyyyzzz_1, tg_xxxxyy_xyyzzzz_0, \
                                         tg_xxxxyy_xyyzzzz_1, tg_xxxxyy_xyzzzzz_0, tg_xxxxyy_xyzzzzz_1, tg_xxxxyy_xzzzzzz_0, \
                                         tg_xxxxyy_xzzzzzz_1, tg_xxxxyy_yyyyyyy_0, tg_xxxxyy_yyyyyyy_1, tg_xxxxyy_yyyyyyz_0, \
                                         tg_xxxxyy_yyyyyyz_1, tg_xxxxyy_yyyyyzz_0, tg_xxxxyy_yyyyyzz_1, tg_xxxxyy_yyyyzzz_0, \
                                         tg_xxxxyy_yyyyzzz_1, tg_xxxxyy_yyyzzzz_0, tg_xxxxyy_yyyzzzz_1, tg_xxxxyy_yyzzzzz_0, \
                                         tg_xxxxyy_yyzzzzz_1, tg_xxxxyy_yzzzzzz_0, tg_xxxxyy_yzzzzzz_1, tg_xxxxyy_zzzzzzz_0, \
                                         tg_xxxxyy_zzzzzzz_1, tg_xxxxyz_xxxxxxx_0, tg_xxxxyz_xxxxxxx_1, tg_xxxxyz_xxxxxxy_0, \
                                         tg_xxxxyz_xxxxxxy_1, tg_xxxxyz_xxxxxxz_0, tg_xxxxyz_xxxxxxz_1, tg_xxxxyz_xxxxxyy_0, \
                                         tg_xxxxyz_xxxxxyy_1, tg_xxxxyz_xxxxxyz_0, tg_xxxxyz_xxxxxyz_1, tg_xxxxyz_xxxxxzz_0, \
                                         tg_xxxxyz_xxxxxzz_1, tg_xxxxyz_xxxxyyy_0, tg_xxxxyz_xxxxyyy_1, tg_xxxxyz_xxxxyyz_0, \
                                         tg_xxxxyz_xxxxyyz_1, tg_xxxxyz_xxxxyzz_0, tg_xxxxyz_xxxxyzz_1, tg_xxxxyz_xxxxzzz_0, \
                                         tg_xxxxyz_xxxxzzz_1, tg_xxxxyz_xxxyyyy_0, tg_xxxxyz_xxxyyyy_1, tg_xxxxyz_xxxyyyz_0, \
                                         tg_xxxxyz_xxxyyyz_1, tg_xxxxyz_xxxyyzz_0, tg_xxxxyz_xxxyyzz_1, tg_xxxxyz_xxxyzzz_0, \
                                         tg_xxxxyz_xxxyzzz_1, tg_xxxxyz_xxxzzzz_0, tg_xxxxyz_xxxzzzz_1, tg_xxxxyz_xxyyyyy_0, \
                                         tg_xxxxyz_xxyyyyy_1, tg_xxxxyz_xxyyyyz_0, tg_xxxxyz_xxyyyyz_1, tg_xxxxyz_xxyyyzz_0, \
                                         tg_xxxxyz_xxyyyzz_1, tg_xxxxyz_xxyyzzz_0, tg_xxxxyz_xxyyzzz_1, tg_xxxxyz_xxyzzzz_0, \
                                         tg_xxxxyz_xxyzzzz_1, tg_xxxxyz_xxzzzzz_0, tg_xxxxyz_xxzzzzz_1, tg_xxxxyz_xyyyyyy_0, \
                                         tg_xxxxyz_xyyyyyy_1, tg_xxxxyz_xyyyyyz_0, tg_xxxxyz_xyyyyyz_1, tg_xxxxyz_xyyyyzz_0, \
                                         tg_xxxxyz_xyyyyzz_1, tg_xxxxyz_xyyyzzz_0, tg_xxxxyz_xyyyzzz_1, tg_xxxxyz_xyyzzzz_0, \
                                         tg_xxxxyz_xyyzzzz_1, tg_xxxxyz_xyzzzzz_0, tg_xxxxyz_xyzzzzz_1, tg_xxxxyz_xzzzzzz_0, \
                                         tg_xxxxyz_xzzzzzz_1, tg_xxxxyz_yyyyyyy_0, tg_xxxxyz_yyyyyyy_1, tg_xxxxyz_yyyyyyz_0, \
                                         tg_xxxxyz_yyyyyyz_1, tg_xxxxyz_yyyyyzz_0, tg_xxxxyz_yyyyyzz_1, tg_xxxxyz_yyyyzzz_0, \
                                         tg_xxxxyz_yyyyzzz_1, tg_xxxxyz_yyyzzzz_0, tg_xxxxyz_yyyzzzz_1, tg_xxxxyz_yyzzzzz_0, \
                                         tg_xxxxyz_yyzzzzz_1, tg_xxxxyz_yzzzzzz_0, tg_xxxxyz_yzzzzzz_1, tg_xxxxyz_zzzzzzz_0, \
                                         tg_xxxxyz_zzzzzzz_1, tg_xxxxzz_xxxxxxx_0, tg_xxxxzz_xxxxxxx_1, tg_xxxxzz_xxxxxxy_0, \
                                         tg_xxxxzz_xxxxxxy_1, tg_xxxxzz_xxxxxxz_0, tg_xxxxzz_xxxxxxz_1, tg_xxxxzz_xxxxxyy_0, \
                                         tg_xxxxzz_xxxxxyy_1, tg_xxxxzz_xxxxxyz_0, tg_xxxxzz_xxxxxyz_1, tg_xxxxzz_xxxxxzz_0, \
                                         tg_xxxxzz_xxxxxzz_1, tg_xxxxzz_xxxxyyy_0, tg_xxxxzz_xxxxyyy_1, tg_xxxxzz_xxxxyyz_0, \
                                         tg_xxxxzz_xxxxyyz_1, tg_xxxxzz_xxxxyzz_0, tg_xxxxzz_xxxxyzz_1, tg_xxxxzz_xxxxzzz_0, \
                                         tg_xxxxzz_xxxxzzz_1, tg_xxxxzz_xxxyyyy_0, tg_xxxxzz_xxxyyyy_1, tg_xxxxzz_xxxyyyz_0, \
                                         tg_xxxxzz_xxxyyyz_1, wp_x: VLX_ALIGN)
                for (int32_t j = 0; j < nKetPrimPairs; j++)
                {
                    double fl1_fx = fx;

                    double fl1_fxn = fxn[j];

                    double fl1_fza = fza[j];

                    double fr = wp_x[j]; 

                    tg_xxxxxxxz_xyyyzzz_0[j] = pb_x * tg_xxxxxxz_xyyyzzz_0[j] + fr * tg_xxxxxxz_xyyyzzz_1[j] + 3.0 * fl1_fx * (tg_xxxxxz_xyyyzzz_0[j] - tg_xxxxxz_xyyyzzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xxxxxxz_yyyzzz_1[j];

                    tg_xxxxxxxz_xyyzzzz_0[j] = pb_x * tg_xxxxxxz_xyyzzzz_0[j] + fr * tg_xxxxxxz_xyyzzzz_1[j] + 3.0 * fl1_fx * (tg_xxxxxz_xyyzzzz_0[j] - tg_xxxxxz_xyyzzzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xxxxxxz_yyzzzz_1[j];

                    tg_xxxxxxxz_xyzzzzz_0[j] = pb_x * tg_xxxxxxz_xyzzzzz_0[j] + fr * tg_xxxxxxz_xyzzzzz_1[j] + 3.0 * fl1_fx * (tg_xxxxxz_xyzzzzz_0[j] - tg_xxxxxz_xyzzzzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xxxxxxz_yzzzzz_1[j];

                    tg_xxxxxxxz_xzzzzzz_0[j] = pb_x * tg_xxxxxxz_xzzzzzz_0[j] + fr * tg_xxxxxxz_xzzzzzz_1[j] + 3.0 * fl1_fx * (tg_xxxxxz_xzzzzzz_0[j] - tg_xxxxxz_xzzzzzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xxxxxxz_zzzzzz_1[j];

                    tg_xxxxxxxz_yyyyyyy_0[j] = pb_x * tg_xxxxxxz_yyyyyyy_0[j] + fr * tg_xxxxxxz_yyyyyyy_1[j] + 3.0 * fl1_fx * (tg_xxxxxz_yyyyyyy_0[j] - tg_xxxxxz_yyyyyyy_1[j] * fl1_fza);

                    tg_xxxxxxxz_yyyyyyz_0[j] = pb_x * tg_xxxxxxz_yyyyyyz_0[j] + fr * tg_xxxxxxz_yyyyyyz_1[j] + 3.0 * fl1_fx * (tg_xxxxxz_yyyyyyz_0[j] - tg_xxxxxz_yyyyyyz_1[j] * fl1_fza);

                    tg_xxxxxxxz_yyyyyzz_0[j] = pb_x * tg_xxxxxxz_yyyyyzz_0[j] + fr * tg_xxxxxxz_yyyyyzz_1[j] + 3.0 * fl1_fx * (tg_xxxxxz_yyyyyzz_0[j] - tg_xxxxxz_yyyyyzz_1[j] * fl1_fza);

                    tg_xxxxxxxz_yyyyzzz_0[j] = pb_x * tg_xxxxxxz_yyyyzzz_0[j] + fr * tg_xxxxxxz_yyyyzzz_1[j] + 3.0 * fl1_fx * (tg_xxxxxz_yyyyzzz_0[j] - tg_xxxxxz_yyyyzzz_1[j] * fl1_fza);

                    tg_xxxxxxxz_yyyzzzz_0[j] = pb_x * tg_xxxxxxz_yyyzzzz_0[j] + fr * tg_xxxxxxz_yyyzzzz_1[j] + 3.0 * fl1_fx * (tg_xxxxxz_yyyzzzz_0[j] - tg_xxxxxz_yyyzzzz_1[j] * fl1_fza);

                    tg_xxxxxxxz_yyzzzzz_0[j] = pb_x * tg_xxxxxxz_yyzzzzz_0[j] + fr * tg_xxxxxxz_yyzzzzz_1[j] + 3.0 * fl1_fx * (tg_xxxxxz_yyzzzzz_0[j] - tg_xxxxxz_yyzzzzz_1[j] * fl1_fza);

                    tg_xxxxxxxz_yzzzzzz_0[j] = pb_x * tg_xxxxxxz_yzzzzzz_0[j] + fr * tg_xxxxxxz_yzzzzzz_1[j] + 3.0 * fl1_fx * (tg_xxxxxz_yzzzzzz_0[j] - tg_xxxxxz_yzzzzzz_1[j] * fl1_fza);

                    tg_xxxxxxxz_zzzzzzz_0[j] = pb_x * tg_xxxxxxz_zzzzzzz_0[j] + fr * tg_xxxxxxz_zzzzzzz_1[j] + 3.0 * fl1_fx * (tg_xxxxxz_zzzzzzz_0[j] - tg_xxxxxz_zzzzzzz_1[j] * fl1_fza);

                    tg_xxxxxxyy_xxxxxxx_0[j] = pb_x * tg_xxxxxyy_xxxxxxx_0[j] + fr * tg_xxxxxyy_xxxxxxx_1[j] + 2.5 * fl1_fx * (tg_xxxxyy_xxxxxxx_0[j] - tg_xxxxyy_xxxxxxx_1[j] * fl1_fza) + 3.5 * fl1_fxn * tg_xxxxxyy_xxxxxx_1[j];

                    tg_xxxxxxyy_xxxxxxy_0[j] = pb_x * tg_xxxxxyy_xxxxxxy_0[j] + fr * tg_xxxxxyy_xxxxxxy_1[j] + 2.5 * fl1_fx * (tg_xxxxyy_xxxxxxy_0[j] - tg_xxxxyy_xxxxxxy_1[j] * fl1_fza) + 3.0 * fl1_fxn * tg_xxxxxyy_xxxxxy_1[j];

                    tg_xxxxxxyy_xxxxxxz_0[j] = pb_x * tg_xxxxxyy_xxxxxxz_0[j] + fr * tg_xxxxxyy_xxxxxxz_1[j] + 2.5 * fl1_fx * (tg_xxxxyy_xxxxxxz_0[j] - tg_xxxxyy_xxxxxxz_1[j] * fl1_fza) + 3.0 * fl1_fxn * tg_xxxxxyy_xxxxxz_1[j];

                    tg_xxxxxxyy_xxxxxyy_0[j] = pb_x * tg_xxxxxyy_xxxxxyy_0[j] + fr * tg_xxxxxyy_xxxxxyy_1[j] + 2.5 * fl1_fx * (tg_xxxxyy_xxxxxyy_0[j] - tg_xxxxyy_xxxxxyy_1[j] * fl1_fza) + 2.5 * fl1_fxn * tg_xxxxxyy_xxxxyy_1[j];

                    tg_xxxxxxyy_xxxxxyz_0[j] = pb_x * tg_xxxxxyy_xxxxxyz_0[j] + fr * tg_xxxxxyy_xxxxxyz_1[j] + 2.5 * fl1_fx * (tg_xxxxyy_xxxxxyz_0[j] - tg_xxxxyy_xxxxxyz_1[j] * fl1_fza) + 2.5 * fl1_fxn * tg_xxxxxyy_xxxxyz_1[j];

                    tg_xxxxxxyy_xxxxxzz_0[j] = pb_x * tg_xxxxxyy_xxxxxzz_0[j] + fr * tg_xxxxxyy_xxxxxzz_1[j] + 2.5 * fl1_fx * (tg_xxxxyy_xxxxxzz_0[j] - tg_xxxxyy_xxxxxzz_1[j] * fl1_fza) + 2.5 * fl1_fxn * tg_xxxxxyy_xxxxzz_1[j];

                    tg_xxxxxxyy_xxxxyyy_0[j] = pb_x * tg_xxxxxyy_xxxxyyy_0[j] + fr * tg_xxxxxyy_xxxxyyy_1[j] + 2.5 * fl1_fx * (tg_xxxxyy_xxxxyyy_0[j] - tg_xxxxyy_xxxxyyy_1[j] * fl1_fza) + 2.0 * fl1_fxn * tg_xxxxxyy_xxxyyy_1[j];

                    tg_xxxxxxyy_xxxxyyz_0[j] = pb_x * tg_xxxxxyy_xxxxyyz_0[j] + fr * tg_xxxxxyy_xxxxyyz_1[j] + 2.5 * fl1_fx * (tg_xxxxyy_xxxxyyz_0[j] - tg_xxxxyy_xxxxyyz_1[j] * fl1_fza) + 2.0 * fl1_fxn * tg_xxxxxyy_xxxyyz_1[j];

                    tg_xxxxxxyy_xxxxyzz_0[j] = pb_x * tg_xxxxxyy_xxxxyzz_0[j] + fr * tg_xxxxxyy_xxxxyzz_1[j] + 2.5 * fl1_fx * (tg_xxxxyy_xxxxyzz_0[j] - tg_xxxxyy_xxxxyzz_1[j] * fl1_fza) + 2.0 * fl1_fxn * tg_xxxxxyy_xxxyzz_1[j];

                    tg_xxxxxxyy_xxxxzzz_0[j] = pb_x * tg_xxxxxyy_xxxxzzz_0[j] + fr * tg_xxxxxyy_xxxxzzz_1[j] + 2.5 * fl1_fx * (tg_xxxxyy_xxxxzzz_0[j] - tg_xxxxyy_xxxxzzz_1[j] * fl1_fza) + 2.0 * fl1_fxn * tg_xxxxxyy_xxxzzz_1[j];

                    tg_xxxxxxyy_xxxyyyy_0[j] = pb_x * tg_xxxxxyy_xxxyyyy_0[j] + fr * tg_xxxxxyy_xxxyyyy_1[j] + 2.5 * fl1_fx * (tg_xxxxyy_xxxyyyy_0[j] - tg_xxxxyy_xxxyyyy_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_xxxxxyy_xxyyyy_1[j];

                    tg_xxxxxxyy_xxxyyyz_0[j] = pb_x * tg_xxxxxyy_xxxyyyz_0[j] + fr * tg_xxxxxyy_xxxyyyz_1[j] + 2.5 * fl1_fx * (tg_xxxxyy_xxxyyyz_0[j] - tg_xxxxyy_xxxyyyz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_xxxxxyy_xxyyyz_1[j];

                    tg_xxxxxxyy_xxxyyzz_0[j] = pb_x * tg_xxxxxyy_xxxyyzz_0[j] + fr * tg_xxxxxyy_xxxyyzz_1[j] + 2.5 * fl1_fx * (tg_xxxxyy_xxxyyzz_0[j] - tg_xxxxyy_xxxyyzz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_xxxxxyy_xxyyzz_1[j];

                    tg_xxxxxxyy_xxxyzzz_0[j] = pb_x * tg_xxxxxyy_xxxyzzz_0[j] + fr * tg_xxxxxyy_xxxyzzz_1[j] + 2.5 * fl1_fx * (tg_xxxxyy_xxxyzzz_0[j] - tg_xxxxyy_xxxyzzz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_xxxxxyy_xxyzzz_1[j];

                    tg_xxxxxxyy_xxxzzzz_0[j] = pb_x * tg_xxxxxyy_xxxzzzz_0[j] + fr * tg_xxxxxyy_xxxzzzz_1[j] + 2.5 * fl1_fx * (tg_xxxxyy_xxxzzzz_0[j] - tg_xxxxyy_xxxzzzz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_xxxxxyy_xxzzzz_1[j];

                    tg_xxxxxxyy_xxyyyyy_0[j] = pb_x * tg_xxxxxyy_xxyyyyy_0[j] + fr * tg_xxxxxyy_xxyyyyy_1[j] + 2.5 * fl1_fx * (tg_xxxxyy_xxyyyyy_0[j] - tg_xxxxyy_xxyyyyy_1[j] * fl1_fza) + fl1_fxn * tg_xxxxxyy_xyyyyy_1[j];

                    tg_xxxxxxyy_xxyyyyz_0[j] = pb_x * tg_xxxxxyy_xxyyyyz_0[j] + fr * tg_xxxxxyy_xxyyyyz_1[j] + 2.5 * fl1_fx * (tg_xxxxyy_xxyyyyz_0[j] - tg_xxxxyy_xxyyyyz_1[j] * fl1_fza) + fl1_fxn * tg_xxxxxyy_xyyyyz_1[j];

                    tg_xxxxxxyy_xxyyyzz_0[j] = pb_x * tg_xxxxxyy_xxyyyzz_0[j] + fr * tg_xxxxxyy_xxyyyzz_1[j] + 2.5 * fl1_fx * (tg_xxxxyy_xxyyyzz_0[j] - tg_xxxxyy_xxyyyzz_1[j] * fl1_fza) + fl1_fxn * tg_xxxxxyy_xyyyzz_1[j];

                    tg_xxxxxxyy_xxyyzzz_0[j] = pb_x * tg_xxxxxyy_xxyyzzz_0[j] + fr * tg_xxxxxyy_xxyyzzz_1[j] + 2.5 * fl1_fx * (tg_xxxxyy_xxyyzzz_0[j] - tg_xxxxyy_xxyyzzz_1[j] * fl1_fza) + fl1_fxn * tg_xxxxxyy_xyyzzz_1[j];

                    tg_xxxxxxyy_xxyzzzz_0[j] = pb_x * tg_xxxxxyy_xxyzzzz_0[j] + fr * tg_xxxxxyy_xxyzzzz_1[j] + 2.5 * fl1_fx * (tg_xxxxyy_xxyzzzz_0[j] - tg_xxxxyy_xxyzzzz_1[j] * fl1_fza) + fl1_fxn * tg_xxxxxyy_xyzzzz_1[j];

                    tg_xxxxxxyy_xxzzzzz_0[j] = pb_x * tg_xxxxxyy_xxzzzzz_0[j] + fr * tg_xxxxxyy_xxzzzzz_1[j] + 2.5 * fl1_fx * (tg_xxxxyy_xxzzzzz_0[j] - tg_xxxxyy_xxzzzzz_1[j] * fl1_fza) + fl1_fxn * tg_xxxxxyy_xzzzzz_1[j];

                    tg_xxxxxxyy_xyyyyyy_0[j] = pb_x * tg_xxxxxyy_xyyyyyy_0[j] + fr * tg_xxxxxyy_xyyyyyy_1[j] + 2.5 * fl1_fx * (tg_xxxxyy_xyyyyyy_0[j] - tg_xxxxyy_xyyyyyy_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xxxxxyy_yyyyyy_1[j];

                    tg_xxxxxxyy_xyyyyyz_0[j] = pb_x * tg_xxxxxyy_xyyyyyz_0[j] + fr * tg_xxxxxyy_xyyyyyz_1[j] + 2.5 * fl1_fx * (tg_xxxxyy_xyyyyyz_0[j] - tg_xxxxyy_xyyyyyz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xxxxxyy_yyyyyz_1[j];

                    tg_xxxxxxyy_xyyyyzz_0[j] = pb_x * tg_xxxxxyy_xyyyyzz_0[j] + fr * tg_xxxxxyy_xyyyyzz_1[j] + 2.5 * fl1_fx * (tg_xxxxyy_xyyyyzz_0[j] - tg_xxxxyy_xyyyyzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xxxxxyy_yyyyzz_1[j];

                    tg_xxxxxxyy_xyyyzzz_0[j] = pb_x * tg_xxxxxyy_xyyyzzz_0[j] + fr * tg_xxxxxyy_xyyyzzz_1[j] + 2.5 * fl1_fx * (tg_xxxxyy_xyyyzzz_0[j] - tg_xxxxyy_xyyyzzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xxxxxyy_yyyzzz_1[j];

                    tg_xxxxxxyy_xyyzzzz_0[j] = pb_x * tg_xxxxxyy_xyyzzzz_0[j] + fr * tg_xxxxxyy_xyyzzzz_1[j] + 2.5 * fl1_fx * (tg_xxxxyy_xyyzzzz_0[j] - tg_xxxxyy_xyyzzzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xxxxxyy_yyzzzz_1[j];

                    tg_xxxxxxyy_xyzzzzz_0[j] = pb_x * tg_xxxxxyy_xyzzzzz_0[j] + fr * tg_xxxxxyy_xyzzzzz_1[j] + 2.5 * fl1_fx * (tg_xxxxyy_xyzzzzz_0[j] - tg_xxxxyy_xyzzzzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xxxxxyy_yzzzzz_1[j];

                    tg_xxxxxxyy_xzzzzzz_0[j] = pb_x * tg_xxxxxyy_xzzzzzz_0[j] + fr * tg_xxxxxyy_xzzzzzz_1[j] + 2.5 * fl1_fx * (tg_xxxxyy_xzzzzzz_0[j] - tg_xxxxyy_xzzzzzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xxxxxyy_zzzzzz_1[j];

                    tg_xxxxxxyy_yyyyyyy_0[j] = pb_x * tg_xxxxxyy_yyyyyyy_0[j] + fr * tg_xxxxxyy_yyyyyyy_1[j] + 2.5 * fl1_fx * (tg_xxxxyy_yyyyyyy_0[j] - tg_xxxxyy_yyyyyyy_1[j] * fl1_fza);

                    tg_xxxxxxyy_yyyyyyz_0[j] = pb_x * tg_xxxxxyy_yyyyyyz_0[j] + fr * tg_xxxxxyy_yyyyyyz_1[j] + 2.5 * fl1_fx * (tg_xxxxyy_yyyyyyz_0[j] - tg_xxxxyy_yyyyyyz_1[j] * fl1_fza);

                    tg_xxxxxxyy_yyyyyzz_0[j] = pb_x * tg_xxxxxyy_yyyyyzz_0[j] + fr * tg_xxxxxyy_yyyyyzz_1[j] + 2.5 * fl1_fx * (tg_xxxxyy_yyyyyzz_0[j] - tg_xxxxyy_yyyyyzz_1[j] * fl1_fza);

                    tg_xxxxxxyy_yyyyzzz_0[j] = pb_x * tg_xxxxxyy_yyyyzzz_0[j] + fr * tg_xxxxxyy_yyyyzzz_1[j] + 2.5 * fl1_fx * (tg_xxxxyy_yyyyzzz_0[j] - tg_xxxxyy_yyyyzzz_1[j] * fl1_fza);

                    tg_xxxxxxyy_yyyzzzz_0[j] = pb_x * tg_xxxxxyy_yyyzzzz_0[j] + fr * tg_xxxxxyy_yyyzzzz_1[j] + 2.5 * fl1_fx * (tg_xxxxyy_yyyzzzz_0[j] - tg_xxxxyy_yyyzzzz_1[j] * fl1_fza);

                    tg_xxxxxxyy_yyzzzzz_0[j] = pb_x * tg_xxxxxyy_yyzzzzz_0[j] + fr * tg_xxxxxyy_yyzzzzz_1[j] + 2.5 * fl1_fx * (tg_xxxxyy_yyzzzzz_0[j] - tg_xxxxyy_yyzzzzz_1[j] * fl1_fza);

                    tg_xxxxxxyy_yzzzzzz_0[j] = pb_x * tg_xxxxxyy_yzzzzzz_0[j] + fr * tg_xxxxxyy_yzzzzzz_1[j] + 2.5 * fl1_fx * (tg_xxxxyy_yzzzzzz_0[j] - tg_xxxxyy_yzzzzzz_1[j] * fl1_fza);

                    tg_xxxxxxyy_zzzzzzz_0[j] = pb_x * tg_xxxxxyy_zzzzzzz_0[j] + fr * tg_xxxxxyy_zzzzzzz_1[j] + 2.5 * fl1_fx * (tg_xxxxyy_zzzzzzz_0[j] - tg_xxxxyy_zzzzzzz_1[j] * fl1_fza);

                    tg_xxxxxxyz_xxxxxxx_0[j] = pb_x * tg_xxxxxyz_xxxxxxx_0[j] + fr * tg_xxxxxyz_xxxxxxx_1[j] + 2.5 * fl1_fx * (tg_xxxxyz_xxxxxxx_0[j] - tg_xxxxyz_xxxxxxx_1[j] * fl1_fza) + 3.5 * fl1_fxn * tg_xxxxxyz_xxxxxx_1[j];

                    tg_xxxxxxyz_xxxxxxy_0[j] = pb_x * tg_xxxxxyz_xxxxxxy_0[j] + fr * tg_xxxxxyz_xxxxxxy_1[j] + 2.5 * fl1_fx * (tg_xxxxyz_xxxxxxy_0[j] - tg_xxxxyz_xxxxxxy_1[j] * fl1_fza) + 3.0 * fl1_fxn * tg_xxxxxyz_xxxxxy_1[j];

                    tg_xxxxxxyz_xxxxxxz_0[j] = pb_x * tg_xxxxxyz_xxxxxxz_0[j] + fr * tg_xxxxxyz_xxxxxxz_1[j] + 2.5 * fl1_fx * (tg_xxxxyz_xxxxxxz_0[j] - tg_xxxxyz_xxxxxxz_1[j] * fl1_fza) + 3.0 * fl1_fxn * tg_xxxxxyz_xxxxxz_1[j];

                    tg_xxxxxxyz_xxxxxyy_0[j] = pb_x * tg_xxxxxyz_xxxxxyy_0[j] + fr * tg_xxxxxyz_xxxxxyy_1[j] + 2.5 * fl1_fx * (tg_xxxxyz_xxxxxyy_0[j] - tg_xxxxyz_xxxxxyy_1[j] * fl1_fza) + 2.5 * fl1_fxn * tg_xxxxxyz_xxxxyy_1[j];

                    tg_xxxxxxyz_xxxxxyz_0[j] = pb_x * tg_xxxxxyz_xxxxxyz_0[j] + fr * tg_xxxxxyz_xxxxxyz_1[j] + 2.5 * fl1_fx * (tg_xxxxyz_xxxxxyz_0[j] - tg_xxxxyz_xxxxxyz_1[j] * fl1_fza) + 2.5 * fl1_fxn * tg_xxxxxyz_xxxxyz_1[j];

                    tg_xxxxxxyz_xxxxxzz_0[j] = pb_x * tg_xxxxxyz_xxxxxzz_0[j] + fr * tg_xxxxxyz_xxxxxzz_1[j] + 2.5 * fl1_fx * (tg_xxxxyz_xxxxxzz_0[j] - tg_xxxxyz_xxxxxzz_1[j] * fl1_fza) + 2.5 * fl1_fxn * tg_xxxxxyz_xxxxzz_1[j];

                    tg_xxxxxxyz_xxxxyyy_0[j] = pb_x * tg_xxxxxyz_xxxxyyy_0[j] + fr * tg_xxxxxyz_xxxxyyy_1[j] + 2.5 * fl1_fx * (tg_xxxxyz_xxxxyyy_0[j] - tg_xxxxyz_xxxxyyy_1[j] * fl1_fza) + 2.0 * fl1_fxn * tg_xxxxxyz_xxxyyy_1[j];

                    tg_xxxxxxyz_xxxxyyz_0[j] = pb_x * tg_xxxxxyz_xxxxyyz_0[j] + fr * tg_xxxxxyz_xxxxyyz_1[j] + 2.5 * fl1_fx * (tg_xxxxyz_xxxxyyz_0[j] - tg_xxxxyz_xxxxyyz_1[j] * fl1_fza) + 2.0 * fl1_fxn * tg_xxxxxyz_xxxyyz_1[j];

                    tg_xxxxxxyz_xxxxyzz_0[j] = pb_x * tg_xxxxxyz_xxxxyzz_0[j] + fr * tg_xxxxxyz_xxxxyzz_1[j] + 2.5 * fl1_fx * (tg_xxxxyz_xxxxyzz_0[j] - tg_xxxxyz_xxxxyzz_1[j] * fl1_fza) + 2.0 * fl1_fxn * tg_xxxxxyz_xxxyzz_1[j];

                    tg_xxxxxxyz_xxxxzzz_0[j] = pb_x * tg_xxxxxyz_xxxxzzz_0[j] + fr * tg_xxxxxyz_xxxxzzz_1[j] + 2.5 * fl1_fx * (tg_xxxxyz_xxxxzzz_0[j] - tg_xxxxyz_xxxxzzz_1[j] * fl1_fza) + 2.0 * fl1_fxn * tg_xxxxxyz_xxxzzz_1[j];

                    tg_xxxxxxyz_xxxyyyy_0[j] = pb_x * tg_xxxxxyz_xxxyyyy_0[j] + fr * tg_xxxxxyz_xxxyyyy_1[j] + 2.5 * fl1_fx * (tg_xxxxyz_xxxyyyy_0[j] - tg_xxxxyz_xxxyyyy_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_xxxxxyz_xxyyyy_1[j];

                    tg_xxxxxxyz_xxxyyyz_0[j] = pb_x * tg_xxxxxyz_xxxyyyz_0[j] + fr * tg_xxxxxyz_xxxyyyz_1[j] + 2.5 * fl1_fx * (tg_xxxxyz_xxxyyyz_0[j] - tg_xxxxyz_xxxyyyz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_xxxxxyz_xxyyyz_1[j];

                    tg_xxxxxxyz_xxxyyzz_0[j] = pb_x * tg_xxxxxyz_xxxyyzz_0[j] + fr * tg_xxxxxyz_xxxyyzz_1[j] + 2.5 * fl1_fx * (tg_xxxxyz_xxxyyzz_0[j] - tg_xxxxyz_xxxyyzz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_xxxxxyz_xxyyzz_1[j];

                    tg_xxxxxxyz_xxxyzzz_0[j] = pb_x * tg_xxxxxyz_xxxyzzz_0[j] + fr * tg_xxxxxyz_xxxyzzz_1[j] + 2.5 * fl1_fx * (tg_xxxxyz_xxxyzzz_0[j] - tg_xxxxyz_xxxyzzz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_xxxxxyz_xxyzzz_1[j];

                    tg_xxxxxxyz_xxxzzzz_0[j] = pb_x * tg_xxxxxyz_xxxzzzz_0[j] + fr * tg_xxxxxyz_xxxzzzz_1[j] + 2.5 * fl1_fx * (tg_xxxxyz_xxxzzzz_0[j] - tg_xxxxyz_xxxzzzz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_xxxxxyz_xxzzzz_1[j];

                    tg_xxxxxxyz_xxyyyyy_0[j] = pb_x * tg_xxxxxyz_xxyyyyy_0[j] + fr * tg_xxxxxyz_xxyyyyy_1[j] + 2.5 * fl1_fx * (tg_xxxxyz_xxyyyyy_0[j] - tg_xxxxyz_xxyyyyy_1[j] * fl1_fza) + fl1_fxn * tg_xxxxxyz_xyyyyy_1[j];

                    tg_xxxxxxyz_xxyyyyz_0[j] = pb_x * tg_xxxxxyz_xxyyyyz_0[j] + fr * tg_xxxxxyz_xxyyyyz_1[j] + 2.5 * fl1_fx * (tg_xxxxyz_xxyyyyz_0[j] - tg_xxxxyz_xxyyyyz_1[j] * fl1_fza) + fl1_fxn * tg_xxxxxyz_xyyyyz_1[j];

                    tg_xxxxxxyz_xxyyyzz_0[j] = pb_x * tg_xxxxxyz_xxyyyzz_0[j] + fr * tg_xxxxxyz_xxyyyzz_1[j] + 2.5 * fl1_fx * (tg_xxxxyz_xxyyyzz_0[j] - tg_xxxxyz_xxyyyzz_1[j] * fl1_fza) + fl1_fxn * tg_xxxxxyz_xyyyzz_1[j];

                    tg_xxxxxxyz_xxyyzzz_0[j] = pb_x * tg_xxxxxyz_xxyyzzz_0[j] + fr * tg_xxxxxyz_xxyyzzz_1[j] + 2.5 * fl1_fx * (tg_xxxxyz_xxyyzzz_0[j] - tg_xxxxyz_xxyyzzz_1[j] * fl1_fza) + fl1_fxn * tg_xxxxxyz_xyyzzz_1[j];

                    tg_xxxxxxyz_xxyzzzz_0[j] = pb_x * tg_xxxxxyz_xxyzzzz_0[j] + fr * tg_xxxxxyz_xxyzzzz_1[j] + 2.5 * fl1_fx * (tg_xxxxyz_xxyzzzz_0[j] - tg_xxxxyz_xxyzzzz_1[j] * fl1_fza) + fl1_fxn * tg_xxxxxyz_xyzzzz_1[j];

                    tg_xxxxxxyz_xxzzzzz_0[j] = pb_x * tg_xxxxxyz_xxzzzzz_0[j] + fr * tg_xxxxxyz_xxzzzzz_1[j] + 2.5 * fl1_fx * (tg_xxxxyz_xxzzzzz_0[j] - tg_xxxxyz_xxzzzzz_1[j] * fl1_fza) + fl1_fxn * tg_xxxxxyz_xzzzzz_1[j];

                    tg_xxxxxxyz_xyyyyyy_0[j] = pb_x * tg_xxxxxyz_xyyyyyy_0[j] + fr * tg_xxxxxyz_xyyyyyy_1[j] + 2.5 * fl1_fx * (tg_xxxxyz_xyyyyyy_0[j] - tg_xxxxyz_xyyyyyy_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xxxxxyz_yyyyyy_1[j];

                    tg_xxxxxxyz_xyyyyyz_0[j] = pb_x * tg_xxxxxyz_xyyyyyz_0[j] + fr * tg_xxxxxyz_xyyyyyz_1[j] + 2.5 * fl1_fx * (tg_xxxxyz_xyyyyyz_0[j] - tg_xxxxyz_xyyyyyz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xxxxxyz_yyyyyz_1[j];

                    tg_xxxxxxyz_xyyyyzz_0[j] = pb_x * tg_xxxxxyz_xyyyyzz_0[j] + fr * tg_xxxxxyz_xyyyyzz_1[j] + 2.5 * fl1_fx * (tg_xxxxyz_xyyyyzz_0[j] - tg_xxxxyz_xyyyyzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xxxxxyz_yyyyzz_1[j];

                    tg_xxxxxxyz_xyyyzzz_0[j] = pb_x * tg_xxxxxyz_xyyyzzz_0[j] + fr * tg_xxxxxyz_xyyyzzz_1[j] + 2.5 * fl1_fx * (tg_xxxxyz_xyyyzzz_0[j] - tg_xxxxyz_xyyyzzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xxxxxyz_yyyzzz_1[j];

                    tg_xxxxxxyz_xyyzzzz_0[j] = pb_x * tg_xxxxxyz_xyyzzzz_0[j] + fr * tg_xxxxxyz_xyyzzzz_1[j] + 2.5 * fl1_fx * (tg_xxxxyz_xyyzzzz_0[j] - tg_xxxxyz_xyyzzzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xxxxxyz_yyzzzz_1[j];

                    tg_xxxxxxyz_xyzzzzz_0[j] = pb_x * tg_xxxxxyz_xyzzzzz_0[j] + fr * tg_xxxxxyz_xyzzzzz_1[j] + 2.5 * fl1_fx * (tg_xxxxyz_xyzzzzz_0[j] - tg_xxxxyz_xyzzzzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xxxxxyz_yzzzzz_1[j];

                    tg_xxxxxxyz_xzzzzzz_0[j] = pb_x * tg_xxxxxyz_xzzzzzz_0[j] + fr * tg_xxxxxyz_xzzzzzz_1[j] + 2.5 * fl1_fx * (tg_xxxxyz_xzzzzzz_0[j] - tg_xxxxyz_xzzzzzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xxxxxyz_zzzzzz_1[j];

                    tg_xxxxxxyz_yyyyyyy_0[j] = pb_x * tg_xxxxxyz_yyyyyyy_0[j] + fr * tg_xxxxxyz_yyyyyyy_1[j] + 2.5 * fl1_fx * (tg_xxxxyz_yyyyyyy_0[j] - tg_xxxxyz_yyyyyyy_1[j] * fl1_fza);

                    tg_xxxxxxyz_yyyyyyz_0[j] = pb_x * tg_xxxxxyz_yyyyyyz_0[j] + fr * tg_xxxxxyz_yyyyyyz_1[j] + 2.5 * fl1_fx * (tg_xxxxyz_yyyyyyz_0[j] - tg_xxxxyz_yyyyyyz_1[j] * fl1_fza);

                    tg_xxxxxxyz_yyyyyzz_0[j] = pb_x * tg_xxxxxyz_yyyyyzz_0[j] + fr * tg_xxxxxyz_yyyyyzz_1[j] + 2.5 * fl1_fx * (tg_xxxxyz_yyyyyzz_0[j] - tg_xxxxyz_yyyyyzz_1[j] * fl1_fza);

                    tg_xxxxxxyz_yyyyzzz_0[j] = pb_x * tg_xxxxxyz_yyyyzzz_0[j] + fr * tg_xxxxxyz_yyyyzzz_1[j] + 2.5 * fl1_fx * (tg_xxxxyz_yyyyzzz_0[j] - tg_xxxxyz_yyyyzzz_1[j] * fl1_fza);

                    tg_xxxxxxyz_yyyzzzz_0[j] = pb_x * tg_xxxxxyz_yyyzzzz_0[j] + fr * tg_xxxxxyz_yyyzzzz_1[j] + 2.5 * fl1_fx * (tg_xxxxyz_yyyzzzz_0[j] - tg_xxxxyz_yyyzzzz_1[j] * fl1_fza);

                    tg_xxxxxxyz_yyzzzzz_0[j] = pb_x * tg_xxxxxyz_yyzzzzz_0[j] + fr * tg_xxxxxyz_yyzzzzz_1[j] + 2.5 * fl1_fx * (tg_xxxxyz_yyzzzzz_0[j] - tg_xxxxyz_yyzzzzz_1[j] * fl1_fza);

                    tg_xxxxxxyz_yzzzzzz_0[j] = pb_x * tg_xxxxxyz_yzzzzzz_0[j] + fr * tg_xxxxxyz_yzzzzzz_1[j] + 2.5 * fl1_fx * (tg_xxxxyz_yzzzzzz_0[j] - tg_xxxxyz_yzzzzzz_1[j] * fl1_fza);

                    tg_xxxxxxyz_zzzzzzz_0[j] = pb_x * tg_xxxxxyz_zzzzzzz_0[j] + fr * tg_xxxxxyz_zzzzzzz_1[j] + 2.5 * fl1_fx * (tg_xxxxyz_zzzzzzz_0[j] - tg_xxxxyz_zzzzzzz_1[j] * fl1_fza);

                    tg_xxxxxxzz_xxxxxxx_0[j] = pb_x * tg_xxxxxzz_xxxxxxx_0[j] + fr * tg_xxxxxzz_xxxxxxx_1[j] + 2.5 * fl1_fx * (tg_xxxxzz_xxxxxxx_0[j] - tg_xxxxzz_xxxxxxx_1[j] * fl1_fza) + 3.5 * fl1_fxn * tg_xxxxxzz_xxxxxx_1[j];

                    tg_xxxxxxzz_xxxxxxy_0[j] = pb_x * tg_xxxxxzz_xxxxxxy_0[j] + fr * tg_xxxxxzz_xxxxxxy_1[j] + 2.5 * fl1_fx * (tg_xxxxzz_xxxxxxy_0[j] - tg_xxxxzz_xxxxxxy_1[j] * fl1_fza) + 3.0 * fl1_fxn * tg_xxxxxzz_xxxxxy_1[j];

                    tg_xxxxxxzz_xxxxxxz_0[j] = pb_x * tg_xxxxxzz_xxxxxxz_0[j] + fr * tg_xxxxxzz_xxxxxxz_1[j] + 2.5 * fl1_fx * (tg_xxxxzz_xxxxxxz_0[j] - tg_xxxxzz_xxxxxxz_1[j] * fl1_fza) + 3.0 * fl1_fxn * tg_xxxxxzz_xxxxxz_1[j];

                    tg_xxxxxxzz_xxxxxyy_0[j] = pb_x * tg_xxxxxzz_xxxxxyy_0[j] + fr * tg_xxxxxzz_xxxxxyy_1[j] + 2.5 * fl1_fx * (tg_xxxxzz_xxxxxyy_0[j] - tg_xxxxzz_xxxxxyy_1[j] * fl1_fza) + 2.5 * fl1_fxn * tg_xxxxxzz_xxxxyy_1[j];

                    tg_xxxxxxzz_xxxxxyz_0[j] = pb_x * tg_xxxxxzz_xxxxxyz_0[j] + fr * tg_xxxxxzz_xxxxxyz_1[j] + 2.5 * fl1_fx * (tg_xxxxzz_xxxxxyz_0[j] - tg_xxxxzz_xxxxxyz_1[j] * fl1_fza) + 2.5 * fl1_fxn * tg_xxxxxzz_xxxxyz_1[j];

                    tg_xxxxxxzz_xxxxxzz_0[j] = pb_x * tg_xxxxxzz_xxxxxzz_0[j] + fr * tg_xxxxxzz_xxxxxzz_1[j] + 2.5 * fl1_fx * (tg_xxxxzz_xxxxxzz_0[j] - tg_xxxxzz_xxxxxzz_1[j] * fl1_fza) + 2.5 * fl1_fxn * tg_xxxxxzz_xxxxzz_1[j];

                    tg_xxxxxxzz_xxxxyyy_0[j] = pb_x * tg_xxxxxzz_xxxxyyy_0[j] + fr * tg_xxxxxzz_xxxxyyy_1[j] + 2.5 * fl1_fx * (tg_xxxxzz_xxxxyyy_0[j] - tg_xxxxzz_xxxxyyy_1[j] * fl1_fza) + 2.0 * fl1_fxn * tg_xxxxxzz_xxxyyy_1[j];

                    tg_xxxxxxzz_xxxxyyz_0[j] = pb_x * tg_xxxxxzz_xxxxyyz_0[j] + fr * tg_xxxxxzz_xxxxyyz_1[j] + 2.5 * fl1_fx * (tg_xxxxzz_xxxxyyz_0[j] - tg_xxxxzz_xxxxyyz_1[j] * fl1_fza) + 2.0 * fl1_fxn * tg_xxxxxzz_xxxyyz_1[j];

                    tg_xxxxxxzz_xxxxyzz_0[j] = pb_x * tg_xxxxxzz_xxxxyzz_0[j] + fr * tg_xxxxxzz_xxxxyzz_1[j] + 2.5 * fl1_fx * (tg_xxxxzz_xxxxyzz_0[j] - tg_xxxxzz_xxxxyzz_1[j] * fl1_fza) + 2.0 * fl1_fxn * tg_xxxxxzz_xxxyzz_1[j];

                    tg_xxxxxxzz_xxxxzzz_0[j] = pb_x * tg_xxxxxzz_xxxxzzz_0[j] + fr * tg_xxxxxzz_xxxxzzz_1[j] + 2.5 * fl1_fx * (tg_xxxxzz_xxxxzzz_0[j] - tg_xxxxzz_xxxxzzz_1[j] * fl1_fza) + 2.0 * fl1_fxn * tg_xxxxxzz_xxxzzz_1[j];

                    tg_xxxxxxzz_xxxyyyy_0[j] = pb_x * tg_xxxxxzz_xxxyyyy_0[j] + fr * tg_xxxxxzz_xxxyyyy_1[j] + 2.5 * fl1_fx * (tg_xxxxzz_xxxyyyy_0[j] - tg_xxxxzz_xxxyyyy_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_xxxxxzz_xxyyyy_1[j];

                    tg_xxxxxxzz_xxxyyyz_0[j] = pb_x * tg_xxxxxzz_xxxyyyz_0[j] + fr * tg_xxxxxzz_xxxyyyz_1[j] + 2.5 * fl1_fx * (tg_xxxxzz_xxxyyyz_0[j] - tg_xxxxzz_xxxyyyz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_xxxxxzz_xxyyyz_1[j];
                }

                idx++;
            }
        }
    }

    void
    compElectronRepulsionForSLSK_192_288(      CMemBlock2D<double>* primBuffer,
                                         const CRecursionMap&       recursionMap,
                                         const CMemBlock2D<double>& osFactors,
                                         const CMemBlock2D<double>& wpDistances,
                                         const CGtoPairsBlock&      braGtoPairsBlock,
                                         const CGtoPairsBlock&      ketGtoPairsBlock,
                                         const int32_t              nKetPrimPairs,
                                         const int32_t              iContrPair)
    {
        // Batch of Integrals (192,288)

        // set up pointers to primitives data on bra side

        auto spos = braGtoPairsBlock.getStartPositions();

        auto epos = braGtoPairsBlock.getEndPositions();

        // set up pointers to tensor of distance R(PB) = P - B

        auto r_pb_x = braGtoPairsBlock.getDistancesPBX();

        // set up pointers to common Obara-Saika factors

        auto b_fx = braGtoPairsBlock.getFactorsOneOverXi();

        // set up maximum order of integral

        auto mord = recursionMap.getMaxOrder({"Electron Repulsion"},
                                             {8, -1, -1, -1},
                                             {7, -1, -1, -1},
                                             1, 1);

        for (int32_t iord = 0; iord <= mord; iord++)
        {
            // set up index of integral

            auto pidx_g_8_7_m0 = recursionMap.index(CRecursionTerm({"Electron Repulsion"}, 0, true, 
                                                                   {8, -1, -1, -1}, {7, -1, -1, -1}, 
                                                                   1, 1, iord));

            // check if integral is needed in recursion expansion

            if (pidx_g_8_7_m0 == -1) continue;

            // set up indexes of auxilary integral

            auto pidx_g_7_7_m0 = recursionMap.index(CRecursionTerm({"Electron Repulsion"}, 0, true, 
                                                                   {7, -1, -1, -1}, {7, -1, -1, -1}, 
                                                                   1, 1, iord));

            auto pidx_g_7_7_m1 = recursionMap.index(CRecursionTerm({"Electron Repulsion"}, 0, true, 
                                                                   {7, -1, -1, -1}, {7, -1, -1, -1}, 
                                                                   1, 1, iord + 1));

            auto pidx_g_6_7_m0 = recursionMap.index(CRecursionTerm({"Electron Repulsion"}, 0, true, 
                                                                   {6, -1, -1, -1}, {7, -1, -1, -1}, 
                                                                   1, 1, iord));

            auto pidx_g_6_7_m1 = recursionMap.index(CRecursionTerm({"Electron Repulsion"}, 0, true, 
                                                                   {6, -1, -1, -1}, {7, -1, -1, -1}, 
                                                                   1, 1, iord + 1));

            auto pidx_g_7_6_m1 = recursionMap.index(CRecursionTerm({"Electron Repulsion"}, 0, true, 
                                                                   {7, -1, -1, -1}, {6, -1, -1, -1}, 
                                                                   1, 1, iord + 1));

            // loop over contracted GTO on bra side

            int32_t idx = 0;

            for (int32_t i = spos[iContrPair]; i < epos[iContrPair]; i++)
            {
                // set up pointers to Obara-Saika factors

                double fx = b_fx[i];

                auto fza = osFactors.data(4 * idx + 2);

                auto fxn = osFactors.data(4 * idx);

                // set up distances R(PB) = P - B

                auto pb_x = r_pb_x[i];

                // set up pointers to tensors product of distances R(WP) = W - P

                auto wp_x = wpDistances.data(3 * idx);

                // set up pointers to auxilary integrals

                auto tg_xxxxxzz_xxxyyzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 192); 

                auto tg_xxxxxzz_xxxyzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 193); 

                auto tg_xxxxxzz_xxxzzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 194); 

                auto tg_xxxxxzz_xxyyyyy_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 195); 

                auto tg_xxxxxzz_xxyyyyz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 196); 

                auto tg_xxxxxzz_xxyyyzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 197); 

                auto tg_xxxxxzz_xxyyzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 198); 

                auto tg_xxxxxzz_xxyzzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 199); 

                auto tg_xxxxxzz_xxzzzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 200); 

                auto tg_xxxxxzz_xyyyyyy_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 201); 

                auto tg_xxxxxzz_xyyyyyz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 202); 

                auto tg_xxxxxzz_xyyyyzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 203); 

                auto tg_xxxxxzz_xyyyzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 204); 

                auto tg_xxxxxzz_xyyzzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 205); 

                auto tg_xxxxxzz_xyzzzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 206); 

                auto tg_xxxxxzz_xzzzzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 207); 

                auto tg_xxxxxzz_yyyyyyy_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 208); 

                auto tg_xxxxxzz_yyyyyyz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 209); 

                auto tg_xxxxxzz_yyyyyzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 210); 

                auto tg_xxxxxzz_yyyyzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 211); 

                auto tg_xxxxxzz_yyyzzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 212); 

                auto tg_xxxxxzz_yyzzzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 213); 

                auto tg_xxxxxzz_yzzzzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 214); 

                auto tg_xxxxxzz_zzzzzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 215); 

                auto tg_xxxxyyy_xxxxxxx_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 216); 

                auto tg_xxxxyyy_xxxxxxy_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 217); 

                auto tg_xxxxyyy_xxxxxxz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 218); 

                auto tg_xxxxyyy_xxxxxyy_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 219); 

                auto tg_xxxxyyy_xxxxxyz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 220); 

                auto tg_xxxxyyy_xxxxxzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 221); 

                auto tg_xxxxyyy_xxxxyyy_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 222); 

                auto tg_xxxxyyy_xxxxyyz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 223); 

                auto tg_xxxxyyy_xxxxyzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 224); 

                auto tg_xxxxyyy_xxxxzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 225); 

                auto tg_xxxxyyy_xxxyyyy_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 226); 

                auto tg_xxxxyyy_xxxyyyz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 227); 

                auto tg_xxxxyyy_xxxyyzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 228); 

                auto tg_xxxxyyy_xxxyzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 229); 

                auto tg_xxxxyyy_xxxzzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 230); 

                auto tg_xxxxyyy_xxyyyyy_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 231); 

                auto tg_xxxxyyy_xxyyyyz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 232); 

                auto tg_xxxxyyy_xxyyyzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 233); 

                auto tg_xxxxyyy_xxyyzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 234); 

                auto tg_xxxxyyy_xxyzzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 235); 

                auto tg_xxxxyyy_xxzzzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 236); 

                auto tg_xxxxyyy_xyyyyyy_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 237); 

                auto tg_xxxxyyy_xyyyyyz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 238); 

                auto tg_xxxxyyy_xyyyyzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 239); 

                auto tg_xxxxyyy_xyyyzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 240); 

                auto tg_xxxxyyy_xyyzzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 241); 

                auto tg_xxxxyyy_xyzzzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 242); 

                auto tg_xxxxyyy_xzzzzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 243); 

                auto tg_xxxxyyy_yyyyyyy_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 244); 

                auto tg_xxxxyyy_yyyyyyz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 245); 

                auto tg_xxxxyyy_yyyyyzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 246); 

                auto tg_xxxxyyy_yyyyzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 247); 

                auto tg_xxxxyyy_yyyzzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 248); 

                auto tg_xxxxyyy_yyzzzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 249); 

                auto tg_xxxxyyy_yzzzzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 250); 

                auto tg_xxxxyyy_zzzzzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 251); 

                auto tg_xxxxyyz_xxxxxxx_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 252); 

                auto tg_xxxxyyz_xxxxxxy_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 253); 

                auto tg_xxxxyyz_xxxxxxz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 254); 

                auto tg_xxxxyyz_xxxxxyy_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 255); 

                auto tg_xxxxyyz_xxxxxyz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 256); 

                auto tg_xxxxyyz_xxxxxzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 257); 

                auto tg_xxxxyyz_xxxxyyy_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 258); 

                auto tg_xxxxyyz_xxxxyyz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 259); 

                auto tg_xxxxyyz_xxxxyzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 260); 

                auto tg_xxxxyyz_xxxxzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 261); 

                auto tg_xxxxyyz_xxxyyyy_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 262); 

                auto tg_xxxxyyz_xxxyyyz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 263); 

                auto tg_xxxxyyz_xxxyyzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 264); 

                auto tg_xxxxyyz_xxxyzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 265); 

                auto tg_xxxxyyz_xxxzzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 266); 

                auto tg_xxxxyyz_xxyyyyy_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 267); 

                auto tg_xxxxyyz_xxyyyyz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 268); 

                auto tg_xxxxyyz_xxyyyzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 269); 

                auto tg_xxxxyyz_xxyyzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 270); 

                auto tg_xxxxyyz_xxyzzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 271); 

                auto tg_xxxxyyz_xxzzzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 272); 

                auto tg_xxxxyyz_xyyyyyy_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 273); 

                auto tg_xxxxyyz_xyyyyyz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 274); 

                auto tg_xxxxyyz_xyyyyzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 275); 

                auto tg_xxxxyyz_xyyyzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 276); 

                auto tg_xxxxyyz_xyyzzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 277); 

                auto tg_xxxxyyz_xyzzzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 278); 

                auto tg_xxxxyyz_xzzzzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 279); 

                auto tg_xxxxyyz_yyyyyyy_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 280); 

                auto tg_xxxxyyz_yyyyyyz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 281); 

                auto tg_xxxxyyz_yyyyyzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 282); 

                auto tg_xxxxyyz_yyyyzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 283); 

                auto tg_xxxxyyz_yyyzzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 284); 

                auto tg_xxxxyyz_yyzzzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 285); 

                auto tg_xxxxyyz_yzzzzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 286); 

                auto tg_xxxxyyz_zzzzzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 287); 

                auto tg_xxxxxzz_xxxyyzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 192); 

                auto tg_xxxxxzz_xxxyzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 193); 

                auto tg_xxxxxzz_xxxzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 194); 

                auto tg_xxxxxzz_xxyyyyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 195); 

                auto tg_xxxxxzz_xxyyyyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 196); 

                auto tg_xxxxxzz_xxyyyzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 197); 

                auto tg_xxxxxzz_xxyyzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 198); 

                auto tg_xxxxxzz_xxyzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 199); 

                auto tg_xxxxxzz_xxzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 200); 

                auto tg_xxxxxzz_xyyyyyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 201); 

                auto tg_xxxxxzz_xyyyyyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 202); 

                auto tg_xxxxxzz_xyyyyzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 203); 

                auto tg_xxxxxzz_xyyyzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 204); 

                auto tg_xxxxxzz_xyyzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 205); 

                auto tg_xxxxxzz_xyzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 206); 

                auto tg_xxxxxzz_xzzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 207); 

                auto tg_xxxxxzz_yyyyyyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 208); 

                auto tg_xxxxxzz_yyyyyyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 209); 

                auto tg_xxxxxzz_yyyyyzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 210); 

                auto tg_xxxxxzz_yyyyzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 211); 

                auto tg_xxxxxzz_yyyzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 212); 

                auto tg_xxxxxzz_yyzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 213); 

                auto tg_xxxxxzz_yzzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 214); 

                auto tg_xxxxxzz_zzzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 215); 

                auto tg_xxxxyyy_xxxxxxx_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 216); 

                auto tg_xxxxyyy_xxxxxxy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 217); 

                auto tg_xxxxyyy_xxxxxxz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 218); 

                auto tg_xxxxyyy_xxxxxyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 219); 

                auto tg_xxxxyyy_xxxxxyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 220); 

                auto tg_xxxxyyy_xxxxxzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 221); 

                auto tg_xxxxyyy_xxxxyyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 222); 

                auto tg_xxxxyyy_xxxxyyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 223); 

                auto tg_xxxxyyy_xxxxyzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 224); 

                auto tg_xxxxyyy_xxxxzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 225); 

                auto tg_xxxxyyy_xxxyyyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 226); 

                auto tg_xxxxyyy_xxxyyyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 227); 

                auto tg_xxxxyyy_xxxyyzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 228); 

                auto tg_xxxxyyy_xxxyzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 229); 

                auto tg_xxxxyyy_xxxzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 230); 

                auto tg_xxxxyyy_xxyyyyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 231); 

                auto tg_xxxxyyy_xxyyyyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 232); 

                auto tg_xxxxyyy_xxyyyzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 233); 

                auto tg_xxxxyyy_xxyyzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 234); 

                auto tg_xxxxyyy_xxyzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 235); 

                auto tg_xxxxyyy_xxzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 236); 

                auto tg_xxxxyyy_xyyyyyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 237); 

                auto tg_xxxxyyy_xyyyyyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 238); 

                auto tg_xxxxyyy_xyyyyzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 239); 

                auto tg_xxxxyyy_xyyyzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 240); 

                auto tg_xxxxyyy_xyyzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 241); 

                auto tg_xxxxyyy_xyzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 242); 

                auto tg_xxxxyyy_xzzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 243); 

                auto tg_xxxxyyy_yyyyyyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 244); 

                auto tg_xxxxyyy_yyyyyyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 245); 

                auto tg_xxxxyyy_yyyyyzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 246); 

                auto tg_xxxxyyy_yyyyzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 247); 

                auto tg_xxxxyyy_yyyzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 248); 

                auto tg_xxxxyyy_yyzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 249); 

                auto tg_xxxxyyy_yzzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 250); 

                auto tg_xxxxyyy_zzzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 251); 

                auto tg_xxxxyyz_xxxxxxx_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 252); 

                auto tg_xxxxyyz_xxxxxxy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 253); 

                auto tg_xxxxyyz_xxxxxxz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 254); 

                auto tg_xxxxyyz_xxxxxyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 255); 

                auto tg_xxxxyyz_xxxxxyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 256); 

                auto tg_xxxxyyz_xxxxxzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 257); 

                auto tg_xxxxyyz_xxxxyyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 258); 

                auto tg_xxxxyyz_xxxxyyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 259); 

                auto tg_xxxxyyz_xxxxyzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 260); 

                auto tg_xxxxyyz_xxxxzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 261); 

                auto tg_xxxxyyz_xxxyyyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 262); 

                auto tg_xxxxyyz_xxxyyyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 263); 

                auto tg_xxxxyyz_xxxyyzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 264); 

                auto tg_xxxxyyz_xxxyzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 265); 

                auto tg_xxxxyyz_xxxzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 266); 

                auto tg_xxxxyyz_xxyyyyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 267); 

                auto tg_xxxxyyz_xxyyyyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 268); 

                auto tg_xxxxyyz_xxyyyzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 269); 

                auto tg_xxxxyyz_xxyyzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 270); 

                auto tg_xxxxyyz_xxyzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 271); 

                auto tg_xxxxyyz_xxzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 272); 

                auto tg_xxxxyyz_xyyyyyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 273); 

                auto tg_xxxxyyz_xyyyyyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 274); 

                auto tg_xxxxyyz_xyyyyzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 275); 

                auto tg_xxxxyyz_xyyyzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 276); 

                auto tg_xxxxyyz_xyyzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 277); 

                auto tg_xxxxyyz_xyzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 278); 

                auto tg_xxxxyyz_xzzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 279); 

                auto tg_xxxxyyz_yyyyyyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 280); 

                auto tg_xxxxyyz_yyyyyyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 281); 

                auto tg_xxxxyyz_yyyyyzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 282); 

                auto tg_xxxxyyz_yyyyzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 283); 

                auto tg_xxxxyyz_yyyzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 284); 

                auto tg_xxxxyyz_yyzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 285); 

                auto tg_xxxxyyz_yzzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 286); 

                auto tg_xxxxyyz_zzzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 287); 

                auto tg_xxxxzz_xxxyyzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 192); 

                auto tg_xxxxzz_xxxyzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 193); 

                auto tg_xxxxzz_xxxzzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 194); 

                auto tg_xxxxzz_xxyyyyy_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 195); 

                auto tg_xxxxzz_xxyyyyz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 196); 

                auto tg_xxxxzz_xxyyyzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 197); 

                auto tg_xxxxzz_xxyyzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 198); 

                auto tg_xxxxzz_xxyzzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 199); 

                auto tg_xxxxzz_xxzzzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 200); 

                auto tg_xxxxzz_xyyyyyy_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 201); 

                auto tg_xxxxzz_xyyyyyz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 202); 

                auto tg_xxxxzz_xyyyyzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 203); 

                auto tg_xxxxzz_xyyyzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 204); 

                auto tg_xxxxzz_xyyzzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 205); 

                auto tg_xxxxzz_xyzzzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 206); 

                auto tg_xxxxzz_xzzzzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 207); 

                auto tg_xxxxzz_yyyyyyy_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 208); 

                auto tg_xxxxzz_yyyyyyz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 209); 

                auto tg_xxxxzz_yyyyyzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 210); 

                auto tg_xxxxzz_yyyyzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 211); 

                auto tg_xxxxzz_yyyzzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 212); 

                auto tg_xxxxzz_yyzzzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 213); 

                auto tg_xxxxzz_yzzzzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 214); 

                auto tg_xxxxzz_zzzzzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 215); 

                auto tg_xxxyyy_xxxxxxx_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 216); 

                auto tg_xxxyyy_xxxxxxy_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 217); 

                auto tg_xxxyyy_xxxxxxz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 218); 

                auto tg_xxxyyy_xxxxxyy_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 219); 

                auto tg_xxxyyy_xxxxxyz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 220); 

                auto tg_xxxyyy_xxxxxzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 221); 

                auto tg_xxxyyy_xxxxyyy_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 222); 

                auto tg_xxxyyy_xxxxyyz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 223); 

                auto tg_xxxyyy_xxxxyzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 224); 

                auto tg_xxxyyy_xxxxzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 225); 

                auto tg_xxxyyy_xxxyyyy_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 226); 

                auto tg_xxxyyy_xxxyyyz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 227); 

                auto tg_xxxyyy_xxxyyzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 228); 

                auto tg_xxxyyy_xxxyzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 229); 

                auto tg_xxxyyy_xxxzzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 230); 

                auto tg_xxxyyy_xxyyyyy_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 231); 

                auto tg_xxxyyy_xxyyyyz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 232); 

                auto tg_xxxyyy_xxyyyzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 233); 

                auto tg_xxxyyy_xxyyzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 234); 

                auto tg_xxxyyy_xxyzzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 235); 

                auto tg_xxxyyy_xxzzzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 236); 

                auto tg_xxxyyy_xyyyyyy_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 237); 

                auto tg_xxxyyy_xyyyyyz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 238); 

                auto tg_xxxyyy_xyyyyzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 239); 

                auto tg_xxxyyy_xyyyzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 240); 

                auto tg_xxxyyy_xyyzzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 241); 

                auto tg_xxxyyy_xyzzzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 242); 

                auto tg_xxxyyy_xzzzzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 243); 

                auto tg_xxxyyy_yyyyyyy_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 244); 

                auto tg_xxxyyy_yyyyyyz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 245); 

                auto tg_xxxyyy_yyyyyzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 246); 

                auto tg_xxxyyy_yyyyzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 247); 

                auto tg_xxxyyy_yyyzzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 248); 

                auto tg_xxxyyy_yyzzzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 249); 

                auto tg_xxxyyy_yzzzzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 250); 

                auto tg_xxxyyy_zzzzzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 251); 

                auto tg_xxxyyz_xxxxxxx_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 252); 

                auto tg_xxxyyz_xxxxxxy_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 253); 

                auto tg_xxxyyz_xxxxxxz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 254); 

                auto tg_xxxyyz_xxxxxyy_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 255); 

                auto tg_xxxyyz_xxxxxyz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 256); 

                auto tg_xxxyyz_xxxxxzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 257); 

                auto tg_xxxyyz_xxxxyyy_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 258); 

                auto tg_xxxyyz_xxxxyyz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 259); 

                auto tg_xxxyyz_xxxxyzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 260); 

                auto tg_xxxyyz_xxxxzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 261); 

                auto tg_xxxyyz_xxxyyyy_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 262); 

                auto tg_xxxyyz_xxxyyyz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 263); 

                auto tg_xxxyyz_xxxyyzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 264); 

                auto tg_xxxyyz_xxxyzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 265); 

                auto tg_xxxyyz_xxxzzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 266); 

                auto tg_xxxyyz_xxyyyyy_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 267); 

                auto tg_xxxyyz_xxyyyyz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 268); 

                auto tg_xxxyyz_xxyyyzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 269); 

                auto tg_xxxyyz_xxyyzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 270); 

                auto tg_xxxyyz_xxyzzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 271); 

                auto tg_xxxyyz_xxzzzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 272); 

                auto tg_xxxyyz_xyyyyyy_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 273); 

                auto tg_xxxyyz_xyyyyyz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 274); 

                auto tg_xxxyyz_xyyyyzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 275); 

                auto tg_xxxyyz_xyyyzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 276); 

                auto tg_xxxyyz_xyyzzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 277); 

                auto tg_xxxyyz_xyzzzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 278); 

                auto tg_xxxyyz_xzzzzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 279); 

                auto tg_xxxyyz_yyyyyyy_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 280); 

                auto tg_xxxyyz_yyyyyyz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 281); 

                auto tg_xxxyyz_yyyyyzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 282); 

                auto tg_xxxyyz_yyyyzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 283); 

                auto tg_xxxyyz_yyyzzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 284); 

                auto tg_xxxyyz_yyzzzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 285); 

                auto tg_xxxyyz_yzzzzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 286); 

                auto tg_xxxyyz_zzzzzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 287); 

                auto tg_xxxxzz_xxxyyzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 192); 

                auto tg_xxxxzz_xxxyzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 193); 

                auto tg_xxxxzz_xxxzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 194); 

                auto tg_xxxxzz_xxyyyyy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 195); 

                auto tg_xxxxzz_xxyyyyz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 196); 

                auto tg_xxxxzz_xxyyyzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 197); 

                auto tg_xxxxzz_xxyyzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 198); 

                auto tg_xxxxzz_xxyzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 199); 

                auto tg_xxxxzz_xxzzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 200); 

                auto tg_xxxxzz_xyyyyyy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 201); 

                auto tg_xxxxzz_xyyyyyz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 202); 

                auto tg_xxxxzz_xyyyyzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 203); 

                auto tg_xxxxzz_xyyyzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 204); 

                auto tg_xxxxzz_xyyzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 205); 

                auto tg_xxxxzz_xyzzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 206); 

                auto tg_xxxxzz_xzzzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 207); 

                auto tg_xxxxzz_yyyyyyy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 208); 

                auto tg_xxxxzz_yyyyyyz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 209); 

                auto tg_xxxxzz_yyyyyzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 210); 

                auto tg_xxxxzz_yyyyzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 211); 

                auto tg_xxxxzz_yyyzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 212); 

                auto tg_xxxxzz_yyzzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 213); 

                auto tg_xxxxzz_yzzzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 214); 

                auto tg_xxxxzz_zzzzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 215); 

                auto tg_xxxyyy_xxxxxxx_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 216); 

                auto tg_xxxyyy_xxxxxxy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 217); 

                auto tg_xxxyyy_xxxxxxz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 218); 

                auto tg_xxxyyy_xxxxxyy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 219); 

                auto tg_xxxyyy_xxxxxyz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 220); 

                auto tg_xxxyyy_xxxxxzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 221); 

                auto tg_xxxyyy_xxxxyyy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 222); 

                auto tg_xxxyyy_xxxxyyz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 223); 

                auto tg_xxxyyy_xxxxyzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 224); 

                auto tg_xxxyyy_xxxxzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 225); 

                auto tg_xxxyyy_xxxyyyy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 226); 

                auto tg_xxxyyy_xxxyyyz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 227); 

                auto tg_xxxyyy_xxxyyzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 228); 

                auto tg_xxxyyy_xxxyzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 229); 

                auto tg_xxxyyy_xxxzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 230); 

                auto tg_xxxyyy_xxyyyyy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 231); 

                auto tg_xxxyyy_xxyyyyz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 232); 

                auto tg_xxxyyy_xxyyyzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 233); 

                auto tg_xxxyyy_xxyyzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 234); 

                auto tg_xxxyyy_xxyzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 235); 

                auto tg_xxxyyy_xxzzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 236); 

                auto tg_xxxyyy_xyyyyyy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 237); 

                auto tg_xxxyyy_xyyyyyz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 238); 

                auto tg_xxxyyy_xyyyyzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 239); 

                auto tg_xxxyyy_xyyyzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 240); 

                auto tg_xxxyyy_xyyzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 241); 

                auto tg_xxxyyy_xyzzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 242); 

                auto tg_xxxyyy_xzzzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 243); 

                auto tg_xxxyyy_yyyyyyy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 244); 

                auto tg_xxxyyy_yyyyyyz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 245); 

                auto tg_xxxyyy_yyyyyzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 246); 

                auto tg_xxxyyy_yyyyzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 247); 

                auto tg_xxxyyy_yyyzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 248); 

                auto tg_xxxyyy_yyzzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 249); 

                auto tg_xxxyyy_yzzzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 250); 

                auto tg_xxxyyy_zzzzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 251); 

                auto tg_xxxyyz_xxxxxxx_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 252); 

                auto tg_xxxyyz_xxxxxxy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 253); 

                auto tg_xxxyyz_xxxxxxz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 254); 

                auto tg_xxxyyz_xxxxxyy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 255); 

                auto tg_xxxyyz_xxxxxyz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 256); 

                auto tg_xxxyyz_xxxxxzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 257); 

                auto tg_xxxyyz_xxxxyyy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 258); 

                auto tg_xxxyyz_xxxxyyz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 259); 

                auto tg_xxxyyz_xxxxyzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 260); 

                auto tg_xxxyyz_xxxxzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 261); 

                auto tg_xxxyyz_xxxyyyy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 262); 

                auto tg_xxxyyz_xxxyyyz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 263); 

                auto tg_xxxyyz_xxxyyzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 264); 

                auto tg_xxxyyz_xxxyzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 265); 

                auto tg_xxxyyz_xxxzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 266); 

                auto tg_xxxyyz_xxyyyyy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 267); 

                auto tg_xxxyyz_xxyyyyz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 268); 

                auto tg_xxxyyz_xxyyyzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 269); 

                auto tg_xxxyyz_xxyyzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 270); 

                auto tg_xxxyyz_xxyzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 271); 

                auto tg_xxxyyz_xxzzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 272); 

                auto tg_xxxyyz_xyyyyyy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 273); 

                auto tg_xxxyyz_xyyyyyz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 274); 

                auto tg_xxxyyz_xyyyyzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 275); 

                auto tg_xxxyyz_xyyyzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 276); 

                auto tg_xxxyyz_xyyzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 277); 

                auto tg_xxxyyz_xyzzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 278); 

                auto tg_xxxyyz_xzzzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 279); 

                auto tg_xxxyyz_yyyyyyy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 280); 

                auto tg_xxxyyz_yyyyyyz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 281); 

                auto tg_xxxyyz_yyyyyzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 282); 

                auto tg_xxxyyz_yyyyzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 283); 

                auto tg_xxxyyz_yyyzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 284); 

                auto tg_xxxyyz_yyzzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 285); 

                auto tg_xxxyyz_yzzzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 286); 

                auto tg_xxxyyz_zzzzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 287); 

                auto tg_xxxxxzz_xxyyzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 152); 

                auto tg_xxxxxzz_xxyzzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 153); 

                auto tg_xxxxxzz_xxzzzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 154); 

                auto tg_xxxxxzz_xyyyyy_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 155); 

                auto tg_xxxxxzz_xyyyyz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 156); 

                auto tg_xxxxxzz_xyyyzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 157); 

                auto tg_xxxxxzz_xyyzzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 158); 

                auto tg_xxxxxzz_xyzzzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 159); 

                auto tg_xxxxxzz_xzzzzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 160); 

                auto tg_xxxxxzz_yyyyyy_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 161); 

                auto tg_xxxxxzz_yyyyyz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 162); 

                auto tg_xxxxxzz_yyyyzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 163); 

                auto tg_xxxxxzz_yyyzzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 164); 

                auto tg_xxxxxzz_yyzzzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 165); 

                auto tg_xxxxxzz_yzzzzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 166); 

                auto tg_xxxxxzz_zzzzzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 167); 

                auto tg_xxxxyyy_xxxxxx_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 168); 

                auto tg_xxxxyyy_xxxxxy_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 169); 

                auto tg_xxxxyyy_xxxxxz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 170); 

                auto tg_xxxxyyy_xxxxyy_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 171); 

                auto tg_xxxxyyy_xxxxyz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 172); 

                auto tg_xxxxyyy_xxxxzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 173); 

                auto tg_xxxxyyy_xxxyyy_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 174); 

                auto tg_xxxxyyy_xxxyyz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 175); 

                auto tg_xxxxyyy_xxxyzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 176); 

                auto tg_xxxxyyy_xxxzzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 177); 

                auto tg_xxxxyyy_xxyyyy_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 178); 

                auto tg_xxxxyyy_xxyyyz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 179); 

                auto tg_xxxxyyy_xxyyzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 180); 

                auto tg_xxxxyyy_xxyzzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 181); 

                auto tg_xxxxyyy_xxzzzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 182); 

                auto tg_xxxxyyy_xyyyyy_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 183); 

                auto tg_xxxxyyy_xyyyyz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 184); 

                auto tg_xxxxyyy_xyyyzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 185); 

                auto tg_xxxxyyy_xyyzzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 186); 

                auto tg_xxxxyyy_xyzzzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 187); 

                auto tg_xxxxyyy_xzzzzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 188); 

                auto tg_xxxxyyy_yyyyyy_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 189); 

                auto tg_xxxxyyy_yyyyyz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 190); 

                auto tg_xxxxyyy_yyyyzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 191); 

                auto tg_xxxxyyy_yyyzzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 192); 

                auto tg_xxxxyyy_yyzzzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 193); 

                auto tg_xxxxyyy_yzzzzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 194); 

                auto tg_xxxxyyy_zzzzzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 195); 

                auto tg_xxxxyyz_xxxxxx_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 196); 

                auto tg_xxxxyyz_xxxxxy_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 197); 

                auto tg_xxxxyyz_xxxxxz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 198); 

                auto tg_xxxxyyz_xxxxyy_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 199); 

                auto tg_xxxxyyz_xxxxyz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 200); 

                auto tg_xxxxyyz_xxxxzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 201); 

                auto tg_xxxxyyz_xxxyyy_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 202); 

                auto tg_xxxxyyz_xxxyyz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 203); 

                auto tg_xxxxyyz_xxxyzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 204); 

                auto tg_xxxxyyz_xxxzzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 205); 

                auto tg_xxxxyyz_xxyyyy_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 206); 

                auto tg_xxxxyyz_xxyyyz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 207); 

                auto tg_xxxxyyz_xxyyzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 208); 

                auto tg_xxxxyyz_xxyzzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 209); 

                auto tg_xxxxyyz_xxzzzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 210); 

                auto tg_xxxxyyz_xyyyyy_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 211); 

                auto tg_xxxxyyz_xyyyyz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 212); 

                auto tg_xxxxyyz_xyyyzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 213); 

                auto tg_xxxxyyz_xyyzzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 214); 

                auto tg_xxxxyyz_xyzzzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 215); 

                auto tg_xxxxyyz_xzzzzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 216); 

                auto tg_xxxxyyz_yyyyyy_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 217); 

                auto tg_xxxxyyz_yyyyyz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 218); 

                auto tg_xxxxyyz_yyyyzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 219); 

                auto tg_xxxxyyz_yyyzzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 220); 

                auto tg_xxxxyyz_yyzzzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 221); 

                auto tg_xxxxyyz_yzzzzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 222); 

                auto tg_xxxxyyz_zzzzzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 223); 

                // set up pointers to integrals

                auto tg_xxxxxxzz_xxxyyzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 192); 

                auto tg_xxxxxxzz_xxxyzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 193); 

                auto tg_xxxxxxzz_xxxzzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 194); 

                auto tg_xxxxxxzz_xxyyyyy_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 195); 

                auto tg_xxxxxxzz_xxyyyyz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 196); 

                auto tg_xxxxxxzz_xxyyyzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 197); 

                auto tg_xxxxxxzz_xxyyzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 198); 

                auto tg_xxxxxxzz_xxyzzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 199); 

                auto tg_xxxxxxzz_xxzzzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 200); 

                auto tg_xxxxxxzz_xyyyyyy_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 201); 

                auto tg_xxxxxxzz_xyyyyyz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 202); 

                auto tg_xxxxxxzz_xyyyyzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 203); 

                auto tg_xxxxxxzz_xyyyzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 204); 

                auto tg_xxxxxxzz_xyyzzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 205); 

                auto tg_xxxxxxzz_xyzzzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 206); 

                auto tg_xxxxxxzz_xzzzzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 207); 

                auto tg_xxxxxxzz_yyyyyyy_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 208); 

                auto tg_xxxxxxzz_yyyyyyz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 209); 

                auto tg_xxxxxxzz_yyyyyzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 210); 

                auto tg_xxxxxxzz_yyyyzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 211); 

                auto tg_xxxxxxzz_yyyzzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 212); 

                auto tg_xxxxxxzz_yyzzzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 213); 

                auto tg_xxxxxxzz_yzzzzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 214); 

                auto tg_xxxxxxzz_zzzzzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 215); 

                auto tg_xxxxxyyy_xxxxxxx_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 216); 

                auto tg_xxxxxyyy_xxxxxxy_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 217); 

                auto tg_xxxxxyyy_xxxxxxz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 218); 

                auto tg_xxxxxyyy_xxxxxyy_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 219); 

                auto tg_xxxxxyyy_xxxxxyz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 220); 

                auto tg_xxxxxyyy_xxxxxzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 221); 

                auto tg_xxxxxyyy_xxxxyyy_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 222); 

                auto tg_xxxxxyyy_xxxxyyz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 223); 

                auto tg_xxxxxyyy_xxxxyzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 224); 

                auto tg_xxxxxyyy_xxxxzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 225); 

                auto tg_xxxxxyyy_xxxyyyy_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 226); 

                auto tg_xxxxxyyy_xxxyyyz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 227); 

                auto tg_xxxxxyyy_xxxyyzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 228); 

                auto tg_xxxxxyyy_xxxyzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 229); 

                auto tg_xxxxxyyy_xxxzzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 230); 

                auto tg_xxxxxyyy_xxyyyyy_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 231); 

                auto tg_xxxxxyyy_xxyyyyz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 232); 

                auto tg_xxxxxyyy_xxyyyzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 233); 

                auto tg_xxxxxyyy_xxyyzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 234); 

                auto tg_xxxxxyyy_xxyzzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 235); 

                auto tg_xxxxxyyy_xxzzzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 236); 

                auto tg_xxxxxyyy_xyyyyyy_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 237); 

                auto tg_xxxxxyyy_xyyyyyz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 238); 

                auto tg_xxxxxyyy_xyyyyzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 239); 

                auto tg_xxxxxyyy_xyyyzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 240); 

                auto tg_xxxxxyyy_xyyzzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 241); 

                auto tg_xxxxxyyy_xyzzzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 242); 

                auto tg_xxxxxyyy_xzzzzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 243); 

                auto tg_xxxxxyyy_yyyyyyy_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 244); 

                auto tg_xxxxxyyy_yyyyyyz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 245); 

                auto tg_xxxxxyyy_yyyyyzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 246); 

                auto tg_xxxxxyyy_yyyyzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 247); 

                auto tg_xxxxxyyy_yyyzzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 248); 

                auto tg_xxxxxyyy_yyzzzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 249); 

                auto tg_xxxxxyyy_yzzzzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 250); 

                auto tg_xxxxxyyy_zzzzzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 251); 

                auto tg_xxxxxyyz_xxxxxxx_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 252); 

                auto tg_xxxxxyyz_xxxxxxy_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 253); 

                auto tg_xxxxxyyz_xxxxxxz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 254); 

                auto tg_xxxxxyyz_xxxxxyy_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 255); 

                auto tg_xxxxxyyz_xxxxxyz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 256); 

                auto tg_xxxxxyyz_xxxxxzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 257); 

                auto tg_xxxxxyyz_xxxxyyy_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 258); 

                auto tg_xxxxxyyz_xxxxyyz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 259); 

                auto tg_xxxxxyyz_xxxxyzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 260); 

                auto tg_xxxxxyyz_xxxxzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 261); 

                auto tg_xxxxxyyz_xxxyyyy_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 262); 

                auto tg_xxxxxyyz_xxxyyyz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 263); 

                auto tg_xxxxxyyz_xxxyyzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 264); 

                auto tg_xxxxxyyz_xxxyzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 265); 

                auto tg_xxxxxyyz_xxxzzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 266); 

                auto tg_xxxxxyyz_xxyyyyy_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 267); 

                auto tg_xxxxxyyz_xxyyyyz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 268); 

                auto tg_xxxxxyyz_xxyyyzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 269); 

                auto tg_xxxxxyyz_xxyyzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 270); 

                auto tg_xxxxxyyz_xxyzzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 271); 

                auto tg_xxxxxyyz_xxzzzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 272); 

                auto tg_xxxxxyyz_xyyyyyy_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 273); 

                auto tg_xxxxxyyz_xyyyyyz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 274); 

                auto tg_xxxxxyyz_xyyyyzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 275); 

                auto tg_xxxxxyyz_xyyyzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 276); 

                auto tg_xxxxxyyz_xyyzzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 277); 

                auto tg_xxxxxyyz_xyzzzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 278); 

                auto tg_xxxxxyyz_xzzzzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 279); 

                auto tg_xxxxxyyz_yyyyyyy_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 280); 

                auto tg_xxxxxyyz_yyyyyyz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 281); 

                auto tg_xxxxxyyz_yyyyyzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 282); 

                auto tg_xxxxxyyz_yyyyzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 283); 

                auto tg_xxxxxyyz_yyyzzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 284); 

                auto tg_xxxxxyyz_yyzzzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 285); 

                auto tg_xxxxxyyz_yzzzzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 286); 

                auto tg_xxxxxyyz_zzzzzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 287); 

                // Batch of Integrals (192,288)

                #pragma omp simd aligned(fxn, fza, tg_xxxxxxzz_xxxyyzz_0, tg_xxxxxxzz_xxxyzzz_0, \
                                         tg_xxxxxxzz_xxxzzzz_0, tg_xxxxxxzz_xxyyyyy_0, tg_xxxxxxzz_xxyyyyz_0, \
                                         tg_xxxxxxzz_xxyyyzz_0, tg_xxxxxxzz_xxyyzzz_0, tg_xxxxxxzz_xxyzzzz_0, \
                                         tg_xxxxxxzz_xxzzzzz_0, tg_xxxxxxzz_xyyyyyy_0, tg_xxxxxxzz_xyyyyyz_0, \
                                         tg_xxxxxxzz_xyyyyzz_0, tg_xxxxxxzz_xyyyzzz_0, tg_xxxxxxzz_xyyzzzz_0, \
                                         tg_xxxxxxzz_xyzzzzz_0, tg_xxxxxxzz_xzzzzzz_0, tg_xxxxxxzz_yyyyyyy_0, \
                                         tg_xxxxxxzz_yyyyyyz_0, tg_xxxxxxzz_yyyyyzz_0, tg_xxxxxxzz_yyyyzzz_0, \
                                         tg_xxxxxxzz_yyyzzzz_0, tg_xxxxxxzz_yyzzzzz_0, tg_xxxxxxzz_yzzzzzz_0, \
                                         tg_xxxxxxzz_zzzzzzz_0, tg_xxxxxyyy_xxxxxxx_0, tg_xxxxxyyy_xxxxxxy_0, \
                                         tg_xxxxxyyy_xxxxxxz_0, tg_xxxxxyyy_xxxxxyy_0, tg_xxxxxyyy_xxxxxyz_0, \
                                         tg_xxxxxyyy_xxxxxzz_0, tg_xxxxxyyy_xxxxyyy_0, tg_xxxxxyyy_xxxxyyz_0, \
                                         tg_xxxxxyyy_xxxxyzz_0, tg_xxxxxyyy_xxxxzzz_0, tg_xxxxxyyy_xxxyyyy_0, \
                                         tg_xxxxxyyy_xxxyyyz_0, tg_xxxxxyyy_xxxyyzz_0, tg_xxxxxyyy_xxxyzzz_0, \
                                         tg_xxxxxyyy_xxxzzzz_0, tg_xxxxxyyy_xxyyyyy_0, tg_xxxxxyyy_xxyyyyz_0, \
                                         tg_xxxxxyyy_xxyyyzz_0, tg_xxxxxyyy_xxyyzzz_0, tg_xxxxxyyy_xxyzzzz_0, \
                                         tg_xxxxxyyy_xxzzzzz_0, tg_xxxxxyyy_xyyyyyy_0, tg_xxxxxyyy_xyyyyyz_0, \
                                         tg_xxxxxyyy_xyyyyzz_0, tg_xxxxxyyy_xyyyzzz_0, tg_xxxxxyyy_xyyzzzz_0, \
                                         tg_xxxxxyyy_xyzzzzz_0, tg_xxxxxyyy_xzzzzzz_0, tg_xxxxxyyy_yyyyyyy_0, \
                                         tg_xxxxxyyy_yyyyyyz_0, tg_xxxxxyyy_yyyyyzz_0, tg_xxxxxyyy_yyyyzzz_0, \
                                         tg_xxxxxyyy_yyyzzzz_0, tg_xxxxxyyy_yyzzzzz_0, tg_xxxxxyyy_yzzzzzz_0, \
                                         tg_xxxxxyyy_zzzzzzz_0, tg_xxxxxyyz_xxxxxxx_0, tg_xxxxxyyz_xxxxxxy_0, \
                                         tg_xxxxxyyz_xxxxxxz_0, tg_xxxxxyyz_xxxxxyy_0, tg_xxxxxyyz_xxxxxyz_0, \
                                         tg_xxxxxyyz_xxxxxzz_0, tg_xxxxxyyz_xxxxyyy_0, tg_xxxxxyyz_xxxxyyz_0, \
                                         tg_xxxxxyyz_xxxxyzz_0, tg_xxxxxyyz_xxxxzzz_0, tg_xxxxxyyz_xxxyyyy_0, \
                                         tg_xxxxxyyz_xxxyyyz_0, tg_xxxxxyyz_xxxyyzz_0, tg_xxxxxyyz_xxxyzzz_0, \
                                         tg_xxxxxyyz_xxxzzzz_0, tg_xxxxxyyz_xxyyyyy_0, tg_xxxxxyyz_xxyyyyz_0, \
                                         tg_xxxxxyyz_xxyyyzz_0, tg_xxxxxyyz_xxyyzzz_0, tg_xxxxxyyz_xxyzzzz_0, \
                                         tg_xxxxxyyz_xxzzzzz_0, tg_xxxxxyyz_xyyyyyy_0, tg_xxxxxyyz_xyyyyyz_0, \
                                         tg_xxxxxyyz_xyyyyzz_0, tg_xxxxxyyz_xyyyzzz_0, tg_xxxxxyyz_xyyzzzz_0, \
                                         tg_xxxxxyyz_xyzzzzz_0, tg_xxxxxyyz_xzzzzzz_0, tg_xxxxxyyz_yyyyyyy_0, \
                                         tg_xxxxxyyz_yyyyyyz_0, tg_xxxxxyyz_yyyyyzz_0, tg_xxxxxyyz_yyyyzzz_0, \
                                         tg_xxxxxyyz_yyyzzzz_0, tg_xxxxxyyz_yyzzzzz_0, tg_xxxxxyyz_yzzzzzz_0, \
                                         tg_xxxxxyyz_zzzzzzz_0, tg_xxxxxzz_xxxyyzz_0, tg_xxxxxzz_xxxyyzz_1, tg_xxxxxzz_xxxyzzz_0, \
                                         tg_xxxxxzz_xxxyzzz_1, tg_xxxxxzz_xxxzzzz_0, tg_xxxxxzz_xxxzzzz_1, tg_xxxxxzz_xxyyyyy_0, \
                                         tg_xxxxxzz_xxyyyyy_1, tg_xxxxxzz_xxyyyyz_0, tg_xxxxxzz_xxyyyyz_1, tg_xxxxxzz_xxyyyzz_0, \
                                         tg_xxxxxzz_xxyyyzz_1, tg_xxxxxzz_xxyyzz_1, tg_xxxxxzz_xxyyzzz_0, tg_xxxxxzz_xxyyzzz_1, \
                                         tg_xxxxxzz_xxyzzz_1, tg_xxxxxzz_xxyzzzz_0, tg_xxxxxzz_xxyzzzz_1, tg_xxxxxzz_xxzzzz_1, \
                                         tg_xxxxxzz_xxzzzzz_0, tg_xxxxxzz_xxzzzzz_1, tg_xxxxxzz_xyyyyy_1, tg_xxxxxzz_xyyyyyy_0, \
                                         tg_xxxxxzz_xyyyyyy_1, tg_xxxxxzz_xyyyyyz_0, tg_xxxxxzz_xyyyyyz_1, tg_xxxxxzz_xyyyyz_1, \
                                         tg_xxxxxzz_xyyyyzz_0, tg_xxxxxzz_xyyyyzz_1, tg_xxxxxzz_xyyyzz_1, tg_xxxxxzz_xyyyzzz_0, \
                                         tg_xxxxxzz_xyyyzzz_1, tg_xxxxxzz_xyyzzz_1, tg_xxxxxzz_xyyzzzz_0, tg_xxxxxzz_xyyzzzz_1, \
                                         tg_xxxxxzz_xyzzzz_1, tg_xxxxxzz_xyzzzzz_0, tg_xxxxxzz_xyzzzzz_1, tg_xxxxxzz_xzzzzz_1, \
                                         tg_xxxxxzz_xzzzzzz_0, tg_xxxxxzz_xzzzzzz_1, tg_xxxxxzz_yyyyyy_1, tg_xxxxxzz_yyyyyyy_0, \
                                         tg_xxxxxzz_yyyyyyy_1, tg_xxxxxzz_yyyyyyz_0, tg_xxxxxzz_yyyyyyz_1, tg_xxxxxzz_yyyyyz_1, \
                                         tg_xxxxxzz_yyyyyzz_0, tg_xxxxxzz_yyyyyzz_1, tg_xxxxxzz_yyyyzz_1, tg_xxxxxzz_yyyyzzz_0, \
                                         tg_xxxxxzz_yyyyzzz_1, tg_xxxxxzz_yyyzzz_1, tg_xxxxxzz_yyyzzzz_0, tg_xxxxxzz_yyyzzzz_1, \
                                         tg_xxxxxzz_yyzzzz_1, tg_xxxxxzz_yyzzzzz_0, tg_xxxxxzz_yyzzzzz_1, tg_xxxxxzz_yzzzzz_1, \
                                         tg_xxxxxzz_yzzzzzz_0, tg_xxxxxzz_yzzzzzz_1, tg_xxxxxzz_zzzzzz_1, tg_xxxxxzz_zzzzzzz_0, \
                                         tg_xxxxxzz_zzzzzzz_1, tg_xxxxyyy_xxxxxx_1, tg_xxxxyyy_xxxxxxx_0, tg_xxxxyyy_xxxxxxx_1, \
                                         tg_xxxxyyy_xxxxxxy_0, tg_xxxxyyy_xxxxxxy_1, tg_xxxxyyy_xxxxxxz_0, tg_xxxxyyy_xxxxxxz_1, \
                                         tg_xxxxyyy_xxxxxy_1, tg_xxxxyyy_xxxxxyy_0, tg_xxxxyyy_xxxxxyy_1, tg_xxxxyyy_xxxxxyz_0, \
                                         tg_xxxxyyy_xxxxxyz_1, tg_xxxxyyy_xxxxxz_1, tg_xxxxyyy_xxxxxzz_0, tg_xxxxyyy_xxxxxzz_1, \
                                         tg_xxxxyyy_xxxxyy_1, tg_xxxxyyy_xxxxyyy_0, tg_xxxxyyy_xxxxyyy_1, tg_xxxxyyy_xxxxyyz_0, \
                                         tg_xxxxyyy_xxxxyyz_1, tg_xxxxyyy_xxxxyz_1, tg_xxxxyyy_xxxxyzz_0, tg_xxxxyyy_xxxxyzz_1, \
                                         tg_xxxxyyy_xxxxzz_1, tg_xxxxyyy_xxxxzzz_0, tg_xxxxyyy_xxxxzzz_1, tg_xxxxyyy_xxxyyy_1, \
                                         tg_xxxxyyy_xxxyyyy_0, tg_xxxxyyy_xxxyyyy_1, tg_xxxxyyy_xxxyyyz_0, tg_xxxxyyy_xxxyyyz_1, \
                                         tg_xxxxyyy_xxxyyz_1, tg_xxxxyyy_xxxyyzz_0, tg_xxxxyyy_xxxyyzz_1, tg_xxxxyyy_xxxyzz_1, \
                                         tg_xxxxyyy_xxxyzzz_0, tg_xxxxyyy_xxxyzzz_1, tg_xxxxyyy_xxxzzz_1, tg_xxxxyyy_xxxzzzz_0, \
                                         tg_xxxxyyy_xxxzzzz_1, tg_xxxxyyy_xxyyyy_1, tg_xxxxyyy_xxyyyyy_0, tg_xxxxyyy_xxyyyyy_1, \
                                         tg_xxxxyyy_xxyyyyz_0, tg_xxxxyyy_xxyyyyz_1, tg_xxxxyyy_xxyyyz_1, tg_xxxxyyy_xxyyyzz_0, \
                                         tg_xxxxyyy_xxyyyzz_1, tg_xxxxyyy_xxyyzz_1, tg_xxxxyyy_xxyyzzz_0, tg_xxxxyyy_xxyyzzz_1, \
                                         tg_xxxxyyy_xxyzzz_1, tg_xxxxyyy_xxyzzzz_0, tg_xxxxyyy_xxyzzzz_1, tg_xxxxyyy_xxzzzz_1, \
                                         tg_xxxxyyy_xxzzzzz_0, tg_xxxxyyy_xxzzzzz_1, tg_xxxxyyy_xyyyyy_1, tg_xxxxyyy_xyyyyyy_0, \
                                         tg_xxxxyyy_xyyyyyy_1, tg_xxxxyyy_xyyyyyz_0, tg_xxxxyyy_xyyyyyz_1, tg_xxxxyyy_xyyyyz_1, \
                                         tg_xxxxyyy_xyyyyzz_0, tg_xxxxyyy_xyyyyzz_1, tg_xxxxyyy_xyyyzz_1, tg_xxxxyyy_xyyyzzz_0, \
                                         tg_xxxxyyy_xyyyzzz_1, tg_xxxxyyy_xyyzzz_1, tg_xxxxyyy_xyyzzzz_0, tg_xxxxyyy_xyyzzzz_1, \
                                         tg_xxxxyyy_xyzzzz_1, tg_xxxxyyy_xyzzzzz_0, tg_xxxxyyy_xyzzzzz_1, tg_xxxxyyy_xzzzzz_1, \
                                         tg_xxxxyyy_xzzzzzz_0, tg_xxxxyyy_xzzzzzz_1, tg_xxxxyyy_yyyyyy_1, tg_xxxxyyy_yyyyyyy_0, \
                                         tg_xxxxyyy_yyyyyyy_1, tg_xxxxyyy_yyyyyyz_0, tg_xxxxyyy_yyyyyyz_1, tg_xxxxyyy_yyyyyz_1, \
                                         tg_xxxxyyy_yyyyyzz_0, tg_xxxxyyy_yyyyyzz_1, tg_xxxxyyy_yyyyzz_1, tg_xxxxyyy_yyyyzzz_0, \
                                         tg_xxxxyyy_yyyyzzz_1, tg_xxxxyyy_yyyzzz_1, tg_xxxxyyy_yyyzzzz_0, tg_xxxxyyy_yyyzzzz_1, \
                                         tg_xxxxyyy_yyzzzz_1, tg_xxxxyyy_yyzzzzz_0, tg_xxxxyyy_yyzzzzz_1, tg_xxxxyyy_yzzzzz_1, \
                                         tg_xxxxyyy_yzzzzzz_0, tg_xxxxyyy_yzzzzzz_1, tg_xxxxyyy_zzzzzz_1, tg_xxxxyyy_zzzzzzz_0, \
                                         tg_xxxxyyy_zzzzzzz_1, tg_xxxxyyz_xxxxxx_1, tg_xxxxyyz_xxxxxxx_0, tg_xxxxyyz_xxxxxxx_1, \
                                         tg_xxxxyyz_xxxxxxy_0, tg_xxxxyyz_xxxxxxy_1, tg_xxxxyyz_xxxxxxz_0, tg_xxxxyyz_xxxxxxz_1, \
                                         tg_xxxxyyz_xxxxxy_1, tg_xxxxyyz_xxxxxyy_0, tg_xxxxyyz_xxxxxyy_1, tg_xxxxyyz_xxxxxyz_0, \
                                         tg_xxxxyyz_xxxxxyz_1, tg_xxxxyyz_xxxxxz_1, tg_xxxxyyz_xxxxxzz_0, tg_xxxxyyz_xxxxxzz_1, \
                                         tg_xxxxyyz_xxxxyy_1, tg_xxxxyyz_xxxxyyy_0, tg_xxxxyyz_xxxxyyy_1, tg_xxxxyyz_xxxxyyz_0, \
                                         tg_xxxxyyz_xxxxyyz_1, tg_xxxxyyz_xxxxyz_1, tg_xxxxyyz_xxxxyzz_0, tg_xxxxyyz_xxxxyzz_1, \
                                         tg_xxxxyyz_xxxxzz_1, tg_xxxxyyz_xxxxzzz_0, tg_xxxxyyz_xxxxzzz_1, tg_xxxxyyz_xxxyyy_1, \
                                         tg_xxxxyyz_xxxyyyy_0, tg_xxxxyyz_xxxyyyy_1, tg_xxxxyyz_xxxyyyz_0, tg_xxxxyyz_xxxyyyz_1, \
                                         tg_xxxxyyz_xxxyyz_1, tg_xxxxyyz_xxxyyzz_0, tg_xxxxyyz_xxxyyzz_1, tg_xxxxyyz_xxxyzz_1, \
                                         tg_xxxxyyz_xxxyzzz_0, tg_xxxxyyz_xxxyzzz_1, tg_xxxxyyz_xxxzzz_1, tg_xxxxyyz_xxxzzzz_0, \
                                         tg_xxxxyyz_xxxzzzz_1, tg_xxxxyyz_xxyyyy_1, tg_xxxxyyz_xxyyyyy_0, tg_xxxxyyz_xxyyyyy_1, \
                                         tg_xxxxyyz_xxyyyyz_0, tg_xxxxyyz_xxyyyyz_1, tg_xxxxyyz_xxyyyz_1, tg_xxxxyyz_xxyyyzz_0, \
                                         tg_xxxxyyz_xxyyyzz_1, tg_xxxxyyz_xxyyzz_1, tg_xxxxyyz_xxyyzzz_0, tg_xxxxyyz_xxyyzzz_1, \
                                         tg_xxxxyyz_xxyzzz_1, tg_xxxxyyz_xxyzzzz_0, tg_xxxxyyz_xxyzzzz_1, tg_xxxxyyz_xxzzzz_1, \
                                         tg_xxxxyyz_xxzzzzz_0, tg_xxxxyyz_xxzzzzz_1, tg_xxxxyyz_xyyyyy_1, tg_xxxxyyz_xyyyyyy_0, \
                                         tg_xxxxyyz_xyyyyyy_1, tg_xxxxyyz_xyyyyyz_0, tg_xxxxyyz_xyyyyyz_1, tg_xxxxyyz_xyyyyz_1, \
                                         tg_xxxxyyz_xyyyyzz_0, tg_xxxxyyz_xyyyyzz_1, tg_xxxxyyz_xyyyzz_1, tg_xxxxyyz_xyyyzzz_0, \
                                         tg_xxxxyyz_xyyyzzz_1, tg_xxxxyyz_xyyzzz_1, tg_xxxxyyz_xyyzzzz_0, tg_xxxxyyz_xyyzzzz_1, \
                                         tg_xxxxyyz_xyzzzz_1, tg_xxxxyyz_xyzzzzz_0, tg_xxxxyyz_xyzzzzz_1, tg_xxxxyyz_xzzzzz_1, \
                                         tg_xxxxyyz_xzzzzzz_0, tg_xxxxyyz_xzzzzzz_1, tg_xxxxyyz_yyyyyy_1, tg_xxxxyyz_yyyyyyy_0, \
                                         tg_xxxxyyz_yyyyyyy_1, tg_xxxxyyz_yyyyyyz_0, tg_xxxxyyz_yyyyyyz_1, tg_xxxxyyz_yyyyyz_1, \
                                         tg_xxxxyyz_yyyyyzz_0, tg_xxxxyyz_yyyyyzz_1, tg_xxxxyyz_yyyyzz_1, tg_xxxxyyz_yyyyzzz_0, \
                                         tg_xxxxyyz_yyyyzzz_1, tg_xxxxyyz_yyyzzz_1, tg_xxxxyyz_yyyzzzz_0, tg_xxxxyyz_yyyzzzz_1, \
                                         tg_xxxxyyz_yyzzzz_1, tg_xxxxyyz_yyzzzzz_0, tg_xxxxyyz_yyzzzzz_1, tg_xxxxyyz_yzzzzz_1, \
                                         tg_xxxxyyz_yzzzzzz_0, tg_xxxxyyz_yzzzzzz_1, tg_xxxxyyz_zzzzzz_1, tg_xxxxyyz_zzzzzzz_0, \
                                         tg_xxxxyyz_zzzzzzz_1, tg_xxxxzz_xxxyyzz_0, tg_xxxxzz_xxxyyzz_1, tg_xxxxzz_xxxyzzz_0, \
                                         tg_xxxxzz_xxxyzzz_1, tg_xxxxzz_xxxzzzz_0, tg_xxxxzz_xxxzzzz_1, tg_xxxxzz_xxyyyyy_0, \
                                         tg_xxxxzz_xxyyyyy_1, tg_xxxxzz_xxyyyyz_0, tg_xxxxzz_xxyyyyz_1, tg_xxxxzz_xxyyyzz_0, \
                                         tg_xxxxzz_xxyyyzz_1, tg_xxxxzz_xxyyzzz_0, tg_xxxxzz_xxyyzzz_1, tg_xxxxzz_xxyzzzz_0, \
                                         tg_xxxxzz_xxyzzzz_1, tg_xxxxzz_xxzzzzz_0, tg_xxxxzz_xxzzzzz_1, tg_xxxxzz_xyyyyyy_0, \
                                         tg_xxxxzz_xyyyyyy_1, tg_xxxxzz_xyyyyyz_0, tg_xxxxzz_xyyyyyz_1, tg_xxxxzz_xyyyyzz_0, \
                                         tg_xxxxzz_xyyyyzz_1, tg_xxxxzz_xyyyzzz_0, tg_xxxxzz_xyyyzzz_1, tg_xxxxzz_xyyzzzz_0, \
                                         tg_xxxxzz_xyyzzzz_1, tg_xxxxzz_xyzzzzz_0, tg_xxxxzz_xyzzzzz_1, tg_xxxxzz_xzzzzzz_0, \
                                         tg_xxxxzz_xzzzzzz_1, tg_xxxxzz_yyyyyyy_0, tg_xxxxzz_yyyyyyy_1, tg_xxxxzz_yyyyyyz_0, \
                                         tg_xxxxzz_yyyyyyz_1, tg_xxxxzz_yyyyyzz_0, tg_xxxxzz_yyyyyzz_1, tg_xxxxzz_yyyyzzz_0, \
                                         tg_xxxxzz_yyyyzzz_1, tg_xxxxzz_yyyzzzz_0, tg_xxxxzz_yyyzzzz_1, tg_xxxxzz_yyzzzzz_0, \
                                         tg_xxxxzz_yyzzzzz_1, tg_xxxxzz_yzzzzzz_0, tg_xxxxzz_yzzzzzz_1, tg_xxxxzz_zzzzzzz_0, \
                                         tg_xxxxzz_zzzzzzz_1, tg_xxxyyy_xxxxxxx_0, tg_xxxyyy_xxxxxxx_1, tg_xxxyyy_xxxxxxy_0, \
                                         tg_xxxyyy_xxxxxxy_1, tg_xxxyyy_xxxxxxz_0, tg_xxxyyy_xxxxxxz_1, tg_xxxyyy_xxxxxyy_0, \
                                         tg_xxxyyy_xxxxxyy_1, tg_xxxyyy_xxxxxyz_0, tg_xxxyyy_xxxxxyz_1, tg_xxxyyy_xxxxxzz_0, \
                                         tg_xxxyyy_xxxxxzz_1, tg_xxxyyy_xxxxyyy_0, tg_xxxyyy_xxxxyyy_1, tg_xxxyyy_xxxxyyz_0, \
                                         tg_xxxyyy_xxxxyyz_1, tg_xxxyyy_xxxxyzz_0, tg_xxxyyy_xxxxyzz_1, tg_xxxyyy_xxxxzzz_0, \
                                         tg_xxxyyy_xxxxzzz_1, tg_xxxyyy_xxxyyyy_0, tg_xxxyyy_xxxyyyy_1, tg_xxxyyy_xxxyyyz_0, \
                                         tg_xxxyyy_xxxyyyz_1, tg_xxxyyy_xxxyyzz_0, tg_xxxyyy_xxxyyzz_1, tg_xxxyyy_xxxyzzz_0, \
                                         tg_xxxyyy_xxxyzzz_1, tg_xxxyyy_xxxzzzz_0, tg_xxxyyy_xxxzzzz_1, tg_xxxyyy_xxyyyyy_0, \
                                         tg_xxxyyy_xxyyyyy_1, tg_xxxyyy_xxyyyyz_0, tg_xxxyyy_xxyyyyz_1, tg_xxxyyy_xxyyyzz_0, \
                                         tg_xxxyyy_xxyyyzz_1, tg_xxxyyy_xxyyzzz_0, tg_xxxyyy_xxyyzzz_1, tg_xxxyyy_xxyzzzz_0, \
                                         tg_xxxyyy_xxyzzzz_1, tg_xxxyyy_xxzzzzz_0, tg_xxxyyy_xxzzzzz_1, tg_xxxyyy_xyyyyyy_0, \
                                         tg_xxxyyy_xyyyyyy_1, tg_xxxyyy_xyyyyyz_0, tg_xxxyyy_xyyyyyz_1, tg_xxxyyy_xyyyyzz_0, \
                                         tg_xxxyyy_xyyyyzz_1, tg_xxxyyy_xyyyzzz_0, tg_xxxyyy_xyyyzzz_1, tg_xxxyyy_xyyzzzz_0, \
                                         tg_xxxyyy_xyyzzzz_1, tg_xxxyyy_xyzzzzz_0, tg_xxxyyy_xyzzzzz_1, tg_xxxyyy_xzzzzzz_0, \
                                         tg_xxxyyy_xzzzzzz_1, tg_xxxyyy_yyyyyyy_0, tg_xxxyyy_yyyyyyy_1, tg_xxxyyy_yyyyyyz_0, \
                                         tg_xxxyyy_yyyyyyz_1, tg_xxxyyy_yyyyyzz_0, tg_xxxyyy_yyyyyzz_1, tg_xxxyyy_yyyyzzz_0, \
                                         tg_xxxyyy_yyyyzzz_1, tg_xxxyyy_yyyzzzz_0, tg_xxxyyy_yyyzzzz_1, tg_xxxyyy_yyzzzzz_0, \
                                         tg_xxxyyy_yyzzzzz_1, tg_xxxyyy_yzzzzzz_0, tg_xxxyyy_yzzzzzz_1, tg_xxxyyy_zzzzzzz_0, \
                                         tg_xxxyyy_zzzzzzz_1, tg_xxxyyz_xxxxxxx_0, tg_xxxyyz_xxxxxxx_1, tg_xxxyyz_xxxxxxy_0, \
                                         tg_xxxyyz_xxxxxxy_1, tg_xxxyyz_xxxxxxz_0, tg_xxxyyz_xxxxxxz_1, tg_xxxyyz_xxxxxyy_0, \
                                         tg_xxxyyz_xxxxxyy_1, tg_xxxyyz_xxxxxyz_0, tg_xxxyyz_xxxxxyz_1, tg_xxxyyz_xxxxxzz_0, \
                                         tg_xxxyyz_xxxxxzz_1, tg_xxxyyz_xxxxyyy_0, tg_xxxyyz_xxxxyyy_1, tg_xxxyyz_xxxxyyz_0, \
                                         tg_xxxyyz_xxxxyyz_1, tg_xxxyyz_xxxxyzz_0, tg_xxxyyz_xxxxyzz_1, tg_xxxyyz_xxxxzzz_0, \
                                         tg_xxxyyz_xxxxzzz_1, tg_xxxyyz_xxxyyyy_0, tg_xxxyyz_xxxyyyy_1, tg_xxxyyz_xxxyyyz_0, \
                                         tg_xxxyyz_xxxyyyz_1, tg_xxxyyz_xxxyyzz_0, tg_xxxyyz_xxxyyzz_1, tg_xxxyyz_xxxyzzz_0, \
                                         tg_xxxyyz_xxxyzzz_1, tg_xxxyyz_xxxzzzz_0, tg_xxxyyz_xxxzzzz_1, tg_xxxyyz_xxyyyyy_0, \
                                         tg_xxxyyz_xxyyyyy_1, tg_xxxyyz_xxyyyyz_0, tg_xxxyyz_xxyyyyz_1, tg_xxxyyz_xxyyyzz_0, \
                                         tg_xxxyyz_xxyyyzz_1, tg_xxxyyz_xxyyzzz_0, tg_xxxyyz_xxyyzzz_1, tg_xxxyyz_xxyzzzz_0, \
                                         tg_xxxyyz_xxyzzzz_1, tg_xxxyyz_xxzzzzz_0, tg_xxxyyz_xxzzzzz_1, tg_xxxyyz_xyyyyyy_0, \
                                         tg_xxxyyz_xyyyyyy_1, tg_xxxyyz_xyyyyyz_0, tg_xxxyyz_xyyyyyz_1, tg_xxxyyz_xyyyyzz_0, \
                                         tg_xxxyyz_xyyyyzz_1, tg_xxxyyz_xyyyzzz_0, tg_xxxyyz_xyyyzzz_1, tg_xxxyyz_xyyzzzz_0, \
                                         tg_xxxyyz_xyyzzzz_1, tg_xxxyyz_xyzzzzz_0, tg_xxxyyz_xyzzzzz_1, tg_xxxyyz_xzzzzzz_0, \
                                         tg_xxxyyz_xzzzzzz_1, tg_xxxyyz_yyyyyyy_0, tg_xxxyyz_yyyyyyy_1, tg_xxxyyz_yyyyyyz_0, \
                                         tg_xxxyyz_yyyyyyz_1, tg_xxxyyz_yyyyyzz_0, tg_xxxyyz_yyyyyzz_1, tg_xxxyyz_yyyyzzz_0, \
                                         tg_xxxyyz_yyyyzzz_1, tg_xxxyyz_yyyzzzz_0, tg_xxxyyz_yyyzzzz_1, tg_xxxyyz_yyzzzzz_0, \
                                         tg_xxxyyz_yyzzzzz_1, tg_xxxyyz_yzzzzzz_0, tg_xxxyyz_yzzzzzz_1, tg_xxxyyz_zzzzzzz_0, \
                                         tg_xxxyyz_zzzzzzz_1, wp_x: VLX_ALIGN)
                for (int32_t j = 0; j < nKetPrimPairs; j++)
                {
                    double fl1_fx = fx;

                    double fl1_fxn = fxn[j];

                    double fl1_fza = fza[j];

                    double fr = wp_x[j]; 

                    tg_xxxxxxzz_xxxyyzz_0[j] = pb_x * tg_xxxxxzz_xxxyyzz_0[j] + fr * tg_xxxxxzz_xxxyyzz_1[j] + 2.5 * fl1_fx * (tg_xxxxzz_xxxyyzz_0[j] - tg_xxxxzz_xxxyyzz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_xxxxxzz_xxyyzz_1[j];

                    tg_xxxxxxzz_xxxyzzz_0[j] = pb_x * tg_xxxxxzz_xxxyzzz_0[j] + fr * tg_xxxxxzz_xxxyzzz_1[j] + 2.5 * fl1_fx * (tg_xxxxzz_xxxyzzz_0[j] - tg_xxxxzz_xxxyzzz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_xxxxxzz_xxyzzz_1[j];

                    tg_xxxxxxzz_xxxzzzz_0[j] = pb_x * tg_xxxxxzz_xxxzzzz_0[j] + fr * tg_xxxxxzz_xxxzzzz_1[j] + 2.5 * fl1_fx * (tg_xxxxzz_xxxzzzz_0[j] - tg_xxxxzz_xxxzzzz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_xxxxxzz_xxzzzz_1[j];

                    tg_xxxxxxzz_xxyyyyy_0[j] = pb_x * tg_xxxxxzz_xxyyyyy_0[j] + fr * tg_xxxxxzz_xxyyyyy_1[j] + 2.5 * fl1_fx * (tg_xxxxzz_xxyyyyy_0[j] - tg_xxxxzz_xxyyyyy_1[j] * fl1_fza) + fl1_fxn * tg_xxxxxzz_xyyyyy_1[j];

                    tg_xxxxxxzz_xxyyyyz_0[j] = pb_x * tg_xxxxxzz_xxyyyyz_0[j] + fr * tg_xxxxxzz_xxyyyyz_1[j] + 2.5 * fl1_fx * (tg_xxxxzz_xxyyyyz_0[j] - tg_xxxxzz_xxyyyyz_1[j] * fl1_fza) + fl1_fxn * tg_xxxxxzz_xyyyyz_1[j];

                    tg_xxxxxxzz_xxyyyzz_0[j] = pb_x * tg_xxxxxzz_xxyyyzz_0[j] + fr * tg_xxxxxzz_xxyyyzz_1[j] + 2.5 * fl1_fx * (tg_xxxxzz_xxyyyzz_0[j] - tg_xxxxzz_xxyyyzz_1[j] * fl1_fza) + fl1_fxn * tg_xxxxxzz_xyyyzz_1[j];

                    tg_xxxxxxzz_xxyyzzz_0[j] = pb_x * tg_xxxxxzz_xxyyzzz_0[j] + fr * tg_xxxxxzz_xxyyzzz_1[j] + 2.5 * fl1_fx * (tg_xxxxzz_xxyyzzz_0[j] - tg_xxxxzz_xxyyzzz_1[j] * fl1_fza) + fl1_fxn * tg_xxxxxzz_xyyzzz_1[j];

                    tg_xxxxxxzz_xxyzzzz_0[j] = pb_x * tg_xxxxxzz_xxyzzzz_0[j] + fr * tg_xxxxxzz_xxyzzzz_1[j] + 2.5 * fl1_fx * (tg_xxxxzz_xxyzzzz_0[j] - tg_xxxxzz_xxyzzzz_1[j] * fl1_fza) + fl1_fxn * tg_xxxxxzz_xyzzzz_1[j];

                    tg_xxxxxxzz_xxzzzzz_0[j] = pb_x * tg_xxxxxzz_xxzzzzz_0[j] + fr * tg_xxxxxzz_xxzzzzz_1[j] + 2.5 * fl1_fx * (tg_xxxxzz_xxzzzzz_0[j] - tg_xxxxzz_xxzzzzz_1[j] * fl1_fza) + fl1_fxn * tg_xxxxxzz_xzzzzz_1[j];

                    tg_xxxxxxzz_xyyyyyy_0[j] = pb_x * tg_xxxxxzz_xyyyyyy_0[j] + fr * tg_xxxxxzz_xyyyyyy_1[j] + 2.5 * fl1_fx * (tg_xxxxzz_xyyyyyy_0[j] - tg_xxxxzz_xyyyyyy_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xxxxxzz_yyyyyy_1[j];

                    tg_xxxxxxzz_xyyyyyz_0[j] = pb_x * tg_xxxxxzz_xyyyyyz_0[j] + fr * tg_xxxxxzz_xyyyyyz_1[j] + 2.5 * fl1_fx * (tg_xxxxzz_xyyyyyz_0[j] - tg_xxxxzz_xyyyyyz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xxxxxzz_yyyyyz_1[j];

                    tg_xxxxxxzz_xyyyyzz_0[j] = pb_x * tg_xxxxxzz_xyyyyzz_0[j] + fr * tg_xxxxxzz_xyyyyzz_1[j] + 2.5 * fl1_fx * (tg_xxxxzz_xyyyyzz_0[j] - tg_xxxxzz_xyyyyzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xxxxxzz_yyyyzz_1[j];

                    tg_xxxxxxzz_xyyyzzz_0[j] = pb_x * tg_xxxxxzz_xyyyzzz_0[j] + fr * tg_xxxxxzz_xyyyzzz_1[j] + 2.5 * fl1_fx * (tg_xxxxzz_xyyyzzz_0[j] - tg_xxxxzz_xyyyzzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xxxxxzz_yyyzzz_1[j];

                    tg_xxxxxxzz_xyyzzzz_0[j] = pb_x * tg_xxxxxzz_xyyzzzz_0[j] + fr * tg_xxxxxzz_xyyzzzz_1[j] + 2.5 * fl1_fx * (tg_xxxxzz_xyyzzzz_0[j] - tg_xxxxzz_xyyzzzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xxxxxzz_yyzzzz_1[j];

                    tg_xxxxxxzz_xyzzzzz_0[j] = pb_x * tg_xxxxxzz_xyzzzzz_0[j] + fr * tg_xxxxxzz_xyzzzzz_1[j] + 2.5 * fl1_fx * (tg_xxxxzz_xyzzzzz_0[j] - tg_xxxxzz_xyzzzzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xxxxxzz_yzzzzz_1[j];

                    tg_xxxxxxzz_xzzzzzz_0[j] = pb_x * tg_xxxxxzz_xzzzzzz_0[j] + fr * tg_xxxxxzz_xzzzzzz_1[j] + 2.5 * fl1_fx * (tg_xxxxzz_xzzzzzz_0[j] - tg_xxxxzz_xzzzzzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xxxxxzz_zzzzzz_1[j];

                    tg_xxxxxxzz_yyyyyyy_0[j] = pb_x * tg_xxxxxzz_yyyyyyy_0[j] + fr * tg_xxxxxzz_yyyyyyy_1[j] + 2.5 * fl1_fx * (tg_xxxxzz_yyyyyyy_0[j] - tg_xxxxzz_yyyyyyy_1[j] * fl1_fza);

                    tg_xxxxxxzz_yyyyyyz_0[j] = pb_x * tg_xxxxxzz_yyyyyyz_0[j] + fr * tg_xxxxxzz_yyyyyyz_1[j] + 2.5 * fl1_fx * (tg_xxxxzz_yyyyyyz_0[j] - tg_xxxxzz_yyyyyyz_1[j] * fl1_fza);

                    tg_xxxxxxzz_yyyyyzz_0[j] = pb_x * tg_xxxxxzz_yyyyyzz_0[j] + fr * tg_xxxxxzz_yyyyyzz_1[j] + 2.5 * fl1_fx * (tg_xxxxzz_yyyyyzz_0[j] - tg_xxxxzz_yyyyyzz_1[j] * fl1_fza);

                    tg_xxxxxxzz_yyyyzzz_0[j] = pb_x * tg_xxxxxzz_yyyyzzz_0[j] + fr * tg_xxxxxzz_yyyyzzz_1[j] + 2.5 * fl1_fx * (tg_xxxxzz_yyyyzzz_0[j] - tg_xxxxzz_yyyyzzz_1[j] * fl1_fza);

                    tg_xxxxxxzz_yyyzzzz_0[j] = pb_x * tg_xxxxxzz_yyyzzzz_0[j] + fr * tg_xxxxxzz_yyyzzzz_1[j] + 2.5 * fl1_fx * (tg_xxxxzz_yyyzzzz_0[j] - tg_xxxxzz_yyyzzzz_1[j] * fl1_fza);

                    tg_xxxxxxzz_yyzzzzz_0[j] = pb_x * tg_xxxxxzz_yyzzzzz_0[j] + fr * tg_xxxxxzz_yyzzzzz_1[j] + 2.5 * fl1_fx * (tg_xxxxzz_yyzzzzz_0[j] - tg_xxxxzz_yyzzzzz_1[j] * fl1_fza);

                    tg_xxxxxxzz_yzzzzzz_0[j] = pb_x * tg_xxxxxzz_yzzzzzz_0[j] + fr * tg_xxxxxzz_yzzzzzz_1[j] + 2.5 * fl1_fx * (tg_xxxxzz_yzzzzzz_0[j] - tg_xxxxzz_yzzzzzz_1[j] * fl1_fza);

                    tg_xxxxxxzz_zzzzzzz_0[j] = pb_x * tg_xxxxxzz_zzzzzzz_0[j] + fr * tg_xxxxxzz_zzzzzzz_1[j] + 2.5 * fl1_fx * (tg_xxxxzz_zzzzzzz_0[j] - tg_xxxxzz_zzzzzzz_1[j] * fl1_fza);

                    tg_xxxxxyyy_xxxxxxx_0[j] = pb_x * tg_xxxxyyy_xxxxxxx_0[j] + fr * tg_xxxxyyy_xxxxxxx_1[j] + 2.0 * fl1_fx * (tg_xxxyyy_xxxxxxx_0[j] - tg_xxxyyy_xxxxxxx_1[j] * fl1_fza) + 3.5 * fl1_fxn * tg_xxxxyyy_xxxxxx_1[j];

                    tg_xxxxxyyy_xxxxxxy_0[j] = pb_x * tg_xxxxyyy_xxxxxxy_0[j] + fr * tg_xxxxyyy_xxxxxxy_1[j] + 2.0 * fl1_fx * (tg_xxxyyy_xxxxxxy_0[j] - tg_xxxyyy_xxxxxxy_1[j] * fl1_fza) + 3.0 * fl1_fxn * tg_xxxxyyy_xxxxxy_1[j];

                    tg_xxxxxyyy_xxxxxxz_0[j] = pb_x * tg_xxxxyyy_xxxxxxz_0[j] + fr * tg_xxxxyyy_xxxxxxz_1[j] + 2.0 * fl1_fx * (tg_xxxyyy_xxxxxxz_0[j] - tg_xxxyyy_xxxxxxz_1[j] * fl1_fza) + 3.0 * fl1_fxn * tg_xxxxyyy_xxxxxz_1[j];

                    tg_xxxxxyyy_xxxxxyy_0[j] = pb_x * tg_xxxxyyy_xxxxxyy_0[j] + fr * tg_xxxxyyy_xxxxxyy_1[j] + 2.0 * fl1_fx * (tg_xxxyyy_xxxxxyy_0[j] - tg_xxxyyy_xxxxxyy_1[j] * fl1_fza) + 2.5 * fl1_fxn * tg_xxxxyyy_xxxxyy_1[j];

                    tg_xxxxxyyy_xxxxxyz_0[j] = pb_x * tg_xxxxyyy_xxxxxyz_0[j] + fr * tg_xxxxyyy_xxxxxyz_1[j] + 2.0 * fl1_fx * (tg_xxxyyy_xxxxxyz_0[j] - tg_xxxyyy_xxxxxyz_1[j] * fl1_fza) + 2.5 * fl1_fxn * tg_xxxxyyy_xxxxyz_1[j];

                    tg_xxxxxyyy_xxxxxzz_0[j] = pb_x * tg_xxxxyyy_xxxxxzz_0[j] + fr * tg_xxxxyyy_xxxxxzz_1[j] + 2.0 * fl1_fx * (tg_xxxyyy_xxxxxzz_0[j] - tg_xxxyyy_xxxxxzz_1[j] * fl1_fza) + 2.5 * fl1_fxn * tg_xxxxyyy_xxxxzz_1[j];

                    tg_xxxxxyyy_xxxxyyy_0[j] = pb_x * tg_xxxxyyy_xxxxyyy_0[j] + fr * tg_xxxxyyy_xxxxyyy_1[j] + 2.0 * fl1_fx * (tg_xxxyyy_xxxxyyy_0[j] - tg_xxxyyy_xxxxyyy_1[j] * fl1_fza) + 2.0 * fl1_fxn * tg_xxxxyyy_xxxyyy_1[j];

                    tg_xxxxxyyy_xxxxyyz_0[j] = pb_x * tg_xxxxyyy_xxxxyyz_0[j] + fr * tg_xxxxyyy_xxxxyyz_1[j] + 2.0 * fl1_fx * (tg_xxxyyy_xxxxyyz_0[j] - tg_xxxyyy_xxxxyyz_1[j] * fl1_fza) + 2.0 * fl1_fxn * tg_xxxxyyy_xxxyyz_1[j];

                    tg_xxxxxyyy_xxxxyzz_0[j] = pb_x * tg_xxxxyyy_xxxxyzz_0[j] + fr * tg_xxxxyyy_xxxxyzz_1[j] + 2.0 * fl1_fx * (tg_xxxyyy_xxxxyzz_0[j] - tg_xxxyyy_xxxxyzz_1[j] * fl1_fza) + 2.0 * fl1_fxn * tg_xxxxyyy_xxxyzz_1[j];

                    tg_xxxxxyyy_xxxxzzz_0[j] = pb_x * tg_xxxxyyy_xxxxzzz_0[j] + fr * tg_xxxxyyy_xxxxzzz_1[j] + 2.0 * fl1_fx * (tg_xxxyyy_xxxxzzz_0[j] - tg_xxxyyy_xxxxzzz_1[j] * fl1_fza) + 2.0 * fl1_fxn * tg_xxxxyyy_xxxzzz_1[j];

                    tg_xxxxxyyy_xxxyyyy_0[j] = pb_x * tg_xxxxyyy_xxxyyyy_0[j] + fr * tg_xxxxyyy_xxxyyyy_1[j] + 2.0 * fl1_fx * (tg_xxxyyy_xxxyyyy_0[j] - tg_xxxyyy_xxxyyyy_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_xxxxyyy_xxyyyy_1[j];

                    tg_xxxxxyyy_xxxyyyz_0[j] = pb_x * tg_xxxxyyy_xxxyyyz_0[j] + fr * tg_xxxxyyy_xxxyyyz_1[j] + 2.0 * fl1_fx * (tg_xxxyyy_xxxyyyz_0[j] - tg_xxxyyy_xxxyyyz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_xxxxyyy_xxyyyz_1[j];

                    tg_xxxxxyyy_xxxyyzz_0[j] = pb_x * tg_xxxxyyy_xxxyyzz_0[j] + fr * tg_xxxxyyy_xxxyyzz_1[j] + 2.0 * fl1_fx * (tg_xxxyyy_xxxyyzz_0[j] - tg_xxxyyy_xxxyyzz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_xxxxyyy_xxyyzz_1[j];

                    tg_xxxxxyyy_xxxyzzz_0[j] = pb_x * tg_xxxxyyy_xxxyzzz_0[j] + fr * tg_xxxxyyy_xxxyzzz_1[j] + 2.0 * fl1_fx * (tg_xxxyyy_xxxyzzz_0[j] - tg_xxxyyy_xxxyzzz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_xxxxyyy_xxyzzz_1[j];

                    tg_xxxxxyyy_xxxzzzz_0[j] = pb_x * tg_xxxxyyy_xxxzzzz_0[j] + fr * tg_xxxxyyy_xxxzzzz_1[j] + 2.0 * fl1_fx * (tg_xxxyyy_xxxzzzz_0[j] - tg_xxxyyy_xxxzzzz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_xxxxyyy_xxzzzz_1[j];

                    tg_xxxxxyyy_xxyyyyy_0[j] = pb_x * tg_xxxxyyy_xxyyyyy_0[j] + fr * tg_xxxxyyy_xxyyyyy_1[j] + 2.0 * fl1_fx * (tg_xxxyyy_xxyyyyy_0[j] - tg_xxxyyy_xxyyyyy_1[j] * fl1_fza) + fl1_fxn * tg_xxxxyyy_xyyyyy_1[j];

                    tg_xxxxxyyy_xxyyyyz_0[j] = pb_x * tg_xxxxyyy_xxyyyyz_0[j] + fr * tg_xxxxyyy_xxyyyyz_1[j] + 2.0 * fl1_fx * (tg_xxxyyy_xxyyyyz_0[j] - tg_xxxyyy_xxyyyyz_1[j] * fl1_fza) + fl1_fxn * tg_xxxxyyy_xyyyyz_1[j];

                    tg_xxxxxyyy_xxyyyzz_0[j] = pb_x * tg_xxxxyyy_xxyyyzz_0[j] + fr * tg_xxxxyyy_xxyyyzz_1[j] + 2.0 * fl1_fx * (tg_xxxyyy_xxyyyzz_0[j] - tg_xxxyyy_xxyyyzz_1[j] * fl1_fza) + fl1_fxn * tg_xxxxyyy_xyyyzz_1[j];

                    tg_xxxxxyyy_xxyyzzz_0[j] = pb_x * tg_xxxxyyy_xxyyzzz_0[j] + fr * tg_xxxxyyy_xxyyzzz_1[j] + 2.0 * fl1_fx * (tg_xxxyyy_xxyyzzz_0[j] - tg_xxxyyy_xxyyzzz_1[j] * fl1_fza) + fl1_fxn * tg_xxxxyyy_xyyzzz_1[j];

                    tg_xxxxxyyy_xxyzzzz_0[j] = pb_x * tg_xxxxyyy_xxyzzzz_0[j] + fr * tg_xxxxyyy_xxyzzzz_1[j] + 2.0 * fl1_fx * (tg_xxxyyy_xxyzzzz_0[j] - tg_xxxyyy_xxyzzzz_1[j] * fl1_fza) + fl1_fxn * tg_xxxxyyy_xyzzzz_1[j];

                    tg_xxxxxyyy_xxzzzzz_0[j] = pb_x * tg_xxxxyyy_xxzzzzz_0[j] + fr * tg_xxxxyyy_xxzzzzz_1[j] + 2.0 * fl1_fx * (tg_xxxyyy_xxzzzzz_0[j] - tg_xxxyyy_xxzzzzz_1[j] * fl1_fza) + fl1_fxn * tg_xxxxyyy_xzzzzz_1[j];

                    tg_xxxxxyyy_xyyyyyy_0[j] = pb_x * tg_xxxxyyy_xyyyyyy_0[j] + fr * tg_xxxxyyy_xyyyyyy_1[j] + 2.0 * fl1_fx * (tg_xxxyyy_xyyyyyy_0[j] - tg_xxxyyy_xyyyyyy_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xxxxyyy_yyyyyy_1[j];

                    tg_xxxxxyyy_xyyyyyz_0[j] = pb_x * tg_xxxxyyy_xyyyyyz_0[j] + fr * tg_xxxxyyy_xyyyyyz_1[j] + 2.0 * fl1_fx * (tg_xxxyyy_xyyyyyz_0[j] - tg_xxxyyy_xyyyyyz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xxxxyyy_yyyyyz_1[j];

                    tg_xxxxxyyy_xyyyyzz_0[j] = pb_x * tg_xxxxyyy_xyyyyzz_0[j] + fr * tg_xxxxyyy_xyyyyzz_1[j] + 2.0 * fl1_fx * (tg_xxxyyy_xyyyyzz_0[j] - tg_xxxyyy_xyyyyzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xxxxyyy_yyyyzz_1[j];

                    tg_xxxxxyyy_xyyyzzz_0[j] = pb_x * tg_xxxxyyy_xyyyzzz_0[j] + fr * tg_xxxxyyy_xyyyzzz_1[j] + 2.0 * fl1_fx * (tg_xxxyyy_xyyyzzz_0[j] - tg_xxxyyy_xyyyzzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xxxxyyy_yyyzzz_1[j];

                    tg_xxxxxyyy_xyyzzzz_0[j] = pb_x * tg_xxxxyyy_xyyzzzz_0[j] + fr * tg_xxxxyyy_xyyzzzz_1[j] + 2.0 * fl1_fx * (tg_xxxyyy_xyyzzzz_0[j] - tg_xxxyyy_xyyzzzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xxxxyyy_yyzzzz_1[j];

                    tg_xxxxxyyy_xyzzzzz_0[j] = pb_x * tg_xxxxyyy_xyzzzzz_0[j] + fr * tg_xxxxyyy_xyzzzzz_1[j] + 2.0 * fl1_fx * (tg_xxxyyy_xyzzzzz_0[j] - tg_xxxyyy_xyzzzzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xxxxyyy_yzzzzz_1[j];

                    tg_xxxxxyyy_xzzzzzz_0[j] = pb_x * tg_xxxxyyy_xzzzzzz_0[j] + fr * tg_xxxxyyy_xzzzzzz_1[j] + 2.0 * fl1_fx * (tg_xxxyyy_xzzzzzz_0[j] - tg_xxxyyy_xzzzzzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xxxxyyy_zzzzzz_1[j];

                    tg_xxxxxyyy_yyyyyyy_0[j] = pb_x * tg_xxxxyyy_yyyyyyy_0[j] + fr * tg_xxxxyyy_yyyyyyy_1[j] + 2.0 * fl1_fx * (tg_xxxyyy_yyyyyyy_0[j] - tg_xxxyyy_yyyyyyy_1[j] * fl1_fza);

                    tg_xxxxxyyy_yyyyyyz_0[j] = pb_x * tg_xxxxyyy_yyyyyyz_0[j] + fr * tg_xxxxyyy_yyyyyyz_1[j] + 2.0 * fl1_fx * (tg_xxxyyy_yyyyyyz_0[j] - tg_xxxyyy_yyyyyyz_1[j] * fl1_fza);

                    tg_xxxxxyyy_yyyyyzz_0[j] = pb_x * tg_xxxxyyy_yyyyyzz_0[j] + fr * tg_xxxxyyy_yyyyyzz_1[j] + 2.0 * fl1_fx * (tg_xxxyyy_yyyyyzz_0[j] - tg_xxxyyy_yyyyyzz_1[j] * fl1_fza);

                    tg_xxxxxyyy_yyyyzzz_0[j] = pb_x * tg_xxxxyyy_yyyyzzz_0[j] + fr * tg_xxxxyyy_yyyyzzz_1[j] + 2.0 * fl1_fx * (tg_xxxyyy_yyyyzzz_0[j] - tg_xxxyyy_yyyyzzz_1[j] * fl1_fza);

                    tg_xxxxxyyy_yyyzzzz_0[j] = pb_x * tg_xxxxyyy_yyyzzzz_0[j] + fr * tg_xxxxyyy_yyyzzzz_1[j] + 2.0 * fl1_fx * (tg_xxxyyy_yyyzzzz_0[j] - tg_xxxyyy_yyyzzzz_1[j] * fl1_fza);

                    tg_xxxxxyyy_yyzzzzz_0[j] = pb_x * tg_xxxxyyy_yyzzzzz_0[j] + fr * tg_xxxxyyy_yyzzzzz_1[j] + 2.0 * fl1_fx * (tg_xxxyyy_yyzzzzz_0[j] - tg_xxxyyy_yyzzzzz_1[j] * fl1_fza);

                    tg_xxxxxyyy_yzzzzzz_0[j] = pb_x * tg_xxxxyyy_yzzzzzz_0[j] + fr * tg_xxxxyyy_yzzzzzz_1[j] + 2.0 * fl1_fx * (tg_xxxyyy_yzzzzzz_0[j] - tg_xxxyyy_yzzzzzz_1[j] * fl1_fza);

                    tg_xxxxxyyy_zzzzzzz_0[j] = pb_x * tg_xxxxyyy_zzzzzzz_0[j] + fr * tg_xxxxyyy_zzzzzzz_1[j] + 2.0 * fl1_fx * (tg_xxxyyy_zzzzzzz_0[j] - tg_xxxyyy_zzzzzzz_1[j] * fl1_fza);

                    tg_xxxxxyyz_xxxxxxx_0[j] = pb_x * tg_xxxxyyz_xxxxxxx_0[j] + fr * tg_xxxxyyz_xxxxxxx_1[j] + 2.0 * fl1_fx * (tg_xxxyyz_xxxxxxx_0[j] - tg_xxxyyz_xxxxxxx_1[j] * fl1_fza) + 3.5 * fl1_fxn * tg_xxxxyyz_xxxxxx_1[j];

                    tg_xxxxxyyz_xxxxxxy_0[j] = pb_x * tg_xxxxyyz_xxxxxxy_0[j] + fr * tg_xxxxyyz_xxxxxxy_1[j] + 2.0 * fl1_fx * (tg_xxxyyz_xxxxxxy_0[j] - tg_xxxyyz_xxxxxxy_1[j] * fl1_fza) + 3.0 * fl1_fxn * tg_xxxxyyz_xxxxxy_1[j];

                    tg_xxxxxyyz_xxxxxxz_0[j] = pb_x * tg_xxxxyyz_xxxxxxz_0[j] + fr * tg_xxxxyyz_xxxxxxz_1[j] + 2.0 * fl1_fx * (tg_xxxyyz_xxxxxxz_0[j] - tg_xxxyyz_xxxxxxz_1[j] * fl1_fza) + 3.0 * fl1_fxn * tg_xxxxyyz_xxxxxz_1[j];

                    tg_xxxxxyyz_xxxxxyy_0[j] = pb_x * tg_xxxxyyz_xxxxxyy_0[j] + fr * tg_xxxxyyz_xxxxxyy_1[j] + 2.0 * fl1_fx * (tg_xxxyyz_xxxxxyy_0[j] - tg_xxxyyz_xxxxxyy_1[j] * fl1_fza) + 2.5 * fl1_fxn * tg_xxxxyyz_xxxxyy_1[j];

                    tg_xxxxxyyz_xxxxxyz_0[j] = pb_x * tg_xxxxyyz_xxxxxyz_0[j] + fr * tg_xxxxyyz_xxxxxyz_1[j] + 2.0 * fl1_fx * (tg_xxxyyz_xxxxxyz_0[j] - tg_xxxyyz_xxxxxyz_1[j] * fl1_fza) + 2.5 * fl1_fxn * tg_xxxxyyz_xxxxyz_1[j];

                    tg_xxxxxyyz_xxxxxzz_0[j] = pb_x * tg_xxxxyyz_xxxxxzz_0[j] + fr * tg_xxxxyyz_xxxxxzz_1[j] + 2.0 * fl1_fx * (tg_xxxyyz_xxxxxzz_0[j] - tg_xxxyyz_xxxxxzz_1[j] * fl1_fza) + 2.5 * fl1_fxn * tg_xxxxyyz_xxxxzz_1[j];

                    tg_xxxxxyyz_xxxxyyy_0[j] = pb_x * tg_xxxxyyz_xxxxyyy_0[j] + fr * tg_xxxxyyz_xxxxyyy_1[j] + 2.0 * fl1_fx * (tg_xxxyyz_xxxxyyy_0[j] - tg_xxxyyz_xxxxyyy_1[j] * fl1_fza) + 2.0 * fl1_fxn * tg_xxxxyyz_xxxyyy_1[j];

                    tg_xxxxxyyz_xxxxyyz_0[j] = pb_x * tg_xxxxyyz_xxxxyyz_0[j] + fr * tg_xxxxyyz_xxxxyyz_1[j] + 2.0 * fl1_fx * (tg_xxxyyz_xxxxyyz_0[j] - tg_xxxyyz_xxxxyyz_1[j] * fl1_fza) + 2.0 * fl1_fxn * tg_xxxxyyz_xxxyyz_1[j];

                    tg_xxxxxyyz_xxxxyzz_0[j] = pb_x * tg_xxxxyyz_xxxxyzz_0[j] + fr * tg_xxxxyyz_xxxxyzz_1[j] + 2.0 * fl1_fx * (tg_xxxyyz_xxxxyzz_0[j] - tg_xxxyyz_xxxxyzz_1[j] * fl1_fza) + 2.0 * fl1_fxn * tg_xxxxyyz_xxxyzz_1[j];

                    tg_xxxxxyyz_xxxxzzz_0[j] = pb_x * tg_xxxxyyz_xxxxzzz_0[j] + fr * tg_xxxxyyz_xxxxzzz_1[j] + 2.0 * fl1_fx * (tg_xxxyyz_xxxxzzz_0[j] - tg_xxxyyz_xxxxzzz_1[j] * fl1_fza) + 2.0 * fl1_fxn * tg_xxxxyyz_xxxzzz_1[j];

                    tg_xxxxxyyz_xxxyyyy_0[j] = pb_x * tg_xxxxyyz_xxxyyyy_0[j] + fr * tg_xxxxyyz_xxxyyyy_1[j] + 2.0 * fl1_fx * (tg_xxxyyz_xxxyyyy_0[j] - tg_xxxyyz_xxxyyyy_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_xxxxyyz_xxyyyy_1[j];

                    tg_xxxxxyyz_xxxyyyz_0[j] = pb_x * tg_xxxxyyz_xxxyyyz_0[j] + fr * tg_xxxxyyz_xxxyyyz_1[j] + 2.0 * fl1_fx * (tg_xxxyyz_xxxyyyz_0[j] - tg_xxxyyz_xxxyyyz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_xxxxyyz_xxyyyz_1[j];

                    tg_xxxxxyyz_xxxyyzz_0[j] = pb_x * tg_xxxxyyz_xxxyyzz_0[j] + fr * tg_xxxxyyz_xxxyyzz_1[j] + 2.0 * fl1_fx * (tg_xxxyyz_xxxyyzz_0[j] - tg_xxxyyz_xxxyyzz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_xxxxyyz_xxyyzz_1[j];

                    tg_xxxxxyyz_xxxyzzz_0[j] = pb_x * tg_xxxxyyz_xxxyzzz_0[j] + fr * tg_xxxxyyz_xxxyzzz_1[j] + 2.0 * fl1_fx * (tg_xxxyyz_xxxyzzz_0[j] - tg_xxxyyz_xxxyzzz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_xxxxyyz_xxyzzz_1[j];

                    tg_xxxxxyyz_xxxzzzz_0[j] = pb_x * tg_xxxxyyz_xxxzzzz_0[j] + fr * tg_xxxxyyz_xxxzzzz_1[j] + 2.0 * fl1_fx * (tg_xxxyyz_xxxzzzz_0[j] - tg_xxxyyz_xxxzzzz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_xxxxyyz_xxzzzz_1[j];

                    tg_xxxxxyyz_xxyyyyy_0[j] = pb_x * tg_xxxxyyz_xxyyyyy_0[j] + fr * tg_xxxxyyz_xxyyyyy_1[j] + 2.0 * fl1_fx * (tg_xxxyyz_xxyyyyy_0[j] - tg_xxxyyz_xxyyyyy_1[j] * fl1_fza) + fl1_fxn * tg_xxxxyyz_xyyyyy_1[j];

                    tg_xxxxxyyz_xxyyyyz_0[j] = pb_x * tg_xxxxyyz_xxyyyyz_0[j] + fr * tg_xxxxyyz_xxyyyyz_1[j] + 2.0 * fl1_fx * (tg_xxxyyz_xxyyyyz_0[j] - tg_xxxyyz_xxyyyyz_1[j] * fl1_fza) + fl1_fxn * tg_xxxxyyz_xyyyyz_1[j];

                    tg_xxxxxyyz_xxyyyzz_0[j] = pb_x * tg_xxxxyyz_xxyyyzz_0[j] + fr * tg_xxxxyyz_xxyyyzz_1[j] + 2.0 * fl1_fx * (tg_xxxyyz_xxyyyzz_0[j] - tg_xxxyyz_xxyyyzz_1[j] * fl1_fza) + fl1_fxn * tg_xxxxyyz_xyyyzz_1[j];

                    tg_xxxxxyyz_xxyyzzz_0[j] = pb_x * tg_xxxxyyz_xxyyzzz_0[j] + fr * tg_xxxxyyz_xxyyzzz_1[j] + 2.0 * fl1_fx * (tg_xxxyyz_xxyyzzz_0[j] - tg_xxxyyz_xxyyzzz_1[j] * fl1_fza) + fl1_fxn * tg_xxxxyyz_xyyzzz_1[j];

                    tg_xxxxxyyz_xxyzzzz_0[j] = pb_x * tg_xxxxyyz_xxyzzzz_0[j] + fr * tg_xxxxyyz_xxyzzzz_1[j] + 2.0 * fl1_fx * (tg_xxxyyz_xxyzzzz_0[j] - tg_xxxyyz_xxyzzzz_1[j] * fl1_fza) + fl1_fxn * tg_xxxxyyz_xyzzzz_1[j];

                    tg_xxxxxyyz_xxzzzzz_0[j] = pb_x * tg_xxxxyyz_xxzzzzz_0[j] + fr * tg_xxxxyyz_xxzzzzz_1[j] + 2.0 * fl1_fx * (tg_xxxyyz_xxzzzzz_0[j] - tg_xxxyyz_xxzzzzz_1[j] * fl1_fza) + fl1_fxn * tg_xxxxyyz_xzzzzz_1[j];

                    tg_xxxxxyyz_xyyyyyy_0[j] = pb_x * tg_xxxxyyz_xyyyyyy_0[j] + fr * tg_xxxxyyz_xyyyyyy_1[j] + 2.0 * fl1_fx * (tg_xxxyyz_xyyyyyy_0[j] - tg_xxxyyz_xyyyyyy_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xxxxyyz_yyyyyy_1[j];

                    tg_xxxxxyyz_xyyyyyz_0[j] = pb_x * tg_xxxxyyz_xyyyyyz_0[j] + fr * tg_xxxxyyz_xyyyyyz_1[j] + 2.0 * fl1_fx * (tg_xxxyyz_xyyyyyz_0[j] - tg_xxxyyz_xyyyyyz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xxxxyyz_yyyyyz_1[j];

                    tg_xxxxxyyz_xyyyyzz_0[j] = pb_x * tg_xxxxyyz_xyyyyzz_0[j] + fr * tg_xxxxyyz_xyyyyzz_1[j] + 2.0 * fl1_fx * (tg_xxxyyz_xyyyyzz_0[j] - tg_xxxyyz_xyyyyzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xxxxyyz_yyyyzz_1[j];

                    tg_xxxxxyyz_xyyyzzz_0[j] = pb_x * tg_xxxxyyz_xyyyzzz_0[j] + fr * tg_xxxxyyz_xyyyzzz_1[j] + 2.0 * fl1_fx * (tg_xxxyyz_xyyyzzz_0[j] - tg_xxxyyz_xyyyzzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xxxxyyz_yyyzzz_1[j];

                    tg_xxxxxyyz_xyyzzzz_0[j] = pb_x * tg_xxxxyyz_xyyzzzz_0[j] + fr * tg_xxxxyyz_xyyzzzz_1[j] + 2.0 * fl1_fx * (tg_xxxyyz_xyyzzzz_0[j] - tg_xxxyyz_xyyzzzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xxxxyyz_yyzzzz_1[j];

                    tg_xxxxxyyz_xyzzzzz_0[j] = pb_x * tg_xxxxyyz_xyzzzzz_0[j] + fr * tg_xxxxyyz_xyzzzzz_1[j] + 2.0 * fl1_fx * (tg_xxxyyz_xyzzzzz_0[j] - tg_xxxyyz_xyzzzzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xxxxyyz_yzzzzz_1[j];

                    tg_xxxxxyyz_xzzzzzz_0[j] = pb_x * tg_xxxxyyz_xzzzzzz_0[j] + fr * tg_xxxxyyz_xzzzzzz_1[j] + 2.0 * fl1_fx * (tg_xxxyyz_xzzzzzz_0[j] - tg_xxxyyz_xzzzzzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xxxxyyz_zzzzzz_1[j];

                    tg_xxxxxyyz_yyyyyyy_0[j] = pb_x * tg_xxxxyyz_yyyyyyy_0[j] + fr * tg_xxxxyyz_yyyyyyy_1[j] + 2.0 * fl1_fx * (tg_xxxyyz_yyyyyyy_0[j] - tg_xxxyyz_yyyyyyy_1[j] * fl1_fza);

                    tg_xxxxxyyz_yyyyyyz_0[j] = pb_x * tg_xxxxyyz_yyyyyyz_0[j] + fr * tg_xxxxyyz_yyyyyyz_1[j] + 2.0 * fl1_fx * (tg_xxxyyz_yyyyyyz_0[j] - tg_xxxyyz_yyyyyyz_1[j] * fl1_fza);

                    tg_xxxxxyyz_yyyyyzz_0[j] = pb_x * tg_xxxxyyz_yyyyyzz_0[j] + fr * tg_xxxxyyz_yyyyyzz_1[j] + 2.0 * fl1_fx * (tg_xxxyyz_yyyyyzz_0[j] - tg_xxxyyz_yyyyyzz_1[j] * fl1_fza);

                    tg_xxxxxyyz_yyyyzzz_0[j] = pb_x * tg_xxxxyyz_yyyyzzz_0[j] + fr * tg_xxxxyyz_yyyyzzz_1[j] + 2.0 * fl1_fx * (tg_xxxyyz_yyyyzzz_0[j] - tg_xxxyyz_yyyyzzz_1[j] * fl1_fza);

                    tg_xxxxxyyz_yyyzzzz_0[j] = pb_x * tg_xxxxyyz_yyyzzzz_0[j] + fr * tg_xxxxyyz_yyyzzzz_1[j] + 2.0 * fl1_fx * (tg_xxxyyz_yyyzzzz_0[j] - tg_xxxyyz_yyyzzzz_1[j] * fl1_fza);

                    tg_xxxxxyyz_yyzzzzz_0[j] = pb_x * tg_xxxxyyz_yyzzzzz_0[j] + fr * tg_xxxxyyz_yyzzzzz_1[j] + 2.0 * fl1_fx * (tg_xxxyyz_yyzzzzz_0[j] - tg_xxxyyz_yyzzzzz_1[j] * fl1_fza);

                    tg_xxxxxyyz_yzzzzzz_0[j] = pb_x * tg_xxxxyyz_yzzzzzz_0[j] + fr * tg_xxxxyyz_yzzzzzz_1[j] + 2.0 * fl1_fx * (tg_xxxyyz_yzzzzzz_0[j] - tg_xxxyyz_yzzzzzz_1[j] * fl1_fza);

                    tg_xxxxxyyz_zzzzzzz_0[j] = pb_x * tg_xxxxyyz_zzzzzzz_0[j] + fr * tg_xxxxyyz_zzzzzzz_1[j] + 2.0 * fl1_fx * (tg_xxxyyz_zzzzzzz_0[j] - tg_xxxyyz_zzzzzzz_1[j] * fl1_fza);
                }

                idx++;
            }
        }
    }

    void
    compElectronRepulsionForSLSK_288_384(      CMemBlock2D<double>* primBuffer,
                                         const CRecursionMap&       recursionMap,
                                         const CMemBlock2D<double>& osFactors,
                                         const CMemBlock2D<double>& wpDistances,
                                         const CGtoPairsBlock&      braGtoPairsBlock,
                                         const CGtoPairsBlock&      ketGtoPairsBlock,
                                         const int32_t              nKetPrimPairs,
                                         const int32_t              iContrPair)
    {
        // Batch of Integrals (288,384)

        // set up pointers to primitives data on bra side

        auto spos = braGtoPairsBlock.getStartPositions();

        auto epos = braGtoPairsBlock.getEndPositions();

        // set up pointers to tensor of distance R(PB) = P - B

        auto r_pb_x = braGtoPairsBlock.getDistancesPBX();

        // set up pointers to common Obara-Saika factors

        auto b_fx = braGtoPairsBlock.getFactorsOneOverXi();

        // set up maximum order of integral

        auto mord = recursionMap.getMaxOrder({"Electron Repulsion"},
                                             {8, -1, -1, -1},
                                             {7, -1, -1, -1},
                                             1, 1);

        for (int32_t iord = 0; iord <= mord; iord++)
        {
            // set up index of integral

            auto pidx_g_8_7_m0 = recursionMap.index(CRecursionTerm({"Electron Repulsion"}, 0, true, 
                                                                   {8, -1, -1, -1}, {7, -1, -1, -1}, 
                                                                   1, 1, iord));

            // check if integral is needed in recursion expansion

            if (pidx_g_8_7_m0 == -1) continue;

            // set up indexes of auxilary integral

            auto pidx_g_7_7_m0 = recursionMap.index(CRecursionTerm({"Electron Repulsion"}, 0, true, 
                                                                   {7, -1, -1, -1}, {7, -1, -1, -1}, 
                                                                   1, 1, iord));

            auto pidx_g_7_7_m1 = recursionMap.index(CRecursionTerm({"Electron Repulsion"}, 0, true, 
                                                                   {7, -1, -1, -1}, {7, -1, -1, -1}, 
                                                                   1, 1, iord + 1));

            auto pidx_g_6_7_m0 = recursionMap.index(CRecursionTerm({"Electron Repulsion"}, 0, true, 
                                                                   {6, -1, -1, -1}, {7, -1, -1, -1}, 
                                                                   1, 1, iord));

            auto pidx_g_6_7_m1 = recursionMap.index(CRecursionTerm({"Electron Repulsion"}, 0, true, 
                                                                   {6, -1, -1, -1}, {7, -1, -1, -1}, 
                                                                   1, 1, iord + 1));

            auto pidx_g_7_6_m1 = recursionMap.index(CRecursionTerm({"Electron Repulsion"}, 0, true, 
                                                                   {7, -1, -1, -1}, {6, -1, -1, -1}, 
                                                                   1, 1, iord + 1));

            // loop over contracted GTO on bra side

            int32_t idx = 0;

            for (int32_t i = spos[iContrPair]; i < epos[iContrPair]; i++)
            {
                // set up pointers to Obara-Saika factors

                double fx = b_fx[i];

                auto fza = osFactors.data(4 * idx + 2);

                auto fxn = osFactors.data(4 * idx);

                // set up distances R(PB) = P - B

                auto pb_x = r_pb_x[i];

                // set up pointers to tensors product of distances R(WP) = W - P

                auto wp_x = wpDistances.data(3 * idx);

                // set up pointers to auxilary integrals

                auto tg_xxxxyzz_xxxxxxx_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 288); 

                auto tg_xxxxyzz_xxxxxxy_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 289); 

                auto tg_xxxxyzz_xxxxxxz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 290); 

                auto tg_xxxxyzz_xxxxxyy_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 291); 

                auto tg_xxxxyzz_xxxxxyz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 292); 

                auto tg_xxxxyzz_xxxxxzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 293); 

                auto tg_xxxxyzz_xxxxyyy_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 294); 

                auto tg_xxxxyzz_xxxxyyz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 295); 

                auto tg_xxxxyzz_xxxxyzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 296); 

                auto tg_xxxxyzz_xxxxzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 297); 

                auto tg_xxxxyzz_xxxyyyy_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 298); 

                auto tg_xxxxyzz_xxxyyyz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 299); 

                auto tg_xxxxyzz_xxxyyzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 300); 

                auto tg_xxxxyzz_xxxyzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 301); 

                auto tg_xxxxyzz_xxxzzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 302); 

                auto tg_xxxxyzz_xxyyyyy_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 303); 

                auto tg_xxxxyzz_xxyyyyz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 304); 

                auto tg_xxxxyzz_xxyyyzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 305); 

                auto tg_xxxxyzz_xxyyzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 306); 

                auto tg_xxxxyzz_xxyzzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 307); 

                auto tg_xxxxyzz_xxzzzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 308); 

                auto tg_xxxxyzz_xyyyyyy_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 309); 

                auto tg_xxxxyzz_xyyyyyz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 310); 

                auto tg_xxxxyzz_xyyyyzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 311); 

                auto tg_xxxxyzz_xyyyzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 312); 

                auto tg_xxxxyzz_xyyzzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 313); 

                auto tg_xxxxyzz_xyzzzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 314); 

                auto tg_xxxxyzz_xzzzzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 315); 

                auto tg_xxxxyzz_yyyyyyy_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 316); 

                auto tg_xxxxyzz_yyyyyyz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 317); 

                auto tg_xxxxyzz_yyyyyzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 318); 

                auto tg_xxxxyzz_yyyyzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 319); 

                auto tg_xxxxyzz_yyyzzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 320); 

                auto tg_xxxxyzz_yyzzzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 321); 

                auto tg_xxxxyzz_yzzzzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 322); 

                auto tg_xxxxyzz_zzzzzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 323); 

                auto tg_xxxxzzz_xxxxxxx_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 324); 

                auto tg_xxxxzzz_xxxxxxy_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 325); 

                auto tg_xxxxzzz_xxxxxxz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 326); 

                auto tg_xxxxzzz_xxxxxyy_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 327); 

                auto tg_xxxxzzz_xxxxxyz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 328); 

                auto tg_xxxxzzz_xxxxxzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 329); 

                auto tg_xxxxzzz_xxxxyyy_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 330); 

                auto tg_xxxxzzz_xxxxyyz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 331); 

                auto tg_xxxxzzz_xxxxyzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 332); 

                auto tg_xxxxzzz_xxxxzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 333); 

                auto tg_xxxxzzz_xxxyyyy_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 334); 

                auto tg_xxxxzzz_xxxyyyz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 335); 

                auto tg_xxxxzzz_xxxyyzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 336); 

                auto tg_xxxxzzz_xxxyzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 337); 

                auto tg_xxxxzzz_xxxzzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 338); 

                auto tg_xxxxzzz_xxyyyyy_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 339); 

                auto tg_xxxxzzz_xxyyyyz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 340); 

                auto tg_xxxxzzz_xxyyyzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 341); 

                auto tg_xxxxzzz_xxyyzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 342); 

                auto tg_xxxxzzz_xxyzzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 343); 

                auto tg_xxxxzzz_xxzzzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 344); 

                auto tg_xxxxzzz_xyyyyyy_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 345); 

                auto tg_xxxxzzz_xyyyyyz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 346); 

                auto tg_xxxxzzz_xyyyyzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 347); 

                auto tg_xxxxzzz_xyyyzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 348); 

                auto tg_xxxxzzz_xyyzzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 349); 

                auto tg_xxxxzzz_xyzzzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 350); 

                auto tg_xxxxzzz_xzzzzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 351); 

                auto tg_xxxxzzz_yyyyyyy_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 352); 

                auto tg_xxxxzzz_yyyyyyz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 353); 

                auto tg_xxxxzzz_yyyyyzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 354); 

                auto tg_xxxxzzz_yyyyzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 355); 

                auto tg_xxxxzzz_yyyzzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 356); 

                auto tg_xxxxzzz_yyzzzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 357); 

                auto tg_xxxxzzz_yzzzzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 358); 

                auto tg_xxxxzzz_zzzzzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 359); 

                auto tg_xxxyyyy_xxxxxxx_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 360); 

                auto tg_xxxyyyy_xxxxxxy_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 361); 

                auto tg_xxxyyyy_xxxxxxz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 362); 

                auto tg_xxxyyyy_xxxxxyy_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 363); 

                auto tg_xxxyyyy_xxxxxyz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 364); 

                auto tg_xxxyyyy_xxxxxzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 365); 

                auto tg_xxxyyyy_xxxxyyy_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 366); 

                auto tg_xxxyyyy_xxxxyyz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 367); 

                auto tg_xxxyyyy_xxxxyzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 368); 

                auto tg_xxxyyyy_xxxxzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 369); 

                auto tg_xxxyyyy_xxxyyyy_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 370); 

                auto tg_xxxyyyy_xxxyyyz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 371); 

                auto tg_xxxyyyy_xxxyyzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 372); 

                auto tg_xxxyyyy_xxxyzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 373); 

                auto tg_xxxyyyy_xxxzzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 374); 

                auto tg_xxxyyyy_xxyyyyy_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 375); 

                auto tg_xxxyyyy_xxyyyyz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 376); 

                auto tg_xxxyyyy_xxyyyzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 377); 

                auto tg_xxxyyyy_xxyyzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 378); 

                auto tg_xxxyyyy_xxyzzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 379); 

                auto tg_xxxyyyy_xxzzzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 380); 

                auto tg_xxxyyyy_xyyyyyy_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 381); 

                auto tg_xxxyyyy_xyyyyyz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 382); 

                auto tg_xxxyyyy_xyyyyzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 383); 

                auto tg_xxxxyzz_xxxxxxx_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 288); 

                auto tg_xxxxyzz_xxxxxxy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 289); 

                auto tg_xxxxyzz_xxxxxxz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 290); 

                auto tg_xxxxyzz_xxxxxyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 291); 

                auto tg_xxxxyzz_xxxxxyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 292); 

                auto tg_xxxxyzz_xxxxxzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 293); 

                auto tg_xxxxyzz_xxxxyyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 294); 

                auto tg_xxxxyzz_xxxxyyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 295); 

                auto tg_xxxxyzz_xxxxyzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 296); 

                auto tg_xxxxyzz_xxxxzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 297); 

                auto tg_xxxxyzz_xxxyyyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 298); 

                auto tg_xxxxyzz_xxxyyyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 299); 

                auto tg_xxxxyzz_xxxyyzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 300); 

                auto tg_xxxxyzz_xxxyzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 301); 

                auto tg_xxxxyzz_xxxzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 302); 

                auto tg_xxxxyzz_xxyyyyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 303); 

                auto tg_xxxxyzz_xxyyyyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 304); 

                auto tg_xxxxyzz_xxyyyzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 305); 

                auto tg_xxxxyzz_xxyyzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 306); 

                auto tg_xxxxyzz_xxyzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 307); 

                auto tg_xxxxyzz_xxzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 308); 

                auto tg_xxxxyzz_xyyyyyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 309); 

                auto tg_xxxxyzz_xyyyyyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 310); 

                auto tg_xxxxyzz_xyyyyzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 311); 

                auto tg_xxxxyzz_xyyyzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 312); 

                auto tg_xxxxyzz_xyyzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 313); 

                auto tg_xxxxyzz_xyzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 314); 

                auto tg_xxxxyzz_xzzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 315); 

                auto tg_xxxxyzz_yyyyyyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 316); 

                auto tg_xxxxyzz_yyyyyyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 317); 

                auto tg_xxxxyzz_yyyyyzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 318); 

                auto tg_xxxxyzz_yyyyzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 319); 

                auto tg_xxxxyzz_yyyzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 320); 

                auto tg_xxxxyzz_yyzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 321); 

                auto tg_xxxxyzz_yzzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 322); 

                auto tg_xxxxyzz_zzzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 323); 

                auto tg_xxxxzzz_xxxxxxx_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 324); 

                auto tg_xxxxzzz_xxxxxxy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 325); 

                auto tg_xxxxzzz_xxxxxxz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 326); 

                auto tg_xxxxzzz_xxxxxyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 327); 

                auto tg_xxxxzzz_xxxxxyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 328); 

                auto tg_xxxxzzz_xxxxxzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 329); 

                auto tg_xxxxzzz_xxxxyyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 330); 

                auto tg_xxxxzzz_xxxxyyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 331); 

                auto tg_xxxxzzz_xxxxyzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 332); 

                auto tg_xxxxzzz_xxxxzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 333); 

                auto tg_xxxxzzz_xxxyyyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 334); 

                auto tg_xxxxzzz_xxxyyyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 335); 

                auto tg_xxxxzzz_xxxyyzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 336); 

                auto tg_xxxxzzz_xxxyzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 337); 

                auto tg_xxxxzzz_xxxzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 338); 

                auto tg_xxxxzzz_xxyyyyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 339); 

                auto tg_xxxxzzz_xxyyyyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 340); 

                auto tg_xxxxzzz_xxyyyzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 341); 

                auto tg_xxxxzzz_xxyyzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 342); 

                auto tg_xxxxzzz_xxyzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 343); 

                auto tg_xxxxzzz_xxzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 344); 

                auto tg_xxxxzzz_xyyyyyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 345); 

                auto tg_xxxxzzz_xyyyyyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 346); 

                auto tg_xxxxzzz_xyyyyzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 347); 

                auto tg_xxxxzzz_xyyyzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 348); 

                auto tg_xxxxzzz_xyyzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 349); 

                auto tg_xxxxzzz_xyzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 350); 

                auto tg_xxxxzzz_xzzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 351); 

                auto tg_xxxxzzz_yyyyyyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 352); 

                auto tg_xxxxzzz_yyyyyyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 353); 

                auto tg_xxxxzzz_yyyyyzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 354); 

                auto tg_xxxxzzz_yyyyzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 355); 

                auto tg_xxxxzzz_yyyzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 356); 

                auto tg_xxxxzzz_yyzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 357); 

                auto tg_xxxxzzz_yzzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 358); 

                auto tg_xxxxzzz_zzzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 359); 

                auto tg_xxxyyyy_xxxxxxx_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 360); 

                auto tg_xxxyyyy_xxxxxxy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 361); 

                auto tg_xxxyyyy_xxxxxxz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 362); 

                auto tg_xxxyyyy_xxxxxyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 363); 

                auto tg_xxxyyyy_xxxxxyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 364); 

                auto tg_xxxyyyy_xxxxxzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 365); 

                auto tg_xxxyyyy_xxxxyyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 366); 

                auto tg_xxxyyyy_xxxxyyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 367); 

                auto tg_xxxyyyy_xxxxyzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 368); 

                auto tg_xxxyyyy_xxxxzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 369); 

                auto tg_xxxyyyy_xxxyyyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 370); 

                auto tg_xxxyyyy_xxxyyyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 371); 

                auto tg_xxxyyyy_xxxyyzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 372); 

                auto tg_xxxyyyy_xxxyzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 373); 

                auto tg_xxxyyyy_xxxzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 374); 

                auto tg_xxxyyyy_xxyyyyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 375); 

                auto tg_xxxyyyy_xxyyyyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 376); 

                auto tg_xxxyyyy_xxyyyzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 377); 

                auto tg_xxxyyyy_xxyyzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 378); 

                auto tg_xxxyyyy_xxyzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 379); 

                auto tg_xxxyyyy_xxzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 380); 

                auto tg_xxxyyyy_xyyyyyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 381); 

                auto tg_xxxyyyy_xyyyyyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 382); 

                auto tg_xxxyyyy_xyyyyzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 383); 

                auto tg_xxxyzz_xxxxxxx_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 288); 

                auto tg_xxxyzz_xxxxxxy_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 289); 

                auto tg_xxxyzz_xxxxxxz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 290); 

                auto tg_xxxyzz_xxxxxyy_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 291); 

                auto tg_xxxyzz_xxxxxyz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 292); 

                auto tg_xxxyzz_xxxxxzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 293); 

                auto tg_xxxyzz_xxxxyyy_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 294); 

                auto tg_xxxyzz_xxxxyyz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 295); 

                auto tg_xxxyzz_xxxxyzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 296); 

                auto tg_xxxyzz_xxxxzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 297); 

                auto tg_xxxyzz_xxxyyyy_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 298); 

                auto tg_xxxyzz_xxxyyyz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 299); 

                auto tg_xxxyzz_xxxyyzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 300); 

                auto tg_xxxyzz_xxxyzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 301); 

                auto tg_xxxyzz_xxxzzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 302); 

                auto tg_xxxyzz_xxyyyyy_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 303); 

                auto tg_xxxyzz_xxyyyyz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 304); 

                auto tg_xxxyzz_xxyyyzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 305); 

                auto tg_xxxyzz_xxyyzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 306); 

                auto tg_xxxyzz_xxyzzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 307); 

                auto tg_xxxyzz_xxzzzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 308); 

                auto tg_xxxyzz_xyyyyyy_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 309); 

                auto tg_xxxyzz_xyyyyyz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 310); 

                auto tg_xxxyzz_xyyyyzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 311); 

                auto tg_xxxyzz_xyyyzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 312); 

                auto tg_xxxyzz_xyyzzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 313); 

                auto tg_xxxyzz_xyzzzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 314); 

                auto tg_xxxyzz_xzzzzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 315); 

                auto tg_xxxyzz_yyyyyyy_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 316); 

                auto tg_xxxyzz_yyyyyyz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 317); 

                auto tg_xxxyzz_yyyyyzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 318); 

                auto tg_xxxyzz_yyyyzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 319); 

                auto tg_xxxyzz_yyyzzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 320); 

                auto tg_xxxyzz_yyzzzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 321); 

                auto tg_xxxyzz_yzzzzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 322); 

                auto tg_xxxyzz_zzzzzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 323); 

                auto tg_xxxzzz_xxxxxxx_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 324); 

                auto tg_xxxzzz_xxxxxxy_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 325); 

                auto tg_xxxzzz_xxxxxxz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 326); 

                auto tg_xxxzzz_xxxxxyy_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 327); 

                auto tg_xxxzzz_xxxxxyz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 328); 

                auto tg_xxxzzz_xxxxxzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 329); 

                auto tg_xxxzzz_xxxxyyy_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 330); 

                auto tg_xxxzzz_xxxxyyz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 331); 

                auto tg_xxxzzz_xxxxyzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 332); 

                auto tg_xxxzzz_xxxxzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 333); 

                auto tg_xxxzzz_xxxyyyy_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 334); 

                auto tg_xxxzzz_xxxyyyz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 335); 

                auto tg_xxxzzz_xxxyyzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 336); 

                auto tg_xxxzzz_xxxyzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 337); 

                auto tg_xxxzzz_xxxzzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 338); 

                auto tg_xxxzzz_xxyyyyy_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 339); 

                auto tg_xxxzzz_xxyyyyz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 340); 

                auto tg_xxxzzz_xxyyyzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 341); 

                auto tg_xxxzzz_xxyyzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 342); 

                auto tg_xxxzzz_xxyzzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 343); 

                auto tg_xxxzzz_xxzzzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 344); 

                auto tg_xxxzzz_xyyyyyy_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 345); 

                auto tg_xxxzzz_xyyyyyz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 346); 

                auto tg_xxxzzz_xyyyyzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 347); 

                auto tg_xxxzzz_xyyyzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 348); 

                auto tg_xxxzzz_xyyzzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 349); 

                auto tg_xxxzzz_xyzzzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 350); 

                auto tg_xxxzzz_xzzzzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 351); 

                auto tg_xxxzzz_yyyyyyy_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 352); 

                auto tg_xxxzzz_yyyyyyz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 353); 

                auto tg_xxxzzz_yyyyyzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 354); 

                auto tg_xxxzzz_yyyyzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 355); 

                auto tg_xxxzzz_yyyzzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 356); 

                auto tg_xxxzzz_yyzzzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 357); 

                auto tg_xxxzzz_yzzzzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 358); 

                auto tg_xxxzzz_zzzzzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 359); 

                auto tg_xxyyyy_xxxxxxx_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 360); 

                auto tg_xxyyyy_xxxxxxy_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 361); 

                auto tg_xxyyyy_xxxxxxz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 362); 

                auto tg_xxyyyy_xxxxxyy_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 363); 

                auto tg_xxyyyy_xxxxxyz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 364); 

                auto tg_xxyyyy_xxxxxzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 365); 

                auto tg_xxyyyy_xxxxyyy_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 366); 

                auto tg_xxyyyy_xxxxyyz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 367); 

                auto tg_xxyyyy_xxxxyzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 368); 

                auto tg_xxyyyy_xxxxzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 369); 

                auto tg_xxyyyy_xxxyyyy_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 370); 

                auto tg_xxyyyy_xxxyyyz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 371); 

                auto tg_xxyyyy_xxxyyzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 372); 

                auto tg_xxyyyy_xxxyzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 373); 

                auto tg_xxyyyy_xxxzzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 374); 

                auto tg_xxyyyy_xxyyyyy_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 375); 

                auto tg_xxyyyy_xxyyyyz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 376); 

                auto tg_xxyyyy_xxyyyzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 377); 

                auto tg_xxyyyy_xxyyzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 378); 

                auto tg_xxyyyy_xxyzzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 379); 

                auto tg_xxyyyy_xxzzzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 380); 

                auto tg_xxyyyy_xyyyyyy_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 381); 

                auto tg_xxyyyy_xyyyyyz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 382); 

                auto tg_xxyyyy_xyyyyzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 383); 

                auto tg_xxxyzz_xxxxxxx_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 288); 

                auto tg_xxxyzz_xxxxxxy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 289); 

                auto tg_xxxyzz_xxxxxxz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 290); 

                auto tg_xxxyzz_xxxxxyy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 291); 

                auto tg_xxxyzz_xxxxxyz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 292); 

                auto tg_xxxyzz_xxxxxzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 293); 

                auto tg_xxxyzz_xxxxyyy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 294); 

                auto tg_xxxyzz_xxxxyyz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 295); 

                auto tg_xxxyzz_xxxxyzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 296); 

                auto tg_xxxyzz_xxxxzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 297); 

                auto tg_xxxyzz_xxxyyyy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 298); 

                auto tg_xxxyzz_xxxyyyz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 299); 

                auto tg_xxxyzz_xxxyyzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 300); 

                auto tg_xxxyzz_xxxyzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 301); 

                auto tg_xxxyzz_xxxzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 302); 

                auto tg_xxxyzz_xxyyyyy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 303); 

                auto tg_xxxyzz_xxyyyyz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 304); 

                auto tg_xxxyzz_xxyyyzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 305); 

                auto tg_xxxyzz_xxyyzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 306); 

                auto tg_xxxyzz_xxyzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 307); 

                auto tg_xxxyzz_xxzzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 308); 

                auto tg_xxxyzz_xyyyyyy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 309); 

                auto tg_xxxyzz_xyyyyyz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 310); 

                auto tg_xxxyzz_xyyyyzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 311); 

                auto tg_xxxyzz_xyyyzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 312); 

                auto tg_xxxyzz_xyyzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 313); 

                auto tg_xxxyzz_xyzzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 314); 

                auto tg_xxxyzz_xzzzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 315); 

                auto tg_xxxyzz_yyyyyyy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 316); 

                auto tg_xxxyzz_yyyyyyz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 317); 

                auto tg_xxxyzz_yyyyyzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 318); 

                auto tg_xxxyzz_yyyyzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 319); 

                auto tg_xxxyzz_yyyzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 320); 

                auto tg_xxxyzz_yyzzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 321); 

                auto tg_xxxyzz_yzzzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 322); 

                auto tg_xxxyzz_zzzzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 323); 

                auto tg_xxxzzz_xxxxxxx_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 324); 

                auto tg_xxxzzz_xxxxxxy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 325); 

                auto tg_xxxzzz_xxxxxxz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 326); 

                auto tg_xxxzzz_xxxxxyy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 327); 

                auto tg_xxxzzz_xxxxxyz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 328); 

                auto tg_xxxzzz_xxxxxzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 329); 

                auto tg_xxxzzz_xxxxyyy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 330); 

                auto tg_xxxzzz_xxxxyyz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 331); 

                auto tg_xxxzzz_xxxxyzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 332); 

                auto tg_xxxzzz_xxxxzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 333); 

                auto tg_xxxzzz_xxxyyyy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 334); 

                auto tg_xxxzzz_xxxyyyz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 335); 

                auto tg_xxxzzz_xxxyyzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 336); 

                auto tg_xxxzzz_xxxyzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 337); 

                auto tg_xxxzzz_xxxzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 338); 

                auto tg_xxxzzz_xxyyyyy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 339); 

                auto tg_xxxzzz_xxyyyyz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 340); 

                auto tg_xxxzzz_xxyyyzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 341); 

                auto tg_xxxzzz_xxyyzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 342); 

                auto tg_xxxzzz_xxyzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 343); 

                auto tg_xxxzzz_xxzzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 344); 

                auto tg_xxxzzz_xyyyyyy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 345); 

                auto tg_xxxzzz_xyyyyyz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 346); 

                auto tg_xxxzzz_xyyyyzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 347); 

                auto tg_xxxzzz_xyyyzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 348); 

                auto tg_xxxzzz_xyyzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 349); 

                auto tg_xxxzzz_xyzzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 350); 

                auto tg_xxxzzz_xzzzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 351); 

                auto tg_xxxzzz_yyyyyyy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 352); 

                auto tg_xxxzzz_yyyyyyz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 353); 

                auto tg_xxxzzz_yyyyyzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 354); 

                auto tg_xxxzzz_yyyyzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 355); 

                auto tg_xxxzzz_yyyzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 356); 

                auto tg_xxxzzz_yyzzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 357); 

                auto tg_xxxzzz_yzzzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 358); 

                auto tg_xxxzzz_zzzzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 359); 

                auto tg_xxyyyy_xxxxxxx_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 360); 

                auto tg_xxyyyy_xxxxxxy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 361); 

                auto tg_xxyyyy_xxxxxxz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 362); 

                auto tg_xxyyyy_xxxxxyy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 363); 

                auto tg_xxyyyy_xxxxxyz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 364); 

                auto tg_xxyyyy_xxxxxzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 365); 

                auto tg_xxyyyy_xxxxyyy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 366); 

                auto tg_xxyyyy_xxxxyyz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 367); 

                auto tg_xxyyyy_xxxxyzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 368); 

                auto tg_xxyyyy_xxxxzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 369); 

                auto tg_xxyyyy_xxxyyyy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 370); 

                auto tg_xxyyyy_xxxyyyz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 371); 

                auto tg_xxyyyy_xxxyyzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 372); 

                auto tg_xxyyyy_xxxyzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 373); 

                auto tg_xxyyyy_xxxzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 374); 

                auto tg_xxyyyy_xxyyyyy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 375); 

                auto tg_xxyyyy_xxyyyyz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 376); 

                auto tg_xxyyyy_xxyyyzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 377); 

                auto tg_xxyyyy_xxyyzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 378); 

                auto tg_xxyyyy_xxyzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 379); 

                auto tg_xxyyyy_xxzzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 380); 

                auto tg_xxyyyy_xyyyyyy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 381); 

                auto tg_xxyyyy_xyyyyyz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 382); 

                auto tg_xxyyyy_xyyyyzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 383); 

                auto tg_xxxxyzz_xxxxxx_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 224); 

                auto tg_xxxxyzz_xxxxxy_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 225); 

                auto tg_xxxxyzz_xxxxxz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 226); 

                auto tg_xxxxyzz_xxxxyy_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 227); 

                auto tg_xxxxyzz_xxxxyz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 228); 

                auto tg_xxxxyzz_xxxxzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 229); 

                auto tg_xxxxyzz_xxxyyy_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 230); 

                auto tg_xxxxyzz_xxxyyz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 231); 

                auto tg_xxxxyzz_xxxyzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 232); 

                auto tg_xxxxyzz_xxxzzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 233); 

                auto tg_xxxxyzz_xxyyyy_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 234); 

                auto tg_xxxxyzz_xxyyyz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 235); 

                auto tg_xxxxyzz_xxyyzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 236); 

                auto tg_xxxxyzz_xxyzzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 237); 

                auto tg_xxxxyzz_xxzzzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 238); 

                auto tg_xxxxyzz_xyyyyy_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 239); 

                auto tg_xxxxyzz_xyyyyz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 240); 

                auto tg_xxxxyzz_xyyyzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 241); 

                auto tg_xxxxyzz_xyyzzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 242); 

                auto tg_xxxxyzz_xyzzzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 243); 

                auto tg_xxxxyzz_xzzzzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 244); 

                auto tg_xxxxyzz_yyyyyy_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 245); 

                auto tg_xxxxyzz_yyyyyz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 246); 

                auto tg_xxxxyzz_yyyyzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 247); 

                auto tg_xxxxyzz_yyyzzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 248); 

                auto tg_xxxxyzz_yyzzzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 249); 

                auto tg_xxxxyzz_yzzzzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 250); 

                auto tg_xxxxyzz_zzzzzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 251); 

                auto tg_xxxxzzz_xxxxxx_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 252); 

                auto tg_xxxxzzz_xxxxxy_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 253); 

                auto tg_xxxxzzz_xxxxxz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 254); 

                auto tg_xxxxzzz_xxxxyy_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 255); 

                auto tg_xxxxzzz_xxxxyz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 256); 

                auto tg_xxxxzzz_xxxxzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 257); 

                auto tg_xxxxzzz_xxxyyy_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 258); 

                auto tg_xxxxzzz_xxxyyz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 259); 

                auto tg_xxxxzzz_xxxyzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 260); 

                auto tg_xxxxzzz_xxxzzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 261); 

                auto tg_xxxxzzz_xxyyyy_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 262); 

                auto tg_xxxxzzz_xxyyyz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 263); 

                auto tg_xxxxzzz_xxyyzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 264); 

                auto tg_xxxxzzz_xxyzzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 265); 

                auto tg_xxxxzzz_xxzzzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 266); 

                auto tg_xxxxzzz_xyyyyy_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 267); 

                auto tg_xxxxzzz_xyyyyz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 268); 

                auto tg_xxxxzzz_xyyyzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 269); 

                auto tg_xxxxzzz_xyyzzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 270); 

                auto tg_xxxxzzz_xyzzzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 271); 

                auto tg_xxxxzzz_xzzzzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 272); 

                auto tg_xxxxzzz_yyyyyy_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 273); 

                auto tg_xxxxzzz_yyyyyz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 274); 

                auto tg_xxxxzzz_yyyyzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 275); 

                auto tg_xxxxzzz_yyyzzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 276); 

                auto tg_xxxxzzz_yyzzzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 277); 

                auto tg_xxxxzzz_yzzzzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 278); 

                auto tg_xxxxzzz_zzzzzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 279); 

                auto tg_xxxyyyy_xxxxxx_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 280); 

                auto tg_xxxyyyy_xxxxxy_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 281); 

                auto tg_xxxyyyy_xxxxxz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 282); 

                auto tg_xxxyyyy_xxxxyy_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 283); 

                auto tg_xxxyyyy_xxxxyz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 284); 

                auto tg_xxxyyyy_xxxxzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 285); 

                auto tg_xxxyyyy_xxxyyy_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 286); 

                auto tg_xxxyyyy_xxxyyz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 287); 

                auto tg_xxxyyyy_xxxyzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 288); 

                auto tg_xxxyyyy_xxxzzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 289); 

                auto tg_xxxyyyy_xxyyyy_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 290); 

                auto tg_xxxyyyy_xxyyyz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 291); 

                auto tg_xxxyyyy_xxyyzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 292); 

                auto tg_xxxyyyy_xxyzzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 293); 

                auto tg_xxxyyyy_xxzzzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 294); 

                auto tg_xxxyyyy_xyyyyy_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 295); 

                auto tg_xxxyyyy_xyyyyz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 296); 

                auto tg_xxxyyyy_xyyyzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 297); 

                auto tg_xxxyyyy_xyyzzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 298); 

                auto tg_xxxyyyy_xyzzzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 299); 

                auto tg_xxxyyyy_xzzzzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 300); 

                auto tg_xxxyyyy_yyyyyy_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 301); 

                auto tg_xxxyyyy_yyyyyz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 302); 

                auto tg_xxxyyyy_yyyyzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 303); 

                // set up pointers to integrals

                auto tg_xxxxxyzz_xxxxxxx_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 288); 

                auto tg_xxxxxyzz_xxxxxxy_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 289); 

                auto tg_xxxxxyzz_xxxxxxz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 290); 

                auto tg_xxxxxyzz_xxxxxyy_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 291); 

                auto tg_xxxxxyzz_xxxxxyz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 292); 

                auto tg_xxxxxyzz_xxxxxzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 293); 

                auto tg_xxxxxyzz_xxxxyyy_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 294); 

                auto tg_xxxxxyzz_xxxxyyz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 295); 

                auto tg_xxxxxyzz_xxxxyzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 296); 

                auto tg_xxxxxyzz_xxxxzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 297); 

                auto tg_xxxxxyzz_xxxyyyy_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 298); 

                auto tg_xxxxxyzz_xxxyyyz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 299); 

                auto tg_xxxxxyzz_xxxyyzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 300); 

                auto tg_xxxxxyzz_xxxyzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 301); 

                auto tg_xxxxxyzz_xxxzzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 302); 

                auto tg_xxxxxyzz_xxyyyyy_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 303); 

                auto tg_xxxxxyzz_xxyyyyz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 304); 

                auto tg_xxxxxyzz_xxyyyzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 305); 

                auto tg_xxxxxyzz_xxyyzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 306); 

                auto tg_xxxxxyzz_xxyzzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 307); 

                auto tg_xxxxxyzz_xxzzzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 308); 

                auto tg_xxxxxyzz_xyyyyyy_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 309); 

                auto tg_xxxxxyzz_xyyyyyz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 310); 

                auto tg_xxxxxyzz_xyyyyzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 311); 

                auto tg_xxxxxyzz_xyyyzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 312); 

                auto tg_xxxxxyzz_xyyzzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 313); 

                auto tg_xxxxxyzz_xyzzzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 314); 

                auto tg_xxxxxyzz_xzzzzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 315); 

                auto tg_xxxxxyzz_yyyyyyy_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 316); 

                auto tg_xxxxxyzz_yyyyyyz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 317); 

                auto tg_xxxxxyzz_yyyyyzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 318); 

                auto tg_xxxxxyzz_yyyyzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 319); 

                auto tg_xxxxxyzz_yyyzzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 320); 

                auto tg_xxxxxyzz_yyzzzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 321); 

                auto tg_xxxxxyzz_yzzzzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 322); 

                auto tg_xxxxxyzz_zzzzzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 323); 

                auto tg_xxxxxzzz_xxxxxxx_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 324); 

                auto tg_xxxxxzzz_xxxxxxy_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 325); 

                auto tg_xxxxxzzz_xxxxxxz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 326); 

                auto tg_xxxxxzzz_xxxxxyy_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 327); 

                auto tg_xxxxxzzz_xxxxxyz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 328); 

                auto tg_xxxxxzzz_xxxxxzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 329); 

                auto tg_xxxxxzzz_xxxxyyy_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 330); 

                auto tg_xxxxxzzz_xxxxyyz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 331); 

                auto tg_xxxxxzzz_xxxxyzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 332); 

                auto tg_xxxxxzzz_xxxxzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 333); 

                auto tg_xxxxxzzz_xxxyyyy_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 334); 

                auto tg_xxxxxzzz_xxxyyyz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 335); 

                auto tg_xxxxxzzz_xxxyyzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 336); 

                auto tg_xxxxxzzz_xxxyzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 337); 

                auto tg_xxxxxzzz_xxxzzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 338); 

                auto tg_xxxxxzzz_xxyyyyy_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 339); 

                auto tg_xxxxxzzz_xxyyyyz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 340); 

                auto tg_xxxxxzzz_xxyyyzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 341); 

                auto tg_xxxxxzzz_xxyyzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 342); 

                auto tg_xxxxxzzz_xxyzzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 343); 

                auto tg_xxxxxzzz_xxzzzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 344); 

                auto tg_xxxxxzzz_xyyyyyy_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 345); 

                auto tg_xxxxxzzz_xyyyyyz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 346); 

                auto tg_xxxxxzzz_xyyyyzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 347); 

                auto tg_xxxxxzzz_xyyyzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 348); 

                auto tg_xxxxxzzz_xyyzzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 349); 

                auto tg_xxxxxzzz_xyzzzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 350); 

                auto tg_xxxxxzzz_xzzzzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 351); 

                auto tg_xxxxxzzz_yyyyyyy_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 352); 

                auto tg_xxxxxzzz_yyyyyyz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 353); 

                auto tg_xxxxxzzz_yyyyyzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 354); 

                auto tg_xxxxxzzz_yyyyzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 355); 

                auto tg_xxxxxzzz_yyyzzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 356); 

                auto tg_xxxxxzzz_yyzzzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 357); 

                auto tg_xxxxxzzz_yzzzzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 358); 

                auto tg_xxxxxzzz_zzzzzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 359); 

                auto tg_xxxxyyyy_xxxxxxx_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 360); 

                auto tg_xxxxyyyy_xxxxxxy_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 361); 

                auto tg_xxxxyyyy_xxxxxxz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 362); 

                auto tg_xxxxyyyy_xxxxxyy_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 363); 

                auto tg_xxxxyyyy_xxxxxyz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 364); 

                auto tg_xxxxyyyy_xxxxxzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 365); 

                auto tg_xxxxyyyy_xxxxyyy_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 366); 

                auto tg_xxxxyyyy_xxxxyyz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 367); 

                auto tg_xxxxyyyy_xxxxyzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 368); 

                auto tg_xxxxyyyy_xxxxzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 369); 

                auto tg_xxxxyyyy_xxxyyyy_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 370); 

                auto tg_xxxxyyyy_xxxyyyz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 371); 

                auto tg_xxxxyyyy_xxxyyzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 372); 

                auto tg_xxxxyyyy_xxxyzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 373); 

                auto tg_xxxxyyyy_xxxzzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 374); 

                auto tg_xxxxyyyy_xxyyyyy_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 375); 

                auto tg_xxxxyyyy_xxyyyyz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 376); 

                auto tg_xxxxyyyy_xxyyyzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 377); 

                auto tg_xxxxyyyy_xxyyzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 378); 

                auto tg_xxxxyyyy_xxyzzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 379); 

                auto tg_xxxxyyyy_xxzzzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 380); 

                auto tg_xxxxyyyy_xyyyyyy_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 381); 

                auto tg_xxxxyyyy_xyyyyyz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 382); 

                auto tg_xxxxyyyy_xyyyyzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 383); 

                // Batch of Integrals (288,384)

                #pragma omp simd aligned(fxn, fza, tg_xxxxxyzz_xxxxxxx_0, tg_xxxxxyzz_xxxxxxy_0, \
                                         tg_xxxxxyzz_xxxxxxz_0, tg_xxxxxyzz_xxxxxyy_0, tg_xxxxxyzz_xxxxxyz_0, \
                                         tg_xxxxxyzz_xxxxxzz_0, tg_xxxxxyzz_xxxxyyy_0, tg_xxxxxyzz_xxxxyyz_0, \
                                         tg_xxxxxyzz_xxxxyzz_0, tg_xxxxxyzz_xxxxzzz_0, tg_xxxxxyzz_xxxyyyy_0, \
                                         tg_xxxxxyzz_xxxyyyz_0, tg_xxxxxyzz_xxxyyzz_0, tg_xxxxxyzz_xxxyzzz_0, \
                                         tg_xxxxxyzz_xxxzzzz_0, tg_xxxxxyzz_xxyyyyy_0, tg_xxxxxyzz_xxyyyyz_0, \
                                         tg_xxxxxyzz_xxyyyzz_0, tg_xxxxxyzz_xxyyzzz_0, tg_xxxxxyzz_xxyzzzz_0, \
                                         tg_xxxxxyzz_xxzzzzz_0, tg_xxxxxyzz_xyyyyyy_0, tg_xxxxxyzz_xyyyyyz_0, \
                                         tg_xxxxxyzz_xyyyyzz_0, tg_xxxxxyzz_xyyyzzz_0, tg_xxxxxyzz_xyyzzzz_0, \
                                         tg_xxxxxyzz_xyzzzzz_0, tg_xxxxxyzz_xzzzzzz_0, tg_xxxxxyzz_yyyyyyy_0, \
                                         tg_xxxxxyzz_yyyyyyz_0, tg_xxxxxyzz_yyyyyzz_0, tg_xxxxxyzz_yyyyzzz_0, \
                                         tg_xxxxxyzz_yyyzzzz_0, tg_xxxxxyzz_yyzzzzz_0, tg_xxxxxyzz_yzzzzzz_0, \
                                         tg_xxxxxyzz_zzzzzzz_0, tg_xxxxxzzz_xxxxxxx_0, tg_xxxxxzzz_xxxxxxy_0, \
                                         tg_xxxxxzzz_xxxxxxz_0, tg_xxxxxzzz_xxxxxyy_0, tg_xxxxxzzz_xxxxxyz_0, \
                                         tg_xxxxxzzz_xxxxxzz_0, tg_xxxxxzzz_xxxxyyy_0, tg_xxxxxzzz_xxxxyyz_0, \
                                         tg_xxxxxzzz_xxxxyzz_0, tg_xxxxxzzz_xxxxzzz_0, tg_xxxxxzzz_xxxyyyy_0, \
                                         tg_xxxxxzzz_xxxyyyz_0, tg_xxxxxzzz_xxxyyzz_0, tg_xxxxxzzz_xxxyzzz_0, \
                                         tg_xxxxxzzz_xxxzzzz_0, tg_xxxxxzzz_xxyyyyy_0, tg_xxxxxzzz_xxyyyyz_0, \
                                         tg_xxxxxzzz_xxyyyzz_0, tg_xxxxxzzz_xxyyzzz_0, tg_xxxxxzzz_xxyzzzz_0, \
                                         tg_xxxxxzzz_xxzzzzz_0, tg_xxxxxzzz_xyyyyyy_0, tg_xxxxxzzz_xyyyyyz_0, \
                                         tg_xxxxxzzz_xyyyyzz_0, tg_xxxxxzzz_xyyyzzz_0, tg_xxxxxzzz_xyyzzzz_0, \
                                         tg_xxxxxzzz_xyzzzzz_0, tg_xxxxxzzz_xzzzzzz_0, tg_xxxxxzzz_yyyyyyy_0, \
                                         tg_xxxxxzzz_yyyyyyz_0, tg_xxxxxzzz_yyyyyzz_0, tg_xxxxxzzz_yyyyzzz_0, \
                                         tg_xxxxxzzz_yyyzzzz_0, tg_xxxxxzzz_yyzzzzz_0, tg_xxxxxzzz_yzzzzzz_0, \
                                         tg_xxxxxzzz_zzzzzzz_0, tg_xxxxyyyy_xxxxxxx_0, tg_xxxxyyyy_xxxxxxy_0, \
                                         tg_xxxxyyyy_xxxxxxz_0, tg_xxxxyyyy_xxxxxyy_0, tg_xxxxyyyy_xxxxxyz_0, \
                                         tg_xxxxyyyy_xxxxxzz_0, tg_xxxxyyyy_xxxxyyy_0, tg_xxxxyyyy_xxxxyyz_0, \
                                         tg_xxxxyyyy_xxxxyzz_0, tg_xxxxyyyy_xxxxzzz_0, tg_xxxxyyyy_xxxyyyy_0, \
                                         tg_xxxxyyyy_xxxyyyz_0, tg_xxxxyyyy_xxxyyzz_0, tg_xxxxyyyy_xxxyzzz_0, \
                                         tg_xxxxyyyy_xxxzzzz_0, tg_xxxxyyyy_xxyyyyy_0, tg_xxxxyyyy_xxyyyyz_0, \
                                         tg_xxxxyyyy_xxyyyzz_0, tg_xxxxyyyy_xxyyzzz_0, tg_xxxxyyyy_xxyzzzz_0, \
                                         tg_xxxxyyyy_xxzzzzz_0, tg_xxxxyyyy_xyyyyyy_0, tg_xxxxyyyy_xyyyyyz_0, \
                                         tg_xxxxyyyy_xyyyyzz_0, tg_xxxxyzz_xxxxxx_1, tg_xxxxyzz_xxxxxxx_0, tg_xxxxyzz_xxxxxxx_1, \
                                         tg_xxxxyzz_xxxxxxy_0, tg_xxxxyzz_xxxxxxy_1, tg_xxxxyzz_xxxxxxz_0, tg_xxxxyzz_xxxxxxz_1, \
                                         tg_xxxxyzz_xxxxxy_1, tg_xxxxyzz_xxxxxyy_0, tg_xxxxyzz_xxxxxyy_1, tg_xxxxyzz_xxxxxyz_0, \
                                         tg_xxxxyzz_xxxxxyz_1, tg_xxxxyzz_xxxxxz_1, tg_xxxxyzz_xxxxxzz_0, tg_xxxxyzz_xxxxxzz_1, \
                                         tg_xxxxyzz_xxxxyy_1, tg_xxxxyzz_xxxxyyy_0, tg_xxxxyzz_xxxxyyy_1, tg_xxxxyzz_xxxxyyz_0, \
                                         tg_xxxxyzz_xxxxyyz_1, tg_xxxxyzz_xxxxyz_1, tg_xxxxyzz_xxxxyzz_0, tg_xxxxyzz_xxxxyzz_1, \
                                         tg_xxxxyzz_xxxxzz_1, tg_xxxxyzz_xxxxzzz_0, tg_xxxxyzz_xxxxzzz_1, tg_xxxxyzz_xxxyyy_1, \
                                         tg_xxxxyzz_xxxyyyy_0, tg_xxxxyzz_xxxyyyy_1, tg_xxxxyzz_xxxyyyz_0, tg_xxxxyzz_xxxyyyz_1, \
                                         tg_xxxxyzz_xxxyyz_1, tg_xxxxyzz_xxxyyzz_0, tg_xxxxyzz_xxxyyzz_1, tg_xxxxyzz_xxxyzz_1, \
                                         tg_xxxxyzz_xxxyzzz_0, tg_xxxxyzz_xxxyzzz_1, tg_xxxxyzz_xxxzzz_1, tg_xxxxyzz_xxxzzzz_0, \
                                         tg_xxxxyzz_xxxzzzz_1, tg_xxxxyzz_xxyyyy_1, tg_xxxxyzz_xxyyyyy_0, tg_xxxxyzz_xxyyyyy_1, \
                                         tg_xxxxyzz_xxyyyyz_0, tg_xxxxyzz_xxyyyyz_1, tg_xxxxyzz_xxyyyz_1, tg_xxxxyzz_xxyyyzz_0, \
                                         tg_xxxxyzz_xxyyyzz_1, tg_xxxxyzz_xxyyzz_1, tg_xxxxyzz_xxyyzzz_0, tg_xxxxyzz_xxyyzzz_1, \
                                         tg_xxxxyzz_xxyzzz_1, tg_xxxxyzz_xxyzzzz_0, tg_xxxxyzz_xxyzzzz_1, tg_xxxxyzz_xxzzzz_1, \
                                         tg_xxxxyzz_xxzzzzz_0, tg_xxxxyzz_xxzzzzz_1, tg_xxxxyzz_xyyyyy_1, tg_xxxxyzz_xyyyyyy_0, \
                                         tg_xxxxyzz_xyyyyyy_1, tg_xxxxyzz_xyyyyyz_0, tg_xxxxyzz_xyyyyyz_1, tg_xxxxyzz_xyyyyz_1, \
                                         tg_xxxxyzz_xyyyyzz_0, tg_xxxxyzz_xyyyyzz_1, tg_xxxxyzz_xyyyzz_1, tg_xxxxyzz_xyyyzzz_0, \
                                         tg_xxxxyzz_xyyyzzz_1, tg_xxxxyzz_xyyzzz_1, tg_xxxxyzz_xyyzzzz_0, tg_xxxxyzz_xyyzzzz_1, \
                                         tg_xxxxyzz_xyzzzz_1, tg_xxxxyzz_xyzzzzz_0, tg_xxxxyzz_xyzzzzz_1, tg_xxxxyzz_xzzzzz_1, \
                                         tg_xxxxyzz_xzzzzzz_0, tg_xxxxyzz_xzzzzzz_1, tg_xxxxyzz_yyyyyy_1, tg_xxxxyzz_yyyyyyy_0, \
                                         tg_xxxxyzz_yyyyyyy_1, tg_xxxxyzz_yyyyyyz_0, tg_xxxxyzz_yyyyyyz_1, tg_xxxxyzz_yyyyyz_1, \
                                         tg_xxxxyzz_yyyyyzz_0, tg_xxxxyzz_yyyyyzz_1, tg_xxxxyzz_yyyyzz_1, tg_xxxxyzz_yyyyzzz_0, \
                                         tg_xxxxyzz_yyyyzzz_1, tg_xxxxyzz_yyyzzz_1, tg_xxxxyzz_yyyzzzz_0, tg_xxxxyzz_yyyzzzz_1, \
                                         tg_xxxxyzz_yyzzzz_1, tg_xxxxyzz_yyzzzzz_0, tg_xxxxyzz_yyzzzzz_1, tg_xxxxyzz_yzzzzz_1, \
                                         tg_xxxxyzz_yzzzzzz_0, tg_xxxxyzz_yzzzzzz_1, tg_xxxxyzz_zzzzzz_1, tg_xxxxyzz_zzzzzzz_0, \
                                         tg_xxxxyzz_zzzzzzz_1, tg_xxxxzzz_xxxxxx_1, tg_xxxxzzz_xxxxxxx_0, tg_xxxxzzz_xxxxxxx_1, \
                                         tg_xxxxzzz_xxxxxxy_0, tg_xxxxzzz_xxxxxxy_1, tg_xxxxzzz_xxxxxxz_0, tg_xxxxzzz_xxxxxxz_1, \
                                         tg_xxxxzzz_xxxxxy_1, tg_xxxxzzz_xxxxxyy_0, tg_xxxxzzz_xxxxxyy_1, tg_xxxxzzz_xxxxxyz_0, \
                                         tg_xxxxzzz_xxxxxyz_1, tg_xxxxzzz_xxxxxz_1, tg_xxxxzzz_xxxxxzz_0, tg_xxxxzzz_xxxxxzz_1, \
                                         tg_xxxxzzz_xxxxyy_1, tg_xxxxzzz_xxxxyyy_0, tg_xxxxzzz_xxxxyyy_1, tg_xxxxzzz_xxxxyyz_0, \
                                         tg_xxxxzzz_xxxxyyz_1, tg_xxxxzzz_xxxxyz_1, tg_xxxxzzz_xxxxyzz_0, tg_xxxxzzz_xxxxyzz_1, \
                                         tg_xxxxzzz_xxxxzz_1, tg_xxxxzzz_xxxxzzz_0, tg_xxxxzzz_xxxxzzz_1, tg_xxxxzzz_xxxyyy_1, \
                                         tg_xxxxzzz_xxxyyyy_0, tg_xxxxzzz_xxxyyyy_1, tg_xxxxzzz_xxxyyyz_0, tg_xxxxzzz_xxxyyyz_1, \
                                         tg_xxxxzzz_xxxyyz_1, tg_xxxxzzz_xxxyyzz_0, tg_xxxxzzz_xxxyyzz_1, tg_xxxxzzz_xxxyzz_1, \
                                         tg_xxxxzzz_xxxyzzz_0, tg_xxxxzzz_xxxyzzz_1, tg_xxxxzzz_xxxzzz_1, tg_xxxxzzz_xxxzzzz_0, \
                                         tg_xxxxzzz_xxxzzzz_1, tg_xxxxzzz_xxyyyy_1, tg_xxxxzzz_xxyyyyy_0, tg_xxxxzzz_xxyyyyy_1, \
                                         tg_xxxxzzz_xxyyyyz_0, tg_xxxxzzz_xxyyyyz_1, tg_xxxxzzz_xxyyyz_1, tg_xxxxzzz_xxyyyzz_0, \
                                         tg_xxxxzzz_xxyyyzz_1, tg_xxxxzzz_xxyyzz_1, tg_xxxxzzz_xxyyzzz_0, tg_xxxxzzz_xxyyzzz_1, \
                                         tg_xxxxzzz_xxyzzz_1, tg_xxxxzzz_xxyzzzz_0, tg_xxxxzzz_xxyzzzz_1, tg_xxxxzzz_xxzzzz_1, \
                                         tg_xxxxzzz_xxzzzzz_0, tg_xxxxzzz_xxzzzzz_1, tg_xxxxzzz_xyyyyy_1, tg_xxxxzzz_xyyyyyy_0, \
                                         tg_xxxxzzz_xyyyyyy_1, tg_xxxxzzz_xyyyyyz_0, tg_xxxxzzz_xyyyyyz_1, tg_xxxxzzz_xyyyyz_1, \
                                         tg_xxxxzzz_xyyyyzz_0, tg_xxxxzzz_xyyyyzz_1, tg_xxxxzzz_xyyyzz_1, tg_xxxxzzz_xyyyzzz_0, \
                                         tg_xxxxzzz_xyyyzzz_1, tg_xxxxzzz_xyyzzz_1, tg_xxxxzzz_xyyzzzz_0, tg_xxxxzzz_xyyzzzz_1, \
                                         tg_xxxxzzz_xyzzzz_1, tg_xxxxzzz_xyzzzzz_0, tg_xxxxzzz_xyzzzzz_1, tg_xxxxzzz_xzzzzz_1, \
                                         tg_xxxxzzz_xzzzzzz_0, tg_xxxxzzz_xzzzzzz_1, tg_xxxxzzz_yyyyyy_1, tg_xxxxzzz_yyyyyyy_0, \
                                         tg_xxxxzzz_yyyyyyy_1, tg_xxxxzzz_yyyyyyz_0, tg_xxxxzzz_yyyyyyz_1, tg_xxxxzzz_yyyyyz_1, \
                                         tg_xxxxzzz_yyyyyzz_0, tg_xxxxzzz_yyyyyzz_1, tg_xxxxzzz_yyyyzz_1, tg_xxxxzzz_yyyyzzz_0, \
                                         tg_xxxxzzz_yyyyzzz_1, tg_xxxxzzz_yyyzzz_1, tg_xxxxzzz_yyyzzzz_0, tg_xxxxzzz_yyyzzzz_1, \
                                         tg_xxxxzzz_yyzzzz_1, tg_xxxxzzz_yyzzzzz_0, tg_xxxxzzz_yyzzzzz_1, tg_xxxxzzz_yzzzzz_1, \
                                         tg_xxxxzzz_yzzzzzz_0, tg_xxxxzzz_yzzzzzz_1, tg_xxxxzzz_zzzzzz_1, tg_xxxxzzz_zzzzzzz_0, \
                                         tg_xxxxzzz_zzzzzzz_1, tg_xxxyyyy_xxxxxx_1, tg_xxxyyyy_xxxxxxx_0, tg_xxxyyyy_xxxxxxx_1, \
                                         tg_xxxyyyy_xxxxxxy_0, tg_xxxyyyy_xxxxxxy_1, tg_xxxyyyy_xxxxxxz_0, tg_xxxyyyy_xxxxxxz_1, \
                                         tg_xxxyyyy_xxxxxy_1, tg_xxxyyyy_xxxxxyy_0, tg_xxxyyyy_xxxxxyy_1, tg_xxxyyyy_xxxxxyz_0, \
                                         tg_xxxyyyy_xxxxxyz_1, tg_xxxyyyy_xxxxxz_1, tg_xxxyyyy_xxxxxzz_0, tg_xxxyyyy_xxxxxzz_1, \
                                         tg_xxxyyyy_xxxxyy_1, tg_xxxyyyy_xxxxyyy_0, tg_xxxyyyy_xxxxyyy_1, tg_xxxyyyy_xxxxyyz_0, \
                                         tg_xxxyyyy_xxxxyyz_1, tg_xxxyyyy_xxxxyz_1, tg_xxxyyyy_xxxxyzz_0, tg_xxxyyyy_xxxxyzz_1, \
                                         tg_xxxyyyy_xxxxzz_1, tg_xxxyyyy_xxxxzzz_0, tg_xxxyyyy_xxxxzzz_1, tg_xxxyyyy_xxxyyy_1, \
                                         tg_xxxyyyy_xxxyyyy_0, tg_xxxyyyy_xxxyyyy_1, tg_xxxyyyy_xxxyyyz_0, tg_xxxyyyy_xxxyyyz_1, \
                                         tg_xxxyyyy_xxxyyz_1, tg_xxxyyyy_xxxyyzz_0, tg_xxxyyyy_xxxyyzz_1, tg_xxxyyyy_xxxyzz_1, \
                                         tg_xxxyyyy_xxxyzzz_0, tg_xxxyyyy_xxxyzzz_1, tg_xxxyyyy_xxxzzz_1, tg_xxxyyyy_xxxzzzz_0, \
                                         tg_xxxyyyy_xxxzzzz_1, tg_xxxyyyy_xxyyyy_1, tg_xxxyyyy_xxyyyyy_0, tg_xxxyyyy_xxyyyyy_1, \
                                         tg_xxxyyyy_xxyyyyz_0, tg_xxxyyyy_xxyyyyz_1, tg_xxxyyyy_xxyyyz_1, tg_xxxyyyy_xxyyyzz_0, \
                                         tg_xxxyyyy_xxyyyzz_1, tg_xxxyyyy_xxyyzz_1, tg_xxxyyyy_xxyyzzz_0, tg_xxxyyyy_xxyyzzz_1, \
                                         tg_xxxyyyy_xxyzzz_1, tg_xxxyyyy_xxyzzzz_0, tg_xxxyyyy_xxyzzzz_1, tg_xxxyyyy_xxzzzz_1, \
                                         tg_xxxyyyy_xxzzzzz_0, tg_xxxyyyy_xxzzzzz_1, tg_xxxyyyy_xyyyyy_1, tg_xxxyyyy_xyyyyyy_0, \
                                         tg_xxxyyyy_xyyyyyy_1, tg_xxxyyyy_xyyyyyz_0, tg_xxxyyyy_xyyyyyz_1, tg_xxxyyyy_xyyyyz_1, \
                                         tg_xxxyyyy_xyyyyzz_0, tg_xxxyyyy_xyyyyzz_1, tg_xxxyyyy_xyyyzz_1, tg_xxxyyyy_xyyzzz_1, \
                                         tg_xxxyyyy_xyzzzz_1, tg_xxxyyyy_xzzzzz_1, tg_xxxyyyy_yyyyyy_1, tg_xxxyyyy_yyyyyz_1, \
                                         tg_xxxyyyy_yyyyzz_1, tg_xxxyzz_xxxxxxx_0, tg_xxxyzz_xxxxxxx_1, tg_xxxyzz_xxxxxxy_0, \
                                         tg_xxxyzz_xxxxxxy_1, tg_xxxyzz_xxxxxxz_0, tg_xxxyzz_xxxxxxz_1, tg_xxxyzz_xxxxxyy_0, \
                                         tg_xxxyzz_xxxxxyy_1, tg_xxxyzz_xxxxxyz_0, tg_xxxyzz_xxxxxyz_1, tg_xxxyzz_xxxxxzz_0, \
                                         tg_xxxyzz_xxxxxzz_1, tg_xxxyzz_xxxxyyy_0, tg_xxxyzz_xxxxyyy_1, tg_xxxyzz_xxxxyyz_0, \
                                         tg_xxxyzz_xxxxyyz_1, tg_xxxyzz_xxxxyzz_0, tg_xxxyzz_xxxxyzz_1, tg_xxxyzz_xxxxzzz_0, \
                                         tg_xxxyzz_xxxxzzz_1, tg_xxxyzz_xxxyyyy_0, tg_xxxyzz_xxxyyyy_1, tg_xxxyzz_xxxyyyz_0, \
                                         tg_xxxyzz_xxxyyyz_1, tg_xxxyzz_xxxyyzz_0, tg_xxxyzz_xxxyyzz_1, tg_xxxyzz_xxxyzzz_0, \
                                         tg_xxxyzz_xxxyzzz_1, tg_xxxyzz_xxxzzzz_0, tg_xxxyzz_xxxzzzz_1, tg_xxxyzz_xxyyyyy_0, \
                                         tg_xxxyzz_xxyyyyy_1, tg_xxxyzz_xxyyyyz_0, tg_xxxyzz_xxyyyyz_1, tg_xxxyzz_xxyyyzz_0, \
                                         tg_xxxyzz_xxyyyzz_1, tg_xxxyzz_xxyyzzz_0, tg_xxxyzz_xxyyzzz_1, tg_xxxyzz_xxyzzzz_0, \
                                         tg_xxxyzz_xxyzzzz_1, tg_xxxyzz_xxzzzzz_0, tg_xxxyzz_xxzzzzz_1, tg_xxxyzz_xyyyyyy_0, \
                                         tg_xxxyzz_xyyyyyy_1, tg_xxxyzz_xyyyyyz_0, tg_xxxyzz_xyyyyyz_1, tg_xxxyzz_xyyyyzz_0, \
                                         tg_xxxyzz_xyyyyzz_1, tg_xxxyzz_xyyyzzz_0, tg_xxxyzz_xyyyzzz_1, tg_xxxyzz_xyyzzzz_0, \
                                         tg_xxxyzz_xyyzzzz_1, tg_xxxyzz_xyzzzzz_0, tg_xxxyzz_xyzzzzz_1, tg_xxxyzz_xzzzzzz_0, \
                                         tg_xxxyzz_xzzzzzz_1, tg_xxxyzz_yyyyyyy_0, tg_xxxyzz_yyyyyyy_1, tg_xxxyzz_yyyyyyz_0, \
                                         tg_xxxyzz_yyyyyyz_1, tg_xxxyzz_yyyyyzz_0, tg_xxxyzz_yyyyyzz_1, tg_xxxyzz_yyyyzzz_0, \
                                         tg_xxxyzz_yyyyzzz_1, tg_xxxyzz_yyyzzzz_0, tg_xxxyzz_yyyzzzz_1, tg_xxxyzz_yyzzzzz_0, \
                                         tg_xxxyzz_yyzzzzz_1, tg_xxxyzz_yzzzzzz_0, tg_xxxyzz_yzzzzzz_1, tg_xxxyzz_zzzzzzz_0, \
                                         tg_xxxyzz_zzzzzzz_1, tg_xxxzzz_xxxxxxx_0, tg_xxxzzz_xxxxxxx_1, tg_xxxzzz_xxxxxxy_0, \
                                         tg_xxxzzz_xxxxxxy_1, tg_xxxzzz_xxxxxxz_0, tg_xxxzzz_xxxxxxz_1, tg_xxxzzz_xxxxxyy_0, \
                                         tg_xxxzzz_xxxxxyy_1, tg_xxxzzz_xxxxxyz_0, tg_xxxzzz_xxxxxyz_1, tg_xxxzzz_xxxxxzz_0, \
                                         tg_xxxzzz_xxxxxzz_1, tg_xxxzzz_xxxxyyy_0, tg_xxxzzz_xxxxyyy_1, tg_xxxzzz_xxxxyyz_0, \
                                         tg_xxxzzz_xxxxyyz_1, tg_xxxzzz_xxxxyzz_0, tg_xxxzzz_xxxxyzz_1, tg_xxxzzz_xxxxzzz_0, \
                                         tg_xxxzzz_xxxxzzz_1, tg_xxxzzz_xxxyyyy_0, tg_xxxzzz_xxxyyyy_1, tg_xxxzzz_xxxyyyz_0, \
                                         tg_xxxzzz_xxxyyyz_1, tg_xxxzzz_xxxyyzz_0, tg_xxxzzz_xxxyyzz_1, tg_xxxzzz_xxxyzzz_0, \
                                         tg_xxxzzz_xxxyzzz_1, tg_xxxzzz_xxxzzzz_0, tg_xxxzzz_xxxzzzz_1, tg_xxxzzz_xxyyyyy_0, \
                                         tg_xxxzzz_xxyyyyy_1, tg_xxxzzz_xxyyyyz_0, tg_xxxzzz_xxyyyyz_1, tg_xxxzzz_xxyyyzz_0, \
                                         tg_xxxzzz_xxyyyzz_1, tg_xxxzzz_xxyyzzz_0, tg_xxxzzz_xxyyzzz_1, tg_xxxzzz_xxyzzzz_0, \
                                         tg_xxxzzz_xxyzzzz_1, tg_xxxzzz_xxzzzzz_0, tg_xxxzzz_xxzzzzz_1, tg_xxxzzz_xyyyyyy_0, \
                                         tg_xxxzzz_xyyyyyy_1, tg_xxxzzz_xyyyyyz_0, tg_xxxzzz_xyyyyyz_1, tg_xxxzzz_xyyyyzz_0, \
                                         tg_xxxzzz_xyyyyzz_1, tg_xxxzzz_xyyyzzz_0, tg_xxxzzz_xyyyzzz_1, tg_xxxzzz_xyyzzzz_0, \
                                         tg_xxxzzz_xyyzzzz_1, tg_xxxzzz_xyzzzzz_0, tg_xxxzzz_xyzzzzz_1, tg_xxxzzz_xzzzzzz_0, \
                                         tg_xxxzzz_xzzzzzz_1, tg_xxxzzz_yyyyyyy_0, tg_xxxzzz_yyyyyyy_1, tg_xxxzzz_yyyyyyz_0, \
                                         tg_xxxzzz_yyyyyyz_1, tg_xxxzzz_yyyyyzz_0, tg_xxxzzz_yyyyyzz_1, tg_xxxzzz_yyyyzzz_0, \
                                         tg_xxxzzz_yyyyzzz_1, tg_xxxzzz_yyyzzzz_0, tg_xxxzzz_yyyzzzz_1, tg_xxxzzz_yyzzzzz_0, \
                                         tg_xxxzzz_yyzzzzz_1, tg_xxxzzz_yzzzzzz_0, tg_xxxzzz_yzzzzzz_1, tg_xxxzzz_zzzzzzz_0, \
                                         tg_xxxzzz_zzzzzzz_1, tg_xxyyyy_xxxxxxx_0, tg_xxyyyy_xxxxxxx_1, tg_xxyyyy_xxxxxxy_0, \
                                         tg_xxyyyy_xxxxxxy_1, tg_xxyyyy_xxxxxxz_0, tg_xxyyyy_xxxxxxz_1, tg_xxyyyy_xxxxxyy_0, \
                                         tg_xxyyyy_xxxxxyy_1, tg_xxyyyy_xxxxxyz_0, tg_xxyyyy_xxxxxyz_1, tg_xxyyyy_xxxxxzz_0, \
                                         tg_xxyyyy_xxxxxzz_1, tg_xxyyyy_xxxxyyy_0, tg_xxyyyy_xxxxyyy_1, tg_xxyyyy_xxxxyyz_0, \
                                         tg_xxyyyy_xxxxyyz_1, tg_xxyyyy_xxxxyzz_0, tg_xxyyyy_xxxxyzz_1, tg_xxyyyy_xxxxzzz_0, \
                                         tg_xxyyyy_xxxxzzz_1, tg_xxyyyy_xxxyyyy_0, tg_xxyyyy_xxxyyyy_1, tg_xxyyyy_xxxyyyz_0, \
                                         tg_xxyyyy_xxxyyyz_1, tg_xxyyyy_xxxyyzz_0, tg_xxyyyy_xxxyyzz_1, tg_xxyyyy_xxxyzzz_0, \
                                         tg_xxyyyy_xxxyzzz_1, tg_xxyyyy_xxxzzzz_0, tg_xxyyyy_xxxzzzz_1, tg_xxyyyy_xxyyyyy_0, \
                                         tg_xxyyyy_xxyyyyy_1, tg_xxyyyy_xxyyyyz_0, tg_xxyyyy_xxyyyyz_1, tg_xxyyyy_xxyyyzz_0, \
                                         tg_xxyyyy_xxyyyzz_1, tg_xxyyyy_xxyyzzz_0, tg_xxyyyy_xxyyzzz_1, tg_xxyyyy_xxyzzzz_0, \
                                         tg_xxyyyy_xxyzzzz_1, tg_xxyyyy_xxzzzzz_0, tg_xxyyyy_xxzzzzz_1, tg_xxyyyy_xyyyyyy_0, \
                                         tg_xxyyyy_xyyyyyy_1, tg_xxyyyy_xyyyyyz_0, tg_xxyyyy_xyyyyyz_1, tg_xxyyyy_xyyyyzz_0, \
                                         tg_xxyyyy_xyyyyzz_1, wp_x: VLX_ALIGN)
                for (int32_t j = 0; j < nKetPrimPairs; j++)
                {
                    double fl1_fx = fx;

                    double fl1_fxn = fxn[j];

                    double fl1_fza = fza[j];

                    double fr = wp_x[j]; 

                    tg_xxxxxyzz_xxxxxxx_0[j] = pb_x * tg_xxxxyzz_xxxxxxx_0[j] + fr * tg_xxxxyzz_xxxxxxx_1[j] + 2.0 * fl1_fx * (tg_xxxyzz_xxxxxxx_0[j] - tg_xxxyzz_xxxxxxx_1[j] * fl1_fza) + 3.5 * fl1_fxn * tg_xxxxyzz_xxxxxx_1[j];

                    tg_xxxxxyzz_xxxxxxy_0[j] = pb_x * tg_xxxxyzz_xxxxxxy_0[j] + fr * tg_xxxxyzz_xxxxxxy_1[j] + 2.0 * fl1_fx * (tg_xxxyzz_xxxxxxy_0[j] - tg_xxxyzz_xxxxxxy_1[j] * fl1_fza) + 3.0 * fl1_fxn * tg_xxxxyzz_xxxxxy_1[j];

                    tg_xxxxxyzz_xxxxxxz_0[j] = pb_x * tg_xxxxyzz_xxxxxxz_0[j] + fr * tg_xxxxyzz_xxxxxxz_1[j] + 2.0 * fl1_fx * (tg_xxxyzz_xxxxxxz_0[j] - tg_xxxyzz_xxxxxxz_1[j] * fl1_fza) + 3.0 * fl1_fxn * tg_xxxxyzz_xxxxxz_1[j];

                    tg_xxxxxyzz_xxxxxyy_0[j] = pb_x * tg_xxxxyzz_xxxxxyy_0[j] + fr * tg_xxxxyzz_xxxxxyy_1[j] + 2.0 * fl1_fx * (tg_xxxyzz_xxxxxyy_0[j] - tg_xxxyzz_xxxxxyy_1[j] * fl1_fza) + 2.5 * fl1_fxn * tg_xxxxyzz_xxxxyy_1[j];

                    tg_xxxxxyzz_xxxxxyz_0[j] = pb_x * tg_xxxxyzz_xxxxxyz_0[j] + fr * tg_xxxxyzz_xxxxxyz_1[j] + 2.0 * fl1_fx * (tg_xxxyzz_xxxxxyz_0[j] - tg_xxxyzz_xxxxxyz_1[j] * fl1_fza) + 2.5 * fl1_fxn * tg_xxxxyzz_xxxxyz_1[j];

                    tg_xxxxxyzz_xxxxxzz_0[j] = pb_x * tg_xxxxyzz_xxxxxzz_0[j] + fr * tg_xxxxyzz_xxxxxzz_1[j] + 2.0 * fl1_fx * (tg_xxxyzz_xxxxxzz_0[j] - tg_xxxyzz_xxxxxzz_1[j] * fl1_fza) + 2.5 * fl1_fxn * tg_xxxxyzz_xxxxzz_1[j];

                    tg_xxxxxyzz_xxxxyyy_0[j] = pb_x * tg_xxxxyzz_xxxxyyy_0[j] + fr * tg_xxxxyzz_xxxxyyy_1[j] + 2.0 * fl1_fx * (tg_xxxyzz_xxxxyyy_0[j] - tg_xxxyzz_xxxxyyy_1[j] * fl1_fza) + 2.0 * fl1_fxn * tg_xxxxyzz_xxxyyy_1[j];

                    tg_xxxxxyzz_xxxxyyz_0[j] = pb_x * tg_xxxxyzz_xxxxyyz_0[j] + fr * tg_xxxxyzz_xxxxyyz_1[j] + 2.0 * fl1_fx * (tg_xxxyzz_xxxxyyz_0[j] - tg_xxxyzz_xxxxyyz_1[j] * fl1_fza) + 2.0 * fl1_fxn * tg_xxxxyzz_xxxyyz_1[j];

                    tg_xxxxxyzz_xxxxyzz_0[j] = pb_x * tg_xxxxyzz_xxxxyzz_0[j] + fr * tg_xxxxyzz_xxxxyzz_1[j] + 2.0 * fl1_fx * (tg_xxxyzz_xxxxyzz_0[j] - tg_xxxyzz_xxxxyzz_1[j] * fl1_fza) + 2.0 * fl1_fxn * tg_xxxxyzz_xxxyzz_1[j];

                    tg_xxxxxyzz_xxxxzzz_0[j] = pb_x * tg_xxxxyzz_xxxxzzz_0[j] + fr * tg_xxxxyzz_xxxxzzz_1[j] + 2.0 * fl1_fx * (tg_xxxyzz_xxxxzzz_0[j] - tg_xxxyzz_xxxxzzz_1[j] * fl1_fza) + 2.0 * fl1_fxn * tg_xxxxyzz_xxxzzz_1[j];

                    tg_xxxxxyzz_xxxyyyy_0[j] = pb_x * tg_xxxxyzz_xxxyyyy_0[j] + fr * tg_xxxxyzz_xxxyyyy_1[j] + 2.0 * fl1_fx * (tg_xxxyzz_xxxyyyy_0[j] - tg_xxxyzz_xxxyyyy_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_xxxxyzz_xxyyyy_1[j];

                    tg_xxxxxyzz_xxxyyyz_0[j] = pb_x * tg_xxxxyzz_xxxyyyz_0[j] + fr * tg_xxxxyzz_xxxyyyz_1[j] + 2.0 * fl1_fx * (tg_xxxyzz_xxxyyyz_0[j] - tg_xxxyzz_xxxyyyz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_xxxxyzz_xxyyyz_1[j];

                    tg_xxxxxyzz_xxxyyzz_0[j] = pb_x * tg_xxxxyzz_xxxyyzz_0[j] + fr * tg_xxxxyzz_xxxyyzz_1[j] + 2.0 * fl1_fx * (tg_xxxyzz_xxxyyzz_0[j] - tg_xxxyzz_xxxyyzz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_xxxxyzz_xxyyzz_1[j];

                    tg_xxxxxyzz_xxxyzzz_0[j] = pb_x * tg_xxxxyzz_xxxyzzz_0[j] + fr * tg_xxxxyzz_xxxyzzz_1[j] + 2.0 * fl1_fx * (tg_xxxyzz_xxxyzzz_0[j] - tg_xxxyzz_xxxyzzz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_xxxxyzz_xxyzzz_1[j];

                    tg_xxxxxyzz_xxxzzzz_0[j] = pb_x * tg_xxxxyzz_xxxzzzz_0[j] + fr * tg_xxxxyzz_xxxzzzz_1[j] + 2.0 * fl1_fx * (tg_xxxyzz_xxxzzzz_0[j] - tg_xxxyzz_xxxzzzz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_xxxxyzz_xxzzzz_1[j];

                    tg_xxxxxyzz_xxyyyyy_0[j] = pb_x * tg_xxxxyzz_xxyyyyy_0[j] + fr * tg_xxxxyzz_xxyyyyy_1[j] + 2.0 * fl1_fx * (tg_xxxyzz_xxyyyyy_0[j] - tg_xxxyzz_xxyyyyy_1[j] * fl1_fza) + fl1_fxn * tg_xxxxyzz_xyyyyy_1[j];

                    tg_xxxxxyzz_xxyyyyz_0[j] = pb_x * tg_xxxxyzz_xxyyyyz_0[j] + fr * tg_xxxxyzz_xxyyyyz_1[j] + 2.0 * fl1_fx * (tg_xxxyzz_xxyyyyz_0[j] - tg_xxxyzz_xxyyyyz_1[j] * fl1_fza) + fl1_fxn * tg_xxxxyzz_xyyyyz_1[j];

                    tg_xxxxxyzz_xxyyyzz_0[j] = pb_x * tg_xxxxyzz_xxyyyzz_0[j] + fr * tg_xxxxyzz_xxyyyzz_1[j] + 2.0 * fl1_fx * (tg_xxxyzz_xxyyyzz_0[j] - tg_xxxyzz_xxyyyzz_1[j] * fl1_fza) + fl1_fxn * tg_xxxxyzz_xyyyzz_1[j];

                    tg_xxxxxyzz_xxyyzzz_0[j] = pb_x * tg_xxxxyzz_xxyyzzz_0[j] + fr * tg_xxxxyzz_xxyyzzz_1[j] + 2.0 * fl1_fx * (tg_xxxyzz_xxyyzzz_0[j] - tg_xxxyzz_xxyyzzz_1[j] * fl1_fza) + fl1_fxn * tg_xxxxyzz_xyyzzz_1[j];

                    tg_xxxxxyzz_xxyzzzz_0[j] = pb_x * tg_xxxxyzz_xxyzzzz_0[j] + fr * tg_xxxxyzz_xxyzzzz_1[j] + 2.0 * fl1_fx * (tg_xxxyzz_xxyzzzz_0[j] - tg_xxxyzz_xxyzzzz_1[j] * fl1_fza) + fl1_fxn * tg_xxxxyzz_xyzzzz_1[j];

                    tg_xxxxxyzz_xxzzzzz_0[j] = pb_x * tg_xxxxyzz_xxzzzzz_0[j] + fr * tg_xxxxyzz_xxzzzzz_1[j] + 2.0 * fl1_fx * (tg_xxxyzz_xxzzzzz_0[j] - tg_xxxyzz_xxzzzzz_1[j] * fl1_fza) + fl1_fxn * tg_xxxxyzz_xzzzzz_1[j];

                    tg_xxxxxyzz_xyyyyyy_0[j] = pb_x * tg_xxxxyzz_xyyyyyy_0[j] + fr * tg_xxxxyzz_xyyyyyy_1[j] + 2.0 * fl1_fx * (tg_xxxyzz_xyyyyyy_0[j] - tg_xxxyzz_xyyyyyy_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xxxxyzz_yyyyyy_1[j];

                    tg_xxxxxyzz_xyyyyyz_0[j] = pb_x * tg_xxxxyzz_xyyyyyz_0[j] + fr * tg_xxxxyzz_xyyyyyz_1[j] + 2.0 * fl1_fx * (tg_xxxyzz_xyyyyyz_0[j] - tg_xxxyzz_xyyyyyz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xxxxyzz_yyyyyz_1[j];

                    tg_xxxxxyzz_xyyyyzz_0[j] = pb_x * tg_xxxxyzz_xyyyyzz_0[j] + fr * tg_xxxxyzz_xyyyyzz_1[j] + 2.0 * fl1_fx * (tg_xxxyzz_xyyyyzz_0[j] - tg_xxxyzz_xyyyyzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xxxxyzz_yyyyzz_1[j];

                    tg_xxxxxyzz_xyyyzzz_0[j] = pb_x * tg_xxxxyzz_xyyyzzz_0[j] + fr * tg_xxxxyzz_xyyyzzz_1[j] + 2.0 * fl1_fx * (tg_xxxyzz_xyyyzzz_0[j] - tg_xxxyzz_xyyyzzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xxxxyzz_yyyzzz_1[j];

                    tg_xxxxxyzz_xyyzzzz_0[j] = pb_x * tg_xxxxyzz_xyyzzzz_0[j] + fr * tg_xxxxyzz_xyyzzzz_1[j] + 2.0 * fl1_fx * (tg_xxxyzz_xyyzzzz_0[j] - tg_xxxyzz_xyyzzzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xxxxyzz_yyzzzz_1[j];

                    tg_xxxxxyzz_xyzzzzz_0[j] = pb_x * tg_xxxxyzz_xyzzzzz_0[j] + fr * tg_xxxxyzz_xyzzzzz_1[j] + 2.0 * fl1_fx * (tg_xxxyzz_xyzzzzz_0[j] - tg_xxxyzz_xyzzzzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xxxxyzz_yzzzzz_1[j];

                    tg_xxxxxyzz_xzzzzzz_0[j] = pb_x * tg_xxxxyzz_xzzzzzz_0[j] + fr * tg_xxxxyzz_xzzzzzz_1[j] + 2.0 * fl1_fx * (tg_xxxyzz_xzzzzzz_0[j] - tg_xxxyzz_xzzzzzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xxxxyzz_zzzzzz_1[j];

                    tg_xxxxxyzz_yyyyyyy_0[j] = pb_x * tg_xxxxyzz_yyyyyyy_0[j] + fr * tg_xxxxyzz_yyyyyyy_1[j] + 2.0 * fl1_fx * (tg_xxxyzz_yyyyyyy_0[j] - tg_xxxyzz_yyyyyyy_1[j] * fl1_fza);

                    tg_xxxxxyzz_yyyyyyz_0[j] = pb_x * tg_xxxxyzz_yyyyyyz_0[j] + fr * tg_xxxxyzz_yyyyyyz_1[j] + 2.0 * fl1_fx * (tg_xxxyzz_yyyyyyz_0[j] - tg_xxxyzz_yyyyyyz_1[j] * fl1_fza);

                    tg_xxxxxyzz_yyyyyzz_0[j] = pb_x * tg_xxxxyzz_yyyyyzz_0[j] + fr * tg_xxxxyzz_yyyyyzz_1[j] + 2.0 * fl1_fx * (tg_xxxyzz_yyyyyzz_0[j] - tg_xxxyzz_yyyyyzz_1[j] * fl1_fza);

                    tg_xxxxxyzz_yyyyzzz_0[j] = pb_x * tg_xxxxyzz_yyyyzzz_0[j] + fr * tg_xxxxyzz_yyyyzzz_1[j] + 2.0 * fl1_fx * (tg_xxxyzz_yyyyzzz_0[j] - tg_xxxyzz_yyyyzzz_1[j] * fl1_fza);

                    tg_xxxxxyzz_yyyzzzz_0[j] = pb_x * tg_xxxxyzz_yyyzzzz_0[j] + fr * tg_xxxxyzz_yyyzzzz_1[j] + 2.0 * fl1_fx * (tg_xxxyzz_yyyzzzz_0[j] - tg_xxxyzz_yyyzzzz_1[j] * fl1_fza);

                    tg_xxxxxyzz_yyzzzzz_0[j] = pb_x * tg_xxxxyzz_yyzzzzz_0[j] + fr * tg_xxxxyzz_yyzzzzz_1[j] + 2.0 * fl1_fx * (tg_xxxyzz_yyzzzzz_0[j] - tg_xxxyzz_yyzzzzz_1[j] * fl1_fza);

                    tg_xxxxxyzz_yzzzzzz_0[j] = pb_x * tg_xxxxyzz_yzzzzzz_0[j] + fr * tg_xxxxyzz_yzzzzzz_1[j] + 2.0 * fl1_fx * (tg_xxxyzz_yzzzzzz_0[j] - tg_xxxyzz_yzzzzzz_1[j] * fl1_fza);

                    tg_xxxxxyzz_zzzzzzz_0[j] = pb_x * tg_xxxxyzz_zzzzzzz_0[j] + fr * tg_xxxxyzz_zzzzzzz_1[j] + 2.0 * fl1_fx * (tg_xxxyzz_zzzzzzz_0[j] - tg_xxxyzz_zzzzzzz_1[j] * fl1_fza);

                    tg_xxxxxzzz_xxxxxxx_0[j] = pb_x * tg_xxxxzzz_xxxxxxx_0[j] + fr * tg_xxxxzzz_xxxxxxx_1[j] + 2.0 * fl1_fx * (tg_xxxzzz_xxxxxxx_0[j] - tg_xxxzzz_xxxxxxx_1[j] * fl1_fza) + 3.5 * fl1_fxn * tg_xxxxzzz_xxxxxx_1[j];

                    tg_xxxxxzzz_xxxxxxy_0[j] = pb_x * tg_xxxxzzz_xxxxxxy_0[j] + fr * tg_xxxxzzz_xxxxxxy_1[j] + 2.0 * fl1_fx * (tg_xxxzzz_xxxxxxy_0[j] - tg_xxxzzz_xxxxxxy_1[j] * fl1_fza) + 3.0 * fl1_fxn * tg_xxxxzzz_xxxxxy_1[j];

                    tg_xxxxxzzz_xxxxxxz_0[j] = pb_x * tg_xxxxzzz_xxxxxxz_0[j] + fr * tg_xxxxzzz_xxxxxxz_1[j] + 2.0 * fl1_fx * (tg_xxxzzz_xxxxxxz_0[j] - tg_xxxzzz_xxxxxxz_1[j] * fl1_fza) + 3.0 * fl1_fxn * tg_xxxxzzz_xxxxxz_1[j];

                    tg_xxxxxzzz_xxxxxyy_0[j] = pb_x * tg_xxxxzzz_xxxxxyy_0[j] + fr * tg_xxxxzzz_xxxxxyy_1[j] + 2.0 * fl1_fx * (tg_xxxzzz_xxxxxyy_0[j] - tg_xxxzzz_xxxxxyy_1[j] * fl1_fza) + 2.5 * fl1_fxn * tg_xxxxzzz_xxxxyy_1[j];

                    tg_xxxxxzzz_xxxxxyz_0[j] = pb_x * tg_xxxxzzz_xxxxxyz_0[j] + fr * tg_xxxxzzz_xxxxxyz_1[j] + 2.0 * fl1_fx * (tg_xxxzzz_xxxxxyz_0[j] - tg_xxxzzz_xxxxxyz_1[j] * fl1_fza) + 2.5 * fl1_fxn * tg_xxxxzzz_xxxxyz_1[j];

                    tg_xxxxxzzz_xxxxxzz_0[j] = pb_x * tg_xxxxzzz_xxxxxzz_0[j] + fr * tg_xxxxzzz_xxxxxzz_1[j] + 2.0 * fl1_fx * (tg_xxxzzz_xxxxxzz_0[j] - tg_xxxzzz_xxxxxzz_1[j] * fl1_fza) + 2.5 * fl1_fxn * tg_xxxxzzz_xxxxzz_1[j];

                    tg_xxxxxzzz_xxxxyyy_0[j] = pb_x * tg_xxxxzzz_xxxxyyy_0[j] + fr * tg_xxxxzzz_xxxxyyy_1[j] + 2.0 * fl1_fx * (tg_xxxzzz_xxxxyyy_0[j] - tg_xxxzzz_xxxxyyy_1[j] * fl1_fza) + 2.0 * fl1_fxn * tg_xxxxzzz_xxxyyy_1[j];

                    tg_xxxxxzzz_xxxxyyz_0[j] = pb_x * tg_xxxxzzz_xxxxyyz_0[j] + fr * tg_xxxxzzz_xxxxyyz_1[j] + 2.0 * fl1_fx * (tg_xxxzzz_xxxxyyz_0[j] - tg_xxxzzz_xxxxyyz_1[j] * fl1_fza) + 2.0 * fl1_fxn * tg_xxxxzzz_xxxyyz_1[j];

                    tg_xxxxxzzz_xxxxyzz_0[j] = pb_x * tg_xxxxzzz_xxxxyzz_0[j] + fr * tg_xxxxzzz_xxxxyzz_1[j] + 2.0 * fl1_fx * (tg_xxxzzz_xxxxyzz_0[j] - tg_xxxzzz_xxxxyzz_1[j] * fl1_fza) + 2.0 * fl1_fxn * tg_xxxxzzz_xxxyzz_1[j];

                    tg_xxxxxzzz_xxxxzzz_0[j] = pb_x * tg_xxxxzzz_xxxxzzz_0[j] + fr * tg_xxxxzzz_xxxxzzz_1[j] + 2.0 * fl1_fx * (tg_xxxzzz_xxxxzzz_0[j] - tg_xxxzzz_xxxxzzz_1[j] * fl1_fza) + 2.0 * fl1_fxn * tg_xxxxzzz_xxxzzz_1[j];

                    tg_xxxxxzzz_xxxyyyy_0[j] = pb_x * tg_xxxxzzz_xxxyyyy_0[j] + fr * tg_xxxxzzz_xxxyyyy_1[j] + 2.0 * fl1_fx * (tg_xxxzzz_xxxyyyy_0[j] - tg_xxxzzz_xxxyyyy_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_xxxxzzz_xxyyyy_1[j];

                    tg_xxxxxzzz_xxxyyyz_0[j] = pb_x * tg_xxxxzzz_xxxyyyz_0[j] + fr * tg_xxxxzzz_xxxyyyz_1[j] + 2.0 * fl1_fx * (tg_xxxzzz_xxxyyyz_0[j] - tg_xxxzzz_xxxyyyz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_xxxxzzz_xxyyyz_1[j];

                    tg_xxxxxzzz_xxxyyzz_0[j] = pb_x * tg_xxxxzzz_xxxyyzz_0[j] + fr * tg_xxxxzzz_xxxyyzz_1[j] + 2.0 * fl1_fx * (tg_xxxzzz_xxxyyzz_0[j] - tg_xxxzzz_xxxyyzz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_xxxxzzz_xxyyzz_1[j];

                    tg_xxxxxzzz_xxxyzzz_0[j] = pb_x * tg_xxxxzzz_xxxyzzz_0[j] + fr * tg_xxxxzzz_xxxyzzz_1[j] + 2.0 * fl1_fx * (tg_xxxzzz_xxxyzzz_0[j] - tg_xxxzzz_xxxyzzz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_xxxxzzz_xxyzzz_1[j];

                    tg_xxxxxzzz_xxxzzzz_0[j] = pb_x * tg_xxxxzzz_xxxzzzz_0[j] + fr * tg_xxxxzzz_xxxzzzz_1[j] + 2.0 * fl1_fx * (tg_xxxzzz_xxxzzzz_0[j] - tg_xxxzzz_xxxzzzz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_xxxxzzz_xxzzzz_1[j];

                    tg_xxxxxzzz_xxyyyyy_0[j] = pb_x * tg_xxxxzzz_xxyyyyy_0[j] + fr * tg_xxxxzzz_xxyyyyy_1[j] + 2.0 * fl1_fx * (tg_xxxzzz_xxyyyyy_0[j] - tg_xxxzzz_xxyyyyy_1[j] * fl1_fza) + fl1_fxn * tg_xxxxzzz_xyyyyy_1[j];

                    tg_xxxxxzzz_xxyyyyz_0[j] = pb_x * tg_xxxxzzz_xxyyyyz_0[j] + fr * tg_xxxxzzz_xxyyyyz_1[j] + 2.0 * fl1_fx * (tg_xxxzzz_xxyyyyz_0[j] - tg_xxxzzz_xxyyyyz_1[j] * fl1_fza) + fl1_fxn * tg_xxxxzzz_xyyyyz_1[j];

                    tg_xxxxxzzz_xxyyyzz_0[j] = pb_x * tg_xxxxzzz_xxyyyzz_0[j] + fr * tg_xxxxzzz_xxyyyzz_1[j] + 2.0 * fl1_fx * (tg_xxxzzz_xxyyyzz_0[j] - tg_xxxzzz_xxyyyzz_1[j] * fl1_fza) + fl1_fxn * tg_xxxxzzz_xyyyzz_1[j];

                    tg_xxxxxzzz_xxyyzzz_0[j] = pb_x * tg_xxxxzzz_xxyyzzz_0[j] + fr * tg_xxxxzzz_xxyyzzz_1[j] + 2.0 * fl1_fx * (tg_xxxzzz_xxyyzzz_0[j] - tg_xxxzzz_xxyyzzz_1[j] * fl1_fza) + fl1_fxn * tg_xxxxzzz_xyyzzz_1[j];

                    tg_xxxxxzzz_xxyzzzz_0[j] = pb_x * tg_xxxxzzz_xxyzzzz_0[j] + fr * tg_xxxxzzz_xxyzzzz_1[j] + 2.0 * fl1_fx * (tg_xxxzzz_xxyzzzz_0[j] - tg_xxxzzz_xxyzzzz_1[j] * fl1_fza) + fl1_fxn * tg_xxxxzzz_xyzzzz_1[j];

                    tg_xxxxxzzz_xxzzzzz_0[j] = pb_x * tg_xxxxzzz_xxzzzzz_0[j] + fr * tg_xxxxzzz_xxzzzzz_1[j] + 2.0 * fl1_fx * (tg_xxxzzz_xxzzzzz_0[j] - tg_xxxzzz_xxzzzzz_1[j] * fl1_fza) + fl1_fxn * tg_xxxxzzz_xzzzzz_1[j];

                    tg_xxxxxzzz_xyyyyyy_0[j] = pb_x * tg_xxxxzzz_xyyyyyy_0[j] + fr * tg_xxxxzzz_xyyyyyy_1[j] + 2.0 * fl1_fx * (tg_xxxzzz_xyyyyyy_0[j] - tg_xxxzzz_xyyyyyy_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xxxxzzz_yyyyyy_1[j];

                    tg_xxxxxzzz_xyyyyyz_0[j] = pb_x * tg_xxxxzzz_xyyyyyz_0[j] + fr * tg_xxxxzzz_xyyyyyz_1[j] + 2.0 * fl1_fx * (tg_xxxzzz_xyyyyyz_0[j] - tg_xxxzzz_xyyyyyz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xxxxzzz_yyyyyz_1[j];

                    tg_xxxxxzzz_xyyyyzz_0[j] = pb_x * tg_xxxxzzz_xyyyyzz_0[j] + fr * tg_xxxxzzz_xyyyyzz_1[j] + 2.0 * fl1_fx * (tg_xxxzzz_xyyyyzz_0[j] - tg_xxxzzz_xyyyyzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xxxxzzz_yyyyzz_1[j];

                    tg_xxxxxzzz_xyyyzzz_0[j] = pb_x * tg_xxxxzzz_xyyyzzz_0[j] + fr * tg_xxxxzzz_xyyyzzz_1[j] + 2.0 * fl1_fx * (tg_xxxzzz_xyyyzzz_0[j] - tg_xxxzzz_xyyyzzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xxxxzzz_yyyzzz_1[j];

                    tg_xxxxxzzz_xyyzzzz_0[j] = pb_x * tg_xxxxzzz_xyyzzzz_0[j] + fr * tg_xxxxzzz_xyyzzzz_1[j] + 2.0 * fl1_fx * (tg_xxxzzz_xyyzzzz_0[j] - tg_xxxzzz_xyyzzzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xxxxzzz_yyzzzz_1[j];

                    tg_xxxxxzzz_xyzzzzz_0[j] = pb_x * tg_xxxxzzz_xyzzzzz_0[j] + fr * tg_xxxxzzz_xyzzzzz_1[j] + 2.0 * fl1_fx * (tg_xxxzzz_xyzzzzz_0[j] - tg_xxxzzz_xyzzzzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xxxxzzz_yzzzzz_1[j];

                    tg_xxxxxzzz_xzzzzzz_0[j] = pb_x * tg_xxxxzzz_xzzzzzz_0[j] + fr * tg_xxxxzzz_xzzzzzz_1[j] + 2.0 * fl1_fx * (tg_xxxzzz_xzzzzzz_0[j] - tg_xxxzzz_xzzzzzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xxxxzzz_zzzzzz_1[j];

                    tg_xxxxxzzz_yyyyyyy_0[j] = pb_x * tg_xxxxzzz_yyyyyyy_0[j] + fr * tg_xxxxzzz_yyyyyyy_1[j] + 2.0 * fl1_fx * (tg_xxxzzz_yyyyyyy_0[j] - tg_xxxzzz_yyyyyyy_1[j] * fl1_fza);

                    tg_xxxxxzzz_yyyyyyz_0[j] = pb_x * tg_xxxxzzz_yyyyyyz_0[j] + fr * tg_xxxxzzz_yyyyyyz_1[j] + 2.0 * fl1_fx * (tg_xxxzzz_yyyyyyz_0[j] - tg_xxxzzz_yyyyyyz_1[j] * fl1_fza);

                    tg_xxxxxzzz_yyyyyzz_0[j] = pb_x * tg_xxxxzzz_yyyyyzz_0[j] + fr * tg_xxxxzzz_yyyyyzz_1[j] + 2.0 * fl1_fx * (tg_xxxzzz_yyyyyzz_0[j] - tg_xxxzzz_yyyyyzz_1[j] * fl1_fza);

                    tg_xxxxxzzz_yyyyzzz_0[j] = pb_x * tg_xxxxzzz_yyyyzzz_0[j] + fr * tg_xxxxzzz_yyyyzzz_1[j] + 2.0 * fl1_fx * (tg_xxxzzz_yyyyzzz_0[j] - tg_xxxzzz_yyyyzzz_1[j] * fl1_fza);

                    tg_xxxxxzzz_yyyzzzz_0[j] = pb_x * tg_xxxxzzz_yyyzzzz_0[j] + fr * tg_xxxxzzz_yyyzzzz_1[j] + 2.0 * fl1_fx * (tg_xxxzzz_yyyzzzz_0[j] - tg_xxxzzz_yyyzzzz_1[j] * fl1_fza);

                    tg_xxxxxzzz_yyzzzzz_0[j] = pb_x * tg_xxxxzzz_yyzzzzz_0[j] + fr * tg_xxxxzzz_yyzzzzz_1[j] + 2.0 * fl1_fx * (tg_xxxzzz_yyzzzzz_0[j] - tg_xxxzzz_yyzzzzz_1[j] * fl1_fza);

                    tg_xxxxxzzz_yzzzzzz_0[j] = pb_x * tg_xxxxzzz_yzzzzzz_0[j] + fr * tg_xxxxzzz_yzzzzzz_1[j] + 2.0 * fl1_fx * (tg_xxxzzz_yzzzzzz_0[j] - tg_xxxzzz_yzzzzzz_1[j] * fl1_fza);

                    tg_xxxxxzzz_zzzzzzz_0[j] = pb_x * tg_xxxxzzz_zzzzzzz_0[j] + fr * tg_xxxxzzz_zzzzzzz_1[j] + 2.0 * fl1_fx * (tg_xxxzzz_zzzzzzz_0[j] - tg_xxxzzz_zzzzzzz_1[j] * fl1_fza);

                    tg_xxxxyyyy_xxxxxxx_0[j] = pb_x * tg_xxxyyyy_xxxxxxx_0[j] + fr * tg_xxxyyyy_xxxxxxx_1[j] + 1.5 * fl1_fx * (tg_xxyyyy_xxxxxxx_0[j] - tg_xxyyyy_xxxxxxx_1[j] * fl1_fza) + 3.5 * fl1_fxn * tg_xxxyyyy_xxxxxx_1[j];

                    tg_xxxxyyyy_xxxxxxy_0[j] = pb_x * tg_xxxyyyy_xxxxxxy_0[j] + fr * tg_xxxyyyy_xxxxxxy_1[j] + 1.5 * fl1_fx * (tg_xxyyyy_xxxxxxy_0[j] - tg_xxyyyy_xxxxxxy_1[j] * fl1_fza) + 3.0 * fl1_fxn * tg_xxxyyyy_xxxxxy_1[j];

                    tg_xxxxyyyy_xxxxxxz_0[j] = pb_x * tg_xxxyyyy_xxxxxxz_0[j] + fr * tg_xxxyyyy_xxxxxxz_1[j] + 1.5 * fl1_fx * (tg_xxyyyy_xxxxxxz_0[j] - tg_xxyyyy_xxxxxxz_1[j] * fl1_fza) + 3.0 * fl1_fxn * tg_xxxyyyy_xxxxxz_1[j];

                    tg_xxxxyyyy_xxxxxyy_0[j] = pb_x * tg_xxxyyyy_xxxxxyy_0[j] + fr * tg_xxxyyyy_xxxxxyy_1[j] + 1.5 * fl1_fx * (tg_xxyyyy_xxxxxyy_0[j] - tg_xxyyyy_xxxxxyy_1[j] * fl1_fza) + 2.5 * fl1_fxn * tg_xxxyyyy_xxxxyy_1[j];

                    tg_xxxxyyyy_xxxxxyz_0[j] = pb_x * tg_xxxyyyy_xxxxxyz_0[j] + fr * tg_xxxyyyy_xxxxxyz_1[j] + 1.5 * fl1_fx * (tg_xxyyyy_xxxxxyz_0[j] - tg_xxyyyy_xxxxxyz_1[j] * fl1_fza) + 2.5 * fl1_fxn * tg_xxxyyyy_xxxxyz_1[j];

                    tg_xxxxyyyy_xxxxxzz_0[j] = pb_x * tg_xxxyyyy_xxxxxzz_0[j] + fr * tg_xxxyyyy_xxxxxzz_1[j] + 1.5 * fl1_fx * (tg_xxyyyy_xxxxxzz_0[j] - tg_xxyyyy_xxxxxzz_1[j] * fl1_fza) + 2.5 * fl1_fxn * tg_xxxyyyy_xxxxzz_1[j];

                    tg_xxxxyyyy_xxxxyyy_0[j] = pb_x * tg_xxxyyyy_xxxxyyy_0[j] + fr * tg_xxxyyyy_xxxxyyy_1[j] + 1.5 * fl1_fx * (tg_xxyyyy_xxxxyyy_0[j] - tg_xxyyyy_xxxxyyy_1[j] * fl1_fza) + 2.0 * fl1_fxn * tg_xxxyyyy_xxxyyy_1[j];

                    tg_xxxxyyyy_xxxxyyz_0[j] = pb_x * tg_xxxyyyy_xxxxyyz_0[j] + fr * tg_xxxyyyy_xxxxyyz_1[j] + 1.5 * fl1_fx * (tg_xxyyyy_xxxxyyz_0[j] - tg_xxyyyy_xxxxyyz_1[j] * fl1_fza) + 2.0 * fl1_fxn * tg_xxxyyyy_xxxyyz_1[j];

                    tg_xxxxyyyy_xxxxyzz_0[j] = pb_x * tg_xxxyyyy_xxxxyzz_0[j] + fr * tg_xxxyyyy_xxxxyzz_1[j] + 1.5 * fl1_fx * (tg_xxyyyy_xxxxyzz_0[j] - tg_xxyyyy_xxxxyzz_1[j] * fl1_fza) + 2.0 * fl1_fxn * tg_xxxyyyy_xxxyzz_1[j];

                    tg_xxxxyyyy_xxxxzzz_0[j] = pb_x * tg_xxxyyyy_xxxxzzz_0[j] + fr * tg_xxxyyyy_xxxxzzz_1[j] + 1.5 * fl1_fx * (tg_xxyyyy_xxxxzzz_0[j] - tg_xxyyyy_xxxxzzz_1[j] * fl1_fza) + 2.0 * fl1_fxn * tg_xxxyyyy_xxxzzz_1[j];

                    tg_xxxxyyyy_xxxyyyy_0[j] = pb_x * tg_xxxyyyy_xxxyyyy_0[j] + fr * tg_xxxyyyy_xxxyyyy_1[j] + 1.5 * fl1_fx * (tg_xxyyyy_xxxyyyy_0[j] - tg_xxyyyy_xxxyyyy_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_xxxyyyy_xxyyyy_1[j];

                    tg_xxxxyyyy_xxxyyyz_0[j] = pb_x * tg_xxxyyyy_xxxyyyz_0[j] + fr * tg_xxxyyyy_xxxyyyz_1[j] + 1.5 * fl1_fx * (tg_xxyyyy_xxxyyyz_0[j] - tg_xxyyyy_xxxyyyz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_xxxyyyy_xxyyyz_1[j];

                    tg_xxxxyyyy_xxxyyzz_0[j] = pb_x * tg_xxxyyyy_xxxyyzz_0[j] + fr * tg_xxxyyyy_xxxyyzz_1[j] + 1.5 * fl1_fx * (tg_xxyyyy_xxxyyzz_0[j] - tg_xxyyyy_xxxyyzz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_xxxyyyy_xxyyzz_1[j];

                    tg_xxxxyyyy_xxxyzzz_0[j] = pb_x * tg_xxxyyyy_xxxyzzz_0[j] + fr * tg_xxxyyyy_xxxyzzz_1[j] + 1.5 * fl1_fx * (tg_xxyyyy_xxxyzzz_0[j] - tg_xxyyyy_xxxyzzz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_xxxyyyy_xxyzzz_1[j];

                    tg_xxxxyyyy_xxxzzzz_0[j] = pb_x * tg_xxxyyyy_xxxzzzz_0[j] + fr * tg_xxxyyyy_xxxzzzz_1[j] + 1.5 * fl1_fx * (tg_xxyyyy_xxxzzzz_0[j] - tg_xxyyyy_xxxzzzz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_xxxyyyy_xxzzzz_1[j];

                    tg_xxxxyyyy_xxyyyyy_0[j] = pb_x * tg_xxxyyyy_xxyyyyy_0[j] + fr * tg_xxxyyyy_xxyyyyy_1[j] + 1.5 * fl1_fx * (tg_xxyyyy_xxyyyyy_0[j] - tg_xxyyyy_xxyyyyy_1[j] * fl1_fza) + fl1_fxn * tg_xxxyyyy_xyyyyy_1[j];

                    tg_xxxxyyyy_xxyyyyz_0[j] = pb_x * tg_xxxyyyy_xxyyyyz_0[j] + fr * tg_xxxyyyy_xxyyyyz_1[j] + 1.5 * fl1_fx * (tg_xxyyyy_xxyyyyz_0[j] - tg_xxyyyy_xxyyyyz_1[j] * fl1_fza) + fl1_fxn * tg_xxxyyyy_xyyyyz_1[j];

                    tg_xxxxyyyy_xxyyyzz_0[j] = pb_x * tg_xxxyyyy_xxyyyzz_0[j] + fr * tg_xxxyyyy_xxyyyzz_1[j] + 1.5 * fl1_fx * (tg_xxyyyy_xxyyyzz_0[j] - tg_xxyyyy_xxyyyzz_1[j] * fl1_fza) + fl1_fxn * tg_xxxyyyy_xyyyzz_1[j];

                    tg_xxxxyyyy_xxyyzzz_0[j] = pb_x * tg_xxxyyyy_xxyyzzz_0[j] + fr * tg_xxxyyyy_xxyyzzz_1[j] + 1.5 * fl1_fx * (tg_xxyyyy_xxyyzzz_0[j] - tg_xxyyyy_xxyyzzz_1[j] * fl1_fza) + fl1_fxn * tg_xxxyyyy_xyyzzz_1[j];

                    tg_xxxxyyyy_xxyzzzz_0[j] = pb_x * tg_xxxyyyy_xxyzzzz_0[j] + fr * tg_xxxyyyy_xxyzzzz_1[j] + 1.5 * fl1_fx * (tg_xxyyyy_xxyzzzz_0[j] - tg_xxyyyy_xxyzzzz_1[j] * fl1_fza) + fl1_fxn * tg_xxxyyyy_xyzzzz_1[j];

                    tg_xxxxyyyy_xxzzzzz_0[j] = pb_x * tg_xxxyyyy_xxzzzzz_0[j] + fr * tg_xxxyyyy_xxzzzzz_1[j] + 1.5 * fl1_fx * (tg_xxyyyy_xxzzzzz_0[j] - tg_xxyyyy_xxzzzzz_1[j] * fl1_fza) + fl1_fxn * tg_xxxyyyy_xzzzzz_1[j];

                    tg_xxxxyyyy_xyyyyyy_0[j] = pb_x * tg_xxxyyyy_xyyyyyy_0[j] + fr * tg_xxxyyyy_xyyyyyy_1[j] + 1.5 * fl1_fx * (tg_xxyyyy_xyyyyyy_0[j] - tg_xxyyyy_xyyyyyy_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xxxyyyy_yyyyyy_1[j];

                    tg_xxxxyyyy_xyyyyyz_0[j] = pb_x * tg_xxxyyyy_xyyyyyz_0[j] + fr * tg_xxxyyyy_xyyyyyz_1[j] + 1.5 * fl1_fx * (tg_xxyyyy_xyyyyyz_0[j] - tg_xxyyyy_xyyyyyz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xxxyyyy_yyyyyz_1[j];

                    tg_xxxxyyyy_xyyyyzz_0[j] = pb_x * tg_xxxyyyy_xyyyyzz_0[j] + fr * tg_xxxyyyy_xyyyyzz_1[j] + 1.5 * fl1_fx * (tg_xxyyyy_xyyyyzz_0[j] - tg_xxyyyy_xyyyyzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xxxyyyy_yyyyzz_1[j];
                }

                idx++;
            }
        }
    }

    void
    compElectronRepulsionForSLSK_384_480(      CMemBlock2D<double>* primBuffer,
                                         const CRecursionMap&       recursionMap,
                                         const CMemBlock2D<double>& osFactors,
                                         const CMemBlock2D<double>& wpDistances,
                                         const CGtoPairsBlock&      braGtoPairsBlock,
                                         const CGtoPairsBlock&      ketGtoPairsBlock,
                                         const int32_t              nKetPrimPairs,
                                         const int32_t              iContrPair)
    {
        // Batch of Integrals (384,480)

        // set up pointers to primitives data on bra side

        auto spos = braGtoPairsBlock.getStartPositions();

        auto epos = braGtoPairsBlock.getEndPositions();

        // set up pointers to tensor of distance R(PB) = P - B

        auto r_pb_x = braGtoPairsBlock.getDistancesPBX();

        // set up pointers to common Obara-Saika factors

        auto b_fx = braGtoPairsBlock.getFactorsOneOverXi();

        // set up maximum order of integral

        auto mord = recursionMap.getMaxOrder({"Electron Repulsion"},
                                             {8, -1, -1, -1},
                                             {7, -1, -1, -1},
                                             1, 1);

        for (int32_t iord = 0; iord <= mord; iord++)
        {
            // set up index of integral

            auto pidx_g_8_7_m0 = recursionMap.index(CRecursionTerm({"Electron Repulsion"}, 0, true, 
                                                                   {8, -1, -1, -1}, {7, -1, -1, -1}, 
                                                                   1, 1, iord));

            // check if integral is needed in recursion expansion

            if (pidx_g_8_7_m0 == -1) continue;

            // set up indexes of auxilary integral

            auto pidx_g_7_7_m0 = recursionMap.index(CRecursionTerm({"Electron Repulsion"}, 0, true, 
                                                                   {7, -1, -1, -1}, {7, -1, -1, -1}, 
                                                                   1, 1, iord));

            auto pidx_g_7_7_m1 = recursionMap.index(CRecursionTerm({"Electron Repulsion"}, 0, true, 
                                                                   {7, -1, -1, -1}, {7, -1, -1, -1}, 
                                                                   1, 1, iord + 1));

            auto pidx_g_6_7_m0 = recursionMap.index(CRecursionTerm({"Electron Repulsion"}, 0, true, 
                                                                   {6, -1, -1, -1}, {7, -1, -1, -1}, 
                                                                   1, 1, iord));

            auto pidx_g_6_7_m1 = recursionMap.index(CRecursionTerm({"Electron Repulsion"}, 0, true, 
                                                                   {6, -1, -1, -1}, {7, -1, -1, -1}, 
                                                                   1, 1, iord + 1));

            auto pidx_g_7_6_m1 = recursionMap.index(CRecursionTerm({"Electron Repulsion"}, 0, true, 
                                                                   {7, -1, -1, -1}, {6, -1, -1, -1}, 
                                                                   1, 1, iord + 1));

            // loop over contracted GTO on bra side

            int32_t idx = 0;

            for (int32_t i = spos[iContrPair]; i < epos[iContrPair]; i++)
            {
                // set up pointers to Obara-Saika factors

                double fx = b_fx[i];

                auto fza = osFactors.data(4 * idx + 2);

                auto fxn = osFactors.data(4 * idx);

                // set up distances R(PB) = P - B

                auto pb_x = r_pb_x[i];

                // set up pointers to tensors product of distances R(WP) = W - P

                auto wp_x = wpDistances.data(3 * idx);

                // set up pointers to auxilary integrals

                auto tg_xxxyyyy_xyyyzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 384); 

                auto tg_xxxyyyy_xyyzzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 385); 

                auto tg_xxxyyyy_xyzzzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 386); 

                auto tg_xxxyyyy_xzzzzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 387); 

                auto tg_xxxyyyy_yyyyyyy_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 388); 

                auto tg_xxxyyyy_yyyyyyz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 389); 

                auto tg_xxxyyyy_yyyyyzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 390); 

                auto tg_xxxyyyy_yyyyzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 391); 

                auto tg_xxxyyyy_yyyzzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 392); 

                auto tg_xxxyyyy_yyzzzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 393); 

                auto tg_xxxyyyy_yzzzzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 394); 

                auto tg_xxxyyyy_zzzzzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 395); 

                auto tg_xxxyyyz_xxxxxxx_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 396); 

                auto tg_xxxyyyz_xxxxxxy_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 397); 

                auto tg_xxxyyyz_xxxxxxz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 398); 

                auto tg_xxxyyyz_xxxxxyy_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 399); 

                auto tg_xxxyyyz_xxxxxyz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 400); 

                auto tg_xxxyyyz_xxxxxzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 401); 

                auto tg_xxxyyyz_xxxxyyy_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 402); 

                auto tg_xxxyyyz_xxxxyyz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 403); 

                auto tg_xxxyyyz_xxxxyzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 404); 

                auto tg_xxxyyyz_xxxxzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 405); 

                auto tg_xxxyyyz_xxxyyyy_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 406); 

                auto tg_xxxyyyz_xxxyyyz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 407); 

                auto tg_xxxyyyz_xxxyyzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 408); 

                auto tg_xxxyyyz_xxxyzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 409); 

                auto tg_xxxyyyz_xxxzzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 410); 

                auto tg_xxxyyyz_xxyyyyy_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 411); 

                auto tg_xxxyyyz_xxyyyyz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 412); 

                auto tg_xxxyyyz_xxyyyzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 413); 

                auto tg_xxxyyyz_xxyyzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 414); 

                auto tg_xxxyyyz_xxyzzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 415); 

                auto tg_xxxyyyz_xxzzzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 416); 

                auto tg_xxxyyyz_xyyyyyy_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 417); 

                auto tg_xxxyyyz_xyyyyyz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 418); 

                auto tg_xxxyyyz_xyyyyzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 419); 

                auto tg_xxxyyyz_xyyyzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 420); 

                auto tg_xxxyyyz_xyyzzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 421); 

                auto tg_xxxyyyz_xyzzzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 422); 

                auto tg_xxxyyyz_xzzzzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 423); 

                auto tg_xxxyyyz_yyyyyyy_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 424); 

                auto tg_xxxyyyz_yyyyyyz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 425); 

                auto tg_xxxyyyz_yyyyyzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 426); 

                auto tg_xxxyyyz_yyyyzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 427); 

                auto tg_xxxyyyz_yyyzzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 428); 

                auto tg_xxxyyyz_yyzzzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 429); 

                auto tg_xxxyyyz_yzzzzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 430); 

                auto tg_xxxyyyz_zzzzzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 431); 

                auto tg_xxxyyzz_xxxxxxx_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 432); 

                auto tg_xxxyyzz_xxxxxxy_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 433); 

                auto tg_xxxyyzz_xxxxxxz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 434); 

                auto tg_xxxyyzz_xxxxxyy_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 435); 

                auto tg_xxxyyzz_xxxxxyz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 436); 

                auto tg_xxxyyzz_xxxxxzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 437); 

                auto tg_xxxyyzz_xxxxyyy_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 438); 

                auto tg_xxxyyzz_xxxxyyz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 439); 

                auto tg_xxxyyzz_xxxxyzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 440); 

                auto tg_xxxyyzz_xxxxzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 441); 

                auto tg_xxxyyzz_xxxyyyy_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 442); 

                auto tg_xxxyyzz_xxxyyyz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 443); 

                auto tg_xxxyyzz_xxxyyzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 444); 

                auto tg_xxxyyzz_xxxyzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 445); 

                auto tg_xxxyyzz_xxxzzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 446); 

                auto tg_xxxyyzz_xxyyyyy_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 447); 

                auto tg_xxxyyzz_xxyyyyz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 448); 

                auto tg_xxxyyzz_xxyyyzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 449); 

                auto tg_xxxyyzz_xxyyzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 450); 

                auto tg_xxxyyzz_xxyzzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 451); 

                auto tg_xxxyyzz_xxzzzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 452); 

                auto tg_xxxyyzz_xyyyyyy_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 453); 

                auto tg_xxxyyzz_xyyyyyz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 454); 

                auto tg_xxxyyzz_xyyyyzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 455); 

                auto tg_xxxyyzz_xyyyzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 456); 

                auto tg_xxxyyzz_xyyzzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 457); 

                auto tg_xxxyyzz_xyzzzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 458); 

                auto tg_xxxyyzz_xzzzzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 459); 

                auto tg_xxxyyzz_yyyyyyy_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 460); 

                auto tg_xxxyyzz_yyyyyyz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 461); 

                auto tg_xxxyyzz_yyyyyzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 462); 

                auto tg_xxxyyzz_yyyyzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 463); 

                auto tg_xxxyyzz_yyyzzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 464); 

                auto tg_xxxyyzz_yyzzzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 465); 

                auto tg_xxxyyzz_yzzzzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 466); 

                auto tg_xxxyyzz_zzzzzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 467); 

                auto tg_xxxyzzz_xxxxxxx_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 468); 

                auto tg_xxxyzzz_xxxxxxy_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 469); 

                auto tg_xxxyzzz_xxxxxxz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 470); 

                auto tg_xxxyzzz_xxxxxyy_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 471); 

                auto tg_xxxyzzz_xxxxxyz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 472); 

                auto tg_xxxyzzz_xxxxxzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 473); 

                auto tg_xxxyzzz_xxxxyyy_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 474); 

                auto tg_xxxyzzz_xxxxyyz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 475); 

                auto tg_xxxyzzz_xxxxyzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 476); 

                auto tg_xxxyzzz_xxxxzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 477); 

                auto tg_xxxyzzz_xxxyyyy_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 478); 

                auto tg_xxxyzzz_xxxyyyz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 479); 

                auto tg_xxxyyyy_xyyyzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 384); 

                auto tg_xxxyyyy_xyyzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 385); 

                auto tg_xxxyyyy_xyzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 386); 

                auto tg_xxxyyyy_xzzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 387); 

                auto tg_xxxyyyy_yyyyyyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 388); 

                auto tg_xxxyyyy_yyyyyyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 389); 

                auto tg_xxxyyyy_yyyyyzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 390); 

                auto tg_xxxyyyy_yyyyzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 391); 

                auto tg_xxxyyyy_yyyzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 392); 

                auto tg_xxxyyyy_yyzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 393); 

                auto tg_xxxyyyy_yzzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 394); 

                auto tg_xxxyyyy_zzzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 395); 

                auto tg_xxxyyyz_xxxxxxx_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 396); 

                auto tg_xxxyyyz_xxxxxxy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 397); 

                auto tg_xxxyyyz_xxxxxxz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 398); 

                auto tg_xxxyyyz_xxxxxyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 399); 

                auto tg_xxxyyyz_xxxxxyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 400); 

                auto tg_xxxyyyz_xxxxxzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 401); 

                auto tg_xxxyyyz_xxxxyyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 402); 

                auto tg_xxxyyyz_xxxxyyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 403); 

                auto tg_xxxyyyz_xxxxyzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 404); 

                auto tg_xxxyyyz_xxxxzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 405); 

                auto tg_xxxyyyz_xxxyyyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 406); 

                auto tg_xxxyyyz_xxxyyyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 407); 

                auto tg_xxxyyyz_xxxyyzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 408); 

                auto tg_xxxyyyz_xxxyzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 409); 

                auto tg_xxxyyyz_xxxzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 410); 

                auto tg_xxxyyyz_xxyyyyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 411); 

                auto tg_xxxyyyz_xxyyyyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 412); 

                auto tg_xxxyyyz_xxyyyzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 413); 

                auto tg_xxxyyyz_xxyyzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 414); 

                auto tg_xxxyyyz_xxyzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 415); 

                auto tg_xxxyyyz_xxzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 416); 

                auto tg_xxxyyyz_xyyyyyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 417); 

                auto tg_xxxyyyz_xyyyyyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 418); 

                auto tg_xxxyyyz_xyyyyzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 419); 

                auto tg_xxxyyyz_xyyyzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 420); 

                auto tg_xxxyyyz_xyyzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 421); 

                auto tg_xxxyyyz_xyzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 422); 

                auto tg_xxxyyyz_xzzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 423); 

                auto tg_xxxyyyz_yyyyyyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 424); 

                auto tg_xxxyyyz_yyyyyyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 425); 

                auto tg_xxxyyyz_yyyyyzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 426); 

                auto tg_xxxyyyz_yyyyzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 427); 

                auto tg_xxxyyyz_yyyzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 428); 

                auto tg_xxxyyyz_yyzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 429); 

                auto tg_xxxyyyz_yzzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 430); 

                auto tg_xxxyyyz_zzzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 431); 

                auto tg_xxxyyzz_xxxxxxx_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 432); 

                auto tg_xxxyyzz_xxxxxxy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 433); 

                auto tg_xxxyyzz_xxxxxxz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 434); 

                auto tg_xxxyyzz_xxxxxyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 435); 

                auto tg_xxxyyzz_xxxxxyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 436); 

                auto tg_xxxyyzz_xxxxxzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 437); 

                auto tg_xxxyyzz_xxxxyyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 438); 

                auto tg_xxxyyzz_xxxxyyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 439); 

                auto tg_xxxyyzz_xxxxyzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 440); 

                auto tg_xxxyyzz_xxxxzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 441); 

                auto tg_xxxyyzz_xxxyyyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 442); 

                auto tg_xxxyyzz_xxxyyyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 443); 

                auto tg_xxxyyzz_xxxyyzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 444); 

                auto tg_xxxyyzz_xxxyzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 445); 

                auto tg_xxxyyzz_xxxzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 446); 

                auto tg_xxxyyzz_xxyyyyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 447); 

                auto tg_xxxyyzz_xxyyyyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 448); 

                auto tg_xxxyyzz_xxyyyzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 449); 

                auto tg_xxxyyzz_xxyyzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 450); 

                auto tg_xxxyyzz_xxyzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 451); 

                auto tg_xxxyyzz_xxzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 452); 

                auto tg_xxxyyzz_xyyyyyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 453); 

                auto tg_xxxyyzz_xyyyyyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 454); 

                auto tg_xxxyyzz_xyyyyzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 455); 

                auto tg_xxxyyzz_xyyyzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 456); 

                auto tg_xxxyyzz_xyyzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 457); 

                auto tg_xxxyyzz_xyzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 458); 

                auto tg_xxxyyzz_xzzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 459); 

                auto tg_xxxyyzz_yyyyyyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 460); 

                auto tg_xxxyyzz_yyyyyyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 461); 

                auto tg_xxxyyzz_yyyyyzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 462); 

                auto tg_xxxyyzz_yyyyzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 463); 

                auto tg_xxxyyzz_yyyzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 464); 

                auto tg_xxxyyzz_yyzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 465); 

                auto tg_xxxyyzz_yzzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 466); 

                auto tg_xxxyyzz_zzzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 467); 

                auto tg_xxxyzzz_xxxxxxx_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 468); 

                auto tg_xxxyzzz_xxxxxxy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 469); 

                auto tg_xxxyzzz_xxxxxxz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 470); 

                auto tg_xxxyzzz_xxxxxyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 471); 

                auto tg_xxxyzzz_xxxxxyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 472); 

                auto tg_xxxyzzz_xxxxxzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 473); 

                auto tg_xxxyzzz_xxxxyyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 474); 

                auto tg_xxxyzzz_xxxxyyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 475); 

                auto tg_xxxyzzz_xxxxyzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 476); 

                auto tg_xxxyzzz_xxxxzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 477); 

                auto tg_xxxyzzz_xxxyyyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 478); 

                auto tg_xxxyzzz_xxxyyyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 479); 

                auto tg_xxyyyy_xyyyzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 384); 

                auto tg_xxyyyy_xyyzzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 385); 

                auto tg_xxyyyy_xyzzzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 386); 

                auto tg_xxyyyy_xzzzzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 387); 

                auto tg_xxyyyy_yyyyyyy_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 388); 

                auto tg_xxyyyy_yyyyyyz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 389); 

                auto tg_xxyyyy_yyyyyzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 390); 

                auto tg_xxyyyy_yyyyzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 391); 

                auto tg_xxyyyy_yyyzzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 392); 

                auto tg_xxyyyy_yyzzzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 393); 

                auto tg_xxyyyy_yzzzzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 394); 

                auto tg_xxyyyy_zzzzzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 395); 

                auto tg_xxyyyz_xxxxxxx_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 396); 

                auto tg_xxyyyz_xxxxxxy_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 397); 

                auto tg_xxyyyz_xxxxxxz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 398); 

                auto tg_xxyyyz_xxxxxyy_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 399); 

                auto tg_xxyyyz_xxxxxyz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 400); 

                auto tg_xxyyyz_xxxxxzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 401); 

                auto tg_xxyyyz_xxxxyyy_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 402); 

                auto tg_xxyyyz_xxxxyyz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 403); 

                auto tg_xxyyyz_xxxxyzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 404); 

                auto tg_xxyyyz_xxxxzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 405); 

                auto tg_xxyyyz_xxxyyyy_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 406); 

                auto tg_xxyyyz_xxxyyyz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 407); 

                auto tg_xxyyyz_xxxyyzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 408); 

                auto tg_xxyyyz_xxxyzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 409); 

                auto tg_xxyyyz_xxxzzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 410); 

                auto tg_xxyyyz_xxyyyyy_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 411); 

                auto tg_xxyyyz_xxyyyyz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 412); 

                auto tg_xxyyyz_xxyyyzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 413); 

                auto tg_xxyyyz_xxyyzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 414); 

                auto tg_xxyyyz_xxyzzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 415); 

                auto tg_xxyyyz_xxzzzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 416); 

                auto tg_xxyyyz_xyyyyyy_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 417); 

                auto tg_xxyyyz_xyyyyyz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 418); 

                auto tg_xxyyyz_xyyyyzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 419); 

                auto tg_xxyyyz_xyyyzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 420); 

                auto tg_xxyyyz_xyyzzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 421); 

                auto tg_xxyyyz_xyzzzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 422); 

                auto tg_xxyyyz_xzzzzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 423); 

                auto tg_xxyyyz_yyyyyyy_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 424); 

                auto tg_xxyyyz_yyyyyyz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 425); 

                auto tg_xxyyyz_yyyyyzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 426); 

                auto tg_xxyyyz_yyyyzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 427); 

                auto tg_xxyyyz_yyyzzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 428); 

                auto tg_xxyyyz_yyzzzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 429); 

                auto tg_xxyyyz_yzzzzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 430); 

                auto tg_xxyyyz_zzzzzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 431); 

                auto tg_xxyyzz_xxxxxxx_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 432); 

                auto tg_xxyyzz_xxxxxxy_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 433); 

                auto tg_xxyyzz_xxxxxxz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 434); 

                auto tg_xxyyzz_xxxxxyy_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 435); 

                auto tg_xxyyzz_xxxxxyz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 436); 

                auto tg_xxyyzz_xxxxxzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 437); 

                auto tg_xxyyzz_xxxxyyy_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 438); 

                auto tg_xxyyzz_xxxxyyz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 439); 

                auto tg_xxyyzz_xxxxyzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 440); 

                auto tg_xxyyzz_xxxxzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 441); 

                auto tg_xxyyzz_xxxyyyy_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 442); 

                auto tg_xxyyzz_xxxyyyz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 443); 

                auto tg_xxyyzz_xxxyyzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 444); 

                auto tg_xxyyzz_xxxyzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 445); 

                auto tg_xxyyzz_xxxzzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 446); 

                auto tg_xxyyzz_xxyyyyy_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 447); 

                auto tg_xxyyzz_xxyyyyz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 448); 

                auto tg_xxyyzz_xxyyyzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 449); 

                auto tg_xxyyzz_xxyyzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 450); 

                auto tg_xxyyzz_xxyzzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 451); 

                auto tg_xxyyzz_xxzzzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 452); 

                auto tg_xxyyzz_xyyyyyy_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 453); 

                auto tg_xxyyzz_xyyyyyz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 454); 

                auto tg_xxyyzz_xyyyyzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 455); 

                auto tg_xxyyzz_xyyyzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 456); 

                auto tg_xxyyzz_xyyzzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 457); 

                auto tg_xxyyzz_xyzzzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 458); 

                auto tg_xxyyzz_xzzzzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 459); 

                auto tg_xxyyzz_yyyyyyy_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 460); 

                auto tg_xxyyzz_yyyyyyz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 461); 

                auto tg_xxyyzz_yyyyyzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 462); 

                auto tg_xxyyzz_yyyyzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 463); 

                auto tg_xxyyzz_yyyzzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 464); 

                auto tg_xxyyzz_yyzzzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 465); 

                auto tg_xxyyzz_yzzzzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 466); 

                auto tg_xxyyzz_zzzzzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 467); 

                auto tg_xxyzzz_xxxxxxx_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 468); 

                auto tg_xxyzzz_xxxxxxy_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 469); 

                auto tg_xxyzzz_xxxxxxz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 470); 

                auto tg_xxyzzz_xxxxxyy_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 471); 

                auto tg_xxyzzz_xxxxxyz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 472); 

                auto tg_xxyzzz_xxxxxzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 473); 

                auto tg_xxyzzz_xxxxyyy_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 474); 

                auto tg_xxyzzz_xxxxyyz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 475); 

                auto tg_xxyzzz_xxxxyzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 476); 

                auto tg_xxyzzz_xxxxzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 477); 

                auto tg_xxyzzz_xxxyyyy_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 478); 

                auto tg_xxyzzz_xxxyyyz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 479); 

                auto tg_xxyyyy_xyyyzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 384); 

                auto tg_xxyyyy_xyyzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 385); 

                auto tg_xxyyyy_xyzzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 386); 

                auto tg_xxyyyy_xzzzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 387); 

                auto tg_xxyyyy_yyyyyyy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 388); 

                auto tg_xxyyyy_yyyyyyz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 389); 

                auto tg_xxyyyy_yyyyyzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 390); 

                auto tg_xxyyyy_yyyyzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 391); 

                auto tg_xxyyyy_yyyzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 392); 

                auto tg_xxyyyy_yyzzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 393); 

                auto tg_xxyyyy_yzzzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 394); 

                auto tg_xxyyyy_zzzzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 395); 

                auto tg_xxyyyz_xxxxxxx_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 396); 

                auto tg_xxyyyz_xxxxxxy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 397); 

                auto tg_xxyyyz_xxxxxxz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 398); 

                auto tg_xxyyyz_xxxxxyy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 399); 

                auto tg_xxyyyz_xxxxxyz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 400); 

                auto tg_xxyyyz_xxxxxzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 401); 

                auto tg_xxyyyz_xxxxyyy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 402); 

                auto tg_xxyyyz_xxxxyyz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 403); 

                auto tg_xxyyyz_xxxxyzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 404); 

                auto tg_xxyyyz_xxxxzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 405); 

                auto tg_xxyyyz_xxxyyyy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 406); 

                auto tg_xxyyyz_xxxyyyz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 407); 

                auto tg_xxyyyz_xxxyyzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 408); 

                auto tg_xxyyyz_xxxyzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 409); 

                auto tg_xxyyyz_xxxzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 410); 

                auto tg_xxyyyz_xxyyyyy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 411); 

                auto tg_xxyyyz_xxyyyyz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 412); 

                auto tg_xxyyyz_xxyyyzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 413); 

                auto tg_xxyyyz_xxyyzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 414); 

                auto tg_xxyyyz_xxyzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 415); 

                auto tg_xxyyyz_xxzzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 416); 

                auto tg_xxyyyz_xyyyyyy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 417); 

                auto tg_xxyyyz_xyyyyyz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 418); 

                auto tg_xxyyyz_xyyyyzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 419); 

                auto tg_xxyyyz_xyyyzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 420); 

                auto tg_xxyyyz_xyyzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 421); 

                auto tg_xxyyyz_xyzzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 422); 

                auto tg_xxyyyz_xzzzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 423); 

                auto tg_xxyyyz_yyyyyyy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 424); 

                auto tg_xxyyyz_yyyyyyz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 425); 

                auto tg_xxyyyz_yyyyyzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 426); 

                auto tg_xxyyyz_yyyyzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 427); 

                auto tg_xxyyyz_yyyzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 428); 

                auto tg_xxyyyz_yyzzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 429); 

                auto tg_xxyyyz_yzzzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 430); 

                auto tg_xxyyyz_zzzzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 431); 

                auto tg_xxyyzz_xxxxxxx_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 432); 

                auto tg_xxyyzz_xxxxxxy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 433); 

                auto tg_xxyyzz_xxxxxxz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 434); 

                auto tg_xxyyzz_xxxxxyy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 435); 

                auto tg_xxyyzz_xxxxxyz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 436); 

                auto tg_xxyyzz_xxxxxzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 437); 

                auto tg_xxyyzz_xxxxyyy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 438); 

                auto tg_xxyyzz_xxxxyyz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 439); 

                auto tg_xxyyzz_xxxxyzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 440); 

                auto tg_xxyyzz_xxxxzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 441); 

                auto tg_xxyyzz_xxxyyyy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 442); 

                auto tg_xxyyzz_xxxyyyz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 443); 

                auto tg_xxyyzz_xxxyyzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 444); 

                auto tg_xxyyzz_xxxyzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 445); 

                auto tg_xxyyzz_xxxzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 446); 

                auto tg_xxyyzz_xxyyyyy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 447); 

                auto tg_xxyyzz_xxyyyyz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 448); 

                auto tg_xxyyzz_xxyyyzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 449); 

                auto tg_xxyyzz_xxyyzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 450); 

                auto tg_xxyyzz_xxyzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 451); 

                auto tg_xxyyzz_xxzzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 452); 

                auto tg_xxyyzz_xyyyyyy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 453); 

                auto tg_xxyyzz_xyyyyyz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 454); 

                auto tg_xxyyzz_xyyyyzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 455); 

                auto tg_xxyyzz_xyyyzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 456); 

                auto tg_xxyyzz_xyyzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 457); 

                auto tg_xxyyzz_xyzzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 458); 

                auto tg_xxyyzz_xzzzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 459); 

                auto tg_xxyyzz_yyyyyyy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 460); 

                auto tg_xxyyzz_yyyyyyz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 461); 

                auto tg_xxyyzz_yyyyyzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 462); 

                auto tg_xxyyzz_yyyyzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 463); 

                auto tg_xxyyzz_yyyzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 464); 

                auto tg_xxyyzz_yyzzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 465); 

                auto tg_xxyyzz_yzzzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 466); 

                auto tg_xxyyzz_zzzzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 467); 

                auto tg_xxyzzz_xxxxxxx_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 468); 

                auto tg_xxyzzz_xxxxxxy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 469); 

                auto tg_xxyzzz_xxxxxxz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 470); 

                auto tg_xxyzzz_xxxxxyy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 471); 

                auto tg_xxyzzz_xxxxxyz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 472); 

                auto tg_xxyzzz_xxxxxzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 473); 

                auto tg_xxyzzz_xxxxyyy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 474); 

                auto tg_xxyzzz_xxxxyyz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 475); 

                auto tg_xxyzzz_xxxxyzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 476); 

                auto tg_xxyzzz_xxxxzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 477); 

                auto tg_xxyzzz_xxxyyyy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 478); 

                auto tg_xxyzzz_xxxyyyz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 479); 

                auto tg_xxxyyyy_yyyzzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 304); 

                auto tg_xxxyyyy_yyzzzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 305); 

                auto tg_xxxyyyy_yzzzzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 306); 

                auto tg_xxxyyyy_zzzzzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 307); 

                auto tg_xxxyyyz_xxxxxx_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 308); 

                auto tg_xxxyyyz_xxxxxy_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 309); 

                auto tg_xxxyyyz_xxxxxz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 310); 

                auto tg_xxxyyyz_xxxxyy_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 311); 

                auto tg_xxxyyyz_xxxxyz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 312); 

                auto tg_xxxyyyz_xxxxzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 313); 

                auto tg_xxxyyyz_xxxyyy_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 314); 

                auto tg_xxxyyyz_xxxyyz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 315); 

                auto tg_xxxyyyz_xxxyzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 316); 

                auto tg_xxxyyyz_xxxzzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 317); 

                auto tg_xxxyyyz_xxyyyy_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 318); 

                auto tg_xxxyyyz_xxyyyz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 319); 

                auto tg_xxxyyyz_xxyyzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 320); 

                auto tg_xxxyyyz_xxyzzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 321); 

                auto tg_xxxyyyz_xxzzzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 322); 

                auto tg_xxxyyyz_xyyyyy_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 323); 

                auto tg_xxxyyyz_xyyyyz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 324); 

                auto tg_xxxyyyz_xyyyzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 325); 

                auto tg_xxxyyyz_xyyzzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 326); 

                auto tg_xxxyyyz_xyzzzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 327); 

                auto tg_xxxyyyz_xzzzzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 328); 

                auto tg_xxxyyyz_yyyyyy_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 329); 

                auto tg_xxxyyyz_yyyyyz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 330); 

                auto tg_xxxyyyz_yyyyzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 331); 

                auto tg_xxxyyyz_yyyzzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 332); 

                auto tg_xxxyyyz_yyzzzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 333); 

                auto tg_xxxyyyz_yzzzzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 334); 

                auto tg_xxxyyyz_zzzzzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 335); 

                auto tg_xxxyyzz_xxxxxx_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 336); 

                auto tg_xxxyyzz_xxxxxy_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 337); 

                auto tg_xxxyyzz_xxxxxz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 338); 

                auto tg_xxxyyzz_xxxxyy_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 339); 

                auto tg_xxxyyzz_xxxxyz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 340); 

                auto tg_xxxyyzz_xxxxzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 341); 

                auto tg_xxxyyzz_xxxyyy_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 342); 

                auto tg_xxxyyzz_xxxyyz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 343); 

                auto tg_xxxyyzz_xxxyzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 344); 

                auto tg_xxxyyzz_xxxzzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 345); 

                auto tg_xxxyyzz_xxyyyy_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 346); 

                auto tg_xxxyyzz_xxyyyz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 347); 

                auto tg_xxxyyzz_xxyyzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 348); 

                auto tg_xxxyyzz_xxyzzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 349); 

                auto tg_xxxyyzz_xxzzzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 350); 

                auto tg_xxxyyzz_xyyyyy_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 351); 

                auto tg_xxxyyzz_xyyyyz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 352); 

                auto tg_xxxyyzz_xyyyzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 353); 

                auto tg_xxxyyzz_xyyzzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 354); 

                auto tg_xxxyyzz_xyzzzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 355); 

                auto tg_xxxyyzz_xzzzzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 356); 

                auto tg_xxxyyzz_yyyyyy_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 357); 

                auto tg_xxxyyzz_yyyyyz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 358); 

                auto tg_xxxyyzz_yyyyzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 359); 

                auto tg_xxxyyzz_yyyzzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 360); 

                auto tg_xxxyyzz_yyzzzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 361); 

                auto tg_xxxyyzz_yzzzzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 362); 

                auto tg_xxxyyzz_zzzzzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 363); 

                auto tg_xxxyzzz_xxxxxx_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 364); 

                auto tg_xxxyzzz_xxxxxy_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 365); 

                auto tg_xxxyzzz_xxxxxz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 366); 

                auto tg_xxxyzzz_xxxxyy_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 367); 

                auto tg_xxxyzzz_xxxxyz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 368); 

                auto tg_xxxyzzz_xxxxzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 369); 

                auto tg_xxxyzzz_xxxyyy_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 370); 

                auto tg_xxxyzzz_xxxyyz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 371); 

                auto tg_xxxyzzz_xxxyzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 372); 

                auto tg_xxxyzzz_xxxzzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 373); 

                auto tg_xxxyzzz_xxyyyy_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 374); 

                auto tg_xxxyzzz_xxyyyz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 375); 

                // set up pointers to integrals

                auto tg_xxxxyyyy_xyyyzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 384); 

                auto tg_xxxxyyyy_xyyzzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 385); 

                auto tg_xxxxyyyy_xyzzzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 386); 

                auto tg_xxxxyyyy_xzzzzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 387); 

                auto tg_xxxxyyyy_yyyyyyy_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 388); 

                auto tg_xxxxyyyy_yyyyyyz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 389); 

                auto tg_xxxxyyyy_yyyyyzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 390); 

                auto tg_xxxxyyyy_yyyyzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 391); 

                auto tg_xxxxyyyy_yyyzzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 392); 

                auto tg_xxxxyyyy_yyzzzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 393); 

                auto tg_xxxxyyyy_yzzzzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 394); 

                auto tg_xxxxyyyy_zzzzzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 395); 

                auto tg_xxxxyyyz_xxxxxxx_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 396); 

                auto tg_xxxxyyyz_xxxxxxy_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 397); 

                auto tg_xxxxyyyz_xxxxxxz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 398); 

                auto tg_xxxxyyyz_xxxxxyy_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 399); 

                auto tg_xxxxyyyz_xxxxxyz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 400); 

                auto tg_xxxxyyyz_xxxxxzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 401); 

                auto tg_xxxxyyyz_xxxxyyy_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 402); 

                auto tg_xxxxyyyz_xxxxyyz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 403); 

                auto tg_xxxxyyyz_xxxxyzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 404); 

                auto tg_xxxxyyyz_xxxxzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 405); 

                auto tg_xxxxyyyz_xxxyyyy_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 406); 

                auto tg_xxxxyyyz_xxxyyyz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 407); 

                auto tg_xxxxyyyz_xxxyyzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 408); 

                auto tg_xxxxyyyz_xxxyzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 409); 

                auto tg_xxxxyyyz_xxxzzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 410); 

                auto tg_xxxxyyyz_xxyyyyy_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 411); 

                auto tg_xxxxyyyz_xxyyyyz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 412); 

                auto tg_xxxxyyyz_xxyyyzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 413); 

                auto tg_xxxxyyyz_xxyyzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 414); 

                auto tg_xxxxyyyz_xxyzzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 415); 

                auto tg_xxxxyyyz_xxzzzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 416); 

                auto tg_xxxxyyyz_xyyyyyy_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 417); 

                auto tg_xxxxyyyz_xyyyyyz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 418); 

                auto tg_xxxxyyyz_xyyyyzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 419); 

                auto tg_xxxxyyyz_xyyyzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 420); 

                auto tg_xxxxyyyz_xyyzzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 421); 

                auto tg_xxxxyyyz_xyzzzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 422); 

                auto tg_xxxxyyyz_xzzzzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 423); 

                auto tg_xxxxyyyz_yyyyyyy_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 424); 

                auto tg_xxxxyyyz_yyyyyyz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 425); 

                auto tg_xxxxyyyz_yyyyyzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 426); 

                auto tg_xxxxyyyz_yyyyzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 427); 

                auto tg_xxxxyyyz_yyyzzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 428); 

                auto tg_xxxxyyyz_yyzzzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 429); 

                auto tg_xxxxyyyz_yzzzzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 430); 

                auto tg_xxxxyyyz_zzzzzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 431); 

                auto tg_xxxxyyzz_xxxxxxx_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 432); 

                auto tg_xxxxyyzz_xxxxxxy_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 433); 

                auto tg_xxxxyyzz_xxxxxxz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 434); 

                auto tg_xxxxyyzz_xxxxxyy_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 435); 

                auto tg_xxxxyyzz_xxxxxyz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 436); 

                auto tg_xxxxyyzz_xxxxxzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 437); 

                auto tg_xxxxyyzz_xxxxyyy_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 438); 

                auto tg_xxxxyyzz_xxxxyyz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 439); 

                auto tg_xxxxyyzz_xxxxyzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 440); 

                auto tg_xxxxyyzz_xxxxzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 441); 

                auto tg_xxxxyyzz_xxxyyyy_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 442); 

                auto tg_xxxxyyzz_xxxyyyz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 443); 

                auto tg_xxxxyyzz_xxxyyzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 444); 

                auto tg_xxxxyyzz_xxxyzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 445); 

                auto tg_xxxxyyzz_xxxzzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 446); 

                auto tg_xxxxyyzz_xxyyyyy_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 447); 

                auto tg_xxxxyyzz_xxyyyyz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 448); 

                auto tg_xxxxyyzz_xxyyyzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 449); 

                auto tg_xxxxyyzz_xxyyzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 450); 

                auto tg_xxxxyyzz_xxyzzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 451); 

                auto tg_xxxxyyzz_xxzzzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 452); 

                auto tg_xxxxyyzz_xyyyyyy_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 453); 

                auto tg_xxxxyyzz_xyyyyyz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 454); 

                auto tg_xxxxyyzz_xyyyyzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 455); 

                auto tg_xxxxyyzz_xyyyzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 456); 

                auto tg_xxxxyyzz_xyyzzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 457); 

                auto tg_xxxxyyzz_xyzzzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 458); 

                auto tg_xxxxyyzz_xzzzzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 459); 

                auto tg_xxxxyyzz_yyyyyyy_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 460); 

                auto tg_xxxxyyzz_yyyyyyz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 461); 

                auto tg_xxxxyyzz_yyyyyzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 462); 

                auto tg_xxxxyyzz_yyyyzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 463); 

                auto tg_xxxxyyzz_yyyzzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 464); 

                auto tg_xxxxyyzz_yyzzzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 465); 

                auto tg_xxxxyyzz_yzzzzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 466); 

                auto tg_xxxxyyzz_zzzzzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 467); 

                auto tg_xxxxyzzz_xxxxxxx_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 468); 

                auto tg_xxxxyzzz_xxxxxxy_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 469); 

                auto tg_xxxxyzzz_xxxxxxz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 470); 

                auto tg_xxxxyzzz_xxxxxyy_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 471); 

                auto tg_xxxxyzzz_xxxxxyz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 472); 

                auto tg_xxxxyzzz_xxxxxzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 473); 

                auto tg_xxxxyzzz_xxxxyyy_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 474); 

                auto tg_xxxxyzzz_xxxxyyz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 475); 

                auto tg_xxxxyzzz_xxxxyzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 476); 

                auto tg_xxxxyzzz_xxxxzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 477); 

                auto tg_xxxxyzzz_xxxyyyy_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 478); 

                auto tg_xxxxyzzz_xxxyyyz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 479); 

                // Batch of Integrals (384,480)

                #pragma omp simd aligned(fxn, fza, tg_xxxxyyyy_xyyyzzz_0, tg_xxxxyyyy_xyyzzzz_0, \
                                         tg_xxxxyyyy_xyzzzzz_0, tg_xxxxyyyy_xzzzzzz_0, tg_xxxxyyyy_yyyyyyy_0, \
                                         tg_xxxxyyyy_yyyyyyz_0, tg_xxxxyyyy_yyyyyzz_0, tg_xxxxyyyy_yyyyzzz_0, \
                                         tg_xxxxyyyy_yyyzzzz_0, tg_xxxxyyyy_yyzzzzz_0, tg_xxxxyyyy_yzzzzzz_0, \
                                         tg_xxxxyyyy_zzzzzzz_0, tg_xxxxyyyz_xxxxxxx_0, tg_xxxxyyyz_xxxxxxy_0, \
                                         tg_xxxxyyyz_xxxxxxz_0, tg_xxxxyyyz_xxxxxyy_0, tg_xxxxyyyz_xxxxxyz_0, \
                                         tg_xxxxyyyz_xxxxxzz_0, tg_xxxxyyyz_xxxxyyy_0, tg_xxxxyyyz_xxxxyyz_0, \
                                         tg_xxxxyyyz_xxxxyzz_0, tg_xxxxyyyz_xxxxzzz_0, tg_xxxxyyyz_xxxyyyy_0, \
                                         tg_xxxxyyyz_xxxyyyz_0, tg_xxxxyyyz_xxxyyzz_0, tg_xxxxyyyz_xxxyzzz_0, \
                                         tg_xxxxyyyz_xxxzzzz_0, tg_xxxxyyyz_xxyyyyy_0, tg_xxxxyyyz_xxyyyyz_0, \
                                         tg_xxxxyyyz_xxyyyzz_0, tg_xxxxyyyz_xxyyzzz_0, tg_xxxxyyyz_xxyzzzz_0, \
                                         tg_xxxxyyyz_xxzzzzz_0, tg_xxxxyyyz_xyyyyyy_0, tg_xxxxyyyz_xyyyyyz_0, \
                                         tg_xxxxyyyz_xyyyyzz_0, tg_xxxxyyyz_xyyyzzz_0, tg_xxxxyyyz_xyyzzzz_0, \
                                         tg_xxxxyyyz_xyzzzzz_0, tg_xxxxyyyz_xzzzzzz_0, tg_xxxxyyyz_yyyyyyy_0, \
                                         tg_xxxxyyyz_yyyyyyz_0, tg_xxxxyyyz_yyyyyzz_0, tg_xxxxyyyz_yyyyzzz_0, \
                                         tg_xxxxyyyz_yyyzzzz_0, tg_xxxxyyyz_yyzzzzz_0, tg_xxxxyyyz_yzzzzzz_0, \
                                         tg_xxxxyyyz_zzzzzzz_0, tg_xxxxyyzz_xxxxxxx_0, tg_xxxxyyzz_xxxxxxy_0, \
                                         tg_xxxxyyzz_xxxxxxz_0, tg_xxxxyyzz_xxxxxyy_0, tg_xxxxyyzz_xxxxxyz_0, \
                                         tg_xxxxyyzz_xxxxxzz_0, tg_xxxxyyzz_xxxxyyy_0, tg_xxxxyyzz_xxxxyyz_0, \
                                         tg_xxxxyyzz_xxxxyzz_0, tg_xxxxyyzz_xxxxzzz_0, tg_xxxxyyzz_xxxyyyy_0, \
                                         tg_xxxxyyzz_xxxyyyz_0, tg_xxxxyyzz_xxxyyzz_0, tg_xxxxyyzz_xxxyzzz_0, \
                                         tg_xxxxyyzz_xxxzzzz_0, tg_xxxxyyzz_xxyyyyy_0, tg_xxxxyyzz_xxyyyyz_0, \
                                         tg_xxxxyyzz_xxyyyzz_0, tg_xxxxyyzz_xxyyzzz_0, tg_xxxxyyzz_xxyzzzz_0, \
                                         tg_xxxxyyzz_xxzzzzz_0, tg_xxxxyyzz_xyyyyyy_0, tg_xxxxyyzz_xyyyyyz_0, \
                                         tg_xxxxyyzz_xyyyyzz_0, tg_xxxxyyzz_xyyyzzz_0, tg_xxxxyyzz_xyyzzzz_0, \
                                         tg_xxxxyyzz_xyzzzzz_0, tg_xxxxyyzz_xzzzzzz_0, tg_xxxxyyzz_yyyyyyy_0, \
                                         tg_xxxxyyzz_yyyyyyz_0, tg_xxxxyyzz_yyyyyzz_0, tg_xxxxyyzz_yyyyzzz_0, \
                                         tg_xxxxyyzz_yyyzzzz_0, tg_xxxxyyzz_yyzzzzz_0, tg_xxxxyyzz_yzzzzzz_0, \
                                         tg_xxxxyyzz_zzzzzzz_0, tg_xxxxyzzz_xxxxxxx_0, tg_xxxxyzzz_xxxxxxy_0, \
                                         tg_xxxxyzzz_xxxxxxz_0, tg_xxxxyzzz_xxxxxyy_0, tg_xxxxyzzz_xxxxxyz_0, \
                                         tg_xxxxyzzz_xxxxxzz_0, tg_xxxxyzzz_xxxxyyy_0, tg_xxxxyzzz_xxxxyyz_0, \
                                         tg_xxxxyzzz_xxxxyzz_0, tg_xxxxyzzz_xxxxzzz_0, tg_xxxxyzzz_xxxyyyy_0, \
                                         tg_xxxxyzzz_xxxyyyz_0, tg_xxxyyyy_xyyyzzz_0, tg_xxxyyyy_xyyyzzz_1, tg_xxxyyyy_xyyzzzz_0, \
                                         tg_xxxyyyy_xyyzzzz_1, tg_xxxyyyy_xyzzzzz_0, tg_xxxyyyy_xyzzzzz_1, tg_xxxyyyy_xzzzzzz_0, \
                                         tg_xxxyyyy_xzzzzzz_1, tg_xxxyyyy_yyyyyyy_0, tg_xxxyyyy_yyyyyyy_1, tg_xxxyyyy_yyyyyyz_0, \
                                         tg_xxxyyyy_yyyyyyz_1, tg_xxxyyyy_yyyyyzz_0, tg_xxxyyyy_yyyyyzz_1, tg_xxxyyyy_yyyyzzz_0, \
                                         tg_xxxyyyy_yyyyzzz_1, tg_xxxyyyy_yyyzzz_1, tg_xxxyyyy_yyyzzzz_0, tg_xxxyyyy_yyyzzzz_1, \
                                         tg_xxxyyyy_yyzzzz_1, tg_xxxyyyy_yyzzzzz_0, tg_xxxyyyy_yyzzzzz_1, tg_xxxyyyy_yzzzzz_1, \
                                         tg_xxxyyyy_yzzzzzz_0, tg_xxxyyyy_yzzzzzz_1, tg_xxxyyyy_zzzzzz_1, tg_xxxyyyy_zzzzzzz_0, \
                                         tg_xxxyyyy_zzzzzzz_1, tg_xxxyyyz_xxxxxx_1, tg_xxxyyyz_xxxxxxx_0, tg_xxxyyyz_xxxxxxx_1, \
                                         tg_xxxyyyz_xxxxxxy_0, tg_xxxyyyz_xxxxxxy_1, tg_xxxyyyz_xxxxxxz_0, tg_xxxyyyz_xxxxxxz_1, \
                                         tg_xxxyyyz_xxxxxy_1, tg_xxxyyyz_xxxxxyy_0, tg_xxxyyyz_xxxxxyy_1, tg_xxxyyyz_xxxxxyz_0, \
                                         tg_xxxyyyz_xxxxxyz_1, tg_xxxyyyz_xxxxxz_1, tg_xxxyyyz_xxxxxzz_0, tg_xxxyyyz_xxxxxzz_1, \
                                         tg_xxxyyyz_xxxxyy_1, tg_xxxyyyz_xxxxyyy_0, tg_xxxyyyz_xxxxyyy_1, tg_xxxyyyz_xxxxyyz_0, \
                                         tg_xxxyyyz_xxxxyyz_1, tg_xxxyyyz_xxxxyz_1, tg_xxxyyyz_xxxxyzz_0, tg_xxxyyyz_xxxxyzz_1, \
                                         tg_xxxyyyz_xxxxzz_1, tg_xxxyyyz_xxxxzzz_0, tg_xxxyyyz_xxxxzzz_1, tg_xxxyyyz_xxxyyy_1, \
                                         tg_xxxyyyz_xxxyyyy_0, tg_xxxyyyz_xxxyyyy_1, tg_xxxyyyz_xxxyyyz_0, tg_xxxyyyz_xxxyyyz_1, \
                                         tg_xxxyyyz_xxxyyz_1, tg_xxxyyyz_xxxyyzz_0, tg_xxxyyyz_xxxyyzz_1, tg_xxxyyyz_xxxyzz_1, \
                                         tg_xxxyyyz_xxxyzzz_0, tg_xxxyyyz_xxxyzzz_1, tg_xxxyyyz_xxxzzz_1, tg_xxxyyyz_xxxzzzz_0, \
                                         tg_xxxyyyz_xxxzzzz_1, tg_xxxyyyz_xxyyyy_1, tg_xxxyyyz_xxyyyyy_0, tg_xxxyyyz_xxyyyyy_1, \
                                         tg_xxxyyyz_xxyyyyz_0, tg_xxxyyyz_xxyyyyz_1, tg_xxxyyyz_xxyyyz_1, tg_xxxyyyz_xxyyyzz_0, \
                                         tg_xxxyyyz_xxyyyzz_1, tg_xxxyyyz_xxyyzz_1, tg_xxxyyyz_xxyyzzz_0, tg_xxxyyyz_xxyyzzz_1, \
                                         tg_xxxyyyz_xxyzzz_1, tg_xxxyyyz_xxyzzzz_0, tg_xxxyyyz_xxyzzzz_1, tg_xxxyyyz_xxzzzz_1, \
                                         tg_xxxyyyz_xxzzzzz_0, tg_xxxyyyz_xxzzzzz_1, tg_xxxyyyz_xyyyyy_1, tg_xxxyyyz_xyyyyyy_0, \
                                         tg_xxxyyyz_xyyyyyy_1, tg_xxxyyyz_xyyyyyz_0, tg_xxxyyyz_xyyyyyz_1, tg_xxxyyyz_xyyyyz_1, \
                                         tg_xxxyyyz_xyyyyzz_0, tg_xxxyyyz_xyyyyzz_1, tg_xxxyyyz_xyyyzz_1, tg_xxxyyyz_xyyyzzz_0, \
                                         tg_xxxyyyz_xyyyzzz_1, tg_xxxyyyz_xyyzzz_1, tg_xxxyyyz_xyyzzzz_0, tg_xxxyyyz_xyyzzzz_1, \
                                         tg_xxxyyyz_xyzzzz_1, tg_xxxyyyz_xyzzzzz_0, tg_xxxyyyz_xyzzzzz_1, tg_xxxyyyz_xzzzzz_1, \
                                         tg_xxxyyyz_xzzzzzz_0, tg_xxxyyyz_xzzzzzz_1, tg_xxxyyyz_yyyyyy_1, tg_xxxyyyz_yyyyyyy_0, \
                                         tg_xxxyyyz_yyyyyyy_1, tg_xxxyyyz_yyyyyyz_0, tg_xxxyyyz_yyyyyyz_1, tg_xxxyyyz_yyyyyz_1, \
                                         tg_xxxyyyz_yyyyyzz_0, tg_xxxyyyz_yyyyyzz_1, tg_xxxyyyz_yyyyzz_1, tg_xxxyyyz_yyyyzzz_0, \
                                         tg_xxxyyyz_yyyyzzz_1, tg_xxxyyyz_yyyzzz_1, tg_xxxyyyz_yyyzzzz_0, tg_xxxyyyz_yyyzzzz_1, \
                                         tg_xxxyyyz_yyzzzz_1, tg_xxxyyyz_yyzzzzz_0, tg_xxxyyyz_yyzzzzz_1, tg_xxxyyyz_yzzzzz_1, \
                                         tg_xxxyyyz_yzzzzzz_0, tg_xxxyyyz_yzzzzzz_1, tg_xxxyyyz_zzzzzz_1, tg_xxxyyyz_zzzzzzz_0, \
                                         tg_xxxyyyz_zzzzzzz_1, tg_xxxyyzz_xxxxxx_1, tg_xxxyyzz_xxxxxxx_0, tg_xxxyyzz_xxxxxxx_1, \
                                         tg_xxxyyzz_xxxxxxy_0, tg_xxxyyzz_xxxxxxy_1, tg_xxxyyzz_xxxxxxz_0, tg_xxxyyzz_xxxxxxz_1, \
                                         tg_xxxyyzz_xxxxxy_1, tg_xxxyyzz_xxxxxyy_0, tg_xxxyyzz_xxxxxyy_1, tg_xxxyyzz_xxxxxyz_0, \
                                         tg_xxxyyzz_xxxxxyz_1, tg_xxxyyzz_xxxxxz_1, tg_xxxyyzz_xxxxxzz_0, tg_xxxyyzz_xxxxxzz_1, \
                                         tg_xxxyyzz_xxxxyy_1, tg_xxxyyzz_xxxxyyy_0, tg_xxxyyzz_xxxxyyy_1, tg_xxxyyzz_xxxxyyz_0, \
                                         tg_xxxyyzz_xxxxyyz_1, tg_xxxyyzz_xxxxyz_1, tg_xxxyyzz_xxxxyzz_0, tg_xxxyyzz_xxxxyzz_1, \
                                         tg_xxxyyzz_xxxxzz_1, tg_xxxyyzz_xxxxzzz_0, tg_xxxyyzz_xxxxzzz_1, tg_xxxyyzz_xxxyyy_1, \
                                         tg_xxxyyzz_xxxyyyy_0, tg_xxxyyzz_xxxyyyy_1, tg_xxxyyzz_xxxyyyz_0, tg_xxxyyzz_xxxyyyz_1, \
                                         tg_xxxyyzz_xxxyyz_1, tg_xxxyyzz_xxxyyzz_0, tg_xxxyyzz_xxxyyzz_1, tg_xxxyyzz_xxxyzz_1, \
                                         tg_xxxyyzz_xxxyzzz_0, tg_xxxyyzz_xxxyzzz_1, tg_xxxyyzz_xxxzzz_1, tg_xxxyyzz_xxxzzzz_0, \
                                         tg_xxxyyzz_xxxzzzz_1, tg_xxxyyzz_xxyyyy_1, tg_xxxyyzz_xxyyyyy_0, tg_xxxyyzz_xxyyyyy_1, \
                                         tg_xxxyyzz_xxyyyyz_0, tg_xxxyyzz_xxyyyyz_1, tg_xxxyyzz_xxyyyz_1, tg_xxxyyzz_xxyyyzz_0, \
                                         tg_xxxyyzz_xxyyyzz_1, tg_xxxyyzz_xxyyzz_1, tg_xxxyyzz_xxyyzzz_0, tg_xxxyyzz_xxyyzzz_1, \
                                         tg_xxxyyzz_xxyzzz_1, tg_xxxyyzz_xxyzzzz_0, tg_xxxyyzz_xxyzzzz_1, tg_xxxyyzz_xxzzzz_1, \
                                         tg_xxxyyzz_xxzzzzz_0, tg_xxxyyzz_xxzzzzz_1, tg_xxxyyzz_xyyyyy_1, tg_xxxyyzz_xyyyyyy_0, \
                                         tg_xxxyyzz_xyyyyyy_1, tg_xxxyyzz_xyyyyyz_0, tg_xxxyyzz_xyyyyyz_1, tg_xxxyyzz_xyyyyz_1, \
                                         tg_xxxyyzz_xyyyyzz_0, tg_xxxyyzz_xyyyyzz_1, tg_xxxyyzz_xyyyzz_1, tg_xxxyyzz_xyyyzzz_0, \
                                         tg_xxxyyzz_xyyyzzz_1, tg_xxxyyzz_xyyzzz_1, tg_xxxyyzz_xyyzzzz_0, tg_xxxyyzz_xyyzzzz_1, \
                                         tg_xxxyyzz_xyzzzz_1, tg_xxxyyzz_xyzzzzz_0, tg_xxxyyzz_xyzzzzz_1, tg_xxxyyzz_xzzzzz_1, \
                                         tg_xxxyyzz_xzzzzzz_0, tg_xxxyyzz_xzzzzzz_1, tg_xxxyyzz_yyyyyy_1, tg_xxxyyzz_yyyyyyy_0, \
                                         tg_xxxyyzz_yyyyyyy_1, tg_xxxyyzz_yyyyyyz_0, tg_xxxyyzz_yyyyyyz_1, tg_xxxyyzz_yyyyyz_1, \
                                         tg_xxxyyzz_yyyyyzz_0, tg_xxxyyzz_yyyyyzz_1, tg_xxxyyzz_yyyyzz_1, tg_xxxyyzz_yyyyzzz_0, \
                                         tg_xxxyyzz_yyyyzzz_1, tg_xxxyyzz_yyyzzz_1, tg_xxxyyzz_yyyzzzz_0, tg_xxxyyzz_yyyzzzz_1, \
                                         tg_xxxyyzz_yyzzzz_1, tg_xxxyyzz_yyzzzzz_0, tg_xxxyyzz_yyzzzzz_1, tg_xxxyyzz_yzzzzz_1, \
                                         tg_xxxyyzz_yzzzzzz_0, tg_xxxyyzz_yzzzzzz_1, tg_xxxyyzz_zzzzzz_1, tg_xxxyyzz_zzzzzzz_0, \
                                         tg_xxxyyzz_zzzzzzz_1, tg_xxxyzzz_xxxxxx_1, tg_xxxyzzz_xxxxxxx_0, tg_xxxyzzz_xxxxxxx_1, \
                                         tg_xxxyzzz_xxxxxxy_0, tg_xxxyzzz_xxxxxxy_1, tg_xxxyzzz_xxxxxxz_0, tg_xxxyzzz_xxxxxxz_1, \
                                         tg_xxxyzzz_xxxxxy_1, tg_xxxyzzz_xxxxxyy_0, tg_xxxyzzz_xxxxxyy_1, tg_xxxyzzz_xxxxxyz_0, \
                                         tg_xxxyzzz_xxxxxyz_1, tg_xxxyzzz_xxxxxz_1, tg_xxxyzzz_xxxxxzz_0, tg_xxxyzzz_xxxxxzz_1, \
                                         tg_xxxyzzz_xxxxyy_1, tg_xxxyzzz_xxxxyyy_0, tg_xxxyzzz_xxxxyyy_1, tg_xxxyzzz_xxxxyyz_0, \
                                         tg_xxxyzzz_xxxxyyz_1, tg_xxxyzzz_xxxxyz_1, tg_xxxyzzz_xxxxyzz_0, tg_xxxyzzz_xxxxyzz_1, \
                                         tg_xxxyzzz_xxxxzz_1, tg_xxxyzzz_xxxxzzz_0, tg_xxxyzzz_xxxxzzz_1, tg_xxxyzzz_xxxyyy_1, \
                                         tg_xxxyzzz_xxxyyyy_0, tg_xxxyzzz_xxxyyyy_1, tg_xxxyzzz_xxxyyyz_0, tg_xxxyzzz_xxxyyyz_1, \
                                         tg_xxxyzzz_xxxyyz_1, tg_xxxyzzz_xxxyzz_1, tg_xxxyzzz_xxxzzz_1, tg_xxxyzzz_xxyyyy_1, \
                                         tg_xxxyzzz_xxyyyz_1, tg_xxyyyy_xyyyzzz_0, tg_xxyyyy_xyyyzzz_1, tg_xxyyyy_xyyzzzz_0, \
                                         tg_xxyyyy_xyyzzzz_1, tg_xxyyyy_xyzzzzz_0, tg_xxyyyy_xyzzzzz_1, tg_xxyyyy_xzzzzzz_0, \
                                         tg_xxyyyy_xzzzzzz_1, tg_xxyyyy_yyyyyyy_0, tg_xxyyyy_yyyyyyy_1, tg_xxyyyy_yyyyyyz_0, \
                                         tg_xxyyyy_yyyyyyz_1, tg_xxyyyy_yyyyyzz_0, tg_xxyyyy_yyyyyzz_1, tg_xxyyyy_yyyyzzz_0, \
                                         tg_xxyyyy_yyyyzzz_1, tg_xxyyyy_yyyzzzz_0, tg_xxyyyy_yyyzzzz_1, tg_xxyyyy_yyzzzzz_0, \
                                         tg_xxyyyy_yyzzzzz_1, tg_xxyyyy_yzzzzzz_0, tg_xxyyyy_yzzzzzz_1, tg_xxyyyy_zzzzzzz_0, \
                                         tg_xxyyyy_zzzzzzz_1, tg_xxyyyz_xxxxxxx_0, tg_xxyyyz_xxxxxxx_1, tg_xxyyyz_xxxxxxy_0, \
                                         tg_xxyyyz_xxxxxxy_1, tg_xxyyyz_xxxxxxz_0, tg_xxyyyz_xxxxxxz_1, tg_xxyyyz_xxxxxyy_0, \
                                         tg_xxyyyz_xxxxxyy_1, tg_xxyyyz_xxxxxyz_0, tg_xxyyyz_xxxxxyz_1, tg_xxyyyz_xxxxxzz_0, \
                                         tg_xxyyyz_xxxxxzz_1, tg_xxyyyz_xxxxyyy_0, tg_xxyyyz_xxxxyyy_1, tg_xxyyyz_xxxxyyz_0, \
                                         tg_xxyyyz_xxxxyyz_1, tg_xxyyyz_xxxxyzz_0, tg_xxyyyz_xxxxyzz_1, tg_xxyyyz_xxxxzzz_0, \
                                         tg_xxyyyz_xxxxzzz_1, tg_xxyyyz_xxxyyyy_0, tg_xxyyyz_xxxyyyy_1, tg_xxyyyz_xxxyyyz_0, \
                                         tg_xxyyyz_xxxyyyz_1, tg_xxyyyz_xxxyyzz_0, tg_xxyyyz_xxxyyzz_1, tg_xxyyyz_xxxyzzz_0, \
                                         tg_xxyyyz_xxxyzzz_1, tg_xxyyyz_xxxzzzz_0, tg_xxyyyz_xxxzzzz_1, tg_xxyyyz_xxyyyyy_0, \
                                         tg_xxyyyz_xxyyyyy_1, tg_xxyyyz_xxyyyyz_0, tg_xxyyyz_xxyyyyz_1, tg_xxyyyz_xxyyyzz_0, \
                                         tg_xxyyyz_xxyyyzz_1, tg_xxyyyz_xxyyzzz_0, tg_xxyyyz_xxyyzzz_1, tg_xxyyyz_xxyzzzz_0, \
                                         tg_xxyyyz_xxyzzzz_1, tg_xxyyyz_xxzzzzz_0, tg_xxyyyz_xxzzzzz_1, tg_xxyyyz_xyyyyyy_0, \
                                         tg_xxyyyz_xyyyyyy_1, tg_xxyyyz_xyyyyyz_0, tg_xxyyyz_xyyyyyz_1, tg_xxyyyz_xyyyyzz_0, \
                                         tg_xxyyyz_xyyyyzz_1, tg_xxyyyz_xyyyzzz_0, tg_xxyyyz_xyyyzzz_1, tg_xxyyyz_xyyzzzz_0, \
                                         tg_xxyyyz_xyyzzzz_1, tg_xxyyyz_xyzzzzz_0, tg_xxyyyz_xyzzzzz_1, tg_xxyyyz_xzzzzzz_0, \
                                         tg_xxyyyz_xzzzzzz_1, tg_xxyyyz_yyyyyyy_0, tg_xxyyyz_yyyyyyy_1, tg_xxyyyz_yyyyyyz_0, \
                                         tg_xxyyyz_yyyyyyz_1, tg_xxyyyz_yyyyyzz_0, tg_xxyyyz_yyyyyzz_1, tg_xxyyyz_yyyyzzz_0, \
                                         tg_xxyyyz_yyyyzzz_1, tg_xxyyyz_yyyzzzz_0, tg_xxyyyz_yyyzzzz_1, tg_xxyyyz_yyzzzzz_0, \
                                         tg_xxyyyz_yyzzzzz_1, tg_xxyyyz_yzzzzzz_0, tg_xxyyyz_yzzzzzz_1, tg_xxyyyz_zzzzzzz_0, \
                                         tg_xxyyyz_zzzzzzz_1, tg_xxyyzz_xxxxxxx_0, tg_xxyyzz_xxxxxxx_1, tg_xxyyzz_xxxxxxy_0, \
                                         tg_xxyyzz_xxxxxxy_1, tg_xxyyzz_xxxxxxz_0, tg_xxyyzz_xxxxxxz_1, tg_xxyyzz_xxxxxyy_0, \
                                         tg_xxyyzz_xxxxxyy_1, tg_xxyyzz_xxxxxyz_0, tg_xxyyzz_xxxxxyz_1, tg_xxyyzz_xxxxxzz_0, \
                                         tg_xxyyzz_xxxxxzz_1, tg_xxyyzz_xxxxyyy_0, tg_xxyyzz_xxxxyyy_1, tg_xxyyzz_xxxxyyz_0, \
                                         tg_xxyyzz_xxxxyyz_1, tg_xxyyzz_xxxxyzz_0, tg_xxyyzz_xxxxyzz_1, tg_xxyyzz_xxxxzzz_0, \
                                         tg_xxyyzz_xxxxzzz_1, tg_xxyyzz_xxxyyyy_0, tg_xxyyzz_xxxyyyy_1, tg_xxyyzz_xxxyyyz_0, \
                                         tg_xxyyzz_xxxyyyz_1, tg_xxyyzz_xxxyyzz_0, tg_xxyyzz_xxxyyzz_1, tg_xxyyzz_xxxyzzz_0, \
                                         tg_xxyyzz_xxxyzzz_1, tg_xxyyzz_xxxzzzz_0, tg_xxyyzz_xxxzzzz_1, tg_xxyyzz_xxyyyyy_0, \
                                         tg_xxyyzz_xxyyyyy_1, tg_xxyyzz_xxyyyyz_0, tg_xxyyzz_xxyyyyz_1, tg_xxyyzz_xxyyyzz_0, \
                                         tg_xxyyzz_xxyyyzz_1, tg_xxyyzz_xxyyzzz_0, tg_xxyyzz_xxyyzzz_1, tg_xxyyzz_xxyzzzz_0, \
                                         tg_xxyyzz_xxyzzzz_1, tg_xxyyzz_xxzzzzz_0, tg_xxyyzz_xxzzzzz_1, tg_xxyyzz_xyyyyyy_0, \
                                         tg_xxyyzz_xyyyyyy_1, tg_xxyyzz_xyyyyyz_0, tg_xxyyzz_xyyyyyz_1, tg_xxyyzz_xyyyyzz_0, \
                                         tg_xxyyzz_xyyyyzz_1, tg_xxyyzz_xyyyzzz_0, tg_xxyyzz_xyyyzzz_1, tg_xxyyzz_xyyzzzz_0, \
                                         tg_xxyyzz_xyyzzzz_1, tg_xxyyzz_xyzzzzz_0, tg_xxyyzz_xyzzzzz_1, tg_xxyyzz_xzzzzzz_0, \
                                         tg_xxyyzz_xzzzzzz_1, tg_xxyyzz_yyyyyyy_0, tg_xxyyzz_yyyyyyy_1, tg_xxyyzz_yyyyyyz_0, \
                                         tg_xxyyzz_yyyyyyz_1, tg_xxyyzz_yyyyyzz_0, tg_xxyyzz_yyyyyzz_1, tg_xxyyzz_yyyyzzz_0, \
                                         tg_xxyyzz_yyyyzzz_1, tg_xxyyzz_yyyzzzz_0, tg_xxyyzz_yyyzzzz_1, tg_xxyyzz_yyzzzzz_0, \
                                         tg_xxyyzz_yyzzzzz_1, tg_xxyyzz_yzzzzzz_0, tg_xxyyzz_yzzzzzz_1, tg_xxyyzz_zzzzzzz_0, \
                                         tg_xxyyzz_zzzzzzz_1, tg_xxyzzz_xxxxxxx_0, tg_xxyzzz_xxxxxxx_1, tg_xxyzzz_xxxxxxy_0, \
                                         tg_xxyzzz_xxxxxxy_1, tg_xxyzzz_xxxxxxz_0, tg_xxyzzz_xxxxxxz_1, tg_xxyzzz_xxxxxyy_0, \
                                         tg_xxyzzz_xxxxxyy_1, tg_xxyzzz_xxxxxyz_0, tg_xxyzzz_xxxxxyz_1, tg_xxyzzz_xxxxxzz_0, \
                                         tg_xxyzzz_xxxxxzz_1, tg_xxyzzz_xxxxyyy_0, tg_xxyzzz_xxxxyyy_1, tg_xxyzzz_xxxxyyz_0, \
                                         tg_xxyzzz_xxxxyyz_1, tg_xxyzzz_xxxxyzz_0, tg_xxyzzz_xxxxyzz_1, tg_xxyzzz_xxxxzzz_0, \
                                         tg_xxyzzz_xxxxzzz_1, tg_xxyzzz_xxxyyyy_0, tg_xxyzzz_xxxyyyy_1, tg_xxyzzz_xxxyyyz_0, \
                                         tg_xxyzzz_xxxyyyz_1, wp_x: VLX_ALIGN)
                for (int32_t j = 0; j < nKetPrimPairs; j++)
                {
                    double fl1_fx = fx;

                    double fl1_fxn = fxn[j];

                    double fl1_fza = fza[j];

                    double fr = wp_x[j]; 

                    tg_xxxxyyyy_xyyyzzz_0[j] = pb_x * tg_xxxyyyy_xyyyzzz_0[j] + fr * tg_xxxyyyy_xyyyzzz_1[j] + 1.5 * fl1_fx * (tg_xxyyyy_xyyyzzz_0[j] - tg_xxyyyy_xyyyzzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xxxyyyy_yyyzzz_1[j];

                    tg_xxxxyyyy_xyyzzzz_0[j] = pb_x * tg_xxxyyyy_xyyzzzz_0[j] + fr * tg_xxxyyyy_xyyzzzz_1[j] + 1.5 * fl1_fx * (tg_xxyyyy_xyyzzzz_0[j] - tg_xxyyyy_xyyzzzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xxxyyyy_yyzzzz_1[j];

                    tg_xxxxyyyy_xyzzzzz_0[j] = pb_x * tg_xxxyyyy_xyzzzzz_0[j] + fr * tg_xxxyyyy_xyzzzzz_1[j] + 1.5 * fl1_fx * (tg_xxyyyy_xyzzzzz_0[j] - tg_xxyyyy_xyzzzzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xxxyyyy_yzzzzz_1[j];

                    tg_xxxxyyyy_xzzzzzz_0[j] = pb_x * tg_xxxyyyy_xzzzzzz_0[j] + fr * tg_xxxyyyy_xzzzzzz_1[j] + 1.5 * fl1_fx * (tg_xxyyyy_xzzzzzz_0[j] - tg_xxyyyy_xzzzzzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xxxyyyy_zzzzzz_1[j];

                    tg_xxxxyyyy_yyyyyyy_0[j] = pb_x * tg_xxxyyyy_yyyyyyy_0[j] + fr * tg_xxxyyyy_yyyyyyy_1[j] + 1.5 * fl1_fx * (tg_xxyyyy_yyyyyyy_0[j] - tg_xxyyyy_yyyyyyy_1[j] * fl1_fza);

                    tg_xxxxyyyy_yyyyyyz_0[j] = pb_x * tg_xxxyyyy_yyyyyyz_0[j] + fr * tg_xxxyyyy_yyyyyyz_1[j] + 1.5 * fl1_fx * (tg_xxyyyy_yyyyyyz_0[j] - tg_xxyyyy_yyyyyyz_1[j] * fl1_fza);

                    tg_xxxxyyyy_yyyyyzz_0[j] = pb_x * tg_xxxyyyy_yyyyyzz_0[j] + fr * tg_xxxyyyy_yyyyyzz_1[j] + 1.5 * fl1_fx * (tg_xxyyyy_yyyyyzz_0[j] - tg_xxyyyy_yyyyyzz_1[j] * fl1_fza);

                    tg_xxxxyyyy_yyyyzzz_0[j] = pb_x * tg_xxxyyyy_yyyyzzz_0[j] + fr * tg_xxxyyyy_yyyyzzz_1[j] + 1.5 * fl1_fx * (tg_xxyyyy_yyyyzzz_0[j] - tg_xxyyyy_yyyyzzz_1[j] * fl1_fza);

                    tg_xxxxyyyy_yyyzzzz_0[j] = pb_x * tg_xxxyyyy_yyyzzzz_0[j] + fr * tg_xxxyyyy_yyyzzzz_1[j] + 1.5 * fl1_fx * (tg_xxyyyy_yyyzzzz_0[j] - tg_xxyyyy_yyyzzzz_1[j] * fl1_fza);

                    tg_xxxxyyyy_yyzzzzz_0[j] = pb_x * tg_xxxyyyy_yyzzzzz_0[j] + fr * tg_xxxyyyy_yyzzzzz_1[j] + 1.5 * fl1_fx * (tg_xxyyyy_yyzzzzz_0[j] - tg_xxyyyy_yyzzzzz_1[j] * fl1_fza);

                    tg_xxxxyyyy_yzzzzzz_0[j] = pb_x * tg_xxxyyyy_yzzzzzz_0[j] + fr * tg_xxxyyyy_yzzzzzz_1[j] + 1.5 * fl1_fx * (tg_xxyyyy_yzzzzzz_0[j] - tg_xxyyyy_yzzzzzz_1[j] * fl1_fza);

                    tg_xxxxyyyy_zzzzzzz_0[j] = pb_x * tg_xxxyyyy_zzzzzzz_0[j] + fr * tg_xxxyyyy_zzzzzzz_1[j] + 1.5 * fl1_fx * (tg_xxyyyy_zzzzzzz_0[j] - tg_xxyyyy_zzzzzzz_1[j] * fl1_fza);

                    tg_xxxxyyyz_xxxxxxx_0[j] = pb_x * tg_xxxyyyz_xxxxxxx_0[j] + fr * tg_xxxyyyz_xxxxxxx_1[j] + 1.5 * fl1_fx * (tg_xxyyyz_xxxxxxx_0[j] - tg_xxyyyz_xxxxxxx_1[j] * fl1_fza) + 3.5 * fl1_fxn * tg_xxxyyyz_xxxxxx_1[j];

                    tg_xxxxyyyz_xxxxxxy_0[j] = pb_x * tg_xxxyyyz_xxxxxxy_0[j] + fr * tg_xxxyyyz_xxxxxxy_1[j] + 1.5 * fl1_fx * (tg_xxyyyz_xxxxxxy_0[j] - tg_xxyyyz_xxxxxxy_1[j] * fl1_fza) + 3.0 * fl1_fxn * tg_xxxyyyz_xxxxxy_1[j];

                    tg_xxxxyyyz_xxxxxxz_0[j] = pb_x * tg_xxxyyyz_xxxxxxz_0[j] + fr * tg_xxxyyyz_xxxxxxz_1[j] + 1.5 * fl1_fx * (tg_xxyyyz_xxxxxxz_0[j] - tg_xxyyyz_xxxxxxz_1[j] * fl1_fza) + 3.0 * fl1_fxn * tg_xxxyyyz_xxxxxz_1[j];

                    tg_xxxxyyyz_xxxxxyy_0[j] = pb_x * tg_xxxyyyz_xxxxxyy_0[j] + fr * tg_xxxyyyz_xxxxxyy_1[j] + 1.5 * fl1_fx * (tg_xxyyyz_xxxxxyy_0[j] - tg_xxyyyz_xxxxxyy_1[j] * fl1_fza) + 2.5 * fl1_fxn * tg_xxxyyyz_xxxxyy_1[j];

                    tg_xxxxyyyz_xxxxxyz_0[j] = pb_x * tg_xxxyyyz_xxxxxyz_0[j] + fr * tg_xxxyyyz_xxxxxyz_1[j] + 1.5 * fl1_fx * (tg_xxyyyz_xxxxxyz_0[j] - tg_xxyyyz_xxxxxyz_1[j] * fl1_fza) + 2.5 * fl1_fxn * tg_xxxyyyz_xxxxyz_1[j];

                    tg_xxxxyyyz_xxxxxzz_0[j] = pb_x * tg_xxxyyyz_xxxxxzz_0[j] + fr * tg_xxxyyyz_xxxxxzz_1[j] + 1.5 * fl1_fx * (tg_xxyyyz_xxxxxzz_0[j] - tg_xxyyyz_xxxxxzz_1[j] * fl1_fza) + 2.5 * fl1_fxn * tg_xxxyyyz_xxxxzz_1[j];

                    tg_xxxxyyyz_xxxxyyy_0[j] = pb_x * tg_xxxyyyz_xxxxyyy_0[j] + fr * tg_xxxyyyz_xxxxyyy_1[j] + 1.5 * fl1_fx * (tg_xxyyyz_xxxxyyy_0[j] - tg_xxyyyz_xxxxyyy_1[j] * fl1_fza) + 2.0 * fl1_fxn * tg_xxxyyyz_xxxyyy_1[j];

                    tg_xxxxyyyz_xxxxyyz_0[j] = pb_x * tg_xxxyyyz_xxxxyyz_0[j] + fr * tg_xxxyyyz_xxxxyyz_1[j] + 1.5 * fl1_fx * (tg_xxyyyz_xxxxyyz_0[j] - tg_xxyyyz_xxxxyyz_1[j] * fl1_fza) + 2.0 * fl1_fxn * tg_xxxyyyz_xxxyyz_1[j];

                    tg_xxxxyyyz_xxxxyzz_0[j] = pb_x * tg_xxxyyyz_xxxxyzz_0[j] + fr * tg_xxxyyyz_xxxxyzz_1[j] + 1.5 * fl1_fx * (tg_xxyyyz_xxxxyzz_0[j] - tg_xxyyyz_xxxxyzz_1[j] * fl1_fza) + 2.0 * fl1_fxn * tg_xxxyyyz_xxxyzz_1[j];

                    tg_xxxxyyyz_xxxxzzz_0[j] = pb_x * tg_xxxyyyz_xxxxzzz_0[j] + fr * tg_xxxyyyz_xxxxzzz_1[j] + 1.5 * fl1_fx * (tg_xxyyyz_xxxxzzz_0[j] - tg_xxyyyz_xxxxzzz_1[j] * fl1_fza) + 2.0 * fl1_fxn * tg_xxxyyyz_xxxzzz_1[j];

                    tg_xxxxyyyz_xxxyyyy_0[j] = pb_x * tg_xxxyyyz_xxxyyyy_0[j] + fr * tg_xxxyyyz_xxxyyyy_1[j] + 1.5 * fl1_fx * (tg_xxyyyz_xxxyyyy_0[j] - tg_xxyyyz_xxxyyyy_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_xxxyyyz_xxyyyy_1[j];

                    tg_xxxxyyyz_xxxyyyz_0[j] = pb_x * tg_xxxyyyz_xxxyyyz_0[j] + fr * tg_xxxyyyz_xxxyyyz_1[j] + 1.5 * fl1_fx * (tg_xxyyyz_xxxyyyz_0[j] - tg_xxyyyz_xxxyyyz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_xxxyyyz_xxyyyz_1[j];

                    tg_xxxxyyyz_xxxyyzz_0[j] = pb_x * tg_xxxyyyz_xxxyyzz_0[j] + fr * tg_xxxyyyz_xxxyyzz_1[j] + 1.5 * fl1_fx * (tg_xxyyyz_xxxyyzz_0[j] - tg_xxyyyz_xxxyyzz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_xxxyyyz_xxyyzz_1[j];

                    tg_xxxxyyyz_xxxyzzz_0[j] = pb_x * tg_xxxyyyz_xxxyzzz_0[j] + fr * tg_xxxyyyz_xxxyzzz_1[j] + 1.5 * fl1_fx * (tg_xxyyyz_xxxyzzz_0[j] - tg_xxyyyz_xxxyzzz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_xxxyyyz_xxyzzz_1[j];

                    tg_xxxxyyyz_xxxzzzz_0[j] = pb_x * tg_xxxyyyz_xxxzzzz_0[j] + fr * tg_xxxyyyz_xxxzzzz_1[j] + 1.5 * fl1_fx * (tg_xxyyyz_xxxzzzz_0[j] - tg_xxyyyz_xxxzzzz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_xxxyyyz_xxzzzz_1[j];

                    tg_xxxxyyyz_xxyyyyy_0[j] = pb_x * tg_xxxyyyz_xxyyyyy_0[j] + fr * tg_xxxyyyz_xxyyyyy_1[j] + 1.5 * fl1_fx * (tg_xxyyyz_xxyyyyy_0[j] - tg_xxyyyz_xxyyyyy_1[j] * fl1_fza) + fl1_fxn * tg_xxxyyyz_xyyyyy_1[j];

                    tg_xxxxyyyz_xxyyyyz_0[j] = pb_x * tg_xxxyyyz_xxyyyyz_0[j] + fr * tg_xxxyyyz_xxyyyyz_1[j] + 1.5 * fl1_fx * (tg_xxyyyz_xxyyyyz_0[j] - tg_xxyyyz_xxyyyyz_1[j] * fl1_fza) + fl1_fxn * tg_xxxyyyz_xyyyyz_1[j];

                    tg_xxxxyyyz_xxyyyzz_0[j] = pb_x * tg_xxxyyyz_xxyyyzz_0[j] + fr * tg_xxxyyyz_xxyyyzz_1[j] + 1.5 * fl1_fx * (tg_xxyyyz_xxyyyzz_0[j] - tg_xxyyyz_xxyyyzz_1[j] * fl1_fza) + fl1_fxn * tg_xxxyyyz_xyyyzz_1[j];

                    tg_xxxxyyyz_xxyyzzz_0[j] = pb_x * tg_xxxyyyz_xxyyzzz_0[j] + fr * tg_xxxyyyz_xxyyzzz_1[j] + 1.5 * fl1_fx * (tg_xxyyyz_xxyyzzz_0[j] - tg_xxyyyz_xxyyzzz_1[j] * fl1_fza) + fl1_fxn * tg_xxxyyyz_xyyzzz_1[j];

                    tg_xxxxyyyz_xxyzzzz_0[j] = pb_x * tg_xxxyyyz_xxyzzzz_0[j] + fr * tg_xxxyyyz_xxyzzzz_1[j] + 1.5 * fl1_fx * (tg_xxyyyz_xxyzzzz_0[j] - tg_xxyyyz_xxyzzzz_1[j] * fl1_fza) + fl1_fxn * tg_xxxyyyz_xyzzzz_1[j];

                    tg_xxxxyyyz_xxzzzzz_0[j] = pb_x * tg_xxxyyyz_xxzzzzz_0[j] + fr * tg_xxxyyyz_xxzzzzz_1[j] + 1.5 * fl1_fx * (tg_xxyyyz_xxzzzzz_0[j] - tg_xxyyyz_xxzzzzz_1[j] * fl1_fza) + fl1_fxn * tg_xxxyyyz_xzzzzz_1[j];

                    tg_xxxxyyyz_xyyyyyy_0[j] = pb_x * tg_xxxyyyz_xyyyyyy_0[j] + fr * tg_xxxyyyz_xyyyyyy_1[j] + 1.5 * fl1_fx * (tg_xxyyyz_xyyyyyy_0[j] - tg_xxyyyz_xyyyyyy_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xxxyyyz_yyyyyy_1[j];

                    tg_xxxxyyyz_xyyyyyz_0[j] = pb_x * tg_xxxyyyz_xyyyyyz_0[j] + fr * tg_xxxyyyz_xyyyyyz_1[j] + 1.5 * fl1_fx * (tg_xxyyyz_xyyyyyz_0[j] - tg_xxyyyz_xyyyyyz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xxxyyyz_yyyyyz_1[j];

                    tg_xxxxyyyz_xyyyyzz_0[j] = pb_x * tg_xxxyyyz_xyyyyzz_0[j] + fr * tg_xxxyyyz_xyyyyzz_1[j] + 1.5 * fl1_fx * (tg_xxyyyz_xyyyyzz_0[j] - tg_xxyyyz_xyyyyzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xxxyyyz_yyyyzz_1[j];

                    tg_xxxxyyyz_xyyyzzz_0[j] = pb_x * tg_xxxyyyz_xyyyzzz_0[j] + fr * tg_xxxyyyz_xyyyzzz_1[j] + 1.5 * fl1_fx * (tg_xxyyyz_xyyyzzz_0[j] - tg_xxyyyz_xyyyzzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xxxyyyz_yyyzzz_1[j];

                    tg_xxxxyyyz_xyyzzzz_0[j] = pb_x * tg_xxxyyyz_xyyzzzz_0[j] + fr * tg_xxxyyyz_xyyzzzz_1[j] + 1.5 * fl1_fx * (tg_xxyyyz_xyyzzzz_0[j] - tg_xxyyyz_xyyzzzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xxxyyyz_yyzzzz_1[j];

                    tg_xxxxyyyz_xyzzzzz_0[j] = pb_x * tg_xxxyyyz_xyzzzzz_0[j] + fr * tg_xxxyyyz_xyzzzzz_1[j] + 1.5 * fl1_fx * (tg_xxyyyz_xyzzzzz_0[j] - tg_xxyyyz_xyzzzzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xxxyyyz_yzzzzz_1[j];

                    tg_xxxxyyyz_xzzzzzz_0[j] = pb_x * tg_xxxyyyz_xzzzzzz_0[j] + fr * tg_xxxyyyz_xzzzzzz_1[j] + 1.5 * fl1_fx * (tg_xxyyyz_xzzzzzz_0[j] - tg_xxyyyz_xzzzzzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xxxyyyz_zzzzzz_1[j];

                    tg_xxxxyyyz_yyyyyyy_0[j] = pb_x * tg_xxxyyyz_yyyyyyy_0[j] + fr * tg_xxxyyyz_yyyyyyy_1[j] + 1.5 * fl1_fx * (tg_xxyyyz_yyyyyyy_0[j] - tg_xxyyyz_yyyyyyy_1[j] * fl1_fza);

                    tg_xxxxyyyz_yyyyyyz_0[j] = pb_x * tg_xxxyyyz_yyyyyyz_0[j] + fr * tg_xxxyyyz_yyyyyyz_1[j] + 1.5 * fl1_fx * (tg_xxyyyz_yyyyyyz_0[j] - tg_xxyyyz_yyyyyyz_1[j] * fl1_fza);

                    tg_xxxxyyyz_yyyyyzz_0[j] = pb_x * tg_xxxyyyz_yyyyyzz_0[j] + fr * tg_xxxyyyz_yyyyyzz_1[j] + 1.5 * fl1_fx * (tg_xxyyyz_yyyyyzz_0[j] - tg_xxyyyz_yyyyyzz_1[j] * fl1_fza);

                    tg_xxxxyyyz_yyyyzzz_0[j] = pb_x * tg_xxxyyyz_yyyyzzz_0[j] + fr * tg_xxxyyyz_yyyyzzz_1[j] + 1.5 * fl1_fx * (tg_xxyyyz_yyyyzzz_0[j] - tg_xxyyyz_yyyyzzz_1[j] * fl1_fza);

                    tg_xxxxyyyz_yyyzzzz_0[j] = pb_x * tg_xxxyyyz_yyyzzzz_0[j] + fr * tg_xxxyyyz_yyyzzzz_1[j] + 1.5 * fl1_fx * (tg_xxyyyz_yyyzzzz_0[j] - tg_xxyyyz_yyyzzzz_1[j] * fl1_fza);

                    tg_xxxxyyyz_yyzzzzz_0[j] = pb_x * tg_xxxyyyz_yyzzzzz_0[j] + fr * tg_xxxyyyz_yyzzzzz_1[j] + 1.5 * fl1_fx * (tg_xxyyyz_yyzzzzz_0[j] - tg_xxyyyz_yyzzzzz_1[j] * fl1_fza);

                    tg_xxxxyyyz_yzzzzzz_0[j] = pb_x * tg_xxxyyyz_yzzzzzz_0[j] + fr * tg_xxxyyyz_yzzzzzz_1[j] + 1.5 * fl1_fx * (tg_xxyyyz_yzzzzzz_0[j] - tg_xxyyyz_yzzzzzz_1[j] * fl1_fza);

                    tg_xxxxyyyz_zzzzzzz_0[j] = pb_x * tg_xxxyyyz_zzzzzzz_0[j] + fr * tg_xxxyyyz_zzzzzzz_1[j] + 1.5 * fl1_fx * (tg_xxyyyz_zzzzzzz_0[j] - tg_xxyyyz_zzzzzzz_1[j] * fl1_fza);

                    tg_xxxxyyzz_xxxxxxx_0[j] = pb_x * tg_xxxyyzz_xxxxxxx_0[j] + fr * tg_xxxyyzz_xxxxxxx_1[j] + 1.5 * fl1_fx * (tg_xxyyzz_xxxxxxx_0[j] - tg_xxyyzz_xxxxxxx_1[j] * fl1_fza) + 3.5 * fl1_fxn * tg_xxxyyzz_xxxxxx_1[j];

                    tg_xxxxyyzz_xxxxxxy_0[j] = pb_x * tg_xxxyyzz_xxxxxxy_0[j] + fr * tg_xxxyyzz_xxxxxxy_1[j] + 1.5 * fl1_fx * (tg_xxyyzz_xxxxxxy_0[j] - tg_xxyyzz_xxxxxxy_1[j] * fl1_fza) + 3.0 * fl1_fxn * tg_xxxyyzz_xxxxxy_1[j];

                    tg_xxxxyyzz_xxxxxxz_0[j] = pb_x * tg_xxxyyzz_xxxxxxz_0[j] + fr * tg_xxxyyzz_xxxxxxz_1[j] + 1.5 * fl1_fx * (tg_xxyyzz_xxxxxxz_0[j] - tg_xxyyzz_xxxxxxz_1[j] * fl1_fza) + 3.0 * fl1_fxn * tg_xxxyyzz_xxxxxz_1[j];

                    tg_xxxxyyzz_xxxxxyy_0[j] = pb_x * tg_xxxyyzz_xxxxxyy_0[j] + fr * tg_xxxyyzz_xxxxxyy_1[j] + 1.5 * fl1_fx * (tg_xxyyzz_xxxxxyy_0[j] - tg_xxyyzz_xxxxxyy_1[j] * fl1_fza) + 2.5 * fl1_fxn * tg_xxxyyzz_xxxxyy_1[j];

                    tg_xxxxyyzz_xxxxxyz_0[j] = pb_x * tg_xxxyyzz_xxxxxyz_0[j] + fr * tg_xxxyyzz_xxxxxyz_1[j] + 1.5 * fl1_fx * (tg_xxyyzz_xxxxxyz_0[j] - tg_xxyyzz_xxxxxyz_1[j] * fl1_fza) + 2.5 * fl1_fxn * tg_xxxyyzz_xxxxyz_1[j];

                    tg_xxxxyyzz_xxxxxzz_0[j] = pb_x * tg_xxxyyzz_xxxxxzz_0[j] + fr * tg_xxxyyzz_xxxxxzz_1[j] + 1.5 * fl1_fx * (tg_xxyyzz_xxxxxzz_0[j] - tg_xxyyzz_xxxxxzz_1[j] * fl1_fza) + 2.5 * fl1_fxn * tg_xxxyyzz_xxxxzz_1[j];

                    tg_xxxxyyzz_xxxxyyy_0[j] = pb_x * tg_xxxyyzz_xxxxyyy_0[j] + fr * tg_xxxyyzz_xxxxyyy_1[j] + 1.5 * fl1_fx * (tg_xxyyzz_xxxxyyy_0[j] - tg_xxyyzz_xxxxyyy_1[j] * fl1_fza) + 2.0 * fl1_fxn * tg_xxxyyzz_xxxyyy_1[j];

                    tg_xxxxyyzz_xxxxyyz_0[j] = pb_x * tg_xxxyyzz_xxxxyyz_0[j] + fr * tg_xxxyyzz_xxxxyyz_1[j] + 1.5 * fl1_fx * (tg_xxyyzz_xxxxyyz_0[j] - tg_xxyyzz_xxxxyyz_1[j] * fl1_fza) + 2.0 * fl1_fxn * tg_xxxyyzz_xxxyyz_1[j];

                    tg_xxxxyyzz_xxxxyzz_0[j] = pb_x * tg_xxxyyzz_xxxxyzz_0[j] + fr * tg_xxxyyzz_xxxxyzz_1[j] + 1.5 * fl1_fx * (tg_xxyyzz_xxxxyzz_0[j] - tg_xxyyzz_xxxxyzz_1[j] * fl1_fza) + 2.0 * fl1_fxn * tg_xxxyyzz_xxxyzz_1[j];

                    tg_xxxxyyzz_xxxxzzz_0[j] = pb_x * tg_xxxyyzz_xxxxzzz_0[j] + fr * tg_xxxyyzz_xxxxzzz_1[j] + 1.5 * fl1_fx * (tg_xxyyzz_xxxxzzz_0[j] - tg_xxyyzz_xxxxzzz_1[j] * fl1_fza) + 2.0 * fl1_fxn * tg_xxxyyzz_xxxzzz_1[j];

                    tg_xxxxyyzz_xxxyyyy_0[j] = pb_x * tg_xxxyyzz_xxxyyyy_0[j] + fr * tg_xxxyyzz_xxxyyyy_1[j] + 1.5 * fl1_fx * (tg_xxyyzz_xxxyyyy_0[j] - tg_xxyyzz_xxxyyyy_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_xxxyyzz_xxyyyy_1[j];

                    tg_xxxxyyzz_xxxyyyz_0[j] = pb_x * tg_xxxyyzz_xxxyyyz_0[j] + fr * tg_xxxyyzz_xxxyyyz_1[j] + 1.5 * fl1_fx * (tg_xxyyzz_xxxyyyz_0[j] - tg_xxyyzz_xxxyyyz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_xxxyyzz_xxyyyz_1[j];

                    tg_xxxxyyzz_xxxyyzz_0[j] = pb_x * tg_xxxyyzz_xxxyyzz_0[j] + fr * tg_xxxyyzz_xxxyyzz_1[j] + 1.5 * fl1_fx * (tg_xxyyzz_xxxyyzz_0[j] - tg_xxyyzz_xxxyyzz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_xxxyyzz_xxyyzz_1[j];

                    tg_xxxxyyzz_xxxyzzz_0[j] = pb_x * tg_xxxyyzz_xxxyzzz_0[j] + fr * tg_xxxyyzz_xxxyzzz_1[j] + 1.5 * fl1_fx * (tg_xxyyzz_xxxyzzz_0[j] - tg_xxyyzz_xxxyzzz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_xxxyyzz_xxyzzz_1[j];

                    tg_xxxxyyzz_xxxzzzz_0[j] = pb_x * tg_xxxyyzz_xxxzzzz_0[j] + fr * tg_xxxyyzz_xxxzzzz_1[j] + 1.5 * fl1_fx * (tg_xxyyzz_xxxzzzz_0[j] - tg_xxyyzz_xxxzzzz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_xxxyyzz_xxzzzz_1[j];

                    tg_xxxxyyzz_xxyyyyy_0[j] = pb_x * tg_xxxyyzz_xxyyyyy_0[j] + fr * tg_xxxyyzz_xxyyyyy_1[j] + 1.5 * fl1_fx * (tg_xxyyzz_xxyyyyy_0[j] - tg_xxyyzz_xxyyyyy_1[j] * fl1_fza) + fl1_fxn * tg_xxxyyzz_xyyyyy_1[j];

                    tg_xxxxyyzz_xxyyyyz_0[j] = pb_x * tg_xxxyyzz_xxyyyyz_0[j] + fr * tg_xxxyyzz_xxyyyyz_1[j] + 1.5 * fl1_fx * (tg_xxyyzz_xxyyyyz_0[j] - tg_xxyyzz_xxyyyyz_1[j] * fl1_fza) + fl1_fxn * tg_xxxyyzz_xyyyyz_1[j];

                    tg_xxxxyyzz_xxyyyzz_0[j] = pb_x * tg_xxxyyzz_xxyyyzz_0[j] + fr * tg_xxxyyzz_xxyyyzz_1[j] + 1.5 * fl1_fx * (tg_xxyyzz_xxyyyzz_0[j] - tg_xxyyzz_xxyyyzz_1[j] * fl1_fza) + fl1_fxn * tg_xxxyyzz_xyyyzz_1[j];

                    tg_xxxxyyzz_xxyyzzz_0[j] = pb_x * tg_xxxyyzz_xxyyzzz_0[j] + fr * tg_xxxyyzz_xxyyzzz_1[j] + 1.5 * fl1_fx * (tg_xxyyzz_xxyyzzz_0[j] - tg_xxyyzz_xxyyzzz_1[j] * fl1_fza) + fl1_fxn * tg_xxxyyzz_xyyzzz_1[j];

                    tg_xxxxyyzz_xxyzzzz_0[j] = pb_x * tg_xxxyyzz_xxyzzzz_0[j] + fr * tg_xxxyyzz_xxyzzzz_1[j] + 1.5 * fl1_fx * (tg_xxyyzz_xxyzzzz_0[j] - tg_xxyyzz_xxyzzzz_1[j] * fl1_fza) + fl1_fxn * tg_xxxyyzz_xyzzzz_1[j];

                    tg_xxxxyyzz_xxzzzzz_0[j] = pb_x * tg_xxxyyzz_xxzzzzz_0[j] + fr * tg_xxxyyzz_xxzzzzz_1[j] + 1.5 * fl1_fx * (tg_xxyyzz_xxzzzzz_0[j] - tg_xxyyzz_xxzzzzz_1[j] * fl1_fza) + fl1_fxn * tg_xxxyyzz_xzzzzz_1[j];

                    tg_xxxxyyzz_xyyyyyy_0[j] = pb_x * tg_xxxyyzz_xyyyyyy_0[j] + fr * tg_xxxyyzz_xyyyyyy_1[j] + 1.5 * fl1_fx * (tg_xxyyzz_xyyyyyy_0[j] - tg_xxyyzz_xyyyyyy_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xxxyyzz_yyyyyy_1[j];

                    tg_xxxxyyzz_xyyyyyz_0[j] = pb_x * tg_xxxyyzz_xyyyyyz_0[j] + fr * tg_xxxyyzz_xyyyyyz_1[j] + 1.5 * fl1_fx * (tg_xxyyzz_xyyyyyz_0[j] - tg_xxyyzz_xyyyyyz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xxxyyzz_yyyyyz_1[j];

                    tg_xxxxyyzz_xyyyyzz_0[j] = pb_x * tg_xxxyyzz_xyyyyzz_0[j] + fr * tg_xxxyyzz_xyyyyzz_1[j] + 1.5 * fl1_fx * (tg_xxyyzz_xyyyyzz_0[j] - tg_xxyyzz_xyyyyzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xxxyyzz_yyyyzz_1[j];

                    tg_xxxxyyzz_xyyyzzz_0[j] = pb_x * tg_xxxyyzz_xyyyzzz_0[j] + fr * tg_xxxyyzz_xyyyzzz_1[j] + 1.5 * fl1_fx * (tg_xxyyzz_xyyyzzz_0[j] - tg_xxyyzz_xyyyzzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xxxyyzz_yyyzzz_1[j];

                    tg_xxxxyyzz_xyyzzzz_0[j] = pb_x * tg_xxxyyzz_xyyzzzz_0[j] + fr * tg_xxxyyzz_xyyzzzz_1[j] + 1.5 * fl1_fx * (tg_xxyyzz_xyyzzzz_0[j] - tg_xxyyzz_xyyzzzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xxxyyzz_yyzzzz_1[j];

                    tg_xxxxyyzz_xyzzzzz_0[j] = pb_x * tg_xxxyyzz_xyzzzzz_0[j] + fr * tg_xxxyyzz_xyzzzzz_1[j] + 1.5 * fl1_fx * (tg_xxyyzz_xyzzzzz_0[j] - tg_xxyyzz_xyzzzzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xxxyyzz_yzzzzz_1[j];

                    tg_xxxxyyzz_xzzzzzz_0[j] = pb_x * tg_xxxyyzz_xzzzzzz_0[j] + fr * tg_xxxyyzz_xzzzzzz_1[j] + 1.5 * fl1_fx * (tg_xxyyzz_xzzzzzz_0[j] - tg_xxyyzz_xzzzzzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xxxyyzz_zzzzzz_1[j];

                    tg_xxxxyyzz_yyyyyyy_0[j] = pb_x * tg_xxxyyzz_yyyyyyy_0[j] + fr * tg_xxxyyzz_yyyyyyy_1[j] + 1.5 * fl1_fx * (tg_xxyyzz_yyyyyyy_0[j] - tg_xxyyzz_yyyyyyy_1[j] * fl1_fza);

                    tg_xxxxyyzz_yyyyyyz_0[j] = pb_x * tg_xxxyyzz_yyyyyyz_0[j] + fr * tg_xxxyyzz_yyyyyyz_1[j] + 1.5 * fl1_fx * (tg_xxyyzz_yyyyyyz_0[j] - tg_xxyyzz_yyyyyyz_1[j] * fl1_fza);

                    tg_xxxxyyzz_yyyyyzz_0[j] = pb_x * tg_xxxyyzz_yyyyyzz_0[j] + fr * tg_xxxyyzz_yyyyyzz_1[j] + 1.5 * fl1_fx * (tg_xxyyzz_yyyyyzz_0[j] - tg_xxyyzz_yyyyyzz_1[j] * fl1_fza);

                    tg_xxxxyyzz_yyyyzzz_0[j] = pb_x * tg_xxxyyzz_yyyyzzz_0[j] + fr * tg_xxxyyzz_yyyyzzz_1[j] + 1.5 * fl1_fx * (tg_xxyyzz_yyyyzzz_0[j] - tg_xxyyzz_yyyyzzz_1[j] * fl1_fza);

                    tg_xxxxyyzz_yyyzzzz_0[j] = pb_x * tg_xxxyyzz_yyyzzzz_0[j] + fr * tg_xxxyyzz_yyyzzzz_1[j] + 1.5 * fl1_fx * (tg_xxyyzz_yyyzzzz_0[j] - tg_xxyyzz_yyyzzzz_1[j] * fl1_fza);

                    tg_xxxxyyzz_yyzzzzz_0[j] = pb_x * tg_xxxyyzz_yyzzzzz_0[j] + fr * tg_xxxyyzz_yyzzzzz_1[j] + 1.5 * fl1_fx * (tg_xxyyzz_yyzzzzz_0[j] - tg_xxyyzz_yyzzzzz_1[j] * fl1_fza);

                    tg_xxxxyyzz_yzzzzzz_0[j] = pb_x * tg_xxxyyzz_yzzzzzz_0[j] + fr * tg_xxxyyzz_yzzzzzz_1[j] + 1.5 * fl1_fx * (tg_xxyyzz_yzzzzzz_0[j] - tg_xxyyzz_yzzzzzz_1[j] * fl1_fza);

                    tg_xxxxyyzz_zzzzzzz_0[j] = pb_x * tg_xxxyyzz_zzzzzzz_0[j] + fr * tg_xxxyyzz_zzzzzzz_1[j] + 1.5 * fl1_fx * (tg_xxyyzz_zzzzzzz_0[j] - tg_xxyyzz_zzzzzzz_1[j] * fl1_fza);

                    tg_xxxxyzzz_xxxxxxx_0[j] = pb_x * tg_xxxyzzz_xxxxxxx_0[j] + fr * tg_xxxyzzz_xxxxxxx_1[j] + 1.5 * fl1_fx * (tg_xxyzzz_xxxxxxx_0[j] - tg_xxyzzz_xxxxxxx_1[j] * fl1_fza) + 3.5 * fl1_fxn * tg_xxxyzzz_xxxxxx_1[j];

                    tg_xxxxyzzz_xxxxxxy_0[j] = pb_x * tg_xxxyzzz_xxxxxxy_0[j] + fr * tg_xxxyzzz_xxxxxxy_1[j] + 1.5 * fl1_fx * (tg_xxyzzz_xxxxxxy_0[j] - tg_xxyzzz_xxxxxxy_1[j] * fl1_fza) + 3.0 * fl1_fxn * tg_xxxyzzz_xxxxxy_1[j];

                    tg_xxxxyzzz_xxxxxxz_0[j] = pb_x * tg_xxxyzzz_xxxxxxz_0[j] + fr * tg_xxxyzzz_xxxxxxz_1[j] + 1.5 * fl1_fx * (tg_xxyzzz_xxxxxxz_0[j] - tg_xxyzzz_xxxxxxz_1[j] * fl1_fza) + 3.0 * fl1_fxn * tg_xxxyzzz_xxxxxz_1[j];

                    tg_xxxxyzzz_xxxxxyy_0[j] = pb_x * tg_xxxyzzz_xxxxxyy_0[j] + fr * tg_xxxyzzz_xxxxxyy_1[j] + 1.5 * fl1_fx * (tg_xxyzzz_xxxxxyy_0[j] - tg_xxyzzz_xxxxxyy_1[j] * fl1_fza) + 2.5 * fl1_fxn * tg_xxxyzzz_xxxxyy_1[j];

                    tg_xxxxyzzz_xxxxxyz_0[j] = pb_x * tg_xxxyzzz_xxxxxyz_0[j] + fr * tg_xxxyzzz_xxxxxyz_1[j] + 1.5 * fl1_fx * (tg_xxyzzz_xxxxxyz_0[j] - tg_xxyzzz_xxxxxyz_1[j] * fl1_fza) + 2.5 * fl1_fxn * tg_xxxyzzz_xxxxyz_1[j];

                    tg_xxxxyzzz_xxxxxzz_0[j] = pb_x * tg_xxxyzzz_xxxxxzz_0[j] + fr * tg_xxxyzzz_xxxxxzz_1[j] + 1.5 * fl1_fx * (tg_xxyzzz_xxxxxzz_0[j] - tg_xxyzzz_xxxxxzz_1[j] * fl1_fza) + 2.5 * fl1_fxn * tg_xxxyzzz_xxxxzz_1[j];

                    tg_xxxxyzzz_xxxxyyy_0[j] = pb_x * tg_xxxyzzz_xxxxyyy_0[j] + fr * tg_xxxyzzz_xxxxyyy_1[j] + 1.5 * fl1_fx * (tg_xxyzzz_xxxxyyy_0[j] - tg_xxyzzz_xxxxyyy_1[j] * fl1_fza) + 2.0 * fl1_fxn * tg_xxxyzzz_xxxyyy_1[j];

                    tg_xxxxyzzz_xxxxyyz_0[j] = pb_x * tg_xxxyzzz_xxxxyyz_0[j] + fr * tg_xxxyzzz_xxxxyyz_1[j] + 1.5 * fl1_fx * (tg_xxyzzz_xxxxyyz_0[j] - tg_xxyzzz_xxxxyyz_1[j] * fl1_fza) + 2.0 * fl1_fxn * tg_xxxyzzz_xxxyyz_1[j];

                    tg_xxxxyzzz_xxxxyzz_0[j] = pb_x * tg_xxxyzzz_xxxxyzz_0[j] + fr * tg_xxxyzzz_xxxxyzz_1[j] + 1.5 * fl1_fx * (tg_xxyzzz_xxxxyzz_0[j] - tg_xxyzzz_xxxxyzz_1[j] * fl1_fza) + 2.0 * fl1_fxn * tg_xxxyzzz_xxxyzz_1[j];

                    tg_xxxxyzzz_xxxxzzz_0[j] = pb_x * tg_xxxyzzz_xxxxzzz_0[j] + fr * tg_xxxyzzz_xxxxzzz_1[j] + 1.5 * fl1_fx * (tg_xxyzzz_xxxxzzz_0[j] - tg_xxyzzz_xxxxzzz_1[j] * fl1_fza) + 2.0 * fl1_fxn * tg_xxxyzzz_xxxzzz_1[j];

                    tg_xxxxyzzz_xxxyyyy_0[j] = pb_x * tg_xxxyzzz_xxxyyyy_0[j] + fr * tg_xxxyzzz_xxxyyyy_1[j] + 1.5 * fl1_fx * (tg_xxyzzz_xxxyyyy_0[j] - tg_xxyzzz_xxxyyyy_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_xxxyzzz_xxyyyy_1[j];

                    tg_xxxxyzzz_xxxyyyz_0[j] = pb_x * tg_xxxyzzz_xxxyyyz_0[j] + fr * tg_xxxyzzz_xxxyyyz_1[j] + 1.5 * fl1_fx * (tg_xxyzzz_xxxyyyz_0[j] - tg_xxyzzz_xxxyyyz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_xxxyzzz_xxyyyz_1[j];
                }

                idx++;
            }
        }
    }

    void
    compElectronRepulsionForSLSK_480_575(      CMemBlock2D<double>* primBuffer,
                                         const CRecursionMap&       recursionMap,
                                         const CMemBlock2D<double>& osFactors,
                                         const CMemBlock2D<double>& wpDistances,
                                         const CGtoPairsBlock&      braGtoPairsBlock,
                                         const CGtoPairsBlock&      ketGtoPairsBlock,
                                         const int32_t              nKetPrimPairs,
                                         const int32_t              iContrPair)
    {
        // Batch of Integrals (480,575)

        // set up pointers to primitives data on bra side

        auto spos = braGtoPairsBlock.getStartPositions();

        auto epos = braGtoPairsBlock.getEndPositions();

        // set up pointers to tensor of distance R(PB) = P - B

        auto r_pb_x = braGtoPairsBlock.getDistancesPBX();

        // set up pointers to common Obara-Saika factors

        auto b_fx = braGtoPairsBlock.getFactorsOneOverXi();

        // set up maximum order of integral

        auto mord = recursionMap.getMaxOrder({"Electron Repulsion"},
                                             {8, -1, -1, -1},
                                             {7, -1, -1, -1},
                                             1, 1);

        for (int32_t iord = 0; iord <= mord; iord++)
        {
            // set up index of integral

            auto pidx_g_8_7_m0 = recursionMap.index(CRecursionTerm({"Electron Repulsion"}, 0, true, 
                                                                   {8, -1, -1, -1}, {7, -1, -1, -1}, 
                                                                   1, 1, iord));

            // check if integral is needed in recursion expansion

            if (pidx_g_8_7_m0 == -1) continue;

            // set up indexes of auxilary integral

            auto pidx_g_7_7_m0 = recursionMap.index(CRecursionTerm({"Electron Repulsion"}, 0, true, 
                                                                   {7, -1, -1, -1}, {7, -1, -1, -1}, 
                                                                   1, 1, iord));

            auto pidx_g_7_7_m1 = recursionMap.index(CRecursionTerm({"Electron Repulsion"}, 0, true, 
                                                                   {7, -1, -1, -1}, {7, -1, -1, -1}, 
                                                                   1, 1, iord + 1));

            auto pidx_g_6_7_m0 = recursionMap.index(CRecursionTerm({"Electron Repulsion"}, 0, true, 
                                                                   {6, -1, -1, -1}, {7, -1, -1, -1}, 
                                                                   1, 1, iord));

            auto pidx_g_6_7_m1 = recursionMap.index(CRecursionTerm({"Electron Repulsion"}, 0, true, 
                                                                   {6, -1, -1, -1}, {7, -1, -1, -1}, 
                                                                   1, 1, iord + 1));

            auto pidx_g_7_6_m1 = recursionMap.index(CRecursionTerm({"Electron Repulsion"}, 0, true, 
                                                                   {7, -1, -1, -1}, {6, -1, -1, -1}, 
                                                                   1, 1, iord + 1));

            // loop over contracted GTO on bra side

            int32_t idx = 0;

            for (int32_t i = spos[iContrPair]; i < epos[iContrPair]; i++)
            {
                // set up pointers to Obara-Saika factors

                double fx = b_fx[i];

                auto fza = osFactors.data(4 * idx + 2);

                auto fxn = osFactors.data(4 * idx);

                // set up distances R(PB) = P - B

                auto pb_x = r_pb_x[i];

                // set up pointers to tensors product of distances R(WP) = W - P

                auto wp_x = wpDistances.data(3 * idx);

                // set up pointers to auxilary integrals

                auto tg_xxxyzzz_xxxyyzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 480); 

                auto tg_xxxyzzz_xxxyzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 481); 

                auto tg_xxxyzzz_xxxzzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 482); 

                auto tg_xxxyzzz_xxyyyyy_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 483); 

                auto tg_xxxyzzz_xxyyyyz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 484); 

                auto tg_xxxyzzz_xxyyyzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 485); 

                auto tg_xxxyzzz_xxyyzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 486); 

                auto tg_xxxyzzz_xxyzzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 487); 

                auto tg_xxxyzzz_xxzzzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 488); 

                auto tg_xxxyzzz_xyyyyyy_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 489); 

                auto tg_xxxyzzz_xyyyyyz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 490); 

                auto tg_xxxyzzz_xyyyyzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 491); 

                auto tg_xxxyzzz_xyyyzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 492); 

                auto tg_xxxyzzz_xyyzzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 493); 

                auto tg_xxxyzzz_xyzzzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 494); 

                auto tg_xxxyzzz_xzzzzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 495); 

                auto tg_xxxyzzz_yyyyyyy_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 496); 

                auto tg_xxxyzzz_yyyyyyz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 497); 

                auto tg_xxxyzzz_yyyyyzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 498); 

                auto tg_xxxyzzz_yyyyzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 499); 

                auto tg_xxxyzzz_yyyzzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 500); 

                auto tg_xxxyzzz_yyzzzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 501); 

                auto tg_xxxyzzz_yzzzzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 502); 

                auto tg_xxxyzzz_zzzzzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 503); 

                auto tg_xxxzzzz_xxxxxxx_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 504); 

                auto tg_xxxzzzz_xxxxxxy_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 505); 

                auto tg_xxxzzzz_xxxxxxz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 506); 

                auto tg_xxxzzzz_xxxxxyy_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 507); 

                auto tg_xxxzzzz_xxxxxyz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 508); 

                auto tg_xxxzzzz_xxxxxzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 509); 

                auto tg_xxxzzzz_xxxxyyy_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 510); 

                auto tg_xxxzzzz_xxxxyyz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 511); 

                auto tg_xxxzzzz_xxxxyzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 512); 

                auto tg_xxxzzzz_xxxxzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 513); 

                auto tg_xxxzzzz_xxxyyyy_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 514); 

                auto tg_xxxzzzz_xxxyyyz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 515); 

                auto tg_xxxzzzz_xxxyyzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 516); 

                auto tg_xxxzzzz_xxxyzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 517); 

                auto tg_xxxzzzz_xxxzzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 518); 

                auto tg_xxxzzzz_xxyyyyy_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 519); 

                auto tg_xxxzzzz_xxyyyyz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 520); 

                auto tg_xxxzzzz_xxyyyzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 521); 

                auto tg_xxxzzzz_xxyyzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 522); 

                auto tg_xxxzzzz_xxyzzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 523); 

                auto tg_xxxzzzz_xxzzzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 524); 

                auto tg_xxxzzzz_xyyyyyy_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 525); 

                auto tg_xxxzzzz_xyyyyyz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 526); 

                auto tg_xxxzzzz_xyyyyzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 527); 

                auto tg_xxxzzzz_xyyyzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 528); 

                auto tg_xxxzzzz_xyyzzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 529); 

                auto tg_xxxzzzz_xyzzzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 530); 

                auto tg_xxxzzzz_xzzzzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 531); 

                auto tg_xxxzzzz_yyyyyyy_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 532); 

                auto tg_xxxzzzz_yyyyyyz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 533); 

                auto tg_xxxzzzz_yyyyyzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 534); 

                auto tg_xxxzzzz_yyyyzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 535); 

                auto tg_xxxzzzz_yyyzzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 536); 

                auto tg_xxxzzzz_yyzzzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 537); 

                auto tg_xxxzzzz_yzzzzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 538); 

                auto tg_xxxzzzz_zzzzzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 539); 

                auto tg_xxyyyyy_xxxxxxx_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 540); 

                auto tg_xxyyyyy_xxxxxxy_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 541); 

                auto tg_xxyyyyy_xxxxxxz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 542); 

                auto tg_xxyyyyy_xxxxxyy_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 543); 

                auto tg_xxyyyyy_xxxxxyz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 544); 

                auto tg_xxyyyyy_xxxxxzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 545); 

                auto tg_xxyyyyy_xxxxyyy_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 546); 

                auto tg_xxyyyyy_xxxxyyz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 547); 

                auto tg_xxyyyyy_xxxxyzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 548); 

                auto tg_xxyyyyy_xxxxzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 549); 

                auto tg_xxyyyyy_xxxyyyy_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 550); 

                auto tg_xxyyyyy_xxxyyyz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 551); 

                auto tg_xxyyyyy_xxxyyzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 552); 

                auto tg_xxyyyyy_xxxyzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 553); 

                auto tg_xxyyyyy_xxxzzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 554); 

                auto tg_xxyyyyy_xxyyyyy_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 555); 

                auto tg_xxyyyyy_xxyyyyz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 556); 

                auto tg_xxyyyyy_xxyyyzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 557); 

                auto tg_xxyyyyy_xxyyzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 558); 

                auto tg_xxyyyyy_xxyzzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 559); 

                auto tg_xxyyyyy_xxzzzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 560); 

                auto tg_xxyyyyy_xyyyyyy_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 561); 

                auto tg_xxyyyyy_xyyyyyz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 562); 

                auto tg_xxyyyyy_xyyyyzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 563); 

                auto tg_xxyyyyy_xyyyzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 564); 

                auto tg_xxyyyyy_xyyzzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 565); 

                auto tg_xxyyyyy_xyzzzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 566); 

                auto tg_xxyyyyy_xzzzzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 567); 

                auto tg_xxyyyyy_yyyyyyy_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 568); 

                auto tg_xxyyyyy_yyyyyyz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 569); 

                auto tg_xxyyyyy_yyyyyzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 570); 

                auto tg_xxyyyyy_yyyyzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 571); 

                auto tg_xxyyyyy_yyyzzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 572); 

                auto tg_xxyyyyy_yyzzzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 573); 

                auto tg_xxyyyyy_yzzzzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 574); 

                auto tg_xxxyzzz_xxxyyzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 480); 

                auto tg_xxxyzzz_xxxyzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 481); 

                auto tg_xxxyzzz_xxxzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 482); 

                auto tg_xxxyzzz_xxyyyyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 483); 

                auto tg_xxxyzzz_xxyyyyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 484); 

                auto tg_xxxyzzz_xxyyyzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 485); 

                auto tg_xxxyzzz_xxyyzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 486); 

                auto tg_xxxyzzz_xxyzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 487); 

                auto tg_xxxyzzz_xxzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 488); 

                auto tg_xxxyzzz_xyyyyyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 489); 

                auto tg_xxxyzzz_xyyyyyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 490); 

                auto tg_xxxyzzz_xyyyyzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 491); 

                auto tg_xxxyzzz_xyyyzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 492); 

                auto tg_xxxyzzz_xyyzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 493); 

                auto tg_xxxyzzz_xyzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 494); 

                auto tg_xxxyzzz_xzzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 495); 

                auto tg_xxxyzzz_yyyyyyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 496); 

                auto tg_xxxyzzz_yyyyyyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 497); 

                auto tg_xxxyzzz_yyyyyzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 498); 

                auto tg_xxxyzzz_yyyyzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 499); 

                auto tg_xxxyzzz_yyyzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 500); 

                auto tg_xxxyzzz_yyzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 501); 

                auto tg_xxxyzzz_yzzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 502); 

                auto tg_xxxyzzz_zzzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 503); 

                auto tg_xxxzzzz_xxxxxxx_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 504); 

                auto tg_xxxzzzz_xxxxxxy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 505); 

                auto tg_xxxzzzz_xxxxxxz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 506); 

                auto tg_xxxzzzz_xxxxxyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 507); 

                auto tg_xxxzzzz_xxxxxyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 508); 

                auto tg_xxxzzzz_xxxxxzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 509); 

                auto tg_xxxzzzz_xxxxyyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 510); 

                auto tg_xxxzzzz_xxxxyyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 511); 

                auto tg_xxxzzzz_xxxxyzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 512); 

                auto tg_xxxzzzz_xxxxzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 513); 

                auto tg_xxxzzzz_xxxyyyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 514); 

                auto tg_xxxzzzz_xxxyyyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 515); 

                auto tg_xxxzzzz_xxxyyzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 516); 

                auto tg_xxxzzzz_xxxyzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 517); 

                auto tg_xxxzzzz_xxxzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 518); 

                auto tg_xxxzzzz_xxyyyyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 519); 

                auto tg_xxxzzzz_xxyyyyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 520); 

                auto tg_xxxzzzz_xxyyyzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 521); 

                auto tg_xxxzzzz_xxyyzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 522); 

                auto tg_xxxzzzz_xxyzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 523); 

                auto tg_xxxzzzz_xxzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 524); 

                auto tg_xxxzzzz_xyyyyyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 525); 

                auto tg_xxxzzzz_xyyyyyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 526); 

                auto tg_xxxzzzz_xyyyyzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 527); 

                auto tg_xxxzzzz_xyyyzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 528); 

                auto tg_xxxzzzz_xyyzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 529); 

                auto tg_xxxzzzz_xyzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 530); 

                auto tg_xxxzzzz_xzzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 531); 

                auto tg_xxxzzzz_yyyyyyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 532); 

                auto tg_xxxzzzz_yyyyyyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 533); 

                auto tg_xxxzzzz_yyyyyzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 534); 

                auto tg_xxxzzzz_yyyyzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 535); 

                auto tg_xxxzzzz_yyyzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 536); 

                auto tg_xxxzzzz_yyzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 537); 

                auto tg_xxxzzzz_yzzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 538); 

                auto tg_xxxzzzz_zzzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 539); 

                auto tg_xxyyyyy_xxxxxxx_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 540); 

                auto tg_xxyyyyy_xxxxxxy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 541); 

                auto tg_xxyyyyy_xxxxxxz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 542); 

                auto tg_xxyyyyy_xxxxxyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 543); 

                auto tg_xxyyyyy_xxxxxyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 544); 

                auto tg_xxyyyyy_xxxxxzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 545); 

                auto tg_xxyyyyy_xxxxyyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 546); 

                auto tg_xxyyyyy_xxxxyyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 547); 

                auto tg_xxyyyyy_xxxxyzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 548); 

                auto tg_xxyyyyy_xxxxzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 549); 

                auto tg_xxyyyyy_xxxyyyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 550); 

                auto tg_xxyyyyy_xxxyyyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 551); 

                auto tg_xxyyyyy_xxxyyzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 552); 

                auto tg_xxyyyyy_xxxyzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 553); 

                auto tg_xxyyyyy_xxxzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 554); 

                auto tg_xxyyyyy_xxyyyyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 555); 

                auto tg_xxyyyyy_xxyyyyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 556); 

                auto tg_xxyyyyy_xxyyyzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 557); 

                auto tg_xxyyyyy_xxyyzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 558); 

                auto tg_xxyyyyy_xxyzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 559); 

                auto tg_xxyyyyy_xxzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 560); 

                auto tg_xxyyyyy_xyyyyyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 561); 

                auto tg_xxyyyyy_xyyyyyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 562); 

                auto tg_xxyyyyy_xyyyyzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 563); 

                auto tg_xxyyyyy_xyyyzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 564); 

                auto tg_xxyyyyy_xyyzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 565); 

                auto tg_xxyyyyy_xyzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 566); 

                auto tg_xxyyyyy_xzzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 567); 

                auto tg_xxyyyyy_yyyyyyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 568); 

                auto tg_xxyyyyy_yyyyyyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 569); 

                auto tg_xxyyyyy_yyyyyzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 570); 

                auto tg_xxyyyyy_yyyyzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 571); 

                auto tg_xxyyyyy_yyyzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 572); 

                auto tg_xxyyyyy_yyzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 573); 

                auto tg_xxyyyyy_yzzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 574); 

                auto tg_xxyzzz_xxxyyzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 480); 

                auto tg_xxyzzz_xxxyzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 481); 

                auto tg_xxyzzz_xxxzzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 482); 

                auto tg_xxyzzz_xxyyyyy_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 483); 

                auto tg_xxyzzz_xxyyyyz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 484); 

                auto tg_xxyzzz_xxyyyzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 485); 

                auto tg_xxyzzz_xxyyzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 486); 

                auto tg_xxyzzz_xxyzzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 487); 

                auto tg_xxyzzz_xxzzzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 488); 

                auto tg_xxyzzz_xyyyyyy_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 489); 

                auto tg_xxyzzz_xyyyyyz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 490); 

                auto tg_xxyzzz_xyyyyzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 491); 

                auto tg_xxyzzz_xyyyzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 492); 

                auto tg_xxyzzz_xyyzzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 493); 

                auto tg_xxyzzz_xyzzzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 494); 

                auto tg_xxyzzz_xzzzzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 495); 

                auto tg_xxyzzz_yyyyyyy_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 496); 

                auto tg_xxyzzz_yyyyyyz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 497); 

                auto tg_xxyzzz_yyyyyzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 498); 

                auto tg_xxyzzz_yyyyzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 499); 

                auto tg_xxyzzz_yyyzzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 500); 

                auto tg_xxyzzz_yyzzzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 501); 

                auto tg_xxyzzz_yzzzzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 502); 

                auto tg_xxyzzz_zzzzzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 503); 

                auto tg_xxzzzz_xxxxxxx_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 504); 

                auto tg_xxzzzz_xxxxxxy_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 505); 

                auto tg_xxzzzz_xxxxxxz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 506); 

                auto tg_xxzzzz_xxxxxyy_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 507); 

                auto tg_xxzzzz_xxxxxyz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 508); 

                auto tg_xxzzzz_xxxxxzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 509); 

                auto tg_xxzzzz_xxxxyyy_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 510); 

                auto tg_xxzzzz_xxxxyyz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 511); 

                auto tg_xxzzzz_xxxxyzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 512); 

                auto tg_xxzzzz_xxxxzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 513); 

                auto tg_xxzzzz_xxxyyyy_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 514); 

                auto tg_xxzzzz_xxxyyyz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 515); 

                auto tg_xxzzzz_xxxyyzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 516); 

                auto tg_xxzzzz_xxxyzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 517); 

                auto tg_xxzzzz_xxxzzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 518); 

                auto tg_xxzzzz_xxyyyyy_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 519); 

                auto tg_xxzzzz_xxyyyyz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 520); 

                auto tg_xxzzzz_xxyyyzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 521); 

                auto tg_xxzzzz_xxyyzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 522); 

                auto tg_xxzzzz_xxyzzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 523); 

                auto tg_xxzzzz_xxzzzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 524); 

                auto tg_xxzzzz_xyyyyyy_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 525); 

                auto tg_xxzzzz_xyyyyyz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 526); 

                auto tg_xxzzzz_xyyyyzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 527); 

                auto tg_xxzzzz_xyyyzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 528); 

                auto tg_xxzzzz_xyyzzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 529); 

                auto tg_xxzzzz_xyzzzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 530); 

                auto tg_xxzzzz_xzzzzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 531); 

                auto tg_xxzzzz_yyyyyyy_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 532); 

                auto tg_xxzzzz_yyyyyyz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 533); 

                auto tg_xxzzzz_yyyyyzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 534); 

                auto tg_xxzzzz_yyyyzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 535); 

                auto tg_xxzzzz_yyyzzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 536); 

                auto tg_xxzzzz_yyzzzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 537); 

                auto tg_xxzzzz_yzzzzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 538); 

                auto tg_xxzzzz_zzzzzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 539); 

                auto tg_xyyyyy_xxxxxxx_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 540); 

                auto tg_xyyyyy_xxxxxxy_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 541); 

                auto tg_xyyyyy_xxxxxxz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 542); 

                auto tg_xyyyyy_xxxxxyy_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 543); 

                auto tg_xyyyyy_xxxxxyz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 544); 

                auto tg_xyyyyy_xxxxxzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 545); 

                auto tg_xyyyyy_xxxxyyy_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 546); 

                auto tg_xyyyyy_xxxxyyz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 547); 

                auto tg_xyyyyy_xxxxyzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 548); 

                auto tg_xyyyyy_xxxxzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 549); 

                auto tg_xyyyyy_xxxyyyy_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 550); 

                auto tg_xyyyyy_xxxyyyz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 551); 

                auto tg_xyyyyy_xxxyyzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 552); 

                auto tg_xyyyyy_xxxyzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 553); 

                auto tg_xyyyyy_xxxzzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 554); 

                auto tg_xyyyyy_xxyyyyy_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 555); 

                auto tg_xyyyyy_xxyyyyz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 556); 

                auto tg_xyyyyy_xxyyyzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 557); 

                auto tg_xyyyyy_xxyyzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 558); 

                auto tg_xyyyyy_xxyzzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 559); 

                auto tg_xyyyyy_xxzzzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 560); 

                auto tg_xyyyyy_xyyyyyy_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 561); 

                auto tg_xyyyyy_xyyyyyz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 562); 

                auto tg_xyyyyy_xyyyyzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 563); 

                auto tg_xyyyyy_xyyyzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 564); 

                auto tg_xyyyyy_xyyzzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 565); 

                auto tg_xyyyyy_xyzzzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 566); 

                auto tg_xyyyyy_xzzzzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 567); 

                auto tg_xyyyyy_yyyyyyy_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 568); 

                auto tg_xyyyyy_yyyyyyz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 569); 

                auto tg_xyyyyy_yyyyyzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 570); 

                auto tg_xyyyyy_yyyyzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 571); 

                auto tg_xyyyyy_yyyzzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 572); 

                auto tg_xyyyyy_yyzzzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 573); 

                auto tg_xyyyyy_yzzzzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 574); 

                auto tg_xxyzzz_xxxyyzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 480); 

                auto tg_xxyzzz_xxxyzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 481); 

                auto tg_xxyzzz_xxxzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 482); 

                auto tg_xxyzzz_xxyyyyy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 483); 

                auto tg_xxyzzz_xxyyyyz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 484); 

                auto tg_xxyzzz_xxyyyzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 485); 

                auto tg_xxyzzz_xxyyzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 486); 

                auto tg_xxyzzz_xxyzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 487); 

                auto tg_xxyzzz_xxzzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 488); 

                auto tg_xxyzzz_xyyyyyy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 489); 

                auto tg_xxyzzz_xyyyyyz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 490); 

                auto tg_xxyzzz_xyyyyzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 491); 

                auto tg_xxyzzz_xyyyzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 492); 

                auto tg_xxyzzz_xyyzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 493); 

                auto tg_xxyzzz_xyzzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 494); 

                auto tg_xxyzzz_xzzzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 495); 

                auto tg_xxyzzz_yyyyyyy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 496); 

                auto tg_xxyzzz_yyyyyyz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 497); 

                auto tg_xxyzzz_yyyyyzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 498); 

                auto tg_xxyzzz_yyyyzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 499); 

                auto tg_xxyzzz_yyyzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 500); 

                auto tg_xxyzzz_yyzzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 501); 

                auto tg_xxyzzz_yzzzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 502); 

                auto tg_xxyzzz_zzzzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 503); 

                auto tg_xxzzzz_xxxxxxx_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 504); 

                auto tg_xxzzzz_xxxxxxy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 505); 

                auto tg_xxzzzz_xxxxxxz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 506); 

                auto tg_xxzzzz_xxxxxyy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 507); 

                auto tg_xxzzzz_xxxxxyz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 508); 

                auto tg_xxzzzz_xxxxxzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 509); 

                auto tg_xxzzzz_xxxxyyy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 510); 

                auto tg_xxzzzz_xxxxyyz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 511); 

                auto tg_xxzzzz_xxxxyzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 512); 

                auto tg_xxzzzz_xxxxzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 513); 

                auto tg_xxzzzz_xxxyyyy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 514); 

                auto tg_xxzzzz_xxxyyyz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 515); 

                auto tg_xxzzzz_xxxyyzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 516); 

                auto tg_xxzzzz_xxxyzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 517); 

                auto tg_xxzzzz_xxxzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 518); 

                auto tg_xxzzzz_xxyyyyy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 519); 

                auto tg_xxzzzz_xxyyyyz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 520); 

                auto tg_xxzzzz_xxyyyzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 521); 

                auto tg_xxzzzz_xxyyzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 522); 

                auto tg_xxzzzz_xxyzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 523); 

                auto tg_xxzzzz_xxzzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 524); 

                auto tg_xxzzzz_xyyyyyy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 525); 

                auto tg_xxzzzz_xyyyyyz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 526); 

                auto tg_xxzzzz_xyyyyzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 527); 

                auto tg_xxzzzz_xyyyzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 528); 

                auto tg_xxzzzz_xyyzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 529); 

                auto tg_xxzzzz_xyzzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 530); 

                auto tg_xxzzzz_xzzzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 531); 

                auto tg_xxzzzz_yyyyyyy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 532); 

                auto tg_xxzzzz_yyyyyyz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 533); 

                auto tg_xxzzzz_yyyyyzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 534); 

                auto tg_xxzzzz_yyyyzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 535); 

                auto tg_xxzzzz_yyyzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 536); 

                auto tg_xxzzzz_yyzzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 537); 

                auto tg_xxzzzz_yzzzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 538); 

                auto tg_xxzzzz_zzzzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 539); 

                auto tg_xyyyyy_xxxxxxx_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 540); 

                auto tg_xyyyyy_xxxxxxy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 541); 

                auto tg_xyyyyy_xxxxxxz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 542); 

                auto tg_xyyyyy_xxxxxyy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 543); 

                auto tg_xyyyyy_xxxxxyz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 544); 

                auto tg_xyyyyy_xxxxxzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 545); 

                auto tg_xyyyyy_xxxxyyy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 546); 

                auto tg_xyyyyy_xxxxyyz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 547); 

                auto tg_xyyyyy_xxxxyzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 548); 

                auto tg_xyyyyy_xxxxzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 549); 

                auto tg_xyyyyy_xxxyyyy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 550); 

                auto tg_xyyyyy_xxxyyyz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 551); 

                auto tg_xyyyyy_xxxyyzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 552); 

                auto tg_xyyyyy_xxxyzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 553); 

                auto tg_xyyyyy_xxxzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 554); 

                auto tg_xyyyyy_xxyyyyy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 555); 

                auto tg_xyyyyy_xxyyyyz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 556); 

                auto tg_xyyyyy_xxyyyzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 557); 

                auto tg_xyyyyy_xxyyzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 558); 

                auto tg_xyyyyy_xxyzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 559); 

                auto tg_xyyyyy_xxzzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 560); 

                auto tg_xyyyyy_xyyyyyy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 561); 

                auto tg_xyyyyy_xyyyyyz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 562); 

                auto tg_xyyyyy_xyyyyzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 563); 

                auto tg_xyyyyy_xyyyzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 564); 

                auto tg_xyyyyy_xyyzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 565); 

                auto tg_xyyyyy_xyzzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 566); 

                auto tg_xyyyyy_xzzzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 567); 

                auto tg_xyyyyy_yyyyyyy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 568); 

                auto tg_xyyyyy_yyyyyyz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 569); 

                auto tg_xyyyyy_yyyyyzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 570); 

                auto tg_xyyyyy_yyyyzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 571); 

                auto tg_xyyyyy_yyyzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 572); 

                auto tg_xyyyyy_yyzzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 573); 

                auto tg_xyyyyy_yzzzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 574); 

                auto tg_xxxyzzz_xxyyzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 376); 

                auto tg_xxxyzzz_xxyzzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 377); 

                auto tg_xxxyzzz_xxzzzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 378); 

                auto tg_xxxyzzz_xyyyyy_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 379); 

                auto tg_xxxyzzz_xyyyyz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 380); 

                auto tg_xxxyzzz_xyyyzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 381); 

                auto tg_xxxyzzz_xyyzzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 382); 

                auto tg_xxxyzzz_xyzzzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 383); 

                auto tg_xxxyzzz_xzzzzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 384); 

                auto tg_xxxyzzz_yyyyyy_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 385); 

                auto tg_xxxyzzz_yyyyyz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 386); 

                auto tg_xxxyzzz_yyyyzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 387); 

                auto tg_xxxyzzz_yyyzzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 388); 

                auto tg_xxxyzzz_yyzzzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 389); 

                auto tg_xxxyzzz_yzzzzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 390); 

                auto tg_xxxyzzz_zzzzzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 391); 

                auto tg_xxxzzzz_xxxxxx_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 392); 

                auto tg_xxxzzzz_xxxxxy_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 393); 

                auto tg_xxxzzzz_xxxxxz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 394); 

                auto tg_xxxzzzz_xxxxyy_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 395); 

                auto tg_xxxzzzz_xxxxyz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 396); 

                auto tg_xxxzzzz_xxxxzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 397); 

                auto tg_xxxzzzz_xxxyyy_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 398); 

                auto tg_xxxzzzz_xxxyyz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 399); 

                auto tg_xxxzzzz_xxxyzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 400); 

                auto tg_xxxzzzz_xxxzzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 401); 

                auto tg_xxxzzzz_xxyyyy_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 402); 

                auto tg_xxxzzzz_xxyyyz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 403); 

                auto tg_xxxzzzz_xxyyzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 404); 

                auto tg_xxxzzzz_xxyzzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 405); 

                auto tg_xxxzzzz_xxzzzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 406); 

                auto tg_xxxzzzz_xyyyyy_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 407); 

                auto tg_xxxzzzz_xyyyyz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 408); 

                auto tg_xxxzzzz_xyyyzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 409); 

                auto tg_xxxzzzz_xyyzzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 410); 

                auto tg_xxxzzzz_xyzzzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 411); 

                auto tg_xxxzzzz_xzzzzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 412); 

                auto tg_xxxzzzz_yyyyyy_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 413); 

                auto tg_xxxzzzz_yyyyyz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 414); 

                auto tg_xxxzzzz_yyyyzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 415); 

                auto tg_xxxzzzz_yyyzzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 416); 

                auto tg_xxxzzzz_yyzzzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 417); 

                auto tg_xxxzzzz_yzzzzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 418); 

                auto tg_xxxzzzz_zzzzzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 419); 

                auto tg_xxyyyyy_xxxxxx_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 420); 

                auto tg_xxyyyyy_xxxxxy_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 421); 

                auto tg_xxyyyyy_xxxxxz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 422); 

                auto tg_xxyyyyy_xxxxyy_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 423); 

                auto tg_xxyyyyy_xxxxyz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 424); 

                auto tg_xxyyyyy_xxxxzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 425); 

                auto tg_xxyyyyy_xxxyyy_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 426); 

                auto tg_xxyyyyy_xxxyyz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 427); 

                auto tg_xxyyyyy_xxxyzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 428); 

                auto tg_xxyyyyy_xxxzzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 429); 

                auto tg_xxyyyyy_xxyyyy_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 430); 

                auto tg_xxyyyyy_xxyyyz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 431); 

                auto tg_xxyyyyy_xxyyzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 432); 

                auto tg_xxyyyyy_xxyzzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 433); 

                auto tg_xxyyyyy_xxzzzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 434); 

                auto tg_xxyyyyy_xyyyyy_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 435); 

                auto tg_xxyyyyy_xyyyyz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 436); 

                auto tg_xxyyyyy_xyyyzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 437); 

                auto tg_xxyyyyy_xyyzzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 438); 

                auto tg_xxyyyyy_xyzzzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 439); 

                auto tg_xxyyyyy_xzzzzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 440); 

                auto tg_xxyyyyy_yyyyyy_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 441); 

                auto tg_xxyyyyy_yyyyyz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 442); 

                auto tg_xxyyyyy_yyyyzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 443); 

                auto tg_xxyyyyy_yyyzzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 444); 

                auto tg_xxyyyyy_yyzzzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 445); 

                auto tg_xxyyyyy_yzzzzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 446); 

                auto tg_xxyyyyy_zzzzzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 447); 

                // set up pointers to integrals

                auto tg_xxxxyzzz_xxxyyzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 480); 

                auto tg_xxxxyzzz_xxxyzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 481); 

                auto tg_xxxxyzzz_xxxzzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 482); 

                auto tg_xxxxyzzz_xxyyyyy_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 483); 

                auto tg_xxxxyzzz_xxyyyyz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 484); 

                auto tg_xxxxyzzz_xxyyyzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 485); 

                auto tg_xxxxyzzz_xxyyzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 486); 

                auto tg_xxxxyzzz_xxyzzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 487); 

                auto tg_xxxxyzzz_xxzzzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 488); 

                auto tg_xxxxyzzz_xyyyyyy_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 489); 

                auto tg_xxxxyzzz_xyyyyyz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 490); 

                auto tg_xxxxyzzz_xyyyyzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 491); 

                auto tg_xxxxyzzz_xyyyzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 492); 

                auto tg_xxxxyzzz_xyyzzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 493); 

                auto tg_xxxxyzzz_xyzzzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 494); 

                auto tg_xxxxyzzz_xzzzzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 495); 

                auto tg_xxxxyzzz_yyyyyyy_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 496); 

                auto tg_xxxxyzzz_yyyyyyz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 497); 

                auto tg_xxxxyzzz_yyyyyzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 498); 

                auto tg_xxxxyzzz_yyyyzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 499); 

                auto tg_xxxxyzzz_yyyzzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 500); 

                auto tg_xxxxyzzz_yyzzzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 501); 

                auto tg_xxxxyzzz_yzzzzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 502); 

                auto tg_xxxxyzzz_zzzzzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 503); 

                auto tg_xxxxzzzz_xxxxxxx_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 504); 

                auto tg_xxxxzzzz_xxxxxxy_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 505); 

                auto tg_xxxxzzzz_xxxxxxz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 506); 

                auto tg_xxxxzzzz_xxxxxyy_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 507); 

                auto tg_xxxxzzzz_xxxxxyz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 508); 

                auto tg_xxxxzzzz_xxxxxzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 509); 

                auto tg_xxxxzzzz_xxxxyyy_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 510); 

                auto tg_xxxxzzzz_xxxxyyz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 511); 

                auto tg_xxxxzzzz_xxxxyzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 512); 

                auto tg_xxxxzzzz_xxxxzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 513); 

                auto tg_xxxxzzzz_xxxyyyy_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 514); 

                auto tg_xxxxzzzz_xxxyyyz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 515); 

                auto tg_xxxxzzzz_xxxyyzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 516); 

                auto tg_xxxxzzzz_xxxyzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 517); 

                auto tg_xxxxzzzz_xxxzzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 518); 

                auto tg_xxxxzzzz_xxyyyyy_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 519); 

                auto tg_xxxxzzzz_xxyyyyz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 520); 

                auto tg_xxxxzzzz_xxyyyzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 521); 

                auto tg_xxxxzzzz_xxyyzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 522); 

                auto tg_xxxxzzzz_xxyzzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 523); 

                auto tg_xxxxzzzz_xxzzzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 524); 

                auto tg_xxxxzzzz_xyyyyyy_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 525); 

                auto tg_xxxxzzzz_xyyyyyz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 526); 

                auto tg_xxxxzzzz_xyyyyzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 527); 

                auto tg_xxxxzzzz_xyyyzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 528); 

                auto tg_xxxxzzzz_xyyzzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 529); 

                auto tg_xxxxzzzz_xyzzzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 530); 

                auto tg_xxxxzzzz_xzzzzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 531); 

                auto tg_xxxxzzzz_yyyyyyy_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 532); 

                auto tg_xxxxzzzz_yyyyyyz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 533); 

                auto tg_xxxxzzzz_yyyyyzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 534); 

                auto tg_xxxxzzzz_yyyyzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 535); 

                auto tg_xxxxzzzz_yyyzzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 536); 

                auto tg_xxxxzzzz_yyzzzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 537); 

                auto tg_xxxxzzzz_yzzzzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 538); 

                auto tg_xxxxzzzz_zzzzzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 539); 

                auto tg_xxxyyyyy_xxxxxxx_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 540); 

                auto tg_xxxyyyyy_xxxxxxy_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 541); 

                auto tg_xxxyyyyy_xxxxxxz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 542); 

                auto tg_xxxyyyyy_xxxxxyy_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 543); 

                auto tg_xxxyyyyy_xxxxxyz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 544); 

                auto tg_xxxyyyyy_xxxxxzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 545); 

                auto tg_xxxyyyyy_xxxxyyy_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 546); 

                auto tg_xxxyyyyy_xxxxyyz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 547); 

                auto tg_xxxyyyyy_xxxxyzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 548); 

                auto tg_xxxyyyyy_xxxxzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 549); 

                auto tg_xxxyyyyy_xxxyyyy_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 550); 

                auto tg_xxxyyyyy_xxxyyyz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 551); 

                auto tg_xxxyyyyy_xxxyyzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 552); 

                auto tg_xxxyyyyy_xxxyzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 553); 

                auto tg_xxxyyyyy_xxxzzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 554); 

                auto tg_xxxyyyyy_xxyyyyy_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 555); 

                auto tg_xxxyyyyy_xxyyyyz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 556); 

                auto tg_xxxyyyyy_xxyyyzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 557); 

                auto tg_xxxyyyyy_xxyyzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 558); 

                auto tg_xxxyyyyy_xxyzzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 559); 

                auto tg_xxxyyyyy_xxzzzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 560); 

                auto tg_xxxyyyyy_xyyyyyy_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 561); 

                auto tg_xxxyyyyy_xyyyyyz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 562); 

                auto tg_xxxyyyyy_xyyyyzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 563); 

                auto tg_xxxyyyyy_xyyyzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 564); 

                auto tg_xxxyyyyy_xyyzzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 565); 

                auto tg_xxxyyyyy_xyzzzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 566); 

                auto tg_xxxyyyyy_xzzzzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 567); 

                auto tg_xxxyyyyy_yyyyyyy_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 568); 

                auto tg_xxxyyyyy_yyyyyyz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 569); 

                auto tg_xxxyyyyy_yyyyyzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 570); 

                auto tg_xxxyyyyy_yyyyzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 571); 

                auto tg_xxxyyyyy_yyyzzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 572); 

                auto tg_xxxyyyyy_yyzzzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 573); 

                auto tg_xxxyyyyy_yzzzzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 574); 

                // Batch of Integrals (480,575)

                #pragma omp simd aligned(fxn, fza, tg_xxxxyzzz_xxxyyzz_0, tg_xxxxyzzz_xxxyzzz_0, \
                                         tg_xxxxyzzz_xxxzzzz_0, tg_xxxxyzzz_xxyyyyy_0, tg_xxxxyzzz_xxyyyyz_0, \
                                         tg_xxxxyzzz_xxyyyzz_0, tg_xxxxyzzz_xxyyzzz_0, tg_xxxxyzzz_xxyzzzz_0, \
                                         tg_xxxxyzzz_xxzzzzz_0, tg_xxxxyzzz_xyyyyyy_0, tg_xxxxyzzz_xyyyyyz_0, \
                                         tg_xxxxyzzz_xyyyyzz_0, tg_xxxxyzzz_xyyyzzz_0, tg_xxxxyzzz_xyyzzzz_0, \
                                         tg_xxxxyzzz_xyzzzzz_0, tg_xxxxyzzz_xzzzzzz_0, tg_xxxxyzzz_yyyyyyy_0, \
                                         tg_xxxxyzzz_yyyyyyz_0, tg_xxxxyzzz_yyyyyzz_0, tg_xxxxyzzz_yyyyzzz_0, \
                                         tg_xxxxyzzz_yyyzzzz_0, tg_xxxxyzzz_yyzzzzz_0, tg_xxxxyzzz_yzzzzzz_0, \
                                         tg_xxxxyzzz_zzzzzzz_0, tg_xxxxzzzz_xxxxxxx_0, tg_xxxxzzzz_xxxxxxy_0, \
                                         tg_xxxxzzzz_xxxxxxz_0, tg_xxxxzzzz_xxxxxyy_0, tg_xxxxzzzz_xxxxxyz_0, \
                                         tg_xxxxzzzz_xxxxxzz_0, tg_xxxxzzzz_xxxxyyy_0, tg_xxxxzzzz_xxxxyyz_0, \
                                         tg_xxxxzzzz_xxxxyzz_0, tg_xxxxzzzz_xxxxzzz_0, tg_xxxxzzzz_xxxyyyy_0, \
                                         tg_xxxxzzzz_xxxyyyz_0, tg_xxxxzzzz_xxxyyzz_0, tg_xxxxzzzz_xxxyzzz_0, \
                                         tg_xxxxzzzz_xxxzzzz_0, tg_xxxxzzzz_xxyyyyy_0, tg_xxxxzzzz_xxyyyyz_0, \
                                         tg_xxxxzzzz_xxyyyzz_0, tg_xxxxzzzz_xxyyzzz_0, tg_xxxxzzzz_xxyzzzz_0, \
                                         tg_xxxxzzzz_xxzzzzz_0, tg_xxxxzzzz_xyyyyyy_0, tg_xxxxzzzz_xyyyyyz_0, \
                                         tg_xxxxzzzz_xyyyyzz_0, tg_xxxxzzzz_xyyyzzz_0, tg_xxxxzzzz_xyyzzzz_0, \
                                         tg_xxxxzzzz_xyzzzzz_0, tg_xxxxzzzz_xzzzzzz_0, tg_xxxxzzzz_yyyyyyy_0, \
                                         tg_xxxxzzzz_yyyyyyz_0, tg_xxxxzzzz_yyyyyzz_0, tg_xxxxzzzz_yyyyzzz_0, \
                                         tg_xxxxzzzz_yyyzzzz_0, tg_xxxxzzzz_yyzzzzz_0, tg_xxxxzzzz_yzzzzzz_0, \
                                         tg_xxxxzzzz_zzzzzzz_0, tg_xxxyyyyy_xxxxxxx_0, tg_xxxyyyyy_xxxxxxy_0, \
                                         tg_xxxyyyyy_xxxxxxz_0, tg_xxxyyyyy_xxxxxyy_0, tg_xxxyyyyy_xxxxxyz_0, \
                                         tg_xxxyyyyy_xxxxxzz_0, tg_xxxyyyyy_xxxxyyy_0, tg_xxxyyyyy_xxxxyyz_0, \
                                         tg_xxxyyyyy_xxxxyzz_0, tg_xxxyyyyy_xxxxzzz_0, tg_xxxyyyyy_xxxyyyy_0, \
                                         tg_xxxyyyyy_xxxyyyz_0, tg_xxxyyyyy_xxxyyzz_0, tg_xxxyyyyy_xxxyzzz_0, \
                                         tg_xxxyyyyy_xxxzzzz_0, tg_xxxyyyyy_xxyyyyy_0, tg_xxxyyyyy_xxyyyyz_0, \
                                         tg_xxxyyyyy_xxyyyzz_0, tg_xxxyyyyy_xxyyzzz_0, tg_xxxyyyyy_xxyzzzz_0, \
                                         tg_xxxyyyyy_xxzzzzz_0, tg_xxxyyyyy_xyyyyyy_0, tg_xxxyyyyy_xyyyyyz_0, \
                                         tg_xxxyyyyy_xyyyyzz_0, tg_xxxyyyyy_xyyyzzz_0, tg_xxxyyyyy_xyyzzzz_0, \
                                         tg_xxxyyyyy_xyzzzzz_0, tg_xxxyyyyy_xzzzzzz_0, tg_xxxyyyyy_yyyyyyy_0, \
                                         tg_xxxyyyyy_yyyyyyz_0, tg_xxxyyyyy_yyyyyzz_0, tg_xxxyyyyy_yyyyzzz_0, \
                                         tg_xxxyyyyy_yyyzzzz_0, tg_xxxyyyyy_yyzzzzz_0, tg_xxxyyyyy_yzzzzzz_0, \
                                         tg_xxxyzzz_xxxyyzz_0, tg_xxxyzzz_xxxyyzz_1, tg_xxxyzzz_xxxyzzz_0, tg_xxxyzzz_xxxyzzz_1, \
                                         tg_xxxyzzz_xxxzzzz_0, tg_xxxyzzz_xxxzzzz_1, tg_xxxyzzz_xxyyyyy_0, tg_xxxyzzz_xxyyyyy_1, \
                                         tg_xxxyzzz_xxyyyyz_0, tg_xxxyzzz_xxyyyyz_1, tg_xxxyzzz_xxyyyzz_0, tg_xxxyzzz_xxyyyzz_1, \
                                         tg_xxxyzzz_xxyyzz_1, tg_xxxyzzz_xxyyzzz_0, tg_xxxyzzz_xxyyzzz_1, tg_xxxyzzz_xxyzzz_1, \
                                         tg_xxxyzzz_xxyzzzz_0, tg_xxxyzzz_xxyzzzz_1, tg_xxxyzzz_xxzzzz_1, tg_xxxyzzz_xxzzzzz_0, \
                                         tg_xxxyzzz_xxzzzzz_1, tg_xxxyzzz_xyyyyy_1, tg_xxxyzzz_xyyyyyy_0, tg_xxxyzzz_xyyyyyy_1, \
                                         tg_xxxyzzz_xyyyyyz_0, tg_xxxyzzz_xyyyyyz_1, tg_xxxyzzz_xyyyyz_1, tg_xxxyzzz_xyyyyzz_0, \
                                         tg_xxxyzzz_xyyyyzz_1, tg_xxxyzzz_xyyyzz_1, tg_xxxyzzz_xyyyzzz_0, tg_xxxyzzz_xyyyzzz_1, \
                                         tg_xxxyzzz_xyyzzz_1, tg_xxxyzzz_xyyzzzz_0, tg_xxxyzzz_xyyzzzz_1, tg_xxxyzzz_xyzzzz_1, \
                                         tg_xxxyzzz_xyzzzzz_0, tg_xxxyzzz_xyzzzzz_1, tg_xxxyzzz_xzzzzz_1, tg_xxxyzzz_xzzzzzz_0, \
                                         tg_xxxyzzz_xzzzzzz_1, tg_xxxyzzz_yyyyyy_1, tg_xxxyzzz_yyyyyyy_0, tg_xxxyzzz_yyyyyyy_1, \
                                         tg_xxxyzzz_yyyyyyz_0, tg_xxxyzzz_yyyyyyz_1, tg_xxxyzzz_yyyyyz_1, tg_xxxyzzz_yyyyyzz_0, \
                                         tg_xxxyzzz_yyyyyzz_1, tg_xxxyzzz_yyyyzz_1, tg_xxxyzzz_yyyyzzz_0, tg_xxxyzzz_yyyyzzz_1, \
                                         tg_xxxyzzz_yyyzzz_1, tg_xxxyzzz_yyyzzzz_0, tg_xxxyzzz_yyyzzzz_1, tg_xxxyzzz_yyzzzz_1, \
                                         tg_xxxyzzz_yyzzzzz_0, tg_xxxyzzz_yyzzzzz_1, tg_xxxyzzz_yzzzzz_1, tg_xxxyzzz_yzzzzzz_0, \
                                         tg_xxxyzzz_yzzzzzz_1, tg_xxxyzzz_zzzzzz_1, tg_xxxyzzz_zzzzzzz_0, tg_xxxyzzz_zzzzzzz_1, \
                                         tg_xxxzzzz_xxxxxx_1, tg_xxxzzzz_xxxxxxx_0, tg_xxxzzzz_xxxxxxx_1, tg_xxxzzzz_xxxxxxy_0, \
                                         tg_xxxzzzz_xxxxxxy_1, tg_xxxzzzz_xxxxxxz_0, tg_xxxzzzz_xxxxxxz_1, tg_xxxzzzz_xxxxxy_1, \
                                         tg_xxxzzzz_xxxxxyy_0, tg_xxxzzzz_xxxxxyy_1, tg_xxxzzzz_xxxxxyz_0, tg_xxxzzzz_xxxxxyz_1, \
                                         tg_xxxzzzz_xxxxxz_1, tg_xxxzzzz_xxxxxzz_0, tg_xxxzzzz_xxxxxzz_1, tg_xxxzzzz_xxxxyy_1, \
                                         tg_xxxzzzz_xxxxyyy_0, tg_xxxzzzz_xxxxyyy_1, tg_xxxzzzz_xxxxyyz_0, tg_xxxzzzz_xxxxyyz_1, \
                                         tg_xxxzzzz_xxxxyz_1, tg_xxxzzzz_xxxxyzz_0, tg_xxxzzzz_xxxxyzz_1, tg_xxxzzzz_xxxxzz_1, \
                                         tg_xxxzzzz_xxxxzzz_0, tg_xxxzzzz_xxxxzzz_1, tg_xxxzzzz_xxxyyy_1, tg_xxxzzzz_xxxyyyy_0, \
                                         tg_xxxzzzz_xxxyyyy_1, tg_xxxzzzz_xxxyyyz_0, tg_xxxzzzz_xxxyyyz_1, tg_xxxzzzz_xxxyyz_1, \
                                         tg_xxxzzzz_xxxyyzz_0, tg_xxxzzzz_xxxyyzz_1, tg_xxxzzzz_xxxyzz_1, tg_xxxzzzz_xxxyzzz_0, \
                                         tg_xxxzzzz_xxxyzzz_1, tg_xxxzzzz_xxxzzz_1, tg_xxxzzzz_xxxzzzz_0, tg_xxxzzzz_xxxzzzz_1, \
                                         tg_xxxzzzz_xxyyyy_1, tg_xxxzzzz_xxyyyyy_0, tg_xxxzzzz_xxyyyyy_1, tg_xxxzzzz_xxyyyyz_0, \
                                         tg_xxxzzzz_xxyyyyz_1, tg_xxxzzzz_xxyyyz_1, tg_xxxzzzz_xxyyyzz_0, tg_xxxzzzz_xxyyyzz_1, \
                                         tg_xxxzzzz_xxyyzz_1, tg_xxxzzzz_xxyyzzz_0, tg_xxxzzzz_xxyyzzz_1, tg_xxxzzzz_xxyzzz_1, \
                                         tg_xxxzzzz_xxyzzzz_0, tg_xxxzzzz_xxyzzzz_1, tg_xxxzzzz_xxzzzz_1, tg_xxxzzzz_xxzzzzz_0, \
                                         tg_xxxzzzz_xxzzzzz_1, tg_xxxzzzz_xyyyyy_1, tg_xxxzzzz_xyyyyyy_0, tg_xxxzzzz_xyyyyyy_1, \
                                         tg_xxxzzzz_xyyyyyz_0, tg_xxxzzzz_xyyyyyz_1, tg_xxxzzzz_xyyyyz_1, tg_xxxzzzz_xyyyyzz_0, \
                                         tg_xxxzzzz_xyyyyzz_1, tg_xxxzzzz_xyyyzz_1, tg_xxxzzzz_xyyyzzz_0, tg_xxxzzzz_xyyyzzz_1, \
                                         tg_xxxzzzz_xyyzzz_1, tg_xxxzzzz_xyyzzzz_0, tg_xxxzzzz_xyyzzzz_1, tg_xxxzzzz_xyzzzz_1, \
                                         tg_xxxzzzz_xyzzzzz_0, tg_xxxzzzz_xyzzzzz_1, tg_xxxzzzz_xzzzzz_1, tg_xxxzzzz_xzzzzzz_0, \
                                         tg_xxxzzzz_xzzzzzz_1, tg_xxxzzzz_yyyyyy_1, tg_xxxzzzz_yyyyyyy_0, tg_xxxzzzz_yyyyyyy_1, \
                                         tg_xxxzzzz_yyyyyyz_0, tg_xxxzzzz_yyyyyyz_1, tg_xxxzzzz_yyyyyz_1, tg_xxxzzzz_yyyyyzz_0, \
                                         tg_xxxzzzz_yyyyyzz_1, tg_xxxzzzz_yyyyzz_1, tg_xxxzzzz_yyyyzzz_0, tg_xxxzzzz_yyyyzzz_1, \
                                         tg_xxxzzzz_yyyzzz_1, tg_xxxzzzz_yyyzzzz_0, tg_xxxzzzz_yyyzzzz_1, tg_xxxzzzz_yyzzzz_1, \
                                         tg_xxxzzzz_yyzzzzz_0, tg_xxxzzzz_yyzzzzz_1, tg_xxxzzzz_yzzzzz_1, tg_xxxzzzz_yzzzzzz_0, \
                                         tg_xxxzzzz_yzzzzzz_1, tg_xxxzzzz_zzzzzz_1, tg_xxxzzzz_zzzzzzz_0, tg_xxxzzzz_zzzzzzz_1, \
                                         tg_xxyyyyy_xxxxxx_1, tg_xxyyyyy_xxxxxxx_0, tg_xxyyyyy_xxxxxxx_1, tg_xxyyyyy_xxxxxxy_0, \
                                         tg_xxyyyyy_xxxxxxy_1, tg_xxyyyyy_xxxxxxz_0, tg_xxyyyyy_xxxxxxz_1, tg_xxyyyyy_xxxxxy_1, \
                                         tg_xxyyyyy_xxxxxyy_0, tg_xxyyyyy_xxxxxyy_1, tg_xxyyyyy_xxxxxyz_0, tg_xxyyyyy_xxxxxyz_1, \
                                         tg_xxyyyyy_xxxxxz_1, tg_xxyyyyy_xxxxxzz_0, tg_xxyyyyy_xxxxxzz_1, tg_xxyyyyy_xxxxyy_1, \
                                         tg_xxyyyyy_xxxxyyy_0, tg_xxyyyyy_xxxxyyy_1, tg_xxyyyyy_xxxxyyz_0, tg_xxyyyyy_xxxxyyz_1, \
                                         tg_xxyyyyy_xxxxyz_1, tg_xxyyyyy_xxxxyzz_0, tg_xxyyyyy_xxxxyzz_1, tg_xxyyyyy_xxxxzz_1, \
                                         tg_xxyyyyy_xxxxzzz_0, tg_xxyyyyy_xxxxzzz_1, tg_xxyyyyy_xxxyyy_1, tg_xxyyyyy_xxxyyyy_0, \
                                         tg_xxyyyyy_xxxyyyy_1, tg_xxyyyyy_xxxyyyz_0, tg_xxyyyyy_xxxyyyz_1, tg_xxyyyyy_xxxyyz_1, \
                                         tg_xxyyyyy_xxxyyzz_0, tg_xxyyyyy_xxxyyzz_1, tg_xxyyyyy_xxxyzz_1, tg_xxyyyyy_xxxyzzz_0, \
                                         tg_xxyyyyy_xxxyzzz_1, tg_xxyyyyy_xxxzzz_1, tg_xxyyyyy_xxxzzzz_0, tg_xxyyyyy_xxxzzzz_1, \
                                         tg_xxyyyyy_xxyyyy_1, tg_xxyyyyy_xxyyyyy_0, tg_xxyyyyy_xxyyyyy_1, tg_xxyyyyy_xxyyyyz_0, \
                                         tg_xxyyyyy_xxyyyyz_1, tg_xxyyyyy_xxyyyz_1, tg_xxyyyyy_xxyyyzz_0, tg_xxyyyyy_xxyyyzz_1, \
                                         tg_xxyyyyy_xxyyzz_1, tg_xxyyyyy_xxyyzzz_0, tg_xxyyyyy_xxyyzzz_1, tg_xxyyyyy_xxyzzz_1, \
                                         tg_xxyyyyy_xxyzzzz_0, tg_xxyyyyy_xxyzzzz_1, tg_xxyyyyy_xxzzzz_1, tg_xxyyyyy_xxzzzzz_0, \
                                         tg_xxyyyyy_xxzzzzz_1, tg_xxyyyyy_xyyyyy_1, tg_xxyyyyy_xyyyyyy_0, tg_xxyyyyy_xyyyyyy_1, \
                                         tg_xxyyyyy_xyyyyyz_0, tg_xxyyyyy_xyyyyyz_1, tg_xxyyyyy_xyyyyz_1, tg_xxyyyyy_xyyyyzz_0, \
                                         tg_xxyyyyy_xyyyyzz_1, tg_xxyyyyy_xyyyzz_1, tg_xxyyyyy_xyyyzzz_0, tg_xxyyyyy_xyyyzzz_1, \
                                         tg_xxyyyyy_xyyzzz_1, tg_xxyyyyy_xyyzzzz_0, tg_xxyyyyy_xyyzzzz_1, tg_xxyyyyy_xyzzzz_1, \
                                         tg_xxyyyyy_xyzzzzz_0, tg_xxyyyyy_xyzzzzz_1, tg_xxyyyyy_xzzzzz_1, tg_xxyyyyy_xzzzzzz_0, \
                                         tg_xxyyyyy_xzzzzzz_1, tg_xxyyyyy_yyyyyy_1, tg_xxyyyyy_yyyyyyy_0, tg_xxyyyyy_yyyyyyy_1, \
                                         tg_xxyyyyy_yyyyyyz_0, tg_xxyyyyy_yyyyyyz_1, tg_xxyyyyy_yyyyyz_1, tg_xxyyyyy_yyyyyzz_0, \
                                         tg_xxyyyyy_yyyyyzz_1, tg_xxyyyyy_yyyyzz_1, tg_xxyyyyy_yyyyzzz_0, tg_xxyyyyy_yyyyzzz_1, \
                                         tg_xxyyyyy_yyyzzz_1, tg_xxyyyyy_yyyzzzz_0, tg_xxyyyyy_yyyzzzz_1, tg_xxyyyyy_yyzzzz_1, \
                                         tg_xxyyyyy_yyzzzzz_0, tg_xxyyyyy_yyzzzzz_1, tg_xxyyyyy_yzzzzz_1, tg_xxyyyyy_yzzzzzz_0, \
                                         tg_xxyyyyy_yzzzzzz_1, tg_xxyyyyy_zzzzzz_1, tg_xxyzzz_xxxyyzz_0, tg_xxyzzz_xxxyyzz_1, \
                                         tg_xxyzzz_xxxyzzz_0, tg_xxyzzz_xxxyzzz_1, tg_xxyzzz_xxxzzzz_0, tg_xxyzzz_xxxzzzz_1, \
                                         tg_xxyzzz_xxyyyyy_0, tg_xxyzzz_xxyyyyy_1, tg_xxyzzz_xxyyyyz_0, tg_xxyzzz_xxyyyyz_1, \
                                         tg_xxyzzz_xxyyyzz_0, tg_xxyzzz_xxyyyzz_1, tg_xxyzzz_xxyyzzz_0, tg_xxyzzz_xxyyzzz_1, \
                                         tg_xxyzzz_xxyzzzz_0, tg_xxyzzz_xxyzzzz_1, tg_xxyzzz_xxzzzzz_0, tg_xxyzzz_xxzzzzz_1, \
                                         tg_xxyzzz_xyyyyyy_0, tg_xxyzzz_xyyyyyy_1, tg_xxyzzz_xyyyyyz_0, tg_xxyzzz_xyyyyyz_1, \
                                         tg_xxyzzz_xyyyyzz_0, tg_xxyzzz_xyyyyzz_1, tg_xxyzzz_xyyyzzz_0, tg_xxyzzz_xyyyzzz_1, \
                                         tg_xxyzzz_xyyzzzz_0, tg_xxyzzz_xyyzzzz_1, tg_xxyzzz_xyzzzzz_0, tg_xxyzzz_xyzzzzz_1, \
                                         tg_xxyzzz_xzzzzzz_0, tg_xxyzzz_xzzzzzz_1, tg_xxyzzz_yyyyyyy_0, tg_xxyzzz_yyyyyyy_1, \
                                         tg_xxyzzz_yyyyyyz_0, tg_xxyzzz_yyyyyyz_1, tg_xxyzzz_yyyyyzz_0, tg_xxyzzz_yyyyyzz_1, \
                                         tg_xxyzzz_yyyyzzz_0, tg_xxyzzz_yyyyzzz_1, tg_xxyzzz_yyyzzzz_0, tg_xxyzzz_yyyzzzz_1, \
                                         tg_xxyzzz_yyzzzzz_0, tg_xxyzzz_yyzzzzz_1, tg_xxyzzz_yzzzzzz_0, tg_xxyzzz_yzzzzzz_1, \
                                         tg_xxyzzz_zzzzzzz_0, tg_xxyzzz_zzzzzzz_1, tg_xxzzzz_xxxxxxx_0, tg_xxzzzz_xxxxxxx_1, \
                                         tg_xxzzzz_xxxxxxy_0, tg_xxzzzz_xxxxxxy_1, tg_xxzzzz_xxxxxxz_0, tg_xxzzzz_xxxxxxz_1, \
                                         tg_xxzzzz_xxxxxyy_0, tg_xxzzzz_xxxxxyy_1, tg_xxzzzz_xxxxxyz_0, tg_xxzzzz_xxxxxyz_1, \
                                         tg_xxzzzz_xxxxxzz_0, tg_xxzzzz_xxxxxzz_1, tg_xxzzzz_xxxxyyy_0, tg_xxzzzz_xxxxyyy_1, \
                                         tg_xxzzzz_xxxxyyz_0, tg_xxzzzz_xxxxyyz_1, tg_xxzzzz_xxxxyzz_0, tg_xxzzzz_xxxxyzz_1, \
                                         tg_xxzzzz_xxxxzzz_0, tg_xxzzzz_xxxxzzz_1, tg_xxzzzz_xxxyyyy_0, tg_xxzzzz_xxxyyyy_1, \
                                         tg_xxzzzz_xxxyyyz_0, tg_xxzzzz_xxxyyyz_1, tg_xxzzzz_xxxyyzz_0, tg_xxzzzz_xxxyyzz_1, \
                                         tg_xxzzzz_xxxyzzz_0, tg_xxzzzz_xxxyzzz_1, tg_xxzzzz_xxxzzzz_0, tg_xxzzzz_xxxzzzz_1, \
                                         tg_xxzzzz_xxyyyyy_0, tg_xxzzzz_xxyyyyy_1, tg_xxzzzz_xxyyyyz_0, tg_xxzzzz_xxyyyyz_1, \
                                         tg_xxzzzz_xxyyyzz_0, tg_xxzzzz_xxyyyzz_1, tg_xxzzzz_xxyyzzz_0, tg_xxzzzz_xxyyzzz_1, \
                                         tg_xxzzzz_xxyzzzz_0, tg_xxzzzz_xxyzzzz_1, tg_xxzzzz_xxzzzzz_0, tg_xxzzzz_xxzzzzz_1, \
                                         tg_xxzzzz_xyyyyyy_0, tg_xxzzzz_xyyyyyy_1, tg_xxzzzz_xyyyyyz_0, tg_xxzzzz_xyyyyyz_1, \
                                         tg_xxzzzz_xyyyyzz_0, tg_xxzzzz_xyyyyzz_1, tg_xxzzzz_xyyyzzz_0, tg_xxzzzz_xyyyzzz_1, \
                                         tg_xxzzzz_xyyzzzz_0, tg_xxzzzz_xyyzzzz_1, tg_xxzzzz_xyzzzzz_0, tg_xxzzzz_xyzzzzz_1, \
                                         tg_xxzzzz_xzzzzzz_0, tg_xxzzzz_xzzzzzz_1, tg_xxzzzz_yyyyyyy_0, tg_xxzzzz_yyyyyyy_1, \
                                         tg_xxzzzz_yyyyyyz_0, tg_xxzzzz_yyyyyyz_1, tg_xxzzzz_yyyyyzz_0, tg_xxzzzz_yyyyyzz_1, \
                                         tg_xxzzzz_yyyyzzz_0, tg_xxzzzz_yyyyzzz_1, tg_xxzzzz_yyyzzzz_0, tg_xxzzzz_yyyzzzz_1, \
                                         tg_xxzzzz_yyzzzzz_0, tg_xxzzzz_yyzzzzz_1, tg_xxzzzz_yzzzzzz_0, tg_xxzzzz_yzzzzzz_1, \
                                         tg_xxzzzz_zzzzzzz_0, tg_xxzzzz_zzzzzzz_1, tg_xyyyyy_xxxxxxx_0, tg_xyyyyy_xxxxxxx_1, \
                                         tg_xyyyyy_xxxxxxy_0, tg_xyyyyy_xxxxxxy_1, tg_xyyyyy_xxxxxxz_0, tg_xyyyyy_xxxxxxz_1, \
                                         tg_xyyyyy_xxxxxyy_0, tg_xyyyyy_xxxxxyy_1, tg_xyyyyy_xxxxxyz_0, tg_xyyyyy_xxxxxyz_1, \
                                         tg_xyyyyy_xxxxxzz_0, tg_xyyyyy_xxxxxzz_1, tg_xyyyyy_xxxxyyy_0, tg_xyyyyy_xxxxyyy_1, \
                                         tg_xyyyyy_xxxxyyz_0, tg_xyyyyy_xxxxyyz_1, tg_xyyyyy_xxxxyzz_0, tg_xyyyyy_xxxxyzz_1, \
                                         tg_xyyyyy_xxxxzzz_0, tg_xyyyyy_xxxxzzz_1, tg_xyyyyy_xxxyyyy_0, tg_xyyyyy_xxxyyyy_1, \
                                         tg_xyyyyy_xxxyyyz_0, tg_xyyyyy_xxxyyyz_1, tg_xyyyyy_xxxyyzz_0, tg_xyyyyy_xxxyyzz_1, \
                                         tg_xyyyyy_xxxyzzz_0, tg_xyyyyy_xxxyzzz_1, tg_xyyyyy_xxxzzzz_0, tg_xyyyyy_xxxzzzz_1, \
                                         tg_xyyyyy_xxyyyyy_0, tg_xyyyyy_xxyyyyy_1, tg_xyyyyy_xxyyyyz_0, tg_xyyyyy_xxyyyyz_1, \
                                         tg_xyyyyy_xxyyyzz_0, tg_xyyyyy_xxyyyzz_1, tg_xyyyyy_xxyyzzz_0, tg_xyyyyy_xxyyzzz_1, \
                                         tg_xyyyyy_xxyzzzz_0, tg_xyyyyy_xxyzzzz_1, tg_xyyyyy_xxzzzzz_0, tg_xyyyyy_xxzzzzz_1, \
                                         tg_xyyyyy_xyyyyyy_0, tg_xyyyyy_xyyyyyy_1, tg_xyyyyy_xyyyyyz_0, tg_xyyyyy_xyyyyyz_1, \
                                         tg_xyyyyy_xyyyyzz_0, tg_xyyyyy_xyyyyzz_1, tg_xyyyyy_xyyyzzz_0, tg_xyyyyy_xyyyzzz_1, \
                                         tg_xyyyyy_xyyzzzz_0, tg_xyyyyy_xyyzzzz_1, tg_xyyyyy_xyzzzzz_0, tg_xyyyyy_xyzzzzz_1, \
                                         tg_xyyyyy_xzzzzzz_0, tg_xyyyyy_xzzzzzz_1, tg_xyyyyy_yyyyyyy_0, tg_xyyyyy_yyyyyyy_1, \
                                         tg_xyyyyy_yyyyyyz_0, tg_xyyyyy_yyyyyyz_1, tg_xyyyyy_yyyyyzz_0, tg_xyyyyy_yyyyyzz_1, \
                                         tg_xyyyyy_yyyyzzz_0, tg_xyyyyy_yyyyzzz_1, tg_xyyyyy_yyyzzzz_0, tg_xyyyyy_yyyzzzz_1, \
                                         tg_xyyyyy_yyzzzzz_0, tg_xyyyyy_yyzzzzz_1, tg_xyyyyy_yzzzzzz_0, tg_xyyyyy_yzzzzzz_1, \
                                         wp_x: VLX_ALIGN)
                for (int32_t j = 0; j < nKetPrimPairs; j++)
                {
                    double fl1_fx = fx;

                    double fl1_fxn = fxn[j];

                    double fl1_fza = fza[j];

                    double fr = wp_x[j]; 

                    tg_xxxxyzzz_xxxyyzz_0[j] = pb_x * tg_xxxyzzz_xxxyyzz_0[j] + fr * tg_xxxyzzz_xxxyyzz_1[j] + 1.5 * fl1_fx * (tg_xxyzzz_xxxyyzz_0[j] - tg_xxyzzz_xxxyyzz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_xxxyzzz_xxyyzz_1[j];

                    tg_xxxxyzzz_xxxyzzz_0[j] = pb_x * tg_xxxyzzz_xxxyzzz_0[j] + fr * tg_xxxyzzz_xxxyzzz_1[j] + 1.5 * fl1_fx * (tg_xxyzzz_xxxyzzz_0[j] - tg_xxyzzz_xxxyzzz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_xxxyzzz_xxyzzz_1[j];

                    tg_xxxxyzzz_xxxzzzz_0[j] = pb_x * tg_xxxyzzz_xxxzzzz_0[j] + fr * tg_xxxyzzz_xxxzzzz_1[j] + 1.5 * fl1_fx * (tg_xxyzzz_xxxzzzz_0[j] - tg_xxyzzz_xxxzzzz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_xxxyzzz_xxzzzz_1[j];

                    tg_xxxxyzzz_xxyyyyy_0[j] = pb_x * tg_xxxyzzz_xxyyyyy_0[j] + fr * tg_xxxyzzz_xxyyyyy_1[j] + 1.5 * fl1_fx * (tg_xxyzzz_xxyyyyy_0[j] - tg_xxyzzz_xxyyyyy_1[j] * fl1_fza) + fl1_fxn * tg_xxxyzzz_xyyyyy_1[j];

                    tg_xxxxyzzz_xxyyyyz_0[j] = pb_x * tg_xxxyzzz_xxyyyyz_0[j] + fr * tg_xxxyzzz_xxyyyyz_1[j] + 1.5 * fl1_fx * (tg_xxyzzz_xxyyyyz_0[j] - tg_xxyzzz_xxyyyyz_1[j] * fl1_fza) + fl1_fxn * tg_xxxyzzz_xyyyyz_1[j];

                    tg_xxxxyzzz_xxyyyzz_0[j] = pb_x * tg_xxxyzzz_xxyyyzz_0[j] + fr * tg_xxxyzzz_xxyyyzz_1[j] + 1.5 * fl1_fx * (tg_xxyzzz_xxyyyzz_0[j] - tg_xxyzzz_xxyyyzz_1[j] * fl1_fza) + fl1_fxn * tg_xxxyzzz_xyyyzz_1[j];

                    tg_xxxxyzzz_xxyyzzz_0[j] = pb_x * tg_xxxyzzz_xxyyzzz_0[j] + fr * tg_xxxyzzz_xxyyzzz_1[j] + 1.5 * fl1_fx * (tg_xxyzzz_xxyyzzz_0[j] - tg_xxyzzz_xxyyzzz_1[j] * fl1_fza) + fl1_fxn * tg_xxxyzzz_xyyzzz_1[j];

                    tg_xxxxyzzz_xxyzzzz_0[j] = pb_x * tg_xxxyzzz_xxyzzzz_0[j] + fr * tg_xxxyzzz_xxyzzzz_1[j] + 1.5 * fl1_fx * (tg_xxyzzz_xxyzzzz_0[j] - tg_xxyzzz_xxyzzzz_1[j] * fl1_fza) + fl1_fxn * tg_xxxyzzz_xyzzzz_1[j];

                    tg_xxxxyzzz_xxzzzzz_0[j] = pb_x * tg_xxxyzzz_xxzzzzz_0[j] + fr * tg_xxxyzzz_xxzzzzz_1[j] + 1.5 * fl1_fx * (tg_xxyzzz_xxzzzzz_0[j] - tg_xxyzzz_xxzzzzz_1[j] * fl1_fza) + fl1_fxn * tg_xxxyzzz_xzzzzz_1[j];

                    tg_xxxxyzzz_xyyyyyy_0[j] = pb_x * tg_xxxyzzz_xyyyyyy_0[j] + fr * tg_xxxyzzz_xyyyyyy_1[j] + 1.5 * fl1_fx * (tg_xxyzzz_xyyyyyy_0[j] - tg_xxyzzz_xyyyyyy_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xxxyzzz_yyyyyy_1[j];

                    tg_xxxxyzzz_xyyyyyz_0[j] = pb_x * tg_xxxyzzz_xyyyyyz_0[j] + fr * tg_xxxyzzz_xyyyyyz_1[j] + 1.5 * fl1_fx * (tg_xxyzzz_xyyyyyz_0[j] - tg_xxyzzz_xyyyyyz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xxxyzzz_yyyyyz_1[j];

                    tg_xxxxyzzz_xyyyyzz_0[j] = pb_x * tg_xxxyzzz_xyyyyzz_0[j] + fr * tg_xxxyzzz_xyyyyzz_1[j] + 1.5 * fl1_fx * (tg_xxyzzz_xyyyyzz_0[j] - tg_xxyzzz_xyyyyzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xxxyzzz_yyyyzz_1[j];

                    tg_xxxxyzzz_xyyyzzz_0[j] = pb_x * tg_xxxyzzz_xyyyzzz_0[j] + fr * tg_xxxyzzz_xyyyzzz_1[j] + 1.5 * fl1_fx * (tg_xxyzzz_xyyyzzz_0[j] - tg_xxyzzz_xyyyzzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xxxyzzz_yyyzzz_1[j];

                    tg_xxxxyzzz_xyyzzzz_0[j] = pb_x * tg_xxxyzzz_xyyzzzz_0[j] + fr * tg_xxxyzzz_xyyzzzz_1[j] + 1.5 * fl1_fx * (tg_xxyzzz_xyyzzzz_0[j] - tg_xxyzzz_xyyzzzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xxxyzzz_yyzzzz_1[j];

                    tg_xxxxyzzz_xyzzzzz_0[j] = pb_x * tg_xxxyzzz_xyzzzzz_0[j] + fr * tg_xxxyzzz_xyzzzzz_1[j] + 1.5 * fl1_fx * (tg_xxyzzz_xyzzzzz_0[j] - tg_xxyzzz_xyzzzzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xxxyzzz_yzzzzz_1[j];

                    tg_xxxxyzzz_xzzzzzz_0[j] = pb_x * tg_xxxyzzz_xzzzzzz_0[j] + fr * tg_xxxyzzz_xzzzzzz_1[j] + 1.5 * fl1_fx * (tg_xxyzzz_xzzzzzz_0[j] - tg_xxyzzz_xzzzzzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xxxyzzz_zzzzzz_1[j];

                    tg_xxxxyzzz_yyyyyyy_0[j] = pb_x * tg_xxxyzzz_yyyyyyy_0[j] + fr * tg_xxxyzzz_yyyyyyy_1[j] + 1.5 * fl1_fx * (tg_xxyzzz_yyyyyyy_0[j] - tg_xxyzzz_yyyyyyy_1[j] * fl1_fza);

                    tg_xxxxyzzz_yyyyyyz_0[j] = pb_x * tg_xxxyzzz_yyyyyyz_0[j] + fr * tg_xxxyzzz_yyyyyyz_1[j] + 1.5 * fl1_fx * (tg_xxyzzz_yyyyyyz_0[j] - tg_xxyzzz_yyyyyyz_1[j] * fl1_fza);

                    tg_xxxxyzzz_yyyyyzz_0[j] = pb_x * tg_xxxyzzz_yyyyyzz_0[j] + fr * tg_xxxyzzz_yyyyyzz_1[j] + 1.5 * fl1_fx * (tg_xxyzzz_yyyyyzz_0[j] - tg_xxyzzz_yyyyyzz_1[j] * fl1_fza);

                    tg_xxxxyzzz_yyyyzzz_0[j] = pb_x * tg_xxxyzzz_yyyyzzz_0[j] + fr * tg_xxxyzzz_yyyyzzz_1[j] + 1.5 * fl1_fx * (tg_xxyzzz_yyyyzzz_0[j] - tg_xxyzzz_yyyyzzz_1[j] * fl1_fza);

                    tg_xxxxyzzz_yyyzzzz_0[j] = pb_x * tg_xxxyzzz_yyyzzzz_0[j] + fr * tg_xxxyzzz_yyyzzzz_1[j] + 1.5 * fl1_fx * (tg_xxyzzz_yyyzzzz_0[j] - tg_xxyzzz_yyyzzzz_1[j] * fl1_fza);

                    tg_xxxxyzzz_yyzzzzz_0[j] = pb_x * tg_xxxyzzz_yyzzzzz_0[j] + fr * tg_xxxyzzz_yyzzzzz_1[j] + 1.5 * fl1_fx * (tg_xxyzzz_yyzzzzz_0[j] - tg_xxyzzz_yyzzzzz_1[j] * fl1_fza);

                    tg_xxxxyzzz_yzzzzzz_0[j] = pb_x * tg_xxxyzzz_yzzzzzz_0[j] + fr * tg_xxxyzzz_yzzzzzz_1[j] + 1.5 * fl1_fx * (tg_xxyzzz_yzzzzzz_0[j] - tg_xxyzzz_yzzzzzz_1[j] * fl1_fza);

                    tg_xxxxyzzz_zzzzzzz_0[j] = pb_x * tg_xxxyzzz_zzzzzzz_0[j] + fr * tg_xxxyzzz_zzzzzzz_1[j] + 1.5 * fl1_fx * (tg_xxyzzz_zzzzzzz_0[j] - tg_xxyzzz_zzzzzzz_1[j] * fl1_fza);

                    tg_xxxxzzzz_xxxxxxx_0[j] = pb_x * tg_xxxzzzz_xxxxxxx_0[j] + fr * tg_xxxzzzz_xxxxxxx_1[j] + 1.5 * fl1_fx * (tg_xxzzzz_xxxxxxx_0[j] - tg_xxzzzz_xxxxxxx_1[j] * fl1_fza) + 3.5 * fl1_fxn * tg_xxxzzzz_xxxxxx_1[j];

                    tg_xxxxzzzz_xxxxxxy_0[j] = pb_x * tg_xxxzzzz_xxxxxxy_0[j] + fr * tg_xxxzzzz_xxxxxxy_1[j] + 1.5 * fl1_fx * (tg_xxzzzz_xxxxxxy_0[j] - tg_xxzzzz_xxxxxxy_1[j] * fl1_fza) + 3.0 * fl1_fxn * tg_xxxzzzz_xxxxxy_1[j];

                    tg_xxxxzzzz_xxxxxxz_0[j] = pb_x * tg_xxxzzzz_xxxxxxz_0[j] + fr * tg_xxxzzzz_xxxxxxz_1[j] + 1.5 * fl1_fx * (tg_xxzzzz_xxxxxxz_0[j] - tg_xxzzzz_xxxxxxz_1[j] * fl1_fza) + 3.0 * fl1_fxn * tg_xxxzzzz_xxxxxz_1[j];

                    tg_xxxxzzzz_xxxxxyy_0[j] = pb_x * tg_xxxzzzz_xxxxxyy_0[j] + fr * tg_xxxzzzz_xxxxxyy_1[j] + 1.5 * fl1_fx * (tg_xxzzzz_xxxxxyy_0[j] - tg_xxzzzz_xxxxxyy_1[j] * fl1_fza) + 2.5 * fl1_fxn * tg_xxxzzzz_xxxxyy_1[j];

                    tg_xxxxzzzz_xxxxxyz_0[j] = pb_x * tg_xxxzzzz_xxxxxyz_0[j] + fr * tg_xxxzzzz_xxxxxyz_1[j] + 1.5 * fl1_fx * (tg_xxzzzz_xxxxxyz_0[j] - tg_xxzzzz_xxxxxyz_1[j] * fl1_fza) + 2.5 * fl1_fxn * tg_xxxzzzz_xxxxyz_1[j];

                    tg_xxxxzzzz_xxxxxzz_0[j] = pb_x * tg_xxxzzzz_xxxxxzz_0[j] + fr * tg_xxxzzzz_xxxxxzz_1[j] + 1.5 * fl1_fx * (tg_xxzzzz_xxxxxzz_0[j] - tg_xxzzzz_xxxxxzz_1[j] * fl1_fza) + 2.5 * fl1_fxn * tg_xxxzzzz_xxxxzz_1[j];

                    tg_xxxxzzzz_xxxxyyy_0[j] = pb_x * tg_xxxzzzz_xxxxyyy_0[j] + fr * tg_xxxzzzz_xxxxyyy_1[j] + 1.5 * fl1_fx * (tg_xxzzzz_xxxxyyy_0[j] - tg_xxzzzz_xxxxyyy_1[j] * fl1_fza) + 2.0 * fl1_fxn * tg_xxxzzzz_xxxyyy_1[j];

                    tg_xxxxzzzz_xxxxyyz_0[j] = pb_x * tg_xxxzzzz_xxxxyyz_0[j] + fr * tg_xxxzzzz_xxxxyyz_1[j] + 1.5 * fl1_fx * (tg_xxzzzz_xxxxyyz_0[j] - tg_xxzzzz_xxxxyyz_1[j] * fl1_fza) + 2.0 * fl1_fxn * tg_xxxzzzz_xxxyyz_1[j];

                    tg_xxxxzzzz_xxxxyzz_0[j] = pb_x * tg_xxxzzzz_xxxxyzz_0[j] + fr * tg_xxxzzzz_xxxxyzz_1[j] + 1.5 * fl1_fx * (tg_xxzzzz_xxxxyzz_0[j] - tg_xxzzzz_xxxxyzz_1[j] * fl1_fza) + 2.0 * fl1_fxn * tg_xxxzzzz_xxxyzz_1[j];

                    tg_xxxxzzzz_xxxxzzz_0[j] = pb_x * tg_xxxzzzz_xxxxzzz_0[j] + fr * tg_xxxzzzz_xxxxzzz_1[j] + 1.5 * fl1_fx * (tg_xxzzzz_xxxxzzz_0[j] - tg_xxzzzz_xxxxzzz_1[j] * fl1_fza) + 2.0 * fl1_fxn * tg_xxxzzzz_xxxzzz_1[j];

                    tg_xxxxzzzz_xxxyyyy_0[j] = pb_x * tg_xxxzzzz_xxxyyyy_0[j] + fr * tg_xxxzzzz_xxxyyyy_1[j] + 1.5 * fl1_fx * (tg_xxzzzz_xxxyyyy_0[j] - tg_xxzzzz_xxxyyyy_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_xxxzzzz_xxyyyy_1[j];

                    tg_xxxxzzzz_xxxyyyz_0[j] = pb_x * tg_xxxzzzz_xxxyyyz_0[j] + fr * tg_xxxzzzz_xxxyyyz_1[j] + 1.5 * fl1_fx * (tg_xxzzzz_xxxyyyz_0[j] - tg_xxzzzz_xxxyyyz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_xxxzzzz_xxyyyz_1[j];

                    tg_xxxxzzzz_xxxyyzz_0[j] = pb_x * tg_xxxzzzz_xxxyyzz_0[j] + fr * tg_xxxzzzz_xxxyyzz_1[j] + 1.5 * fl1_fx * (tg_xxzzzz_xxxyyzz_0[j] - tg_xxzzzz_xxxyyzz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_xxxzzzz_xxyyzz_1[j];

                    tg_xxxxzzzz_xxxyzzz_0[j] = pb_x * tg_xxxzzzz_xxxyzzz_0[j] + fr * tg_xxxzzzz_xxxyzzz_1[j] + 1.5 * fl1_fx * (tg_xxzzzz_xxxyzzz_0[j] - tg_xxzzzz_xxxyzzz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_xxxzzzz_xxyzzz_1[j];

                    tg_xxxxzzzz_xxxzzzz_0[j] = pb_x * tg_xxxzzzz_xxxzzzz_0[j] + fr * tg_xxxzzzz_xxxzzzz_1[j] + 1.5 * fl1_fx * (tg_xxzzzz_xxxzzzz_0[j] - tg_xxzzzz_xxxzzzz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_xxxzzzz_xxzzzz_1[j];

                    tg_xxxxzzzz_xxyyyyy_0[j] = pb_x * tg_xxxzzzz_xxyyyyy_0[j] + fr * tg_xxxzzzz_xxyyyyy_1[j] + 1.5 * fl1_fx * (tg_xxzzzz_xxyyyyy_0[j] - tg_xxzzzz_xxyyyyy_1[j] * fl1_fza) + fl1_fxn * tg_xxxzzzz_xyyyyy_1[j];

                    tg_xxxxzzzz_xxyyyyz_0[j] = pb_x * tg_xxxzzzz_xxyyyyz_0[j] + fr * tg_xxxzzzz_xxyyyyz_1[j] + 1.5 * fl1_fx * (tg_xxzzzz_xxyyyyz_0[j] - tg_xxzzzz_xxyyyyz_1[j] * fl1_fza) + fl1_fxn * tg_xxxzzzz_xyyyyz_1[j];

                    tg_xxxxzzzz_xxyyyzz_0[j] = pb_x * tg_xxxzzzz_xxyyyzz_0[j] + fr * tg_xxxzzzz_xxyyyzz_1[j] + 1.5 * fl1_fx * (tg_xxzzzz_xxyyyzz_0[j] - tg_xxzzzz_xxyyyzz_1[j] * fl1_fza) + fl1_fxn * tg_xxxzzzz_xyyyzz_1[j];

                    tg_xxxxzzzz_xxyyzzz_0[j] = pb_x * tg_xxxzzzz_xxyyzzz_0[j] + fr * tg_xxxzzzz_xxyyzzz_1[j] + 1.5 * fl1_fx * (tg_xxzzzz_xxyyzzz_0[j] - tg_xxzzzz_xxyyzzz_1[j] * fl1_fza) + fl1_fxn * tg_xxxzzzz_xyyzzz_1[j];

                    tg_xxxxzzzz_xxyzzzz_0[j] = pb_x * tg_xxxzzzz_xxyzzzz_0[j] + fr * tg_xxxzzzz_xxyzzzz_1[j] + 1.5 * fl1_fx * (tg_xxzzzz_xxyzzzz_0[j] - tg_xxzzzz_xxyzzzz_1[j] * fl1_fza) + fl1_fxn * tg_xxxzzzz_xyzzzz_1[j];

                    tg_xxxxzzzz_xxzzzzz_0[j] = pb_x * tg_xxxzzzz_xxzzzzz_0[j] + fr * tg_xxxzzzz_xxzzzzz_1[j] + 1.5 * fl1_fx * (tg_xxzzzz_xxzzzzz_0[j] - tg_xxzzzz_xxzzzzz_1[j] * fl1_fza) + fl1_fxn * tg_xxxzzzz_xzzzzz_1[j];

                    tg_xxxxzzzz_xyyyyyy_0[j] = pb_x * tg_xxxzzzz_xyyyyyy_0[j] + fr * tg_xxxzzzz_xyyyyyy_1[j] + 1.5 * fl1_fx * (tg_xxzzzz_xyyyyyy_0[j] - tg_xxzzzz_xyyyyyy_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xxxzzzz_yyyyyy_1[j];

                    tg_xxxxzzzz_xyyyyyz_0[j] = pb_x * tg_xxxzzzz_xyyyyyz_0[j] + fr * tg_xxxzzzz_xyyyyyz_1[j] + 1.5 * fl1_fx * (tg_xxzzzz_xyyyyyz_0[j] - tg_xxzzzz_xyyyyyz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xxxzzzz_yyyyyz_1[j];

                    tg_xxxxzzzz_xyyyyzz_0[j] = pb_x * tg_xxxzzzz_xyyyyzz_0[j] + fr * tg_xxxzzzz_xyyyyzz_1[j] + 1.5 * fl1_fx * (tg_xxzzzz_xyyyyzz_0[j] - tg_xxzzzz_xyyyyzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xxxzzzz_yyyyzz_1[j];

                    tg_xxxxzzzz_xyyyzzz_0[j] = pb_x * tg_xxxzzzz_xyyyzzz_0[j] + fr * tg_xxxzzzz_xyyyzzz_1[j] + 1.5 * fl1_fx * (tg_xxzzzz_xyyyzzz_0[j] - tg_xxzzzz_xyyyzzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xxxzzzz_yyyzzz_1[j];

                    tg_xxxxzzzz_xyyzzzz_0[j] = pb_x * tg_xxxzzzz_xyyzzzz_0[j] + fr * tg_xxxzzzz_xyyzzzz_1[j] + 1.5 * fl1_fx * (tg_xxzzzz_xyyzzzz_0[j] - tg_xxzzzz_xyyzzzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xxxzzzz_yyzzzz_1[j];

                    tg_xxxxzzzz_xyzzzzz_0[j] = pb_x * tg_xxxzzzz_xyzzzzz_0[j] + fr * tg_xxxzzzz_xyzzzzz_1[j] + 1.5 * fl1_fx * (tg_xxzzzz_xyzzzzz_0[j] - tg_xxzzzz_xyzzzzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xxxzzzz_yzzzzz_1[j];

                    tg_xxxxzzzz_xzzzzzz_0[j] = pb_x * tg_xxxzzzz_xzzzzzz_0[j] + fr * tg_xxxzzzz_xzzzzzz_1[j] + 1.5 * fl1_fx * (tg_xxzzzz_xzzzzzz_0[j] - tg_xxzzzz_xzzzzzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xxxzzzz_zzzzzz_1[j];

                    tg_xxxxzzzz_yyyyyyy_0[j] = pb_x * tg_xxxzzzz_yyyyyyy_0[j] + fr * tg_xxxzzzz_yyyyyyy_1[j] + 1.5 * fl1_fx * (tg_xxzzzz_yyyyyyy_0[j] - tg_xxzzzz_yyyyyyy_1[j] * fl1_fza);

                    tg_xxxxzzzz_yyyyyyz_0[j] = pb_x * tg_xxxzzzz_yyyyyyz_0[j] + fr * tg_xxxzzzz_yyyyyyz_1[j] + 1.5 * fl1_fx * (tg_xxzzzz_yyyyyyz_0[j] - tg_xxzzzz_yyyyyyz_1[j] * fl1_fza);

                    tg_xxxxzzzz_yyyyyzz_0[j] = pb_x * tg_xxxzzzz_yyyyyzz_0[j] + fr * tg_xxxzzzz_yyyyyzz_1[j] + 1.5 * fl1_fx * (tg_xxzzzz_yyyyyzz_0[j] - tg_xxzzzz_yyyyyzz_1[j] * fl1_fza);

                    tg_xxxxzzzz_yyyyzzz_0[j] = pb_x * tg_xxxzzzz_yyyyzzz_0[j] + fr * tg_xxxzzzz_yyyyzzz_1[j] + 1.5 * fl1_fx * (tg_xxzzzz_yyyyzzz_0[j] - tg_xxzzzz_yyyyzzz_1[j] * fl1_fza);

                    tg_xxxxzzzz_yyyzzzz_0[j] = pb_x * tg_xxxzzzz_yyyzzzz_0[j] + fr * tg_xxxzzzz_yyyzzzz_1[j] + 1.5 * fl1_fx * (tg_xxzzzz_yyyzzzz_0[j] - tg_xxzzzz_yyyzzzz_1[j] * fl1_fza);

                    tg_xxxxzzzz_yyzzzzz_0[j] = pb_x * tg_xxxzzzz_yyzzzzz_0[j] + fr * tg_xxxzzzz_yyzzzzz_1[j] + 1.5 * fl1_fx * (tg_xxzzzz_yyzzzzz_0[j] - tg_xxzzzz_yyzzzzz_1[j] * fl1_fza);

                    tg_xxxxzzzz_yzzzzzz_0[j] = pb_x * tg_xxxzzzz_yzzzzzz_0[j] + fr * tg_xxxzzzz_yzzzzzz_1[j] + 1.5 * fl1_fx * (tg_xxzzzz_yzzzzzz_0[j] - tg_xxzzzz_yzzzzzz_1[j] * fl1_fza);

                    tg_xxxxzzzz_zzzzzzz_0[j] = pb_x * tg_xxxzzzz_zzzzzzz_0[j] + fr * tg_xxxzzzz_zzzzzzz_1[j] + 1.5 * fl1_fx * (tg_xxzzzz_zzzzzzz_0[j] - tg_xxzzzz_zzzzzzz_1[j] * fl1_fza);

                    tg_xxxyyyyy_xxxxxxx_0[j] = pb_x * tg_xxyyyyy_xxxxxxx_0[j] + fr * tg_xxyyyyy_xxxxxxx_1[j] + fl1_fx * (tg_xyyyyy_xxxxxxx_0[j] - tg_xyyyyy_xxxxxxx_1[j] * fl1_fza) + 3.5 * fl1_fxn * tg_xxyyyyy_xxxxxx_1[j];

                    tg_xxxyyyyy_xxxxxxy_0[j] = pb_x * tg_xxyyyyy_xxxxxxy_0[j] + fr * tg_xxyyyyy_xxxxxxy_1[j] + fl1_fx * (tg_xyyyyy_xxxxxxy_0[j] - tg_xyyyyy_xxxxxxy_1[j] * fl1_fza) + 3.0 * fl1_fxn * tg_xxyyyyy_xxxxxy_1[j];

                    tg_xxxyyyyy_xxxxxxz_0[j] = pb_x * tg_xxyyyyy_xxxxxxz_0[j] + fr * tg_xxyyyyy_xxxxxxz_1[j] + fl1_fx * (tg_xyyyyy_xxxxxxz_0[j] - tg_xyyyyy_xxxxxxz_1[j] * fl1_fza) + 3.0 * fl1_fxn * tg_xxyyyyy_xxxxxz_1[j];

                    tg_xxxyyyyy_xxxxxyy_0[j] = pb_x * tg_xxyyyyy_xxxxxyy_0[j] + fr * tg_xxyyyyy_xxxxxyy_1[j] + fl1_fx * (tg_xyyyyy_xxxxxyy_0[j] - tg_xyyyyy_xxxxxyy_1[j] * fl1_fza) + 2.5 * fl1_fxn * tg_xxyyyyy_xxxxyy_1[j];

                    tg_xxxyyyyy_xxxxxyz_0[j] = pb_x * tg_xxyyyyy_xxxxxyz_0[j] + fr * tg_xxyyyyy_xxxxxyz_1[j] + fl1_fx * (tg_xyyyyy_xxxxxyz_0[j] - tg_xyyyyy_xxxxxyz_1[j] * fl1_fza) + 2.5 * fl1_fxn * tg_xxyyyyy_xxxxyz_1[j];

                    tg_xxxyyyyy_xxxxxzz_0[j] = pb_x * tg_xxyyyyy_xxxxxzz_0[j] + fr * tg_xxyyyyy_xxxxxzz_1[j] + fl1_fx * (tg_xyyyyy_xxxxxzz_0[j] - tg_xyyyyy_xxxxxzz_1[j] * fl1_fza) + 2.5 * fl1_fxn * tg_xxyyyyy_xxxxzz_1[j];

                    tg_xxxyyyyy_xxxxyyy_0[j] = pb_x * tg_xxyyyyy_xxxxyyy_0[j] + fr * tg_xxyyyyy_xxxxyyy_1[j] + fl1_fx * (tg_xyyyyy_xxxxyyy_0[j] - tg_xyyyyy_xxxxyyy_1[j] * fl1_fza) + 2.0 * fl1_fxn * tg_xxyyyyy_xxxyyy_1[j];

                    tg_xxxyyyyy_xxxxyyz_0[j] = pb_x * tg_xxyyyyy_xxxxyyz_0[j] + fr * tg_xxyyyyy_xxxxyyz_1[j] + fl1_fx * (tg_xyyyyy_xxxxyyz_0[j] - tg_xyyyyy_xxxxyyz_1[j] * fl1_fza) + 2.0 * fl1_fxn * tg_xxyyyyy_xxxyyz_1[j];

                    tg_xxxyyyyy_xxxxyzz_0[j] = pb_x * tg_xxyyyyy_xxxxyzz_0[j] + fr * tg_xxyyyyy_xxxxyzz_1[j] + fl1_fx * (tg_xyyyyy_xxxxyzz_0[j] - tg_xyyyyy_xxxxyzz_1[j] * fl1_fza) + 2.0 * fl1_fxn * tg_xxyyyyy_xxxyzz_1[j];

                    tg_xxxyyyyy_xxxxzzz_0[j] = pb_x * tg_xxyyyyy_xxxxzzz_0[j] + fr * tg_xxyyyyy_xxxxzzz_1[j] + fl1_fx * (tg_xyyyyy_xxxxzzz_0[j] - tg_xyyyyy_xxxxzzz_1[j] * fl1_fza) + 2.0 * fl1_fxn * tg_xxyyyyy_xxxzzz_1[j];

                    tg_xxxyyyyy_xxxyyyy_0[j] = pb_x * tg_xxyyyyy_xxxyyyy_0[j] + fr * tg_xxyyyyy_xxxyyyy_1[j] + fl1_fx * (tg_xyyyyy_xxxyyyy_0[j] - tg_xyyyyy_xxxyyyy_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_xxyyyyy_xxyyyy_1[j];

                    tg_xxxyyyyy_xxxyyyz_0[j] = pb_x * tg_xxyyyyy_xxxyyyz_0[j] + fr * tg_xxyyyyy_xxxyyyz_1[j] + fl1_fx * (tg_xyyyyy_xxxyyyz_0[j] - tg_xyyyyy_xxxyyyz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_xxyyyyy_xxyyyz_1[j];

                    tg_xxxyyyyy_xxxyyzz_0[j] = pb_x * tg_xxyyyyy_xxxyyzz_0[j] + fr * tg_xxyyyyy_xxxyyzz_1[j] + fl1_fx * (tg_xyyyyy_xxxyyzz_0[j] - tg_xyyyyy_xxxyyzz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_xxyyyyy_xxyyzz_1[j];

                    tg_xxxyyyyy_xxxyzzz_0[j] = pb_x * tg_xxyyyyy_xxxyzzz_0[j] + fr * tg_xxyyyyy_xxxyzzz_1[j] + fl1_fx * (tg_xyyyyy_xxxyzzz_0[j] - tg_xyyyyy_xxxyzzz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_xxyyyyy_xxyzzz_1[j];

                    tg_xxxyyyyy_xxxzzzz_0[j] = pb_x * tg_xxyyyyy_xxxzzzz_0[j] + fr * tg_xxyyyyy_xxxzzzz_1[j] + fl1_fx * (tg_xyyyyy_xxxzzzz_0[j] - tg_xyyyyy_xxxzzzz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_xxyyyyy_xxzzzz_1[j];

                    tg_xxxyyyyy_xxyyyyy_0[j] = pb_x * tg_xxyyyyy_xxyyyyy_0[j] + fr * tg_xxyyyyy_xxyyyyy_1[j] + fl1_fx * (tg_xyyyyy_xxyyyyy_0[j] - tg_xyyyyy_xxyyyyy_1[j] * fl1_fza) + fl1_fxn * tg_xxyyyyy_xyyyyy_1[j];

                    tg_xxxyyyyy_xxyyyyz_0[j] = pb_x * tg_xxyyyyy_xxyyyyz_0[j] + fr * tg_xxyyyyy_xxyyyyz_1[j] + fl1_fx * (tg_xyyyyy_xxyyyyz_0[j] - tg_xyyyyy_xxyyyyz_1[j] * fl1_fza) + fl1_fxn * tg_xxyyyyy_xyyyyz_1[j];

                    tg_xxxyyyyy_xxyyyzz_0[j] = pb_x * tg_xxyyyyy_xxyyyzz_0[j] + fr * tg_xxyyyyy_xxyyyzz_1[j] + fl1_fx * (tg_xyyyyy_xxyyyzz_0[j] - tg_xyyyyy_xxyyyzz_1[j] * fl1_fza) + fl1_fxn * tg_xxyyyyy_xyyyzz_1[j];

                    tg_xxxyyyyy_xxyyzzz_0[j] = pb_x * tg_xxyyyyy_xxyyzzz_0[j] + fr * tg_xxyyyyy_xxyyzzz_1[j] + fl1_fx * (tg_xyyyyy_xxyyzzz_0[j] - tg_xyyyyy_xxyyzzz_1[j] * fl1_fza) + fl1_fxn * tg_xxyyyyy_xyyzzz_1[j];

                    tg_xxxyyyyy_xxyzzzz_0[j] = pb_x * tg_xxyyyyy_xxyzzzz_0[j] + fr * tg_xxyyyyy_xxyzzzz_1[j] + fl1_fx * (tg_xyyyyy_xxyzzzz_0[j] - tg_xyyyyy_xxyzzzz_1[j] * fl1_fza) + fl1_fxn * tg_xxyyyyy_xyzzzz_1[j];

                    tg_xxxyyyyy_xxzzzzz_0[j] = pb_x * tg_xxyyyyy_xxzzzzz_0[j] + fr * tg_xxyyyyy_xxzzzzz_1[j] + fl1_fx * (tg_xyyyyy_xxzzzzz_0[j] - tg_xyyyyy_xxzzzzz_1[j] * fl1_fza) + fl1_fxn * tg_xxyyyyy_xzzzzz_1[j];

                    tg_xxxyyyyy_xyyyyyy_0[j] = pb_x * tg_xxyyyyy_xyyyyyy_0[j] + fr * tg_xxyyyyy_xyyyyyy_1[j] + fl1_fx * (tg_xyyyyy_xyyyyyy_0[j] - tg_xyyyyy_xyyyyyy_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xxyyyyy_yyyyyy_1[j];

                    tg_xxxyyyyy_xyyyyyz_0[j] = pb_x * tg_xxyyyyy_xyyyyyz_0[j] + fr * tg_xxyyyyy_xyyyyyz_1[j] + fl1_fx * (tg_xyyyyy_xyyyyyz_0[j] - tg_xyyyyy_xyyyyyz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xxyyyyy_yyyyyz_1[j];

                    tg_xxxyyyyy_xyyyyzz_0[j] = pb_x * tg_xxyyyyy_xyyyyzz_0[j] + fr * tg_xxyyyyy_xyyyyzz_1[j] + fl1_fx * (tg_xyyyyy_xyyyyzz_0[j] - tg_xyyyyy_xyyyyzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xxyyyyy_yyyyzz_1[j];

                    tg_xxxyyyyy_xyyyzzz_0[j] = pb_x * tg_xxyyyyy_xyyyzzz_0[j] + fr * tg_xxyyyyy_xyyyzzz_1[j] + fl1_fx * (tg_xyyyyy_xyyyzzz_0[j] - tg_xyyyyy_xyyyzzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xxyyyyy_yyyzzz_1[j];

                    tg_xxxyyyyy_xyyzzzz_0[j] = pb_x * tg_xxyyyyy_xyyzzzz_0[j] + fr * tg_xxyyyyy_xyyzzzz_1[j] + fl1_fx * (tg_xyyyyy_xyyzzzz_0[j] - tg_xyyyyy_xyyzzzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xxyyyyy_yyzzzz_1[j];

                    tg_xxxyyyyy_xyzzzzz_0[j] = pb_x * tg_xxyyyyy_xyzzzzz_0[j] + fr * tg_xxyyyyy_xyzzzzz_1[j] + fl1_fx * (tg_xyyyyy_xyzzzzz_0[j] - tg_xyyyyy_xyzzzzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xxyyyyy_yzzzzz_1[j];

                    tg_xxxyyyyy_xzzzzzz_0[j] = pb_x * tg_xxyyyyy_xzzzzzz_0[j] + fr * tg_xxyyyyy_xzzzzzz_1[j] + fl1_fx * (tg_xyyyyy_xzzzzzz_0[j] - tg_xyyyyy_xzzzzzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xxyyyyy_zzzzzz_1[j];

                    tg_xxxyyyyy_yyyyyyy_0[j] = pb_x * tg_xxyyyyy_yyyyyyy_0[j] + fr * tg_xxyyyyy_yyyyyyy_1[j] + fl1_fx * (tg_xyyyyy_yyyyyyy_0[j] - tg_xyyyyy_yyyyyyy_1[j] * fl1_fza);

                    tg_xxxyyyyy_yyyyyyz_0[j] = pb_x * tg_xxyyyyy_yyyyyyz_0[j] + fr * tg_xxyyyyy_yyyyyyz_1[j] + fl1_fx * (tg_xyyyyy_yyyyyyz_0[j] - tg_xyyyyy_yyyyyyz_1[j] * fl1_fza);

                    tg_xxxyyyyy_yyyyyzz_0[j] = pb_x * tg_xxyyyyy_yyyyyzz_0[j] + fr * tg_xxyyyyy_yyyyyzz_1[j] + fl1_fx * (tg_xyyyyy_yyyyyzz_0[j] - tg_xyyyyy_yyyyyzz_1[j] * fl1_fza);

                    tg_xxxyyyyy_yyyyzzz_0[j] = pb_x * tg_xxyyyyy_yyyyzzz_0[j] + fr * tg_xxyyyyy_yyyyzzz_1[j] + fl1_fx * (tg_xyyyyy_yyyyzzz_0[j] - tg_xyyyyy_yyyyzzz_1[j] * fl1_fza);

                    tg_xxxyyyyy_yyyzzzz_0[j] = pb_x * tg_xxyyyyy_yyyzzzz_0[j] + fr * tg_xxyyyyy_yyyzzzz_1[j] + fl1_fx * (tg_xyyyyy_yyyzzzz_0[j] - tg_xyyyyy_yyyzzzz_1[j] * fl1_fza);

                    tg_xxxyyyyy_yyzzzzz_0[j] = pb_x * tg_xxyyyyy_yyzzzzz_0[j] + fr * tg_xxyyyyy_yyzzzzz_1[j] + fl1_fx * (tg_xyyyyy_yyzzzzz_0[j] - tg_xyyyyy_yyzzzzz_1[j] * fl1_fza);

                    tg_xxxyyyyy_yzzzzzz_0[j] = pb_x * tg_xxyyyyy_yzzzzzz_0[j] + fr * tg_xxyyyyy_yzzzzzz_1[j] + fl1_fx * (tg_xyyyyy_yzzzzzz_0[j] - tg_xyyyyy_yzzzzzz_1[j] * fl1_fza);
                }

                idx++;
            }
        }
    }

    void
    compElectronRepulsionForSLSK_575_670(      CMemBlock2D<double>* primBuffer,
                                         const CRecursionMap&       recursionMap,
                                         const CMemBlock2D<double>& osFactors,
                                         const CMemBlock2D<double>& wpDistances,
                                         const CGtoPairsBlock&      braGtoPairsBlock,
                                         const CGtoPairsBlock&      ketGtoPairsBlock,
                                         const int32_t              nKetPrimPairs,
                                         const int32_t              iContrPair)
    {
        // Batch of Integrals (575,670)

        // set up pointers to primitives data on bra side

        auto spos = braGtoPairsBlock.getStartPositions();

        auto epos = braGtoPairsBlock.getEndPositions();

        // set up pointers to tensor of distance R(PB) = P - B

        auto r_pb_x = braGtoPairsBlock.getDistancesPBX();

        // set up pointers to common Obara-Saika factors

        auto b_fx = braGtoPairsBlock.getFactorsOneOverXi();

        // set up maximum order of integral

        auto mord = recursionMap.getMaxOrder({"Electron Repulsion"},
                                             {8, -1, -1, -1},
                                             {7, -1, -1, -1},
                                             1, 1);

        for (int32_t iord = 0; iord <= mord; iord++)
        {
            // set up index of integral

            auto pidx_g_8_7_m0 = recursionMap.index(CRecursionTerm({"Electron Repulsion"}, 0, true, 
                                                                   {8, -1, -1, -1}, {7, -1, -1, -1}, 
                                                                   1, 1, iord));

            // check if integral is needed in recursion expansion

            if (pidx_g_8_7_m0 == -1) continue;

            // set up indexes of auxilary integral

            auto pidx_g_7_7_m0 = recursionMap.index(CRecursionTerm({"Electron Repulsion"}, 0, true, 
                                                                   {7, -1, -1, -1}, {7, -1, -1, -1}, 
                                                                   1, 1, iord));

            auto pidx_g_7_7_m1 = recursionMap.index(CRecursionTerm({"Electron Repulsion"}, 0, true, 
                                                                   {7, -1, -1, -1}, {7, -1, -1, -1}, 
                                                                   1, 1, iord + 1));

            auto pidx_g_6_7_m0 = recursionMap.index(CRecursionTerm({"Electron Repulsion"}, 0, true, 
                                                                   {6, -1, -1, -1}, {7, -1, -1, -1}, 
                                                                   1, 1, iord));

            auto pidx_g_6_7_m1 = recursionMap.index(CRecursionTerm({"Electron Repulsion"}, 0, true, 
                                                                   {6, -1, -1, -1}, {7, -1, -1, -1}, 
                                                                   1, 1, iord + 1));

            auto pidx_g_7_6_m1 = recursionMap.index(CRecursionTerm({"Electron Repulsion"}, 0, true, 
                                                                   {7, -1, -1, -1}, {6, -1, -1, -1}, 
                                                                   1, 1, iord + 1));

            // loop over contracted GTO on bra side

            int32_t idx = 0;

            for (int32_t i = spos[iContrPair]; i < epos[iContrPair]; i++)
            {
                // set up pointers to Obara-Saika factors

                double fx = b_fx[i];

                auto fza = osFactors.data(4 * idx + 2);

                auto fxn = osFactors.data(4 * idx);

                // set up distances R(PB) = P - B

                auto pb_x = r_pb_x[i];

                // set up pointers to tensors product of distances R(WP) = W - P

                auto wp_x = wpDistances.data(3 * idx);

                // set up pointers to auxilary integrals

                auto tg_xxyyyyy_zzzzzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 575); 

                auto tg_xxyyyyz_xxxxxxx_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 576); 

                auto tg_xxyyyyz_xxxxxxy_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 577); 

                auto tg_xxyyyyz_xxxxxxz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 578); 

                auto tg_xxyyyyz_xxxxxyy_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 579); 

                auto tg_xxyyyyz_xxxxxyz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 580); 

                auto tg_xxyyyyz_xxxxxzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 581); 

                auto tg_xxyyyyz_xxxxyyy_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 582); 

                auto tg_xxyyyyz_xxxxyyz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 583); 

                auto tg_xxyyyyz_xxxxyzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 584); 

                auto tg_xxyyyyz_xxxxzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 585); 

                auto tg_xxyyyyz_xxxyyyy_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 586); 

                auto tg_xxyyyyz_xxxyyyz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 587); 

                auto tg_xxyyyyz_xxxyyzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 588); 

                auto tg_xxyyyyz_xxxyzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 589); 

                auto tg_xxyyyyz_xxxzzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 590); 

                auto tg_xxyyyyz_xxyyyyy_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 591); 

                auto tg_xxyyyyz_xxyyyyz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 592); 

                auto tg_xxyyyyz_xxyyyzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 593); 

                auto tg_xxyyyyz_xxyyzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 594); 

                auto tg_xxyyyyz_xxyzzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 595); 

                auto tg_xxyyyyz_xxzzzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 596); 

                auto tg_xxyyyyz_xyyyyyy_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 597); 

                auto tg_xxyyyyz_xyyyyyz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 598); 

                auto tg_xxyyyyz_xyyyyzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 599); 

                auto tg_xxyyyyz_xyyyzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 600); 

                auto tg_xxyyyyz_xyyzzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 601); 

                auto tg_xxyyyyz_xyzzzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 602); 

                auto tg_xxyyyyz_xzzzzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 603); 

                auto tg_xxyyyyz_yyyyyyy_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 604); 

                auto tg_xxyyyyz_yyyyyyz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 605); 

                auto tg_xxyyyyz_yyyyyzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 606); 

                auto tg_xxyyyyz_yyyyzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 607); 

                auto tg_xxyyyyz_yyyzzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 608); 

                auto tg_xxyyyyz_yyzzzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 609); 

                auto tg_xxyyyyz_yzzzzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 610); 

                auto tg_xxyyyyz_zzzzzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 611); 

                auto tg_xxyyyzz_xxxxxxx_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 612); 

                auto tg_xxyyyzz_xxxxxxy_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 613); 

                auto tg_xxyyyzz_xxxxxxz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 614); 

                auto tg_xxyyyzz_xxxxxyy_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 615); 

                auto tg_xxyyyzz_xxxxxyz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 616); 

                auto tg_xxyyyzz_xxxxxzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 617); 

                auto tg_xxyyyzz_xxxxyyy_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 618); 

                auto tg_xxyyyzz_xxxxyyz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 619); 

                auto tg_xxyyyzz_xxxxyzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 620); 

                auto tg_xxyyyzz_xxxxzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 621); 

                auto tg_xxyyyzz_xxxyyyy_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 622); 

                auto tg_xxyyyzz_xxxyyyz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 623); 

                auto tg_xxyyyzz_xxxyyzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 624); 

                auto tg_xxyyyzz_xxxyzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 625); 

                auto tg_xxyyyzz_xxxzzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 626); 

                auto tg_xxyyyzz_xxyyyyy_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 627); 

                auto tg_xxyyyzz_xxyyyyz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 628); 

                auto tg_xxyyyzz_xxyyyzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 629); 

                auto tg_xxyyyzz_xxyyzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 630); 

                auto tg_xxyyyzz_xxyzzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 631); 

                auto tg_xxyyyzz_xxzzzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 632); 

                auto tg_xxyyyzz_xyyyyyy_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 633); 

                auto tg_xxyyyzz_xyyyyyz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 634); 

                auto tg_xxyyyzz_xyyyyzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 635); 

                auto tg_xxyyyzz_xyyyzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 636); 

                auto tg_xxyyyzz_xyyzzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 637); 

                auto tg_xxyyyzz_xyzzzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 638); 

                auto tg_xxyyyzz_xzzzzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 639); 

                auto tg_xxyyyzz_yyyyyyy_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 640); 

                auto tg_xxyyyzz_yyyyyyz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 641); 

                auto tg_xxyyyzz_yyyyyzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 642); 

                auto tg_xxyyyzz_yyyyzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 643); 

                auto tg_xxyyyzz_yyyzzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 644); 

                auto tg_xxyyyzz_yyzzzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 645); 

                auto tg_xxyyyzz_yzzzzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 646); 

                auto tg_xxyyyzz_zzzzzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 647); 

                auto tg_xxyyzzz_xxxxxxx_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 648); 

                auto tg_xxyyzzz_xxxxxxy_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 649); 

                auto tg_xxyyzzz_xxxxxxz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 650); 

                auto tg_xxyyzzz_xxxxxyy_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 651); 

                auto tg_xxyyzzz_xxxxxyz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 652); 

                auto tg_xxyyzzz_xxxxxzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 653); 

                auto tg_xxyyzzz_xxxxyyy_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 654); 

                auto tg_xxyyzzz_xxxxyyz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 655); 

                auto tg_xxyyzzz_xxxxyzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 656); 

                auto tg_xxyyzzz_xxxxzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 657); 

                auto tg_xxyyzzz_xxxyyyy_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 658); 

                auto tg_xxyyzzz_xxxyyyz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 659); 

                auto tg_xxyyzzz_xxxyyzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 660); 

                auto tg_xxyyzzz_xxxyzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 661); 

                auto tg_xxyyzzz_xxxzzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 662); 

                auto tg_xxyyzzz_xxyyyyy_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 663); 

                auto tg_xxyyzzz_xxyyyyz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 664); 

                auto tg_xxyyzzz_xxyyyzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 665); 

                auto tg_xxyyzzz_xxyyzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 666); 

                auto tg_xxyyzzz_xxyzzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 667); 

                auto tg_xxyyzzz_xxzzzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 668); 

                auto tg_xxyyzzz_xyyyyyy_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 669); 

                auto tg_xxyyyyy_zzzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 575); 

                auto tg_xxyyyyz_xxxxxxx_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 576); 

                auto tg_xxyyyyz_xxxxxxy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 577); 

                auto tg_xxyyyyz_xxxxxxz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 578); 

                auto tg_xxyyyyz_xxxxxyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 579); 

                auto tg_xxyyyyz_xxxxxyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 580); 

                auto tg_xxyyyyz_xxxxxzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 581); 

                auto tg_xxyyyyz_xxxxyyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 582); 

                auto tg_xxyyyyz_xxxxyyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 583); 

                auto tg_xxyyyyz_xxxxyzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 584); 

                auto tg_xxyyyyz_xxxxzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 585); 

                auto tg_xxyyyyz_xxxyyyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 586); 

                auto tg_xxyyyyz_xxxyyyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 587); 

                auto tg_xxyyyyz_xxxyyzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 588); 

                auto tg_xxyyyyz_xxxyzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 589); 

                auto tg_xxyyyyz_xxxzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 590); 

                auto tg_xxyyyyz_xxyyyyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 591); 

                auto tg_xxyyyyz_xxyyyyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 592); 

                auto tg_xxyyyyz_xxyyyzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 593); 

                auto tg_xxyyyyz_xxyyzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 594); 

                auto tg_xxyyyyz_xxyzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 595); 

                auto tg_xxyyyyz_xxzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 596); 

                auto tg_xxyyyyz_xyyyyyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 597); 

                auto tg_xxyyyyz_xyyyyyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 598); 

                auto tg_xxyyyyz_xyyyyzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 599); 

                auto tg_xxyyyyz_xyyyzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 600); 

                auto tg_xxyyyyz_xyyzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 601); 

                auto tg_xxyyyyz_xyzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 602); 

                auto tg_xxyyyyz_xzzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 603); 

                auto tg_xxyyyyz_yyyyyyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 604); 

                auto tg_xxyyyyz_yyyyyyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 605); 

                auto tg_xxyyyyz_yyyyyzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 606); 

                auto tg_xxyyyyz_yyyyzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 607); 

                auto tg_xxyyyyz_yyyzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 608); 

                auto tg_xxyyyyz_yyzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 609); 

                auto tg_xxyyyyz_yzzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 610); 

                auto tg_xxyyyyz_zzzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 611); 

                auto tg_xxyyyzz_xxxxxxx_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 612); 

                auto tg_xxyyyzz_xxxxxxy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 613); 

                auto tg_xxyyyzz_xxxxxxz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 614); 

                auto tg_xxyyyzz_xxxxxyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 615); 

                auto tg_xxyyyzz_xxxxxyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 616); 

                auto tg_xxyyyzz_xxxxxzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 617); 

                auto tg_xxyyyzz_xxxxyyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 618); 

                auto tg_xxyyyzz_xxxxyyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 619); 

                auto tg_xxyyyzz_xxxxyzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 620); 

                auto tg_xxyyyzz_xxxxzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 621); 

                auto tg_xxyyyzz_xxxyyyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 622); 

                auto tg_xxyyyzz_xxxyyyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 623); 

                auto tg_xxyyyzz_xxxyyzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 624); 

                auto tg_xxyyyzz_xxxyzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 625); 

                auto tg_xxyyyzz_xxxzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 626); 

                auto tg_xxyyyzz_xxyyyyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 627); 

                auto tg_xxyyyzz_xxyyyyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 628); 

                auto tg_xxyyyzz_xxyyyzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 629); 

                auto tg_xxyyyzz_xxyyzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 630); 

                auto tg_xxyyyzz_xxyzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 631); 

                auto tg_xxyyyzz_xxzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 632); 

                auto tg_xxyyyzz_xyyyyyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 633); 

                auto tg_xxyyyzz_xyyyyyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 634); 

                auto tg_xxyyyzz_xyyyyzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 635); 

                auto tg_xxyyyzz_xyyyzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 636); 

                auto tg_xxyyyzz_xyyzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 637); 

                auto tg_xxyyyzz_xyzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 638); 

                auto tg_xxyyyzz_xzzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 639); 

                auto tg_xxyyyzz_yyyyyyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 640); 

                auto tg_xxyyyzz_yyyyyyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 641); 

                auto tg_xxyyyzz_yyyyyzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 642); 

                auto tg_xxyyyzz_yyyyzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 643); 

                auto tg_xxyyyzz_yyyzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 644); 

                auto tg_xxyyyzz_yyzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 645); 

                auto tg_xxyyyzz_yzzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 646); 

                auto tg_xxyyyzz_zzzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 647); 

                auto tg_xxyyzzz_xxxxxxx_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 648); 

                auto tg_xxyyzzz_xxxxxxy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 649); 

                auto tg_xxyyzzz_xxxxxxz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 650); 

                auto tg_xxyyzzz_xxxxxyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 651); 

                auto tg_xxyyzzz_xxxxxyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 652); 

                auto tg_xxyyzzz_xxxxxzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 653); 

                auto tg_xxyyzzz_xxxxyyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 654); 

                auto tg_xxyyzzz_xxxxyyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 655); 

                auto tg_xxyyzzz_xxxxyzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 656); 

                auto tg_xxyyzzz_xxxxzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 657); 

                auto tg_xxyyzzz_xxxyyyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 658); 

                auto tg_xxyyzzz_xxxyyyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 659); 

                auto tg_xxyyzzz_xxxyyzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 660); 

                auto tg_xxyyzzz_xxxyzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 661); 

                auto tg_xxyyzzz_xxxzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 662); 

                auto tg_xxyyzzz_xxyyyyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 663); 

                auto tg_xxyyzzz_xxyyyyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 664); 

                auto tg_xxyyzzz_xxyyyzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 665); 

                auto tg_xxyyzzz_xxyyzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 666); 

                auto tg_xxyyzzz_xxyzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 667); 

                auto tg_xxyyzzz_xxzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 668); 

                auto tg_xxyyzzz_xyyyyyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 669); 

                auto tg_xyyyyy_zzzzzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 575); 

                auto tg_xyyyyz_xxxxxxx_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 576); 

                auto tg_xyyyyz_xxxxxxy_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 577); 

                auto tg_xyyyyz_xxxxxxz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 578); 

                auto tg_xyyyyz_xxxxxyy_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 579); 

                auto tg_xyyyyz_xxxxxyz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 580); 

                auto tg_xyyyyz_xxxxxzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 581); 

                auto tg_xyyyyz_xxxxyyy_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 582); 

                auto tg_xyyyyz_xxxxyyz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 583); 

                auto tg_xyyyyz_xxxxyzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 584); 

                auto tg_xyyyyz_xxxxzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 585); 

                auto tg_xyyyyz_xxxyyyy_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 586); 

                auto tg_xyyyyz_xxxyyyz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 587); 

                auto tg_xyyyyz_xxxyyzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 588); 

                auto tg_xyyyyz_xxxyzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 589); 

                auto tg_xyyyyz_xxxzzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 590); 

                auto tg_xyyyyz_xxyyyyy_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 591); 

                auto tg_xyyyyz_xxyyyyz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 592); 

                auto tg_xyyyyz_xxyyyzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 593); 

                auto tg_xyyyyz_xxyyzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 594); 

                auto tg_xyyyyz_xxyzzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 595); 

                auto tg_xyyyyz_xxzzzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 596); 

                auto tg_xyyyyz_xyyyyyy_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 597); 

                auto tg_xyyyyz_xyyyyyz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 598); 

                auto tg_xyyyyz_xyyyyzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 599); 

                auto tg_xyyyyz_xyyyzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 600); 

                auto tg_xyyyyz_xyyzzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 601); 

                auto tg_xyyyyz_xyzzzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 602); 

                auto tg_xyyyyz_xzzzzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 603); 

                auto tg_xyyyyz_yyyyyyy_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 604); 

                auto tg_xyyyyz_yyyyyyz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 605); 

                auto tg_xyyyyz_yyyyyzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 606); 

                auto tg_xyyyyz_yyyyzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 607); 

                auto tg_xyyyyz_yyyzzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 608); 

                auto tg_xyyyyz_yyzzzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 609); 

                auto tg_xyyyyz_yzzzzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 610); 

                auto tg_xyyyyz_zzzzzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 611); 

                auto tg_xyyyzz_xxxxxxx_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 612); 

                auto tg_xyyyzz_xxxxxxy_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 613); 

                auto tg_xyyyzz_xxxxxxz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 614); 

                auto tg_xyyyzz_xxxxxyy_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 615); 

                auto tg_xyyyzz_xxxxxyz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 616); 

                auto tg_xyyyzz_xxxxxzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 617); 

                auto tg_xyyyzz_xxxxyyy_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 618); 

                auto tg_xyyyzz_xxxxyyz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 619); 

                auto tg_xyyyzz_xxxxyzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 620); 

                auto tg_xyyyzz_xxxxzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 621); 

                auto tg_xyyyzz_xxxyyyy_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 622); 

                auto tg_xyyyzz_xxxyyyz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 623); 

                auto tg_xyyyzz_xxxyyzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 624); 

                auto tg_xyyyzz_xxxyzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 625); 

                auto tg_xyyyzz_xxxzzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 626); 

                auto tg_xyyyzz_xxyyyyy_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 627); 

                auto tg_xyyyzz_xxyyyyz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 628); 

                auto tg_xyyyzz_xxyyyzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 629); 

                auto tg_xyyyzz_xxyyzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 630); 

                auto tg_xyyyzz_xxyzzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 631); 

                auto tg_xyyyzz_xxzzzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 632); 

                auto tg_xyyyzz_xyyyyyy_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 633); 

                auto tg_xyyyzz_xyyyyyz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 634); 

                auto tg_xyyyzz_xyyyyzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 635); 

                auto tg_xyyyzz_xyyyzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 636); 

                auto tg_xyyyzz_xyyzzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 637); 

                auto tg_xyyyzz_xyzzzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 638); 

                auto tg_xyyyzz_xzzzzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 639); 

                auto tg_xyyyzz_yyyyyyy_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 640); 

                auto tg_xyyyzz_yyyyyyz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 641); 

                auto tg_xyyyzz_yyyyyzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 642); 

                auto tg_xyyyzz_yyyyzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 643); 

                auto tg_xyyyzz_yyyzzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 644); 

                auto tg_xyyyzz_yyzzzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 645); 

                auto tg_xyyyzz_yzzzzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 646); 

                auto tg_xyyyzz_zzzzzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 647); 

                auto tg_xyyzzz_xxxxxxx_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 648); 

                auto tg_xyyzzz_xxxxxxy_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 649); 

                auto tg_xyyzzz_xxxxxxz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 650); 

                auto tg_xyyzzz_xxxxxyy_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 651); 

                auto tg_xyyzzz_xxxxxyz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 652); 

                auto tg_xyyzzz_xxxxxzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 653); 

                auto tg_xyyzzz_xxxxyyy_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 654); 

                auto tg_xyyzzz_xxxxyyz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 655); 

                auto tg_xyyzzz_xxxxyzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 656); 

                auto tg_xyyzzz_xxxxzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 657); 

                auto tg_xyyzzz_xxxyyyy_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 658); 

                auto tg_xyyzzz_xxxyyyz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 659); 

                auto tg_xyyzzz_xxxyyzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 660); 

                auto tg_xyyzzz_xxxyzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 661); 

                auto tg_xyyzzz_xxxzzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 662); 

                auto tg_xyyzzz_xxyyyyy_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 663); 

                auto tg_xyyzzz_xxyyyyz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 664); 

                auto tg_xyyzzz_xxyyyzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 665); 

                auto tg_xyyzzz_xxyyzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 666); 

                auto tg_xyyzzz_xxyzzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 667); 

                auto tg_xyyzzz_xxzzzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 668); 

                auto tg_xyyzzz_xyyyyyy_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 669); 

                auto tg_xyyyyy_zzzzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 575); 

                auto tg_xyyyyz_xxxxxxx_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 576); 

                auto tg_xyyyyz_xxxxxxy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 577); 

                auto tg_xyyyyz_xxxxxxz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 578); 

                auto tg_xyyyyz_xxxxxyy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 579); 

                auto tg_xyyyyz_xxxxxyz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 580); 

                auto tg_xyyyyz_xxxxxzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 581); 

                auto tg_xyyyyz_xxxxyyy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 582); 

                auto tg_xyyyyz_xxxxyyz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 583); 

                auto tg_xyyyyz_xxxxyzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 584); 

                auto tg_xyyyyz_xxxxzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 585); 

                auto tg_xyyyyz_xxxyyyy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 586); 

                auto tg_xyyyyz_xxxyyyz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 587); 

                auto tg_xyyyyz_xxxyyzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 588); 

                auto tg_xyyyyz_xxxyzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 589); 

                auto tg_xyyyyz_xxxzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 590); 

                auto tg_xyyyyz_xxyyyyy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 591); 

                auto tg_xyyyyz_xxyyyyz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 592); 

                auto tg_xyyyyz_xxyyyzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 593); 

                auto tg_xyyyyz_xxyyzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 594); 

                auto tg_xyyyyz_xxyzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 595); 

                auto tg_xyyyyz_xxzzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 596); 

                auto tg_xyyyyz_xyyyyyy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 597); 

                auto tg_xyyyyz_xyyyyyz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 598); 

                auto tg_xyyyyz_xyyyyzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 599); 

                auto tg_xyyyyz_xyyyzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 600); 

                auto tg_xyyyyz_xyyzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 601); 

                auto tg_xyyyyz_xyzzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 602); 

                auto tg_xyyyyz_xzzzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 603); 

                auto tg_xyyyyz_yyyyyyy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 604); 

                auto tg_xyyyyz_yyyyyyz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 605); 

                auto tg_xyyyyz_yyyyyzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 606); 

                auto tg_xyyyyz_yyyyzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 607); 

                auto tg_xyyyyz_yyyzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 608); 

                auto tg_xyyyyz_yyzzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 609); 

                auto tg_xyyyyz_yzzzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 610); 

                auto tg_xyyyyz_zzzzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 611); 

                auto tg_xyyyzz_xxxxxxx_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 612); 

                auto tg_xyyyzz_xxxxxxy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 613); 

                auto tg_xyyyzz_xxxxxxz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 614); 

                auto tg_xyyyzz_xxxxxyy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 615); 

                auto tg_xyyyzz_xxxxxyz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 616); 

                auto tg_xyyyzz_xxxxxzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 617); 

                auto tg_xyyyzz_xxxxyyy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 618); 

                auto tg_xyyyzz_xxxxyyz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 619); 

                auto tg_xyyyzz_xxxxyzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 620); 

                auto tg_xyyyzz_xxxxzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 621); 

                auto tg_xyyyzz_xxxyyyy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 622); 

                auto tg_xyyyzz_xxxyyyz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 623); 

                auto tg_xyyyzz_xxxyyzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 624); 

                auto tg_xyyyzz_xxxyzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 625); 

                auto tg_xyyyzz_xxxzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 626); 

                auto tg_xyyyzz_xxyyyyy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 627); 

                auto tg_xyyyzz_xxyyyyz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 628); 

                auto tg_xyyyzz_xxyyyzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 629); 

                auto tg_xyyyzz_xxyyzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 630); 

                auto tg_xyyyzz_xxyzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 631); 

                auto tg_xyyyzz_xxzzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 632); 

                auto tg_xyyyzz_xyyyyyy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 633); 

                auto tg_xyyyzz_xyyyyyz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 634); 

                auto tg_xyyyzz_xyyyyzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 635); 

                auto tg_xyyyzz_xyyyzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 636); 

                auto tg_xyyyzz_xyyzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 637); 

                auto tg_xyyyzz_xyzzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 638); 

                auto tg_xyyyzz_xzzzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 639); 

                auto tg_xyyyzz_yyyyyyy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 640); 

                auto tg_xyyyzz_yyyyyyz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 641); 

                auto tg_xyyyzz_yyyyyzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 642); 

                auto tg_xyyyzz_yyyyzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 643); 

                auto tg_xyyyzz_yyyzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 644); 

                auto tg_xyyyzz_yyzzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 645); 

                auto tg_xyyyzz_yzzzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 646); 

                auto tg_xyyyzz_zzzzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 647); 

                auto tg_xyyzzz_xxxxxxx_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 648); 

                auto tg_xyyzzz_xxxxxxy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 649); 

                auto tg_xyyzzz_xxxxxxz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 650); 

                auto tg_xyyzzz_xxxxxyy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 651); 

                auto tg_xyyzzz_xxxxxyz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 652); 

                auto tg_xyyzzz_xxxxxzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 653); 

                auto tg_xyyzzz_xxxxyyy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 654); 

                auto tg_xyyzzz_xxxxyyz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 655); 

                auto tg_xyyzzz_xxxxyzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 656); 

                auto tg_xyyzzz_xxxxzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 657); 

                auto tg_xyyzzz_xxxyyyy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 658); 

                auto tg_xyyzzz_xxxyyyz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 659); 

                auto tg_xyyzzz_xxxyyzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 660); 

                auto tg_xyyzzz_xxxyzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 661); 

                auto tg_xyyzzz_xxxzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 662); 

                auto tg_xyyzzz_xxyyyyy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 663); 

                auto tg_xyyzzz_xxyyyyz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 664); 

                auto tg_xyyzzz_xxyyyzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 665); 

                auto tg_xyyzzz_xxyyzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 666); 

                auto tg_xyyzzz_xxyzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 667); 

                auto tg_xyyzzz_xxzzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 668); 

                auto tg_xyyzzz_xyyyyyy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 669); 

                auto tg_xxyyyyz_xxxxxx_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 448); 

                auto tg_xxyyyyz_xxxxxy_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 449); 

                auto tg_xxyyyyz_xxxxxz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 450); 

                auto tg_xxyyyyz_xxxxyy_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 451); 

                auto tg_xxyyyyz_xxxxyz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 452); 

                auto tg_xxyyyyz_xxxxzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 453); 

                auto tg_xxyyyyz_xxxyyy_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 454); 

                auto tg_xxyyyyz_xxxyyz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 455); 

                auto tg_xxyyyyz_xxxyzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 456); 

                auto tg_xxyyyyz_xxxzzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 457); 

                auto tg_xxyyyyz_xxyyyy_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 458); 

                auto tg_xxyyyyz_xxyyyz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 459); 

                auto tg_xxyyyyz_xxyyzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 460); 

                auto tg_xxyyyyz_xxyzzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 461); 

                auto tg_xxyyyyz_xxzzzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 462); 

                auto tg_xxyyyyz_xyyyyy_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 463); 

                auto tg_xxyyyyz_xyyyyz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 464); 

                auto tg_xxyyyyz_xyyyzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 465); 

                auto tg_xxyyyyz_xyyzzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 466); 

                auto tg_xxyyyyz_xyzzzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 467); 

                auto tg_xxyyyyz_xzzzzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 468); 

                auto tg_xxyyyyz_yyyyyy_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 469); 

                auto tg_xxyyyyz_yyyyyz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 470); 

                auto tg_xxyyyyz_yyyyzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 471); 

                auto tg_xxyyyyz_yyyzzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 472); 

                auto tg_xxyyyyz_yyzzzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 473); 

                auto tg_xxyyyyz_yzzzzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 474); 

                auto tg_xxyyyyz_zzzzzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 475); 

                auto tg_xxyyyzz_xxxxxx_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 476); 

                auto tg_xxyyyzz_xxxxxy_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 477); 

                auto tg_xxyyyzz_xxxxxz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 478); 

                auto tg_xxyyyzz_xxxxyy_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 479); 

                auto tg_xxyyyzz_xxxxyz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 480); 

                auto tg_xxyyyzz_xxxxzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 481); 

                auto tg_xxyyyzz_xxxyyy_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 482); 

                auto tg_xxyyyzz_xxxyyz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 483); 

                auto tg_xxyyyzz_xxxyzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 484); 

                auto tg_xxyyyzz_xxxzzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 485); 

                auto tg_xxyyyzz_xxyyyy_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 486); 

                auto tg_xxyyyzz_xxyyyz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 487); 

                auto tg_xxyyyzz_xxyyzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 488); 

                auto tg_xxyyyzz_xxyzzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 489); 

                auto tg_xxyyyzz_xxzzzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 490); 

                auto tg_xxyyyzz_xyyyyy_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 491); 

                auto tg_xxyyyzz_xyyyyz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 492); 

                auto tg_xxyyyzz_xyyyzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 493); 

                auto tg_xxyyyzz_xyyzzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 494); 

                auto tg_xxyyyzz_xyzzzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 495); 

                auto tg_xxyyyzz_xzzzzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 496); 

                auto tg_xxyyyzz_yyyyyy_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 497); 

                auto tg_xxyyyzz_yyyyyz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 498); 

                auto tg_xxyyyzz_yyyyzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 499); 

                auto tg_xxyyyzz_yyyzzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 500); 

                auto tg_xxyyyzz_yyzzzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 501); 

                auto tg_xxyyyzz_yzzzzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 502); 

                auto tg_xxyyyzz_zzzzzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 503); 

                auto tg_xxyyzzz_xxxxxx_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 504); 

                auto tg_xxyyzzz_xxxxxy_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 505); 

                auto tg_xxyyzzz_xxxxxz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 506); 

                auto tg_xxyyzzz_xxxxyy_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 507); 

                auto tg_xxyyzzz_xxxxyz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 508); 

                auto tg_xxyyzzz_xxxxzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 509); 

                auto tg_xxyyzzz_xxxyyy_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 510); 

                auto tg_xxyyzzz_xxxyyz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 511); 

                auto tg_xxyyzzz_xxxyzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 512); 

                auto tg_xxyyzzz_xxxzzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 513); 

                auto tg_xxyyzzz_xxyyyy_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 514); 

                auto tg_xxyyzzz_xxyyyz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 515); 

                auto tg_xxyyzzz_xxyyzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 516); 

                auto tg_xxyyzzz_xxyzzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 517); 

                auto tg_xxyyzzz_xxzzzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 518); 

                auto tg_xxyyzzz_xyyyyy_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 519); 

                auto tg_xxyyzzz_xyyyyz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 520); 

                auto tg_xxyyzzz_xyyyzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 521); 

                auto tg_xxyyzzz_xyyzzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 522); 

                auto tg_xxyyzzz_xyzzzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 523); 

                auto tg_xxyyzzz_xzzzzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 524); 

                auto tg_xxyyzzz_yyyyyy_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 525); 

                // set up pointers to integrals

                auto tg_xxxyyyyy_zzzzzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 575); 

                auto tg_xxxyyyyz_xxxxxxx_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 576); 

                auto tg_xxxyyyyz_xxxxxxy_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 577); 

                auto tg_xxxyyyyz_xxxxxxz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 578); 

                auto tg_xxxyyyyz_xxxxxyy_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 579); 

                auto tg_xxxyyyyz_xxxxxyz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 580); 

                auto tg_xxxyyyyz_xxxxxzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 581); 

                auto tg_xxxyyyyz_xxxxyyy_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 582); 

                auto tg_xxxyyyyz_xxxxyyz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 583); 

                auto tg_xxxyyyyz_xxxxyzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 584); 

                auto tg_xxxyyyyz_xxxxzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 585); 

                auto tg_xxxyyyyz_xxxyyyy_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 586); 

                auto tg_xxxyyyyz_xxxyyyz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 587); 

                auto tg_xxxyyyyz_xxxyyzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 588); 

                auto tg_xxxyyyyz_xxxyzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 589); 

                auto tg_xxxyyyyz_xxxzzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 590); 

                auto tg_xxxyyyyz_xxyyyyy_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 591); 

                auto tg_xxxyyyyz_xxyyyyz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 592); 

                auto tg_xxxyyyyz_xxyyyzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 593); 

                auto tg_xxxyyyyz_xxyyzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 594); 

                auto tg_xxxyyyyz_xxyzzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 595); 

                auto tg_xxxyyyyz_xxzzzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 596); 

                auto tg_xxxyyyyz_xyyyyyy_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 597); 

                auto tg_xxxyyyyz_xyyyyyz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 598); 

                auto tg_xxxyyyyz_xyyyyzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 599); 

                auto tg_xxxyyyyz_xyyyzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 600); 

                auto tg_xxxyyyyz_xyyzzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 601); 

                auto tg_xxxyyyyz_xyzzzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 602); 

                auto tg_xxxyyyyz_xzzzzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 603); 

                auto tg_xxxyyyyz_yyyyyyy_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 604); 

                auto tg_xxxyyyyz_yyyyyyz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 605); 

                auto tg_xxxyyyyz_yyyyyzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 606); 

                auto tg_xxxyyyyz_yyyyzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 607); 

                auto tg_xxxyyyyz_yyyzzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 608); 

                auto tg_xxxyyyyz_yyzzzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 609); 

                auto tg_xxxyyyyz_yzzzzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 610); 

                auto tg_xxxyyyyz_zzzzzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 611); 

                auto tg_xxxyyyzz_xxxxxxx_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 612); 

                auto tg_xxxyyyzz_xxxxxxy_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 613); 

                auto tg_xxxyyyzz_xxxxxxz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 614); 

                auto tg_xxxyyyzz_xxxxxyy_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 615); 

                auto tg_xxxyyyzz_xxxxxyz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 616); 

                auto tg_xxxyyyzz_xxxxxzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 617); 

                auto tg_xxxyyyzz_xxxxyyy_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 618); 

                auto tg_xxxyyyzz_xxxxyyz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 619); 

                auto tg_xxxyyyzz_xxxxyzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 620); 

                auto tg_xxxyyyzz_xxxxzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 621); 

                auto tg_xxxyyyzz_xxxyyyy_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 622); 

                auto tg_xxxyyyzz_xxxyyyz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 623); 

                auto tg_xxxyyyzz_xxxyyzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 624); 

                auto tg_xxxyyyzz_xxxyzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 625); 

                auto tg_xxxyyyzz_xxxzzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 626); 

                auto tg_xxxyyyzz_xxyyyyy_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 627); 

                auto tg_xxxyyyzz_xxyyyyz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 628); 

                auto tg_xxxyyyzz_xxyyyzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 629); 

                auto tg_xxxyyyzz_xxyyzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 630); 

                auto tg_xxxyyyzz_xxyzzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 631); 

                auto tg_xxxyyyzz_xxzzzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 632); 

                auto tg_xxxyyyzz_xyyyyyy_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 633); 

                auto tg_xxxyyyzz_xyyyyyz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 634); 

                auto tg_xxxyyyzz_xyyyyzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 635); 

                auto tg_xxxyyyzz_xyyyzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 636); 

                auto tg_xxxyyyzz_xyyzzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 637); 

                auto tg_xxxyyyzz_xyzzzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 638); 

                auto tg_xxxyyyzz_xzzzzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 639); 

                auto tg_xxxyyyzz_yyyyyyy_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 640); 

                auto tg_xxxyyyzz_yyyyyyz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 641); 

                auto tg_xxxyyyzz_yyyyyzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 642); 

                auto tg_xxxyyyzz_yyyyzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 643); 

                auto tg_xxxyyyzz_yyyzzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 644); 

                auto tg_xxxyyyzz_yyzzzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 645); 

                auto tg_xxxyyyzz_yzzzzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 646); 

                auto tg_xxxyyyzz_zzzzzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 647); 

                auto tg_xxxyyzzz_xxxxxxx_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 648); 

                auto tg_xxxyyzzz_xxxxxxy_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 649); 

                auto tg_xxxyyzzz_xxxxxxz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 650); 

                auto tg_xxxyyzzz_xxxxxyy_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 651); 

                auto tg_xxxyyzzz_xxxxxyz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 652); 

                auto tg_xxxyyzzz_xxxxxzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 653); 

                auto tg_xxxyyzzz_xxxxyyy_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 654); 

                auto tg_xxxyyzzz_xxxxyyz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 655); 

                auto tg_xxxyyzzz_xxxxyzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 656); 

                auto tg_xxxyyzzz_xxxxzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 657); 

                auto tg_xxxyyzzz_xxxyyyy_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 658); 

                auto tg_xxxyyzzz_xxxyyyz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 659); 

                auto tg_xxxyyzzz_xxxyyzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 660); 

                auto tg_xxxyyzzz_xxxyzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 661); 

                auto tg_xxxyyzzz_xxxzzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 662); 

                auto tg_xxxyyzzz_xxyyyyy_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 663); 

                auto tg_xxxyyzzz_xxyyyyz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 664); 

                auto tg_xxxyyzzz_xxyyyzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 665); 

                auto tg_xxxyyzzz_xxyyzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 666); 

                auto tg_xxxyyzzz_xxyzzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 667); 

                auto tg_xxxyyzzz_xxzzzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 668); 

                auto tg_xxxyyzzz_xyyyyyy_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 669); 

                // Batch of Integrals (575,670)

                #pragma omp simd aligned(fxn, fza, tg_xxxyyyyy_zzzzzzz_0, tg_xxxyyyyz_xxxxxxx_0, \
                                         tg_xxxyyyyz_xxxxxxy_0, tg_xxxyyyyz_xxxxxxz_0, tg_xxxyyyyz_xxxxxyy_0, \
                                         tg_xxxyyyyz_xxxxxyz_0, tg_xxxyyyyz_xxxxxzz_0, tg_xxxyyyyz_xxxxyyy_0, \
                                         tg_xxxyyyyz_xxxxyyz_0, tg_xxxyyyyz_xxxxyzz_0, tg_xxxyyyyz_xxxxzzz_0, \
                                         tg_xxxyyyyz_xxxyyyy_0, tg_xxxyyyyz_xxxyyyz_0, tg_xxxyyyyz_xxxyyzz_0, \
                                         tg_xxxyyyyz_xxxyzzz_0, tg_xxxyyyyz_xxxzzzz_0, tg_xxxyyyyz_xxyyyyy_0, \
                                         tg_xxxyyyyz_xxyyyyz_0, tg_xxxyyyyz_xxyyyzz_0, tg_xxxyyyyz_xxyyzzz_0, \
                                         tg_xxxyyyyz_xxyzzzz_0, tg_xxxyyyyz_xxzzzzz_0, tg_xxxyyyyz_xyyyyyy_0, \
                                         tg_xxxyyyyz_xyyyyyz_0, tg_xxxyyyyz_xyyyyzz_0, tg_xxxyyyyz_xyyyzzz_0, \
                                         tg_xxxyyyyz_xyyzzzz_0, tg_xxxyyyyz_xyzzzzz_0, tg_xxxyyyyz_xzzzzzz_0, \
                                         tg_xxxyyyyz_yyyyyyy_0, tg_xxxyyyyz_yyyyyyz_0, tg_xxxyyyyz_yyyyyzz_0, \
                                         tg_xxxyyyyz_yyyyzzz_0, tg_xxxyyyyz_yyyzzzz_0, tg_xxxyyyyz_yyzzzzz_0, \
                                         tg_xxxyyyyz_yzzzzzz_0, tg_xxxyyyyz_zzzzzzz_0, tg_xxxyyyzz_xxxxxxx_0, \
                                         tg_xxxyyyzz_xxxxxxy_0, tg_xxxyyyzz_xxxxxxz_0, tg_xxxyyyzz_xxxxxyy_0, \
                                         tg_xxxyyyzz_xxxxxyz_0, tg_xxxyyyzz_xxxxxzz_0, tg_xxxyyyzz_xxxxyyy_0, \
                                         tg_xxxyyyzz_xxxxyyz_0, tg_xxxyyyzz_xxxxyzz_0, tg_xxxyyyzz_xxxxzzz_0, \
                                         tg_xxxyyyzz_xxxyyyy_0, tg_xxxyyyzz_xxxyyyz_0, tg_xxxyyyzz_xxxyyzz_0, \
                                         tg_xxxyyyzz_xxxyzzz_0, tg_xxxyyyzz_xxxzzzz_0, tg_xxxyyyzz_xxyyyyy_0, \
                                         tg_xxxyyyzz_xxyyyyz_0, tg_xxxyyyzz_xxyyyzz_0, tg_xxxyyyzz_xxyyzzz_0, \
                                         tg_xxxyyyzz_xxyzzzz_0, tg_xxxyyyzz_xxzzzzz_0, tg_xxxyyyzz_xyyyyyy_0, \
                                         tg_xxxyyyzz_xyyyyyz_0, tg_xxxyyyzz_xyyyyzz_0, tg_xxxyyyzz_xyyyzzz_0, \
                                         tg_xxxyyyzz_xyyzzzz_0, tg_xxxyyyzz_xyzzzzz_0, tg_xxxyyyzz_xzzzzzz_0, \
                                         tg_xxxyyyzz_yyyyyyy_0, tg_xxxyyyzz_yyyyyyz_0, tg_xxxyyyzz_yyyyyzz_0, \
                                         tg_xxxyyyzz_yyyyzzz_0, tg_xxxyyyzz_yyyzzzz_0, tg_xxxyyyzz_yyzzzzz_0, \
                                         tg_xxxyyyzz_yzzzzzz_0, tg_xxxyyyzz_zzzzzzz_0, tg_xxxyyzzz_xxxxxxx_0, \
                                         tg_xxxyyzzz_xxxxxxy_0, tg_xxxyyzzz_xxxxxxz_0, tg_xxxyyzzz_xxxxxyy_0, \
                                         tg_xxxyyzzz_xxxxxyz_0, tg_xxxyyzzz_xxxxxzz_0, tg_xxxyyzzz_xxxxyyy_0, \
                                         tg_xxxyyzzz_xxxxyyz_0, tg_xxxyyzzz_xxxxyzz_0, tg_xxxyyzzz_xxxxzzz_0, \
                                         tg_xxxyyzzz_xxxyyyy_0, tg_xxxyyzzz_xxxyyyz_0, tg_xxxyyzzz_xxxyyzz_0, \
                                         tg_xxxyyzzz_xxxyzzz_0, tg_xxxyyzzz_xxxzzzz_0, tg_xxxyyzzz_xxyyyyy_0, \
                                         tg_xxxyyzzz_xxyyyyz_0, tg_xxxyyzzz_xxyyyzz_0, tg_xxxyyzzz_xxyyzzz_0, \
                                         tg_xxxyyzzz_xxyzzzz_0, tg_xxxyyzzz_xxzzzzz_0, tg_xxxyyzzz_xyyyyyy_0, \
                                         tg_xxyyyyy_zzzzzzz_0, tg_xxyyyyy_zzzzzzz_1, tg_xxyyyyz_xxxxxx_1, tg_xxyyyyz_xxxxxxx_0, \
                                         tg_xxyyyyz_xxxxxxx_1, tg_xxyyyyz_xxxxxxy_0, tg_xxyyyyz_xxxxxxy_1, tg_xxyyyyz_xxxxxxz_0, \
                                         tg_xxyyyyz_xxxxxxz_1, tg_xxyyyyz_xxxxxy_1, tg_xxyyyyz_xxxxxyy_0, tg_xxyyyyz_xxxxxyy_1, \
                                         tg_xxyyyyz_xxxxxyz_0, tg_xxyyyyz_xxxxxyz_1, tg_xxyyyyz_xxxxxz_1, tg_xxyyyyz_xxxxxzz_0, \
                                         tg_xxyyyyz_xxxxxzz_1, tg_xxyyyyz_xxxxyy_1, tg_xxyyyyz_xxxxyyy_0, tg_xxyyyyz_xxxxyyy_1, \
                                         tg_xxyyyyz_xxxxyyz_0, tg_xxyyyyz_xxxxyyz_1, tg_xxyyyyz_xxxxyz_1, tg_xxyyyyz_xxxxyzz_0, \
                                         tg_xxyyyyz_xxxxyzz_1, tg_xxyyyyz_xxxxzz_1, tg_xxyyyyz_xxxxzzz_0, tg_xxyyyyz_xxxxzzz_1, \
                                         tg_xxyyyyz_xxxyyy_1, tg_xxyyyyz_xxxyyyy_0, tg_xxyyyyz_xxxyyyy_1, tg_xxyyyyz_xxxyyyz_0, \
                                         tg_xxyyyyz_xxxyyyz_1, tg_xxyyyyz_xxxyyz_1, tg_xxyyyyz_xxxyyzz_0, tg_xxyyyyz_xxxyyzz_1, \
                                         tg_xxyyyyz_xxxyzz_1, tg_xxyyyyz_xxxyzzz_0, tg_xxyyyyz_xxxyzzz_1, tg_xxyyyyz_xxxzzz_1, \
                                         tg_xxyyyyz_xxxzzzz_0, tg_xxyyyyz_xxxzzzz_1, tg_xxyyyyz_xxyyyy_1, tg_xxyyyyz_xxyyyyy_0, \
                                         tg_xxyyyyz_xxyyyyy_1, tg_xxyyyyz_xxyyyyz_0, tg_xxyyyyz_xxyyyyz_1, tg_xxyyyyz_xxyyyz_1, \
                                         tg_xxyyyyz_xxyyyzz_0, tg_xxyyyyz_xxyyyzz_1, tg_xxyyyyz_xxyyzz_1, tg_xxyyyyz_xxyyzzz_0, \
                                         tg_xxyyyyz_xxyyzzz_1, tg_xxyyyyz_xxyzzz_1, tg_xxyyyyz_xxyzzzz_0, tg_xxyyyyz_xxyzzzz_1, \
                                         tg_xxyyyyz_xxzzzz_1, tg_xxyyyyz_xxzzzzz_0, tg_xxyyyyz_xxzzzzz_1, tg_xxyyyyz_xyyyyy_1, \
                                         tg_xxyyyyz_xyyyyyy_0, tg_xxyyyyz_xyyyyyy_1, tg_xxyyyyz_xyyyyyz_0, tg_xxyyyyz_xyyyyyz_1, \
                                         tg_xxyyyyz_xyyyyz_1, tg_xxyyyyz_xyyyyzz_0, tg_xxyyyyz_xyyyyzz_1, tg_xxyyyyz_xyyyzz_1, \
                                         tg_xxyyyyz_xyyyzzz_0, tg_xxyyyyz_xyyyzzz_1, tg_xxyyyyz_xyyzzz_1, tg_xxyyyyz_xyyzzzz_0, \
                                         tg_xxyyyyz_xyyzzzz_1, tg_xxyyyyz_xyzzzz_1, tg_xxyyyyz_xyzzzzz_0, tg_xxyyyyz_xyzzzzz_1, \
                                         tg_xxyyyyz_xzzzzz_1, tg_xxyyyyz_xzzzzzz_0, tg_xxyyyyz_xzzzzzz_1, tg_xxyyyyz_yyyyyy_1, \
                                         tg_xxyyyyz_yyyyyyy_0, tg_xxyyyyz_yyyyyyy_1, tg_xxyyyyz_yyyyyyz_0, tg_xxyyyyz_yyyyyyz_1, \
                                         tg_xxyyyyz_yyyyyz_1, tg_xxyyyyz_yyyyyzz_0, tg_xxyyyyz_yyyyyzz_1, tg_xxyyyyz_yyyyzz_1, \
                                         tg_xxyyyyz_yyyyzzz_0, tg_xxyyyyz_yyyyzzz_1, tg_xxyyyyz_yyyzzz_1, tg_xxyyyyz_yyyzzzz_0, \
                                         tg_xxyyyyz_yyyzzzz_1, tg_xxyyyyz_yyzzzz_1, tg_xxyyyyz_yyzzzzz_0, tg_xxyyyyz_yyzzzzz_1, \
                                         tg_xxyyyyz_yzzzzz_1, tg_xxyyyyz_yzzzzzz_0, tg_xxyyyyz_yzzzzzz_1, tg_xxyyyyz_zzzzzz_1, \
                                         tg_xxyyyyz_zzzzzzz_0, tg_xxyyyyz_zzzzzzz_1, tg_xxyyyzz_xxxxxx_1, tg_xxyyyzz_xxxxxxx_0, \
                                         tg_xxyyyzz_xxxxxxx_1, tg_xxyyyzz_xxxxxxy_0, tg_xxyyyzz_xxxxxxy_1, tg_xxyyyzz_xxxxxxz_0, \
                                         tg_xxyyyzz_xxxxxxz_1, tg_xxyyyzz_xxxxxy_1, tg_xxyyyzz_xxxxxyy_0, tg_xxyyyzz_xxxxxyy_1, \
                                         tg_xxyyyzz_xxxxxyz_0, tg_xxyyyzz_xxxxxyz_1, tg_xxyyyzz_xxxxxz_1, tg_xxyyyzz_xxxxxzz_0, \
                                         tg_xxyyyzz_xxxxxzz_1, tg_xxyyyzz_xxxxyy_1, tg_xxyyyzz_xxxxyyy_0, tg_xxyyyzz_xxxxyyy_1, \
                                         tg_xxyyyzz_xxxxyyz_0, tg_xxyyyzz_xxxxyyz_1, tg_xxyyyzz_xxxxyz_1, tg_xxyyyzz_xxxxyzz_0, \
                                         tg_xxyyyzz_xxxxyzz_1, tg_xxyyyzz_xxxxzz_1, tg_xxyyyzz_xxxxzzz_0, tg_xxyyyzz_xxxxzzz_1, \
                                         tg_xxyyyzz_xxxyyy_1, tg_xxyyyzz_xxxyyyy_0, tg_xxyyyzz_xxxyyyy_1, tg_xxyyyzz_xxxyyyz_0, \
                                         tg_xxyyyzz_xxxyyyz_1, tg_xxyyyzz_xxxyyz_1, tg_xxyyyzz_xxxyyzz_0, tg_xxyyyzz_xxxyyzz_1, \
                                         tg_xxyyyzz_xxxyzz_1, tg_xxyyyzz_xxxyzzz_0, tg_xxyyyzz_xxxyzzz_1, tg_xxyyyzz_xxxzzz_1, \
                                         tg_xxyyyzz_xxxzzzz_0, tg_xxyyyzz_xxxzzzz_1, tg_xxyyyzz_xxyyyy_1, tg_xxyyyzz_xxyyyyy_0, \
                                         tg_xxyyyzz_xxyyyyy_1, tg_xxyyyzz_xxyyyyz_0, tg_xxyyyzz_xxyyyyz_1, tg_xxyyyzz_xxyyyz_1, \
                                         tg_xxyyyzz_xxyyyzz_0, tg_xxyyyzz_xxyyyzz_1, tg_xxyyyzz_xxyyzz_1, tg_xxyyyzz_xxyyzzz_0, \
                                         tg_xxyyyzz_xxyyzzz_1, tg_xxyyyzz_xxyzzz_1, tg_xxyyyzz_xxyzzzz_0, tg_xxyyyzz_xxyzzzz_1, \
                                         tg_xxyyyzz_xxzzzz_1, tg_xxyyyzz_xxzzzzz_0, tg_xxyyyzz_xxzzzzz_1, tg_xxyyyzz_xyyyyy_1, \
                                         tg_xxyyyzz_xyyyyyy_0, tg_xxyyyzz_xyyyyyy_1, tg_xxyyyzz_xyyyyyz_0, tg_xxyyyzz_xyyyyyz_1, \
                                         tg_xxyyyzz_xyyyyz_1, tg_xxyyyzz_xyyyyzz_0, tg_xxyyyzz_xyyyyzz_1, tg_xxyyyzz_xyyyzz_1, \
                                         tg_xxyyyzz_xyyyzzz_0, tg_xxyyyzz_xyyyzzz_1, tg_xxyyyzz_xyyzzz_1, tg_xxyyyzz_xyyzzzz_0, \
                                         tg_xxyyyzz_xyyzzzz_1, tg_xxyyyzz_xyzzzz_1, tg_xxyyyzz_xyzzzzz_0, tg_xxyyyzz_xyzzzzz_1, \
                                         tg_xxyyyzz_xzzzzz_1, tg_xxyyyzz_xzzzzzz_0, tg_xxyyyzz_xzzzzzz_1, tg_xxyyyzz_yyyyyy_1, \
                                         tg_xxyyyzz_yyyyyyy_0, tg_xxyyyzz_yyyyyyy_1, tg_xxyyyzz_yyyyyyz_0, tg_xxyyyzz_yyyyyyz_1, \
                                         tg_xxyyyzz_yyyyyz_1, tg_xxyyyzz_yyyyyzz_0, tg_xxyyyzz_yyyyyzz_1, tg_xxyyyzz_yyyyzz_1, \
                                         tg_xxyyyzz_yyyyzzz_0, tg_xxyyyzz_yyyyzzz_1, tg_xxyyyzz_yyyzzz_1, tg_xxyyyzz_yyyzzzz_0, \
                                         tg_xxyyyzz_yyyzzzz_1, tg_xxyyyzz_yyzzzz_1, tg_xxyyyzz_yyzzzzz_0, tg_xxyyyzz_yyzzzzz_1, \
                                         tg_xxyyyzz_yzzzzz_1, tg_xxyyyzz_yzzzzzz_0, tg_xxyyyzz_yzzzzzz_1, tg_xxyyyzz_zzzzzz_1, \
                                         tg_xxyyyzz_zzzzzzz_0, tg_xxyyyzz_zzzzzzz_1, tg_xxyyzzz_xxxxxx_1, tg_xxyyzzz_xxxxxxx_0, \
                                         tg_xxyyzzz_xxxxxxx_1, tg_xxyyzzz_xxxxxxy_0, tg_xxyyzzz_xxxxxxy_1, tg_xxyyzzz_xxxxxxz_0, \
                                         tg_xxyyzzz_xxxxxxz_1, tg_xxyyzzz_xxxxxy_1, tg_xxyyzzz_xxxxxyy_0, tg_xxyyzzz_xxxxxyy_1, \
                                         tg_xxyyzzz_xxxxxyz_0, tg_xxyyzzz_xxxxxyz_1, tg_xxyyzzz_xxxxxz_1, tg_xxyyzzz_xxxxxzz_0, \
                                         tg_xxyyzzz_xxxxxzz_1, tg_xxyyzzz_xxxxyy_1, tg_xxyyzzz_xxxxyyy_0, tg_xxyyzzz_xxxxyyy_1, \
                                         tg_xxyyzzz_xxxxyyz_0, tg_xxyyzzz_xxxxyyz_1, tg_xxyyzzz_xxxxyz_1, tg_xxyyzzz_xxxxyzz_0, \
                                         tg_xxyyzzz_xxxxyzz_1, tg_xxyyzzz_xxxxzz_1, tg_xxyyzzz_xxxxzzz_0, tg_xxyyzzz_xxxxzzz_1, \
                                         tg_xxyyzzz_xxxyyy_1, tg_xxyyzzz_xxxyyyy_0, tg_xxyyzzz_xxxyyyy_1, tg_xxyyzzz_xxxyyyz_0, \
                                         tg_xxyyzzz_xxxyyyz_1, tg_xxyyzzz_xxxyyz_1, tg_xxyyzzz_xxxyyzz_0, tg_xxyyzzz_xxxyyzz_1, \
                                         tg_xxyyzzz_xxxyzz_1, tg_xxyyzzz_xxxyzzz_0, tg_xxyyzzz_xxxyzzz_1, tg_xxyyzzz_xxxzzz_1, \
                                         tg_xxyyzzz_xxxzzzz_0, tg_xxyyzzz_xxxzzzz_1, tg_xxyyzzz_xxyyyy_1, tg_xxyyzzz_xxyyyyy_0, \
                                         tg_xxyyzzz_xxyyyyy_1, tg_xxyyzzz_xxyyyyz_0, tg_xxyyzzz_xxyyyyz_1, tg_xxyyzzz_xxyyyz_1, \
                                         tg_xxyyzzz_xxyyyzz_0, tg_xxyyzzz_xxyyyzz_1, tg_xxyyzzz_xxyyzz_1, tg_xxyyzzz_xxyyzzz_0, \
                                         tg_xxyyzzz_xxyyzzz_1, tg_xxyyzzz_xxyzzz_1, tg_xxyyzzz_xxyzzzz_0, tg_xxyyzzz_xxyzzzz_1, \
                                         tg_xxyyzzz_xxzzzz_1, tg_xxyyzzz_xxzzzzz_0, tg_xxyyzzz_xxzzzzz_1, tg_xxyyzzz_xyyyyy_1, \
                                         tg_xxyyzzz_xyyyyyy_0, tg_xxyyzzz_xyyyyyy_1, tg_xxyyzzz_xyyyyz_1, tg_xxyyzzz_xyyyzz_1, \
                                         tg_xxyyzzz_xyyzzz_1, tg_xxyyzzz_xyzzzz_1, tg_xxyyzzz_xzzzzz_1, tg_xxyyzzz_yyyyyy_1, \
                                         tg_xyyyyy_zzzzzzz_0, tg_xyyyyy_zzzzzzz_1, tg_xyyyyz_xxxxxxx_0, tg_xyyyyz_xxxxxxx_1, \
                                         tg_xyyyyz_xxxxxxy_0, tg_xyyyyz_xxxxxxy_1, tg_xyyyyz_xxxxxxz_0, tg_xyyyyz_xxxxxxz_1, \
                                         tg_xyyyyz_xxxxxyy_0, tg_xyyyyz_xxxxxyy_1, tg_xyyyyz_xxxxxyz_0, tg_xyyyyz_xxxxxyz_1, \
                                         tg_xyyyyz_xxxxxzz_0, tg_xyyyyz_xxxxxzz_1, tg_xyyyyz_xxxxyyy_0, tg_xyyyyz_xxxxyyy_1, \
                                         tg_xyyyyz_xxxxyyz_0, tg_xyyyyz_xxxxyyz_1, tg_xyyyyz_xxxxyzz_0, tg_xyyyyz_xxxxyzz_1, \
                                         tg_xyyyyz_xxxxzzz_0, tg_xyyyyz_xxxxzzz_1, tg_xyyyyz_xxxyyyy_0, tg_xyyyyz_xxxyyyy_1, \
                                         tg_xyyyyz_xxxyyyz_0, tg_xyyyyz_xxxyyyz_1, tg_xyyyyz_xxxyyzz_0, tg_xyyyyz_xxxyyzz_1, \
                                         tg_xyyyyz_xxxyzzz_0, tg_xyyyyz_xxxyzzz_1, tg_xyyyyz_xxxzzzz_0, tg_xyyyyz_xxxzzzz_1, \
                                         tg_xyyyyz_xxyyyyy_0, tg_xyyyyz_xxyyyyy_1, tg_xyyyyz_xxyyyyz_0, tg_xyyyyz_xxyyyyz_1, \
                                         tg_xyyyyz_xxyyyzz_0, tg_xyyyyz_xxyyyzz_1, tg_xyyyyz_xxyyzzz_0, tg_xyyyyz_xxyyzzz_1, \
                                         tg_xyyyyz_xxyzzzz_0, tg_xyyyyz_xxyzzzz_1, tg_xyyyyz_xxzzzzz_0, tg_xyyyyz_xxzzzzz_1, \
                                         tg_xyyyyz_xyyyyyy_0, tg_xyyyyz_xyyyyyy_1, tg_xyyyyz_xyyyyyz_0, tg_xyyyyz_xyyyyyz_1, \
                                         tg_xyyyyz_xyyyyzz_0, tg_xyyyyz_xyyyyzz_1, tg_xyyyyz_xyyyzzz_0, tg_xyyyyz_xyyyzzz_1, \
                                         tg_xyyyyz_xyyzzzz_0, tg_xyyyyz_xyyzzzz_1, tg_xyyyyz_xyzzzzz_0, tg_xyyyyz_xyzzzzz_1, \
                                         tg_xyyyyz_xzzzzzz_0, tg_xyyyyz_xzzzzzz_1, tg_xyyyyz_yyyyyyy_0, tg_xyyyyz_yyyyyyy_1, \
                                         tg_xyyyyz_yyyyyyz_0, tg_xyyyyz_yyyyyyz_1, tg_xyyyyz_yyyyyzz_0, tg_xyyyyz_yyyyyzz_1, \
                                         tg_xyyyyz_yyyyzzz_0, tg_xyyyyz_yyyyzzz_1, tg_xyyyyz_yyyzzzz_0, tg_xyyyyz_yyyzzzz_1, \
                                         tg_xyyyyz_yyzzzzz_0, tg_xyyyyz_yyzzzzz_1, tg_xyyyyz_yzzzzzz_0, tg_xyyyyz_yzzzzzz_1, \
                                         tg_xyyyyz_zzzzzzz_0, tg_xyyyyz_zzzzzzz_1, tg_xyyyzz_xxxxxxx_0, tg_xyyyzz_xxxxxxx_1, \
                                         tg_xyyyzz_xxxxxxy_0, tg_xyyyzz_xxxxxxy_1, tg_xyyyzz_xxxxxxz_0, tg_xyyyzz_xxxxxxz_1, \
                                         tg_xyyyzz_xxxxxyy_0, tg_xyyyzz_xxxxxyy_1, tg_xyyyzz_xxxxxyz_0, tg_xyyyzz_xxxxxyz_1, \
                                         tg_xyyyzz_xxxxxzz_0, tg_xyyyzz_xxxxxzz_1, tg_xyyyzz_xxxxyyy_0, tg_xyyyzz_xxxxyyy_1, \
                                         tg_xyyyzz_xxxxyyz_0, tg_xyyyzz_xxxxyyz_1, tg_xyyyzz_xxxxyzz_0, tg_xyyyzz_xxxxyzz_1, \
                                         tg_xyyyzz_xxxxzzz_0, tg_xyyyzz_xxxxzzz_1, tg_xyyyzz_xxxyyyy_0, tg_xyyyzz_xxxyyyy_1, \
                                         tg_xyyyzz_xxxyyyz_0, tg_xyyyzz_xxxyyyz_1, tg_xyyyzz_xxxyyzz_0, tg_xyyyzz_xxxyyzz_1, \
                                         tg_xyyyzz_xxxyzzz_0, tg_xyyyzz_xxxyzzz_1, tg_xyyyzz_xxxzzzz_0, tg_xyyyzz_xxxzzzz_1, \
                                         tg_xyyyzz_xxyyyyy_0, tg_xyyyzz_xxyyyyy_1, tg_xyyyzz_xxyyyyz_0, tg_xyyyzz_xxyyyyz_1, \
                                         tg_xyyyzz_xxyyyzz_0, tg_xyyyzz_xxyyyzz_1, tg_xyyyzz_xxyyzzz_0, tg_xyyyzz_xxyyzzz_1, \
                                         tg_xyyyzz_xxyzzzz_0, tg_xyyyzz_xxyzzzz_1, tg_xyyyzz_xxzzzzz_0, tg_xyyyzz_xxzzzzz_1, \
                                         tg_xyyyzz_xyyyyyy_0, tg_xyyyzz_xyyyyyy_1, tg_xyyyzz_xyyyyyz_0, tg_xyyyzz_xyyyyyz_1, \
                                         tg_xyyyzz_xyyyyzz_0, tg_xyyyzz_xyyyyzz_1, tg_xyyyzz_xyyyzzz_0, tg_xyyyzz_xyyyzzz_1, \
                                         tg_xyyyzz_xyyzzzz_0, tg_xyyyzz_xyyzzzz_1, tg_xyyyzz_xyzzzzz_0, tg_xyyyzz_xyzzzzz_1, \
                                         tg_xyyyzz_xzzzzzz_0, tg_xyyyzz_xzzzzzz_1, tg_xyyyzz_yyyyyyy_0, tg_xyyyzz_yyyyyyy_1, \
                                         tg_xyyyzz_yyyyyyz_0, tg_xyyyzz_yyyyyyz_1, tg_xyyyzz_yyyyyzz_0, tg_xyyyzz_yyyyyzz_1, \
                                         tg_xyyyzz_yyyyzzz_0, tg_xyyyzz_yyyyzzz_1, tg_xyyyzz_yyyzzzz_0, tg_xyyyzz_yyyzzzz_1, \
                                         tg_xyyyzz_yyzzzzz_0, tg_xyyyzz_yyzzzzz_1, tg_xyyyzz_yzzzzzz_0, tg_xyyyzz_yzzzzzz_1, \
                                         tg_xyyyzz_zzzzzzz_0, tg_xyyyzz_zzzzzzz_1, tg_xyyzzz_xxxxxxx_0, tg_xyyzzz_xxxxxxx_1, \
                                         tg_xyyzzz_xxxxxxy_0, tg_xyyzzz_xxxxxxy_1, tg_xyyzzz_xxxxxxz_0, tg_xyyzzz_xxxxxxz_1, \
                                         tg_xyyzzz_xxxxxyy_0, tg_xyyzzz_xxxxxyy_1, tg_xyyzzz_xxxxxyz_0, tg_xyyzzz_xxxxxyz_1, \
                                         tg_xyyzzz_xxxxxzz_0, tg_xyyzzz_xxxxxzz_1, tg_xyyzzz_xxxxyyy_0, tg_xyyzzz_xxxxyyy_1, \
                                         tg_xyyzzz_xxxxyyz_0, tg_xyyzzz_xxxxyyz_1, tg_xyyzzz_xxxxyzz_0, tg_xyyzzz_xxxxyzz_1, \
                                         tg_xyyzzz_xxxxzzz_0, tg_xyyzzz_xxxxzzz_1, tg_xyyzzz_xxxyyyy_0, tg_xyyzzz_xxxyyyy_1, \
                                         tg_xyyzzz_xxxyyyz_0, tg_xyyzzz_xxxyyyz_1, tg_xyyzzz_xxxyyzz_0, tg_xyyzzz_xxxyyzz_1, \
                                         tg_xyyzzz_xxxyzzz_0, tg_xyyzzz_xxxyzzz_1, tg_xyyzzz_xxxzzzz_0, tg_xyyzzz_xxxzzzz_1, \
                                         tg_xyyzzz_xxyyyyy_0, tg_xyyzzz_xxyyyyy_1, tg_xyyzzz_xxyyyyz_0, tg_xyyzzz_xxyyyyz_1, \
                                         tg_xyyzzz_xxyyyzz_0, tg_xyyzzz_xxyyyzz_1, tg_xyyzzz_xxyyzzz_0, tg_xyyzzz_xxyyzzz_1, \
                                         tg_xyyzzz_xxyzzzz_0, tg_xyyzzz_xxyzzzz_1, tg_xyyzzz_xxzzzzz_0, tg_xyyzzz_xxzzzzz_1, \
                                         tg_xyyzzz_xyyyyyy_0, tg_xyyzzz_xyyyyyy_1, wp_x: VLX_ALIGN)
                for (int32_t j = 0; j < nKetPrimPairs; j++)
                {
                    double fl1_fx = fx;

                    double fl1_fxn = fxn[j];

                    double fl1_fza = fza[j];

                    double fr = wp_x[j]; 

                    tg_xxxyyyyy_zzzzzzz_0[j] = pb_x * tg_xxyyyyy_zzzzzzz_0[j] + fr * tg_xxyyyyy_zzzzzzz_1[j] + fl1_fx * (tg_xyyyyy_zzzzzzz_0[j] - tg_xyyyyy_zzzzzzz_1[j] * fl1_fza);

                    tg_xxxyyyyz_xxxxxxx_0[j] = pb_x * tg_xxyyyyz_xxxxxxx_0[j] + fr * tg_xxyyyyz_xxxxxxx_1[j] + fl1_fx * (tg_xyyyyz_xxxxxxx_0[j] - tg_xyyyyz_xxxxxxx_1[j] * fl1_fza) + 3.5 * fl1_fxn * tg_xxyyyyz_xxxxxx_1[j];

                    tg_xxxyyyyz_xxxxxxy_0[j] = pb_x * tg_xxyyyyz_xxxxxxy_0[j] + fr * tg_xxyyyyz_xxxxxxy_1[j] + fl1_fx * (tg_xyyyyz_xxxxxxy_0[j] - tg_xyyyyz_xxxxxxy_1[j] * fl1_fza) + 3.0 * fl1_fxn * tg_xxyyyyz_xxxxxy_1[j];

                    tg_xxxyyyyz_xxxxxxz_0[j] = pb_x * tg_xxyyyyz_xxxxxxz_0[j] + fr * tg_xxyyyyz_xxxxxxz_1[j] + fl1_fx * (tg_xyyyyz_xxxxxxz_0[j] - tg_xyyyyz_xxxxxxz_1[j] * fl1_fza) + 3.0 * fl1_fxn * tg_xxyyyyz_xxxxxz_1[j];

                    tg_xxxyyyyz_xxxxxyy_0[j] = pb_x * tg_xxyyyyz_xxxxxyy_0[j] + fr * tg_xxyyyyz_xxxxxyy_1[j] + fl1_fx * (tg_xyyyyz_xxxxxyy_0[j] - tg_xyyyyz_xxxxxyy_1[j] * fl1_fza) + 2.5 * fl1_fxn * tg_xxyyyyz_xxxxyy_1[j];

                    tg_xxxyyyyz_xxxxxyz_0[j] = pb_x * tg_xxyyyyz_xxxxxyz_0[j] + fr * tg_xxyyyyz_xxxxxyz_1[j] + fl1_fx * (tg_xyyyyz_xxxxxyz_0[j] - tg_xyyyyz_xxxxxyz_1[j] * fl1_fza) + 2.5 * fl1_fxn * tg_xxyyyyz_xxxxyz_1[j];

                    tg_xxxyyyyz_xxxxxzz_0[j] = pb_x * tg_xxyyyyz_xxxxxzz_0[j] + fr * tg_xxyyyyz_xxxxxzz_1[j] + fl1_fx * (tg_xyyyyz_xxxxxzz_0[j] - tg_xyyyyz_xxxxxzz_1[j] * fl1_fza) + 2.5 * fl1_fxn * tg_xxyyyyz_xxxxzz_1[j];

                    tg_xxxyyyyz_xxxxyyy_0[j] = pb_x * tg_xxyyyyz_xxxxyyy_0[j] + fr * tg_xxyyyyz_xxxxyyy_1[j] + fl1_fx * (tg_xyyyyz_xxxxyyy_0[j] - tg_xyyyyz_xxxxyyy_1[j] * fl1_fza) + 2.0 * fl1_fxn * tg_xxyyyyz_xxxyyy_1[j];

                    tg_xxxyyyyz_xxxxyyz_0[j] = pb_x * tg_xxyyyyz_xxxxyyz_0[j] + fr * tg_xxyyyyz_xxxxyyz_1[j] + fl1_fx * (tg_xyyyyz_xxxxyyz_0[j] - tg_xyyyyz_xxxxyyz_1[j] * fl1_fza) + 2.0 * fl1_fxn * tg_xxyyyyz_xxxyyz_1[j];

                    tg_xxxyyyyz_xxxxyzz_0[j] = pb_x * tg_xxyyyyz_xxxxyzz_0[j] + fr * tg_xxyyyyz_xxxxyzz_1[j] + fl1_fx * (tg_xyyyyz_xxxxyzz_0[j] - tg_xyyyyz_xxxxyzz_1[j] * fl1_fza) + 2.0 * fl1_fxn * tg_xxyyyyz_xxxyzz_1[j];

                    tg_xxxyyyyz_xxxxzzz_0[j] = pb_x * tg_xxyyyyz_xxxxzzz_0[j] + fr * tg_xxyyyyz_xxxxzzz_1[j] + fl1_fx * (tg_xyyyyz_xxxxzzz_0[j] - tg_xyyyyz_xxxxzzz_1[j] * fl1_fza) + 2.0 * fl1_fxn * tg_xxyyyyz_xxxzzz_1[j];

                    tg_xxxyyyyz_xxxyyyy_0[j] = pb_x * tg_xxyyyyz_xxxyyyy_0[j] + fr * tg_xxyyyyz_xxxyyyy_1[j] + fl1_fx * (tg_xyyyyz_xxxyyyy_0[j] - tg_xyyyyz_xxxyyyy_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_xxyyyyz_xxyyyy_1[j];

                    tg_xxxyyyyz_xxxyyyz_0[j] = pb_x * tg_xxyyyyz_xxxyyyz_0[j] + fr * tg_xxyyyyz_xxxyyyz_1[j] + fl1_fx * (tg_xyyyyz_xxxyyyz_0[j] - tg_xyyyyz_xxxyyyz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_xxyyyyz_xxyyyz_1[j];

                    tg_xxxyyyyz_xxxyyzz_0[j] = pb_x * tg_xxyyyyz_xxxyyzz_0[j] + fr * tg_xxyyyyz_xxxyyzz_1[j] + fl1_fx * (tg_xyyyyz_xxxyyzz_0[j] - tg_xyyyyz_xxxyyzz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_xxyyyyz_xxyyzz_1[j];

                    tg_xxxyyyyz_xxxyzzz_0[j] = pb_x * tg_xxyyyyz_xxxyzzz_0[j] + fr * tg_xxyyyyz_xxxyzzz_1[j] + fl1_fx * (tg_xyyyyz_xxxyzzz_0[j] - tg_xyyyyz_xxxyzzz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_xxyyyyz_xxyzzz_1[j];

                    tg_xxxyyyyz_xxxzzzz_0[j] = pb_x * tg_xxyyyyz_xxxzzzz_0[j] + fr * tg_xxyyyyz_xxxzzzz_1[j] + fl1_fx * (tg_xyyyyz_xxxzzzz_0[j] - tg_xyyyyz_xxxzzzz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_xxyyyyz_xxzzzz_1[j];

                    tg_xxxyyyyz_xxyyyyy_0[j] = pb_x * tg_xxyyyyz_xxyyyyy_0[j] + fr * tg_xxyyyyz_xxyyyyy_1[j] + fl1_fx * (tg_xyyyyz_xxyyyyy_0[j] - tg_xyyyyz_xxyyyyy_1[j] * fl1_fza) + fl1_fxn * tg_xxyyyyz_xyyyyy_1[j];

                    tg_xxxyyyyz_xxyyyyz_0[j] = pb_x * tg_xxyyyyz_xxyyyyz_0[j] + fr * tg_xxyyyyz_xxyyyyz_1[j] + fl1_fx * (tg_xyyyyz_xxyyyyz_0[j] - tg_xyyyyz_xxyyyyz_1[j] * fl1_fza) + fl1_fxn * tg_xxyyyyz_xyyyyz_1[j];

                    tg_xxxyyyyz_xxyyyzz_0[j] = pb_x * tg_xxyyyyz_xxyyyzz_0[j] + fr * tg_xxyyyyz_xxyyyzz_1[j] + fl1_fx * (tg_xyyyyz_xxyyyzz_0[j] - tg_xyyyyz_xxyyyzz_1[j] * fl1_fza) + fl1_fxn * tg_xxyyyyz_xyyyzz_1[j];

                    tg_xxxyyyyz_xxyyzzz_0[j] = pb_x * tg_xxyyyyz_xxyyzzz_0[j] + fr * tg_xxyyyyz_xxyyzzz_1[j] + fl1_fx * (tg_xyyyyz_xxyyzzz_0[j] - tg_xyyyyz_xxyyzzz_1[j] * fl1_fza) + fl1_fxn * tg_xxyyyyz_xyyzzz_1[j];

                    tg_xxxyyyyz_xxyzzzz_0[j] = pb_x * tg_xxyyyyz_xxyzzzz_0[j] + fr * tg_xxyyyyz_xxyzzzz_1[j] + fl1_fx * (tg_xyyyyz_xxyzzzz_0[j] - tg_xyyyyz_xxyzzzz_1[j] * fl1_fza) + fl1_fxn * tg_xxyyyyz_xyzzzz_1[j];

                    tg_xxxyyyyz_xxzzzzz_0[j] = pb_x * tg_xxyyyyz_xxzzzzz_0[j] + fr * tg_xxyyyyz_xxzzzzz_1[j] + fl1_fx * (tg_xyyyyz_xxzzzzz_0[j] - tg_xyyyyz_xxzzzzz_1[j] * fl1_fza) + fl1_fxn * tg_xxyyyyz_xzzzzz_1[j];

                    tg_xxxyyyyz_xyyyyyy_0[j] = pb_x * tg_xxyyyyz_xyyyyyy_0[j] + fr * tg_xxyyyyz_xyyyyyy_1[j] + fl1_fx * (tg_xyyyyz_xyyyyyy_0[j] - tg_xyyyyz_xyyyyyy_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xxyyyyz_yyyyyy_1[j];

                    tg_xxxyyyyz_xyyyyyz_0[j] = pb_x * tg_xxyyyyz_xyyyyyz_0[j] + fr * tg_xxyyyyz_xyyyyyz_1[j] + fl1_fx * (tg_xyyyyz_xyyyyyz_0[j] - tg_xyyyyz_xyyyyyz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xxyyyyz_yyyyyz_1[j];

                    tg_xxxyyyyz_xyyyyzz_0[j] = pb_x * tg_xxyyyyz_xyyyyzz_0[j] + fr * tg_xxyyyyz_xyyyyzz_1[j] + fl1_fx * (tg_xyyyyz_xyyyyzz_0[j] - tg_xyyyyz_xyyyyzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xxyyyyz_yyyyzz_1[j];

                    tg_xxxyyyyz_xyyyzzz_0[j] = pb_x * tg_xxyyyyz_xyyyzzz_0[j] + fr * tg_xxyyyyz_xyyyzzz_1[j] + fl1_fx * (tg_xyyyyz_xyyyzzz_0[j] - tg_xyyyyz_xyyyzzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xxyyyyz_yyyzzz_1[j];

                    tg_xxxyyyyz_xyyzzzz_0[j] = pb_x * tg_xxyyyyz_xyyzzzz_0[j] + fr * tg_xxyyyyz_xyyzzzz_1[j] + fl1_fx * (tg_xyyyyz_xyyzzzz_0[j] - tg_xyyyyz_xyyzzzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xxyyyyz_yyzzzz_1[j];

                    tg_xxxyyyyz_xyzzzzz_0[j] = pb_x * tg_xxyyyyz_xyzzzzz_0[j] + fr * tg_xxyyyyz_xyzzzzz_1[j] + fl1_fx * (tg_xyyyyz_xyzzzzz_0[j] - tg_xyyyyz_xyzzzzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xxyyyyz_yzzzzz_1[j];

                    tg_xxxyyyyz_xzzzzzz_0[j] = pb_x * tg_xxyyyyz_xzzzzzz_0[j] + fr * tg_xxyyyyz_xzzzzzz_1[j] + fl1_fx * (tg_xyyyyz_xzzzzzz_0[j] - tg_xyyyyz_xzzzzzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xxyyyyz_zzzzzz_1[j];

                    tg_xxxyyyyz_yyyyyyy_0[j] = pb_x * tg_xxyyyyz_yyyyyyy_0[j] + fr * tg_xxyyyyz_yyyyyyy_1[j] + fl1_fx * (tg_xyyyyz_yyyyyyy_0[j] - tg_xyyyyz_yyyyyyy_1[j] * fl1_fza);

                    tg_xxxyyyyz_yyyyyyz_0[j] = pb_x * tg_xxyyyyz_yyyyyyz_0[j] + fr * tg_xxyyyyz_yyyyyyz_1[j] + fl1_fx * (tg_xyyyyz_yyyyyyz_0[j] - tg_xyyyyz_yyyyyyz_1[j] * fl1_fza);

                    tg_xxxyyyyz_yyyyyzz_0[j] = pb_x * tg_xxyyyyz_yyyyyzz_0[j] + fr * tg_xxyyyyz_yyyyyzz_1[j] + fl1_fx * (tg_xyyyyz_yyyyyzz_0[j] - tg_xyyyyz_yyyyyzz_1[j] * fl1_fza);

                    tg_xxxyyyyz_yyyyzzz_0[j] = pb_x * tg_xxyyyyz_yyyyzzz_0[j] + fr * tg_xxyyyyz_yyyyzzz_1[j] + fl1_fx * (tg_xyyyyz_yyyyzzz_0[j] - tg_xyyyyz_yyyyzzz_1[j] * fl1_fza);

                    tg_xxxyyyyz_yyyzzzz_0[j] = pb_x * tg_xxyyyyz_yyyzzzz_0[j] + fr * tg_xxyyyyz_yyyzzzz_1[j] + fl1_fx * (tg_xyyyyz_yyyzzzz_0[j] - tg_xyyyyz_yyyzzzz_1[j] * fl1_fza);

                    tg_xxxyyyyz_yyzzzzz_0[j] = pb_x * tg_xxyyyyz_yyzzzzz_0[j] + fr * tg_xxyyyyz_yyzzzzz_1[j] + fl1_fx * (tg_xyyyyz_yyzzzzz_0[j] - tg_xyyyyz_yyzzzzz_1[j] * fl1_fza);

                    tg_xxxyyyyz_yzzzzzz_0[j] = pb_x * tg_xxyyyyz_yzzzzzz_0[j] + fr * tg_xxyyyyz_yzzzzzz_1[j] + fl1_fx * (tg_xyyyyz_yzzzzzz_0[j] - tg_xyyyyz_yzzzzzz_1[j] * fl1_fza);

                    tg_xxxyyyyz_zzzzzzz_0[j] = pb_x * tg_xxyyyyz_zzzzzzz_0[j] + fr * tg_xxyyyyz_zzzzzzz_1[j] + fl1_fx * (tg_xyyyyz_zzzzzzz_0[j] - tg_xyyyyz_zzzzzzz_1[j] * fl1_fza);

                    tg_xxxyyyzz_xxxxxxx_0[j] = pb_x * tg_xxyyyzz_xxxxxxx_0[j] + fr * tg_xxyyyzz_xxxxxxx_1[j] + fl1_fx * (tg_xyyyzz_xxxxxxx_0[j] - tg_xyyyzz_xxxxxxx_1[j] * fl1_fza) + 3.5 * fl1_fxn * tg_xxyyyzz_xxxxxx_1[j];

                    tg_xxxyyyzz_xxxxxxy_0[j] = pb_x * tg_xxyyyzz_xxxxxxy_0[j] + fr * tg_xxyyyzz_xxxxxxy_1[j] + fl1_fx * (tg_xyyyzz_xxxxxxy_0[j] - tg_xyyyzz_xxxxxxy_1[j] * fl1_fza) + 3.0 * fl1_fxn * tg_xxyyyzz_xxxxxy_1[j];

                    tg_xxxyyyzz_xxxxxxz_0[j] = pb_x * tg_xxyyyzz_xxxxxxz_0[j] + fr * tg_xxyyyzz_xxxxxxz_1[j] + fl1_fx * (tg_xyyyzz_xxxxxxz_0[j] - tg_xyyyzz_xxxxxxz_1[j] * fl1_fza) + 3.0 * fl1_fxn * tg_xxyyyzz_xxxxxz_1[j];

                    tg_xxxyyyzz_xxxxxyy_0[j] = pb_x * tg_xxyyyzz_xxxxxyy_0[j] + fr * tg_xxyyyzz_xxxxxyy_1[j] + fl1_fx * (tg_xyyyzz_xxxxxyy_0[j] - tg_xyyyzz_xxxxxyy_1[j] * fl1_fza) + 2.5 * fl1_fxn * tg_xxyyyzz_xxxxyy_1[j];

                    tg_xxxyyyzz_xxxxxyz_0[j] = pb_x * tg_xxyyyzz_xxxxxyz_0[j] + fr * tg_xxyyyzz_xxxxxyz_1[j] + fl1_fx * (tg_xyyyzz_xxxxxyz_0[j] - tg_xyyyzz_xxxxxyz_1[j] * fl1_fza) + 2.5 * fl1_fxn * tg_xxyyyzz_xxxxyz_1[j];

                    tg_xxxyyyzz_xxxxxzz_0[j] = pb_x * tg_xxyyyzz_xxxxxzz_0[j] + fr * tg_xxyyyzz_xxxxxzz_1[j] + fl1_fx * (tg_xyyyzz_xxxxxzz_0[j] - tg_xyyyzz_xxxxxzz_1[j] * fl1_fza) + 2.5 * fl1_fxn * tg_xxyyyzz_xxxxzz_1[j];

                    tg_xxxyyyzz_xxxxyyy_0[j] = pb_x * tg_xxyyyzz_xxxxyyy_0[j] + fr * tg_xxyyyzz_xxxxyyy_1[j] + fl1_fx * (tg_xyyyzz_xxxxyyy_0[j] - tg_xyyyzz_xxxxyyy_1[j] * fl1_fza) + 2.0 * fl1_fxn * tg_xxyyyzz_xxxyyy_1[j];

                    tg_xxxyyyzz_xxxxyyz_0[j] = pb_x * tg_xxyyyzz_xxxxyyz_0[j] + fr * tg_xxyyyzz_xxxxyyz_1[j] + fl1_fx * (tg_xyyyzz_xxxxyyz_0[j] - tg_xyyyzz_xxxxyyz_1[j] * fl1_fza) + 2.0 * fl1_fxn * tg_xxyyyzz_xxxyyz_1[j];

                    tg_xxxyyyzz_xxxxyzz_0[j] = pb_x * tg_xxyyyzz_xxxxyzz_0[j] + fr * tg_xxyyyzz_xxxxyzz_1[j] + fl1_fx * (tg_xyyyzz_xxxxyzz_0[j] - tg_xyyyzz_xxxxyzz_1[j] * fl1_fza) + 2.0 * fl1_fxn * tg_xxyyyzz_xxxyzz_1[j];

                    tg_xxxyyyzz_xxxxzzz_0[j] = pb_x * tg_xxyyyzz_xxxxzzz_0[j] + fr * tg_xxyyyzz_xxxxzzz_1[j] + fl1_fx * (tg_xyyyzz_xxxxzzz_0[j] - tg_xyyyzz_xxxxzzz_1[j] * fl1_fza) + 2.0 * fl1_fxn * tg_xxyyyzz_xxxzzz_1[j];

                    tg_xxxyyyzz_xxxyyyy_0[j] = pb_x * tg_xxyyyzz_xxxyyyy_0[j] + fr * tg_xxyyyzz_xxxyyyy_1[j] + fl1_fx * (tg_xyyyzz_xxxyyyy_0[j] - tg_xyyyzz_xxxyyyy_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_xxyyyzz_xxyyyy_1[j];

                    tg_xxxyyyzz_xxxyyyz_0[j] = pb_x * tg_xxyyyzz_xxxyyyz_0[j] + fr * tg_xxyyyzz_xxxyyyz_1[j] + fl1_fx * (tg_xyyyzz_xxxyyyz_0[j] - tg_xyyyzz_xxxyyyz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_xxyyyzz_xxyyyz_1[j];

                    tg_xxxyyyzz_xxxyyzz_0[j] = pb_x * tg_xxyyyzz_xxxyyzz_0[j] + fr * tg_xxyyyzz_xxxyyzz_1[j] + fl1_fx * (tg_xyyyzz_xxxyyzz_0[j] - tg_xyyyzz_xxxyyzz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_xxyyyzz_xxyyzz_1[j];

                    tg_xxxyyyzz_xxxyzzz_0[j] = pb_x * tg_xxyyyzz_xxxyzzz_0[j] + fr * tg_xxyyyzz_xxxyzzz_1[j] + fl1_fx * (tg_xyyyzz_xxxyzzz_0[j] - tg_xyyyzz_xxxyzzz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_xxyyyzz_xxyzzz_1[j];

                    tg_xxxyyyzz_xxxzzzz_0[j] = pb_x * tg_xxyyyzz_xxxzzzz_0[j] + fr * tg_xxyyyzz_xxxzzzz_1[j] + fl1_fx * (tg_xyyyzz_xxxzzzz_0[j] - tg_xyyyzz_xxxzzzz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_xxyyyzz_xxzzzz_1[j];

                    tg_xxxyyyzz_xxyyyyy_0[j] = pb_x * tg_xxyyyzz_xxyyyyy_0[j] + fr * tg_xxyyyzz_xxyyyyy_1[j] + fl1_fx * (tg_xyyyzz_xxyyyyy_0[j] - tg_xyyyzz_xxyyyyy_1[j] * fl1_fza) + fl1_fxn * tg_xxyyyzz_xyyyyy_1[j];

                    tg_xxxyyyzz_xxyyyyz_0[j] = pb_x * tg_xxyyyzz_xxyyyyz_0[j] + fr * tg_xxyyyzz_xxyyyyz_1[j] + fl1_fx * (tg_xyyyzz_xxyyyyz_0[j] - tg_xyyyzz_xxyyyyz_1[j] * fl1_fza) + fl1_fxn * tg_xxyyyzz_xyyyyz_1[j];

                    tg_xxxyyyzz_xxyyyzz_0[j] = pb_x * tg_xxyyyzz_xxyyyzz_0[j] + fr * tg_xxyyyzz_xxyyyzz_1[j] + fl1_fx * (tg_xyyyzz_xxyyyzz_0[j] - tg_xyyyzz_xxyyyzz_1[j] * fl1_fza) + fl1_fxn * tg_xxyyyzz_xyyyzz_1[j];

                    tg_xxxyyyzz_xxyyzzz_0[j] = pb_x * tg_xxyyyzz_xxyyzzz_0[j] + fr * tg_xxyyyzz_xxyyzzz_1[j] + fl1_fx * (tg_xyyyzz_xxyyzzz_0[j] - tg_xyyyzz_xxyyzzz_1[j] * fl1_fza) + fl1_fxn * tg_xxyyyzz_xyyzzz_1[j];

                    tg_xxxyyyzz_xxyzzzz_0[j] = pb_x * tg_xxyyyzz_xxyzzzz_0[j] + fr * tg_xxyyyzz_xxyzzzz_1[j] + fl1_fx * (tg_xyyyzz_xxyzzzz_0[j] - tg_xyyyzz_xxyzzzz_1[j] * fl1_fza) + fl1_fxn * tg_xxyyyzz_xyzzzz_1[j];

                    tg_xxxyyyzz_xxzzzzz_0[j] = pb_x * tg_xxyyyzz_xxzzzzz_0[j] + fr * tg_xxyyyzz_xxzzzzz_1[j] + fl1_fx * (tg_xyyyzz_xxzzzzz_0[j] - tg_xyyyzz_xxzzzzz_1[j] * fl1_fza) + fl1_fxn * tg_xxyyyzz_xzzzzz_1[j];

                    tg_xxxyyyzz_xyyyyyy_0[j] = pb_x * tg_xxyyyzz_xyyyyyy_0[j] + fr * tg_xxyyyzz_xyyyyyy_1[j] + fl1_fx * (tg_xyyyzz_xyyyyyy_0[j] - tg_xyyyzz_xyyyyyy_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xxyyyzz_yyyyyy_1[j];

                    tg_xxxyyyzz_xyyyyyz_0[j] = pb_x * tg_xxyyyzz_xyyyyyz_0[j] + fr * tg_xxyyyzz_xyyyyyz_1[j] + fl1_fx * (tg_xyyyzz_xyyyyyz_0[j] - tg_xyyyzz_xyyyyyz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xxyyyzz_yyyyyz_1[j];

                    tg_xxxyyyzz_xyyyyzz_0[j] = pb_x * tg_xxyyyzz_xyyyyzz_0[j] + fr * tg_xxyyyzz_xyyyyzz_1[j] + fl1_fx * (tg_xyyyzz_xyyyyzz_0[j] - tg_xyyyzz_xyyyyzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xxyyyzz_yyyyzz_1[j];

                    tg_xxxyyyzz_xyyyzzz_0[j] = pb_x * tg_xxyyyzz_xyyyzzz_0[j] + fr * tg_xxyyyzz_xyyyzzz_1[j] + fl1_fx * (tg_xyyyzz_xyyyzzz_0[j] - tg_xyyyzz_xyyyzzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xxyyyzz_yyyzzz_1[j];

                    tg_xxxyyyzz_xyyzzzz_0[j] = pb_x * tg_xxyyyzz_xyyzzzz_0[j] + fr * tg_xxyyyzz_xyyzzzz_1[j] + fl1_fx * (tg_xyyyzz_xyyzzzz_0[j] - tg_xyyyzz_xyyzzzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xxyyyzz_yyzzzz_1[j];

                    tg_xxxyyyzz_xyzzzzz_0[j] = pb_x * tg_xxyyyzz_xyzzzzz_0[j] + fr * tg_xxyyyzz_xyzzzzz_1[j] + fl1_fx * (tg_xyyyzz_xyzzzzz_0[j] - tg_xyyyzz_xyzzzzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xxyyyzz_yzzzzz_1[j];

                    tg_xxxyyyzz_xzzzzzz_0[j] = pb_x * tg_xxyyyzz_xzzzzzz_0[j] + fr * tg_xxyyyzz_xzzzzzz_1[j] + fl1_fx * (tg_xyyyzz_xzzzzzz_0[j] - tg_xyyyzz_xzzzzzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xxyyyzz_zzzzzz_1[j];

                    tg_xxxyyyzz_yyyyyyy_0[j] = pb_x * tg_xxyyyzz_yyyyyyy_0[j] + fr * tg_xxyyyzz_yyyyyyy_1[j] + fl1_fx * (tg_xyyyzz_yyyyyyy_0[j] - tg_xyyyzz_yyyyyyy_1[j] * fl1_fza);

                    tg_xxxyyyzz_yyyyyyz_0[j] = pb_x * tg_xxyyyzz_yyyyyyz_0[j] + fr * tg_xxyyyzz_yyyyyyz_1[j] + fl1_fx * (tg_xyyyzz_yyyyyyz_0[j] - tg_xyyyzz_yyyyyyz_1[j] * fl1_fza);

                    tg_xxxyyyzz_yyyyyzz_0[j] = pb_x * tg_xxyyyzz_yyyyyzz_0[j] + fr * tg_xxyyyzz_yyyyyzz_1[j] + fl1_fx * (tg_xyyyzz_yyyyyzz_0[j] - tg_xyyyzz_yyyyyzz_1[j] * fl1_fza);

                    tg_xxxyyyzz_yyyyzzz_0[j] = pb_x * tg_xxyyyzz_yyyyzzz_0[j] + fr * tg_xxyyyzz_yyyyzzz_1[j] + fl1_fx * (tg_xyyyzz_yyyyzzz_0[j] - tg_xyyyzz_yyyyzzz_1[j] * fl1_fza);

                    tg_xxxyyyzz_yyyzzzz_0[j] = pb_x * tg_xxyyyzz_yyyzzzz_0[j] + fr * tg_xxyyyzz_yyyzzzz_1[j] + fl1_fx * (tg_xyyyzz_yyyzzzz_0[j] - tg_xyyyzz_yyyzzzz_1[j] * fl1_fza);

                    tg_xxxyyyzz_yyzzzzz_0[j] = pb_x * tg_xxyyyzz_yyzzzzz_0[j] + fr * tg_xxyyyzz_yyzzzzz_1[j] + fl1_fx * (tg_xyyyzz_yyzzzzz_0[j] - tg_xyyyzz_yyzzzzz_1[j] * fl1_fza);

                    tg_xxxyyyzz_yzzzzzz_0[j] = pb_x * tg_xxyyyzz_yzzzzzz_0[j] + fr * tg_xxyyyzz_yzzzzzz_1[j] + fl1_fx * (tg_xyyyzz_yzzzzzz_0[j] - tg_xyyyzz_yzzzzzz_1[j] * fl1_fza);

                    tg_xxxyyyzz_zzzzzzz_0[j] = pb_x * tg_xxyyyzz_zzzzzzz_0[j] + fr * tg_xxyyyzz_zzzzzzz_1[j] + fl1_fx * (tg_xyyyzz_zzzzzzz_0[j] - tg_xyyyzz_zzzzzzz_1[j] * fl1_fza);

                    tg_xxxyyzzz_xxxxxxx_0[j] = pb_x * tg_xxyyzzz_xxxxxxx_0[j] + fr * tg_xxyyzzz_xxxxxxx_1[j] + fl1_fx * (tg_xyyzzz_xxxxxxx_0[j] - tg_xyyzzz_xxxxxxx_1[j] * fl1_fza) + 3.5 * fl1_fxn * tg_xxyyzzz_xxxxxx_1[j];

                    tg_xxxyyzzz_xxxxxxy_0[j] = pb_x * tg_xxyyzzz_xxxxxxy_0[j] + fr * tg_xxyyzzz_xxxxxxy_1[j] + fl1_fx * (tg_xyyzzz_xxxxxxy_0[j] - tg_xyyzzz_xxxxxxy_1[j] * fl1_fza) + 3.0 * fl1_fxn * tg_xxyyzzz_xxxxxy_1[j];

                    tg_xxxyyzzz_xxxxxxz_0[j] = pb_x * tg_xxyyzzz_xxxxxxz_0[j] + fr * tg_xxyyzzz_xxxxxxz_1[j] + fl1_fx * (tg_xyyzzz_xxxxxxz_0[j] - tg_xyyzzz_xxxxxxz_1[j] * fl1_fza) + 3.0 * fl1_fxn * tg_xxyyzzz_xxxxxz_1[j];

                    tg_xxxyyzzz_xxxxxyy_0[j] = pb_x * tg_xxyyzzz_xxxxxyy_0[j] + fr * tg_xxyyzzz_xxxxxyy_1[j] + fl1_fx * (tg_xyyzzz_xxxxxyy_0[j] - tg_xyyzzz_xxxxxyy_1[j] * fl1_fza) + 2.5 * fl1_fxn * tg_xxyyzzz_xxxxyy_1[j];

                    tg_xxxyyzzz_xxxxxyz_0[j] = pb_x * tg_xxyyzzz_xxxxxyz_0[j] + fr * tg_xxyyzzz_xxxxxyz_1[j] + fl1_fx * (tg_xyyzzz_xxxxxyz_0[j] - tg_xyyzzz_xxxxxyz_1[j] * fl1_fza) + 2.5 * fl1_fxn * tg_xxyyzzz_xxxxyz_1[j];

                    tg_xxxyyzzz_xxxxxzz_0[j] = pb_x * tg_xxyyzzz_xxxxxzz_0[j] + fr * tg_xxyyzzz_xxxxxzz_1[j] + fl1_fx * (tg_xyyzzz_xxxxxzz_0[j] - tg_xyyzzz_xxxxxzz_1[j] * fl1_fza) + 2.5 * fl1_fxn * tg_xxyyzzz_xxxxzz_1[j];

                    tg_xxxyyzzz_xxxxyyy_0[j] = pb_x * tg_xxyyzzz_xxxxyyy_0[j] + fr * tg_xxyyzzz_xxxxyyy_1[j] + fl1_fx * (tg_xyyzzz_xxxxyyy_0[j] - tg_xyyzzz_xxxxyyy_1[j] * fl1_fza) + 2.0 * fl1_fxn * tg_xxyyzzz_xxxyyy_1[j];

                    tg_xxxyyzzz_xxxxyyz_0[j] = pb_x * tg_xxyyzzz_xxxxyyz_0[j] + fr * tg_xxyyzzz_xxxxyyz_1[j] + fl1_fx * (tg_xyyzzz_xxxxyyz_0[j] - tg_xyyzzz_xxxxyyz_1[j] * fl1_fza) + 2.0 * fl1_fxn * tg_xxyyzzz_xxxyyz_1[j];

                    tg_xxxyyzzz_xxxxyzz_0[j] = pb_x * tg_xxyyzzz_xxxxyzz_0[j] + fr * tg_xxyyzzz_xxxxyzz_1[j] + fl1_fx * (tg_xyyzzz_xxxxyzz_0[j] - tg_xyyzzz_xxxxyzz_1[j] * fl1_fza) + 2.0 * fl1_fxn * tg_xxyyzzz_xxxyzz_1[j];

                    tg_xxxyyzzz_xxxxzzz_0[j] = pb_x * tg_xxyyzzz_xxxxzzz_0[j] + fr * tg_xxyyzzz_xxxxzzz_1[j] + fl1_fx * (tg_xyyzzz_xxxxzzz_0[j] - tg_xyyzzz_xxxxzzz_1[j] * fl1_fza) + 2.0 * fl1_fxn * tg_xxyyzzz_xxxzzz_1[j];

                    tg_xxxyyzzz_xxxyyyy_0[j] = pb_x * tg_xxyyzzz_xxxyyyy_0[j] + fr * tg_xxyyzzz_xxxyyyy_1[j] + fl1_fx * (tg_xyyzzz_xxxyyyy_0[j] - tg_xyyzzz_xxxyyyy_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_xxyyzzz_xxyyyy_1[j];

                    tg_xxxyyzzz_xxxyyyz_0[j] = pb_x * tg_xxyyzzz_xxxyyyz_0[j] + fr * tg_xxyyzzz_xxxyyyz_1[j] + fl1_fx * (tg_xyyzzz_xxxyyyz_0[j] - tg_xyyzzz_xxxyyyz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_xxyyzzz_xxyyyz_1[j];

                    tg_xxxyyzzz_xxxyyzz_0[j] = pb_x * tg_xxyyzzz_xxxyyzz_0[j] + fr * tg_xxyyzzz_xxxyyzz_1[j] + fl1_fx * (tg_xyyzzz_xxxyyzz_0[j] - tg_xyyzzz_xxxyyzz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_xxyyzzz_xxyyzz_1[j];

                    tg_xxxyyzzz_xxxyzzz_0[j] = pb_x * tg_xxyyzzz_xxxyzzz_0[j] + fr * tg_xxyyzzz_xxxyzzz_1[j] + fl1_fx * (tg_xyyzzz_xxxyzzz_0[j] - tg_xyyzzz_xxxyzzz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_xxyyzzz_xxyzzz_1[j];

                    tg_xxxyyzzz_xxxzzzz_0[j] = pb_x * tg_xxyyzzz_xxxzzzz_0[j] + fr * tg_xxyyzzz_xxxzzzz_1[j] + fl1_fx * (tg_xyyzzz_xxxzzzz_0[j] - tg_xyyzzz_xxxzzzz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_xxyyzzz_xxzzzz_1[j];

                    tg_xxxyyzzz_xxyyyyy_0[j] = pb_x * tg_xxyyzzz_xxyyyyy_0[j] + fr * tg_xxyyzzz_xxyyyyy_1[j] + fl1_fx * (tg_xyyzzz_xxyyyyy_0[j] - tg_xyyzzz_xxyyyyy_1[j] * fl1_fza) + fl1_fxn * tg_xxyyzzz_xyyyyy_1[j];

                    tg_xxxyyzzz_xxyyyyz_0[j] = pb_x * tg_xxyyzzz_xxyyyyz_0[j] + fr * tg_xxyyzzz_xxyyyyz_1[j] + fl1_fx * (tg_xyyzzz_xxyyyyz_0[j] - tg_xyyzzz_xxyyyyz_1[j] * fl1_fza) + fl1_fxn * tg_xxyyzzz_xyyyyz_1[j];

                    tg_xxxyyzzz_xxyyyzz_0[j] = pb_x * tg_xxyyzzz_xxyyyzz_0[j] + fr * tg_xxyyzzz_xxyyyzz_1[j] + fl1_fx * (tg_xyyzzz_xxyyyzz_0[j] - tg_xyyzzz_xxyyyzz_1[j] * fl1_fza) + fl1_fxn * tg_xxyyzzz_xyyyzz_1[j];

                    tg_xxxyyzzz_xxyyzzz_0[j] = pb_x * tg_xxyyzzz_xxyyzzz_0[j] + fr * tg_xxyyzzz_xxyyzzz_1[j] + fl1_fx * (tg_xyyzzz_xxyyzzz_0[j] - tg_xyyzzz_xxyyzzz_1[j] * fl1_fza) + fl1_fxn * tg_xxyyzzz_xyyzzz_1[j];

                    tg_xxxyyzzz_xxyzzzz_0[j] = pb_x * tg_xxyyzzz_xxyzzzz_0[j] + fr * tg_xxyyzzz_xxyzzzz_1[j] + fl1_fx * (tg_xyyzzz_xxyzzzz_0[j] - tg_xyyzzz_xxyzzzz_1[j] * fl1_fza) + fl1_fxn * tg_xxyyzzz_xyzzzz_1[j];

                    tg_xxxyyzzz_xxzzzzz_0[j] = pb_x * tg_xxyyzzz_xxzzzzz_0[j] + fr * tg_xxyyzzz_xxzzzzz_1[j] + fl1_fx * (tg_xyyzzz_xxzzzzz_0[j] - tg_xyyzzz_xxzzzzz_1[j] * fl1_fza) + fl1_fxn * tg_xxyyzzz_xzzzzz_1[j];

                    tg_xxxyyzzz_xyyyyyy_0[j] = pb_x * tg_xxyyzzz_xyyyyyy_0[j] + fr * tg_xxyyzzz_xyyyyyy_1[j] + fl1_fx * (tg_xyyzzz_xyyyyyy_0[j] - tg_xyyzzz_xyyyyyy_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xxyyzzz_yyyyyy_1[j];
                }

                idx++;
            }
        }
    }

    void
    compElectronRepulsionForSLSK_670_765(      CMemBlock2D<double>* primBuffer,
                                         const CRecursionMap&       recursionMap,
                                         const CMemBlock2D<double>& osFactors,
                                         const CMemBlock2D<double>& wpDistances,
                                         const CGtoPairsBlock&      braGtoPairsBlock,
                                         const CGtoPairsBlock&      ketGtoPairsBlock,
                                         const int32_t              nKetPrimPairs,
                                         const int32_t              iContrPair)
    {
        // Batch of Integrals (670,765)

        // set up pointers to primitives data on bra side

        auto spos = braGtoPairsBlock.getStartPositions();

        auto epos = braGtoPairsBlock.getEndPositions();

        // set up pointers to tensor of distance R(PB) = P - B

        auto r_pb_x = braGtoPairsBlock.getDistancesPBX();

        // set up pointers to common Obara-Saika factors

        auto b_fx = braGtoPairsBlock.getFactorsOneOverXi();

        // set up maximum order of integral

        auto mord = recursionMap.getMaxOrder({"Electron Repulsion"},
                                             {8, -1, -1, -1},
                                             {7, -1, -1, -1},
                                             1, 1);

        for (int32_t iord = 0; iord <= mord; iord++)
        {
            // set up index of integral

            auto pidx_g_8_7_m0 = recursionMap.index(CRecursionTerm({"Electron Repulsion"}, 0, true, 
                                                                   {8, -1, -1, -1}, {7, -1, -1, -1}, 
                                                                   1, 1, iord));

            // check if integral is needed in recursion expansion

            if (pidx_g_8_7_m0 == -1) continue;

            // set up indexes of auxilary integral

            auto pidx_g_7_7_m0 = recursionMap.index(CRecursionTerm({"Electron Repulsion"}, 0, true, 
                                                                   {7, -1, -1, -1}, {7, -1, -1, -1}, 
                                                                   1, 1, iord));

            auto pidx_g_7_7_m1 = recursionMap.index(CRecursionTerm({"Electron Repulsion"}, 0, true, 
                                                                   {7, -1, -1, -1}, {7, -1, -1, -1}, 
                                                                   1, 1, iord + 1));

            auto pidx_g_6_7_m0 = recursionMap.index(CRecursionTerm({"Electron Repulsion"}, 0, true, 
                                                                   {6, -1, -1, -1}, {7, -1, -1, -1}, 
                                                                   1, 1, iord));

            auto pidx_g_6_7_m1 = recursionMap.index(CRecursionTerm({"Electron Repulsion"}, 0, true, 
                                                                   {6, -1, -1, -1}, {7, -1, -1, -1}, 
                                                                   1, 1, iord + 1));

            auto pidx_g_7_6_m1 = recursionMap.index(CRecursionTerm({"Electron Repulsion"}, 0, true, 
                                                                   {7, -1, -1, -1}, {6, -1, -1, -1}, 
                                                                   1, 1, iord + 1));

            // loop over contracted GTO on bra side

            int32_t idx = 0;

            for (int32_t i = spos[iContrPair]; i < epos[iContrPair]; i++)
            {
                // set up pointers to Obara-Saika factors

                double fx = b_fx[i];

                auto fza = osFactors.data(4 * idx + 2);

                auto fxn = osFactors.data(4 * idx);

                // set up distances R(PB) = P - B

                auto pb_x = r_pb_x[i];

                // set up pointers to tensors product of distances R(WP) = W - P

                auto wp_x = wpDistances.data(3 * idx);

                // set up pointers to auxilary integrals

                auto tg_xxyyzzz_xyyyyyz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 670); 

                auto tg_xxyyzzz_xyyyyzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 671); 

                auto tg_xxyyzzz_xyyyzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 672); 

                auto tg_xxyyzzz_xyyzzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 673); 

                auto tg_xxyyzzz_xyzzzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 674); 

                auto tg_xxyyzzz_xzzzzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 675); 

                auto tg_xxyyzzz_yyyyyyy_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 676); 

                auto tg_xxyyzzz_yyyyyyz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 677); 

                auto tg_xxyyzzz_yyyyyzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 678); 

                auto tg_xxyyzzz_yyyyzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 679); 

                auto tg_xxyyzzz_yyyzzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 680); 

                auto tg_xxyyzzz_yyzzzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 681); 

                auto tg_xxyyzzz_yzzzzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 682); 

                auto tg_xxyyzzz_zzzzzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 683); 

                auto tg_xxyzzzz_xxxxxxx_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 684); 

                auto tg_xxyzzzz_xxxxxxy_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 685); 

                auto tg_xxyzzzz_xxxxxxz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 686); 

                auto tg_xxyzzzz_xxxxxyy_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 687); 

                auto tg_xxyzzzz_xxxxxyz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 688); 

                auto tg_xxyzzzz_xxxxxzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 689); 

                auto tg_xxyzzzz_xxxxyyy_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 690); 

                auto tg_xxyzzzz_xxxxyyz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 691); 

                auto tg_xxyzzzz_xxxxyzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 692); 

                auto tg_xxyzzzz_xxxxzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 693); 

                auto tg_xxyzzzz_xxxyyyy_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 694); 

                auto tg_xxyzzzz_xxxyyyz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 695); 

                auto tg_xxyzzzz_xxxyyzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 696); 

                auto tg_xxyzzzz_xxxyzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 697); 

                auto tg_xxyzzzz_xxxzzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 698); 

                auto tg_xxyzzzz_xxyyyyy_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 699); 

                auto tg_xxyzzzz_xxyyyyz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 700); 

                auto tg_xxyzzzz_xxyyyzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 701); 

                auto tg_xxyzzzz_xxyyzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 702); 

                auto tg_xxyzzzz_xxyzzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 703); 

                auto tg_xxyzzzz_xxzzzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 704); 

                auto tg_xxyzzzz_xyyyyyy_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 705); 

                auto tg_xxyzzzz_xyyyyyz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 706); 

                auto tg_xxyzzzz_xyyyyzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 707); 

                auto tg_xxyzzzz_xyyyzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 708); 

                auto tg_xxyzzzz_xyyzzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 709); 

                auto tg_xxyzzzz_xyzzzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 710); 

                auto tg_xxyzzzz_xzzzzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 711); 

                auto tg_xxyzzzz_yyyyyyy_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 712); 

                auto tg_xxyzzzz_yyyyyyz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 713); 

                auto tg_xxyzzzz_yyyyyzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 714); 

                auto tg_xxyzzzz_yyyyzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 715); 

                auto tg_xxyzzzz_yyyzzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 716); 

                auto tg_xxyzzzz_yyzzzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 717); 

                auto tg_xxyzzzz_yzzzzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 718); 

                auto tg_xxyzzzz_zzzzzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 719); 

                auto tg_xxzzzzz_xxxxxxx_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 720); 

                auto tg_xxzzzzz_xxxxxxy_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 721); 

                auto tg_xxzzzzz_xxxxxxz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 722); 

                auto tg_xxzzzzz_xxxxxyy_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 723); 

                auto tg_xxzzzzz_xxxxxyz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 724); 

                auto tg_xxzzzzz_xxxxxzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 725); 

                auto tg_xxzzzzz_xxxxyyy_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 726); 

                auto tg_xxzzzzz_xxxxyyz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 727); 

                auto tg_xxzzzzz_xxxxyzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 728); 

                auto tg_xxzzzzz_xxxxzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 729); 

                auto tg_xxzzzzz_xxxyyyy_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 730); 

                auto tg_xxzzzzz_xxxyyyz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 731); 

                auto tg_xxzzzzz_xxxyyzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 732); 

                auto tg_xxzzzzz_xxxyzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 733); 

                auto tg_xxzzzzz_xxxzzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 734); 

                auto tg_xxzzzzz_xxyyyyy_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 735); 

                auto tg_xxzzzzz_xxyyyyz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 736); 

                auto tg_xxzzzzz_xxyyyzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 737); 

                auto tg_xxzzzzz_xxyyzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 738); 

                auto tg_xxzzzzz_xxyzzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 739); 

                auto tg_xxzzzzz_xxzzzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 740); 

                auto tg_xxzzzzz_xyyyyyy_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 741); 

                auto tg_xxzzzzz_xyyyyyz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 742); 

                auto tg_xxzzzzz_xyyyyzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 743); 

                auto tg_xxzzzzz_xyyyzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 744); 

                auto tg_xxzzzzz_xyyzzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 745); 

                auto tg_xxzzzzz_xyzzzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 746); 

                auto tg_xxzzzzz_xzzzzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 747); 

                auto tg_xxzzzzz_yyyyyyy_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 748); 

                auto tg_xxzzzzz_yyyyyyz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 749); 

                auto tg_xxzzzzz_yyyyyzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 750); 

                auto tg_xxzzzzz_yyyyzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 751); 

                auto tg_xxzzzzz_yyyzzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 752); 

                auto tg_xxzzzzz_yyzzzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 753); 

                auto tg_xxzzzzz_yzzzzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 754); 

                auto tg_xxzzzzz_zzzzzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 755); 

                auto tg_xyyyyyy_xxxxxxx_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 756); 

                auto tg_xyyyyyy_xxxxxxy_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 757); 

                auto tg_xyyyyyy_xxxxxxz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 758); 

                auto tg_xyyyyyy_xxxxxyy_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 759); 

                auto tg_xyyyyyy_xxxxxyz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 760); 

                auto tg_xyyyyyy_xxxxxzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 761); 

                auto tg_xyyyyyy_xxxxyyy_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 762); 

                auto tg_xyyyyyy_xxxxyyz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 763); 

                auto tg_xyyyyyy_xxxxyzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 764); 

                auto tg_xxyyzzz_xyyyyyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 670); 

                auto tg_xxyyzzz_xyyyyzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 671); 

                auto tg_xxyyzzz_xyyyzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 672); 

                auto tg_xxyyzzz_xyyzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 673); 

                auto tg_xxyyzzz_xyzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 674); 

                auto tg_xxyyzzz_xzzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 675); 

                auto tg_xxyyzzz_yyyyyyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 676); 

                auto tg_xxyyzzz_yyyyyyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 677); 

                auto tg_xxyyzzz_yyyyyzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 678); 

                auto tg_xxyyzzz_yyyyzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 679); 

                auto tg_xxyyzzz_yyyzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 680); 

                auto tg_xxyyzzz_yyzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 681); 

                auto tg_xxyyzzz_yzzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 682); 

                auto tg_xxyyzzz_zzzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 683); 

                auto tg_xxyzzzz_xxxxxxx_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 684); 

                auto tg_xxyzzzz_xxxxxxy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 685); 

                auto tg_xxyzzzz_xxxxxxz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 686); 

                auto tg_xxyzzzz_xxxxxyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 687); 

                auto tg_xxyzzzz_xxxxxyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 688); 

                auto tg_xxyzzzz_xxxxxzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 689); 

                auto tg_xxyzzzz_xxxxyyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 690); 

                auto tg_xxyzzzz_xxxxyyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 691); 

                auto tg_xxyzzzz_xxxxyzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 692); 

                auto tg_xxyzzzz_xxxxzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 693); 

                auto tg_xxyzzzz_xxxyyyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 694); 

                auto tg_xxyzzzz_xxxyyyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 695); 

                auto tg_xxyzzzz_xxxyyzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 696); 

                auto tg_xxyzzzz_xxxyzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 697); 

                auto tg_xxyzzzz_xxxzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 698); 

                auto tg_xxyzzzz_xxyyyyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 699); 

                auto tg_xxyzzzz_xxyyyyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 700); 

                auto tg_xxyzzzz_xxyyyzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 701); 

                auto tg_xxyzzzz_xxyyzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 702); 

                auto tg_xxyzzzz_xxyzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 703); 

                auto tg_xxyzzzz_xxzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 704); 

                auto tg_xxyzzzz_xyyyyyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 705); 

                auto tg_xxyzzzz_xyyyyyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 706); 

                auto tg_xxyzzzz_xyyyyzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 707); 

                auto tg_xxyzzzz_xyyyzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 708); 

                auto tg_xxyzzzz_xyyzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 709); 

                auto tg_xxyzzzz_xyzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 710); 

                auto tg_xxyzzzz_xzzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 711); 

                auto tg_xxyzzzz_yyyyyyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 712); 

                auto tg_xxyzzzz_yyyyyyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 713); 

                auto tg_xxyzzzz_yyyyyzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 714); 

                auto tg_xxyzzzz_yyyyzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 715); 

                auto tg_xxyzzzz_yyyzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 716); 

                auto tg_xxyzzzz_yyzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 717); 

                auto tg_xxyzzzz_yzzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 718); 

                auto tg_xxyzzzz_zzzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 719); 

                auto tg_xxzzzzz_xxxxxxx_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 720); 

                auto tg_xxzzzzz_xxxxxxy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 721); 

                auto tg_xxzzzzz_xxxxxxz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 722); 

                auto tg_xxzzzzz_xxxxxyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 723); 

                auto tg_xxzzzzz_xxxxxyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 724); 

                auto tg_xxzzzzz_xxxxxzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 725); 

                auto tg_xxzzzzz_xxxxyyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 726); 

                auto tg_xxzzzzz_xxxxyyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 727); 

                auto tg_xxzzzzz_xxxxyzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 728); 

                auto tg_xxzzzzz_xxxxzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 729); 

                auto tg_xxzzzzz_xxxyyyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 730); 

                auto tg_xxzzzzz_xxxyyyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 731); 

                auto tg_xxzzzzz_xxxyyzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 732); 

                auto tg_xxzzzzz_xxxyzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 733); 

                auto tg_xxzzzzz_xxxzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 734); 

                auto tg_xxzzzzz_xxyyyyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 735); 

                auto tg_xxzzzzz_xxyyyyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 736); 

                auto tg_xxzzzzz_xxyyyzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 737); 

                auto tg_xxzzzzz_xxyyzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 738); 

                auto tg_xxzzzzz_xxyzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 739); 

                auto tg_xxzzzzz_xxzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 740); 

                auto tg_xxzzzzz_xyyyyyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 741); 

                auto tg_xxzzzzz_xyyyyyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 742); 

                auto tg_xxzzzzz_xyyyyzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 743); 

                auto tg_xxzzzzz_xyyyzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 744); 

                auto tg_xxzzzzz_xyyzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 745); 

                auto tg_xxzzzzz_xyzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 746); 

                auto tg_xxzzzzz_xzzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 747); 

                auto tg_xxzzzzz_yyyyyyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 748); 

                auto tg_xxzzzzz_yyyyyyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 749); 

                auto tg_xxzzzzz_yyyyyzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 750); 

                auto tg_xxzzzzz_yyyyzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 751); 

                auto tg_xxzzzzz_yyyzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 752); 

                auto tg_xxzzzzz_yyzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 753); 

                auto tg_xxzzzzz_yzzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 754); 

                auto tg_xxzzzzz_zzzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 755); 

                auto tg_xyyyyyy_xxxxxxx_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 756); 

                auto tg_xyyyyyy_xxxxxxy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 757); 

                auto tg_xyyyyyy_xxxxxxz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 758); 

                auto tg_xyyyyyy_xxxxxyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 759); 

                auto tg_xyyyyyy_xxxxxyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 760); 

                auto tg_xyyyyyy_xxxxxzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 761); 

                auto tg_xyyyyyy_xxxxyyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 762); 

                auto tg_xyyyyyy_xxxxyyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 763); 

                auto tg_xyyyyyy_xxxxyzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 764); 

                auto tg_xyyzzz_xyyyyyz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 670); 

                auto tg_xyyzzz_xyyyyzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 671); 

                auto tg_xyyzzz_xyyyzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 672); 

                auto tg_xyyzzz_xyyzzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 673); 

                auto tg_xyyzzz_xyzzzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 674); 

                auto tg_xyyzzz_xzzzzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 675); 

                auto tg_xyyzzz_yyyyyyy_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 676); 

                auto tg_xyyzzz_yyyyyyz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 677); 

                auto tg_xyyzzz_yyyyyzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 678); 

                auto tg_xyyzzz_yyyyzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 679); 

                auto tg_xyyzzz_yyyzzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 680); 

                auto tg_xyyzzz_yyzzzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 681); 

                auto tg_xyyzzz_yzzzzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 682); 

                auto tg_xyyzzz_zzzzzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 683); 

                auto tg_xyzzzz_xxxxxxx_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 684); 

                auto tg_xyzzzz_xxxxxxy_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 685); 

                auto tg_xyzzzz_xxxxxxz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 686); 

                auto tg_xyzzzz_xxxxxyy_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 687); 

                auto tg_xyzzzz_xxxxxyz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 688); 

                auto tg_xyzzzz_xxxxxzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 689); 

                auto tg_xyzzzz_xxxxyyy_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 690); 

                auto tg_xyzzzz_xxxxyyz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 691); 

                auto tg_xyzzzz_xxxxyzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 692); 

                auto tg_xyzzzz_xxxxzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 693); 

                auto tg_xyzzzz_xxxyyyy_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 694); 

                auto tg_xyzzzz_xxxyyyz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 695); 

                auto tg_xyzzzz_xxxyyzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 696); 

                auto tg_xyzzzz_xxxyzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 697); 

                auto tg_xyzzzz_xxxzzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 698); 

                auto tg_xyzzzz_xxyyyyy_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 699); 

                auto tg_xyzzzz_xxyyyyz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 700); 

                auto tg_xyzzzz_xxyyyzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 701); 

                auto tg_xyzzzz_xxyyzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 702); 

                auto tg_xyzzzz_xxyzzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 703); 

                auto tg_xyzzzz_xxzzzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 704); 

                auto tg_xyzzzz_xyyyyyy_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 705); 

                auto tg_xyzzzz_xyyyyyz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 706); 

                auto tg_xyzzzz_xyyyyzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 707); 

                auto tg_xyzzzz_xyyyzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 708); 

                auto tg_xyzzzz_xyyzzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 709); 

                auto tg_xyzzzz_xyzzzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 710); 

                auto tg_xyzzzz_xzzzzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 711); 

                auto tg_xyzzzz_yyyyyyy_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 712); 

                auto tg_xyzzzz_yyyyyyz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 713); 

                auto tg_xyzzzz_yyyyyzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 714); 

                auto tg_xyzzzz_yyyyzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 715); 

                auto tg_xyzzzz_yyyzzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 716); 

                auto tg_xyzzzz_yyzzzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 717); 

                auto tg_xyzzzz_yzzzzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 718); 

                auto tg_xyzzzz_zzzzzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 719); 

                auto tg_xzzzzz_xxxxxxx_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 720); 

                auto tg_xzzzzz_xxxxxxy_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 721); 

                auto tg_xzzzzz_xxxxxxz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 722); 

                auto tg_xzzzzz_xxxxxyy_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 723); 

                auto tg_xzzzzz_xxxxxyz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 724); 

                auto tg_xzzzzz_xxxxxzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 725); 

                auto tg_xzzzzz_xxxxyyy_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 726); 

                auto tg_xzzzzz_xxxxyyz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 727); 

                auto tg_xzzzzz_xxxxyzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 728); 

                auto tg_xzzzzz_xxxxzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 729); 

                auto tg_xzzzzz_xxxyyyy_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 730); 

                auto tg_xzzzzz_xxxyyyz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 731); 

                auto tg_xzzzzz_xxxyyzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 732); 

                auto tg_xzzzzz_xxxyzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 733); 

                auto tg_xzzzzz_xxxzzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 734); 

                auto tg_xzzzzz_xxyyyyy_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 735); 

                auto tg_xzzzzz_xxyyyyz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 736); 

                auto tg_xzzzzz_xxyyyzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 737); 

                auto tg_xzzzzz_xxyyzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 738); 

                auto tg_xzzzzz_xxyzzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 739); 

                auto tg_xzzzzz_xxzzzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 740); 

                auto tg_xzzzzz_xyyyyyy_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 741); 

                auto tg_xzzzzz_xyyyyyz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 742); 

                auto tg_xzzzzz_xyyyyzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 743); 

                auto tg_xzzzzz_xyyyzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 744); 

                auto tg_xzzzzz_xyyzzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 745); 

                auto tg_xzzzzz_xyzzzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 746); 

                auto tg_xzzzzz_xzzzzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 747); 

                auto tg_xzzzzz_yyyyyyy_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 748); 

                auto tg_xzzzzz_yyyyyyz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 749); 

                auto tg_xzzzzz_yyyyyzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 750); 

                auto tg_xzzzzz_yyyyzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 751); 

                auto tg_xzzzzz_yyyzzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 752); 

                auto tg_xzzzzz_yyzzzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 753); 

                auto tg_xzzzzz_yzzzzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 754); 

                auto tg_xzzzzz_zzzzzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 755); 

                auto tg_yyyyyy_xxxxxxx_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 756); 

                auto tg_yyyyyy_xxxxxxy_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 757); 

                auto tg_yyyyyy_xxxxxxz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 758); 

                auto tg_yyyyyy_xxxxxyy_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 759); 

                auto tg_yyyyyy_xxxxxyz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 760); 

                auto tg_yyyyyy_xxxxxzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 761); 

                auto tg_yyyyyy_xxxxyyy_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 762); 

                auto tg_yyyyyy_xxxxyyz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 763); 

                auto tg_yyyyyy_xxxxyzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 764); 

                auto tg_xyyzzz_xyyyyyz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 670); 

                auto tg_xyyzzz_xyyyyzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 671); 

                auto tg_xyyzzz_xyyyzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 672); 

                auto tg_xyyzzz_xyyzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 673); 

                auto tg_xyyzzz_xyzzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 674); 

                auto tg_xyyzzz_xzzzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 675); 

                auto tg_xyyzzz_yyyyyyy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 676); 

                auto tg_xyyzzz_yyyyyyz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 677); 

                auto tg_xyyzzz_yyyyyzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 678); 

                auto tg_xyyzzz_yyyyzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 679); 

                auto tg_xyyzzz_yyyzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 680); 

                auto tg_xyyzzz_yyzzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 681); 

                auto tg_xyyzzz_yzzzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 682); 

                auto tg_xyyzzz_zzzzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 683); 

                auto tg_xyzzzz_xxxxxxx_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 684); 

                auto tg_xyzzzz_xxxxxxy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 685); 

                auto tg_xyzzzz_xxxxxxz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 686); 

                auto tg_xyzzzz_xxxxxyy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 687); 

                auto tg_xyzzzz_xxxxxyz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 688); 

                auto tg_xyzzzz_xxxxxzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 689); 

                auto tg_xyzzzz_xxxxyyy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 690); 

                auto tg_xyzzzz_xxxxyyz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 691); 

                auto tg_xyzzzz_xxxxyzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 692); 

                auto tg_xyzzzz_xxxxzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 693); 

                auto tg_xyzzzz_xxxyyyy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 694); 

                auto tg_xyzzzz_xxxyyyz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 695); 

                auto tg_xyzzzz_xxxyyzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 696); 

                auto tg_xyzzzz_xxxyzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 697); 

                auto tg_xyzzzz_xxxzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 698); 

                auto tg_xyzzzz_xxyyyyy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 699); 

                auto tg_xyzzzz_xxyyyyz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 700); 

                auto tg_xyzzzz_xxyyyzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 701); 

                auto tg_xyzzzz_xxyyzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 702); 

                auto tg_xyzzzz_xxyzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 703); 

                auto tg_xyzzzz_xxzzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 704); 

                auto tg_xyzzzz_xyyyyyy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 705); 

                auto tg_xyzzzz_xyyyyyz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 706); 

                auto tg_xyzzzz_xyyyyzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 707); 

                auto tg_xyzzzz_xyyyzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 708); 

                auto tg_xyzzzz_xyyzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 709); 

                auto tg_xyzzzz_xyzzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 710); 

                auto tg_xyzzzz_xzzzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 711); 

                auto tg_xyzzzz_yyyyyyy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 712); 

                auto tg_xyzzzz_yyyyyyz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 713); 

                auto tg_xyzzzz_yyyyyzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 714); 

                auto tg_xyzzzz_yyyyzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 715); 

                auto tg_xyzzzz_yyyzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 716); 

                auto tg_xyzzzz_yyzzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 717); 

                auto tg_xyzzzz_yzzzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 718); 

                auto tg_xyzzzz_zzzzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 719); 

                auto tg_xzzzzz_xxxxxxx_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 720); 

                auto tg_xzzzzz_xxxxxxy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 721); 

                auto tg_xzzzzz_xxxxxxz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 722); 

                auto tg_xzzzzz_xxxxxyy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 723); 

                auto tg_xzzzzz_xxxxxyz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 724); 

                auto tg_xzzzzz_xxxxxzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 725); 

                auto tg_xzzzzz_xxxxyyy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 726); 

                auto tg_xzzzzz_xxxxyyz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 727); 

                auto tg_xzzzzz_xxxxyzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 728); 

                auto tg_xzzzzz_xxxxzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 729); 

                auto tg_xzzzzz_xxxyyyy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 730); 

                auto tg_xzzzzz_xxxyyyz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 731); 

                auto tg_xzzzzz_xxxyyzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 732); 

                auto tg_xzzzzz_xxxyzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 733); 

                auto tg_xzzzzz_xxxzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 734); 

                auto tg_xzzzzz_xxyyyyy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 735); 

                auto tg_xzzzzz_xxyyyyz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 736); 

                auto tg_xzzzzz_xxyyyzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 737); 

                auto tg_xzzzzz_xxyyzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 738); 

                auto tg_xzzzzz_xxyzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 739); 

                auto tg_xzzzzz_xxzzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 740); 

                auto tg_xzzzzz_xyyyyyy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 741); 

                auto tg_xzzzzz_xyyyyyz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 742); 

                auto tg_xzzzzz_xyyyyzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 743); 

                auto tg_xzzzzz_xyyyzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 744); 

                auto tg_xzzzzz_xyyzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 745); 

                auto tg_xzzzzz_xyzzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 746); 

                auto tg_xzzzzz_xzzzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 747); 

                auto tg_xzzzzz_yyyyyyy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 748); 

                auto tg_xzzzzz_yyyyyyz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 749); 

                auto tg_xzzzzz_yyyyyzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 750); 

                auto tg_xzzzzz_yyyyzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 751); 

                auto tg_xzzzzz_yyyzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 752); 

                auto tg_xzzzzz_yyzzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 753); 

                auto tg_xzzzzz_yzzzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 754); 

                auto tg_xzzzzz_zzzzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 755); 

                auto tg_yyyyyy_xxxxxxx_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 756); 

                auto tg_yyyyyy_xxxxxxy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 757); 

                auto tg_yyyyyy_xxxxxxz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 758); 

                auto tg_yyyyyy_xxxxxyy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 759); 

                auto tg_yyyyyy_xxxxxyz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 760); 

                auto tg_yyyyyy_xxxxxzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 761); 

                auto tg_yyyyyy_xxxxyyy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 762); 

                auto tg_yyyyyy_xxxxyyz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 763); 

                auto tg_yyyyyy_xxxxyzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 764); 

                auto tg_xxyyzzz_yyyyyz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 526); 

                auto tg_xxyyzzz_yyyyzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 527); 

                auto tg_xxyyzzz_yyyzzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 528); 

                auto tg_xxyyzzz_yyzzzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 529); 

                auto tg_xxyyzzz_yzzzzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 530); 

                auto tg_xxyyzzz_zzzzzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 531); 

                auto tg_xxyzzzz_xxxxxx_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 532); 

                auto tg_xxyzzzz_xxxxxy_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 533); 

                auto tg_xxyzzzz_xxxxxz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 534); 

                auto tg_xxyzzzz_xxxxyy_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 535); 

                auto tg_xxyzzzz_xxxxyz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 536); 

                auto tg_xxyzzzz_xxxxzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 537); 

                auto tg_xxyzzzz_xxxyyy_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 538); 

                auto tg_xxyzzzz_xxxyyz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 539); 

                auto tg_xxyzzzz_xxxyzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 540); 

                auto tg_xxyzzzz_xxxzzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 541); 

                auto tg_xxyzzzz_xxyyyy_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 542); 

                auto tg_xxyzzzz_xxyyyz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 543); 

                auto tg_xxyzzzz_xxyyzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 544); 

                auto tg_xxyzzzz_xxyzzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 545); 

                auto tg_xxyzzzz_xxzzzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 546); 

                auto tg_xxyzzzz_xyyyyy_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 547); 

                auto tg_xxyzzzz_xyyyyz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 548); 

                auto tg_xxyzzzz_xyyyzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 549); 

                auto tg_xxyzzzz_xyyzzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 550); 

                auto tg_xxyzzzz_xyzzzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 551); 

                auto tg_xxyzzzz_xzzzzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 552); 

                auto tg_xxyzzzz_yyyyyy_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 553); 

                auto tg_xxyzzzz_yyyyyz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 554); 

                auto tg_xxyzzzz_yyyyzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 555); 

                auto tg_xxyzzzz_yyyzzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 556); 

                auto tg_xxyzzzz_yyzzzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 557); 

                auto tg_xxyzzzz_yzzzzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 558); 

                auto tg_xxyzzzz_zzzzzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 559); 

                auto tg_xxzzzzz_xxxxxx_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 560); 

                auto tg_xxzzzzz_xxxxxy_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 561); 

                auto tg_xxzzzzz_xxxxxz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 562); 

                auto tg_xxzzzzz_xxxxyy_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 563); 

                auto tg_xxzzzzz_xxxxyz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 564); 

                auto tg_xxzzzzz_xxxxzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 565); 

                auto tg_xxzzzzz_xxxyyy_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 566); 

                auto tg_xxzzzzz_xxxyyz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 567); 

                auto tg_xxzzzzz_xxxyzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 568); 

                auto tg_xxzzzzz_xxxzzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 569); 

                auto tg_xxzzzzz_xxyyyy_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 570); 

                auto tg_xxzzzzz_xxyyyz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 571); 

                auto tg_xxzzzzz_xxyyzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 572); 

                auto tg_xxzzzzz_xxyzzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 573); 

                auto tg_xxzzzzz_xxzzzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 574); 

                auto tg_xxzzzzz_xyyyyy_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 575); 

                auto tg_xxzzzzz_xyyyyz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 576); 

                auto tg_xxzzzzz_xyyyzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 577); 

                auto tg_xxzzzzz_xyyzzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 578); 

                auto tg_xxzzzzz_xyzzzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 579); 

                auto tg_xxzzzzz_xzzzzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 580); 

                auto tg_xxzzzzz_yyyyyy_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 581); 

                auto tg_xxzzzzz_yyyyyz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 582); 

                auto tg_xxzzzzz_yyyyzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 583); 

                auto tg_xxzzzzz_yyyzzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 584); 

                auto tg_xxzzzzz_yyzzzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 585); 

                auto tg_xxzzzzz_yzzzzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 586); 

                auto tg_xxzzzzz_zzzzzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 587); 

                auto tg_xyyyyyy_xxxxxx_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 588); 

                auto tg_xyyyyyy_xxxxxy_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 589); 

                auto tg_xyyyyyy_xxxxxz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 590); 

                auto tg_xyyyyyy_xxxxyy_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 591); 

                auto tg_xyyyyyy_xxxxyz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 592); 

                auto tg_xyyyyyy_xxxxzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 593); 

                auto tg_xyyyyyy_xxxyyy_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 594); 

                auto tg_xyyyyyy_xxxyyz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 595); 

                auto tg_xyyyyyy_xxxyzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 596); 

                // set up pointers to integrals

                auto tg_xxxyyzzz_xyyyyyz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 670); 

                auto tg_xxxyyzzz_xyyyyzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 671); 

                auto tg_xxxyyzzz_xyyyzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 672); 

                auto tg_xxxyyzzz_xyyzzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 673); 

                auto tg_xxxyyzzz_xyzzzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 674); 

                auto tg_xxxyyzzz_xzzzzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 675); 

                auto tg_xxxyyzzz_yyyyyyy_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 676); 

                auto tg_xxxyyzzz_yyyyyyz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 677); 

                auto tg_xxxyyzzz_yyyyyzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 678); 

                auto tg_xxxyyzzz_yyyyzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 679); 

                auto tg_xxxyyzzz_yyyzzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 680); 

                auto tg_xxxyyzzz_yyzzzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 681); 

                auto tg_xxxyyzzz_yzzzzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 682); 

                auto tg_xxxyyzzz_zzzzzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 683); 

                auto tg_xxxyzzzz_xxxxxxx_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 684); 

                auto tg_xxxyzzzz_xxxxxxy_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 685); 

                auto tg_xxxyzzzz_xxxxxxz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 686); 

                auto tg_xxxyzzzz_xxxxxyy_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 687); 

                auto tg_xxxyzzzz_xxxxxyz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 688); 

                auto tg_xxxyzzzz_xxxxxzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 689); 

                auto tg_xxxyzzzz_xxxxyyy_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 690); 

                auto tg_xxxyzzzz_xxxxyyz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 691); 

                auto tg_xxxyzzzz_xxxxyzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 692); 

                auto tg_xxxyzzzz_xxxxzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 693); 

                auto tg_xxxyzzzz_xxxyyyy_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 694); 

                auto tg_xxxyzzzz_xxxyyyz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 695); 

                auto tg_xxxyzzzz_xxxyyzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 696); 

                auto tg_xxxyzzzz_xxxyzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 697); 

                auto tg_xxxyzzzz_xxxzzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 698); 

                auto tg_xxxyzzzz_xxyyyyy_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 699); 

                auto tg_xxxyzzzz_xxyyyyz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 700); 

                auto tg_xxxyzzzz_xxyyyzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 701); 

                auto tg_xxxyzzzz_xxyyzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 702); 

                auto tg_xxxyzzzz_xxyzzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 703); 

                auto tg_xxxyzzzz_xxzzzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 704); 

                auto tg_xxxyzzzz_xyyyyyy_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 705); 

                auto tg_xxxyzzzz_xyyyyyz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 706); 

                auto tg_xxxyzzzz_xyyyyzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 707); 

                auto tg_xxxyzzzz_xyyyzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 708); 

                auto tg_xxxyzzzz_xyyzzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 709); 

                auto tg_xxxyzzzz_xyzzzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 710); 

                auto tg_xxxyzzzz_xzzzzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 711); 

                auto tg_xxxyzzzz_yyyyyyy_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 712); 

                auto tg_xxxyzzzz_yyyyyyz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 713); 

                auto tg_xxxyzzzz_yyyyyzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 714); 

                auto tg_xxxyzzzz_yyyyzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 715); 

                auto tg_xxxyzzzz_yyyzzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 716); 

                auto tg_xxxyzzzz_yyzzzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 717); 

                auto tg_xxxyzzzz_yzzzzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 718); 

                auto tg_xxxyzzzz_zzzzzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 719); 

                auto tg_xxxzzzzz_xxxxxxx_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 720); 

                auto tg_xxxzzzzz_xxxxxxy_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 721); 

                auto tg_xxxzzzzz_xxxxxxz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 722); 

                auto tg_xxxzzzzz_xxxxxyy_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 723); 

                auto tg_xxxzzzzz_xxxxxyz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 724); 

                auto tg_xxxzzzzz_xxxxxzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 725); 

                auto tg_xxxzzzzz_xxxxyyy_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 726); 

                auto tg_xxxzzzzz_xxxxyyz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 727); 

                auto tg_xxxzzzzz_xxxxyzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 728); 

                auto tg_xxxzzzzz_xxxxzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 729); 

                auto tg_xxxzzzzz_xxxyyyy_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 730); 

                auto tg_xxxzzzzz_xxxyyyz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 731); 

                auto tg_xxxzzzzz_xxxyyzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 732); 

                auto tg_xxxzzzzz_xxxyzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 733); 

                auto tg_xxxzzzzz_xxxzzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 734); 

                auto tg_xxxzzzzz_xxyyyyy_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 735); 

                auto tg_xxxzzzzz_xxyyyyz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 736); 

                auto tg_xxxzzzzz_xxyyyzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 737); 

                auto tg_xxxzzzzz_xxyyzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 738); 

                auto tg_xxxzzzzz_xxyzzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 739); 

                auto tg_xxxzzzzz_xxzzzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 740); 

                auto tg_xxxzzzzz_xyyyyyy_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 741); 

                auto tg_xxxzzzzz_xyyyyyz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 742); 

                auto tg_xxxzzzzz_xyyyyzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 743); 

                auto tg_xxxzzzzz_xyyyzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 744); 

                auto tg_xxxzzzzz_xyyzzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 745); 

                auto tg_xxxzzzzz_xyzzzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 746); 

                auto tg_xxxzzzzz_xzzzzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 747); 

                auto tg_xxxzzzzz_yyyyyyy_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 748); 

                auto tg_xxxzzzzz_yyyyyyz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 749); 

                auto tg_xxxzzzzz_yyyyyzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 750); 

                auto tg_xxxzzzzz_yyyyzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 751); 

                auto tg_xxxzzzzz_yyyzzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 752); 

                auto tg_xxxzzzzz_yyzzzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 753); 

                auto tg_xxxzzzzz_yzzzzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 754); 

                auto tg_xxxzzzzz_zzzzzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 755); 

                auto tg_xxyyyyyy_xxxxxxx_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 756); 

                auto tg_xxyyyyyy_xxxxxxy_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 757); 

                auto tg_xxyyyyyy_xxxxxxz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 758); 

                auto tg_xxyyyyyy_xxxxxyy_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 759); 

                auto tg_xxyyyyyy_xxxxxyz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 760); 

                auto tg_xxyyyyyy_xxxxxzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 761); 

                auto tg_xxyyyyyy_xxxxyyy_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 762); 

                auto tg_xxyyyyyy_xxxxyyz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 763); 

                auto tg_xxyyyyyy_xxxxyzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 764); 

                // Batch of Integrals (670,765)

                #pragma omp simd aligned(fxn, fza, tg_xxxyyzzz_xyyyyyz_0, tg_xxxyyzzz_xyyyyzz_0, \
                                         tg_xxxyyzzz_xyyyzzz_0, tg_xxxyyzzz_xyyzzzz_0, tg_xxxyyzzz_xyzzzzz_0, \
                                         tg_xxxyyzzz_xzzzzzz_0, tg_xxxyyzzz_yyyyyyy_0, tg_xxxyyzzz_yyyyyyz_0, \
                                         tg_xxxyyzzz_yyyyyzz_0, tg_xxxyyzzz_yyyyzzz_0, tg_xxxyyzzz_yyyzzzz_0, \
                                         tg_xxxyyzzz_yyzzzzz_0, tg_xxxyyzzz_yzzzzzz_0, tg_xxxyyzzz_zzzzzzz_0, \
                                         tg_xxxyzzzz_xxxxxxx_0, tg_xxxyzzzz_xxxxxxy_0, tg_xxxyzzzz_xxxxxxz_0, \
                                         tg_xxxyzzzz_xxxxxyy_0, tg_xxxyzzzz_xxxxxyz_0, tg_xxxyzzzz_xxxxxzz_0, \
                                         tg_xxxyzzzz_xxxxyyy_0, tg_xxxyzzzz_xxxxyyz_0, tg_xxxyzzzz_xxxxyzz_0, \
                                         tg_xxxyzzzz_xxxxzzz_0, tg_xxxyzzzz_xxxyyyy_0, tg_xxxyzzzz_xxxyyyz_0, \
                                         tg_xxxyzzzz_xxxyyzz_0, tg_xxxyzzzz_xxxyzzz_0, tg_xxxyzzzz_xxxzzzz_0, \
                                         tg_xxxyzzzz_xxyyyyy_0, tg_xxxyzzzz_xxyyyyz_0, tg_xxxyzzzz_xxyyyzz_0, \
                                         tg_xxxyzzzz_xxyyzzz_0, tg_xxxyzzzz_xxyzzzz_0, tg_xxxyzzzz_xxzzzzz_0, \
                                         tg_xxxyzzzz_xyyyyyy_0, tg_xxxyzzzz_xyyyyyz_0, tg_xxxyzzzz_xyyyyzz_0, \
                                         tg_xxxyzzzz_xyyyzzz_0, tg_xxxyzzzz_xyyzzzz_0, tg_xxxyzzzz_xyzzzzz_0, \
                                         tg_xxxyzzzz_xzzzzzz_0, tg_xxxyzzzz_yyyyyyy_0, tg_xxxyzzzz_yyyyyyz_0, \
                                         tg_xxxyzzzz_yyyyyzz_0, tg_xxxyzzzz_yyyyzzz_0, tg_xxxyzzzz_yyyzzzz_0, \
                                         tg_xxxyzzzz_yyzzzzz_0, tg_xxxyzzzz_yzzzzzz_0, tg_xxxyzzzz_zzzzzzz_0, \
                                         tg_xxxzzzzz_xxxxxxx_0, tg_xxxzzzzz_xxxxxxy_0, tg_xxxzzzzz_xxxxxxz_0, \
                                         tg_xxxzzzzz_xxxxxyy_0, tg_xxxzzzzz_xxxxxyz_0, tg_xxxzzzzz_xxxxxzz_0, \
                                         tg_xxxzzzzz_xxxxyyy_0, tg_xxxzzzzz_xxxxyyz_0, tg_xxxzzzzz_xxxxyzz_0, \
                                         tg_xxxzzzzz_xxxxzzz_0, tg_xxxzzzzz_xxxyyyy_0, tg_xxxzzzzz_xxxyyyz_0, \
                                         tg_xxxzzzzz_xxxyyzz_0, tg_xxxzzzzz_xxxyzzz_0, tg_xxxzzzzz_xxxzzzz_0, \
                                         tg_xxxzzzzz_xxyyyyy_0, tg_xxxzzzzz_xxyyyyz_0, tg_xxxzzzzz_xxyyyzz_0, \
                                         tg_xxxzzzzz_xxyyzzz_0, tg_xxxzzzzz_xxyzzzz_0, tg_xxxzzzzz_xxzzzzz_0, \
                                         tg_xxxzzzzz_xyyyyyy_0, tg_xxxzzzzz_xyyyyyz_0, tg_xxxzzzzz_xyyyyzz_0, \
                                         tg_xxxzzzzz_xyyyzzz_0, tg_xxxzzzzz_xyyzzzz_0, tg_xxxzzzzz_xyzzzzz_0, \
                                         tg_xxxzzzzz_xzzzzzz_0, tg_xxxzzzzz_yyyyyyy_0, tg_xxxzzzzz_yyyyyyz_0, \
                                         tg_xxxzzzzz_yyyyyzz_0, tg_xxxzzzzz_yyyyzzz_0, tg_xxxzzzzz_yyyzzzz_0, \
                                         tg_xxxzzzzz_yyzzzzz_0, tg_xxxzzzzz_yzzzzzz_0, tg_xxxzzzzz_zzzzzzz_0, \
                                         tg_xxyyyyyy_xxxxxxx_0, tg_xxyyyyyy_xxxxxxy_0, tg_xxyyyyyy_xxxxxxz_0, \
                                         tg_xxyyyyyy_xxxxxyy_0, tg_xxyyyyyy_xxxxxyz_0, tg_xxyyyyyy_xxxxxzz_0, \
                                         tg_xxyyyyyy_xxxxyyy_0, tg_xxyyyyyy_xxxxyyz_0, tg_xxyyyyyy_xxxxyzz_0, \
                                         tg_xxyyzzz_xyyyyyz_0, tg_xxyyzzz_xyyyyyz_1, tg_xxyyzzz_xyyyyzz_0, tg_xxyyzzz_xyyyyzz_1, \
                                         tg_xxyyzzz_xyyyzzz_0, tg_xxyyzzz_xyyyzzz_1, tg_xxyyzzz_xyyzzzz_0, tg_xxyyzzz_xyyzzzz_1, \
                                         tg_xxyyzzz_xyzzzzz_0, tg_xxyyzzz_xyzzzzz_1, tg_xxyyzzz_xzzzzzz_0, tg_xxyyzzz_xzzzzzz_1, \
                                         tg_xxyyzzz_yyyyyyy_0, tg_xxyyzzz_yyyyyyy_1, tg_xxyyzzz_yyyyyyz_0, tg_xxyyzzz_yyyyyyz_1, \
                                         tg_xxyyzzz_yyyyyz_1, tg_xxyyzzz_yyyyyzz_0, tg_xxyyzzz_yyyyyzz_1, tg_xxyyzzz_yyyyzz_1, \
                                         tg_xxyyzzz_yyyyzzz_0, tg_xxyyzzz_yyyyzzz_1, tg_xxyyzzz_yyyzzz_1, tg_xxyyzzz_yyyzzzz_0, \
                                         tg_xxyyzzz_yyyzzzz_1, tg_xxyyzzz_yyzzzz_1, tg_xxyyzzz_yyzzzzz_0, tg_xxyyzzz_yyzzzzz_1, \
                                         tg_xxyyzzz_yzzzzz_1, tg_xxyyzzz_yzzzzzz_0, tg_xxyyzzz_yzzzzzz_1, tg_xxyyzzz_zzzzzz_1, \
                                         tg_xxyyzzz_zzzzzzz_0, tg_xxyyzzz_zzzzzzz_1, tg_xxyzzzz_xxxxxx_1, tg_xxyzzzz_xxxxxxx_0, \
                                         tg_xxyzzzz_xxxxxxx_1, tg_xxyzzzz_xxxxxxy_0, tg_xxyzzzz_xxxxxxy_1, tg_xxyzzzz_xxxxxxz_0, \
                                         tg_xxyzzzz_xxxxxxz_1, tg_xxyzzzz_xxxxxy_1, tg_xxyzzzz_xxxxxyy_0, tg_xxyzzzz_xxxxxyy_1, \
                                         tg_xxyzzzz_xxxxxyz_0, tg_xxyzzzz_xxxxxyz_1, tg_xxyzzzz_xxxxxz_1, tg_xxyzzzz_xxxxxzz_0, \
                                         tg_xxyzzzz_xxxxxzz_1, tg_xxyzzzz_xxxxyy_1, tg_xxyzzzz_xxxxyyy_0, tg_xxyzzzz_xxxxyyy_1, \
                                         tg_xxyzzzz_xxxxyyz_0, tg_xxyzzzz_xxxxyyz_1, tg_xxyzzzz_xxxxyz_1, tg_xxyzzzz_xxxxyzz_0, \
                                         tg_xxyzzzz_xxxxyzz_1, tg_xxyzzzz_xxxxzz_1, tg_xxyzzzz_xxxxzzz_0, tg_xxyzzzz_xxxxzzz_1, \
                                         tg_xxyzzzz_xxxyyy_1, tg_xxyzzzz_xxxyyyy_0, tg_xxyzzzz_xxxyyyy_1, tg_xxyzzzz_xxxyyyz_0, \
                                         tg_xxyzzzz_xxxyyyz_1, tg_xxyzzzz_xxxyyz_1, tg_xxyzzzz_xxxyyzz_0, tg_xxyzzzz_xxxyyzz_1, \
                                         tg_xxyzzzz_xxxyzz_1, tg_xxyzzzz_xxxyzzz_0, tg_xxyzzzz_xxxyzzz_1, tg_xxyzzzz_xxxzzz_1, \
                                         tg_xxyzzzz_xxxzzzz_0, tg_xxyzzzz_xxxzzzz_1, tg_xxyzzzz_xxyyyy_1, tg_xxyzzzz_xxyyyyy_0, \
                                         tg_xxyzzzz_xxyyyyy_1, tg_xxyzzzz_xxyyyyz_0, tg_xxyzzzz_xxyyyyz_1, tg_xxyzzzz_xxyyyz_1, \
                                         tg_xxyzzzz_xxyyyzz_0, tg_xxyzzzz_xxyyyzz_1, tg_xxyzzzz_xxyyzz_1, tg_xxyzzzz_xxyyzzz_0, \
                                         tg_xxyzzzz_xxyyzzz_1, tg_xxyzzzz_xxyzzz_1, tg_xxyzzzz_xxyzzzz_0, tg_xxyzzzz_xxyzzzz_1, \
                                         tg_xxyzzzz_xxzzzz_1, tg_xxyzzzz_xxzzzzz_0, tg_xxyzzzz_xxzzzzz_1, tg_xxyzzzz_xyyyyy_1, \
                                         tg_xxyzzzz_xyyyyyy_0, tg_xxyzzzz_xyyyyyy_1, tg_xxyzzzz_xyyyyyz_0, tg_xxyzzzz_xyyyyyz_1, \
                                         tg_xxyzzzz_xyyyyz_1, tg_xxyzzzz_xyyyyzz_0, tg_xxyzzzz_xyyyyzz_1, tg_xxyzzzz_xyyyzz_1, \
                                         tg_xxyzzzz_xyyyzzz_0, tg_xxyzzzz_xyyyzzz_1, tg_xxyzzzz_xyyzzz_1, tg_xxyzzzz_xyyzzzz_0, \
                                         tg_xxyzzzz_xyyzzzz_1, tg_xxyzzzz_xyzzzz_1, tg_xxyzzzz_xyzzzzz_0, tg_xxyzzzz_xyzzzzz_1, \
                                         tg_xxyzzzz_xzzzzz_1, tg_xxyzzzz_xzzzzzz_0, tg_xxyzzzz_xzzzzzz_1, tg_xxyzzzz_yyyyyy_1, \
                                         tg_xxyzzzz_yyyyyyy_0, tg_xxyzzzz_yyyyyyy_1, tg_xxyzzzz_yyyyyyz_0, tg_xxyzzzz_yyyyyyz_1, \
                                         tg_xxyzzzz_yyyyyz_1, tg_xxyzzzz_yyyyyzz_0, tg_xxyzzzz_yyyyyzz_1, tg_xxyzzzz_yyyyzz_1, \
                                         tg_xxyzzzz_yyyyzzz_0, tg_xxyzzzz_yyyyzzz_1, tg_xxyzzzz_yyyzzz_1, tg_xxyzzzz_yyyzzzz_0, \
                                         tg_xxyzzzz_yyyzzzz_1, tg_xxyzzzz_yyzzzz_1, tg_xxyzzzz_yyzzzzz_0, tg_xxyzzzz_yyzzzzz_1, \
                                         tg_xxyzzzz_yzzzzz_1, tg_xxyzzzz_yzzzzzz_0, tg_xxyzzzz_yzzzzzz_1, tg_xxyzzzz_zzzzzz_1, \
                                         tg_xxyzzzz_zzzzzzz_0, tg_xxyzzzz_zzzzzzz_1, tg_xxzzzzz_xxxxxx_1, tg_xxzzzzz_xxxxxxx_0, \
                                         tg_xxzzzzz_xxxxxxx_1, tg_xxzzzzz_xxxxxxy_0, tg_xxzzzzz_xxxxxxy_1, tg_xxzzzzz_xxxxxxz_0, \
                                         tg_xxzzzzz_xxxxxxz_1, tg_xxzzzzz_xxxxxy_1, tg_xxzzzzz_xxxxxyy_0, tg_xxzzzzz_xxxxxyy_1, \
                                         tg_xxzzzzz_xxxxxyz_0, tg_xxzzzzz_xxxxxyz_1, tg_xxzzzzz_xxxxxz_1, tg_xxzzzzz_xxxxxzz_0, \
                                         tg_xxzzzzz_xxxxxzz_1, tg_xxzzzzz_xxxxyy_1, tg_xxzzzzz_xxxxyyy_0, tg_xxzzzzz_xxxxyyy_1, \
                                         tg_xxzzzzz_xxxxyyz_0, tg_xxzzzzz_xxxxyyz_1, tg_xxzzzzz_xxxxyz_1, tg_xxzzzzz_xxxxyzz_0, \
                                         tg_xxzzzzz_xxxxyzz_1, tg_xxzzzzz_xxxxzz_1, tg_xxzzzzz_xxxxzzz_0, tg_xxzzzzz_xxxxzzz_1, \
                                         tg_xxzzzzz_xxxyyy_1, tg_xxzzzzz_xxxyyyy_0, tg_xxzzzzz_xxxyyyy_1, tg_xxzzzzz_xxxyyyz_0, \
                                         tg_xxzzzzz_xxxyyyz_1, tg_xxzzzzz_xxxyyz_1, tg_xxzzzzz_xxxyyzz_0, tg_xxzzzzz_xxxyyzz_1, \
                                         tg_xxzzzzz_xxxyzz_1, tg_xxzzzzz_xxxyzzz_0, tg_xxzzzzz_xxxyzzz_1, tg_xxzzzzz_xxxzzz_1, \
                                         tg_xxzzzzz_xxxzzzz_0, tg_xxzzzzz_xxxzzzz_1, tg_xxzzzzz_xxyyyy_1, tg_xxzzzzz_xxyyyyy_0, \
                                         tg_xxzzzzz_xxyyyyy_1, tg_xxzzzzz_xxyyyyz_0, tg_xxzzzzz_xxyyyyz_1, tg_xxzzzzz_xxyyyz_1, \
                                         tg_xxzzzzz_xxyyyzz_0, tg_xxzzzzz_xxyyyzz_1, tg_xxzzzzz_xxyyzz_1, tg_xxzzzzz_xxyyzzz_0, \
                                         tg_xxzzzzz_xxyyzzz_1, tg_xxzzzzz_xxyzzz_1, tg_xxzzzzz_xxyzzzz_0, tg_xxzzzzz_xxyzzzz_1, \
                                         tg_xxzzzzz_xxzzzz_1, tg_xxzzzzz_xxzzzzz_0, tg_xxzzzzz_xxzzzzz_1, tg_xxzzzzz_xyyyyy_1, \
                                         tg_xxzzzzz_xyyyyyy_0, tg_xxzzzzz_xyyyyyy_1, tg_xxzzzzz_xyyyyyz_0, tg_xxzzzzz_xyyyyyz_1, \
                                         tg_xxzzzzz_xyyyyz_1, tg_xxzzzzz_xyyyyzz_0, tg_xxzzzzz_xyyyyzz_1, tg_xxzzzzz_xyyyzz_1, \
                                         tg_xxzzzzz_xyyyzzz_0, tg_xxzzzzz_xyyyzzz_1, tg_xxzzzzz_xyyzzz_1, tg_xxzzzzz_xyyzzzz_0, \
                                         tg_xxzzzzz_xyyzzzz_1, tg_xxzzzzz_xyzzzz_1, tg_xxzzzzz_xyzzzzz_0, tg_xxzzzzz_xyzzzzz_1, \
                                         tg_xxzzzzz_xzzzzz_1, tg_xxzzzzz_xzzzzzz_0, tg_xxzzzzz_xzzzzzz_1, tg_xxzzzzz_yyyyyy_1, \
                                         tg_xxzzzzz_yyyyyyy_0, tg_xxzzzzz_yyyyyyy_1, tg_xxzzzzz_yyyyyyz_0, tg_xxzzzzz_yyyyyyz_1, \
                                         tg_xxzzzzz_yyyyyz_1, tg_xxzzzzz_yyyyyzz_0, tg_xxzzzzz_yyyyyzz_1, tg_xxzzzzz_yyyyzz_1, \
                                         tg_xxzzzzz_yyyyzzz_0, tg_xxzzzzz_yyyyzzz_1, tg_xxzzzzz_yyyzzz_1, tg_xxzzzzz_yyyzzzz_0, \
                                         tg_xxzzzzz_yyyzzzz_1, tg_xxzzzzz_yyzzzz_1, tg_xxzzzzz_yyzzzzz_0, tg_xxzzzzz_yyzzzzz_1, \
                                         tg_xxzzzzz_yzzzzz_1, tg_xxzzzzz_yzzzzzz_0, tg_xxzzzzz_yzzzzzz_1, tg_xxzzzzz_zzzzzz_1, \
                                         tg_xxzzzzz_zzzzzzz_0, tg_xxzzzzz_zzzzzzz_1, tg_xyyyyyy_xxxxxx_1, tg_xyyyyyy_xxxxxxx_0, \
                                         tg_xyyyyyy_xxxxxxx_1, tg_xyyyyyy_xxxxxxy_0, tg_xyyyyyy_xxxxxxy_1, tg_xyyyyyy_xxxxxxz_0, \
                                         tg_xyyyyyy_xxxxxxz_1, tg_xyyyyyy_xxxxxy_1, tg_xyyyyyy_xxxxxyy_0, tg_xyyyyyy_xxxxxyy_1, \
                                         tg_xyyyyyy_xxxxxyz_0, tg_xyyyyyy_xxxxxyz_1, tg_xyyyyyy_xxxxxz_1, tg_xyyyyyy_xxxxxzz_0, \
                                         tg_xyyyyyy_xxxxxzz_1, tg_xyyyyyy_xxxxyy_1, tg_xyyyyyy_xxxxyyy_0, tg_xyyyyyy_xxxxyyy_1, \
                                         tg_xyyyyyy_xxxxyyz_0, tg_xyyyyyy_xxxxyyz_1, tg_xyyyyyy_xxxxyz_1, tg_xyyyyyy_xxxxyzz_0, \
                                         tg_xyyyyyy_xxxxyzz_1, tg_xyyyyyy_xxxxzz_1, tg_xyyyyyy_xxxyyy_1, tg_xyyyyyy_xxxyyz_1, \
                                         tg_xyyyyyy_xxxyzz_1, tg_xyyzzz_xyyyyyz_0, tg_xyyzzz_xyyyyyz_1, tg_xyyzzz_xyyyyzz_0, \
                                         tg_xyyzzz_xyyyyzz_1, tg_xyyzzz_xyyyzzz_0, tg_xyyzzz_xyyyzzz_1, tg_xyyzzz_xyyzzzz_0, \
                                         tg_xyyzzz_xyyzzzz_1, tg_xyyzzz_xyzzzzz_0, tg_xyyzzz_xyzzzzz_1, tg_xyyzzz_xzzzzzz_0, \
                                         tg_xyyzzz_xzzzzzz_1, tg_xyyzzz_yyyyyyy_0, tg_xyyzzz_yyyyyyy_1, tg_xyyzzz_yyyyyyz_0, \
                                         tg_xyyzzz_yyyyyyz_1, tg_xyyzzz_yyyyyzz_0, tg_xyyzzz_yyyyyzz_1, tg_xyyzzz_yyyyzzz_0, \
                                         tg_xyyzzz_yyyyzzz_1, tg_xyyzzz_yyyzzzz_0, tg_xyyzzz_yyyzzzz_1, tg_xyyzzz_yyzzzzz_0, \
                                         tg_xyyzzz_yyzzzzz_1, tg_xyyzzz_yzzzzzz_0, tg_xyyzzz_yzzzzzz_1, tg_xyyzzz_zzzzzzz_0, \
                                         tg_xyyzzz_zzzzzzz_1, tg_xyzzzz_xxxxxxx_0, tg_xyzzzz_xxxxxxx_1, tg_xyzzzz_xxxxxxy_0, \
                                         tg_xyzzzz_xxxxxxy_1, tg_xyzzzz_xxxxxxz_0, tg_xyzzzz_xxxxxxz_1, tg_xyzzzz_xxxxxyy_0, \
                                         tg_xyzzzz_xxxxxyy_1, tg_xyzzzz_xxxxxyz_0, tg_xyzzzz_xxxxxyz_1, tg_xyzzzz_xxxxxzz_0, \
                                         tg_xyzzzz_xxxxxzz_1, tg_xyzzzz_xxxxyyy_0, tg_xyzzzz_xxxxyyy_1, tg_xyzzzz_xxxxyyz_0, \
                                         tg_xyzzzz_xxxxyyz_1, tg_xyzzzz_xxxxyzz_0, tg_xyzzzz_xxxxyzz_1, tg_xyzzzz_xxxxzzz_0, \
                                         tg_xyzzzz_xxxxzzz_1, tg_xyzzzz_xxxyyyy_0, tg_xyzzzz_xxxyyyy_1, tg_xyzzzz_xxxyyyz_0, \
                                         tg_xyzzzz_xxxyyyz_1, tg_xyzzzz_xxxyyzz_0, tg_xyzzzz_xxxyyzz_1, tg_xyzzzz_xxxyzzz_0, \
                                         tg_xyzzzz_xxxyzzz_1, tg_xyzzzz_xxxzzzz_0, tg_xyzzzz_xxxzzzz_1, tg_xyzzzz_xxyyyyy_0, \
                                         tg_xyzzzz_xxyyyyy_1, tg_xyzzzz_xxyyyyz_0, tg_xyzzzz_xxyyyyz_1, tg_xyzzzz_xxyyyzz_0, \
                                         tg_xyzzzz_xxyyyzz_1, tg_xyzzzz_xxyyzzz_0, tg_xyzzzz_xxyyzzz_1, tg_xyzzzz_xxyzzzz_0, \
                                         tg_xyzzzz_xxyzzzz_1, tg_xyzzzz_xxzzzzz_0, tg_xyzzzz_xxzzzzz_1, tg_xyzzzz_xyyyyyy_0, \
                                         tg_xyzzzz_xyyyyyy_1, tg_xyzzzz_xyyyyyz_0, tg_xyzzzz_xyyyyyz_1, tg_xyzzzz_xyyyyzz_0, \
                                         tg_xyzzzz_xyyyyzz_1, tg_xyzzzz_xyyyzzz_0, tg_xyzzzz_xyyyzzz_1, tg_xyzzzz_xyyzzzz_0, \
                                         tg_xyzzzz_xyyzzzz_1, tg_xyzzzz_xyzzzzz_0, tg_xyzzzz_xyzzzzz_1, tg_xyzzzz_xzzzzzz_0, \
                                         tg_xyzzzz_xzzzzzz_1, tg_xyzzzz_yyyyyyy_0, tg_xyzzzz_yyyyyyy_1, tg_xyzzzz_yyyyyyz_0, \
                                         tg_xyzzzz_yyyyyyz_1, tg_xyzzzz_yyyyyzz_0, tg_xyzzzz_yyyyyzz_1, tg_xyzzzz_yyyyzzz_0, \
                                         tg_xyzzzz_yyyyzzz_1, tg_xyzzzz_yyyzzzz_0, tg_xyzzzz_yyyzzzz_1, tg_xyzzzz_yyzzzzz_0, \
                                         tg_xyzzzz_yyzzzzz_1, tg_xyzzzz_yzzzzzz_0, tg_xyzzzz_yzzzzzz_1, tg_xyzzzz_zzzzzzz_0, \
                                         tg_xyzzzz_zzzzzzz_1, tg_xzzzzz_xxxxxxx_0, tg_xzzzzz_xxxxxxx_1, tg_xzzzzz_xxxxxxy_0, \
                                         tg_xzzzzz_xxxxxxy_1, tg_xzzzzz_xxxxxxz_0, tg_xzzzzz_xxxxxxz_1, tg_xzzzzz_xxxxxyy_0, \
                                         tg_xzzzzz_xxxxxyy_1, tg_xzzzzz_xxxxxyz_0, tg_xzzzzz_xxxxxyz_1, tg_xzzzzz_xxxxxzz_0, \
                                         tg_xzzzzz_xxxxxzz_1, tg_xzzzzz_xxxxyyy_0, tg_xzzzzz_xxxxyyy_1, tg_xzzzzz_xxxxyyz_0, \
                                         tg_xzzzzz_xxxxyyz_1, tg_xzzzzz_xxxxyzz_0, tg_xzzzzz_xxxxyzz_1, tg_xzzzzz_xxxxzzz_0, \
                                         tg_xzzzzz_xxxxzzz_1, tg_xzzzzz_xxxyyyy_0, tg_xzzzzz_xxxyyyy_1, tg_xzzzzz_xxxyyyz_0, \
                                         tg_xzzzzz_xxxyyyz_1, tg_xzzzzz_xxxyyzz_0, tg_xzzzzz_xxxyyzz_1, tg_xzzzzz_xxxyzzz_0, \
                                         tg_xzzzzz_xxxyzzz_1, tg_xzzzzz_xxxzzzz_0, tg_xzzzzz_xxxzzzz_1, tg_xzzzzz_xxyyyyy_0, \
                                         tg_xzzzzz_xxyyyyy_1, tg_xzzzzz_xxyyyyz_0, tg_xzzzzz_xxyyyyz_1, tg_xzzzzz_xxyyyzz_0, \
                                         tg_xzzzzz_xxyyyzz_1, tg_xzzzzz_xxyyzzz_0, tg_xzzzzz_xxyyzzz_1, tg_xzzzzz_xxyzzzz_0, \
                                         tg_xzzzzz_xxyzzzz_1, tg_xzzzzz_xxzzzzz_0, tg_xzzzzz_xxzzzzz_1, tg_xzzzzz_xyyyyyy_0, \
                                         tg_xzzzzz_xyyyyyy_1, tg_xzzzzz_xyyyyyz_0, tg_xzzzzz_xyyyyyz_1, tg_xzzzzz_xyyyyzz_0, \
                                         tg_xzzzzz_xyyyyzz_1, tg_xzzzzz_xyyyzzz_0, tg_xzzzzz_xyyyzzz_1, tg_xzzzzz_xyyzzzz_0, \
                                         tg_xzzzzz_xyyzzzz_1, tg_xzzzzz_xyzzzzz_0, tg_xzzzzz_xyzzzzz_1, tg_xzzzzz_xzzzzzz_0, \
                                         tg_xzzzzz_xzzzzzz_1, tg_xzzzzz_yyyyyyy_0, tg_xzzzzz_yyyyyyy_1, tg_xzzzzz_yyyyyyz_0, \
                                         tg_xzzzzz_yyyyyyz_1, tg_xzzzzz_yyyyyzz_0, tg_xzzzzz_yyyyyzz_1, tg_xzzzzz_yyyyzzz_0, \
                                         tg_xzzzzz_yyyyzzz_1, tg_xzzzzz_yyyzzzz_0, tg_xzzzzz_yyyzzzz_1, tg_xzzzzz_yyzzzzz_0, \
                                         tg_xzzzzz_yyzzzzz_1, tg_xzzzzz_yzzzzzz_0, tg_xzzzzz_yzzzzzz_1, tg_xzzzzz_zzzzzzz_0, \
                                         tg_xzzzzz_zzzzzzz_1, tg_yyyyyy_xxxxxxx_0, tg_yyyyyy_xxxxxxx_1, tg_yyyyyy_xxxxxxy_0, \
                                         tg_yyyyyy_xxxxxxy_1, tg_yyyyyy_xxxxxxz_0, tg_yyyyyy_xxxxxxz_1, tg_yyyyyy_xxxxxyy_0, \
                                         tg_yyyyyy_xxxxxyy_1, tg_yyyyyy_xxxxxyz_0, tg_yyyyyy_xxxxxyz_1, tg_yyyyyy_xxxxxzz_0, \
                                         tg_yyyyyy_xxxxxzz_1, tg_yyyyyy_xxxxyyy_0, tg_yyyyyy_xxxxyyy_1, tg_yyyyyy_xxxxyyz_0, \
                                         tg_yyyyyy_xxxxyyz_1, tg_yyyyyy_xxxxyzz_0, tg_yyyyyy_xxxxyzz_1, wp_x: VLX_ALIGN)
                for (int32_t j = 0; j < nKetPrimPairs; j++)
                {
                    double fl1_fx = fx;

                    double fl1_fxn = fxn[j];

                    double fl1_fza = fza[j];

                    double fr = wp_x[j]; 

                    tg_xxxyyzzz_xyyyyyz_0[j] = pb_x * tg_xxyyzzz_xyyyyyz_0[j] + fr * tg_xxyyzzz_xyyyyyz_1[j] + fl1_fx * (tg_xyyzzz_xyyyyyz_0[j] - tg_xyyzzz_xyyyyyz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xxyyzzz_yyyyyz_1[j];

                    tg_xxxyyzzz_xyyyyzz_0[j] = pb_x * tg_xxyyzzz_xyyyyzz_0[j] + fr * tg_xxyyzzz_xyyyyzz_1[j] + fl1_fx * (tg_xyyzzz_xyyyyzz_0[j] - tg_xyyzzz_xyyyyzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xxyyzzz_yyyyzz_1[j];

                    tg_xxxyyzzz_xyyyzzz_0[j] = pb_x * tg_xxyyzzz_xyyyzzz_0[j] + fr * tg_xxyyzzz_xyyyzzz_1[j] + fl1_fx * (tg_xyyzzz_xyyyzzz_0[j] - tg_xyyzzz_xyyyzzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xxyyzzz_yyyzzz_1[j];

                    tg_xxxyyzzz_xyyzzzz_0[j] = pb_x * tg_xxyyzzz_xyyzzzz_0[j] + fr * tg_xxyyzzz_xyyzzzz_1[j] + fl1_fx * (tg_xyyzzz_xyyzzzz_0[j] - tg_xyyzzz_xyyzzzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xxyyzzz_yyzzzz_1[j];

                    tg_xxxyyzzz_xyzzzzz_0[j] = pb_x * tg_xxyyzzz_xyzzzzz_0[j] + fr * tg_xxyyzzz_xyzzzzz_1[j] + fl1_fx * (tg_xyyzzz_xyzzzzz_0[j] - tg_xyyzzz_xyzzzzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xxyyzzz_yzzzzz_1[j];

                    tg_xxxyyzzz_xzzzzzz_0[j] = pb_x * tg_xxyyzzz_xzzzzzz_0[j] + fr * tg_xxyyzzz_xzzzzzz_1[j] + fl1_fx * (tg_xyyzzz_xzzzzzz_0[j] - tg_xyyzzz_xzzzzzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xxyyzzz_zzzzzz_1[j];

                    tg_xxxyyzzz_yyyyyyy_0[j] = pb_x * tg_xxyyzzz_yyyyyyy_0[j] + fr * tg_xxyyzzz_yyyyyyy_1[j] + fl1_fx * (tg_xyyzzz_yyyyyyy_0[j] - tg_xyyzzz_yyyyyyy_1[j] * fl1_fza);

                    tg_xxxyyzzz_yyyyyyz_0[j] = pb_x * tg_xxyyzzz_yyyyyyz_0[j] + fr * tg_xxyyzzz_yyyyyyz_1[j] + fl1_fx * (tg_xyyzzz_yyyyyyz_0[j] - tg_xyyzzz_yyyyyyz_1[j] * fl1_fza);

                    tg_xxxyyzzz_yyyyyzz_0[j] = pb_x * tg_xxyyzzz_yyyyyzz_0[j] + fr * tg_xxyyzzz_yyyyyzz_1[j] + fl1_fx * (tg_xyyzzz_yyyyyzz_0[j] - tg_xyyzzz_yyyyyzz_1[j] * fl1_fza);

                    tg_xxxyyzzz_yyyyzzz_0[j] = pb_x * tg_xxyyzzz_yyyyzzz_0[j] + fr * tg_xxyyzzz_yyyyzzz_1[j] + fl1_fx * (tg_xyyzzz_yyyyzzz_0[j] - tg_xyyzzz_yyyyzzz_1[j] * fl1_fza);

                    tg_xxxyyzzz_yyyzzzz_0[j] = pb_x * tg_xxyyzzz_yyyzzzz_0[j] + fr * tg_xxyyzzz_yyyzzzz_1[j] + fl1_fx * (tg_xyyzzz_yyyzzzz_0[j] - tg_xyyzzz_yyyzzzz_1[j] * fl1_fza);

                    tg_xxxyyzzz_yyzzzzz_0[j] = pb_x * tg_xxyyzzz_yyzzzzz_0[j] + fr * tg_xxyyzzz_yyzzzzz_1[j] + fl1_fx * (tg_xyyzzz_yyzzzzz_0[j] - tg_xyyzzz_yyzzzzz_1[j] * fl1_fza);

                    tg_xxxyyzzz_yzzzzzz_0[j] = pb_x * tg_xxyyzzz_yzzzzzz_0[j] + fr * tg_xxyyzzz_yzzzzzz_1[j] + fl1_fx * (tg_xyyzzz_yzzzzzz_0[j] - tg_xyyzzz_yzzzzzz_1[j] * fl1_fza);

                    tg_xxxyyzzz_zzzzzzz_0[j] = pb_x * tg_xxyyzzz_zzzzzzz_0[j] + fr * tg_xxyyzzz_zzzzzzz_1[j] + fl1_fx * (tg_xyyzzz_zzzzzzz_0[j] - tg_xyyzzz_zzzzzzz_1[j] * fl1_fza);

                    tg_xxxyzzzz_xxxxxxx_0[j] = pb_x * tg_xxyzzzz_xxxxxxx_0[j] + fr * tg_xxyzzzz_xxxxxxx_1[j] + fl1_fx * (tg_xyzzzz_xxxxxxx_0[j] - tg_xyzzzz_xxxxxxx_1[j] * fl1_fza) + 3.5 * fl1_fxn * tg_xxyzzzz_xxxxxx_1[j];

                    tg_xxxyzzzz_xxxxxxy_0[j] = pb_x * tg_xxyzzzz_xxxxxxy_0[j] + fr * tg_xxyzzzz_xxxxxxy_1[j] + fl1_fx * (tg_xyzzzz_xxxxxxy_0[j] - tg_xyzzzz_xxxxxxy_1[j] * fl1_fza) + 3.0 * fl1_fxn * tg_xxyzzzz_xxxxxy_1[j];

                    tg_xxxyzzzz_xxxxxxz_0[j] = pb_x * tg_xxyzzzz_xxxxxxz_0[j] + fr * tg_xxyzzzz_xxxxxxz_1[j] + fl1_fx * (tg_xyzzzz_xxxxxxz_0[j] - tg_xyzzzz_xxxxxxz_1[j] * fl1_fza) + 3.0 * fl1_fxn * tg_xxyzzzz_xxxxxz_1[j];

                    tg_xxxyzzzz_xxxxxyy_0[j] = pb_x * tg_xxyzzzz_xxxxxyy_0[j] + fr * tg_xxyzzzz_xxxxxyy_1[j] + fl1_fx * (tg_xyzzzz_xxxxxyy_0[j] - tg_xyzzzz_xxxxxyy_1[j] * fl1_fza) + 2.5 * fl1_fxn * tg_xxyzzzz_xxxxyy_1[j];

                    tg_xxxyzzzz_xxxxxyz_0[j] = pb_x * tg_xxyzzzz_xxxxxyz_0[j] + fr * tg_xxyzzzz_xxxxxyz_1[j] + fl1_fx * (tg_xyzzzz_xxxxxyz_0[j] - tg_xyzzzz_xxxxxyz_1[j] * fl1_fza) + 2.5 * fl1_fxn * tg_xxyzzzz_xxxxyz_1[j];

                    tg_xxxyzzzz_xxxxxzz_0[j] = pb_x * tg_xxyzzzz_xxxxxzz_0[j] + fr * tg_xxyzzzz_xxxxxzz_1[j] + fl1_fx * (tg_xyzzzz_xxxxxzz_0[j] - tg_xyzzzz_xxxxxzz_1[j] * fl1_fza) + 2.5 * fl1_fxn * tg_xxyzzzz_xxxxzz_1[j];

                    tg_xxxyzzzz_xxxxyyy_0[j] = pb_x * tg_xxyzzzz_xxxxyyy_0[j] + fr * tg_xxyzzzz_xxxxyyy_1[j] + fl1_fx * (tg_xyzzzz_xxxxyyy_0[j] - tg_xyzzzz_xxxxyyy_1[j] * fl1_fza) + 2.0 * fl1_fxn * tg_xxyzzzz_xxxyyy_1[j];

                    tg_xxxyzzzz_xxxxyyz_0[j] = pb_x * tg_xxyzzzz_xxxxyyz_0[j] + fr * tg_xxyzzzz_xxxxyyz_1[j] + fl1_fx * (tg_xyzzzz_xxxxyyz_0[j] - tg_xyzzzz_xxxxyyz_1[j] * fl1_fza) + 2.0 * fl1_fxn * tg_xxyzzzz_xxxyyz_1[j];

                    tg_xxxyzzzz_xxxxyzz_0[j] = pb_x * tg_xxyzzzz_xxxxyzz_0[j] + fr * tg_xxyzzzz_xxxxyzz_1[j] + fl1_fx * (tg_xyzzzz_xxxxyzz_0[j] - tg_xyzzzz_xxxxyzz_1[j] * fl1_fza) + 2.0 * fl1_fxn * tg_xxyzzzz_xxxyzz_1[j];

                    tg_xxxyzzzz_xxxxzzz_0[j] = pb_x * tg_xxyzzzz_xxxxzzz_0[j] + fr * tg_xxyzzzz_xxxxzzz_1[j] + fl1_fx * (tg_xyzzzz_xxxxzzz_0[j] - tg_xyzzzz_xxxxzzz_1[j] * fl1_fza) + 2.0 * fl1_fxn * tg_xxyzzzz_xxxzzz_1[j];

                    tg_xxxyzzzz_xxxyyyy_0[j] = pb_x * tg_xxyzzzz_xxxyyyy_0[j] + fr * tg_xxyzzzz_xxxyyyy_1[j] + fl1_fx * (tg_xyzzzz_xxxyyyy_0[j] - tg_xyzzzz_xxxyyyy_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_xxyzzzz_xxyyyy_1[j];

                    tg_xxxyzzzz_xxxyyyz_0[j] = pb_x * tg_xxyzzzz_xxxyyyz_0[j] + fr * tg_xxyzzzz_xxxyyyz_1[j] + fl1_fx * (tg_xyzzzz_xxxyyyz_0[j] - tg_xyzzzz_xxxyyyz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_xxyzzzz_xxyyyz_1[j];

                    tg_xxxyzzzz_xxxyyzz_0[j] = pb_x * tg_xxyzzzz_xxxyyzz_0[j] + fr * tg_xxyzzzz_xxxyyzz_1[j] + fl1_fx * (tg_xyzzzz_xxxyyzz_0[j] - tg_xyzzzz_xxxyyzz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_xxyzzzz_xxyyzz_1[j];

                    tg_xxxyzzzz_xxxyzzz_0[j] = pb_x * tg_xxyzzzz_xxxyzzz_0[j] + fr * tg_xxyzzzz_xxxyzzz_1[j] + fl1_fx * (tg_xyzzzz_xxxyzzz_0[j] - tg_xyzzzz_xxxyzzz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_xxyzzzz_xxyzzz_1[j];

                    tg_xxxyzzzz_xxxzzzz_0[j] = pb_x * tg_xxyzzzz_xxxzzzz_0[j] + fr * tg_xxyzzzz_xxxzzzz_1[j] + fl1_fx * (tg_xyzzzz_xxxzzzz_0[j] - tg_xyzzzz_xxxzzzz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_xxyzzzz_xxzzzz_1[j];

                    tg_xxxyzzzz_xxyyyyy_0[j] = pb_x * tg_xxyzzzz_xxyyyyy_0[j] + fr * tg_xxyzzzz_xxyyyyy_1[j] + fl1_fx * (tg_xyzzzz_xxyyyyy_0[j] - tg_xyzzzz_xxyyyyy_1[j] * fl1_fza) + fl1_fxn * tg_xxyzzzz_xyyyyy_1[j];

                    tg_xxxyzzzz_xxyyyyz_0[j] = pb_x * tg_xxyzzzz_xxyyyyz_0[j] + fr * tg_xxyzzzz_xxyyyyz_1[j] + fl1_fx * (tg_xyzzzz_xxyyyyz_0[j] - tg_xyzzzz_xxyyyyz_1[j] * fl1_fza) + fl1_fxn * tg_xxyzzzz_xyyyyz_1[j];

                    tg_xxxyzzzz_xxyyyzz_0[j] = pb_x * tg_xxyzzzz_xxyyyzz_0[j] + fr * tg_xxyzzzz_xxyyyzz_1[j] + fl1_fx * (tg_xyzzzz_xxyyyzz_0[j] - tg_xyzzzz_xxyyyzz_1[j] * fl1_fza) + fl1_fxn * tg_xxyzzzz_xyyyzz_1[j];

                    tg_xxxyzzzz_xxyyzzz_0[j] = pb_x * tg_xxyzzzz_xxyyzzz_0[j] + fr * tg_xxyzzzz_xxyyzzz_1[j] + fl1_fx * (tg_xyzzzz_xxyyzzz_0[j] - tg_xyzzzz_xxyyzzz_1[j] * fl1_fza) + fl1_fxn * tg_xxyzzzz_xyyzzz_1[j];

                    tg_xxxyzzzz_xxyzzzz_0[j] = pb_x * tg_xxyzzzz_xxyzzzz_0[j] + fr * tg_xxyzzzz_xxyzzzz_1[j] + fl1_fx * (tg_xyzzzz_xxyzzzz_0[j] - tg_xyzzzz_xxyzzzz_1[j] * fl1_fza) + fl1_fxn * tg_xxyzzzz_xyzzzz_1[j];

                    tg_xxxyzzzz_xxzzzzz_0[j] = pb_x * tg_xxyzzzz_xxzzzzz_0[j] + fr * tg_xxyzzzz_xxzzzzz_1[j] + fl1_fx * (tg_xyzzzz_xxzzzzz_0[j] - tg_xyzzzz_xxzzzzz_1[j] * fl1_fza) + fl1_fxn * tg_xxyzzzz_xzzzzz_1[j];

                    tg_xxxyzzzz_xyyyyyy_0[j] = pb_x * tg_xxyzzzz_xyyyyyy_0[j] + fr * tg_xxyzzzz_xyyyyyy_1[j] + fl1_fx * (tg_xyzzzz_xyyyyyy_0[j] - tg_xyzzzz_xyyyyyy_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xxyzzzz_yyyyyy_1[j];

                    tg_xxxyzzzz_xyyyyyz_0[j] = pb_x * tg_xxyzzzz_xyyyyyz_0[j] + fr * tg_xxyzzzz_xyyyyyz_1[j] + fl1_fx * (tg_xyzzzz_xyyyyyz_0[j] - tg_xyzzzz_xyyyyyz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xxyzzzz_yyyyyz_1[j];

                    tg_xxxyzzzz_xyyyyzz_0[j] = pb_x * tg_xxyzzzz_xyyyyzz_0[j] + fr * tg_xxyzzzz_xyyyyzz_1[j] + fl1_fx * (tg_xyzzzz_xyyyyzz_0[j] - tg_xyzzzz_xyyyyzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xxyzzzz_yyyyzz_1[j];

                    tg_xxxyzzzz_xyyyzzz_0[j] = pb_x * tg_xxyzzzz_xyyyzzz_0[j] + fr * tg_xxyzzzz_xyyyzzz_1[j] + fl1_fx * (tg_xyzzzz_xyyyzzz_0[j] - tg_xyzzzz_xyyyzzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xxyzzzz_yyyzzz_1[j];

                    tg_xxxyzzzz_xyyzzzz_0[j] = pb_x * tg_xxyzzzz_xyyzzzz_0[j] + fr * tg_xxyzzzz_xyyzzzz_1[j] + fl1_fx * (tg_xyzzzz_xyyzzzz_0[j] - tg_xyzzzz_xyyzzzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xxyzzzz_yyzzzz_1[j];

                    tg_xxxyzzzz_xyzzzzz_0[j] = pb_x * tg_xxyzzzz_xyzzzzz_0[j] + fr * tg_xxyzzzz_xyzzzzz_1[j] + fl1_fx * (tg_xyzzzz_xyzzzzz_0[j] - tg_xyzzzz_xyzzzzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xxyzzzz_yzzzzz_1[j];

                    tg_xxxyzzzz_xzzzzzz_0[j] = pb_x * tg_xxyzzzz_xzzzzzz_0[j] + fr * tg_xxyzzzz_xzzzzzz_1[j] + fl1_fx * (tg_xyzzzz_xzzzzzz_0[j] - tg_xyzzzz_xzzzzzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xxyzzzz_zzzzzz_1[j];

                    tg_xxxyzzzz_yyyyyyy_0[j] = pb_x * tg_xxyzzzz_yyyyyyy_0[j] + fr * tg_xxyzzzz_yyyyyyy_1[j] + fl1_fx * (tg_xyzzzz_yyyyyyy_0[j] - tg_xyzzzz_yyyyyyy_1[j] * fl1_fza);

                    tg_xxxyzzzz_yyyyyyz_0[j] = pb_x * tg_xxyzzzz_yyyyyyz_0[j] + fr * tg_xxyzzzz_yyyyyyz_1[j] + fl1_fx * (tg_xyzzzz_yyyyyyz_0[j] - tg_xyzzzz_yyyyyyz_1[j] * fl1_fza);

                    tg_xxxyzzzz_yyyyyzz_0[j] = pb_x * tg_xxyzzzz_yyyyyzz_0[j] + fr * tg_xxyzzzz_yyyyyzz_1[j] + fl1_fx * (tg_xyzzzz_yyyyyzz_0[j] - tg_xyzzzz_yyyyyzz_1[j] * fl1_fza);

                    tg_xxxyzzzz_yyyyzzz_0[j] = pb_x * tg_xxyzzzz_yyyyzzz_0[j] + fr * tg_xxyzzzz_yyyyzzz_1[j] + fl1_fx * (tg_xyzzzz_yyyyzzz_0[j] - tg_xyzzzz_yyyyzzz_1[j] * fl1_fza);

                    tg_xxxyzzzz_yyyzzzz_0[j] = pb_x * tg_xxyzzzz_yyyzzzz_0[j] + fr * tg_xxyzzzz_yyyzzzz_1[j] + fl1_fx * (tg_xyzzzz_yyyzzzz_0[j] - tg_xyzzzz_yyyzzzz_1[j] * fl1_fza);

                    tg_xxxyzzzz_yyzzzzz_0[j] = pb_x * tg_xxyzzzz_yyzzzzz_0[j] + fr * tg_xxyzzzz_yyzzzzz_1[j] + fl1_fx * (tg_xyzzzz_yyzzzzz_0[j] - tg_xyzzzz_yyzzzzz_1[j] * fl1_fza);

                    tg_xxxyzzzz_yzzzzzz_0[j] = pb_x * tg_xxyzzzz_yzzzzzz_0[j] + fr * tg_xxyzzzz_yzzzzzz_1[j] + fl1_fx * (tg_xyzzzz_yzzzzzz_0[j] - tg_xyzzzz_yzzzzzz_1[j] * fl1_fza);

                    tg_xxxyzzzz_zzzzzzz_0[j] = pb_x * tg_xxyzzzz_zzzzzzz_0[j] + fr * tg_xxyzzzz_zzzzzzz_1[j] + fl1_fx * (tg_xyzzzz_zzzzzzz_0[j] - tg_xyzzzz_zzzzzzz_1[j] * fl1_fza);

                    tg_xxxzzzzz_xxxxxxx_0[j] = pb_x * tg_xxzzzzz_xxxxxxx_0[j] + fr * tg_xxzzzzz_xxxxxxx_1[j] + fl1_fx * (tg_xzzzzz_xxxxxxx_0[j] - tg_xzzzzz_xxxxxxx_1[j] * fl1_fza) + 3.5 * fl1_fxn * tg_xxzzzzz_xxxxxx_1[j];

                    tg_xxxzzzzz_xxxxxxy_0[j] = pb_x * tg_xxzzzzz_xxxxxxy_0[j] + fr * tg_xxzzzzz_xxxxxxy_1[j] + fl1_fx * (tg_xzzzzz_xxxxxxy_0[j] - tg_xzzzzz_xxxxxxy_1[j] * fl1_fza) + 3.0 * fl1_fxn * tg_xxzzzzz_xxxxxy_1[j];

                    tg_xxxzzzzz_xxxxxxz_0[j] = pb_x * tg_xxzzzzz_xxxxxxz_0[j] + fr * tg_xxzzzzz_xxxxxxz_1[j] + fl1_fx * (tg_xzzzzz_xxxxxxz_0[j] - tg_xzzzzz_xxxxxxz_1[j] * fl1_fza) + 3.0 * fl1_fxn * tg_xxzzzzz_xxxxxz_1[j];

                    tg_xxxzzzzz_xxxxxyy_0[j] = pb_x * tg_xxzzzzz_xxxxxyy_0[j] + fr * tg_xxzzzzz_xxxxxyy_1[j] + fl1_fx * (tg_xzzzzz_xxxxxyy_0[j] - tg_xzzzzz_xxxxxyy_1[j] * fl1_fza) + 2.5 * fl1_fxn * tg_xxzzzzz_xxxxyy_1[j];

                    tg_xxxzzzzz_xxxxxyz_0[j] = pb_x * tg_xxzzzzz_xxxxxyz_0[j] + fr * tg_xxzzzzz_xxxxxyz_1[j] + fl1_fx * (tg_xzzzzz_xxxxxyz_0[j] - tg_xzzzzz_xxxxxyz_1[j] * fl1_fza) + 2.5 * fl1_fxn * tg_xxzzzzz_xxxxyz_1[j];

                    tg_xxxzzzzz_xxxxxzz_0[j] = pb_x * tg_xxzzzzz_xxxxxzz_0[j] + fr * tg_xxzzzzz_xxxxxzz_1[j] + fl1_fx * (tg_xzzzzz_xxxxxzz_0[j] - tg_xzzzzz_xxxxxzz_1[j] * fl1_fza) + 2.5 * fl1_fxn * tg_xxzzzzz_xxxxzz_1[j];

                    tg_xxxzzzzz_xxxxyyy_0[j] = pb_x * tg_xxzzzzz_xxxxyyy_0[j] + fr * tg_xxzzzzz_xxxxyyy_1[j] + fl1_fx * (tg_xzzzzz_xxxxyyy_0[j] - tg_xzzzzz_xxxxyyy_1[j] * fl1_fza) + 2.0 * fl1_fxn * tg_xxzzzzz_xxxyyy_1[j];

                    tg_xxxzzzzz_xxxxyyz_0[j] = pb_x * tg_xxzzzzz_xxxxyyz_0[j] + fr * tg_xxzzzzz_xxxxyyz_1[j] + fl1_fx * (tg_xzzzzz_xxxxyyz_0[j] - tg_xzzzzz_xxxxyyz_1[j] * fl1_fza) + 2.0 * fl1_fxn * tg_xxzzzzz_xxxyyz_1[j];

                    tg_xxxzzzzz_xxxxyzz_0[j] = pb_x * tg_xxzzzzz_xxxxyzz_0[j] + fr * tg_xxzzzzz_xxxxyzz_1[j] + fl1_fx * (tg_xzzzzz_xxxxyzz_0[j] - tg_xzzzzz_xxxxyzz_1[j] * fl1_fza) + 2.0 * fl1_fxn * tg_xxzzzzz_xxxyzz_1[j];

                    tg_xxxzzzzz_xxxxzzz_0[j] = pb_x * tg_xxzzzzz_xxxxzzz_0[j] + fr * tg_xxzzzzz_xxxxzzz_1[j] + fl1_fx * (tg_xzzzzz_xxxxzzz_0[j] - tg_xzzzzz_xxxxzzz_1[j] * fl1_fza) + 2.0 * fl1_fxn * tg_xxzzzzz_xxxzzz_1[j];

                    tg_xxxzzzzz_xxxyyyy_0[j] = pb_x * tg_xxzzzzz_xxxyyyy_0[j] + fr * tg_xxzzzzz_xxxyyyy_1[j] + fl1_fx * (tg_xzzzzz_xxxyyyy_0[j] - tg_xzzzzz_xxxyyyy_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_xxzzzzz_xxyyyy_1[j];

                    tg_xxxzzzzz_xxxyyyz_0[j] = pb_x * tg_xxzzzzz_xxxyyyz_0[j] + fr * tg_xxzzzzz_xxxyyyz_1[j] + fl1_fx * (tg_xzzzzz_xxxyyyz_0[j] - tg_xzzzzz_xxxyyyz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_xxzzzzz_xxyyyz_1[j];

                    tg_xxxzzzzz_xxxyyzz_0[j] = pb_x * tg_xxzzzzz_xxxyyzz_0[j] + fr * tg_xxzzzzz_xxxyyzz_1[j] + fl1_fx * (tg_xzzzzz_xxxyyzz_0[j] - tg_xzzzzz_xxxyyzz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_xxzzzzz_xxyyzz_1[j];

                    tg_xxxzzzzz_xxxyzzz_0[j] = pb_x * tg_xxzzzzz_xxxyzzz_0[j] + fr * tg_xxzzzzz_xxxyzzz_1[j] + fl1_fx * (tg_xzzzzz_xxxyzzz_0[j] - tg_xzzzzz_xxxyzzz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_xxzzzzz_xxyzzz_1[j];

                    tg_xxxzzzzz_xxxzzzz_0[j] = pb_x * tg_xxzzzzz_xxxzzzz_0[j] + fr * tg_xxzzzzz_xxxzzzz_1[j] + fl1_fx * (tg_xzzzzz_xxxzzzz_0[j] - tg_xzzzzz_xxxzzzz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_xxzzzzz_xxzzzz_1[j];

                    tg_xxxzzzzz_xxyyyyy_0[j] = pb_x * tg_xxzzzzz_xxyyyyy_0[j] + fr * tg_xxzzzzz_xxyyyyy_1[j] + fl1_fx * (tg_xzzzzz_xxyyyyy_0[j] - tg_xzzzzz_xxyyyyy_1[j] * fl1_fza) + fl1_fxn * tg_xxzzzzz_xyyyyy_1[j];

                    tg_xxxzzzzz_xxyyyyz_0[j] = pb_x * tg_xxzzzzz_xxyyyyz_0[j] + fr * tg_xxzzzzz_xxyyyyz_1[j] + fl1_fx * (tg_xzzzzz_xxyyyyz_0[j] - tg_xzzzzz_xxyyyyz_1[j] * fl1_fza) + fl1_fxn * tg_xxzzzzz_xyyyyz_1[j];

                    tg_xxxzzzzz_xxyyyzz_0[j] = pb_x * tg_xxzzzzz_xxyyyzz_0[j] + fr * tg_xxzzzzz_xxyyyzz_1[j] + fl1_fx * (tg_xzzzzz_xxyyyzz_0[j] - tg_xzzzzz_xxyyyzz_1[j] * fl1_fza) + fl1_fxn * tg_xxzzzzz_xyyyzz_1[j];

                    tg_xxxzzzzz_xxyyzzz_0[j] = pb_x * tg_xxzzzzz_xxyyzzz_0[j] + fr * tg_xxzzzzz_xxyyzzz_1[j] + fl1_fx * (tg_xzzzzz_xxyyzzz_0[j] - tg_xzzzzz_xxyyzzz_1[j] * fl1_fza) + fl1_fxn * tg_xxzzzzz_xyyzzz_1[j];

                    tg_xxxzzzzz_xxyzzzz_0[j] = pb_x * tg_xxzzzzz_xxyzzzz_0[j] + fr * tg_xxzzzzz_xxyzzzz_1[j] + fl1_fx * (tg_xzzzzz_xxyzzzz_0[j] - tg_xzzzzz_xxyzzzz_1[j] * fl1_fza) + fl1_fxn * tg_xxzzzzz_xyzzzz_1[j];

                    tg_xxxzzzzz_xxzzzzz_0[j] = pb_x * tg_xxzzzzz_xxzzzzz_0[j] + fr * tg_xxzzzzz_xxzzzzz_1[j] + fl1_fx * (tg_xzzzzz_xxzzzzz_0[j] - tg_xzzzzz_xxzzzzz_1[j] * fl1_fza) + fl1_fxn * tg_xxzzzzz_xzzzzz_1[j];

                    tg_xxxzzzzz_xyyyyyy_0[j] = pb_x * tg_xxzzzzz_xyyyyyy_0[j] + fr * tg_xxzzzzz_xyyyyyy_1[j] + fl1_fx * (tg_xzzzzz_xyyyyyy_0[j] - tg_xzzzzz_xyyyyyy_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xxzzzzz_yyyyyy_1[j];

                    tg_xxxzzzzz_xyyyyyz_0[j] = pb_x * tg_xxzzzzz_xyyyyyz_0[j] + fr * tg_xxzzzzz_xyyyyyz_1[j] + fl1_fx * (tg_xzzzzz_xyyyyyz_0[j] - tg_xzzzzz_xyyyyyz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xxzzzzz_yyyyyz_1[j];

                    tg_xxxzzzzz_xyyyyzz_0[j] = pb_x * tg_xxzzzzz_xyyyyzz_0[j] + fr * tg_xxzzzzz_xyyyyzz_1[j] + fl1_fx * (tg_xzzzzz_xyyyyzz_0[j] - tg_xzzzzz_xyyyyzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xxzzzzz_yyyyzz_1[j];

                    tg_xxxzzzzz_xyyyzzz_0[j] = pb_x * tg_xxzzzzz_xyyyzzz_0[j] + fr * tg_xxzzzzz_xyyyzzz_1[j] + fl1_fx * (tg_xzzzzz_xyyyzzz_0[j] - tg_xzzzzz_xyyyzzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xxzzzzz_yyyzzz_1[j];

                    tg_xxxzzzzz_xyyzzzz_0[j] = pb_x * tg_xxzzzzz_xyyzzzz_0[j] + fr * tg_xxzzzzz_xyyzzzz_1[j] + fl1_fx * (tg_xzzzzz_xyyzzzz_0[j] - tg_xzzzzz_xyyzzzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xxzzzzz_yyzzzz_1[j];

                    tg_xxxzzzzz_xyzzzzz_0[j] = pb_x * tg_xxzzzzz_xyzzzzz_0[j] + fr * tg_xxzzzzz_xyzzzzz_1[j] + fl1_fx * (tg_xzzzzz_xyzzzzz_0[j] - tg_xzzzzz_xyzzzzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xxzzzzz_yzzzzz_1[j];

                    tg_xxxzzzzz_xzzzzzz_0[j] = pb_x * tg_xxzzzzz_xzzzzzz_0[j] + fr * tg_xxzzzzz_xzzzzzz_1[j] + fl1_fx * (tg_xzzzzz_xzzzzzz_0[j] - tg_xzzzzz_xzzzzzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xxzzzzz_zzzzzz_1[j];

                    tg_xxxzzzzz_yyyyyyy_0[j] = pb_x * tg_xxzzzzz_yyyyyyy_0[j] + fr * tg_xxzzzzz_yyyyyyy_1[j] + fl1_fx * (tg_xzzzzz_yyyyyyy_0[j] - tg_xzzzzz_yyyyyyy_1[j] * fl1_fza);

                    tg_xxxzzzzz_yyyyyyz_0[j] = pb_x * tg_xxzzzzz_yyyyyyz_0[j] + fr * tg_xxzzzzz_yyyyyyz_1[j] + fl1_fx * (tg_xzzzzz_yyyyyyz_0[j] - tg_xzzzzz_yyyyyyz_1[j] * fl1_fza);

                    tg_xxxzzzzz_yyyyyzz_0[j] = pb_x * tg_xxzzzzz_yyyyyzz_0[j] + fr * tg_xxzzzzz_yyyyyzz_1[j] + fl1_fx * (tg_xzzzzz_yyyyyzz_0[j] - tg_xzzzzz_yyyyyzz_1[j] * fl1_fza);

                    tg_xxxzzzzz_yyyyzzz_0[j] = pb_x * tg_xxzzzzz_yyyyzzz_0[j] + fr * tg_xxzzzzz_yyyyzzz_1[j] + fl1_fx * (tg_xzzzzz_yyyyzzz_0[j] - tg_xzzzzz_yyyyzzz_1[j] * fl1_fza);

                    tg_xxxzzzzz_yyyzzzz_0[j] = pb_x * tg_xxzzzzz_yyyzzzz_0[j] + fr * tg_xxzzzzz_yyyzzzz_1[j] + fl1_fx * (tg_xzzzzz_yyyzzzz_0[j] - tg_xzzzzz_yyyzzzz_1[j] * fl1_fza);

                    tg_xxxzzzzz_yyzzzzz_0[j] = pb_x * tg_xxzzzzz_yyzzzzz_0[j] + fr * tg_xxzzzzz_yyzzzzz_1[j] + fl1_fx * (tg_xzzzzz_yyzzzzz_0[j] - tg_xzzzzz_yyzzzzz_1[j] * fl1_fza);

                    tg_xxxzzzzz_yzzzzzz_0[j] = pb_x * tg_xxzzzzz_yzzzzzz_0[j] + fr * tg_xxzzzzz_yzzzzzz_1[j] + fl1_fx * (tg_xzzzzz_yzzzzzz_0[j] - tg_xzzzzz_yzzzzzz_1[j] * fl1_fza);

                    tg_xxxzzzzz_zzzzzzz_0[j] = pb_x * tg_xxzzzzz_zzzzzzz_0[j] + fr * tg_xxzzzzz_zzzzzzz_1[j] + fl1_fx * (tg_xzzzzz_zzzzzzz_0[j] - tg_xzzzzz_zzzzzzz_1[j] * fl1_fza);

                    tg_xxyyyyyy_xxxxxxx_0[j] = pb_x * tg_xyyyyyy_xxxxxxx_0[j] + fr * tg_xyyyyyy_xxxxxxx_1[j] + 0.5 * fl1_fx * (tg_yyyyyy_xxxxxxx_0[j] - tg_yyyyyy_xxxxxxx_1[j] * fl1_fza) + 3.5 * fl1_fxn * tg_xyyyyyy_xxxxxx_1[j];

                    tg_xxyyyyyy_xxxxxxy_0[j] = pb_x * tg_xyyyyyy_xxxxxxy_0[j] + fr * tg_xyyyyyy_xxxxxxy_1[j] + 0.5 * fl1_fx * (tg_yyyyyy_xxxxxxy_0[j] - tg_yyyyyy_xxxxxxy_1[j] * fl1_fza) + 3.0 * fl1_fxn * tg_xyyyyyy_xxxxxy_1[j];

                    tg_xxyyyyyy_xxxxxxz_0[j] = pb_x * tg_xyyyyyy_xxxxxxz_0[j] + fr * tg_xyyyyyy_xxxxxxz_1[j] + 0.5 * fl1_fx * (tg_yyyyyy_xxxxxxz_0[j] - tg_yyyyyy_xxxxxxz_1[j] * fl1_fza) + 3.0 * fl1_fxn * tg_xyyyyyy_xxxxxz_1[j];

                    tg_xxyyyyyy_xxxxxyy_0[j] = pb_x * tg_xyyyyyy_xxxxxyy_0[j] + fr * tg_xyyyyyy_xxxxxyy_1[j] + 0.5 * fl1_fx * (tg_yyyyyy_xxxxxyy_0[j] - tg_yyyyyy_xxxxxyy_1[j] * fl1_fza) + 2.5 * fl1_fxn * tg_xyyyyyy_xxxxyy_1[j];

                    tg_xxyyyyyy_xxxxxyz_0[j] = pb_x * tg_xyyyyyy_xxxxxyz_0[j] + fr * tg_xyyyyyy_xxxxxyz_1[j] + 0.5 * fl1_fx * (tg_yyyyyy_xxxxxyz_0[j] - tg_yyyyyy_xxxxxyz_1[j] * fl1_fza) + 2.5 * fl1_fxn * tg_xyyyyyy_xxxxyz_1[j];

                    tg_xxyyyyyy_xxxxxzz_0[j] = pb_x * tg_xyyyyyy_xxxxxzz_0[j] + fr * tg_xyyyyyy_xxxxxzz_1[j] + 0.5 * fl1_fx * (tg_yyyyyy_xxxxxzz_0[j] - tg_yyyyyy_xxxxxzz_1[j] * fl1_fza) + 2.5 * fl1_fxn * tg_xyyyyyy_xxxxzz_1[j];

                    tg_xxyyyyyy_xxxxyyy_0[j] = pb_x * tg_xyyyyyy_xxxxyyy_0[j] + fr * tg_xyyyyyy_xxxxyyy_1[j] + 0.5 * fl1_fx * (tg_yyyyyy_xxxxyyy_0[j] - tg_yyyyyy_xxxxyyy_1[j] * fl1_fza) + 2.0 * fl1_fxn * tg_xyyyyyy_xxxyyy_1[j];

                    tg_xxyyyyyy_xxxxyyz_0[j] = pb_x * tg_xyyyyyy_xxxxyyz_0[j] + fr * tg_xyyyyyy_xxxxyyz_1[j] + 0.5 * fl1_fx * (tg_yyyyyy_xxxxyyz_0[j] - tg_yyyyyy_xxxxyyz_1[j] * fl1_fza) + 2.0 * fl1_fxn * tg_xyyyyyy_xxxyyz_1[j];

                    tg_xxyyyyyy_xxxxyzz_0[j] = pb_x * tg_xyyyyyy_xxxxyzz_0[j] + fr * tg_xyyyyyy_xxxxyzz_1[j] + 0.5 * fl1_fx * (tg_yyyyyy_xxxxyzz_0[j] - tg_yyyyyy_xxxxyzz_1[j] * fl1_fza) + 2.0 * fl1_fxn * tg_xyyyyyy_xxxyzz_1[j];
                }

                idx++;
            }
        }
    }

    void
    compElectronRepulsionForSLSK_765_860(      CMemBlock2D<double>* primBuffer,
                                         const CRecursionMap&       recursionMap,
                                         const CMemBlock2D<double>& osFactors,
                                         const CMemBlock2D<double>& wpDistances,
                                         const CGtoPairsBlock&      braGtoPairsBlock,
                                         const CGtoPairsBlock&      ketGtoPairsBlock,
                                         const int32_t              nKetPrimPairs,
                                         const int32_t              iContrPair)
    {
        // Batch of Integrals (765,860)

        // set up pointers to primitives data on bra side

        auto spos = braGtoPairsBlock.getStartPositions();

        auto epos = braGtoPairsBlock.getEndPositions();

        // set up pointers to tensor of distance R(PB) = P - B

        auto r_pb_x = braGtoPairsBlock.getDistancesPBX();

        // set up pointers to common Obara-Saika factors

        auto b_fx = braGtoPairsBlock.getFactorsOneOverXi();

        // set up maximum order of integral

        auto mord = recursionMap.getMaxOrder({"Electron Repulsion"},
                                             {8, -1, -1, -1},
                                             {7, -1, -1, -1},
                                             1, 1);

        for (int32_t iord = 0; iord <= mord; iord++)
        {
            // set up index of integral

            auto pidx_g_8_7_m0 = recursionMap.index(CRecursionTerm({"Electron Repulsion"}, 0, true, 
                                                                   {8, -1, -1, -1}, {7, -1, -1, -1}, 
                                                                   1, 1, iord));

            // check if integral is needed in recursion expansion

            if (pidx_g_8_7_m0 == -1) continue;

            // set up indexes of auxilary integral

            auto pidx_g_7_7_m0 = recursionMap.index(CRecursionTerm({"Electron Repulsion"}, 0, true, 
                                                                   {7, -1, -1, -1}, {7, -1, -1, -1}, 
                                                                   1, 1, iord));

            auto pidx_g_7_7_m1 = recursionMap.index(CRecursionTerm({"Electron Repulsion"}, 0, true, 
                                                                   {7, -1, -1, -1}, {7, -1, -1, -1}, 
                                                                   1, 1, iord + 1));

            auto pidx_g_6_7_m0 = recursionMap.index(CRecursionTerm({"Electron Repulsion"}, 0, true, 
                                                                   {6, -1, -1, -1}, {7, -1, -1, -1}, 
                                                                   1, 1, iord));

            auto pidx_g_6_7_m1 = recursionMap.index(CRecursionTerm({"Electron Repulsion"}, 0, true, 
                                                                   {6, -1, -1, -1}, {7, -1, -1, -1}, 
                                                                   1, 1, iord + 1));

            auto pidx_g_7_6_m1 = recursionMap.index(CRecursionTerm({"Electron Repulsion"}, 0, true, 
                                                                   {7, -1, -1, -1}, {6, -1, -1, -1}, 
                                                                   1, 1, iord + 1));

            // loop over contracted GTO on bra side

            int32_t idx = 0;

            for (int32_t i = spos[iContrPair]; i < epos[iContrPair]; i++)
            {
                // set up pointers to Obara-Saika factors

                double fx = b_fx[i];

                auto fza = osFactors.data(4 * idx + 2);

                auto fxn = osFactors.data(4 * idx);

                // set up distances R(PB) = P - B

                auto pb_x = r_pb_x[i];

                // set up pointers to tensors product of distances R(WP) = W - P

                auto wp_x = wpDistances.data(3 * idx);

                // set up pointers to auxilary integrals

                auto tg_xyyyyyy_xxxxzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 765); 

                auto tg_xyyyyyy_xxxyyyy_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 766); 

                auto tg_xyyyyyy_xxxyyyz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 767); 

                auto tg_xyyyyyy_xxxyyzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 768); 

                auto tg_xyyyyyy_xxxyzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 769); 

                auto tg_xyyyyyy_xxxzzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 770); 

                auto tg_xyyyyyy_xxyyyyy_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 771); 

                auto tg_xyyyyyy_xxyyyyz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 772); 

                auto tg_xyyyyyy_xxyyyzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 773); 

                auto tg_xyyyyyy_xxyyzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 774); 

                auto tg_xyyyyyy_xxyzzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 775); 

                auto tg_xyyyyyy_xxzzzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 776); 

                auto tg_xyyyyyy_xyyyyyy_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 777); 

                auto tg_xyyyyyy_xyyyyyz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 778); 

                auto tg_xyyyyyy_xyyyyzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 779); 

                auto tg_xyyyyyy_xyyyzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 780); 

                auto tg_xyyyyyy_xyyzzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 781); 

                auto tg_xyyyyyy_xyzzzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 782); 

                auto tg_xyyyyyy_xzzzzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 783); 

                auto tg_xyyyyyy_yyyyyyy_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 784); 

                auto tg_xyyyyyy_yyyyyyz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 785); 

                auto tg_xyyyyyy_yyyyyzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 786); 

                auto tg_xyyyyyy_yyyyzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 787); 

                auto tg_xyyyyyy_yyyzzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 788); 

                auto tg_xyyyyyy_yyzzzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 789); 

                auto tg_xyyyyyy_yzzzzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 790); 

                auto tg_xyyyyyy_zzzzzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 791); 

                auto tg_xyyyyyz_xxxxxxx_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 792); 

                auto tg_xyyyyyz_xxxxxxy_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 793); 

                auto tg_xyyyyyz_xxxxxxz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 794); 

                auto tg_xyyyyyz_xxxxxyy_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 795); 

                auto tg_xyyyyyz_xxxxxyz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 796); 

                auto tg_xyyyyyz_xxxxxzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 797); 

                auto tg_xyyyyyz_xxxxyyy_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 798); 

                auto tg_xyyyyyz_xxxxyyz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 799); 

                auto tg_xyyyyyz_xxxxyzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 800); 

                auto tg_xyyyyyz_xxxxzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 801); 

                auto tg_xyyyyyz_xxxyyyy_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 802); 

                auto tg_xyyyyyz_xxxyyyz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 803); 

                auto tg_xyyyyyz_xxxyyzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 804); 

                auto tg_xyyyyyz_xxxyzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 805); 

                auto tg_xyyyyyz_xxxzzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 806); 

                auto tg_xyyyyyz_xxyyyyy_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 807); 

                auto tg_xyyyyyz_xxyyyyz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 808); 

                auto tg_xyyyyyz_xxyyyzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 809); 

                auto tg_xyyyyyz_xxyyzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 810); 

                auto tg_xyyyyyz_xxyzzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 811); 

                auto tg_xyyyyyz_xxzzzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 812); 

                auto tg_xyyyyyz_xyyyyyy_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 813); 

                auto tg_xyyyyyz_xyyyyyz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 814); 

                auto tg_xyyyyyz_xyyyyzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 815); 

                auto tg_xyyyyyz_xyyyzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 816); 

                auto tg_xyyyyyz_xyyzzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 817); 

                auto tg_xyyyyyz_xyzzzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 818); 

                auto tg_xyyyyyz_xzzzzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 819); 

                auto tg_xyyyyyz_yyyyyyy_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 820); 

                auto tg_xyyyyyz_yyyyyyz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 821); 

                auto tg_xyyyyyz_yyyyyzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 822); 

                auto tg_xyyyyyz_yyyyzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 823); 

                auto tg_xyyyyyz_yyyzzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 824); 

                auto tg_xyyyyyz_yyzzzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 825); 

                auto tg_xyyyyyz_yzzzzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 826); 

                auto tg_xyyyyyz_zzzzzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 827); 

                auto tg_xyyyyzz_xxxxxxx_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 828); 

                auto tg_xyyyyzz_xxxxxxy_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 829); 

                auto tg_xyyyyzz_xxxxxxz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 830); 

                auto tg_xyyyyzz_xxxxxyy_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 831); 

                auto tg_xyyyyzz_xxxxxyz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 832); 

                auto tg_xyyyyzz_xxxxxzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 833); 

                auto tg_xyyyyzz_xxxxyyy_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 834); 

                auto tg_xyyyyzz_xxxxyyz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 835); 

                auto tg_xyyyyzz_xxxxyzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 836); 

                auto tg_xyyyyzz_xxxxzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 837); 

                auto tg_xyyyyzz_xxxyyyy_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 838); 

                auto tg_xyyyyzz_xxxyyyz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 839); 

                auto tg_xyyyyzz_xxxyyzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 840); 

                auto tg_xyyyyzz_xxxyzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 841); 

                auto tg_xyyyyzz_xxxzzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 842); 

                auto tg_xyyyyzz_xxyyyyy_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 843); 

                auto tg_xyyyyzz_xxyyyyz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 844); 

                auto tg_xyyyyzz_xxyyyzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 845); 

                auto tg_xyyyyzz_xxyyzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 846); 

                auto tg_xyyyyzz_xxyzzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 847); 

                auto tg_xyyyyzz_xxzzzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 848); 

                auto tg_xyyyyzz_xyyyyyy_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 849); 

                auto tg_xyyyyzz_xyyyyyz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 850); 

                auto tg_xyyyyzz_xyyyyzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 851); 

                auto tg_xyyyyzz_xyyyzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 852); 

                auto tg_xyyyyzz_xyyzzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 853); 

                auto tg_xyyyyzz_xyzzzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 854); 

                auto tg_xyyyyzz_xzzzzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 855); 

                auto tg_xyyyyzz_yyyyyyy_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 856); 

                auto tg_xyyyyzz_yyyyyyz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 857); 

                auto tg_xyyyyzz_yyyyyzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 858); 

                auto tg_xyyyyzz_yyyyzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 859); 

                auto tg_xyyyyyy_xxxxzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 765); 

                auto tg_xyyyyyy_xxxyyyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 766); 

                auto tg_xyyyyyy_xxxyyyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 767); 

                auto tg_xyyyyyy_xxxyyzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 768); 

                auto tg_xyyyyyy_xxxyzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 769); 

                auto tg_xyyyyyy_xxxzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 770); 

                auto tg_xyyyyyy_xxyyyyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 771); 

                auto tg_xyyyyyy_xxyyyyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 772); 

                auto tg_xyyyyyy_xxyyyzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 773); 

                auto tg_xyyyyyy_xxyyzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 774); 

                auto tg_xyyyyyy_xxyzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 775); 

                auto tg_xyyyyyy_xxzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 776); 

                auto tg_xyyyyyy_xyyyyyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 777); 

                auto tg_xyyyyyy_xyyyyyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 778); 

                auto tg_xyyyyyy_xyyyyzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 779); 

                auto tg_xyyyyyy_xyyyzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 780); 

                auto tg_xyyyyyy_xyyzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 781); 

                auto tg_xyyyyyy_xyzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 782); 

                auto tg_xyyyyyy_xzzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 783); 

                auto tg_xyyyyyy_yyyyyyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 784); 

                auto tg_xyyyyyy_yyyyyyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 785); 

                auto tg_xyyyyyy_yyyyyzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 786); 

                auto tg_xyyyyyy_yyyyzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 787); 

                auto tg_xyyyyyy_yyyzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 788); 

                auto tg_xyyyyyy_yyzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 789); 

                auto tg_xyyyyyy_yzzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 790); 

                auto tg_xyyyyyy_zzzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 791); 

                auto tg_xyyyyyz_xxxxxxx_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 792); 

                auto tg_xyyyyyz_xxxxxxy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 793); 

                auto tg_xyyyyyz_xxxxxxz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 794); 

                auto tg_xyyyyyz_xxxxxyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 795); 

                auto tg_xyyyyyz_xxxxxyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 796); 

                auto tg_xyyyyyz_xxxxxzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 797); 

                auto tg_xyyyyyz_xxxxyyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 798); 

                auto tg_xyyyyyz_xxxxyyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 799); 

                auto tg_xyyyyyz_xxxxyzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 800); 

                auto tg_xyyyyyz_xxxxzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 801); 

                auto tg_xyyyyyz_xxxyyyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 802); 

                auto tg_xyyyyyz_xxxyyyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 803); 

                auto tg_xyyyyyz_xxxyyzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 804); 

                auto tg_xyyyyyz_xxxyzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 805); 

                auto tg_xyyyyyz_xxxzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 806); 

                auto tg_xyyyyyz_xxyyyyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 807); 

                auto tg_xyyyyyz_xxyyyyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 808); 

                auto tg_xyyyyyz_xxyyyzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 809); 

                auto tg_xyyyyyz_xxyyzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 810); 

                auto tg_xyyyyyz_xxyzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 811); 

                auto tg_xyyyyyz_xxzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 812); 

                auto tg_xyyyyyz_xyyyyyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 813); 

                auto tg_xyyyyyz_xyyyyyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 814); 

                auto tg_xyyyyyz_xyyyyzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 815); 

                auto tg_xyyyyyz_xyyyzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 816); 

                auto tg_xyyyyyz_xyyzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 817); 

                auto tg_xyyyyyz_xyzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 818); 

                auto tg_xyyyyyz_xzzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 819); 

                auto tg_xyyyyyz_yyyyyyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 820); 

                auto tg_xyyyyyz_yyyyyyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 821); 

                auto tg_xyyyyyz_yyyyyzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 822); 

                auto tg_xyyyyyz_yyyyzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 823); 

                auto tg_xyyyyyz_yyyzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 824); 

                auto tg_xyyyyyz_yyzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 825); 

                auto tg_xyyyyyz_yzzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 826); 

                auto tg_xyyyyyz_zzzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 827); 

                auto tg_xyyyyzz_xxxxxxx_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 828); 

                auto tg_xyyyyzz_xxxxxxy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 829); 

                auto tg_xyyyyzz_xxxxxxz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 830); 

                auto tg_xyyyyzz_xxxxxyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 831); 

                auto tg_xyyyyzz_xxxxxyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 832); 

                auto tg_xyyyyzz_xxxxxzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 833); 

                auto tg_xyyyyzz_xxxxyyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 834); 

                auto tg_xyyyyzz_xxxxyyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 835); 

                auto tg_xyyyyzz_xxxxyzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 836); 

                auto tg_xyyyyzz_xxxxzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 837); 

                auto tg_xyyyyzz_xxxyyyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 838); 

                auto tg_xyyyyzz_xxxyyyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 839); 

                auto tg_xyyyyzz_xxxyyzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 840); 

                auto tg_xyyyyzz_xxxyzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 841); 

                auto tg_xyyyyzz_xxxzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 842); 

                auto tg_xyyyyzz_xxyyyyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 843); 

                auto tg_xyyyyzz_xxyyyyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 844); 

                auto tg_xyyyyzz_xxyyyzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 845); 

                auto tg_xyyyyzz_xxyyzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 846); 

                auto tg_xyyyyzz_xxyzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 847); 

                auto tg_xyyyyzz_xxzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 848); 

                auto tg_xyyyyzz_xyyyyyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 849); 

                auto tg_xyyyyzz_xyyyyyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 850); 

                auto tg_xyyyyzz_xyyyyzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 851); 

                auto tg_xyyyyzz_xyyyzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 852); 

                auto tg_xyyyyzz_xyyzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 853); 

                auto tg_xyyyyzz_xyzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 854); 

                auto tg_xyyyyzz_xzzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 855); 

                auto tg_xyyyyzz_yyyyyyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 856); 

                auto tg_xyyyyzz_yyyyyyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 857); 

                auto tg_xyyyyzz_yyyyyzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 858); 

                auto tg_xyyyyzz_yyyyzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 859); 

                auto tg_yyyyyy_xxxxzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 765); 

                auto tg_yyyyyy_xxxyyyy_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 766); 

                auto tg_yyyyyy_xxxyyyz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 767); 

                auto tg_yyyyyy_xxxyyzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 768); 

                auto tg_yyyyyy_xxxyzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 769); 

                auto tg_yyyyyy_xxxzzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 770); 

                auto tg_yyyyyy_xxyyyyy_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 771); 

                auto tg_yyyyyy_xxyyyyz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 772); 

                auto tg_yyyyyy_xxyyyzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 773); 

                auto tg_yyyyyy_xxyyzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 774); 

                auto tg_yyyyyy_xxyzzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 775); 

                auto tg_yyyyyy_xxzzzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 776); 

                auto tg_yyyyyy_xyyyyyy_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 777); 

                auto tg_yyyyyy_xyyyyyz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 778); 

                auto tg_yyyyyy_xyyyyzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 779); 

                auto tg_yyyyyy_xyyyzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 780); 

                auto tg_yyyyyy_xyyzzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 781); 

                auto tg_yyyyyy_xyzzzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 782); 

                auto tg_yyyyyy_xzzzzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 783); 

                auto tg_yyyyyy_yyyyyyy_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 784); 

                auto tg_yyyyyy_yyyyyyz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 785); 

                auto tg_yyyyyy_yyyyyzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 786); 

                auto tg_yyyyyy_yyyyzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 787); 

                auto tg_yyyyyy_yyyzzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 788); 

                auto tg_yyyyyy_yyzzzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 789); 

                auto tg_yyyyyy_yzzzzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 790); 

                auto tg_yyyyyy_zzzzzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 791); 

                auto tg_yyyyyz_xxxxxxx_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 792); 

                auto tg_yyyyyz_xxxxxxy_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 793); 

                auto tg_yyyyyz_xxxxxxz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 794); 

                auto tg_yyyyyz_xxxxxyy_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 795); 

                auto tg_yyyyyz_xxxxxyz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 796); 

                auto tg_yyyyyz_xxxxxzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 797); 

                auto tg_yyyyyz_xxxxyyy_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 798); 

                auto tg_yyyyyz_xxxxyyz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 799); 

                auto tg_yyyyyz_xxxxyzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 800); 

                auto tg_yyyyyz_xxxxzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 801); 

                auto tg_yyyyyz_xxxyyyy_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 802); 

                auto tg_yyyyyz_xxxyyyz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 803); 

                auto tg_yyyyyz_xxxyyzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 804); 

                auto tg_yyyyyz_xxxyzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 805); 

                auto tg_yyyyyz_xxxzzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 806); 

                auto tg_yyyyyz_xxyyyyy_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 807); 

                auto tg_yyyyyz_xxyyyyz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 808); 

                auto tg_yyyyyz_xxyyyzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 809); 

                auto tg_yyyyyz_xxyyzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 810); 

                auto tg_yyyyyz_xxyzzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 811); 

                auto tg_yyyyyz_xxzzzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 812); 

                auto tg_yyyyyz_xyyyyyy_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 813); 

                auto tg_yyyyyz_xyyyyyz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 814); 

                auto tg_yyyyyz_xyyyyzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 815); 

                auto tg_yyyyyz_xyyyzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 816); 

                auto tg_yyyyyz_xyyzzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 817); 

                auto tg_yyyyyz_xyzzzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 818); 

                auto tg_yyyyyz_xzzzzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 819); 

                auto tg_yyyyyz_yyyyyyy_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 820); 

                auto tg_yyyyyz_yyyyyyz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 821); 

                auto tg_yyyyyz_yyyyyzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 822); 

                auto tg_yyyyyz_yyyyzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 823); 

                auto tg_yyyyyz_yyyzzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 824); 

                auto tg_yyyyyz_yyzzzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 825); 

                auto tg_yyyyyz_yzzzzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 826); 

                auto tg_yyyyyz_zzzzzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 827); 

                auto tg_yyyyzz_xxxxxxx_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 828); 

                auto tg_yyyyzz_xxxxxxy_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 829); 

                auto tg_yyyyzz_xxxxxxz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 830); 

                auto tg_yyyyzz_xxxxxyy_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 831); 

                auto tg_yyyyzz_xxxxxyz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 832); 

                auto tg_yyyyzz_xxxxxzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 833); 

                auto tg_yyyyzz_xxxxyyy_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 834); 

                auto tg_yyyyzz_xxxxyyz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 835); 

                auto tg_yyyyzz_xxxxyzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 836); 

                auto tg_yyyyzz_xxxxzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 837); 

                auto tg_yyyyzz_xxxyyyy_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 838); 

                auto tg_yyyyzz_xxxyyyz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 839); 

                auto tg_yyyyzz_xxxyyzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 840); 

                auto tg_yyyyzz_xxxyzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 841); 

                auto tg_yyyyzz_xxxzzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 842); 

                auto tg_yyyyzz_xxyyyyy_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 843); 

                auto tg_yyyyzz_xxyyyyz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 844); 

                auto tg_yyyyzz_xxyyyzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 845); 

                auto tg_yyyyzz_xxyyzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 846); 

                auto tg_yyyyzz_xxyzzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 847); 

                auto tg_yyyyzz_xxzzzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 848); 

                auto tg_yyyyzz_xyyyyyy_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 849); 

                auto tg_yyyyzz_xyyyyyz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 850); 

                auto tg_yyyyzz_xyyyyzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 851); 

                auto tg_yyyyzz_xyyyzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 852); 

                auto tg_yyyyzz_xyyzzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 853); 

                auto tg_yyyyzz_xyzzzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 854); 

                auto tg_yyyyzz_xzzzzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 855); 

                auto tg_yyyyzz_yyyyyyy_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 856); 

                auto tg_yyyyzz_yyyyyyz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 857); 

                auto tg_yyyyzz_yyyyyzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 858); 

                auto tg_yyyyzz_yyyyzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 859); 

                auto tg_yyyyyy_xxxxzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 765); 

                auto tg_yyyyyy_xxxyyyy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 766); 

                auto tg_yyyyyy_xxxyyyz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 767); 

                auto tg_yyyyyy_xxxyyzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 768); 

                auto tg_yyyyyy_xxxyzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 769); 

                auto tg_yyyyyy_xxxzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 770); 

                auto tg_yyyyyy_xxyyyyy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 771); 

                auto tg_yyyyyy_xxyyyyz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 772); 

                auto tg_yyyyyy_xxyyyzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 773); 

                auto tg_yyyyyy_xxyyzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 774); 

                auto tg_yyyyyy_xxyzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 775); 

                auto tg_yyyyyy_xxzzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 776); 

                auto tg_yyyyyy_xyyyyyy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 777); 

                auto tg_yyyyyy_xyyyyyz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 778); 

                auto tg_yyyyyy_xyyyyzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 779); 

                auto tg_yyyyyy_xyyyzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 780); 

                auto tg_yyyyyy_xyyzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 781); 

                auto tg_yyyyyy_xyzzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 782); 

                auto tg_yyyyyy_xzzzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 783); 

                auto tg_yyyyyy_yyyyyyy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 784); 

                auto tg_yyyyyy_yyyyyyz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 785); 

                auto tg_yyyyyy_yyyyyzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 786); 

                auto tg_yyyyyy_yyyyzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 787); 

                auto tg_yyyyyy_yyyzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 788); 

                auto tg_yyyyyy_yyzzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 789); 

                auto tg_yyyyyy_yzzzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 790); 

                auto tg_yyyyyy_zzzzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 791); 

                auto tg_yyyyyz_xxxxxxx_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 792); 

                auto tg_yyyyyz_xxxxxxy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 793); 

                auto tg_yyyyyz_xxxxxxz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 794); 

                auto tg_yyyyyz_xxxxxyy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 795); 

                auto tg_yyyyyz_xxxxxyz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 796); 

                auto tg_yyyyyz_xxxxxzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 797); 

                auto tg_yyyyyz_xxxxyyy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 798); 

                auto tg_yyyyyz_xxxxyyz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 799); 

                auto tg_yyyyyz_xxxxyzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 800); 

                auto tg_yyyyyz_xxxxzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 801); 

                auto tg_yyyyyz_xxxyyyy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 802); 

                auto tg_yyyyyz_xxxyyyz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 803); 

                auto tg_yyyyyz_xxxyyzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 804); 

                auto tg_yyyyyz_xxxyzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 805); 

                auto tg_yyyyyz_xxxzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 806); 

                auto tg_yyyyyz_xxyyyyy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 807); 

                auto tg_yyyyyz_xxyyyyz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 808); 

                auto tg_yyyyyz_xxyyyzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 809); 

                auto tg_yyyyyz_xxyyzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 810); 

                auto tg_yyyyyz_xxyzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 811); 

                auto tg_yyyyyz_xxzzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 812); 

                auto tg_yyyyyz_xyyyyyy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 813); 

                auto tg_yyyyyz_xyyyyyz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 814); 

                auto tg_yyyyyz_xyyyyzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 815); 

                auto tg_yyyyyz_xyyyzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 816); 

                auto tg_yyyyyz_xyyzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 817); 

                auto tg_yyyyyz_xyzzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 818); 

                auto tg_yyyyyz_xzzzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 819); 

                auto tg_yyyyyz_yyyyyyy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 820); 

                auto tg_yyyyyz_yyyyyyz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 821); 

                auto tg_yyyyyz_yyyyyzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 822); 

                auto tg_yyyyyz_yyyyzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 823); 

                auto tg_yyyyyz_yyyzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 824); 

                auto tg_yyyyyz_yyzzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 825); 

                auto tg_yyyyyz_yzzzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 826); 

                auto tg_yyyyyz_zzzzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 827); 

                auto tg_yyyyzz_xxxxxxx_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 828); 

                auto tg_yyyyzz_xxxxxxy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 829); 

                auto tg_yyyyzz_xxxxxxz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 830); 

                auto tg_yyyyzz_xxxxxyy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 831); 

                auto tg_yyyyzz_xxxxxyz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 832); 

                auto tg_yyyyzz_xxxxxzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 833); 

                auto tg_yyyyzz_xxxxyyy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 834); 

                auto tg_yyyyzz_xxxxyyz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 835); 

                auto tg_yyyyzz_xxxxyzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 836); 

                auto tg_yyyyzz_xxxxzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 837); 

                auto tg_yyyyzz_xxxyyyy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 838); 

                auto tg_yyyyzz_xxxyyyz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 839); 

                auto tg_yyyyzz_xxxyyzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 840); 

                auto tg_yyyyzz_xxxyzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 841); 

                auto tg_yyyyzz_xxxzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 842); 

                auto tg_yyyyzz_xxyyyyy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 843); 

                auto tg_yyyyzz_xxyyyyz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 844); 

                auto tg_yyyyzz_xxyyyzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 845); 

                auto tg_yyyyzz_xxyyzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 846); 

                auto tg_yyyyzz_xxyzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 847); 

                auto tg_yyyyzz_xxzzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 848); 

                auto tg_yyyyzz_xyyyyyy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 849); 

                auto tg_yyyyzz_xyyyyyz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 850); 

                auto tg_yyyyzz_xyyyyzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 851); 

                auto tg_yyyyzz_xyyyzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 852); 

                auto tg_yyyyzz_xyyzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 853); 

                auto tg_yyyyzz_xyzzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 854); 

                auto tg_yyyyzz_xzzzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 855); 

                auto tg_yyyyzz_yyyyyyy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 856); 

                auto tg_yyyyzz_yyyyyyz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 857); 

                auto tg_yyyyzz_yyyyyzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 858); 

                auto tg_yyyyzz_yyyyzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 859); 

                auto tg_xyyyyyy_xxxzzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 597); 

                auto tg_xyyyyyy_xxyyyy_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 598); 

                auto tg_xyyyyyy_xxyyyz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 599); 

                auto tg_xyyyyyy_xxyyzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 600); 

                auto tg_xyyyyyy_xxyzzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 601); 

                auto tg_xyyyyyy_xxzzzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 602); 

                auto tg_xyyyyyy_xyyyyy_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 603); 

                auto tg_xyyyyyy_xyyyyz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 604); 

                auto tg_xyyyyyy_xyyyzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 605); 

                auto tg_xyyyyyy_xyyzzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 606); 

                auto tg_xyyyyyy_xyzzzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 607); 

                auto tg_xyyyyyy_xzzzzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 608); 

                auto tg_xyyyyyy_yyyyyy_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 609); 

                auto tg_xyyyyyy_yyyyyz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 610); 

                auto tg_xyyyyyy_yyyyzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 611); 

                auto tg_xyyyyyy_yyyzzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 612); 

                auto tg_xyyyyyy_yyzzzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 613); 

                auto tg_xyyyyyy_yzzzzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 614); 

                auto tg_xyyyyyy_zzzzzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 615); 

                auto tg_xyyyyyz_xxxxxx_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 616); 

                auto tg_xyyyyyz_xxxxxy_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 617); 

                auto tg_xyyyyyz_xxxxxz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 618); 

                auto tg_xyyyyyz_xxxxyy_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 619); 

                auto tg_xyyyyyz_xxxxyz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 620); 

                auto tg_xyyyyyz_xxxxzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 621); 

                auto tg_xyyyyyz_xxxyyy_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 622); 

                auto tg_xyyyyyz_xxxyyz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 623); 

                auto tg_xyyyyyz_xxxyzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 624); 

                auto tg_xyyyyyz_xxxzzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 625); 

                auto tg_xyyyyyz_xxyyyy_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 626); 

                auto tg_xyyyyyz_xxyyyz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 627); 

                auto tg_xyyyyyz_xxyyzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 628); 

                auto tg_xyyyyyz_xxyzzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 629); 

                auto tg_xyyyyyz_xxzzzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 630); 

                auto tg_xyyyyyz_xyyyyy_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 631); 

                auto tg_xyyyyyz_xyyyyz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 632); 

                auto tg_xyyyyyz_xyyyzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 633); 

                auto tg_xyyyyyz_xyyzzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 634); 

                auto tg_xyyyyyz_xyzzzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 635); 

                auto tg_xyyyyyz_xzzzzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 636); 

                auto tg_xyyyyyz_yyyyyy_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 637); 

                auto tg_xyyyyyz_yyyyyz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 638); 

                auto tg_xyyyyyz_yyyyzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 639); 

                auto tg_xyyyyyz_yyyzzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 640); 

                auto tg_xyyyyyz_yyzzzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 641); 

                auto tg_xyyyyyz_yzzzzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 642); 

                auto tg_xyyyyyz_zzzzzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 643); 

                auto tg_xyyyyzz_xxxxxx_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 644); 

                auto tg_xyyyyzz_xxxxxy_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 645); 

                auto tg_xyyyyzz_xxxxxz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 646); 

                auto tg_xyyyyzz_xxxxyy_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 647); 

                auto tg_xyyyyzz_xxxxyz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 648); 

                auto tg_xyyyyzz_xxxxzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 649); 

                auto tg_xyyyyzz_xxxyyy_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 650); 

                auto tg_xyyyyzz_xxxyyz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 651); 

                auto tg_xyyyyzz_xxxyzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 652); 

                auto tg_xyyyyzz_xxxzzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 653); 

                auto tg_xyyyyzz_xxyyyy_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 654); 

                auto tg_xyyyyzz_xxyyyz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 655); 

                auto tg_xyyyyzz_xxyyzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 656); 

                auto tg_xyyyyzz_xxyzzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 657); 

                auto tg_xyyyyzz_xxzzzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 658); 

                auto tg_xyyyyzz_xyyyyy_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 659); 

                auto tg_xyyyyzz_xyyyyz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 660); 

                auto tg_xyyyyzz_xyyyzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 661); 

                auto tg_xyyyyzz_xyyzzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 662); 

                auto tg_xyyyyzz_xyzzzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 663); 

                auto tg_xyyyyzz_xzzzzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 664); 

                auto tg_xyyyyzz_yyyyyy_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 665); 

                auto tg_xyyyyzz_yyyyyz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 666); 

                auto tg_xyyyyzz_yyyyzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 667); 

                auto tg_xyyyyzz_yyyzzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 668); 

                auto tg_xyyyyzz_yyzzzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 669); 

                auto tg_xyyyyzz_yzzzzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 670); 

                auto tg_xyyyyzz_zzzzzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 671); 

                // set up pointers to integrals

                auto tg_xxyyyyyy_xxxxzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 765); 

                auto tg_xxyyyyyy_xxxyyyy_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 766); 

                auto tg_xxyyyyyy_xxxyyyz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 767); 

                auto tg_xxyyyyyy_xxxyyzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 768); 

                auto tg_xxyyyyyy_xxxyzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 769); 

                auto tg_xxyyyyyy_xxxzzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 770); 

                auto tg_xxyyyyyy_xxyyyyy_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 771); 

                auto tg_xxyyyyyy_xxyyyyz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 772); 

                auto tg_xxyyyyyy_xxyyyzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 773); 

                auto tg_xxyyyyyy_xxyyzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 774); 

                auto tg_xxyyyyyy_xxyzzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 775); 

                auto tg_xxyyyyyy_xxzzzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 776); 

                auto tg_xxyyyyyy_xyyyyyy_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 777); 

                auto tg_xxyyyyyy_xyyyyyz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 778); 

                auto tg_xxyyyyyy_xyyyyzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 779); 

                auto tg_xxyyyyyy_xyyyzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 780); 

                auto tg_xxyyyyyy_xyyzzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 781); 

                auto tg_xxyyyyyy_xyzzzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 782); 

                auto tg_xxyyyyyy_xzzzzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 783); 

                auto tg_xxyyyyyy_yyyyyyy_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 784); 

                auto tg_xxyyyyyy_yyyyyyz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 785); 

                auto tg_xxyyyyyy_yyyyyzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 786); 

                auto tg_xxyyyyyy_yyyyzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 787); 

                auto tg_xxyyyyyy_yyyzzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 788); 

                auto tg_xxyyyyyy_yyzzzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 789); 

                auto tg_xxyyyyyy_yzzzzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 790); 

                auto tg_xxyyyyyy_zzzzzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 791); 

                auto tg_xxyyyyyz_xxxxxxx_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 792); 

                auto tg_xxyyyyyz_xxxxxxy_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 793); 

                auto tg_xxyyyyyz_xxxxxxz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 794); 

                auto tg_xxyyyyyz_xxxxxyy_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 795); 

                auto tg_xxyyyyyz_xxxxxyz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 796); 

                auto tg_xxyyyyyz_xxxxxzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 797); 

                auto tg_xxyyyyyz_xxxxyyy_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 798); 

                auto tg_xxyyyyyz_xxxxyyz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 799); 

                auto tg_xxyyyyyz_xxxxyzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 800); 

                auto tg_xxyyyyyz_xxxxzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 801); 

                auto tg_xxyyyyyz_xxxyyyy_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 802); 

                auto tg_xxyyyyyz_xxxyyyz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 803); 

                auto tg_xxyyyyyz_xxxyyzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 804); 

                auto tg_xxyyyyyz_xxxyzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 805); 

                auto tg_xxyyyyyz_xxxzzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 806); 

                auto tg_xxyyyyyz_xxyyyyy_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 807); 

                auto tg_xxyyyyyz_xxyyyyz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 808); 

                auto tg_xxyyyyyz_xxyyyzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 809); 

                auto tg_xxyyyyyz_xxyyzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 810); 

                auto tg_xxyyyyyz_xxyzzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 811); 

                auto tg_xxyyyyyz_xxzzzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 812); 

                auto tg_xxyyyyyz_xyyyyyy_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 813); 

                auto tg_xxyyyyyz_xyyyyyz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 814); 

                auto tg_xxyyyyyz_xyyyyzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 815); 

                auto tg_xxyyyyyz_xyyyzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 816); 

                auto tg_xxyyyyyz_xyyzzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 817); 

                auto tg_xxyyyyyz_xyzzzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 818); 

                auto tg_xxyyyyyz_xzzzzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 819); 

                auto tg_xxyyyyyz_yyyyyyy_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 820); 

                auto tg_xxyyyyyz_yyyyyyz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 821); 

                auto tg_xxyyyyyz_yyyyyzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 822); 

                auto tg_xxyyyyyz_yyyyzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 823); 

                auto tg_xxyyyyyz_yyyzzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 824); 

                auto tg_xxyyyyyz_yyzzzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 825); 

                auto tg_xxyyyyyz_yzzzzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 826); 

                auto tg_xxyyyyyz_zzzzzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 827); 

                auto tg_xxyyyyzz_xxxxxxx_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 828); 

                auto tg_xxyyyyzz_xxxxxxy_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 829); 

                auto tg_xxyyyyzz_xxxxxxz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 830); 

                auto tg_xxyyyyzz_xxxxxyy_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 831); 

                auto tg_xxyyyyzz_xxxxxyz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 832); 

                auto tg_xxyyyyzz_xxxxxzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 833); 

                auto tg_xxyyyyzz_xxxxyyy_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 834); 

                auto tg_xxyyyyzz_xxxxyyz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 835); 

                auto tg_xxyyyyzz_xxxxyzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 836); 

                auto tg_xxyyyyzz_xxxxzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 837); 

                auto tg_xxyyyyzz_xxxyyyy_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 838); 

                auto tg_xxyyyyzz_xxxyyyz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 839); 

                auto tg_xxyyyyzz_xxxyyzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 840); 

                auto tg_xxyyyyzz_xxxyzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 841); 

                auto tg_xxyyyyzz_xxxzzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 842); 

                auto tg_xxyyyyzz_xxyyyyy_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 843); 

                auto tg_xxyyyyzz_xxyyyyz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 844); 

                auto tg_xxyyyyzz_xxyyyzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 845); 

                auto tg_xxyyyyzz_xxyyzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 846); 

                auto tg_xxyyyyzz_xxyzzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 847); 

                auto tg_xxyyyyzz_xxzzzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 848); 

                auto tg_xxyyyyzz_xyyyyyy_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 849); 

                auto tg_xxyyyyzz_xyyyyyz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 850); 

                auto tg_xxyyyyzz_xyyyyzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 851); 

                auto tg_xxyyyyzz_xyyyzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 852); 

                auto tg_xxyyyyzz_xyyzzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 853); 

                auto tg_xxyyyyzz_xyzzzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 854); 

                auto tg_xxyyyyzz_xzzzzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 855); 

                auto tg_xxyyyyzz_yyyyyyy_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 856); 

                auto tg_xxyyyyzz_yyyyyyz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 857); 

                auto tg_xxyyyyzz_yyyyyzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 858); 

                auto tg_xxyyyyzz_yyyyzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 859); 

                // Batch of Integrals (765,860)

                #pragma omp simd aligned(fxn, fza, tg_xxyyyyyy_xxxxzzz_0, tg_xxyyyyyy_xxxyyyy_0, \
                                         tg_xxyyyyyy_xxxyyyz_0, tg_xxyyyyyy_xxxyyzz_0, tg_xxyyyyyy_xxxyzzz_0, \
                                         tg_xxyyyyyy_xxxzzzz_0, tg_xxyyyyyy_xxyyyyy_0, tg_xxyyyyyy_xxyyyyz_0, \
                                         tg_xxyyyyyy_xxyyyzz_0, tg_xxyyyyyy_xxyyzzz_0, tg_xxyyyyyy_xxyzzzz_0, \
                                         tg_xxyyyyyy_xxzzzzz_0, tg_xxyyyyyy_xyyyyyy_0, tg_xxyyyyyy_xyyyyyz_0, \
                                         tg_xxyyyyyy_xyyyyzz_0, tg_xxyyyyyy_xyyyzzz_0, tg_xxyyyyyy_xyyzzzz_0, \
                                         tg_xxyyyyyy_xyzzzzz_0, tg_xxyyyyyy_xzzzzzz_0, tg_xxyyyyyy_yyyyyyy_0, \
                                         tg_xxyyyyyy_yyyyyyz_0, tg_xxyyyyyy_yyyyyzz_0, tg_xxyyyyyy_yyyyzzz_0, \
                                         tg_xxyyyyyy_yyyzzzz_0, tg_xxyyyyyy_yyzzzzz_0, tg_xxyyyyyy_yzzzzzz_0, \
                                         tg_xxyyyyyy_zzzzzzz_0, tg_xxyyyyyz_xxxxxxx_0, tg_xxyyyyyz_xxxxxxy_0, \
                                         tg_xxyyyyyz_xxxxxxz_0, tg_xxyyyyyz_xxxxxyy_0, tg_xxyyyyyz_xxxxxyz_0, \
                                         tg_xxyyyyyz_xxxxxzz_0, tg_xxyyyyyz_xxxxyyy_0, tg_xxyyyyyz_xxxxyyz_0, \
                                         tg_xxyyyyyz_xxxxyzz_0, tg_xxyyyyyz_xxxxzzz_0, tg_xxyyyyyz_xxxyyyy_0, \
                                         tg_xxyyyyyz_xxxyyyz_0, tg_xxyyyyyz_xxxyyzz_0, tg_xxyyyyyz_xxxyzzz_0, \
                                         tg_xxyyyyyz_xxxzzzz_0, tg_xxyyyyyz_xxyyyyy_0, tg_xxyyyyyz_xxyyyyz_0, \
                                         tg_xxyyyyyz_xxyyyzz_0, tg_xxyyyyyz_xxyyzzz_0, tg_xxyyyyyz_xxyzzzz_0, \
                                         tg_xxyyyyyz_xxzzzzz_0, tg_xxyyyyyz_xyyyyyy_0, tg_xxyyyyyz_xyyyyyz_0, \
                                         tg_xxyyyyyz_xyyyyzz_0, tg_xxyyyyyz_xyyyzzz_0, tg_xxyyyyyz_xyyzzzz_0, \
                                         tg_xxyyyyyz_xyzzzzz_0, tg_xxyyyyyz_xzzzzzz_0, tg_xxyyyyyz_yyyyyyy_0, \
                                         tg_xxyyyyyz_yyyyyyz_0, tg_xxyyyyyz_yyyyyzz_0, tg_xxyyyyyz_yyyyzzz_0, \
                                         tg_xxyyyyyz_yyyzzzz_0, tg_xxyyyyyz_yyzzzzz_0, tg_xxyyyyyz_yzzzzzz_0, \
                                         tg_xxyyyyyz_zzzzzzz_0, tg_xxyyyyzz_xxxxxxx_0, tg_xxyyyyzz_xxxxxxy_0, \
                                         tg_xxyyyyzz_xxxxxxz_0, tg_xxyyyyzz_xxxxxyy_0, tg_xxyyyyzz_xxxxxyz_0, \
                                         tg_xxyyyyzz_xxxxxzz_0, tg_xxyyyyzz_xxxxyyy_0, tg_xxyyyyzz_xxxxyyz_0, \
                                         tg_xxyyyyzz_xxxxyzz_0, tg_xxyyyyzz_xxxxzzz_0, tg_xxyyyyzz_xxxyyyy_0, \
                                         tg_xxyyyyzz_xxxyyyz_0, tg_xxyyyyzz_xxxyyzz_0, tg_xxyyyyzz_xxxyzzz_0, \
                                         tg_xxyyyyzz_xxxzzzz_0, tg_xxyyyyzz_xxyyyyy_0, tg_xxyyyyzz_xxyyyyz_0, \
                                         tg_xxyyyyzz_xxyyyzz_0, tg_xxyyyyzz_xxyyzzz_0, tg_xxyyyyzz_xxyzzzz_0, \
                                         tg_xxyyyyzz_xxzzzzz_0, tg_xxyyyyzz_xyyyyyy_0, tg_xxyyyyzz_xyyyyyz_0, \
                                         tg_xxyyyyzz_xyyyyzz_0, tg_xxyyyyzz_xyyyzzz_0, tg_xxyyyyzz_xyyzzzz_0, \
                                         tg_xxyyyyzz_xyzzzzz_0, tg_xxyyyyzz_xzzzzzz_0, tg_xxyyyyzz_yyyyyyy_0, \
                                         tg_xxyyyyzz_yyyyyyz_0, tg_xxyyyyzz_yyyyyzz_0, tg_xxyyyyzz_yyyyzzz_0, \
                                         tg_xyyyyyy_xxxxzzz_0, tg_xyyyyyy_xxxxzzz_1, tg_xyyyyyy_xxxyyyy_0, tg_xyyyyyy_xxxyyyy_1, \
                                         tg_xyyyyyy_xxxyyyz_0, tg_xyyyyyy_xxxyyyz_1, tg_xyyyyyy_xxxyyzz_0, tg_xyyyyyy_xxxyyzz_1, \
                                         tg_xyyyyyy_xxxyzzz_0, tg_xyyyyyy_xxxyzzz_1, tg_xyyyyyy_xxxzzz_1, tg_xyyyyyy_xxxzzzz_0, \
                                         tg_xyyyyyy_xxxzzzz_1, tg_xyyyyyy_xxyyyy_1, tg_xyyyyyy_xxyyyyy_0, tg_xyyyyyy_xxyyyyy_1, \
                                         tg_xyyyyyy_xxyyyyz_0, tg_xyyyyyy_xxyyyyz_1, tg_xyyyyyy_xxyyyz_1, tg_xyyyyyy_xxyyyzz_0, \
                                         tg_xyyyyyy_xxyyyzz_1, tg_xyyyyyy_xxyyzz_1, tg_xyyyyyy_xxyyzzz_0, tg_xyyyyyy_xxyyzzz_1, \
                                         tg_xyyyyyy_xxyzzz_1, tg_xyyyyyy_xxyzzzz_0, tg_xyyyyyy_xxyzzzz_1, tg_xyyyyyy_xxzzzz_1, \
                                         tg_xyyyyyy_xxzzzzz_0, tg_xyyyyyy_xxzzzzz_1, tg_xyyyyyy_xyyyyy_1, tg_xyyyyyy_xyyyyyy_0, \
                                         tg_xyyyyyy_xyyyyyy_1, tg_xyyyyyy_xyyyyyz_0, tg_xyyyyyy_xyyyyyz_1, tg_xyyyyyy_xyyyyz_1, \
                                         tg_xyyyyyy_xyyyyzz_0, tg_xyyyyyy_xyyyyzz_1, tg_xyyyyyy_xyyyzz_1, tg_xyyyyyy_xyyyzzz_0, \
                                         tg_xyyyyyy_xyyyzzz_1, tg_xyyyyyy_xyyzzz_1, tg_xyyyyyy_xyyzzzz_0, tg_xyyyyyy_xyyzzzz_1, \
                                         tg_xyyyyyy_xyzzzz_1, tg_xyyyyyy_xyzzzzz_0, tg_xyyyyyy_xyzzzzz_1, tg_xyyyyyy_xzzzzz_1, \
                                         tg_xyyyyyy_xzzzzzz_0, tg_xyyyyyy_xzzzzzz_1, tg_xyyyyyy_yyyyyy_1, tg_xyyyyyy_yyyyyyy_0, \
                                         tg_xyyyyyy_yyyyyyy_1, tg_xyyyyyy_yyyyyyz_0, tg_xyyyyyy_yyyyyyz_1, tg_xyyyyyy_yyyyyz_1, \
                                         tg_xyyyyyy_yyyyyzz_0, tg_xyyyyyy_yyyyyzz_1, tg_xyyyyyy_yyyyzz_1, tg_xyyyyyy_yyyyzzz_0, \
                                         tg_xyyyyyy_yyyyzzz_1, tg_xyyyyyy_yyyzzz_1, tg_xyyyyyy_yyyzzzz_0, tg_xyyyyyy_yyyzzzz_1, \
                                         tg_xyyyyyy_yyzzzz_1, tg_xyyyyyy_yyzzzzz_0, tg_xyyyyyy_yyzzzzz_1, tg_xyyyyyy_yzzzzz_1, \
                                         tg_xyyyyyy_yzzzzzz_0, tg_xyyyyyy_yzzzzzz_1, tg_xyyyyyy_zzzzzz_1, tg_xyyyyyy_zzzzzzz_0, \
                                         tg_xyyyyyy_zzzzzzz_1, tg_xyyyyyz_xxxxxx_1, tg_xyyyyyz_xxxxxxx_0, tg_xyyyyyz_xxxxxxx_1, \
                                         tg_xyyyyyz_xxxxxxy_0, tg_xyyyyyz_xxxxxxy_1, tg_xyyyyyz_xxxxxxz_0, tg_xyyyyyz_xxxxxxz_1, \
                                         tg_xyyyyyz_xxxxxy_1, tg_xyyyyyz_xxxxxyy_0, tg_xyyyyyz_xxxxxyy_1, tg_xyyyyyz_xxxxxyz_0, \
                                         tg_xyyyyyz_xxxxxyz_1, tg_xyyyyyz_xxxxxz_1, tg_xyyyyyz_xxxxxzz_0, tg_xyyyyyz_xxxxxzz_1, \
                                         tg_xyyyyyz_xxxxyy_1, tg_xyyyyyz_xxxxyyy_0, tg_xyyyyyz_xxxxyyy_1, tg_xyyyyyz_xxxxyyz_0, \
                                         tg_xyyyyyz_xxxxyyz_1, tg_xyyyyyz_xxxxyz_1, tg_xyyyyyz_xxxxyzz_0, tg_xyyyyyz_xxxxyzz_1, \
                                         tg_xyyyyyz_xxxxzz_1, tg_xyyyyyz_xxxxzzz_0, tg_xyyyyyz_xxxxzzz_1, tg_xyyyyyz_xxxyyy_1, \
                                         tg_xyyyyyz_xxxyyyy_0, tg_xyyyyyz_xxxyyyy_1, tg_xyyyyyz_xxxyyyz_0, tg_xyyyyyz_xxxyyyz_1, \
                                         tg_xyyyyyz_xxxyyz_1, tg_xyyyyyz_xxxyyzz_0, tg_xyyyyyz_xxxyyzz_1, tg_xyyyyyz_xxxyzz_1, \
                                         tg_xyyyyyz_xxxyzzz_0, tg_xyyyyyz_xxxyzzz_1, tg_xyyyyyz_xxxzzz_1, tg_xyyyyyz_xxxzzzz_0, \
                                         tg_xyyyyyz_xxxzzzz_1, tg_xyyyyyz_xxyyyy_1, tg_xyyyyyz_xxyyyyy_0, tg_xyyyyyz_xxyyyyy_1, \
                                         tg_xyyyyyz_xxyyyyz_0, tg_xyyyyyz_xxyyyyz_1, tg_xyyyyyz_xxyyyz_1, tg_xyyyyyz_xxyyyzz_0, \
                                         tg_xyyyyyz_xxyyyzz_1, tg_xyyyyyz_xxyyzz_1, tg_xyyyyyz_xxyyzzz_0, tg_xyyyyyz_xxyyzzz_1, \
                                         tg_xyyyyyz_xxyzzz_1, tg_xyyyyyz_xxyzzzz_0, tg_xyyyyyz_xxyzzzz_1, tg_xyyyyyz_xxzzzz_1, \
                                         tg_xyyyyyz_xxzzzzz_0, tg_xyyyyyz_xxzzzzz_1, tg_xyyyyyz_xyyyyy_1, tg_xyyyyyz_xyyyyyy_0, \
                                         tg_xyyyyyz_xyyyyyy_1, tg_xyyyyyz_xyyyyyz_0, tg_xyyyyyz_xyyyyyz_1, tg_xyyyyyz_xyyyyz_1, \
                                         tg_xyyyyyz_xyyyyzz_0, tg_xyyyyyz_xyyyyzz_1, tg_xyyyyyz_xyyyzz_1, tg_xyyyyyz_xyyyzzz_0, \
                                         tg_xyyyyyz_xyyyzzz_1, tg_xyyyyyz_xyyzzz_1, tg_xyyyyyz_xyyzzzz_0, tg_xyyyyyz_xyyzzzz_1, \
                                         tg_xyyyyyz_xyzzzz_1, tg_xyyyyyz_xyzzzzz_0, tg_xyyyyyz_xyzzzzz_1, tg_xyyyyyz_xzzzzz_1, \
                                         tg_xyyyyyz_xzzzzzz_0, tg_xyyyyyz_xzzzzzz_1, tg_xyyyyyz_yyyyyy_1, tg_xyyyyyz_yyyyyyy_0, \
                                         tg_xyyyyyz_yyyyyyy_1, tg_xyyyyyz_yyyyyyz_0, tg_xyyyyyz_yyyyyyz_1, tg_xyyyyyz_yyyyyz_1, \
                                         tg_xyyyyyz_yyyyyzz_0, tg_xyyyyyz_yyyyyzz_1, tg_xyyyyyz_yyyyzz_1, tg_xyyyyyz_yyyyzzz_0, \
                                         tg_xyyyyyz_yyyyzzz_1, tg_xyyyyyz_yyyzzz_1, tg_xyyyyyz_yyyzzzz_0, tg_xyyyyyz_yyyzzzz_1, \
                                         tg_xyyyyyz_yyzzzz_1, tg_xyyyyyz_yyzzzzz_0, tg_xyyyyyz_yyzzzzz_1, tg_xyyyyyz_yzzzzz_1, \
                                         tg_xyyyyyz_yzzzzzz_0, tg_xyyyyyz_yzzzzzz_1, tg_xyyyyyz_zzzzzz_1, tg_xyyyyyz_zzzzzzz_0, \
                                         tg_xyyyyyz_zzzzzzz_1, tg_xyyyyzz_xxxxxx_1, tg_xyyyyzz_xxxxxxx_0, tg_xyyyyzz_xxxxxxx_1, \
                                         tg_xyyyyzz_xxxxxxy_0, tg_xyyyyzz_xxxxxxy_1, tg_xyyyyzz_xxxxxxz_0, tg_xyyyyzz_xxxxxxz_1, \
                                         tg_xyyyyzz_xxxxxy_1, tg_xyyyyzz_xxxxxyy_0, tg_xyyyyzz_xxxxxyy_1, tg_xyyyyzz_xxxxxyz_0, \
                                         tg_xyyyyzz_xxxxxyz_1, tg_xyyyyzz_xxxxxz_1, tg_xyyyyzz_xxxxxzz_0, tg_xyyyyzz_xxxxxzz_1, \
                                         tg_xyyyyzz_xxxxyy_1, tg_xyyyyzz_xxxxyyy_0, tg_xyyyyzz_xxxxyyy_1, tg_xyyyyzz_xxxxyyz_0, \
                                         tg_xyyyyzz_xxxxyyz_1, tg_xyyyyzz_xxxxyz_1, tg_xyyyyzz_xxxxyzz_0, tg_xyyyyzz_xxxxyzz_1, \
                                         tg_xyyyyzz_xxxxzz_1, tg_xyyyyzz_xxxxzzz_0, tg_xyyyyzz_xxxxzzz_1, tg_xyyyyzz_xxxyyy_1, \
                                         tg_xyyyyzz_xxxyyyy_0, tg_xyyyyzz_xxxyyyy_1, tg_xyyyyzz_xxxyyyz_0, tg_xyyyyzz_xxxyyyz_1, \
                                         tg_xyyyyzz_xxxyyz_1, tg_xyyyyzz_xxxyyzz_0, tg_xyyyyzz_xxxyyzz_1, tg_xyyyyzz_xxxyzz_1, \
                                         tg_xyyyyzz_xxxyzzz_0, tg_xyyyyzz_xxxyzzz_1, tg_xyyyyzz_xxxzzz_1, tg_xyyyyzz_xxxzzzz_0, \
                                         tg_xyyyyzz_xxxzzzz_1, tg_xyyyyzz_xxyyyy_1, tg_xyyyyzz_xxyyyyy_0, tg_xyyyyzz_xxyyyyy_1, \
                                         tg_xyyyyzz_xxyyyyz_0, tg_xyyyyzz_xxyyyyz_1, tg_xyyyyzz_xxyyyz_1, tg_xyyyyzz_xxyyyzz_0, \
                                         tg_xyyyyzz_xxyyyzz_1, tg_xyyyyzz_xxyyzz_1, tg_xyyyyzz_xxyyzzz_0, tg_xyyyyzz_xxyyzzz_1, \
                                         tg_xyyyyzz_xxyzzz_1, tg_xyyyyzz_xxyzzzz_0, tg_xyyyyzz_xxyzzzz_1, tg_xyyyyzz_xxzzzz_1, \
                                         tg_xyyyyzz_xxzzzzz_0, tg_xyyyyzz_xxzzzzz_1, tg_xyyyyzz_xyyyyy_1, tg_xyyyyzz_xyyyyyy_0, \
                                         tg_xyyyyzz_xyyyyyy_1, tg_xyyyyzz_xyyyyyz_0, tg_xyyyyzz_xyyyyyz_1, tg_xyyyyzz_xyyyyz_1, \
                                         tg_xyyyyzz_xyyyyzz_0, tg_xyyyyzz_xyyyyzz_1, tg_xyyyyzz_xyyyzz_1, tg_xyyyyzz_xyyyzzz_0, \
                                         tg_xyyyyzz_xyyyzzz_1, tg_xyyyyzz_xyyzzz_1, tg_xyyyyzz_xyyzzzz_0, tg_xyyyyzz_xyyzzzz_1, \
                                         tg_xyyyyzz_xyzzzz_1, tg_xyyyyzz_xyzzzzz_0, tg_xyyyyzz_xyzzzzz_1, tg_xyyyyzz_xzzzzz_1, \
                                         tg_xyyyyzz_xzzzzzz_0, tg_xyyyyzz_xzzzzzz_1, tg_xyyyyzz_yyyyyy_1, tg_xyyyyzz_yyyyyyy_0, \
                                         tg_xyyyyzz_yyyyyyy_1, tg_xyyyyzz_yyyyyyz_0, tg_xyyyyzz_yyyyyyz_1, tg_xyyyyzz_yyyyyz_1, \
                                         tg_xyyyyzz_yyyyyzz_0, tg_xyyyyzz_yyyyyzz_1, tg_xyyyyzz_yyyyzz_1, tg_xyyyyzz_yyyyzzz_0, \
                                         tg_xyyyyzz_yyyyzzz_1, tg_xyyyyzz_yyyzzz_1, tg_xyyyyzz_yyzzzz_1, tg_xyyyyzz_yzzzzz_1, \
                                         tg_xyyyyzz_zzzzzz_1, tg_yyyyyy_xxxxzzz_0, tg_yyyyyy_xxxxzzz_1, tg_yyyyyy_xxxyyyy_0, \
                                         tg_yyyyyy_xxxyyyy_1, tg_yyyyyy_xxxyyyz_0, tg_yyyyyy_xxxyyyz_1, tg_yyyyyy_xxxyyzz_0, \
                                         tg_yyyyyy_xxxyyzz_1, tg_yyyyyy_xxxyzzz_0, tg_yyyyyy_xxxyzzz_1, tg_yyyyyy_xxxzzzz_0, \
                                         tg_yyyyyy_xxxzzzz_1, tg_yyyyyy_xxyyyyy_0, tg_yyyyyy_xxyyyyy_1, tg_yyyyyy_xxyyyyz_0, \
                                         tg_yyyyyy_xxyyyyz_1, tg_yyyyyy_xxyyyzz_0, tg_yyyyyy_xxyyyzz_1, tg_yyyyyy_xxyyzzz_0, \
                                         tg_yyyyyy_xxyyzzz_1, tg_yyyyyy_xxyzzzz_0, tg_yyyyyy_xxyzzzz_1, tg_yyyyyy_xxzzzzz_0, \
                                         tg_yyyyyy_xxzzzzz_1, tg_yyyyyy_xyyyyyy_0, tg_yyyyyy_xyyyyyy_1, tg_yyyyyy_xyyyyyz_0, \
                                         tg_yyyyyy_xyyyyyz_1, tg_yyyyyy_xyyyyzz_0, tg_yyyyyy_xyyyyzz_1, tg_yyyyyy_xyyyzzz_0, \
                                         tg_yyyyyy_xyyyzzz_1, tg_yyyyyy_xyyzzzz_0, tg_yyyyyy_xyyzzzz_1, tg_yyyyyy_xyzzzzz_0, \
                                         tg_yyyyyy_xyzzzzz_1, tg_yyyyyy_xzzzzzz_0, tg_yyyyyy_xzzzzzz_1, tg_yyyyyy_yyyyyyy_0, \
                                         tg_yyyyyy_yyyyyyy_1, tg_yyyyyy_yyyyyyz_0, tg_yyyyyy_yyyyyyz_1, tg_yyyyyy_yyyyyzz_0, \
                                         tg_yyyyyy_yyyyyzz_1, tg_yyyyyy_yyyyzzz_0, tg_yyyyyy_yyyyzzz_1, tg_yyyyyy_yyyzzzz_0, \
                                         tg_yyyyyy_yyyzzzz_1, tg_yyyyyy_yyzzzzz_0, tg_yyyyyy_yyzzzzz_1, tg_yyyyyy_yzzzzzz_0, \
                                         tg_yyyyyy_yzzzzzz_1, tg_yyyyyy_zzzzzzz_0, tg_yyyyyy_zzzzzzz_1, tg_yyyyyz_xxxxxxx_0, \
                                         tg_yyyyyz_xxxxxxx_1, tg_yyyyyz_xxxxxxy_0, tg_yyyyyz_xxxxxxy_1, tg_yyyyyz_xxxxxxz_0, \
                                         tg_yyyyyz_xxxxxxz_1, tg_yyyyyz_xxxxxyy_0, tg_yyyyyz_xxxxxyy_1, tg_yyyyyz_xxxxxyz_0, \
                                         tg_yyyyyz_xxxxxyz_1, tg_yyyyyz_xxxxxzz_0, tg_yyyyyz_xxxxxzz_1, tg_yyyyyz_xxxxyyy_0, \
                                         tg_yyyyyz_xxxxyyy_1, tg_yyyyyz_xxxxyyz_0, tg_yyyyyz_xxxxyyz_1, tg_yyyyyz_xxxxyzz_0, \
                                         tg_yyyyyz_xxxxyzz_1, tg_yyyyyz_xxxxzzz_0, tg_yyyyyz_xxxxzzz_1, tg_yyyyyz_xxxyyyy_0, \
                                         tg_yyyyyz_xxxyyyy_1, tg_yyyyyz_xxxyyyz_0, tg_yyyyyz_xxxyyyz_1, tg_yyyyyz_xxxyyzz_0, \
                                         tg_yyyyyz_xxxyyzz_1, tg_yyyyyz_xxxyzzz_0, tg_yyyyyz_xxxyzzz_1, tg_yyyyyz_xxxzzzz_0, \
                                         tg_yyyyyz_xxxzzzz_1, tg_yyyyyz_xxyyyyy_0, tg_yyyyyz_xxyyyyy_1, tg_yyyyyz_xxyyyyz_0, \
                                         tg_yyyyyz_xxyyyyz_1, tg_yyyyyz_xxyyyzz_0, tg_yyyyyz_xxyyyzz_1, tg_yyyyyz_xxyyzzz_0, \
                                         tg_yyyyyz_xxyyzzz_1, tg_yyyyyz_xxyzzzz_0, tg_yyyyyz_xxyzzzz_1, tg_yyyyyz_xxzzzzz_0, \
                                         tg_yyyyyz_xxzzzzz_1, tg_yyyyyz_xyyyyyy_0, tg_yyyyyz_xyyyyyy_1, tg_yyyyyz_xyyyyyz_0, \
                                         tg_yyyyyz_xyyyyyz_1, tg_yyyyyz_xyyyyzz_0, tg_yyyyyz_xyyyyzz_1, tg_yyyyyz_xyyyzzz_0, \
                                         tg_yyyyyz_xyyyzzz_1, tg_yyyyyz_xyyzzzz_0, tg_yyyyyz_xyyzzzz_1, tg_yyyyyz_xyzzzzz_0, \
                                         tg_yyyyyz_xyzzzzz_1, tg_yyyyyz_xzzzzzz_0, tg_yyyyyz_xzzzzzz_1, tg_yyyyyz_yyyyyyy_0, \
                                         tg_yyyyyz_yyyyyyy_1, tg_yyyyyz_yyyyyyz_0, tg_yyyyyz_yyyyyyz_1, tg_yyyyyz_yyyyyzz_0, \
                                         tg_yyyyyz_yyyyyzz_1, tg_yyyyyz_yyyyzzz_0, tg_yyyyyz_yyyyzzz_1, tg_yyyyyz_yyyzzzz_0, \
                                         tg_yyyyyz_yyyzzzz_1, tg_yyyyyz_yyzzzzz_0, tg_yyyyyz_yyzzzzz_1, tg_yyyyyz_yzzzzzz_0, \
                                         tg_yyyyyz_yzzzzzz_1, tg_yyyyyz_zzzzzzz_0, tg_yyyyyz_zzzzzzz_1, tg_yyyyzz_xxxxxxx_0, \
                                         tg_yyyyzz_xxxxxxx_1, tg_yyyyzz_xxxxxxy_0, tg_yyyyzz_xxxxxxy_1, tg_yyyyzz_xxxxxxz_0, \
                                         tg_yyyyzz_xxxxxxz_1, tg_yyyyzz_xxxxxyy_0, tg_yyyyzz_xxxxxyy_1, tg_yyyyzz_xxxxxyz_0, \
                                         tg_yyyyzz_xxxxxyz_1, tg_yyyyzz_xxxxxzz_0, tg_yyyyzz_xxxxxzz_1, tg_yyyyzz_xxxxyyy_0, \
                                         tg_yyyyzz_xxxxyyy_1, tg_yyyyzz_xxxxyyz_0, tg_yyyyzz_xxxxyyz_1, tg_yyyyzz_xxxxyzz_0, \
                                         tg_yyyyzz_xxxxyzz_1, tg_yyyyzz_xxxxzzz_0, tg_yyyyzz_xxxxzzz_1, tg_yyyyzz_xxxyyyy_0, \
                                         tg_yyyyzz_xxxyyyy_1, tg_yyyyzz_xxxyyyz_0, tg_yyyyzz_xxxyyyz_1, tg_yyyyzz_xxxyyzz_0, \
                                         tg_yyyyzz_xxxyyzz_1, tg_yyyyzz_xxxyzzz_0, tg_yyyyzz_xxxyzzz_1, tg_yyyyzz_xxxzzzz_0, \
                                         tg_yyyyzz_xxxzzzz_1, tg_yyyyzz_xxyyyyy_0, tg_yyyyzz_xxyyyyy_1, tg_yyyyzz_xxyyyyz_0, \
                                         tg_yyyyzz_xxyyyyz_1, tg_yyyyzz_xxyyyzz_0, tg_yyyyzz_xxyyyzz_1, tg_yyyyzz_xxyyzzz_0, \
                                         tg_yyyyzz_xxyyzzz_1, tg_yyyyzz_xxyzzzz_0, tg_yyyyzz_xxyzzzz_1, tg_yyyyzz_xxzzzzz_0, \
                                         tg_yyyyzz_xxzzzzz_1, tg_yyyyzz_xyyyyyy_0, tg_yyyyzz_xyyyyyy_1, tg_yyyyzz_xyyyyyz_0, \
                                         tg_yyyyzz_xyyyyyz_1, tg_yyyyzz_xyyyyzz_0, tg_yyyyzz_xyyyyzz_1, tg_yyyyzz_xyyyzzz_0, \
                                         tg_yyyyzz_xyyyzzz_1, tg_yyyyzz_xyyzzzz_0, tg_yyyyzz_xyyzzzz_1, tg_yyyyzz_xyzzzzz_0, \
                                         tg_yyyyzz_xyzzzzz_1, tg_yyyyzz_xzzzzzz_0, tg_yyyyzz_xzzzzzz_1, tg_yyyyzz_yyyyyyy_0, \
                                         tg_yyyyzz_yyyyyyy_1, tg_yyyyzz_yyyyyyz_0, tg_yyyyzz_yyyyyyz_1, tg_yyyyzz_yyyyyzz_0, \
                                         tg_yyyyzz_yyyyyzz_1, tg_yyyyzz_yyyyzzz_0, tg_yyyyzz_yyyyzzz_1, wp_x: VLX_ALIGN)
                for (int32_t j = 0; j < nKetPrimPairs; j++)
                {
                    double fl1_fx = fx;

                    double fl1_fxn = fxn[j];

                    double fl1_fza = fza[j];

                    double fr = wp_x[j]; 

                    tg_xxyyyyyy_xxxxzzz_0[j] = pb_x * tg_xyyyyyy_xxxxzzz_0[j] + fr * tg_xyyyyyy_xxxxzzz_1[j] + 0.5 * fl1_fx * (tg_yyyyyy_xxxxzzz_0[j] - tg_yyyyyy_xxxxzzz_1[j] * fl1_fza) + 2.0 * fl1_fxn * tg_xyyyyyy_xxxzzz_1[j];

                    tg_xxyyyyyy_xxxyyyy_0[j] = pb_x * tg_xyyyyyy_xxxyyyy_0[j] + fr * tg_xyyyyyy_xxxyyyy_1[j] + 0.5 * fl1_fx * (tg_yyyyyy_xxxyyyy_0[j] - tg_yyyyyy_xxxyyyy_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_xyyyyyy_xxyyyy_1[j];

                    tg_xxyyyyyy_xxxyyyz_0[j] = pb_x * tg_xyyyyyy_xxxyyyz_0[j] + fr * tg_xyyyyyy_xxxyyyz_1[j] + 0.5 * fl1_fx * (tg_yyyyyy_xxxyyyz_0[j] - tg_yyyyyy_xxxyyyz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_xyyyyyy_xxyyyz_1[j];

                    tg_xxyyyyyy_xxxyyzz_0[j] = pb_x * tg_xyyyyyy_xxxyyzz_0[j] + fr * tg_xyyyyyy_xxxyyzz_1[j] + 0.5 * fl1_fx * (tg_yyyyyy_xxxyyzz_0[j] - tg_yyyyyy_xxxyyzz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_xyyyyyy_xxyyzz_1[j];

                    tg_xxyyyyyy_xxxyzzz_0[j] = pb_x * tg_xyyyyyy_xxxyzzz_0[j] + fr * tg_xyyyyyy_xxxyzzz_1[j] + 0.5 * fl1_fx * (tg_yyyyyy_xxxyzzz_0[j] - tg_yyyyyy_xxxyzzz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_xyyyyyy_xxyzzz_1[j];

                    tg_xxyyyyyy_xxxzzzz_0[j] = pb_x * tg_xyyyyyy_xxxzzzz_0[j] + fr * tg_xyyyyyy_xxxzzzz_1[j] + 0.5 * fl1_fx * (tg_yyyyyy_xxxzzzz_0[j] - tg_yyyyyy_xxxzzzz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_xyyyyyy_xxzzzz_1[j];

                    tg_xxyyyyyy_xxyyyyy_0[j] = pb_x * tg_xyyyyyy_xxyyyyy_0[j] + fr * tg_xyyyyyy_xxyyyyy_1[j] + 0.5 * fl1_fx * (tg_yyyyyy_xxyyyyy_0[j] - tg_yyyyyy_xxyyyyy_1[j] * fl1_fza) + fl1_fxn * tg_xyyyyyy_xyyyyy_1[j];

                    tg_xxyyyyyy_xxyyyyz_0[j] = pb_x * tg_xyyyyyy_xxyyyyz_0[j] + fr * tg_xyyyyyy_xxyyyyz_1[j] + 0.5 * fl1_fx * (tg_yyyyyy_xxyyyyz_0[j] - tg_yyyyyy_xxyyyyz_1[j] * fl1_fza) + fl1_fxn * tg_xyyyyyy_xyyyyz_1[j];

                    tg_xxyyyyyy_xxyyyzz_0[j] = pb_x * tg_xyyyyyy_xxyyyzz_0[j] + fr * tg_xyyyyyy_xxyyyzz_1[j] + 0.5 * fl1_fx * (tg_yyyyyy_xxyyyzz_0[j] - tg_yyyyyy_xxyyyzz_1[j] * fl1_fza) + fl1_fxn * tg_xyyyyyy_xyyyzz_1[j];

                    tg_xxyyyyyy_xxyyzzz_0[j] = pb_x * tg_xyyyyyy_xxyyzzz_0[j] + fr * tg_xyyyyyy_xxyyzzz_1[j] + 0.5 * fl1_fx * (tg_yyyyyy_xxyyzzz_0[j] - tg_yyyyyy_xxyyzzz_1[j] * fl1_fza) + fl1_fxn * tg_xyyyyyy_xyyzzz_1[j];

                    tg_xxyyyyyy_xxyzzzz_0[j] = pb_x * tg_xyyyyyy_xxyzzzz_0[j] + fr * tg_xyyyyyy_xxyzzzz_1[j] + 0.5 * fl1_fx * (tg_yyyyyy_xxyzzzz_0[j] - tg_yyyyyy_xxyzzzz_1[j] * fl1_fza) + fl1_fxn * tg_xyyyyyy_xyzzzz_1[j];

                    tg_xxyyyyyy_xxzzzzz_0[j] = pb_x * tg_xyyyyyy_xxzzzzz_0[j] + fr * tg_xyyyyyy_xxzzzzz_1[j] + 0.5 * fl1_fx * (tg_yyyyyy_xxzzzzz_0[j] - tg_yyyyyy_xxzzzzz_1[j] * fl1_fza) + fl1_fxn * tg_xyyyyyy_xzzzzz_1[j];

                    tg_xxyyyyyy_xyyyyyy_0[j] = pb_x * tg_xyyyyyy_xyyyyyy_0[j] + fr * tg_xyyyyyy_xyyyyyy_1[j] + 0.5 * fl1_fx * (tg_yyyyyy_xyyyyyy_0[j] - tg_yyyyyy_xyyyyyy_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xyyyyyy_yyyyyy_1[j];

                    tg_xxyyyyyy_xyyyyyz_0[j] = pb_x * tg_xyyyyyy_xyyyyyz_0[j] + fr * tg_xyyyyyy_xyyyyyz_1[j] + 0.5 * fl1_fx * (tg_yyyyyy_xyyyyyz_0[j] - tg_yyyyyy_xyyyyyz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xyyyyyy_yyyyyz_1[j];

                    tg_xxyyyyyy_xyyyyzz_0[j] = pb_x * tg_xyyyyyy_xyyyyzz_0[j] + fr * tg_xyyyyyy_xyyyyzz_1[j] + 0.5 * fl1_fx * (tg_yyyyyy_xyyyyzz_0[j] - tg_yyyyyy_xyyyyzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xyyyyyy_yyyyzz_1[j];

                    tg_xxyyyyyy_xyyyzzz_0[j] = pb_x * tg_xyyyyyy_xyyyzzz_0[j] + fr * tg_xyyyyyy_xyyyzzz_1[j] + 0.5 * fl1_fx * (tg_yyyyyy_xyyyzzz_0[j] - tg_yyyyyy_xyyyzzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xyyyyyy_yyyzzz_1[j];

                    tg_xxyyyyyy_xyyzzzz_0[j] = pb_x * tg_xyyyyyy_xyyzzzz_0[j] + fr * tg_xyyyyyy_xyyzzzz_1[j] + 0.5 * fl1_fx * (tg_yyyyyy_xyyzzzz_0[j] - tg_yyyyyy_xyyzzzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xyyyyyy_yyzzzz_1[j];

                    tg_xxyyyyyy_xyzzzzz_0[j] = pb_x * tg_xyyyyyy_xyzzzzz_0[j] + fr * tg_xyyyyyy_xyzzzzz_1[j] + 0.5 * fl1_fx * (tg_yyyyyy_xyzzzzz_0[j] - tg_yyyyyy_xyzzzzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xyyyyyy_yzzzzz_1[j];

                    tg_xxyyyyyy_xzzzzzz_0[j] = pb_x * tg_xyyyyyy_xzzzzzz_0[j] + fr * tg_xyyyyyy_xzzzzzz_1[j] + 0.5 * fl1_fx * (tg_yyyyyy_xzzzzzz_0[j] - tg_yyyyyy_xzzzzzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xyyyyyy_zzzzzz_1[j];

                    tg_xxyyyyyy_yyyyyyy_0[j] = pb_x * tg_xyyyyyy_yyyyyyy_0[j] + fr * tg_xyyyyyy_yyyyyyy_1[j] + 0.5 * fl1_fx * (tg_yyyyyy_yyyyyyy_0[j] - tg_yyyyyy_yyyyyyy_1[j] * fl1_fza);

                    tg_xxyyyyyy_yyyyyyz_0[j] = pb_x * tg_xyyyyyy_yyyyyyz_0[j] + fr * tg_xyyyyyy_yyyyyyz_1[j] + 0.5 * fl1_fx * (tg_yyyyyy_yyyyyyz_0[j] - tg_yyyyyy_yyyyyyz_1[j] * fl1_fza);

                    tg_xxyyyyyy_yyyyyzz_0[j] = pb_x * tg_xyyyyyy_yyyyyzz_0[j] + fr * tg_xyyyyyy_yyyyyzz_1[j] + 0.5 * fl1_fx * (tg_yyyyyy_yyyyyzz_0[j] - tg_yyyyyy_yyyyyzz_1[j] * fl1_fza);

                    tg_xxyyyyyy_yyyyzzz_0[j] = pb_x * tg_xyyyyyy_yyyyzzz_0[j] + fr * tg_xyyyyyy_yyyyzzz_1[j] + 0.5 * fl1_fx * (tg_yyyyyy_yyyyzzz_0[j] - tg_yyyyyy_yyyyzzz_1[j] * fl1_fza);

                    tg_xxyyyyyy_yyyzzzz_0[j] = pb_x * tg_xyyyyyy_yyyzzzz_0[j] + fr * tg_xyyyyyy_yyyzzzz_1[j] + 0.5 * fl1_fx * (tg_yyyyyy_yyyzzzz_0[j] - tg_yyyyyy_yyyzzzz_1[j] * fl1_fza);

                    tg_xxyyyyyy_yyzzzzz_0[j] = pb_x * tg_xyyyyyy_yyzzzzz_0[j] + fr * tg_xyyyyyy_yyzzzzz_1[j] + 0.5 * fl1_fx * (tg_yyyyyy_yyzzzzz_0[j] - tg_yyyyyy_yyzzzzz_1[j] * fl1_fza);

                    tg_xxyyyyyy_yzzzzzz_0[j] = pb_x * tg_xyyyyyy_yzzzzzz_0[j] + fr * tg_xyyyyyy_yzzzzzz_1[j] + 0.5 * fl1_fx * (tg_yyyyyy_yzzzzzz_0[j] - tg_yyyyyy_yzzzzzz_1[j] * fl1_fza);

                    tg_xxyyyyyy_zzzzzzz_0[j] = pb_x * tg_xyyyyyy_zzzzzzz_0[j] + fr * tg_xyyyyyy_zzzzzzz_1[j] + 0.5 * fl1_fx * (tg_yyyyyy_zzzzzzz_0[j] - tg_yyyyyy_zzzzzzz_1[j] * fl1_fza);

                    tg_xxyyyyyz_xxxxxxx_0[j] = pb_x * tg_xyyyyyz_xxxxxxx_0[j] + fr * tg_xyyyyyz_xxxxxxx_1[j] + 0.5 * fl1_fx * (tg_yyyyyz_xxxxxxx_0[j] - tg_yyyyyz_xxxxxxx_1[j] * fl1_fza) + 3.5 * fl1_fxn * tg_xyyyyyz_xxxxxx_1[j];

                    tg_xxyyyyyz_xxxxxxy_0[j] = pb_x * tg_xyyyyyz_xxxxxxy_0[j] + fr * tg_xyyyyyz_xxxxxxy_1[j] + 0.5 * fl1_fx * (tg_yyyyyz_xxxxxxy_0[j] - tg_yyyyyz_xxxxxxy_1[j] * fl1_fza) + 3.0 * fl1_fxn * tg_xyyyyyz_xxxxxy_1[j];

                    tg_xxyyyyyz_xxxxxxz_0[j] = pb_x * tg_xyyyyyz_xxxxxxz_0[j] + fr * tg_xyyyyyz_xxxxxxz_1[j] + 0.5 * fl1_fx * (tg_yyyyyz_xxxxxxz_0[j] - tg_yyyyyz_xxxxxxz_1[j] * fl1_fza) + 3.0 * fl1_fxn * tg_xyyyyyz_xxxxxz_1[j];

                    tg_xxyyyyyz_xxxxxyy_0[j] = pb_x * tg_xyyyyyz_xxxxxyy_0[j] + fr * tg_xyyyyyz_xxxxxyy_1[j] + 0.5 * fl1_fx * (tg_yyyyyz_xxxxxyy_0[j] - tg_yyyyyz_xxxxxyy_1[j] * fl1_fza) + 2.5 * fl1_fxn * tg_xyyyyyz_xxxxyy_1[j];

                    tg_xxyyyyyz_xxxxxyz_0[j] = pb_x * tg_xyyyyyz_xxxxxyz_0[j] + fr * tg_xyyyyyz_xxxxxyz_1[j] + 0.5 * fl1_fx * (tg_yyyyyz_xxxxxyz_0[j] - tg_yyyyyz_xxxxxyz_1[j] * fl1_fza) + 2.5 * fl1_fxn * tg_xyyyyyz_xxxxyz_1[j];

                    tg_xxyyyyyz_xxxxxzz_0[j] = pb_x * tg_xyyyyyz_xxxxxzz_0[j] + fr * tg_xyyyyyz_xxxxxzz_1[j] + 0.5 * fl1_fx * (tg_yyyyyz_xxxxxzz_0[j] - tg_yyyyyz_xxxxxzz_1[j] * fl1_fza) + 2.5 * fl1_fxn * tg_xyyyyyz_xxxxzz_1[j];

                    tg_xxyyyyyz_xxxxyyy_0[j] = pb_x * tg_xyyyyyz_xxxxyyy_0[j] + fr * tg_xyyyyyz_xxxxyyy_1[j] + 0.5 * fl1_fx * (tg_yyyyyz_xxxxyyy_0[j] - tg_yyyyyz_xxxxyyy_1[j] * fl1_fza) + 2.0 * fl1_fxn * tg_xyyyyyz_xxxyyy_1[j];

                    tg_xxyyyyyz_xxxxyyz_0[j] = pb_x * tg_xyyyyyz_xxxxyyz_0[j] + fr * tg_xyyyyyz_xxxxyyz_1[j] + 0.5 * fl1_fx * (tg_yyyyyz_xxxxyyz_0[j] - tg_yyyyyz_xxxxyyz_1[j] * fl1_fza) + 2.0 * fl1_fxn * tg_xyyyyyz_xxxyyz_1[j];

                    tg_xxyyyyyz_xxxxyzz_0[j] = pb_x * tg_xyyyyyz_xxxxyzz_0[j] + fr * tg_xyyyyyz_xxxxyzz_1[j] + 0.5 * fl1_fx * (tg_yyyyyz_xxxxyzz_0[j] - tg_yyyyyz_xxxxyzz_1[j] * fl1_fza) + 2.0 * fl1_fxn * tg_xyyyyyz_xxxyzz_1[j];

                    tg_xxyyyyyz_xxxxzzz_0[j] = pb_x * tg_xyyyyyz_xxxxzzz_0[j] + fr * tg_xyyyyyz_xxxxzzz_1[j] + 0.5 * fl1_fx * (tg_yyyyyz_xxxxzzz_0[j] - tg_yyyyyz_xxxxzzz_1[j] * fl1_fza) + 2.0 * fl1_fxn * tg_xyyyyyz_xxxzzz_1[j];

                    tg_xxyyyyyz_xxxyyyy_0[j] = pb_x * tg_xyyyyyz_xxxyyyy_0[j] + fr * tg_xyyyyyz_xxxyyyy_1[j] + 0.5 * fl1_fx * (tg_yyyyyz_xxxyyyy_0[j] - tg_yyyyyz_xxxyyyy_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_xyyyyyz_xxyyyy_1[j];

                    tg_xxyyyyyz_xxxyyyz_0[j] = pb_x * tg_xyyyyyz_xxxyyyz_0[j] + fr * tg_xyyyyyz_xxxyyyz_1[j] + 0.5 * fl1_fx * (tg_yyyyyz_xxxyyyz_0[j] - tg_yyyyyz_xxxyyyz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_xyyyyyz_xxyyyz_1[j];

                    tg_xxyyyyyz_xxxyyzz_0[j] = pb_x * tg_xyyyyyz_xxxyyzz_0[j] + fr * tg_xyyyyyz_xxxyyzz_1[j] + 0.5 * fl1_fx * (tg_yyyyyz_xxxyyzz_0[j] - tg_yyyyyz_xxxyyzz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_xyyyyyz_xxyyzz_1[j];

                    tg_xxyyyyyz_xxxyzzz_0[j] = pb_x * tg_xyyyyyz_xxxyzzz_0[j] + fr * tg_xyyyyyz_xxxyzzz_1[j] + 0.5 * fl1_fx * (tg_yyyyyz_xxxyzzz_0[j] - tg_yyyyyz_xxxyzzz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_xyyyyyz_xxyzzz_1[j];

                    tg_xxyyyyyz_xxxzzzz_0[j] = pb_x * tg_xyyyyyz_xxxzzzz_0[j] + fr * tg_xyyyyyz_xxxzzzz_1[j] + 0.5 * fl1_fx * (tg_yyyyyz_xxxzzzz_0[j] - tg_yyyyyz_xxxzzzz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_xyyyyyz_xxzzzz_1[j];

                    tg_xxyyyyyz_xxyyyyy_0[j] = pb_x * tg_xyyyyyz_xxyyyyy_0[j] + fr * tg_xyyyyyz_xxyyyyy_1[j] + 0.5 * fl1_fx * (tg_yyyyyz_xxyyyyy_0[j] - tg_yyyyyz_xxyyyyy_1[j] * fl1_fza) + fl1_fxn * tg_xyyyyyz_xyyyyy_1[j];

                    tg_xxyyyyyz_xxyyyyz_0[j] = pb_x * tg_xyyyyyz_xxyyyyz_0[j] + fr * tg_xyyyyyz_xxyyyyz_1[j] + 0.5 * fl1_fx * (tg_yyyyyz_xxyyyyz_0[j] - tg_yyyyyz_xxyyyyz_1[j] * fl1_fza) + fl1_fxn * tg_xyyyyyz_xyyyyz_1[j];

                    tg_xxyyyyyz_xxyyyzz_0[j] = pb_x * tg_xyyyyyz_xxyyyzz_0[j] + fr * tg_xyyyyyz_xxyyyzz_1[j] + 0.5 * fl1_fx * (tg_yyyyyz_xxyyyzz_0[j] - tg_yyyyyz_xxyyyzz_1[j] * fl1_fza) + fl1_fxn * tg_xyyyyyz_xyyyzz_1[j];

                    tg_xxyyyyyz_xxyyzzz_0[j] = pb_x * tg_xyyyyyz_xxyyzzz_0[j] + fr * tg_xyyyyyz_xxyyzzz_1[j] + 0.5 * fl1_fx * (tg_yyyyyz_xxyyzzz_0[j] - tg_yyyyyz_xxyyzzz_1[j] * fl1_fza) + fl1_fxn * tg_xyyyyyz_xyyzzz_1[j];

                    tg_xxyyyyyz_xxyzzzz_0[j] = pb_x * tg_xyyyyyz_xxyzzzz_0[j] + fr * tg_xyyyyyz_xxyzzzz_1[j] + 0.5 * fl1_fx * (tg_yyyyyz_xxyzzzz_0[j] - tg_yyyyyz_xxyzzzz_1[j] * fl1_fza) + fl1_fxn * tg_xyyyyyz_xyzzzz_1[j];

                    tg_xxyyyyyz_xxzzzzz_0[j] = pb_x * tg_xyyyyyz_xxzzzzz_0[j] + fr * tg_xyyyyyz_xxzzzzz_1[j] + 0.5 * fl1_fx * (tg_yyyyyz_xxzzzzz_0[j] - tg_yyyyyz_xxzzzzz_1[j] * fl1_fza) + fl1_fxn * tg_xyyyyyz_xzzzzz_1[j];

                    tg_xxyyyyyz_xyyyyyy_0[j] = pb_x * tg_xyyyyyz_xyyyyyy_0[j] + fr * tg_xyyyyyz_xyyyyyy_1[j] + 0.5 * fl1_fx * (tg_yyyyyz_xyyyyyy_0[j] - tg_yyyyyz_xyyyyyy_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xyyyyyz_yyyyyy_1[j];

                    tg_xxyyyyyz_xyyyyyz_0[j] = pb_x * tg_xyyyyyz_xyyyyyz_0[j] + fr * tg_xyyyyyz_xyyyyyz_1[j] + 0.5 * fl1_fx * (tg_yyyyyz_xyyyyyz_0[j] - tg_yyyyyz_xyyyyyz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xyyyyyz_yyyyyz_1[j];

                    tg_xxyyyyyz_xyyyyzz_0[j] = pb_x * tg_xyyyyyz_xyyyyzz_0[j] + fr * tg_xyyyyyz_xyyyyzz_1[j] + 0.5 * fl1_fx * (tg_yyyyyz_xyyyyzz_0[j] - tg_yyyyyz_xyyyyzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xyyyyyz_yyyyzz_1[j];

                    tg_xxyyyyyz_xyyyzzz_0[j] = pb_x * tg_xyyyyyz_xyyyzzz_0[j] + fr * tg_xyyyyyz_xyyyzzz_1[j] + 0.5 * fl1_fx * (tg_yyyyyz_xyyyzzz_0[j] - tg_yyyyyz_xyyyzzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xyyyyyz_yyyzzz_1[j];

                    tg_xxyyyyyz_xyyzzzz_0[j] = pb_x * tg_xyyyyyz_xyyzzzz_0[j] + fr * tg_xyyyyyz_xyyzzzz_1[j] + 0.5 * fl1_fx * (tg_yyyyyz_xyyzzzz_0[j] - tg_yyyyyz_xyyzzzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xyyyyyz_yyzzzz_1[j];

                    tg_xxyyyyyz_xyzzzzz_0[j] = pb_x * tg_xyyyyyz_xyzzzzz_0[j] + fr * tg_xyyyyyz_xyzzzzz_1[j] + 0.5 * fl1_fx * (tg_yyyyyz_xyzzzzz_0[j] - tg_yyyyyz_xyzzzzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xyyyyyz_yzzzzz_1[j];

                    tg_xxyyyyyz_xzzzzzz_0[j] = pb_x * tg_xyyyyyz_xzzzzzz_0[j] + fr * tg_xyyyyyz_xzzzzzz_1[j] + 0.5 * fl1_fx * (tg_yyyyyz_xzzzzzz_0[j] - tg_yyyyyz_xzzzzzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xyyyyyz_zzzzzz_1[j];

                    tg_xxyyyyyz_yyyyyyy_0[j] = pb_x * tg_xyyyyyz_yyyyyyy_0[j] + fr * tg_xyyyyyz_yyyyyyy_1[j] + 0.5 * fl1_fx * (tg_yyyyyz_yyyyyyy_0[j] - tg_yyyyyz_yyyyyyy_1[j] * fl1_fza);

                    tg_xxyyyyyz_yyyyyyz_0[j] = pb_x * tg_xyyyyyz_yyyyyyz_0[j] + fr * tg_xyyyyyz_yyyyyyz_1[j] + 0.5 * fl1_fx * (tg_yyyyyz_yyyyyyz_0[j] - tg_yyyyyz_yyyyyyz_1[j] * fl1_fza);

                    tg_xxyyyyyz_yyyyyzz_0[j] = pb_x * tg_xyyyyyz_yyyyyzz_0[j] + fr * tg_xyyyyyz_yyyyyzz_1[j] + 0.5 * fl1_fx * (tg_yyyyyz_yyyyyzz_0[j] - tg_yyyyyz_yyyyyzz_1[j] * fl1_fza);

                    tg_xxyyyyyz_yyyyzzz_0[j] = pb_x * tg_xyyyyyz_yyyyzzz_0[j] + fr * tg_xyyyyyz_yyyyzzz_1[j] + 0.5 * fl1_fx * (tg_yyyyyz_yyyyzzz_0[j] - tg_yyyyyz_yyyyzzz_1[j] * fl1_fza);

                    tg_xxyyyyyz_yyyzzzz_0[j] = pb_x * tg_xyyyyyz_yyyzzzz_0[j] + fr * tg_xyyyyyz_yyyzzzz_1[j] + 0.5 * fl1_fx * (tg_yyyyyz_yyyzzzz_0[j] - tg_yyyyyz_yyyzzzz_1[j] * fl1_fza);

                    tg_xxyyyyyz_yyzzzzz_0[j] = pb_x * tg_xyyyyyz_yyzzzzz_0[j] + fr * tg_xyyyyyz_yyzzzzz_1[j] + 0.5 * fl1_fx * (tg_yyyyyz_yyzzzzz_0[j] - tg_yyyyyz_yyzzzzz_1[j] * fl1_fza);

                    tg_xxyyyyyz_yzzzzzz_0[j] = pb_x * tg_xyyyyyz_yzzzzzz_0[j] + fr * tg_xyyyyyz_yzzzzzz_1[j] + 0.5 * fl1_fx * (tg_yyyyyz_yzzzzzz_0[j] - tg_yyyyyz_yzzzzzz_1[j] * fl1_fza);

                    tg_xxyyyyyz_zzzzzzz_0[j] = pb_x * tg_xyyyyyz_zzzzzzz_0[j] + fr * tg_xyyyyyz_zzzzzzz_1[j] + 0.5 * fl1_fx * (tg_yyyyyz_zzzzzzz_0[j] - tg_yyyyyz_zzzzzzz_1[j] * fl1_fza);

                    tg_xxyyyyzz_xxxxxxx_0[j] = pb_x * tg_xyyyyzz_xxxxxxx_0[j] + fr * tg_xyyyyzz_xxxxxxx_1[j] + 0.5 * fl1_fx * (tg_yyyyzz_xxxxxxx_0[j] - tg_yyyyzz_xxxxxxx_1[j] * fl1_fza) + 3.5 * fl1_fxn * tg_xyyyyzz_xxxxxx_1[j];

                    tg_xxyyyyzz_xxxxxxy_0[j] = pb_x * tg_xyyyyzz_xxxxxxy_0[j] + fr * tg_xyyyyzz_xxxxxxy_1[j] + 0.5 * fl1_fx * (tg_yyyyzz_xxxxxxy_0[j] - tg_yyyyzz_xxxxxxy_1[j] * fl1_fza) + 3.0 * fl1_fxn * tg_xyyyyzz_xxxxxy_1[j];

                    tg_xxyyyyzz_xxxxxxz_0[j] = pb_x * tg_xyyyyzz_xxxxxxz_0[j] + fr * tg_xyyyyzz_xxxxxxz_1[j] + 0.5 * fl1_fx * (tg_yyyyzz_xxxxxxz_0[j] - tg_yyyyzz_xxxxxxz_1[j] * fl1_fza) + 3.0 * fl1_fxn * tg_xyyyyzz_xxxxxz_1[j];

                    tg_xxyyyyzz_xxxxxyy_0[j] = pb_x * tg_xyyyyzz_xxxxxyy_0[j] + fr * tg_xyyyyzz_xxxxxyy_1[j] + 0.5 * fl1_fx * (tg_yyyyzz_xxxxxyy_0[j] - tg_yyyyzz_xxxxxyy_1[j] * fl1_fza) + 2.5 * fl1_fxn * tg_xyyyyzz_xxxxyy_1[j];

                    tg_xxyyyyzz_xxxxxyz_0[j] = pb_x * tg_xyyyyzz_xxxxxyz_0[j] + fr * tg_xyyyyzz_xxxxxyz_1[j] + 0.5 * fl1_fx * (tg_yyyyzz_xxxxxyz_0[j] - tg_yyyyzz_xxxxxyz_1[j] * fl1_fza) + 2.5 * fl1_fxn * tg_xyyyyzz_xxxxyz_1[j];

                    tg_xxyyyyzz_xxxxxzz_0[j] = pb_x * tg_xyyyyzz_xxxxxzz_0[j] + fr * tg_xyyyyzz_xxxxxzz_1[j] + 0.5 * fl1_fx * (tg_yyyyzz_xxxxxzz_0[j] - tg_yyyyzz_xxxxxzz_1[j] * fl1_fza) + 2.5 * fl1_fxn * tg_xyyyyzz_xxxxzz_1[j];

                    tg_xxyyyyzz_xxxxyyy_0[j] = pb_x * tg_xyyyyzz_xxxxyyy_0[j] + fr * tg_xyyyyzz_xxxxyyy_1[j] + 0.5 * fl1_fx * (tg_yyyyzz_xxxxyyy_0[j] - tg_yyyyzz_xxxxyyy_1[j] * fl1_fza) + 2.0 * fl1_fxn * tg_xyyyyzz_xxxyyy_1[j];

                    tg_xxyyyyzz_xxxxyyz_0[j] = pb_x * tg_xyyyyzz_xxxxyyz_0[j] + fr * tg_xyyyyzz_xxxxyyz_1[j] + 0.5 * fl1_fx * (tg_yyyyzz_xxxxyyz_0[j] - tg_yyyyzz_xxxxyyz_1[j] * fl1_fza) + 2.0 * fl1_fxn * tg_xyyyyzz_xxxyyz_1[j];

                    tg_xxyyyyzz_xxxxyzz_0[j] = pb_x * tg_xyyyyzz_xxxxyzz_0[j] + fr * tg_xyyyyzz_xxxxyzz_1[j] + 0.5 * fl1_fx * (tg_yyyyzz_xxxxyzz_0[j] - tg_yyyyzz_xxxxyzz_1[j] * fl1_fza) + 2.0 * fl1_fxn * tg_xyyyyzz_xxxyzz_1[j];

                    tg_xxyyyyzz_xxxxzzz_0[j] = pb_x * tg_xyyyyzz_xxxxzzz_0[j] + fr * tg_xyyyyzz_xxxxzzz_1[j] + 0.5 * fl1_fx * (tg_yyyyzz_xxxxzzz_0[j] - tg_yyyyzz_xxxxzzz_1[j] * fl1_fza) + 2.0 * fl1_fxn * tg_xyyyyzz_xxxzzz_1[j];

                    tg_xxyyyyzz_xxxyyyy_0[j] = pb_x * tg_xyyyyzz_xxxyyyy_0[j] + fr * tg_xyyyyzz_xxxyyyy_1[j] + 0.5 * fl1_fx * (tg_yyyyzz_xxxyyyy_0[j] - tg_yyyyzz_xxxyyyy_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_xyyyyzz_xxyyyy_1[j];

                    tg_xxyyyyzz_xxxyyyz_0[j] = pb_x * tg_xyyyyzz_xxxyyyz_0[j] + fr * tg_xyyyyzz_xxxyyyz_1[j] + 0.5 * fl1_fx * (tg_yyyyzz_xxxyyyz_0[j] - tg_yyyyzz_xxxyyyz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_xyyyyzz_xxyyyz_1[j];

                    tg_xxyyyyzz_xxxyyzz_0[j] = pb_x * tg_xyyyyzz_xxxyyzz_0[j] + fr * tg_xyyyyzz_xxxyyzz_1[j] + 0.5 * fl1_fx * (tg_yyyyzz_xxxyyzz_0[j] - tg_yyyyzz_xxxyyzz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_xyyyyzz_xxyyzz_1[j];

                    tg_xxyyyyzz_xxxyzzz_0[j] = pb_x * tg_xyyyyzz_xxxyzzz_0[j] + fr * tg_xyyyyzz_xxxyzzz_1[j] + 0.5 * fl1_fx * (tg_yyyyzz_xxxyzzz_0[j] - tg_yyyyzz_xxxyzzz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_xyyyyzz_xxyzzz_1[j];

                    tg_xxyyyyzz_xxxzzzz_0[j] = pb_x * tg_xyyyyzz_xxxzzzz_0[j] + fr * tg_xyyyyzz_xxxzzzz_1[j] + 0.5 * fl1_fx * (tg_yyyyzz_xxxzzzz_0[j] - tg_yyyyzz_xxxzzzz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_xyyyyzz_xxzzzz_1[j];

                    tg_xxyyyyzz_xxyyyyy_0[j] = pb_x * tg_xyyyyzz_xxyyyyy_0[j] + fr * tg_xyyyyzz_xxyyyyy_1[j] + 0.5 * fl1_fx * (tg_yyyyzz_xxyyyyy_0[j] - tg_yyyyzz_xxyyyyy_1[j] * fl1_fza) + fl1_fxn * tg_xyyyyzz_xyyyyy_1[j];

                    tg_xxyyyyzz_xxyyyyz_0[j] = pb_x * tg_xyyyyzz_xxyyyyz_0[j] + fr * tg_xyyyyzz_xxyyyyz_1[j] + 0.5 * fl1_fx * (tg_yyyyzz_xxyyyyz_0[j] - tg_yyyyzz_xxyyyyz_1[j] * fl1_fza) + fl1_fxn * tg_xyyyyzz_xyyyyz_1[j];

                    tg_xxyyyyzz_xxyyyzz_0[j] = pb_x * tg_xyyyyzz_xxyyyzz_0[j] + fr * tg_xyyyyzz_xxyyyzz_1[j] + 0.5 * fl1_fx * (tg_yyyyzz_xxyyyzz_0[j] - tg_yyyyzz_xxyyyzz_1[j] * fl1_fza) + fl1_fxn * tg_xyyyyzz_xyyyzz_1[j];

                    tg_xxyyyyzz_xxyyzzz_0[j] = pb_x * tg_xyyyyzz_xxyyzzz_0[j] + fr * tg_xyyyyzz_xxyyzzz_1[j] + 0.5 * fl1_fx * (tg_yyyyzz_xxyyzzz_0[j] - tg_yyyyzz_xxyyzzz_1[j] * fl1_fza) + fl1_fxn * tg_xyyyyzz_xyyzzz_1[j];

                    tg_xxyyyyzz_xxyzzzz_0[j] = pb_x * tg_xyyyyzz_xxyzzzz_0[j] + fr * tg_xyyyyzz_xxyzzzz_1[j] + 0.5 * fl1_fx * (tg_yyyyzz_xxyzzzz_0[j] - tg_yyyyzz_xxyzzzz_1[j] * fl1_fza) + fl1_fxn * tg_xyyyyzz_xyzzzz_1[j];

                    tg_xxyyyyzz_xxzzzzz_0[j] = pb_x * tg_xyyyyzz_xxzzzzz_0[j] + fr * tg_xyyyyzz_xxzzzzz_1[j] + 0.5 * fl1_fx * (tg_yyyyzz_xxzzzzz_0[j] - tg_yyyyzz_xxzzzzz_1[j] * fl1_fza) + fl1_fxn * tg_xyyyyzz_xzzzzz_1[j];

                    tg_xxyyyyzz_xyyyyyy_0[j] = pb_x * tg_xyyyyzz_xyyyyyy_0[j] + fr * tg_xyyyyzz_xyyyyyy_1[j] + 0.5 * fl1_fx * (tg_yyyyzz_xyyyyyy_0[j] - tg_yyyyzz_xyyyyyy_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xyyyyzz_yyyyyy_1[j];

                    tg_xxyyyyzz_xyyyyyz_0[j] = pb_x * tg_xyyyyzz_xyyyyyz_0[j] + fr * tg_xyyyyzz_xyyyyyz_1[j] + 0.5 * fl1_fx * (tg_yyyyzz_xyyyyyz_0[j] - tg_yyyyzz_xyyyyyz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xyyyyzz_yyyyyz_1[j];

                    tg_xxyyyyzz_xyyyyzz_0[j] = pb_x * tg_xyyyyzz_xyyyyzz_0[j] + fr * tg_xyyyyzz_xyyyyzz_1[j] + 0.5 * fl1_fx * (tg_yyyyzz_xyyyyzz_0[j] - tg_yyyyzz_xyyyyzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xyyyyzz_yyyyzz_1[j];

                    tg_xxyyyyzz_xyyyzzz_0[j] = pb_x * tg_xyyyyzz_xyyyzzz_0[j] + fr * tg_xyyyyzz_xyyyzzz_1[j] + 0.5 * fl1_fx * (tg_yyyyzz_xyyyzzz_0[j] - tg_yyyyzz_xyyyzzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xyyyyzz_yyyzzz_1[j];

                    tg_xxyyyyzz_xyyzzzz_0[j] = pb_x * tg_xyyyyzz_xyyzzzz_0[j] + fr * tg_xyyyyzz_xyyzzzz_1[j] + 0.5 * fl1_fx * (tg_yyyyzz_xyyzzzz_0[j] - tg_yyyyzz_xyyzzzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xyyyyzz_yyzzzz_1[j];

                    tg_xxyyyyzz_xyzzzzz_0[j] = pb_x * tg_xyyyyzz_xyzzzzz_0[j] + fr * tg_xyyyyzz_xyzzzzz_1[j] + 0.5 * fl1_fx * (tg_yyyyzz_xyzzzzz_0[j] - tg_yyyyzz_xyzzzzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xyyyyzz_yzzzzz_1[j];

                    tg_xxyyyyzz_xzzzzzz_0[j] = pb_x * tg_xyyyyzz_xzzzzzz_0[j] + fr * tg_xyyyyzz_xzzzzzz_1[j] + 0.5 * fl1_fx * (tg_yyyyzz_xzzzzzz_0[j] - tg_yyyyzz_xzzzzzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xyyyyzz_zzzzzz_1[j];

                    tg_xxyyyyzz_yyyyyyy_0[j] = pb_x * tg_xyyyyzz_yyyyyyy_0[j] + fr * tg_xyyyyzz_yyyyyyy_1[j] + 0.5 * fl1_fx * (tg_yyyyzz_yyyyyyy_0[j] - tg_yyyyzz_yyyyyyy_1[j] * fl1_fza);

                    tg_xxyyyyzz_yyyyyyz_0[j] = pb_x * tg_xyyyyzz_yyyyyyz_0[j] + fr * tg_xyyyyzz_yyyyyyz_1[j] + 0.5 * fl1_fx * (tg_yyyyzz_yyyyyyz_0[j] - tg_yyyyzz_yyyyyyz_1[j] * fl1_fza);

                    tg_xxyyyyzz_yyyyyzz_0[j] = pb_x * tg_xyyyyzz_yyyyyzz_0[j] + fr * tg_xyyyyzz_yyyyyzz_1[j] + 0.5 * fl1_fx * (tg_yyyyzz_yyyyyzz_0[j] - tg_yyyyzz_yyyyyzz_1[j] * fl1_fza);

                    tg_xxyyyyzz_yyyyzzz_0[j] = pb_x * tg_xyyyyzz_yyyyzzz_0[j] + fr * tg_xyyyyzz_yyyyzzz_1[j] + 0.5 * fl1_fx * (tg_yyyyzz_yyyyzzz_0[j] - tg_yyyyzz_yyyyzzz_1[j] * fl1_fza);
                }

                idx++;
            }
        }
    }

    void
    compElectronRepulsionForSLSK_860_955(      CMemBlock2D<double>* primBuffer,
                                         const CRecursionMap&       recursionMap,
                                         const CMemBlock2D<double>& osFactors,
                                         const CMemBlock2D<double>& wpDistances,
                                         const CGtoPairsBlock&      braGtoPairsBlock,
                                         const CGtoPairsBlock&      ketGtoPairsBlock,
                                         const int32_t              nKetPrimPairs,
                                         const int32_t              iContrPair)
    {
        // Batch of Integrals (860,955)

        // set up pointers to primitives data on bra side

        auto spos = braGtoPairsBlock.getStartPositions();

        auto epos = braGtoPairsBlock.getEndPositions();

        // set up pointers to tensor of distance R(PB) = P - B

        auto r_pb_x = braGtoPairsBlock.getDistancesPBX();

        // set up pointers to common Obara-Saika factors

        auto b_fx = braGtoPairsBlock.getFactorsOneOverXi();

        // set up maximum order of integral

        auto mord = recursionMap.getMaxOrder({"Electron Repulsion"},
                                             {8, -1, -1, -1},
                                             {7, -1, -1, -1},
                                             1, 1);

        for (int32_t iord = 0; iord <= mord; iord++)
        {
            // set up index of integral

            auto pidx_g_8_7_m0 = recursionMap.index(CRecursionTerm({"Electron Repulsion"}, 0, true, 
                                                                   {8, -1, -1, -1}, {7, -1, -1, -1}, 
                                                                   1, 1, iord));

            // check if integral is needed in recursion expansion

            if (pidx_g_8_7_m0 == -1) continue;

            // set up indexes of auxilary integral

            auto pidx_g_7_7_m0 = recursionMap.index(CRecursionTerm({"Electron Repulsion"}, 0, true, 
                                                                   {7, -1, -1, -1}, {7, -1, -1, -1}, 
                                                                   1, 1, iord));

            auto pidx_g_7_7_m1 = recursionMap.index(CRecursionTerm({"Electron Repulsion"}, 0, true, 
                                                                   {7, -1, -1, -1}, {7, -1, -1, -1}, 
                                                                   1, 1, iord + 1));

            auto pidx_g_6_7_m0 = recursionMap.index(CRecursionTerm({"Electron Repulsion"}, 0, true, 
                                                                   {6, -1, -1, -1}, {7, -1, -1, -1}, 
                                                                   1, 1, iord));

            auto pidx_g_6_7_m1 = recursionMap.index(CRecursionTerm({"Electron Repulsion"}, 0, true, 
                                                                   {6, -1, -1, -1}, {7, -1, -1, -1}, 
                                                                   1, 1, iord + 1));

            auto pidx_g_7_6_m1 = recursionMap.index(CRecursionTerm({"Electron Repulsion"}, 0, true, 
                                                                   {7, -1, -1, -1}, {6, -1, -1, -1}, 
                                                                   1, 1, iord + 1));

            // loop over contracted GTO on bra side

            int32_t idx = 0;

            for (int32_t i = spos[iContrPair]; i < epos[iContrPair]; i++)
            {
                // set up pointers to Obara-Saika factors

                double fx = b_fx[i];

                auto fza = osFactors.data(4 * idx + 2);

                auto fxn = osFactors.data(4 * idx);

                // set up distances R(PB) = P - B

                auto pb_x = r_pb_x[i];

                // set up pointers to tensors product of distances R(WP) = W - P

                auto wp_x = wpDistances.data(3 * idx);

                // set up pointers to auxilary integrals

                auto tg_xyyyyzz_yyyzzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 860); 

                auto tg_xyyyyzz_yyzzzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 861); 

                auto tg_xyyyyzz_yzzzzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 862); 

                auto tg_xyyyyzz_zzzzzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 863); 

                auto tg_xyyyzzz_xxxxxxx_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 864); 

                auto tg_xyyyzzz_xxxxxxy_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 865); 

                auto tg_xyyyzzz_xxxxxxz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 866); 

                auto tg_xyyyzzz_xxxxxyy_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 867); 

                auto tg_xyyyzzz_xxxxxyz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 868); 

                auto tg_xyyyzzz_xxxxxzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 869); 

                auto tg_xyyyzzz_xxxxyyy_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 870); 

                auto tg_xyyyzzz_xxxxyyz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 871); 

                auto tg_xyyyzzz_xxxxyzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 872); 

                auto tg_xyyyzzz_xxxxzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 873); 

                auto tg_xyyyzzz_xxxyyyy_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 874); 

                auto tg_xyyyzzz_xxxyyyz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 875); 

                auto tg_xyyyzzz_xxxyyzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 876); 

                auto tg_xyyyzzz_xxxyzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 877); 

                auto tg_xyyyzzz_xxxzzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 878); 

                auto tg_xyyyzzz_xxyyyyy_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 879); 

                auto tg_xyyyzzz_xxyyyyz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 880); 

                auto tg_xyyyzzz_xxyyyzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 881); 

                auto tg_xyyyzzz_xxyyzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 882); 

                auto tg_xyyyzzz_xxyzzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 883); 

                auto tg_xyyyzzz_xxzzzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 884); 

                auto tg_xyyyzzz_xyyyyyy_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 885); 

                auto tg_xyyyzzz_xyyyyyz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 886); 

                auto tg_xyyyzzz_xyyyyzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 887); 

                auto tg_xyyyzzz_xyyyzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 888); 

                auto tg_xyyyzzz_xyyzzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 889); 

                auto tg_xyyyzzz_xyzzzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 890); 

                auto tg_xyyyzzz_xzzzzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 891); 

                auto tg_xyyyzzz_yyyyyyy_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 892); 

                auto tg_xyyyzzz_yyyyyyz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 893); 

                auto tg_xyyyzzz_yyyyyzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 894); 

                auto tg_xyyyzzz_yyyyzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 895); 

                auto tg_xyyyzzz_yyyzzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 896); 

                auto tg_xyyyzzz_yyzzzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 897); 

                auto tg_xyyyzzz_yzzzzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 898); 

                auto tg_xyyyzzz_zzzzzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 899); 

                auto tg_xyyzzzz_xxxxxxx_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 900); 

                auto tg_xyyzzzz_xxxxxxy_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 901); 

                auto tg_xyyzzzz_xxxxxxz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 902); 

                auto tg_xyyzzzz_xxxxxyy_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 903); 

                auto tg_xyyzzzz_xxxxxyz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 904); 

                auto tg_xyyzzzz_xxxxxzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 905); 

                auto tg_xyyzzzz_xxxxyyy_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 906); 

                auto tg_xyyzzzz_xxxxyyz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 907); 

                auto tg_xyyzzzz_xxxxyzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 908); 

                auto tg_xyyzzzz_xxxxzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 909); 

                auto tg_xyyzzzz_xxxyyyy_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 910); 

                auto tg_xyyzzzz_xxxyyyz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 911); 

                auto tg_xyyzzzz_xxxyyzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 912); 

                auto tg_xyyzzzz_xxxyzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 913); 

                auto tg_xyyzzzz_xxxzzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 914); 

                auto tg_xyyzzzz_xxyyyyy_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 915); 

                auto tg_xyyzzzz_xxyyyyz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 916); 

                auto tg_xyyzzzz_xxyyyzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 917); 

                auto tg_xyyzzzz_xxyyzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 918); 

                auto tg_xyyzzzz_xxyzzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 919); 

                auto tg_xyyzzzz_xxzzzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 920); 

                auto tg_xyyzzzz_xyyyyyy_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 921); 

                auto tg_xyyzzzz_xyyyyyz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 922); 

                auto tg_xyyzzzz_xyyyyzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 923); 

                auto tg_xyyzzzz_xyyyzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 924); 

                auto tg_xyyzzzz_xyyzzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 925); 

                auto tg_xyyzzzz_xyzzzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 926); 

                auto tg_xyyzzzz_xzzzzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 927); 

                auto tg_xyyzzzz_yyyyyyy_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 928); 

                auto tg_xyyzzzz_yyyyyyz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 929); 

                auto tg_xyyzzzz_yyyyyzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 930); 

                auto tg_xyyzzzz_yyyyzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 931); 

                auto tg_xyyzzzz_yyyzzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 932); 

                auto tg_xyyzzzz_yyzzzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 933); 

                auto tg_xyyzzzz_yzzzzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 934); 

                auto tg_xyyzzzz_zzzzzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 935); 

                auto tg_xyzzzzz_xxxxxxx_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 936); 

                auto tg_xyzzzzz_xxxxxxy_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 937); 

                auto tg_xyzzzzz_xxxxxxz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 938); 

                auto tg_xyzzzzz_xxxxxyy_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 939); 

                auto tg_xyzzzzz_xxxxxyz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 940); 

                auto tg_xyzzzzz_xxxxxzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 941); 

                auto tg_xyzzzzz_xxxxyyy_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 942); 

                auto tg_xyzzzzz_xxxxyyz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 943); 

                auto tg_xyzzzzz_xxxxyzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 944); 

                auto tg_xyzzzzz_xxxxzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 945); 

                auto tg_xyzzzzz_xxxyyyy_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 946); 

                auto tg_xyzzzzz_xxxyyyz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 947); 

                auto tg_xyzzzzz_xxxyyzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 948); 

                auto tg_xyzzzzz_xxxyzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 949); 

                auto tg_xyzzzzz_xxxzzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 950); 

                auto tg_xyzzzzz_xxyyyyy_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 951); 

                auto tg_xyzzzzz_xxyyyyz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 952); 

                auto tg_xyzzzzz_xxyyyzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 953); 

                auto tg_xyzzzzz_xxyyzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 954); 

                auto tg_xyyyyzz_yyyzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 860); 

                auto tg_xyyyyzz_yyzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 861); 

                auto tg_xyyyyzz_yzzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 862); 

                auto tg_xyyyyzz_zzzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 863); 

                auto tg_xyyyzzz_xxxxxxx_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 864); 

                auto tg_xyyyzzz_xxxxxxy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 865); 

                auto tg_xyyyzzz_xxxxxxz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 866); 

                auto tg_xyyyzzz_xxxxxyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 867); 

                auto tg_xyyyzzz_xxxxxyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 868); 

                auto tg_xyyyzzz_xxxxxzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 869); 

                auto tg_xyyyzzz_xxxxyyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 870); 

                auto tg_xyyyzzz_xxxxyyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 871); 

                auto tg_xyyyzzz_xxxxyzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 872); 

                auto tg_xyyyzzz_xxxxzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 873); 

                auto tg_xyyyzzz_xxxyyyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 874); 

                auto tg_xyyyzzz_xxxyyyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 875); 

                auto tg_xyyyzzz_xxxyyzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 876); 

                auto tg_xyyyzzz_xxxyzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 877); 

                auto tg_xyyyzzz_xxxzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 878); 

                auto tg_xyyyzzz_xxyyyyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 879); 

                auto tg_xyyyzzz_xxyyyyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 880); 

                auto tg_xyyyzzz_xxyyyzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 881); 

                auto tg_xyyyzzz_xxyyzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 882); 

                auto tg_xyyyzzz_xxyzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 883); 

                auto tg_xyyyzzz_xxzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 884); 

                auto tg_xyyyzzz_xyyyyyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 885); 

                auto tg_xyyyzzz_xyyyyyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 886); 

                auto tg_xyyyzzz_xyyyyzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 887); 

                auto tg_xyyyzzz_xyyyzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 888); 

                auto tg_xyyyzzz_xyyzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 889); 

                auto tg_xyyyzzz_xyzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 890); 

                auto tg_xyyyzzz_xzzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 891); 

                auto tg_xyyyzzz_yyyyyyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 892); 

                auto tg_xyyyzzz_yyyyyyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 893); 

                auto tg_xyyyzzz_yyyyyzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 894); 

                auto tg_xyyyzzz_yyyyzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 895); 

                auto tg_xyyyzzz_yyyzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 896); 

                auto tg_xyyyzzz_yyzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 897); 

                auto tg_xyyyzzz_yzzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 898); 

                auto tg_xyyyzzz_zzzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 899); 

                auto tg_xyyzzzz_xxxxxxx_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 900); 

                auto tg_xyyzzzz_xxxxxxy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 901); 

                auto tg_xyyzzzz_xxxxxxz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 902); 

                auto tg_xyyzzzz_xxxxxyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 903); 

                auto tg_xyyzzzz_xxxxxyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 904); 

                auto tg_xyyzzzz_xxxxxzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 905); 

                auto tg_xyyzzzz_xxxxyyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 906); 

                auto tg_xyyzzzz_xxxxyyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 907); 

                auto tg_xyyzzzz_xxxxyzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 908); 

                auto tg_xyyzzzz_xxxxzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 909); 

                auto tg_xyyzzzz_xxxyyyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 910); 

                auto tg_xyyzzzz_xxxyyyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 911); 

                auto tg_xyyzzzz_xxxyyzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 912); 

                auto tg_xyyzzzz_xxxyzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 913); 

                auto tg_xyyzzzz_xxxzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 914); 

                auto tg_xyyzzzz_xxyyyyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 915); 

                auto tg_xyyzzzz_xxyyyyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 916); 

                auto tg_xyyzzzz_xxyyyzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 917); 

                auto tg_xyyzzzz_xxyyzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 918); 

                auto tg_xyyzzzz_xxyzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 919); 

                auto tg_xyyzzzz_xxzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 920); 

                auto tg_xyyzzzz_xyyyyyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 921); 

                auto tg_xyyzzzz_xyyyyyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 922); 

                auto tg_xyyzzzz_xyyyyzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 923); 

                auto tg_xyyzzzz_xyyyzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 924); 

                auto tg_xyyzzzz_xyyzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 925); 

                auto tg_xyyzzzz_xyzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 926); 

                auto tg_xyyzzzz_xzzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 927); 

                auto tg_xyyzzzz_yyyyyyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 928); 

                auto tg_xyyzzzz_yyyyyyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 929); 

                auto tg_xyyzzzz_yyyyyzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 930); 

                auto tg_xyyzzzz_yyyyzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 931); 

                auto tg_xyyzzzz_yyyzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 932); 

                auto tg_xyyzzzz_yyzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 933); 

                auto tg_xyyzzzz_yzzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 934); 

                auto tg_xyyzzzz_zzzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 935); 

                auto tg_xyzzzzz_xxxxxxx_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 936); 

                auto tg_xyzzzzz_xxxxxxy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 937); 

                auto tg_xyzzzzz_xxxxxxz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 938); 

                auto tg_xyzzzzz_xxxxxyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 939); 

                auto tg_xyzzzzz_xxxxxyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 940); 

                auto tg_xyzzzzz_xxxxxzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 941); 

                auto tg_xyzzzzz_xxxxyyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 942); 

                auto tg_xyzzzzz_xxxxyyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 943); 

                auto tg_xyzzzzz_xxxxyzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 944); 

                auto tg_xyzzzzz_xxxxzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 945); 

                auto tg_xyzzzzz_xxxyyyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 946); 

                auto tg_xyzzzzz_xxxyyyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 947); 

                auto tg_xyzzzzz_xxxyyzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 948); 

                auto tg_xyzzzzz_xxxyzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 949); 

                auto tg_xyzzzzz_xxxzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 950); 

                auto tg_xyzzzzz_xxyyyyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 951); 

                auto tg_xyzzzzz_xxyyyyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 952); 

                auto tg_xyzzzzz_xxyyyzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 953); 

                auto tg_xyzzzzz_xxyyzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 954); 

                auto tg_yyyyzz_yyyzzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 860); 

                auto tg_yyyyzz_yyzzzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 861); 

                auto tg_yyyyzz_yzzzzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 862); 

                auto tg_yyyyzz_zzzzzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 863); 

                auto tg_yyyzzz_xxxxxxx_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 864); 

                auto tg_yyyzzz_xxxxxxy_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 865); 

                auto tg_yyyzzz_xxxxxxz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 866); 

                auto tg_yyyzzz_xxxxxyy_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 867); 

                auto tg_yyyzzz_xxxxxyz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 868); 

                auto tg_yyyzzz_xxxxxzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 869); 

                auto tg_yyyzzz_xxxxyyy_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 870); 

                auto tg_yyyzzz_xxxxyyz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 871); 

                auto tg_yyyzzz_xxxxyzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 872); 

                auto tg_yyyzzz_xxxxzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 873); 

                auto tg_yyyzzz_xxxyyyy_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 874); 

                auto tg_yyyzzz_xxxyyyz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 875); 

                auto tg_yyyzzz_xxxyyzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 876); 

                auto tg_yyyzzz_xxxyzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 877); 

                auto tg_yyyzzz_xxxzzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 878); 

                auto tg_yyyzzz_xxyyyyy_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 879); 

                auto tg_yyyzzz_xxyyyyz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 880); 

                auto tg_yyyzzz_xxyyyzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 881); 

                auto tg_yyyzzz_xxyyzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 882); 

                auto tg_yyyzzz_xxyzzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 883); 

                auto tg_yyyzzz_xxzzzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 884); 

                auto tg_yyyzzz_xyyyyyy_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 885); 

                auto tg_yyyzzz_xyyyyyz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 886); 

                auto tg_yyyzzz_xyyyyzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 887); 

                auto tg_yyyzzz_xyyyzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 888); 

                auto tg_yyyzzz_xyyzzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 889); 

                auto tg_yyyzzz_xyzzzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 890); 

                auto tg_yyyzzz_xzzzzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 891); 

                auto tg_yyyzzz_yyyyyyy_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 892); 

                auto tg_yyyzzz_yyyyyyz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 893); 

                auto tg_yyyzzz_yyyyyzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 894); 

                auto tg_yyyzzz_yyyyzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 895); 

                auto tg_yyyzzz_yyyzzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 896); 

                auto tg_yyyzzz_yyzzzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 897); 

                auto tg_yyyzzz_yzzzzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 898); 

                auto tg_yyyzzz_zzzzzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 899); 

                auto tg_yyzzzz_xxxxxxx_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 900); 

                auto tg_yyzzzz_xxxxxxy_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 901); 

                auto tg_yyzzzz_xxxxxxz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 902); 

                auto tg_yyzzzz_xxxxxyy_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 903); 

                auto tg_yyzzzz_xxxxxyz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 904); 

                auto tg_yyzzzz_xxxxxzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 905); 

                auto tg_yyzzzz_xxxxyyy_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 906); 

                auto tg_yyzzzz_xxxxyyz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 907); 

                auto tg_yyzzzz_xxxxyzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 908); 

                auto tg_yyzzzz_xxxxzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 909); 

                auto tg_yyzzzz_xxxyyyy_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 910); 

                auto tg_yyzzzz_xxxyyyz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 911); 

                auto tg_yyzzzz_xxxyyzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 912); 

                auto tg_yyzzzz_xxxyzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 913); 

                auto tg_yyzzzz_xxxzzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 914); 

                auto tg_yyzzzz_xxyyyyy_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 915); 

                auto tg_yyzzzz_xxyyyyz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 916); 

                auto tg_yyzzzz_xxyyyzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 917); 

                auto tg_yyzzzz_xxyyzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 918); 

                auto tg_yyzzzz_xxyzzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 919); 

                auto tg_yyzzzz_xxzzzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 920); 

                auto tg_yyzzzz_xyyyyyy_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 921); 

                auto tg_yyzzzz_xyyyyyz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 922); 

                auto tg_yyzzzz_xyyyyzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 923); 

                auto tg_yyzzzz_xyyyzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 924); 

                auto tg_yyzzzz_xyyzzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 925); 

                auto tg_yyzzzz_xyzzzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 926); 

                auto tg_yyzzzz_xzzzzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 927); 

                auto tg_yyzzzz_yyyyyyy_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 928); 

                auto tg_yyzzzz_yyyyyyz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 929); 

                auto tg_yyzzzz_yyyyyzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 930); 

                auto tg_yyzzzz_yyyyzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 931); 

                auto tg_yyzzzz_yyyzzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 932); 

                auto tg_yyzzzz_yyzzzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 933); 

                auto tg_yyzzzz_yzzzzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 934); 

                auto tg_yyzzzz_zzzzzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 935); 

                auto tg_yzzzzz_xxxxxxx_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 936); 

                auto tg_yzzzzz_xxxxxxy_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 937); 

                auto tg_yzzzzz_xxxxxxz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 938); 

                auto tg_yzzzzz_xxxxxyy_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 939); 

                auto tg_yzzzzz_xxxxxyz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 940); 

                auto tg_yzzzzz_xxxxxzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 941); 

                auto tg_yzzzzz_xxxxyyy_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 942); 

                auto tg_yzzzzz_xxxxyyz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 943); 

                auto tg_yzzzzz_xxxxyzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 944); 

                auto tg_yzzzzz_xxxxzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 945); 

                auto tg_yzzzzz_xxxyyyy_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 946); 

                auto tg_yzzzzz_xxxyyyz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 947); 

                auto tg_yzzzzz_xxxyyzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 948); 

                auto tg_yzzzzz_xxxyzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 949); 

                auto tg_yzzzzz_xxxzzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 950); 

                auto tg_yzzzzz_xxyyyyy_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 951); 

                auto tg_yzzzzz_xxyyyyz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 952); 

                auto tg_yzzzzz_xxyyyzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 953); 

                auto tg_yzzzzz_xxyyzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 954); 

                auto tg_yyyyzz_yyyzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 860); 

                auto tg_yyyyzz_yyzzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 861); 

                auto tg_yyyyzz_yzzzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 862); 

                auto tg_yyyyzz_zzzzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 863); 

                auto tg_yyyzzz_xxxxxxx_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 864); 

                auto tg_yyyzzz_xxxxxxy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 865); 

                auto tg_yyyzzz_xxxxxxz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 866); 

                auto tg_yyyzzz_xxxxxyy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 867); 

                auto tg_yyyzzz_xxxxxyz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 868); 

                auto tg_yyyzzz_xxxxxzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 869); 

                auto tg_yyyzzz_xxxxyyy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 870); 

                auto tg_yyyzzz_xxxxyyz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 871); 

                auto tg_yyyzzz_xxxxyzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 872); 

                auto tg_yyyzzz_xxxxzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 873); 

                auto tg_yyyzzz_xxxyyyy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 874); 

                auto tg_yyyzzz_xxxyyyz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 875); 

                auto tg_yyyzzz_xxxyyzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 876); 

                auto tg_yyyzzz_xxxyzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 877); 

                auto tg_yyyzzz_xxxzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 878); 

                auto tg_yyyzzz_xxyyyyy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 879); 

                auto tg_yyyzzz_xxyyyyz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 880); 

                auto tg_yyyzzz_xxyyyzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 881); 

                auto tg_yyyzzz_xxyyzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 882); 

                auto tg_yyyzzz_xxyzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 883); 

                auto tg_yyyzzz_xxzzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 884); 

                auto tg_yyyzzz_xyyyyyy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 885); 

                auto tg_yyyzzz_xyyyyyz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 886); 

                auto tg_yyyzzz_xyyyyzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 887); 

                auto tg_yyyzzz_xyyyzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 888); 

                auto tg_yyyzzz_xyyzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 889); 

                auto tg_yyyzzz_xyzzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 890); 

                auto tg_yyyzzz_xzzzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 891); 

                auto tg_yyyzzz_yyyyyyy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 892); 

                auto tg_yyyzzz_yyyyyyz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 893); 

                auto tg_yyyzzz_yyyyyzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 894); 

                auto tg_yyyzzz_yyyyzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 895); 

                auto tg_yyyzzz_yyyzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 896); 

                auto tg_yyyzzz_yyzzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 897); 

                auto tg_yyyzzz_yzzzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 898); 

                auto tg_yyyzzz_zzzzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 899); 

                auto tg_yyzzzz_xxxxxxx_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 900); 

                auto tg_yyzzzz_xxxxxxy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 901); 

                auto tg_yyzzzz_xxxxxxz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 902); 

                auto tg_yyzzzz_xxxxxyy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 903); 

                auto tg_yyzzzz_xxxxxyz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 904); 

                auto tg_yyzzzz_xxxxxzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 905); 

                auto tg_yyzzzz_xxxxyyy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 906); 

                auto tg_yyzzzz_xxxxyyz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 907); 

                auto tg_yyzzzz_xxxxyzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 908); 

                auto tg_yyzzzz_xxxxzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 909); 

                auto tg_yyzzzz_xxxyyyy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 910); 

                auto tg_yyzzzz_xxxyyyz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 911); 

                auto tg_yyzzzz_xxxyyzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 912); 

                auto tg_yyzzzz_xxxyzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 913); 

                auto tg_yyzzzz_xxxzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 914); 

                auto tg_yyzzzz_xxyyyyy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 915); 

                auto tg_yyzzzz_xxyyyyz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 916); 

                auto tg_yyzzzz_xxyyyzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 917); 

                auto tg_yyzzzz_xxyyzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 918); 

                auto tg_yyzzzz_xxyzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 919); 

                auto tg_yyzzzz_xxzzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 920); 

                auto tg_yyzzzz_xyyyyyy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 921); 

                auto tg_yyzzzz_xyyyyyz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 922); 

                auto tg_yyzzzz_xyyyyzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 923); 

                auto tg_yyzzzz_xyyyzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 924); 

                auto tg_yyzzzz_xyyzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 925); 

                auto tg_yyzzzz_xyzzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 926); 

                auto tg_yyzzzz_xzzzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 927); 

                auto tg_yyzzzz_yyyyyyy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 928); 

                auto tg_yyzzzz_yyyyyyz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 929); 

                auto tg_yyzzzz_yyyyyzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 930); 

                auto tg_yyzzzz_yyyyzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 931); 

                auto tg_yyzzzz_yyyzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 932); 

                auto tg_yyzzzz_yyzzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 933); 

                auto tg_yyzzzz_yzzzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 934); 

                auto tg_yyzzzz_zzzzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 935); 

                auto tg_yzzzzz_xxxxxxx_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 936); 

                auto tg_yzzzzz_xxxxxxy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 937); 

                auto tg_yzzzzz_xxxxxxz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 938); 

                auto tg_yzzzzz_xxxxxyy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 939); 

                auto tg_yzzzzz_xxxxxyz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 940); 

                auto tg_yzzzzz_xxxxxzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 941); 

                auto tg_yzzzzz_xxxxyyy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 942); 

                auto tg_yzzzzz_xxxxyyz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 943); 

                auto tg_yzzzzz_xxxxyzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 944); 

                auto tg_yzzzzz_xxxxzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 945); 

                auto tg_yzzzzz_xxxyyyy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 946); 

                auto tg_yzzzzz_xxxyyyz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 947); 

                auto tg_yzzzzz_xxxyyzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 948); 

                auto tg_yzzzzz_xxxyzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 949); 

                auto tg_yzzzzz_xxxzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 950); 

                auto tg_yzzzzz_xxyyyyy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 951); 

                auto tg_yzzzzz_xxyyyyz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 952); 

                auto tg_yzzzzz_xxyyyzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 953); 

                auto tg_yzzzzz_xxyyzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 954); 

                auto tg_xyyyzzz_xxxxxx_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 672); 

                auto tg_xyyyzzz_xxxxxy_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 673); 

                auto tg_xyyyzzz_xxxxxz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 674); 

                auto tg_xyyyzzz_xxxxyy_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 675); 

                auto tg_xyyyzzz_xxxxyz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 676); 

                auto tg_xyyyzzz_xxxxzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 677); 

                auto tg_xyyyzzz_xxxyyy_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 678); 

                auto tg_xyyyzzz_xxxyyz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 679); 

                auto tg_xyyyzzz_xxxyzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 680); 

                auto tg_xyyyzzz_xxxzzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 681); 

                auto tg_xyyyzzz_xxyyyy_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 682); 

                auto tg_xyyyzzz_xxyyyz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 683); 

                auto tg_xyyyzzz_xxyyzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 684); 

                auto tg_xyyyzzz_xxyzzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 685); 

                auto tg_xyyyzzz_xxzzzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 686); 

                auto tg_xyyyzzz_xyyyyy_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 687); 

                auto tg_xyyyzzz_xyyyyz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 688); 

                auto tg_xyyyzzz_xyyyzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 689); 

                auto tg_xyyyzzz_xyyzzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 690); 

                auto tg_xyyyzzz_xyzzzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 691); 

                auto tg_xyyyzzz_xzzzzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 692); 

                auto tg_xyyyzzz_yyyyyy_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 693); 

                auto tg_xyyyzzz_yyyyyz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 694); 

                auto tg_xyyyzzz_yyyyzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 695); 

                auto tg_xyyyzzz_yyyzzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 696); 

                auto tg_xyyyzzz_yyzzzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 697); 

                auto tg_xyyyzzz_yzzzzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 698); 

                auto tg_xyyyzzz_zzzzzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 699); 

                auto tg_xyyzzzz_xxxxxx_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 700); 

                auto tg_xyyzzzz_xxxxxy_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 701); 

                auto tg_xyyzzzz_xxxxxz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 702); 

                auto tg_xyyzzzz_xxxxyy_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 703); 

                auto tg_xyyzzzz_xxxxyz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 704); 

                auto tg_xyyzzzz_xxxxzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 705); 

                auto tg_xyyzzzz_xxxyyy_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 706); 

                auto tg_xyyzzzz_xxxyyz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 707); 

                auto tg_xyyzzzz_xxxyzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 708); 

                auto tg_xyyzzzz_xxxzzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 709); 

                auto tg_xyyzzzz_xxyyyy_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 710); 

                auto tg_xyyzzzz_xxyyyz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 711); 

                auto tg_xyyzzzz_xxyyzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 712); 

                auto tg_xyyzzzz_xxyzzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 713); 

                auto tg_xyyzzzz_xxzzzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 714); 

                auto tg_xyyzzzz_xyyyyy_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 715); 

                auto tg_xyyzzzz_xyyyyz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 716); 

                auto tg_xyyzzzz_xyyyzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 717); 

                auto tg_xyyzzzz_xyyzzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 718); 

                auto tg_xyyzzzz_xyzzzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 719); 

                auto tg_xyyzzzz_xzzzzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 720); 

                auto tg_xyyzzzz_yyyyyy_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 721); 

                auto tg_xyyzzzz_yyyyyz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 722); 

                auto tg_xyyzzzz_yyyyzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 723); 

                auto tg_xyyzzzz_yyyzzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 724); 

                auto tg_xyyzzzz_yyzzzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 725); 

                auto tg_xyyzzzz_yzzzzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 726); 

                auto tg_xyyzzzz_zzzzzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 727); 

                auto tg_xyzzzzz_xxxxxx_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 728); 

                auto tg_xyzzzzz_xxxxxy_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 729); 

                auto tg_xyzzzzz_xxxxxz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 730); 

                auto tg_xyzzzzz_xxxxyy_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 731); 

                auto tg_xyzzzzz_xxxxyz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 732); 

                auto tg_xyzzzzz_xxxxzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 733); 

                auto tg_xyzzzzz_xxxyyy_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 734); 

                auto tg_xyzzzzz_xxxyyz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 735); 

                auto tg_xyzzzzz_xxxyzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 736); 

                auto tg_xyzzzzz_xxxzzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 737); 

                auto tg_xyzzzzz_xxyyyy_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 738); 

                auto tg_xyzzzzz_xxyyyz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 739); 

                auto tg_xyzzzzz_xxyyzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 740); 

                auto tg_xyzzzzz_xxyzzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 741); 

                auto tg_xyzzzzz_xxzzzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 742); 

                auto tg_xyzzzzz_xyyyyy_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 743); 

                auto tg_xyzzzzz_xyyyyz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 744); 

                auto tg_xyzzzzz_xyyyzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 745); 

                auto tg_xyzzzzz_xyyzzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 746); 

                // set up pointers to integrals

                auto tg_xxyyyyzz_yyyzzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 860); 

                auto tg_xxyyyyzz_yyzzzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 861); 

                auto tg_xxyyyyzz_yzzzzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 862); 

                auto tg_xxyyyyzz_zzzzzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 863); 

                auto tg_xxyyyzzz_xxxxxxx_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 864); 

                auto tg_xxyyyzzz_xxxxxxy_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 865); 

                auto tg_xxyyyzzz_xxxxxxz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 866); 

                auto tg_xxyyyzzz_xxxxxyy_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 867); 

                auto tg_xxyyyzzz_xxxxxyz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 868); 

                auto tg_xxyyyzzz_xxxxxzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 869); 

                auto tg_xxyyyzzz_xxxxyyy_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 870); 

                auto tg_xxyyyzzz_xxxxyyz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 871); 

                auto tg_xxyyyzzz_xxxxyzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 872); 

                auto tg_xxyyyzzz_xxxxzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 873); 

                auto tg_xxyyyzzz_xxxyyyy_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 874); 

                auto tg_xxyyyzzz_xxxyyyz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 875); 

                auto tg_xxyyyzzz_xxxyyzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 876); 

                auto tg_xxyyyzzz_xxxyzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 877); 

                auto tg_xxyyyzzz_xxxzzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 878); 

                auto tg_xxyyyzzz_xxyyyyy_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 879); 

                auto tg_xxyyyzzz_xxyyyyz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 880); 

                auto tg_xxyyyzzz_xxyyyzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 881); 

                auto tg_xxyyyzzz_xxyyzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 882); 

                auto tg_xxyyyzzz_xxyzzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 883); 

                auto tg_xxyyyzzz_xxzzzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 884); 

                auto tg_xxyyyzzz_xyyyyyy_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 885); 

                auto tg_xxyyyzzz_xyyyyyz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 886); 

                auto tg_xxyyyzzz_xyyyyzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 887); 

                auto tg_xxyyyzzz_xyyyzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 888); 

                auto tg_xxyyyzzz_xyyzzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 889); 

                auto tg_xxyyyzzz_xyzzzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 890); 

                auto tg_xxyyyzzz_xzzzzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 891); 

                auto tg_xxyyyzzz_yyyyyyy_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 892); 

                auto tg_xxyyyzzz_yyyyyyz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 893); 

                auto tg_xxyyyzzz_yyyyyzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 894); 

                auto tg_xxyyyzzz_yyyyzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 895); 

                auto tg_xxyyyzzz_yyyzzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 896); 

                auto tg_xxyyyzzz_yyzzzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 897); 

                auto tg_xxyyyzzz_yzzzzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 898); 

                auto tg_xxyyyzzz_zzzzzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 899); 

                auto tg_xxyyzzzz_xxxxxxx_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 900); 

                auto tg_xxyyzzzz_xxxxxxy_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 901); 

                auto tg_xxyyzzzz_xxxxxxz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 902); 

                auto tg_xxyyzzzz_xxxxxyy_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 903); 

                auto tg_xxyyzzzz_xxxxxyz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 904); 

                auto tg_xxyyzzzz_xxxxxzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 905); 

                auto tg_xxyyzzzz_xxxxyyy_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 906); 

                auto tg_xxyyzzzz_xxxxyyz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 907); 

                auto tg_xxyyzzzz_xxxxyzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 908); 

                auto tg_xxyyzzzz_xxxxzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 909); 

                auto tg_xxyyzzzz_xxxyyyy_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 910); 

                auto tg_xxyyzzzz_xxxyyyz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 911); 

                auto tg_xxyyzzzz_xxxyyzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 912); 

                auto tg_xxyyzzzz_xxxyzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 913); 

                auto tg_xxyyzzzz_xxxzzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 914); 

                auto tg_xxyyzzzz_xxyyyyy_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 915); 

                auto tg_xxyyzzzz_xxyyyyz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 916); 

                auto tg_xxyyzzzz_xxyyyzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 917); 

                auto tg_xxyyzzzz_xxyyzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 918); 

                auto tg_xxyyzzzz_xxyzzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 919); 

                auto tg_xxyyzzzz_xxzzzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 920); 

                auto tg_xxyyzzzz_xyyyyyy_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 921); 

                auto tg_xxyyzzzz_xyyyyyz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 922); 

                auto tg_xxyyzzzz_xyyyyzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 923); 

                auto tg_xxyyzzzz_xyyyzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 924); 

                auto tg_xxyyzzzz_xyyzzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 925); 

                auto tg_xxyyzzzz_xyzzzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 926); 

                auto tg_xxyyzzzz_xzzzzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 927); 

                auto tg_xxyyzzzz_yyyyyyy_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 928); 

                auto tg_xxyyzzzz_yyyyyyz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 929); 

                auto tg_xxyyzzzz_yyyyyzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 930); 

                auto tg_xxyyzzzz_yyyyzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 931); 

                auto tg_xxyyzzzz_yyyzzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 932); 

                auto tg_xxyyzzzz_yyzzzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 933); 

                auto tg_xxyyzzzz_yzzzzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 934); 

                auto tg_xxyyzzzz_zzzzzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 935); 

                auto tg_xxyzzzzz_xxxxxxx_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 936); 

                auto tg_xxyzzzzz_xxxxxxy_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 937); 

                auto tg_xxyzzzzz_xxxxxxz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 938); 

                auto tg_xxyzzzzz_xxxxxyy_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 939); 

                auto tg_xxyzzzzz_xxxxxyz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 940); 

                auto tg_xxyzzzzz_xxxxxzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 941); 

                auto tg_xxyzzzzz_xxxxyyy_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 942); 

                auto tg_xxyzzzzz_xxxxyyz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 943); 

                auto tg_xxyzzzzz_xxxxyzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 944); 

                auto tg_xxyzzzzz_xxxxzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 945); 

                auto tg_xxyzzzzz_xxxyyyy_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 946); 

                auto tg_xxyzzzzz_xxxyyyz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 947); 

                auto tg_xxyzzzzz_xxxyyzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 948); 

                auto tg_xxyzzzzz_xxxyzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 949); 

                auto tg_xxyzzzzz_xxxzzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 950); 

                auto tg_xxyzzzzz_xxyyyyy_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 951); 

                auto tg_xxyzzzzz_xxyyyyz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 952); 

                auto tg_xxyzzzzz_xxyyyzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 953); 

                auto tg_xxyzzzzz_xxyyzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 954); 

                // Batch of Integrals (860,955)

                #pragma omp simd aligned(fxn, fza, tg_xxyyyyzz_yyyzzzz_0, tg_xxyyyyzz_yyzzzzz_0, \
                                         tg_xxyyyyzz_yzzzzzz_0, tg_xxyyyyzz_zzzzzzz_0, tg_xxyyyzzz_xxxxxxx_0, \
                                         tg_xxyyyzzz_xxxxxxy_0, tg_xxyyyzzz_xxxxxxz_0, tg_xxyyyzzz_xxxxxyy_0, \
                                         tg_xxyyyzzz_xxxxxyz_0, tg_xxyyyzzz_xxxxxzz_0, tg_xxyyyzzz_xxxxyyy_0, \
                                         tg_xxyyyzzz_xxxxyyz_0, tg_xxyyyzzz_xxxxyzz_0, tg_xxyyyzzz_xxxxzzz_0, \
                                         tg_xxyyyzzz_xxxyyyy_0, tg_xxyyyzzz_xxxyyyz_0, tg_xxyyyzzz_xxxyyzz_0, \
                                         tg_xxyyyzzz_xxxyzzz_0, tg_xxyyyzzz_xxxzzzz_0, tg_xxyyyzzz_xxyyyyy_0, \
                                         tg_xxyyyzzz_xxyyyyz_0, tg_xxyyyzzz_xxyyyzz_0, tg_xxyyyzzz_xxyyzzz_0, \
                                         tg_xxyyyzzz_xxyzzzz_0, tg_xxyyyzzz_xxzzzzz_0, tg_xxyyyzzz_xyyyyyy_0, \
                                         tg_xxyyyzzz_xyyyyyz_0, tg_xxyyyzzz_xyyyyzz_0, tg_xxyyyzzz_xyyyzzz_0, \
                                         tg_xxyyyzzz_xyyzzzz_0, tg_xxyyyzzz_xyzzzzz_0, tg_xxyyyzzz_xzzzzzz_0, \
                                         tg_xxyyyzzz_yyyyyyy_0, tg_xxyyyzzz_yyyyyyz_0, tg_xxyyyzzz_yyyyyzz_0, \
                                         tg_xxyyyzzz_yyyyzzz_0, tg_xxyyyzzz_yyyzzzz_0, tg_xxyyyzzz_yyzzzzz_0, \
                                         tg_xxyyyzzz_yzzzzzz_0, tg_xxyyyzzz_zzzzzzz_0, tg_xxyyzzzz_xxxxxxx_0, \
                                         tg_xxyyzzzz_xxxxxxy_0, tg_xxyyzzzz_xxxxxxz_0, tg_xxyyzzzz_xxxxxyy_0, \
                                         tg_xxyyzzzz_xxxxxyz_0, tg_xxyyzzzz_xxxxxzz_0, tg_xxyyzzzz_xxxxyyy_0, \
                                         tg_xxyyzzzz_xxxxyyz_0, tg_xxyyzzzz_xxxxyzz_0, tg_xxyyzzzz_xxxxzzz_0, \
                                         tg_xxyyzzzz_xxxyyyy_0, tg_xxyyzzzz_xxxyyyz_0, tg_xxyyzzzz_xxxyyzz_0, \
                                         tg_xxyyzzzz_xxxyzzz_0, tg_xxyyzzzz_xxxzzzz_0, tg_xxyyzzzz_xxyyyyy_0, \
                                         tg_xxyyzzzz_xxyyyyz_0, tg_xxyyzzzz_xxyyyzz_0, tg_xxyyzzzz_xxyyzzz_0, \
                                         tg_xxyyzzzz_xxyzzzz_0, tg_xxyyzzzz_xxzzzzz_0, tg_xxyyzzzz_xyyyyyy_0, \
                                         tg_xxyyzzzz_xyyyyyz_0, tg_xxyyzzzz_xyyyyzz_0, tg_xxyyzzzz_xyyyzzz_0, \
                                         tg_xxyyzzzz_xyyzzzz_0, tg_xxyyzzzz_xyzzzzz_0, tg_xxyyzzzz_xzzzzzz_0, \
                                         tg_xxyyzzzz_yyyyyyy_0, tg_xxyyzzzz_yyyyyyz_0, tg_xxyyzzzz_yyyyyzz_0, \
                                         tg_xxyyzzzz_yyyyzzz_0, tg_xxyyzzzz_yyyzzzz_0, tg_xxyyzzzz_yyzzzzz_0, \
                                         tg_xxyyzzzz_yzzzzzz_0, tg_xxyyzzzz_zzzzzzz_0, tg_xxyzzzzz_xxxxxxx_0, \
                                         tg_xxyzzzzz_xxxxxxy_0, tg_xxyzzzzz_xxxxxxz_0, tg_xxyzzzzz_xxxxxyy_0, \
                                         tg_xxyzzzzz_xxxxxyz_0, tg_xxyzzzzz_xxxxxzz_0, tg_xxyzzzzz_xxxxyyy_0, \
                                         tg_xxyzzzzz_xxxxyyz_0, tg_xxyzzzzz_xxxxyzz_0, tg_xxyzzzzz_xxxxzzz_0, \
                                         tg_xxyzzzzz_xxxyyyy_0, tg_xxyzzzzz_xxxyyyz_0, tg_xxyzzzzz_xxxyyzz_0, \
                                         tg_xxyzzzzz_xxxyzzz_0, tg_xxyzzzzz_xxxzzzz_0, tg_xxyzzzzz_xxyyyyy_0, \
                                         tg_xxyzzzzz_xxyyyyz_0, tg_xxyzzzzz_xxyyyzz_0, tg_xxyzzzzz_xxyyzzz_0, \
                                         tg_xyyyyzz_yyyzzzz_0, tg_xyyyyzz_yyyzzzz_1, tg_xyyyyzz_yyzzzzz_0, tg_xyyyyzz_yyzzzzz_1, \
                                         tg_xyyyyzz_yzzzzzz_0, tg_xyyyyzz_yzzzzzz_1, tg_xyyyyzz_zzzzzzz_0, tg_xyyyyzz_zzzzzzz_1, \
                                         tg_xyyyzzz_xxxxxx_1, tg_xyyyzzz_xxxxxxx_0, tg_xyyyzzz_xxxxxxx_1, tg_xyyyzzz_xxxxxxy_0, \
                                         tg_xyyyzzz_xxxxxxy_1, tg_xyyyzzz_xxxxxxz_0, tg_xyyyzzz_xxxxxxz_1, tg_xyyyzzz_xxxxxy_1, \
                                         tg_xyyyzzz_xxxxxyy_0, tg_xyyyzzz_xxxxxyy_1, tg_xyyyzzz_xxxxxyz_0, tg_xyyyzzz_xxxxxyz_1, \
                                         tg_xyyyzzz_xxxxxz_1, tg_xyyyzzz_xxxxxzz_0, tg_xyyyzzz_xxxxxzz_1, tg_xyyyzzz_xxxxyy_1, \
                                         tg_xyyyzzz_xxxxyyy_0, tg_xyyyzzz_xxxxyyy_1, tg_xyyyzzz_xxxxyyz_0, tg_xyyyzzz_xxxxyyz_1, \
                                         tg_xyyyzzz_xxxxyz_1, tg_xyyyzzz_xxxxyzz_0, tg_xyyyzzz_xxxxyzz_1, tg_xyyyzzz_xxxxzz_1, \
                                         tg_xyyyzzz_xxxxzzz_0, tg_xyyyzzz_xxxxzzz_1, tg_xyyyzzz_xxxyyy_1, tg_xyyyzzz_xxxyyyy_0, \
                                         tg_xyyyzzz_xxxyyyy_1, tg_xyyyzzz_xxxyyyz_0, tg_xyyyzzz_xxxyyyz_1, tg_xyyyzzz_xxxyyz_1, \
                                         tg_xyyyzzz_xxxyyzz_0, tg_xyyyzzz_xxxyyzz_1, tg_xyyyzzz_xxxyzz_1, tg_xyyyzzz_xxxyzzz_0, \
                                         tg_xyyyzzz_xxxyzzz_1, tg_xyyyzzz_xxxzzz_1, tg_xyyyzzz_xxxzzzz_0, tg_xyyyzzz_xxxzzzz_1, \
                                         tg_xyyyzzz_xxyyyy_1, tg_xyyyzzz_xxyyyyy_0, tg_xyyyzzz_xxyyyyy_1, tg_xyyyzzz_xxyyyyz_0, \
                                         tg_xyyyzzz_xxyyyyz_1, tg_xyyyzzz_xxyyyz_1, tg_xyyyzzz_xxyyyzz_0, tg_xyyyzzz_xxyyyzz_1, \
                                         tg_xyyyzzz_xxyyzz_1, tg_xyyyzzz_xxyyzzz_0, tg_xyyyzzz_xxyyzzz_1, tg_xyyyzzz_xxyzzz_1, \
                                         tg_xyyyzzz_xxyzzzz_0, tg_xyyyzzz_xxyzzzz_1, tg_xyyyzzz_xxzzzz_1, tg_xyyyzzz_xxzzzzz_0, \
                                         tg_xyyyzzz_xxzzzzz_1, tg_xyyyzzz_xyyyyy_1, tg_xyyyzzz_xyyyyyy_0, tg_xyyyzzz_xyyyyyy_1, \
                                         tg_xyyyzzz_xyyyyyz_0, tg_xyyyzzz_xyyyyyz_1, tg_xyyyzzz_xyyyyz_1, tg_xyyyzzz_xyyyyzz_0, \
                                         tg_xyyyzzz_xyyyyzz_1, tg_xyyyzzz_xyyyzz_1, tg_xyyyzzz_xyyyzzz_0, tg_xyyyzzz_xyyyzzz_1, \
                                         tg_xyyyzzz_xyyzzz_1, tg_xyyyzzz_xyyzzzz_0, tg_xyyyzzz_xyyzzzz_1, tg_xyyyzzz_xyzzzz_1, \
                                         tg_xyyyzzz_xyzzzzz_0, tg_xyyyzzz_xyzzzzz_1, tg_xyyyzzz_xzzzzz_1, tg_xyyyzzz_xzzzzzz_0, \
                                         tg_xyyyzzz_xzzzzzz_1, tg_xyyyzzz_yyyyyy_1, tg_xyyyzzz_yyyyyyy_0, tg_xyyyzzz_yyyyyyy_1, \
                                         tg_xyyyzzz_yyyyyyz_0, tg_xyyyzzz_yyyyyyz_1, tg_xyyyzzz_yyyyyz_1, tg_xyyyzzz_yyyyyzz_0, \
                                         tg_xyyyzzz_yyyyyzz_1, tg_xyyyzzz_yyyyzz_1, tg_xyyyzzz_yyyyzzz_0, tg_xyyyzzz_yyyyzzz_1, \
                                         tg_xyyyzzz_yyyzzz_1, tg_xyyyzzz_yyyzzzz_0, tg_xyyyzzz_yyyzzzz_1, tg_xyyyzzz_yyzzzz_1, \
                                         tg_xyyyzzz_yyzzzzz_0, tg_xyyyzzz_yyzzzzz_1, tg_xyyyzzz_yzzzzz_1, tg_xyyyzzz_yzzzzzz_0, \
                                         tg_xyyyzzz_yzzzzzz_1, tg_xyyyzzz_zzzzzz_1, tg_xyyyzzz_zzzzzzz_0, tg_xyyyzzz_zzzzzzz_1, \
                                         tg_xyyzzzz_xxxxxx_1, tg_xyyzzzz_xxxxxxx_0, tg_xyyzzzz_xxxxxxx_1, tg_xyyzzzz_xxxxxxy_0, \
                                         tg_xyyzzzz_xxxxxxy_1, tg_xyyzzzz_xxxxxxz_0, tg_xyyzzzz_xxxxxxz_1, tg_xyyzzzz_xxxxxy_1, \
                                         tg_xyyzzzz_xxxxxyy_0, tg_xyyzzzz_xxxxxyy_1, tg_xyyzzzz_xxxxxyz_0, tg_xyyzzzz_xxxxxyz_1, \
                                         tg_xyyzzzz_xxxxxz_1, tg_xyyzzzz_xxxxxzz_0, tg_xyyzzzz_xxxxxzz_1, tg_xyyzzzz_xxxxyy_1, \
                                         tg_xyyzzzz_xxxxyyy_0, tg_xyyzzzz_xxxxyyy_1, tg_xyyzzzz_xxxxyyz_0, tg_xyyzzzz_xxxxyyz_1, \
                                         tg_xyyzzzz_xxxxyz_1, tg_xyyzzzz_xxxxyzz_0, tg_xyyzzzz_xxxxyzz_1, tg_xyyzzzz_xxxxzz_1, \
                                         tg_xyyzzzz_xxxxzzz_0, tg_xyyzzzz_xxxxzzz_1, tg_xyyzzzz_xxxyyy_1, tg_xyyzzzz_xxxyyyy_0, \
                                         tg_xyyzzzz_xxxyyyy_1, tg_xyyzzzz_xxxyyyz_0, tg_xyyzzzz_xxxyyyz_1, tg_xyyzzzz_xxxyyz_1, \
                                         tg_xyyzzzz_xxxyyzz_0, tg_xyyzzzz_xxxyyzz_1, tg_xyyzzzz_xxxyzz_1, tg_xyyzzzz_xxxyzzz_0, \
                                         tg_xyyzzzz_xxxyzzz_1, tg_xyyzzzz_xxxzzz_1, tg_xyyzzzz_xxxzzzz_0, tg_xyyzzzz_xxxzzzz_1, \
                                         tg_xyyzzzz_xxyyyy_1, tg_xyyzzzz_xxyyyyy_0, tg_xyyzzzz_xxyyyyy_1, tg_xyyzzzz_xxyyyyz_0, \
                                         tg_xyyzzzz_xxyyyyz_1, tg_xyyzzzz_xxyyyz_1, tg_xyyzzzz_xxyyyzz_0, tg_xyyzzzz_xxyyyzz_1, \
                                         tg_xyyzzzz_xxyyzz_1, tg_xyyzzzz_xxyyzzz_0, tg_xyyzzzz_xxyyzzz_1, tg_xyyzzzz_xxyzzz_1, \
                                         tg_xyyzzzz_xxyzzzz_0, tg_xyyzzzz_xxyzzzz_1, tg_xyyzzzz_xxzzzz_1, tg_xyyzzzz_xxzzzzz_0, \
                                         tg_xyyzzzz_xxzzzzz_1, tg_xyyzzzz_xyyyyy_1, tg_xyyzzzz_xyyyyyy_0, tg_xyyzzzz_xyyyyyy_1, \
                                         tg_xyyzzzz_xyyyyyz_0, tg_xyyzzzz_xyyyyyz_1, tg_xyyzzzz_xyyyyz_1, tg_xyyzzzz_xyyyyzz_0, \
                                         tg_xyyzzzz_xyyyyzz_1, tg_xyyzzzz_xyyyzz_1, tg_xyyzzzz_xyyyzzz_0, tg_xyyzzzz_xyyyzzz_1, \
                                         tg_xyyzzzz_xyyzzz_1, tg_xyyzzzz_xyyzzzz_0, tg_xyyzzzz_xyyzzzz_1, tg_xyyzzzz_xyzzzz_1, \
                                         tg_xyyzzzz_xyzzzzz_0, tg_xyyzzzz_xyzzzzz_1, tg_xyyzzzz_xzzzzz_1, tg_xyyzzzz_xzzzzzz_0, \
                                         tg_xyyzzzz_xzzzzzz_1, tg_xyyzzzz_yyyyyy_1, tg_xyyzzzz_yyyyyyy_0, tg_xyyzzzz_yyyyyyy_1, \
                                         tg_xyyzzzz_yyyyyyz_0, tg_xyyzzzz_yyyyyyz_1, tg_xyyzzzz_yyyyyz_1, tg_xyyzzzz_yyyyyzz_0, \
                                         tg_xyyzzzz_yyyyyzz_1, tg_xyyzzzz_yyyyzz_1, tg_xyyzzzz_yyyyzzz_0, tg_xyyzzzz_yyyyzzz_1, \
                                         tg_xyyzzzz_yyyzzz_1, tg_xyyzzzz_yyyzzzz_0, tg_xyyzzzz_yyyzzzz_1, tg_xyyzzzz_yyzzzz_1, \
                                         tg_xyyzzzz_yyzzzzz_0, tg_xyyzzzz_yyzzzzz_1, tg_xyyzzzz_yzzzzz_1, tg_xyyzzzz_yzzzzzz_0, \
                                         tg_xyyzzzz_yzzzzzz_1, tg_xyyzzzz_zzzzzz_1, tg_xyyzzzz_zzzzzzz_0, tg_xyyzzzz_zzzzzzz_1, \
                                         tg_xyzzzzz_xxxxxx_1, tg_xyzzzzz_xxxxxxx_0, tg_xyzzzzz_xxxxxxx_1, tg_xyzzzzz_xxxxxxy_0, \
                                         tg_xyzzzzz_xxxxxxy_1, tg_xyzzzzz_xxxxxxz_0, tg_xyzzzzz_xxxxxxz_1, tg_xyzzzzz_xxxxxy_1, \
                                         tg_xyzzzzz_xxxxxyy_0, tg_xyzzzzz_xxxxxyy_1, tg_xyzzzzz_xxxxxyz_0, tg_xyzzzzz_xxxxxyz_1, \
                                         tg_xyzzzzz_xxxxxz_1, tg_xyzzzzz_xxxxxzz_0, tg_xyzzzzz_xxxxxzz_1, tg_xyzzzzz_xxxxyy_1, \
                                         tg_xyzzzzz_xxxxyyy_0, tg_xyzzzzz_xxxxyyy_1, tg_xyzzzzz_xxxxyyz_0, tg_xyzzzzz_xxxxyyz_1, \
                                         tg_xyzzzzz_xxxxyz_1, tg_xyzzzzz_xxxxyzz_0, tg_xyzzzzz_xxxxyzz_1, tg_xyzzzzz_xxxxzz_1, \
                                         tg_xyzzzzz_xxxxzzz_0, tg_xyzzzzz_xxxxzzz_1, tg_xyzzzzz_xxxyyy_1, tg_xyzzzzz_xxxyyyy_0, \
                                         tg_xyzzzzz_xxxyyyy_1, tg_xyzzzzz_xxxyyyz_0, tg_xyzzzzz_xxxyyyz_1, tg_xyzzzzz_xxxyyz_1, \
                                         tg_xyzzzzz_xxxyyzz_0, tg_xyzzzzz_xxxyyzz_1, tg_xyzzzzz_xxxyzz_1, tg_xyzzzzz_xxxyzzz_0, \
                                         tg_xyzzzzz_xxxyzzz_1, tg_xyzzzzz_xxxzzz_1, tg_xyzzzzz_xxxzzzz_0, tg_xyzzzzz_xxxzzzz_1, \
                                         tg_xyzzzzz_xxyyyy_1, tg_xyzzzzz_xxyyyyy_0, tg_xyzzzzz_xxyyyyy_1, tg_xyzzzzz_xxyyyyz_0, \
                                         tg_xyzzzzz_xxyyyyz_1, tg_xyzzzzz_xxyyyz_1, tg_xyzzzzz_xxyyyzz_0, tg_xyzzzzz_xxyyyzz_1, \
                                         tg_xyzzzzz_xxyyzz_1, tg_xyzzzzz_xxyyzzz_0, tg_xyzzzzz_xxyyzzz_1, tg_xyzzzzz_xxyzzz_1, \
                                         tg_xyzzzzz_xxzzzz_1, tg_xyzzzzz_xyyyyy_1, tg_xyzzzzz_xyyyyz_1, tg_xyzzzzz_xyyyzz_1, \
                                         tg_xyzzzzz_xyyzzz_1, tg_yyyyzz_yyyzzzz_0, tg_yyyyzz_yyyzzzz_1, tg_yyyyzz_yyzzzzz_0, \
                                         tg_yyyyzz_yyzzzzz_1, tg_yyyyzz_yzzzzzz_0, tg_yyyyzz_yzzzzzz_1, tg_yyyyzz_zzzzzzz_0, \
                                         tg_yyyyzz_zzzzzzz_1, tg_yyyzzz_xxxxxxx_0, tg_yyyzzz_xxxxxxx_1, tg_yyyzzz_xxxxxxy_0, \
                                         tg_yyyzzz_xxxxxxy_1, tg_yyyzzz_xxxxxxz_0, tg_yyyzzz_xxxxxxz_1, tg_yyyzzz_xxxxxyy_0, \
                                         tg_yyyzzz_xxxxxyy_1, tg_yyyzzz_xxxxxyz_0, tg_yyyzzz_xxxxxyz_1, tg_yyyzzz_xxxxxzz_0, \
                                         tg_yyyzzz_xxxxxzz_1, tg_yyyzzz_xxxxyyy_0, tg_yyyzzz_xxxxyyy_1, tg_yyyzzz_xxxxyyz_0, \
                                         tg_yyyzzz_xxxxyyz_1, tg_yyyzzz_xxxxyzz_0, tg_yyyzzz_xxxxyzz_1, tg_yyyzzz_xxxxzzz_0, \
                                         tg_yyyzzz_xxxxzzz_1, tg_yyyzzz_xxxyyyy_0, tg_yyyzzz_xxxyyyy_1, tg_yyyzzz_xxxyyyz_0, \
                                         tg_yyyzzz_xxxyyyz_1, tg_yyyzzz_xxxyyzz_0, tg_yyyzzz_xxxyyzz_1, tg_yyyzzz_xxxyzzz_0, \
                                         tg_yyyzzz_xxxyzzz_1, tg_yyyzzz_xxxzzzz_0, tg_yyyzzz_xxxzzzz_1, tg_yyyzzz_xxyyyyy_0, \
                                         tg_yyyzzz_xxyyyyy_1, tg_yyyzzz_xxyyyyz_0, tg_yyyzzz_xxyyyyz_1, tg_yyyzzz_xxyyyzz_0, \
                                         tg_yyyzzz_xxyyyzz_1, tg_yyyzzz_xxyyzzz_0, tg_yyyzzz_xxyyzzz_1, tg_yyyzzz_xxyzzzz_0, \
                                         tg_yyyzzz_xxyzzzz_1, tg_yyyzzz_xxzzzzz_0, tg_yyyzzz_xxzzzzz_1, tg_yyyzzz_xyyyyyy_0, \
                                         tg_yyyzzz_xyyyyyy_1, tg_yyyzzz_xyyyyyz_0, tg_yyyzzz_xyyyyyz_1, tg_yyyzzz_xyyyyzz_0, \
                                         tg_yyyzzz_xyyyyzz_1, tg_yyyzzz_xyyyzzz_0, tg_yyyzzz_xyyyzzz_1, tg_yyyzzz_xyyzzzz_0, \
                                         tg_yyyzzz_xyyzzzz_1, tg_yyyzzz_xyzzzzz_0, tg_yyyzzz_xyzzzzz_1, tg_yyyzzz_xzzzzzz_0, \
                                         tg_yyyzzz_xzzzzzz_1, tg_yyyzzz_yyyyyyy_0, tg_yyyzzz_yyyyyyy_1, tg_yyyzzz_yyyyyyz_0, \
                                         tg_yyyzzz_yyyyyyz_1, tg_yyyzzz_yyyyyzz_0, tg_yyyzzz_yyyyyzz_1, tg_yyyzzz_yyyyzzz_0, \
                                         tg_yyyzzz_yyyyzzz_1, tg_yyyzzz_yyyzzzz_0, tg_yyyzzz_yyyzzzz_1, tg_yyyzzz_yyzzzzz_0, \
                                         tg_yyyzzz_yyzzzzz_1, tg_yyyzzz_yzzzzzz_0, tg_yyyzzz_yzzzzzz_1, tg_yyyzzz_zzzzzzz_0, \
                                         tg_yyyzzz_zzzzzzz_1, tg_yyzzzz_xxxxxxx_0, tg_yyzzzz_xxxxxxx_1, tg_yyzzzz_xxxxxxy_0, \
                                         tg_yyzzzz_xxxxxxy_1, tg_yyzzzz_xxxxxxz_0, tg_yyzzzz_xxxxxxz_1, tg_yyzzzz_xxxxxyy_0, \
                                         tg_yyzzzz_xxxxxyy_1, tg_yyzzzz_xxxxxyz_0, tg_yyzzzz_xxxxxyz_1, tg_yyzzzz_xxxxxzz_0, \
                                         tg_yyzzzz_xxxxxzz_1, tg_yyzzzz_xxxxyyy_0, tg_yyzzzz_xxxxyyy_1, tg_yyzzzz_xxxxyyz_0, \
                                         tg_yyzzzz_xxxxyyz_1, tg_yyzzzz_xxxxyzz_0, tg_yyzzzz_xxxxyzz_1, tg_yyzzzz_xxxxzzz_0, \
                                         tg_yyzzzz_xxxxzzz_1, tg_yyzzzz_xxxyyyy_0, tg_yyzzzz_xxxyyyy_1, tg_yyzzzz_xxxyyyz_0, \
                                         tg_yyzzzz_xxxyyyz_1, tg_yyzzzz_xxxyyzz_0, tg_yyzzzz_xxxyyzz_1, tg_yyzzzz_xxxyzzz_0, \
                                         tg_yyzzzz_xxxyzzz_1, tg_yyzzzz_xxxzzzz_0, tg_yyzzzz_xxxzzzz_1, tg_yyzzzz_xxyyyyy_0, \
                                         tg_yyzzzz_xxyyyyy_1, tg_yyzzzz_xxyyyyz_0, tg_yyzzzz_xxyyyyz_1, tg_yyzzzz_xxyyyzz_0, \
                                         tg_yyzzzz_xxyyyzz_1, tg_yyzzzz_xxyyzzz_0, tg_yyzzzz_xxyyzzz_1, tg_yyzzzz_xxyzzzz_0, \
                                         tg_yyzzzz_xxyzzzz_1, tg_yyzzzz_xxzzzzz_0, tg_yyzzzz_xxzzzzz_1, tg_yyzzzz_xyyyyyy_0, \
                                         tg_yyzzzz_xyyyyyy_1, tg_yyzzzz_xyyyyyz_0, tg_yyzzzz_xyyyyyz_1, tg_yyzzzz_xyyyyzz_0, \
                                         tg_yyzzzz_xyyyyzz_1, tg_yyzzzz_xyyyzzz_0, tg_yyzzzz_xyyyzzz_1, tg_yyzzzz_xyyzzzz_0, \
                                         tg_yyzzzz_xyyzzzz_1, tg_yyzzzz_xyzzzzz_0, tg_yyzzzz_xyzzzzz_1, tg_yyzzzz_xzzzzzz_0, \
                                         tg_yyzzzz_xzzzzzz_1, tg_yyzzzz_yyyyyyy_0, tg_yyzzzz_yyyyyyy_1, tg_yyzzzz_yyyyyyz_0, \
                                         tg_yyzzzz_yyyyyyz_1, tg_yyzzzz_yyyyyzz_0, tg_yyzzzz_yyyyyzz_1, tg_yyzzzz_yyyyzzz_0, \
                                         tg_yyzzzz_yyyyzzz_1, tg_yyzzzz_yyyzzzz_0, tg_yyzzzz_yyyzzzz_1, tg_yyzzzz_yyzzzzz_0, \
                                         tg_yyzzzz_yyzzzzz_1, tg_yyzzzz_yzzzzzz_0, tg_yyzzzz_yzzzzzz_1, tg_yyzzzz_zzzzzzz_0, \
                                         tg_yyzzzz_zzzzzzz_1, tg_yzzzzz_xxxxxxx_0, tg_yzzzzz_xxxxxxx_1, tg_yzzzzz_xxxxxxy_0, \
                                         tg_yzzzzz_xxxxxxy_1, tg_yzzzzz_xxxxxxz_0, tg_yzzzzz_xxxxxxz_1, tg_yzzzzz_xxxxxyy_0, \
                                         tg_yzzzzz_xxxxxyy_1, tg_yzzzzz_xxxxxyz_0, tg_yzzzzz_xxxxxyz_1, tg_yzzzzz_xxxxxzz_0, \
                                         tg_yzzzzz_xxxxxzz_1, tg_yzzzzz_xxxxyyy_0, tg_yzzzzz_xxxxyyy_1, tg_yzzzzz_xxxxyyz_0, \
                                         tg_yzzzzz_xxxxyyz_1, tg_yzzzzz_xxxxyzz_0, tg_yzzzzz_xxxxyzz_1, tg_yzzzzz_xxxxzzz_0, \
                                         tg_yzzzzz_xxxxzzz_1, tg_yzzzzz_xxxyyyy_0, tg_yzzzzz_xxxyyyy_1, tg_yzzzzz_xxxyyyz_0, \
                                         tg_yzzzzz_xxxyyyz_1, tg_yzzzzz_xxxyyzz_0, tg_yzzzzz_xxxyyzz_1, tg_yzzzzz_xxxyzzz_0, \
                                         tg_yzzzzz_xxxyzzz_1, tg_yzzzzz_xxxzzzz_0, tg_yzzzzz_xxxzzzz_1, tg_yzzzzz_xxyyyyy_0, \
                                         tg_yzzzzz_xxyyyyy_1, tg_yzzzzz_xxyyyyz_0, tg_yzzzzz_xxyyyyz_1, tg_yzzzzz_xxyyyzz_0, \
                                         tg_yzzzzz_xxyyyzz_1, tg_yzzzzz_xxyyzzz_0, tg_yzzzzz_xxyyzzz_1, wp_x: VLX_ALIGN)
                for (int32_t j = 0; j < nKetPrimPairs; j++)
                {
                    double fl1_fx = fx;

                    double fl1_fxn = fxn[j];

                    double fl1_fza = fza[j];

                    double fr = wp_x[j]; 

                    tg_xxyyyyzz_yyyzzzz_0[j] = pb_x * tg_xyyyyzz_yyyzzzz_0[j] + fr * tg_xyyyyzz_yyyzzzz_1[j] + 0.5 * fl1_fx * (tg_yyyyzz_yyyzzzz_0[j] - tg_yyyyzz_yyyzzzz_1[j] * fl1_fza);

                    tg_xxyyyyzz_yyzzzzz_0[j] = pb_x * tg_xyyyyzz_yyzzzzz_0[j] + fr * tg_xyyyyzz_yyzzzzz_1[j] + 0.5 * fl1_fx * (tg_yyyyzz_yyzzzzz_0[j] - tg_yyyyzz_yyzzzzz_1[j] * fl1_fza);

                    tg_xxyyyyzz_yzzzzzz_0[j] = pb_x * tg_xyyyyzz_yzzzzzz_0[j] + fr * tg_xyyyyzz_yzzzzzz_1[j] + 0.5 * fl1_fx * (tg_yyyyzz_yzzzzzz_0[j] - tg_yyyyzz_yzzzzzz_1[j] * fl1_fza);

                    tg_xxyyyyzz_zzzzzzz_0[j] = pb_x * tg_xyyyyzz_zzzzzzz_0[j] + fr * tg_xyyyyzz_zzzzzzz_1[j] + 0.5 * fl1_fx * (tg_yyyyzz_zzzzzzz_0[j] - tg_yyyyzz_zzzzzzz_1[j] * fl1_fza);

                    tg_xxyyyzzz_xxxxxxx_0[j] = pb_x * tg_xyyyzzz_xxxxxxx_0[j] + fr * tg_xyyyzzz_xxxxxxx_1[j] + 0.5 * fl1_fx * (tg_yyyzzz_xxxxxxx_0[j] - tg_yyyzzz_xxxxxxx_1[j] * fl1_fza) + 3.5 * fl1_fxn * tg_xyyyzzz_xxxxxx_1[j];

                    tg_xxyyyzzz_xxxxxxy_0[j] = pb_x * tg_xyyyzzz_xxxxxxy_0[j] + fr * tg_xyyyzzz_xxxxxxy_1[j] + 0.5 * fl1_fx * (tg_yyyzzz_xxxxxxy_0[j] - tg_yyyzzz_xxxxxxy_1[j] * fl1_fza) + 3.0 * fl1_fxn * tg_xyyyzzz_xxxxxy_1[j];

                    tg_xxyyyzzz_xxxxxxz_0[j] = pb_x * tg_xyyyzzz_xxxxxxz_0[j] + fr * tg_xyyyzzz_xxxxxxz_1[j] + 0.5 * fl1_fx * (tg_yyyzzz_xxxxxxz_0[j] - tg_yyyzzz_xxxxxxz_1[j] * fl1_fza) + 3.0 * fl1_fxn * tg_xyyyzzz_xxxxxz_1[j];

                    tg_xxyyyzzz_xxxxxyy_0[j] = pb_x * tg_xyyyzzz_xxxxxyy_0[j] + fr * tg_xyyyzzz_xxxxxyy_1[j] + 0.5 * fl1_fx * (tg_yyyzzz_xxxxxyy_0[j] - tg_yyyzzz_xxxxxyy_1[j] * fl1_fza) + 2.5 * fl1_fxn * tg_xyyyzzz_xxxxyy_1[j];

                    tg_xxyyyzzz_xxxxxyz_0[j] = pb_x * tg_xyyyzzz_xxxxxyz_0[j] + fr * tg_xyyyzzz_xxxxxyz_1[j] + 0.5 * fl1_fx * (tg_yyyzzz_xxxxxyz_0[j] - tg_yyyzzz_xxxxxyz_1[j] * fl1_fza) + 2.5 * fl1_fxn * tg_xyyyzzz_xxxxyz_1[j];

                    tg_xxyyyzzz_xxxxxzz_0[j] = pb_x * tg_xyyyzzz_xxxxxzz_0[j] + fr * tg_xyyyzzz_xxxxxzz_1[j] + 0.5 * fl1_fx * (tg_yyyzzz_xxxxxzz_0[j] - tg_yyyzzz_xxxxxzz_1[j] * fl1_fza) + 2.5 * fl1_fxn * tg_xyyyzzz_xxxxzz_1[j];

                    tg_xxyyyzzz_xxxxyyy_0[j] = pb_x * tg_xyyyzzz_xxxxyyy_0[j] + fr * tg_xyyyzzz_xxxxyyy_1[j] + 0.5 * fl1_fx * (tg_yyyzzz_xxxxyyy_0[j] - tg_yyyzzz_xxxxyyy_1[j] * fl1_fza) + 2.0 * fl1_fxn * tg_xyyyzzz_xxxyyy_1[j];

                    tg_xxyyyzzz_xxxxyyz_0[j] = pb_x * tg_xyyyzzz_xxxxyyz_0[j] + fr * tg_xyyyzzz_xxxxyyz_1[j] + 0.5 * fl1_fx * (tg_yyyzzz_xxxxyyz_0[j] - tg_yyyzzz_xxxxyyz_1[j] * fl1_fza) + 2.0 * fl1_fxn * tg_xyyyzzz_xxxyyz_1[j];

                    tg_xxyyyzzz_xxxxyzz_0[j] = pb_x * tg_xyyyzzz_xxxxyzz_0[j] + fr * tg_xyyyzzz_xxxxyzz_1[j] + 0.5 * fl1_fx * (tg_yyyzzz_xxxxyzz_0[j] - tg_yyyzzz_xxxxyzz_1[j] * fl1_fza) + 2.0 * fl1_fxn * tg_xyyyzzz_xxxyzz_1[j];

                    tg_xxyyyzzz_xxxxzzz_0[j] = pb_x * tg_xyyyzzz_xxxxzzz_0[j] + fr * tg_xyyyzzz_xxxxzzz_1[j] + 0.5 * fl1_fx * (tg_yyyzzz_xxxxzzz_0[j] - tg_yyyzzz_xxxxzzz_1[j] * fl1_fza) + 2.0 * fl1_fxn * tg_xyyyzzz_xxxzzz_1[j];

                    tg_xxyyyzzz_xxxyyyy_0[j] = pb_x * tg_xyyyzzz_xxxyyyy_0[j] + fr * tg_xyyyzzz_xxxyyyy_1[j] + 0.5 * fl1_fx * (tg_yyyzzz_xxxyyyy_0[j] - tg_yyyzzz_xxxyyyy_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_xyyyzzz_xxyyyy_1[j];

                    tg_xxyyyzzz_xxxyyyz_0[j] = pb_x * tg_xyyyzzz_xxxyyyz_0[j] + fr * tg_xyyyzzz_xxxyyyz_1[j] + 0.5 * fl1_fx * (tg_yyyzzz_xxxyyyz_0[j] - tg_yyyzzz_xxxyyyz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_xyyyzzz_xxyyyz_1[j];

                    tg_xxyyyzzz_xxxyyzz_0[j] = pb_x * tg_xyyyzzz_xxxyyzz_0[j] + fr * tg_xyyyzzz_xxxyyzz_1[j] + 0.5 * fl1_fx * (tg_yyyzzz_xxxyyzz_0[j] - tg_yyyzzz_xxxyyzz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_xyyyzzz_xxyyzz_1[j];

                    tg_xxyyyzzz_xxxyzzz_0[j] = pb_x * tg_xyyyzzz_xxxyzzz_0[j] + fr * tg_xyyyzzz_xxxyzzz_1[j] + 0.5 * fl1_fx * (tg_yyyzzz_xxxyzzz_0[j] - tg_yyyzzz_xxxyzzz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_xyyyzzz_xxyzzz_1[j];

                    tg_xxyyyzzz_xxxzzzz_0[j] = pb_x * tg_xyyyzzz_xxxzzzz_0[j] + fr * tg_xyyyzzz_xxxzzzz_1[j] + 0.5 * fl1_fx * (tg_yyyzzz_xxxzzzz_0[j] - tg_yyyzzz_xxxzzzz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_xyyyzzz_xxzzzz_1[j];

                    tg_xxyyyzzz_xxyyyyy_0[j] = pb_x * tg_xyyyzzz_xxyyyyy_0[j] + fr * tg_xyyyzzz_xxyyyyy_1[j] + 0.5 * fl1_fx * (tg_yyyzzz_xxyyyyy_0[j] - tg_yyyzzz_xxyyyyy_1[j] * fl1_fza) + fl1_fxn * tg_xyyyzzz_xyyyyy_1[j];

                    tg_xxyyyzzz_xxyyyyz_0[j] = pb_x * tg_xyyyzzz_xxyyyyz_0[j] + fr * tg_xyyyzzz_xxyyyyz_1[j] + 0.5 * fl1_fx * (tg_yyyzzz_xxyyyyz_0[j] - tg_yyyzzz_xxyyyyz_1[j] * fl1_fza) + fl1_fxn * tg_xyyyzzz_xyyyyz_1[j];

                    tg_xxyyyzzz_xxyyyzz_0[j] = pb_x * tg_xyyyzzz_xxyyyzz_0[j] + fr * tg_xyyyzzz_xxyyyzz_1[j] + 0.5 * fl1_fx * (tg_yyyzzz_xxyyyzz_0[j] - tg_yyyzzz_xxyyyzz_1[j] * fl1_fza) + fl1_fxn * tg_xyyyzzz_xyyyzz_1[j];

                    tg_xxyyyzzz_xxyyzzz_0[j] = pb_x * tg_xyyyzzz_xxyyzzz_0[j] + fr * tg_xyyyzzz_xxyyzzz_1[j] + 0.5 * fl1_fx * (tg_yyyzzz_xxyyzzz_0[j] - tg_yyyzzz_xxyyzzz_1[j] * fl1_fza) + fl1_fxn * tg_xyyyzzz_xyyzzz_1[j];

                    tg_xxyyyzzz_xxyzzzz_0[j] = pb_x * tg_xyyyzzz_xxyzzzz_0[j] + fr * tg_xyyyzzz_xxyzzzz_1[j] + 0.5 * fl1_fx * (tg_yyyzzz_xxyzzzz_0[j] - tg_yyyzzz_xxyzzzz_1[j] * fl1_fza) + fl1_fxn * tg_xyyyzzz_xyzzzz_1[j];

                    tg_xxyyyzzz_xxzzzzz_0[j] = pb_x * tg_xyyyzzz_xxzzzzz_0[j] + fr * tg_xyyyzzz_xxzzzzz_1[j] + 0.5 * fl1_fx * (tg_yyyzzz_xxzzzzz_0[j] - tg_yyyzzz_xxzzzzz_1[j] * fl1_fza) + fl1_fxn * tg_xyyyzzz_xzzzzz_1[j];

                    tg_xxyyyzzz_xyyyyyy_0[j] = pb_x * tg_xyyyzzz_xyyyyyy_0[j] + fr * tg_xyyyzzz_xyyyyyy_1[j] + 0.5 * fl1_fx * (tg_yyyzzz_xyyyyyy_0[j] - tg_yyyzzz_xyyyyyy_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xyyyzzz_yyyyyy_1[j];

                    tg_xxyyyzzz_xyyyyyz_0[j] = pb_x * tg_xyyyzzz_xyyyyyz_0[j] + fr * tg_xyyyzzz_xyyyyyz_1[j] + 0.5 * fl1_fx * (tg_yyyzzz_xyyyyyz_0[j] - tg_yyyzzz_xyyyyyz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xyyyzzz_yyyyyz_1[j];

                    tg_xxyyyzzz_xyyyyzz_0[j] = pb_x * tg_xyyyzzz_xyyyyzz_0[j] + fr * tg_xyyyzzz_xyyyyzz_1[j] + 0.5 * fl1_fx * (tg_yyyzzz_xyyyyzz_0[j] - tg_yyyzzz_xyyyyzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xyyyzzz_yyyyzz_1[j];

                    tg_xxyyyzzz_xyyyzzz_0[j] = pb_x * tg_xyyyzzz_xyyyzzz_0[j] + fr * tg_xyyyzzz_xyyyzzz_1[j] + 0.5 * fl1_fx * (tg_yyyzzz_xyyyzzz_0[j] - tg_yyyzzz_xyyyzzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xyyyzzz_yyyzzz_1[j];

                    tg_xxyyyzzz_xyyzzzz_0[j] = pb_x * tg_xyyyzzz_xyyzzzz_0[j] + fr * tg_xyyyzzz_xyyzzzz_1[j] + 0.5 * fl1_fx * (tg_yyyzzz_xyyzzzz_0[j] - tg_yyyzzz_xyyzzzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xyyyzzz_yyzzzz_1[j];

                    tg_xxyyyzzz_xyzzzzz_0[j] = pb_x * tg_xyyyzzz_xyzzzzz_0[j] + fr * tg_xyyyzzz_xyzzzzz_1[j] + 0.5 * fl1_fx * (tg_yyyzzz_xyzzzzz_0[j] - tg_yyyzzz_xyzzzzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xyyyzzz_yzzzzz_1[j];

                    tg_xxyyyzzz_xzzzzzz_0[j] = pb_x * tg_xyyyzzz_xzzzzzz_0[j] + fr * tg_xyyyzzz_xzzzzzz_1[j] + 0.5 * fl1_fx * (tg_yyyzzz_xzzzzzz_0[j] - tg_yyyzzz_xzzzzzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xyyyzzz_zzzzzz_1[j];

                    tg_xxyyyzzz_yyyyyyy_0[j] = pb_x * tg_xyyyzzz_yyyyyyy_0[j] + fr * tg_xyyyzzz_yyyyyyy_1[j] + 0.5 * fl1_fx * (tg_yyyzzz_yyyyyyy_0[j] - tg_yyyzzz_yyyyyyy_1[j] * fl1_fza);

                    tg_xxyyyzzz_yyyyyyz_0[j] = pb_x * tg_xyyyzzz_yyyyyyz_0[j] + fr * tg_xyyyzzz_yyyyyyz_1[j] + 0.5 * fl1_fx * (tg_yyyzzz_yyyyyyz_0[j] - tg_yyyzzz_yyyyyyz_1[j] * fl1_fza);

                    tg_xxyyyzzz_yyyyyzz_0[j] = pb_x * tg_xyyyzzz_yyyyyzz_0[j] + fr * tg_xyyyzzz_yyyyyzz_1[j] + 0.5 * fl1_fx * (tg_yyyzzz_yyyyyzz_0[j] - tg_yyyzzz_yyyyyzz_1[j] * fl1_fza);

                    tg_xxyyyzzz_yyyyzzz_0[j] = pb_x * tg_xyyyzzz_yyyyzzz_0[j] + fr * tg_xyyyzzz_yyyyzzz_1[j] + 0.5 * fl1_fx * (tg_yyyzzz_yyyyzzz_0[j] - tg_yyyzzz_yyyyzzz_1[j] * fl1_fza);

                    tg_xxyyyzzz_yyyzzzz_0[j] = pb_x * tg_xyyyzzz_yyyzzzz_0[j] + fr * tg_xyyyzzz_yyyzzzz_1[j] + 0.5 * fl1_fx * (tg_yyyzzz_yyyzzzz_0[j] - tg_yyyzzz_yyyzzzz_1[j] * fl1_fza);

                    tg_xxyyyzzz_yyzzzzz_0[j] = pb_x * tg_xyyyzzz_yyzzzzz_0[j] + fr * tg_xyyyzzz_yyzzzzz_1[j] + 0.5 * fl1_fx * (tg_yyyzzz_yyzzzzz_0[j] - tg_yyyzzz_yyzzzzz_1[j] * fl1_fza);

                    tg_xxyyyzzz_yzzzzzz_0[j] = pb_x * tg_xyyyzzz_yzzzzzz_0[j] + fr * tg_xyyyzzz_yzzzzzz_1[j] + 0.5 * fl1_fx * (tg_yyyzzz_yzzzzzz_0[j] - tg_yyyzzz_yzzzzzz_1[j] * fl1_fza);

                    tg_xxyyyzzz_zzzzzzz_0[j] = pb_x * tg_xyyyzzz_zzzzzzz_0[j] + fr * tg_xyyyzzz_zzzzzzz_1[j] + 0.5 * fl1_fx * (tg_yyyzzz_zzzzzzz_0[j] - tg_yyyzzz_zzzzzzz_1[j] * fl1_fza);

                    tg_xxyyzzzz_xxxxxxx_0[j] = pb_x * tg_xyyzzzz_xxxxxxx_0[j] + fr * tg_xyyzzzz_xxxxxxx_1[j] + 0.5 * fl1_fx * (tg_yyzzzz_xxxxxxx_0[j] - tg_yyzzzz_xxxxxxx_1[j] * fl1_fza) + 3.5 * fl1_fxn * tg_xyyzzzz_xxxxxx_1[j];

                    tg_xxyyzzzz_xxxxxxy_0[j] = pb_x * tg_xyyzzzz_xxxxxxy_0[j] + fr * tg_xyyzzzz_xxxxxxy_1[j] + 0.5 * fl1_fx * (tg_yyzzzz_xxxxxxy_0[j] - tg_yyzzzz_xxxxxxy_1[j] * fl1_fza) + 3.0 * fl1_fxn * tg_xyyzzzz_xxxxxy_1[j];

                    tg_xxyyzzzz_xxxxxxz_0[j] = pb_x * tg_xyyzzzz_xxxxxxz_0[j] + fr * tg_xyyzzzz_xxxxxxz_1[j] + 0.5 * fl1_fx * (tg_yyzzzz_xxxxxxz_0[j] - tg_yyzzzz_xxxxxxz_1[j] * fl1_fza) + 3.0 * fl1_fxn * tg_xyyzzzz_xxxxxz_1[j];

                    tg_xxyyzzzz_xxxxxyy_0[j] = pb_x * tg_xyyzzzz_xxxxxyy_0[j] + fr * tg_xyyzzzz_xxxxxyy_1[j] + 0.5 * fl1_fx * (tg_yyzzzz_xxxxxyy_0[j] - tg_yyzzzz_xxxxxyy_1[j] * fl1_fza) + 2.5 * fl1_fxn * tg_xyyzzzz_xxxxyy_1[j];

                    tg_xxyyzzzz_xxxxxyz_0[j] = pb_x * tg_xyyzzzz_xxxxxyz_0[j] + fr * tg_xyyzzzz_xxxxxyz_1[j] + 0.5 * fl1_fx * (tg_yyzzzz_xxxxxyz_0[j] - tg_yyzzzz_xxxxxyz_1[j] * fl1_fza) + 2.5 * fl1_fxn * tg_xyyzzzz_xxxxyz_1[j];

                    tg_xxyyzzzz_xxxxxzz_0[j] = pb_x * tg_xyyzzzz_xxxxxzz_0[j] + fr * tg_xyyzzzz_xxxxxzz_1[j] + 0.5 * fl1_fx * (tg_yyzzzz_xxxxxzz_0[j] - tg_yyzzzz_xxxxxzz_1[j] * fl1_fza) + 2.5 * fl1_fxn * tg_xyyzzzz_xxxxzz_1[j];

                    tg_xxyyzzzz_xxxxyyy_0[j] = pb_x * tg_xyyzzzz_xxxxyyy_0[j] + fr * tg_xyyzzzz_xxxxyyy_1[j] + 0.5 * fl1_fx * (tg_yyzzzz_xxxxyyy_0[j] - tg_yyzzzz_xxxxyyy_1[j] * fl1_fza) + 2.0 * fl1_fxn * tg_xyyzzzz_xxxyyy_1[j];

                    tg_xxyyzzzz_xxxxyyz_0[j] = pb_x * tg_xyyzzzz_xxxxyyz_0[j] + fr * tg_xyyzzzz_xxxxyyz_1[j] + 0.5 * fl1_fx * (tg_yyzzzz_xxxxyyz_0[j] - tg_yyzzzz_xxxxyyz_1[j] * fl1_fza) + 2.0 * fl1_fxn * tg_xyyzzzz_xxxyyz_1[j];

                    tg_xxyyzzzz_xxxxyzz_0[j] = pb_x * tg_xyyzzzz_xxxxyzz_0[j] + fr * tg_xyyzzzz_xxxxyzz_1[j] + 0.5 * fl1_fx * (tg_yyzzzz_xxxxyzz_0[j] - tg_yyzzzz_xxxxyzz_1[j] * fl1_fza) + 2.0 * fl1_fxn * tg_xyyzzzz_xxxyzz_1[j];

                    tg_xxyyzzzz_xxxxzzz_0[j] = pb_x * tg_xyyzzzz_xxxxzzz_0[j] + fr * tg_xyyzzzz_xxxxzzz_1[j] + 0.5 * fl1_fx * (tg_yyzzzz_xxxxzzz_0[j] - tg_yyzzzz_xxxxzzz_1[j] * fl1_fza) + 2.0 * fl1_fxn * tg_xyyzzzz_xxxzzz_1[j];

                    tg_xxyyzzzz_xxxyyyy_0[j] = pb_x * tg_xyyzzzz_xxxyyyy_0[j] + fr * tg_xyyzzzz_xxxyyyy_1[j] + 0.5 * fl1_fx * (tg_yyzzzz_xxxyyyy_0[j] - tg_yyzzzz_xxxyyyy_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_xyyzzzz_xxyyyy_1[j];

                    tg_xxyyzzzz_xxxyyyz_0[j] = pb_x * tg_xyyzzzz_xxxyyyz_0[j] + fr * tg_xyyzzzz_xxxyyyz_1[j] + 0.5 * fl1_fx * (tg_yyzzzz_xxxyyyz_0[j] - tg_yyzzzz_xxxyyyz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_xyyzzzz_xxyyyz_1[j];

                    tg_xxyyzzzz_xxxyyzz_0[j] = pb_x * tg_xyyzzzz_xxxyyzz_0[j] + fr * tg_xyyzzzz_xxxyyzz_1[j] + 0.5 * fl1_fx * (tg_yyzzzz_xxxyyzz_0[j] - tg_yyzzzz_xxxyyzz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_xyyzzzz_xxyyzz_1[j];

                    tg_xxyyzzzz_xxxyzzz_0[j] = pb_x * tg_xyyzzzz_xxxyzzz_0[j] + fr * tg_xyyzzzz_xxxyzzz_1[j] + 0.5 * fl1_fx * (tg_yyzzzz_xxxyzzz_0[j] - tg_yyzzzz_xxxyzzz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_xyyzzzz_xxyzzz_1[j];

                    tg_xxyyzzzz_xxxzzzz_0[j] = pb_x * tg_xyyzzzz_xxxzzzz_0[j] + fr * tg_xyyzzzz_xxxzzzz_1[j] + 0.5 * fl1_fx * (tg_yyzzzz_xxxzzzz_0[j] - tg_yyzzzz_xxxzzzz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_xyyzzzz_xxzzzz_1[j];

                    tg_xxyyzzzz_xxyyyyy_0[j] = pb_x * tg_xyyzzzz_xxyyyyy_0[j] + fr * tg_xyyzzzz_xxyyyyy_1[j] + 0.5 * fl1_fx * (tg_yyzzzz_xxyyyyy_0[j] - tg_yyzzzz_xxyyyyy_1[j] * fl1_fza) + fl1_fxn * tg_xyyzzzz_xyyyyy_1[j];

                    tg_xxyyzzzz_xxyyyyz_0[j] = pb_x * tg_xyyzzzz_xxyyyyz_0[j] + fr * tg_xyyzzzz_xxyyyyz_1[j] + 0.5 * fl1_fx * (tg_yyzzzz_xxyyyyz_0[j] - tg_yyzzzz_xxyyyyz_1[j] * fl1_fza) + fl1_fxn * tg_xyyzzzz_xyyyyz_1[j];

                    tg_xxyyzzzz_xxyyyzz_0[j] = pb_x * tg_xyyzzzz_xxyyyzz_0[j] + fr * tg_xyyzzzz_xxyyyzz_1[j] + 0.5 * fl1_fx * (tg_yyzzzz_xxyyyzz_0[j] - tg_yyzzzz_xxyyyzz_1[j] * fl1_fza) + fl1_fxn * tg_xyyzzzz_xyyyzz_1[j];

                    tg_xxyyzzzz_xxyyzzz_0[j] = pb_x * tg_xyyzzzz_xxyyzzz_0[j] + fr * tg_xyyzzzz_xxyyzzz_1[j] + 0.5 * fl1_fx * (tg_yyzzzz_xxyyzzz_0[j] - tg_yyzzzz_xxyyzzz_1[j] * fl1_fza) + fl1_fxn * tg_xyyzzzz_xyyzzz_1[j];

                    tg_xxyyzzzz_xxyzzzz_0[j] = pb_x * tg_xyyzzzz_xxyzzzz_0[j] + fr * tg_xyyzzzz_xxyzzzz_1[j] + 0.5 * fl1_fx * (tg_yyzzzz_xxyzzzz_0[j] - tg_yyzzzz_xxyzzzz_1[j] * fl1_fza) + fl1_fxn * tg_xyyzzzz_xyzzzz_1[j];

                    tg_xxyyzzzz_xxzzzzz_0[j] = pb_x * tg_xyyzzzz_xxzzzzz_0[j] + fr * tg_xyyzzzz_xxzzzzz_1[j] + 0.5 * fl1_fx * (tg_yyzzzz_xxzzzzz_0[j] - tg_yyzzzz_xxzzzzz_1[j] * fl1_fza) + fl1_fxn * tg_xyyzzzz_xzzzzz_1[j];

                    tg_xxyyzzzz_xyyyyyy_0[j] = pb_x * tg_xyyzzzz_xyyyyyy_0[j] + fr * tg_xyyzzzz_xyyyyyy_1[j] + 0.5 * fl1_fx * (tg_yyzzzz_xyyyyyy_0[j] - tg_yyzzzz_xyyyyyy_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xyyzzzz_yyyyyy_1[j];

                    tg_xxyyzzzz_xyyyyyz_0[j] = pb_x * tg_xyyzzzz_xyyyyyz_0[j] + fr * tg_xyyzzzz_xyyyyyz_1[j] + 0.5 * fl1_fx * (tg_yyzzzz_xyyyyyz_0[j] - tg_yyzzzz_xyyyyyz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xyyzzzz_yyyyyz_1[j];

                    tg_xxyyzzzz_xyyyyzz_0[j] = pb_x * tg_xyyzzzz_xyyyyzz_0[j] + fr * tg_xyyzzzz_xyyyyzz_1[j] + 0.5 * fl1_fx * (tg_yyzzzz_xyyyyzz_0[j] - tg_yyzzzz_xyyyyzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xyyzzzz_yyyyzz_1[j];

                    tg_xxyyzzzz_xyyyzzz_0[j] = pb_x * tg_xyyzzzz_xyyyzzz_0[j] + fr * tg_xyyzzzz_xyyyzzz_1[j] + 0.5 * fl1_fx * (tg_yyzzzz_xyyyzzz_0[j] - tg_yyzzzz_xyyyzzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xyyzzzz_yyyzzz_1[j];

                    tg_xxyyzzzz_xyyzzzz_0[j] = pb_x * tg_xyyzzzz_xyyzzzz_0[j] + fr * tg_xyyzzzz_xyyzzzz_1[j] + 0.5 * fl1_fx * (tg_yyzzzz_xyyzzzz_0[j] - tg_yyzzzz_xyyzzzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xyyzzzz_yyzzzz_1[j];

                    tg_xxyyzzzz_xyzzzzz_0[j] = pb_x * tg_xyyzzzz_xyzzzzz_0[j] + fr * tg_xyyzzzz_xyzzzzz_1[j] + 0.5 * fl1_fx * (tg_yyzzzz_xyzzzzz_0[j] - tg_yyzzzz_xyzzzzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xyyzzzz_yzzzzz_1[j];

                    tg_xxyyzzzz_xzzzzzz_0[j] = pb_x * tg_xyyzzzz_xzzzzzz_0[j] + fr * tg_xyyzzzz_xzzzzzz_1[j] + 0.5 * fl1_fx * (tg_yyzzzz_xzzzzzz_0[j] - tg_yyzzzz_xzzzzzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xyyzzzz_zzzzzz_1[j];

                    tg_xxyyzzzz_yyyyyyy_0[j] = pb_x * tg_xyyzzzz_yyyyyyy_0[j] + fr * tg_xyyzzzz_yyyyyyy_1[j] + 0.5 * fl1_fx * (tg_yyzzzz_yyyyyyy_0[j] - tg_yyzzzz_yyyyyyy_1[j] * fl1_fza);

                    tg_xxyyzzzz_yyyyyyz_0[j] = pb_x * tg_xyyzzzz_yyyyyyz_0[j] + fr * tg_xyyzzzz_yyyyyyz_1[j] + 0.5 * fl1_fx * (tg_yyzzzz_yyyyyyz_0[j] - tg_yyzzzz_yyyyyyz_1[j] * fl1_fza);

                    tg_xxyyzzzz_yyyyyzz_0[j] = pb_x * tg_xyyzzzz_yyyyyzz_0[j] + fr * tg_xyyzzzz_yyyyyzz_1[j] + 0.5 * fl1_fx * (tg_yyzzzz_yyyyyzz_0[j] - tg_yyzzzz_yyyyyzz_1[j] * fl1_fza);

                    tg_xxyyzzzz_yyyyzzz_0[j] = pb_x * tg_xyyzzzz_yyyyzzz_0[j] + fr * tg_xyyzzzz_yyyyzzz_1[j] + 0.5 * fl1_fx * (tg_yyzzzz_yyyyzzz_0[j] - tg_yyzzzz_yyyyzzz_1[j] * fl1_fza);

                    tg_xxyyzzzz_yyyzzzz_0[j] = pb_x * tg_xyyzzzz_yyyzzzz_0[j] + fr * tg_xyyzzzz_yyyzzzz_1[j] + 0.5 * fl1_fx * (tg_yyzzzz_yyyzzzz_0[j] - tg_yyzzzz_yyyzzzz_1[j] * fl1_fza);

                    tg_xxyyzzzz_yyzzzzz_0[j] = pb_x * tg_xyyzzzz_yyzzzzz_0[j] + fr * tg_xyyzzzz_yyzzzzz_1[j] + 0.5 * fl1_fx * (tg_yyzzzz_yyzzzzz_0[j] - tg_yyzzzz_yyzzzzz_1[j] * fl1_fza);

                    tg_xxyyzzzz_yzzzzzz_0[j] = pb_x * tg_xyyzzzz_yzzzzzz_0[j] + fr * tg_xyyzzzz_yzzzzzz_1[j] + 0.5 * fl1_fx * (tg_yyzzzz_yzzzzzz_0[j] - tg_yyzzzz_yzzzzzz_1[j] * fl1_fza);

                    tg_xxyyzzzz_zzzzzzz_0[j] = pb_x * tg_xyyzzzz_zzzzzzz_0[j] + fr * tg_xyyzzzz_zzzzzzz_1[j] + 0.5 * fl1_fx * (tg_yyzzzz_zzzzzzz_0[j] - tg_yyzzzz_zzzzzzz_1[j] * fl1_fza);

                    tg_xxyzzzzz_xxxxxxx_0[j] = pb_x * tg_xyzzzzz_xxxxxxx_0[j] + fr * tg_xyzzzzz_xxxxxxx_1[j] + 0.5 * fl1_fx * (tg_yzzzzz_xxxxxxx_0[j] - tg_yzzzzz_xxxxxxx_1[j] * fl1_fza) + 3.5 * fl1_fxn * tg_xyzzzzz_xxxxxx_1[j];

                    tg_xxyzzzzz_xxxxxxy_0[j] = pb_x * tg_xyzzzzz_xxxxxxy_0[j] + fr * tg_xyzzzzz_xxxxxxy_1[j] + 0.5 * fl1_fx * (tg_yzzzzz_xxxxxxy_0[j] - tg_yzzzzz_xxxxxxy_1[j] * fl1_fza) + 3.0 * fl1_fxn * tg_xyzzzzz_xxxxxy_1[j];

                    tg_xxyzzzzz_xxxxxxz_0[j] = pb_x * tg_xyzzzzz_xxxxxxz_0[j] + fr * tg_xyzzzzz_xxxxxxz_1[j] + 0.5 * fl1_fx * (tg_yzzzzz_xxxxxxz_0[j] - tg_yzzzzz_xxxxxxz_1[j] * fl1_fza) + 3.0 * fl1_fxn * tg_xyzzzzz_xxxxxz_1[j];

                    tg_xxyzzzzz_xxxxxyy_0[j] = pb_x * tg_xyzzzzz_xxxxxyy_0[j] + fr * tg_xyzzzzz_xxxxxyy_1[j] + 0.5 * fl1_fx * (tg_yzzzzz_xxxxxyy_0[j] - tg_yzzzzz_xxxxxyy_1[j] * fl1_fza) + 2.5 * fl1_fxn * tg_xyzzzzz_xxxxyy_1[j];

                    tg_xxyzzzzz_xxxxxyz_0[j] = pb_x * tg_xyzzzzz_xxxxxyz_0[j] + fr * tg_xyzzzzz_xxxxxyz_1[j] + 0.5 * fl1_fx * (tg_yzzzzz_xxxxxyz_0[j] - tg_yzzzzz_xxxxxyz_1[j] * fl1_fza) + 2.5 * fl1_fxn * tg_xyzzzzz_xxxxyz_1[j];

                    tg_xxyzzzzz_xxxxxzz_0[j] = pb_x * tg_xyzzzzz_xxxxxzz_0[j] + fr * tg_xyzzzzz_xxxxxzz_1[j] + 0.5 * fl1_fx * (tg_yzzzzz_xxxxxzz_0[j] - tg_yzzzzz_xxxxxzz_1[j] * fl1_fza) + 2.5 * fl1_fxn * tg_xyzzzzz_xxxxzz_1[j];

                    tg_xxyzzzzz_xxxxyyy_0[j] = pb_x * tg_xyzzzzz_xxxxyyy_0[j] + fr * tg_xyzzzzz_xxxxyyy_1[j] + 0.5 * fl1_fx * (tg_yzzzzz_xxxxyyy_0[j] - tg_yzzzzz_xxxxyyy_1[j] * fl1_fza) + 2.0 * fl1_fxn * tg_xyzzzzz_xxxyyy_1[j];

                    tg_xxyzzzzz_xxxxyyz_0[j] = pb_x * tg_xyzzzzz_xxxxyyz_0[j] + fr * tg_xyzzzzz_xxxxyyz_1[j] + 0.5 * fl1_fx * (tg_yzzzzz_xxxxyyz_0[j] - tg_yzzzzz_xxxxyyz_1[j] * fl1_fza) + 2.0 * fl1_fxn * tg_xyzzzzz_xxxyyz_1[j];

                    tg_xxyzzzzz_xxxxyzz_0[j] = pb_x * tg_xyzzzzz_xxxxyzz_0[j] + fr * tg_xyzzzzz_xxxxyzz_1[j] + 0.5 * fl1_fx * (tg_yzzzzz_xxxxyzz_0[j] - tg_yzzzzz_xxxxyzz_1[j] * fl1_fza) + 2.0 * fl1_fxn * tg_xyzzzzz_xxxyzz_1[j];

                    tg_xxyzzzzz_xxxxzzz_0[j] = pb_x * tg_xyzzzzz_xxxxzzz_0[j] + fr * tg_xyzzzzz_xxxxzzz_1[j] + 0.5 * fl1_fx * (tg_yzzzzz_xxxxzzz_0[j] - tg_yzzzzz_xxxxzzz_1[j] * fl1_fza) + 2.0 * fl1_fxn * tg_xyzzzzz_xxxzzz_1[j];

                    tg_xxyzzzzz_xxxyyyy_0[j] = pb_x * tg_xyzzzzz_xxxyyyy_0[j] + fr * tg_xyzzzzz_xxxyyyy_1[j] + 0.5 * fl1_fx * (tg_yzzzzz_xxxyyyy_0[j] - tg_yzzzzz_xxxyyyy_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_xyzzzzz_xxyyyy_1[j];

                    tg_xxyzzzzz_xxxyyyz_0[j] = pb_x * tg_xyzzzzz_xxxyyyz_0[j] + fr * tg_xyzzzzz_xxxyyyz_1[j] + 0.5 * fl1_fx * (tg_yzzzzz_xxxyyyz_0[j] - tg_yzzzzz_xxxyyyz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_xyzzzzz_xxyyyz_1[j];

                    tg_xxyzzzzz_xxxyyzz_0[j] = pb_x * tg_xyzzzzz_xxxyyzz_0[j] + fr * tg_xyzzzzz_xxxyyzz_1[j] + 0.5 * fl1_fx * (tg_yzzzzz_xxxyyzz_0[j] - tg_yzzzzz_xxxyyzz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_xyzzzzz_xxyyzz_1[j];

                    tg_xxyzzzzz_xxxyzzz_0[j] = pb_x * tg_xyzzzzz_xxxyzzz_0[j] + fr * tg_xyzzzzz_xxxyzzz_1[j] + 0.5 * fl1_fx * (tg_yzzzzz_xxxyzzz_0[j] - tg_yzzzzz_xxxyzzz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_xyzzzzz_xxyzzz_1[j];

                    tg_xxyzzzzz_xxxzzzz_0[j] = pb_x * tg_xyzzzzz_xxxzzzz_0[j] + fr * tg_xyzzzzz_xxxzzzz_1[j] + 0.5 * fl1_fx * (tg_yzzzzz_xxxzzzz_0[j] - tg_yzzzzz_xxxzzzz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_xyzzzzz_xxzzzz_1[j];

                    tg_xxyzzzzz_xxyyyyy_0[j] = pb_x * tg_xyzzzzz_xxyyyyy_0[j] + fr * tg_xyzzzzz_xxyyyyy_1[j] + 0.5 * fl1_fx * (tg_yzzzzz_xxyyyyy_0[j] - tg_yzzzzz_xxyyyyy_1[j] * fl1_fza) + fl1_fxn * tg_xyzzzzz_xyyyyy_1[j];

                    tg_xxyzzzzz_xxyyyyz_0[j] = pb_x * tg_xyzzzzz_xxyyyyz_0[j] + fr * tg_xyzzzzz_xxyyyyz_1[j] + 0.5 * fl1_fx * (tg_yzzzzz_xxyyyyz_0[j] - tg_yzzzzz_xxyyyyz_1[j] * fl1_fza) + fl1_fxn * tg_xyzzzzz_xyyyyz_1[j];

                    tg_xxyzzzzz_xxyyyzz_0[j] = pb_x * tg_xyzzzzz_xxyyyzz_0[j] + fr * tg_xyzzzzz_xxyyyzz_1[j] + 0.5 * fl1_fx * (tg_yzzzzz_xxyyyzz_0[j] - tg_yzzzzz_xxyyyzz_1[j] * fl1_fza) + fl1_fxn * tg_xyzzzzz_xyyyzz_1[j];

                    tg_xxyzzzzz_xxyyzzz_0[j] = pb_x * tg_xyzzzzz_xxyyzzz_0[j] + fr * tg_xyzzzzz_xxyyzzz_1[j] + 0.5 * fl1_fx * (tg_yzzzzz_xxyyzzz_0[j] - tg_yzzzzz_xxyyzzz_1[j] * fl1_fza) + fl1_fxn * tg_xyzzzzz_xyyzzz_1[j];
                }

                idx++;
            }
        }
    }

    void
    compElectronRepulsionForSLSK_955_1050(      CMemBlock2D<double>* primBuffer,
                                          const CRecursionMap&       recursionMap,
                                          const CMemBlock2D<double>& osFactors,
                                          const CMemBlock2D<double>& wpDistances,
                                          const CGtoPairsBlock&      braGtoPairsBlock,
                                          const CGtoPairsBlock&      ketGtoPairsBlock,
                                          const int32_t              nKetPrimPairs,
                                          const int32_t              iContrPair)
    {
        // Batch of Integrals (955,1050)

        // set up pointers to primitives data on bra side

        auto spos = braGtoPairsBlock.getStartPositions();

        auto epos = braGtoPairsBlock.getEndPositions();

        // set up pointers to tensor of distance R(PB) = P - B

        auto r_pb_x = braGtoPairsBlock.getDistancesPBX();

        // set up pointers to common Obara-Saika factors

        auto b_fx = braGtoPairsBlock.getFactorsOneOverXi();

        // set up maximum order of integral

        auto mord = recursionMap.getMaxOrder({"Electron Repulsion"},
                                             {8, -1, -1, -1},
                                             {7, -1, -1, -1},
                                             1, 1);

        for (int32_t iord = 0; iord <= mord; iord++)
        {
            // set up index of integral

            auto pidx_g_8_7_m0 = recursionMap.index(CRecursionTerm({"Electron Repulsion"}, 0, true, 
                                                                   {8, -1, -1, -1}, {7, -1, -1, -1}, 
                                                                   1, 1, iord));

            // check if integral is needed in recursion expansion

            if (pidx_g_8_7_m0 == -1) continue;

            // set up indexes of auxilary integral

            auto pidx_g_7_7_m0 = recursionMap.index(CRecursionTerm({"Electron Repulsion"}, 0, true, 
                                                                   {7, -1, -1, -1}, {7, -1, -1, -1}, 
                                                                   1, 1, iord));

            auto pidx_g_7_7_m1 = recursionMap.index(CRecursionTerm({"Electron Repulsion"}, 0, true, 
                                                                   {7, -1, -1, -1}, {7, -1, -1, -1}, 
                                                                   1, 1, iord + 1));

            auto pidx_g_6_7_m0 = recursionMap.index(CRecursionTerm({"Electron Repulsion"}, 0, true, 
                                                                   {6, -1, -1, -1}, {7, -1, -1, -1}, 
                                                                   1, 1, iord));

            auto pidx_g_6_7_m1 = recursionMap.index(CRecursionTerm({"Electron Repulsion"}, 0, true, 
                                                                   {6, -1, -1, -1}, {7, -1, -1, -1}, 
                                                                   1, 1, iord + 1));

            auto pidx_g_7_6_m1 = recursionMap.index(CRecursionTerm({"Electron Repulsion"}, 0, true, 
                                                                   {7, -1, -1, -1}, {6, -1, -1, -1}, 
                                                                   1, 1, iord + 1));

            // loop over contracted GTO on bra side

            int32_t idx = 0;

            for (int32_t i = spos[iContrPair]; i < epos[iContrPair]; i++)
            {
                // set up pointers to Obara-Saika factors

                double fx = b_fx[i];

                auto fza = osFactors.data(4 * idx + 2);

                auto fxn = osFactors.data(4 * idx);

                // set up distances R(PB) = P - B

                auto pb_x = r_pb_x[i];

                // set up pointers to tensors product of distances R(WP) = W - P

                auto wp_x = wpDistances.data(3 * idx);

                // set up pointers to auxilary integrals

                auto tg_xyzzzzz_xxyzzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 955); 

                auto tg_xyzzzzz_xxzzzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 956); 

                auto tg_xyzzzzz_xyyyyyy_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 957); 

                auto tg_xyzzzzz_xyyyyyz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 958); 

                auto tg_xyzzzzz_xyyyyzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 959); 

                auto tg_xyzzzzz_xyyyzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 960); 

                auto tg_xyzzzzz_xyyzzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 961); 

                auto tg_xyzzzzz_xyzzzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 962); 

                auto tg_xyzzzzz_xzzzzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 963); 

                auto tg_xyzzzzz_yyyyyyy_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 964); 

                auto tg_xyzzzzz_yyyyyyz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 965); 

                auto tg_xyzzzzz_yyyyyzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 966); 

                auto tg_xyzzzzz_yyyyzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 967); 

                auto tg_xyzzzzz_yyyzzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 968); 

                auto tg_xyzzzzz_yyzzzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 969); 

                auto tg_xyzzzzz_yzzzzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 970); 

                auto tg_xyzzzzz_zzzzzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 971); 

                auto tg_xzzzzzz_xxxxxxx_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 972); 

                auto tg_xzzzzzz_xxxxxxy_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 973); 

                auto tg_xzzzzzz_xxxxxxz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 974); 

                auto tg_xzzzzzz_xxxxxyy_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 975); 

                auto tg_xzzzzzz_xxxxxyz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 976); 

                auto tg_xzzzzzz_xxxxxzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 977); 

                auto tg_xzzzzzz_xxxxyyy_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 978); 

                auto tg_xzzzzzz_xxxxyyz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 979); 

                auto tg_xzzzzzz_xxxxyzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 980); 

                auto tg_xzzzzzz_xxxxzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 981); 

                auto tg_xzzzzzz_xxxyyyy_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 982); 

                auto tg_xzzzzzz_xxxyyyz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 983); 

                auto tg_xzzzzzz_xxxyyzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 984); 

                auto tg_xzzzzzz_xxxyzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 985); 

                auto tg_xzzzzzz_xxxzzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 986); 

                auto tg_xzzzzzz_xxyyyyy_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 987); 

                auto tg_xzzzzzz_xxyyyyz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 988); 

                auto tg_xzzzzzz_xxyyyzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 989); 

                auto tg_xzzzzzz_xxyyzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 990); 

                auto tg_xzzzzzz_xxyzzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 991); 

                auto tg_xzzzzzz_xxzzzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 992); 

                auto tg_xzzzzzz_xyyyyyy_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 993); 

                auto tg_xzzzzzz_xyyyyyz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 994); 

                auto tg_xzzzzzz_xyyyyzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 995); 

                auto tg_xzzzzzz_xyyyzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 996); 

                auto tg_xzzzzzz_xyyzzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 997); 

                auto tg_xzzzzzz_xyzzzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 998); 

                auto tg_xzzzzzz_xzzzzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 999); 

                auto tg_xzzzzzz_yyyyyyy_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1000); 

                auto tg_xzzzzzz_yyyyyyz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1001); 

                auto tg_xzzzzzz_yyyyyzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1002); 

                auto tg_xzzzzzz_yyyyzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1003); 

                auto tg_xzzzzzz_yyyzzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1004); 

                auto tg_xzzzzzz_yyzzzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1005); 

                auto tg_xzzzzzz_yzzzzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1006); 

                auto tg_xzzzzzz_zzzzzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1007); 

                auto tg_yyyyyyy_xxxxxxx_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1008); 

                auto tg_yyyyyyy_xxxxxxy_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1009); 

                auto tg_yyyyyyy_xxxxxxz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1010); 

                auto tg_yyyyyyy_xxxxxyy_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1011); 

                auto tg_yyyyyyy_xxxxxyz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1012); 

                auto tg_yyyyyyy_xxxxxzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1013); 

                auto tg_yyyyyyy_xxxxyyy_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1014); 

                auto tg_yyyyyyy_xxxxyyz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1015); 

                auto tg_yyyyyyy_xxxxyzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1016); 

                auto tg_yyyyyyy_xxxxzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1017); 

                auto tg_yyyyyyy_xxxyyyy_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1018); 

                auto tg_yyyyyyy_xxxyyyz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1019); 

                auto tg_yyyyyyy_xxxyyzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1020); 

                auto tg_yyyyyyy_xxxyzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1021); 

                auto tg_yyyyyyy_xxxzzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1022); 

                auto tg_yyyyyyy_xxyyyyy_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1023); 

                auto tg_yyyyyyy_xxyyyyz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1024); 

                auto tg_yyyyyyy_xxyyyzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1025); 

                auto tg_yyyyyyy_xxyyzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1026); 

                auto tg_yyyyyyy_xxyzzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1027); 

                auto tg_yyyyyyy_xxzzzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1028); 

                auto tg_yyyyyyy_xyyyyyy_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1029); 

                auto tg_yyyyyyy_xyyyyyz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1030); 

                auto tg_yyyyyyy_xyyyyzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1031); 

                auto tg_yyyyyyy_xyyyzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1032); 

                auto tg_yyyyyyy_xyyzzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1033); 

                auto tg_yyyyyyy_xyzzzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1034); 

                auto tg_yyyyyyy_xzzzzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1035); 

                auto tg_yyyyyyy_yyyyyyy_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1036); 

                auto tg_yyyyyyy_yyyyyyz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1037); 

                auto tg_yyyyyyy_yyyyyzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1038); 

                auto tg_yyyyyyy_yyyyzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1039); 

                auto tg_yyyyyyy_yyyzzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1040); 

                auto tg_yyyyyyy_yyzzzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1041); 

                auto tg_yyyyyyy_yzzzzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1042); 

                auto tg_yyyyyyy_zzzzzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1043); 

                auto tg_yyyyyyz_xxxxxxx_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1044); 

                auto tg_yyyyyyz_xxxxxxy_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1045); 

                auto tg_yyyyyyz_xxxxxxz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1046); 

                auto tg_yyyyyyz_xxxxxyy_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1047); 

                auto tg_yyyyyyz_xxxxxyz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1048); 

                auto tg_yyyyyyz_xxxxxzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1049); 

                auto tg_xyzzzzz_xxyzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 955); 

                auto tg_xyzzzzz_xxzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 956); 

                auto tg_xyzzzzz_xyyyyyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 957); 

                auto tg_xyzzzzz_xyyyyyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 958); 

                auto tg_xyzzzzz_xyyyyzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 959); 

                auto tg_xyzzzzz_xyyyzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 960); 

                auto tg_xyzzzzz_xyyzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 961); 

                auto tg_xyzzzzz_xyzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 962); 

                auto tg_xyzzzzz_xzzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 963); 

                auto tg_xyzzzzz_yyyyyyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 964); 

                auto tg_xyzzzzz_yyyyyyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 965); 

                auto tg_xyzzzzz_yyyyyzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 966); 

                auto tg_xyzzzzz_yyyyzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 967); 

                auto tg_xyzzzzz_yyyzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 968); 

                auto tg_xyzzzzz_yyzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 969); 

                auto tg_xyzzzzz_yzzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 970); 

                auto tg_xyzzzzz_zzzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 971); 

                auto tg_xzzzzzz_xxxxxxx_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 972); 

                auto tg_xzzzzzz_xxxxxxy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 973); 

                auto tg_xzzzzzz_xxxxxxz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 974); 

                auto tg_xzzzzzz_xxxxxyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 975); 

                auto tg_xzzzzzz_xxxxxyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 976); 

                auto tg_xzzzzzz_xxxxxzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 977); 

                auto tg_xzzzzzz_xxxxyyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 978); 

                auto tg_xzzzzzz_xxxxyyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 979); 

                auto tg_xzzzzzz_xxxxyzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 980); 

                auto tg_xzzzzzz_xxxxzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 981); 

                auto tg_xzzzzzz_xxxyyyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 982); 

                auto tg_xzzzzzz_xxxyyyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 983); 

                auto tg_xzzzzzz_xxxyyzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 984); 

                auto tg_xzzzzzz_xxxyzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 985); 

                auto tg_xzzzzzz_xxxzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 986); 

                auto tg_xzzzzzz_xxyyyyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 987); 

                auto tg_xzzzzzz_xxyyyyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 988); 

                auto tg_xzzzzzz_xxyyyzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 989); 

                auto tg_xzzzzzz_xxyyzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 990); 

                auto tg_xzzzzzz_xxyzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 991); 

                auto tg_xzzzzzz_xxzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 992); 

                auto tg_xzzzzzz_xyyyyyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 993); 

                auto tg_xzzzzzz_xyyyyyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 994); 

                auto tg_xzzzzzz_xyyyyzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 995); 

                auto tg_xzzzzzz_xyyyzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 996); 

                auto tg_xzzzzzz_xyyzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 997); 

                auto tg_xzzzzzz_xyzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 998); 

                auto tg_xzzzzzz_xzzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 999); 

                auto tg_xzzzzzz_yyyyyyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1000); 

                auto tg_xzzzzzz_yyyyyyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1001); 

                auto tg_xzzzzzz_yyyyyzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1002); 

                auto tg_xzzzzzz_yyyyzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1003); 

                auto tg_xzzzzzz_yyyzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1004); 

                auto tg_xzzzzzz_yyzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1005); 

                auto tg_xzzzzzz_yzzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1006); 

                auto tg_xzzzzzz_zzzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1007); 

                auto tg_yyyyyyy_xxxxxxx_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1008); 

                auto tg_yyyyyyy_xxxxxxy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1009); 

                auto tg_yyyyyyy_xxxxxxz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1010); 

                auto tg_yyyyyyy_xxxxxyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1011); 

                auto tg_yyyyyyy_xxxxxyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1012); 

                auto tg_yyyyyyy_xxxxxzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1013); 

                auto tg_yyyyyyy_xxxxyyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1014); 

                auto tg_yyyyyyy_xxxxyyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1015); 

                auto tg_yyyyyyy_xxxxyzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1016); 

                auto tg_yyyyyyy_xxxxzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1017); 

                auto tg_yyyyyyy_xxxyyyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1018); 

                auto tg_yyyyyyy_xxxyyyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1019); 

                auto tg_yyyyyyy_xxxyyzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1020); 

                auto tg_yyyyyyy_xxxyzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1021); 

                auto tg_yyyyyyy_xxxzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1022); 

                auto tg_yyyyyyy_xxyyyyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1023); 

                auto tg_yyyyyyy_xxyyyyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1024); 

                auto tg_yyyyyyy_xxyyyzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1025); 

                auto tg_yyyyyyy_xxyyzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1026); 

                auto tg_yyyyyyy_xxyzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1027); 

                auto tg_yyyyyyy_xxzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1028); 

                auto tg_yyyyyyy_xyyyyyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1029); 

                auto tg_yyyyyyy_xyyyyyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1030); 

                auto tg_yyyyyyy_xyyyyzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1031); 

                auto tg_yyyyyyy_xyyyzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1032); 

                auto tg_yyyyyyy_xyyzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1033); 

                auto tg_yyyyyyy_xyzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1034); 

                auto tg_yyyyyyy_xzzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1035); 

                auto tg_yyyyyyy_yyyyyyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1036); 

                auto tg_yyyyyyy_yyyyyyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1037); 

                auto tg_yyyyyyy_yyyyyzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1038); 

                auto tg_yyyyyyy_yyyyzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1039); 

                auto tg_yyyyyyy_yyyzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1040); 

                auto tg_yyyyyyy_yyzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1041); 

                auto tg_yyyyyyy_yzzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1042); 

                auto tg_yyyyyyy_zzzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1043); 

                auto tg_yyyyyyz_xxxxxxx_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1044); 

                auto tg_yyyyyyz_xxxxxxy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1045); 

                auto tg_yyyyyyz_xxxxxxz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1046); 

                auto tg_yyyyyyz_xxxxxyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1047); 

                auto tg_yyyyyyz_xxxxxyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1048); 

                auto tg_yyyyyyz_xxxxxzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1049); 

                auto tg_yzzzzz_xxyzzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 955); 

                auto tg_yzzzzz_xxzzzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 956); 

                auto tg_yzzzzz_xyyyyyy_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 957); 

                auto tg_yzzzzz_xyyyyyz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 958); 

                auto tg_yzzzzz_xyyyyzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 959); 

                auto tg_yzzzzz_xyyyzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 960); 

                auto tg_yzzzzz_xyyzzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 961); 

                auto tg_yzzzzz_xyzzzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 962); 

                auto tg_yzzzzz_xzzzzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 963); 

                auto tg_yzzzzz_yyyyyyy_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 964); 

                auto tg_yzzzzz_yyyyyyz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 965); 

                auto tg_yzzzzz_yyyyyzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 966); 

                auto tg_yzzzzz_yyyyzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 967); 

                auto tg_yzzzzz_yyyzzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 968); 

                auto tg_yzzzzz_yyzzzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 969); 

                auto tg_yzzzzz_yzzzzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 970); 

                auto tg_yzzzzz_zzzzzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 971); 

                auto tg_zzzzzz_xxxxxxx_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 972); 

                auto tg_zzzzzz_xxxxxxy_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 973); 

                auto tg_zzzzzz_xxxxxxz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 974); 

                auto tg_zzzzzz_xxxxxyy_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 975); 

                auto tg_zzzzzz_xxxxxyz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 976); 

                auto tg_zzzzzz_xxxxxzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 977); 

                auto tg_zzzzzz_xxxxyyy_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 978); 

                auto tg_zzzzzz_xxxxyyz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 979); 

                auto tg_zzzzzz_xxxxyzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 980); 

                auto tg_zzzzzz_xxxxzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 981); 

                auto tg_zzzzzz_xxxyyyy_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 982); 

                auto tg_zzzzzz_xxxyyyz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 983); 

                auto tg_zzzzzz_xxxyyzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 984); 

                auto tg_zzzzzz_xxxyzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 985); 

                auto tg_zzzzzz_xxxzzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 986); 

                auto tg_zzzzzz_xxyyyyy_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 987); 

                auto tg_zzzzzz_xxyyyyz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 988); 

                auto tg_zzzzzz_xxyyyzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 989); 

                auto tg_zzzzzz_xxyyzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 990); 

                auto tg_zzzzzz_xxyzzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 991); 

                auto tg_zzzzzz_xxzzzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 992); 

                auto tg_zzzzzz_xyyyyyy_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 993); 

                auto tg_zzzzzz_xyyyyyz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 994); 

                auto tg_zzzzzz_xyyyyzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 995); 

                auto tg_zzzzzz_xyyyzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 996); 

                auto tg_zzzzzz_xyyzzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 997); 

                auto tg_zzzzzz_xyzzzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 998); 

                auto tg_zzzzzz_xzzzzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 999); 

                auto tg_zzzzzz_yyyyyyy_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 1000); 

                auto tg_zzzzzz_yyyyyyz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 1001); 

                auto tg_zzzzzz_yyyyyzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 1002); 

                auto tg_zzzzzz_yyyyzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 1003); 

                auto tg_zzzzzz_yyyzzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 1004); 

                auto tg_zzzzzz_yyzzzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 1005); 

                auto tg_zzzzzz_yzzzzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 1006); 

                auto tg_zzzzzz_zzzzzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 1007); 

                auto tg_yzzzzz_xxyzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 955); 

                auto tg_yzzzzz_xxzzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 956); 

                auto tg_yzzzzz_xyyyyyy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 957); 

                auto tg_yzzzzz_xyyyyyz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 958); 

                auto tg_yzzzzz_xyyyyzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 959); 

                auto tg_yzzzzz_xyyyzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 960); 

                auto tg_yzzzzz_xyyzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 961); 

                auto tg_yzzzzz_xyzzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 962); 

                auto tg_yzzzzz_xzzzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 963); 

                auto tg_yzzzzz_yyyyyyy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 964); 

                auto tg_yzzzzz_yyyyyyz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 965); 

                auto tg_yzzzzz_yyyyyzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 966); 

                auto tg_yzzzzz_yyyyzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 967); 

                auto tg_yzzzzz_yyyzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 968); 

                auto tg_yzzzzz_yyzzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 969); 

                auto tg_yzzzzz_yzzzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 970); 

                auto tg_yzzzzz_zzzzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 971); 

                auto tg_zzzzzz_xxxxxxx_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 972); 

                auto tg_zzzzzz_xxxxxxy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 973); 

                auto tg_zzzzzz_xxxxxxz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 974); 

                auto tg_zzzzzz_xxxxxyy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 975); 

                auto tg_zzzzzz_xxxxxyz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 976); 

                auto tg_zzzzzz_xxxxxzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 977); 

                auto tg_zzzzzz_xxxxyyy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 978); 

                auto tg_zzzzzz_xxxxyyz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 979); 

                auto tg_zzzzzz_xxxxyzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 980); 

                auto tg_zzzzzz_xxxxzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 981); 

                auto tg_zzzzzz_xxxyyyy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 982); 

                auto tg_zzzzzz_xxxyyyz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 983); 

                auto tg_zzzzzz_xxxyyzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 984); 

                auto tg_zzzzzz_xxxyzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 985); 

                auto tg_zzzzzz_xxxzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 986); 

                auto tg_zzzzzz_xxyyyyy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 987); 

                auto tg_zzzzzz_xxyyyyz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 988); 

                auto tg_zzzzzz_xxyyyzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 989); 

                auto tg_zzzzzz_xxyyzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 990); 

                auto tg_zzzzzz_xxyzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 991); 

                auto tg_zzzzzz_xxzzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 992); 

                auto tg_zzzzzz_xyyyyyy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 993); 

                auto tg_zzzzzz_xyyyyyz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 994); 

                auto tg_zzzzzz_xyyyyzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 995); 

                auto tg_zzzzzz_xyyyzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 996); 

                auto tg_zzzzzz_xyyzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 997); 

                auto tg_zzzzzz_xyzzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 998); 

                auto tg_zzzzzz_xzzzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 999); 

                auto tg_zzzzzz_yyyyyyy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 1000); 

                auto tg_zzzzzz_yyyyyyz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 1001); 

                auto tg_zzzzzz_yyyyyzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 1002); 

                auto tg_zzzzzz_yyyyzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 1003); 

                auto tg_zzzzzz_yyyzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 1004); 

                auto tg_zzzzzz_yyzzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 1005); 

                auto tg_zzzzzz_yzzzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 1006); 

                auto tg_zzzzzz_zzzzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 1007); 

                auto tg_xyzzzzz_xyzzzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 747); 

                auto tg_xyzzzzz_xzzzzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 748); 

                auto tg_xyzzzzz_yyyyyy_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 749); 

                auto tg_xyzzzzz_yyyyyz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 750); 

                auto tg_xyzzzzz_yyyyzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 751); 

                auto tg_xyzzzzz_yyyzzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 752); 

                auto tg_xyzzzzz_yyzzzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 753); 

                auto tg_xyzzzzz_yzzzzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 754); 

                auto tg_xyzzzzz_zzzzzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 755); 

                auto tg_xzzzzzz_xxxxxx_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 756); 

                auto tg_xzzzzzz_xxxxxy_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 757); 

                auto tg_xzzzzzz_xxxxxz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 758); 

                auto tg_xzzzzzz_xxxxyy_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 759); 

                auto tg_xzzzzzz_xxxxyz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 760); 

                auto tg_xzzzzzz_xxxxzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 761); 

                auto tg_xzzzzzz_xxxyyy_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 762); 

                auto tg_xzzzzzz_xxxyyz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 763); 

                auto tg_xzzzzzz_xxxyzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 764); 

                auto tg_xzzzzzz_xxxzzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 765); 

                auto tg_xzzzzzz_xxyyyy_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 766); 

                auto tg_xzzzzzz_xxyyyz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 767); 

                auto tg_xzzzzzz_xxyyzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 768); 

                auto tg_xzzzzzz_xxyzzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 769); 

                auto tg_xzzzzzz_xxzzzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 770); 

                auto tg_xzzzzzz_xyyyyy_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 771); 

                auto tg_xzzzzzz_xyyyyz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 772); 

                auto tg_xzzzzzz_xyyyzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 773); 

                auto tg_xzzzzzz_xyyzzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 774); 

                auto tg_xzzzzzz_xyzzzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 775); 

                auto tg_xzzzzzz_xzzzzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 776); 

                auto tg_xzzzzzz_yyyyyy_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 777); 

                auto tg_xzzzzzz_yyyyyz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 778); 

                auto tg_xzzzzzz_yyyyzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 779); 

                auto tg_xzzzzzz_yyyzzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 780); 

                auto tg_xzzzzzz_yyzzzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 781); 

                auto tg_xzzzzzz_yzzzzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 782); 

                auto tg_xzzzzzz_zzzzzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 783); 

                auto tg_yyyyyyy_xxxxxx_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 784); 

                auto tg_yyyyyyy_xxxxxy_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 785); 

                auto tg_yyyyyyy_xxxxxz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 786); 

                auto tg_yyyyyyy_xxxxyy_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 787); 

                auto tg_yyyyyyy_xxxxyz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 788); 

                auto tg_yyyyyyy_xxxxzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 789); 

                auto tg_yyyyyyy_xxxyyy_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 790); 

                auto tg_yyyyyyy_xxxyyz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 791); 

                auto tg_yyyyyyy_xxxyzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 792); 

                auto tg_yyyyyyy_xxxzzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 793); 

                auto tg_yyyyyyy_xxyyyy_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 794); 

                auto tg_yyyyyyy_xxyyyz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 795); 

                auto tg_yyyyyyy_xxyyzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 796); 

                auto tg_yyyyyyy_xxyzzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 797); 

                auto tg_yyyyyyy_xxzzzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 798); 

                auto tg_yyyyyyy_xyyyyy_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 799); 

                auto tg_yyyyyyy_xyyyyz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 800); 

                auto tg_yyyyyyy_xyyyzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 801); 

                auto tg_yyyyyyy_xyyzzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 802); 

                auto tg_yyyyyyy_xyzzzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 803); 

                auto tg_yyyyyyy_xzzzzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 804); 

                auto tg_yyyyyyy_yyyyyy_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 805); 

                auto tg_yyyyyyy_yyyyyz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 806); 

                auto tg_yyyyyyy_yyyyzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 807); 

                auto tg_yyyyyyy_yyyzzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 808); 

                auto tg_yyyyyyy_yyzzzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 809); 

                auto tg_yyyyyyy_yzzzzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 810); 

                auto tg_yyyyyyy_zzzzzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 811); 

                auto tg_yyyyyyz_xxxxxx_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 812); 

                auto tg_yyyyyyz_xxxxxy_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 813); 

                auto tg_yyyyyyz_xxxxxz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 814); 

                auto tg_yyyyyyz_xxxxyy_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 815); 

                auto tg_yyyyyyz_xxxxyz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 816); 

                auto tg_yyyyyyz_xxxxzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 817); 

                // set up pointers to integrals

                auto tg_xxyzzzzz_xxyzzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 955); 

                auto tg_xxyzzzzz_xxzzzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 956); 

                auto tg_xxyzzzzz_xyyyyyy_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 957); 

                auto tg_xxyzzzzz_xyyyyyz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 958); 

                auto tg_xxyzzzzz_xyyyyzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 959); 

                auto tg_xxyzzzzz_xyyyzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 960); 

                auto tg_xxyzzzzz_xyyzzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 961); 

                auto tg_xxyzzzzz_xyzzzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 962); 

                auto tg_xxyzzzzz_xzzzzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 963); 

                auto tg_xxyzzzzz_yyyyyyy_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 964); 

                auto tg_xxyzzzzz_yyyyyyz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 965); 

                auto tg_xxyzzzzz_yyyyyzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 966); 

                auto tg_xxyzzzzz_yyyyzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 967); 

                auto tg_xxyzzzzz_yyyzzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 968); 

                auto tg_xxyzzzzz_yyzzzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 969); 

                auto tg_xxyzzzzz_yzzzzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 970); 

                auto tg_xxyzzzzz_zzzzzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 971); 

                auto tg_xxzzzzzz_xxxxxxx_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 972); 

                auto tg_xxzzzzzz_xxxxxxy_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 973); 

                auto tg_xxzzzzzz_xxxxxxz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 974); 

                auto tg_xxzzzzzz_xxxxxyy_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 975); 

                auto tg_xxzzzzzz_xxxxxyz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 976); 

                auto tg_xxzzzzzz_xxxxxzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 977); 

                auto tg_xxzzzzzz_xxxxyyy_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 978); 

                auto tg_xxzzzzzz_xxxxyyz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 979); 

                auto tg_xxzzzzzz_xxxxyzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 980); 

                auto tg_xxzzzzzz_xxxxzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 981); 

                auto tg_xxzzzzzz_xxxyyyy_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 982); 

                auto tg_xxzzzzzz_xxxyyyz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 983); 

                auto tg_xxzzzzzz_xxxyyzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 984); 

                auto tg_xxzzzzzz_xxxyzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 985); 

                auto tg_xxzzzzzz_xxxzzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 986); 

                auto tg_xxzzzzzz_xxyyyyy_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 987); 

                auto tg_xxzzzzzz_xxyyyyz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 988); 

                auto tg_xxzzzzzz_xxyyyzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 989); 

                auto tg_xxzzzzzz_xxyyzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 990); 

                auto tg_xxzzzzzz_xxyzzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 991); 

                auto tg_xxzzzzzz_xxzzzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 992); 

                auto tg_xxzzzzzz_xyyyyyy_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 993); 

                auto tg_xxzzzzzz_xyyyyyz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 994); 

                auto tg_xxzzzzzz_xyyyyzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 995); 

                auto tg_xxzzzzzz_xyyyzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 996); 

                auto tg_xxzzzzzz_xyyzzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 997); 

                auto tg_xxzzzzzz_xyzzzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 998); 

                auto tg_xxzzzzzz_xzzzzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 999); 

                auto tg_xxzzzzzz_yyyyyyy_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1000); 

                auto tg_xxzzzzzz_yyyyyyz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1001); 

                auto tg_xxzzzzzz_yyyyyzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1002); 

                auto tg_xxzzzzzz_yyyyzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1003); 

                auto tg_xxzzzzzz_yyyzzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1004); 

                auto tg_xxzzzzzz_yyzzzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1005); 

                auto tg_xxzzzzzz_yzzzzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1006); 

                auto tg_xxzzzzzz_zzzzzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1007); 

                auto tg_xyyyyyyy_xxxxxxx_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1008); 

                auto tg_xyyyyyyy_xxxxxxy_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1009); 

                auto tg_xyyyyyyy_xxxxxxz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1010); 

                auto tg_xyyyyyyy_xxxxxyy_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1011); 

                auto tg_xyyyyyyy_xxxxxyz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1012); 

                auto tg_xyyyyyyy_xxxxxzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1013); 

                auto tg_xyyyyyyy_xxxxyyy_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1014); 

                auto tg_xyyyyyyy_xxxxyyz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1015); 

                auto tg_xyyyyyyy_xxxxyzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1016); 

                auto tg_xyyyyyyy_xxxxzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1017); 

                auto tg_xyyyyyyy_xxxyyyy_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1018); 

                auto tg_xyyyyyyy_xxxyyyz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1019); 

                auto tg_xyyyyyyy_xxxyyzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1020); 

                auto tg_xyyyyyyy_xxxyzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1021); 

                auto tg_xyyyyyyy_xxxzzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1022); 

                auto tg_xyyyyyyy_xxyyyyy_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1023); 

                auto tg_xyyyyyyy_xxyyyyz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1024); 

                auto tg_xyyyyyyy_xxyyyzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1025); 

                auto tg_xyyyyyyy_xxyyzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1026); 

                auto tg_xyyyyyyy_xxyzzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1027); 

                auto tg_xyyyyyyy_xxzzzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1028); 

                auto tg_xyyyyyyy_xyyyyyy_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1029); 

                auto tg_xyyyyyyy_xyyyyyz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1030); 

                auto tg_xyyyyyyy_xyyyyzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1031); 

                auto tg_xyyyyyyy_xyyyzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1032); 

                auto tg_xyyyyyyy_xyyzzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1033); 

                auto tg_xyyyyyyy_xyzzzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1034); 

                auto tg_xyyyyyyy_xzzzzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1035); 

                auto tg_xyyyyyyy_yyyyyyy_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1036); 

                auto tg_xyyyyyyy_yyyyyyz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1037); 

                auto tg_xyyyyyyy_yyyyyzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1038); 

                auto tg_xyyyyyyy_yyyyzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1039); 

                auto tg_xyyyyyyy_yyyzzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1040); 

                auto tg_xyyyyyyy_yyzzzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1041); 

                auto tg_xyyyyyyy_yzzzzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1042); 

                auto tg_xyyyyyyy_zzzzzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1043); 

                auto tg_xyyyyyyz_xxxxxxx_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1044); 

                auto tg_xyyyyyyz_xxxxxxy_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1045); 

                auto tg_xyyyyyyz_xxxxxxz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1046); 

                auto tg_xyyyyyyz_xxxxxyy_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1047); 

                auto tg_xyyyyyyz_xxxxxyz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1048); 

                auto tg_xyyyyyyz_xxxxxzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1049); 

                // Batch of Integrals (955,1050)

                #pragma omp simd aligned(fxn, fza, tg_xxyzzzzz_xxyzzzz_0, tg_xxyzzzzz_xxzzzzz_0, \
                                         tg_xxyzzzzz_xyyyyyy_0, tg_xxyzzzzz_xyyyyyz_0, tg_xxyzzzzz_xyyyyzz_0, \
                                         tg_xxyzzzzz_xyyyzzz_0, tg_xxyzzzzz_xyyzzzz_0, tg_xxyzzzzz_xyzzzzz_0, \
                                         tg_xxyzzzzz_xzzzzzz_0, tg_xxyzzzzz_yyyyyyy_0, tg_xxyzzzzz_yyyyyyz_0, \
                                         tg_xxyzzzzz_yyyyyzz_0, tg_xxyzzzzz_yyyyzzz_0, tg_xxyzzzzz_yyyzzzz_0, \
                                         tg_xxyzzzzz_yyzzzzz_0, tg_xxyzzzzz_yzzzzzz_0, tg_xxyzzzzz_zzzzzzz_0, \
                                         tg_xxzzzzzz_xxxxxxx_0, tg_xxzzzzzz_xxxxxxy_0, tg_xxzzzzzz_xxxxxxz_0, \
                                         tg_xxzzzzzz_xxxxxyy_0, tg_xxzzzzzz_xxxxxyz_0, tg_xxzzzzzz_xxxxxzz_0, \
                                         tg_xxzzzzzz_xxxxyyy_0, tg_xxzzzzzz_xxxxyyz_0, tg_xxzzzzzz_xxxxyzz_0, \
                                         tg_xxzzzzzz_xxxxzzz_0, tg_xxzzzzzz_xxxyyyy_0, tg_xxzzzzzz_xxxyyyz_0, \
                                         tg_xxzzzzzz_xxxyyzz_0, tg_xxzzzzzz_xxxyzzz_0, tg_xxzzzzzz_xxxzzzz_0, \
                                         tg_xxzzzzzz_xxyyyyy_0, tg_xxzzzzzz_xxyyyyz_0, tg_xxzzzzzz_xxyyyzz_0, \
                                         tg_xxzzzzzz_xxyyzzz_0, tg_xxzzzzzz_xxyzzzz_0, tg_xxzzzzzz_xxzzzzz_0, \
                                         tg_xxzzzzzz_xyyyyyy_0, tg_xxzzzzzz_xyyyyyz_0, tg_xxzzzzzz_xyyyyzz_0, \
                                         tg_xxzzzzzz_xyyyzzz_0, tg_xxzzzzzz_xyyzzzz_0, tg_xxzzzzzz_xyzzzzz_0, \
                                         tg_xxzzzzzz_xzzzzzz_0, tg_xxzzzzzz_yyyyyyy_0, tg_xxzzzzzz_yyyyyyz_0, \
                                         tg_xxzzzzzz_yyyyyzz_0, tg_xxzzzzzz_yyyyzzz_0, tg_xxzzzzzz_yyyzzzz_0, \
                                         tg_xxzzzzzz_yyzzzzz_0, tg_xxzzzzzz_yzzzzzz_0, tg_xxzzzzzz_zzzzzzz_0, \
                                         tg_xyyyyyyy_xxxxxxx_0, tg_xyyyyyyy_xxxxxxy_0, tg_xyyyyyyy_xxxxxxz_0, \
                                         tg_xyyyyyyy_xxxxxyy_0, tg_xyyyyyyy_xxxxxyz_0, tg_xyyyyyyy_xxxxxzz_0, \
                                         tg_xyyyyyyy_xxxxyyy_0, tg_xyyyyyyy_xxxxyyz_0, tg_xyyyyyyy_xxxxyzz_0, \
                                         tg_xyyyyyyy_xxxxzzz_0, tg_xyyyyyyy_xxxyyyy_0, tg_xyyyyyyy_xxxyyyz_0, \
                                         tg_xyyyyyyy_xxxyyzz_0, tg_xyyyyyyy_xxxyzzz_0, tg_xyyyyyyy_xxxzzzz_0, \
                                         tg_xyyyyyyy_xxyyyyy_0, tg_xyyyyyyy_xxyyyyz_0, tg_xyyyyyyy_xxyyyzz_0, \
                                         tg_xyyyyyyy_xxyyzzz_0, tg_xyyyyyyy_xxyzzzz_0, tg_xyyyyyyy_xxzzzzz_0, \
                                         tg_xyyyyyyy_xyyyyyy_0, tg_xyyyyyyy_xyyyyyz_0, tg_xyyyyyyy_xyyyyzz_0, \
                                         tg_xyyyyyyy_xyyyzzz_0, tg_xyyyyyyy_xyyzzzz_0, tg_xyyyyyyy_xyzzzzz_0, \
                                         tg_xyyyyyyy_xzzzzzz_0, tg_xyyyyyyy_yyyyyyy_0, tg_xyyyyyyy_yyyyyyz_0, \
                                         tg_xyyyyyyy_yyyyyzz_0, tg_xyyyyyyy_yyyyzzz_0, tg_xyyyyyyy_yyyzzzz_0, \
                                         tg_xyyyyyyy_yyzzzzz_0, tg_xyyyyyyy_yzzzzzz_0, tg_xyyyyyyy_zzzzzzz_0, \
                                         tg_xyyyyyyz_xxxxxxx_0, tg_xyyyyyyz_xxxxxxy_0, tg_xyyyyyyz_xxxxxxz_0, \
                                         tg_xyyyyyyz_xxxxxyy_0, tg_xyyyyyyz_xxxxxyz_0, tg_xyyyyyyz_xxxxxzz_0, \
                                         tg_xyzzzzz_xxyzzzz_0, tg_xyzzzzz_xxyzzzz_1, tg_xyzzzzz_xxzzzzz_0, tg_xyzzzzz_xxzzzzz_1, \
                                         tg_xyzzzzz_xyyyyyy_0, tg_xyzzzzz_xyyyyyy_1, tg_xyzzzzz_xyyyyyz_0, tg_xyzzzzz_xyyyyyz_1, \
                                         tg_xyzzzzz_xyyyyzz_0, tg_xyzzzzz_xyyyyzz_1, tg_xyzzzzz_xyyyzzz_0, tg_xyzzzzz_xyyyzzz_1, \
                                         tg_xyzzzzz_xyyzzzz_0, tg_xyzzzzz_xyyzzzz_1, tg_xyzzzzz_xyzzzz_1, tg_xyzzzzz_xyzzzzz_0, \
                                         tg_xyzzzzz_xyzzzzz_1, tg_xyzzzzz_xzzzzz_1, tg_xyzzzzz_xzzzzzz_0, tg_xyzzzzz_xzzzzzz_1, \
                                         tg_xyzzzzz_yyyyyy_1, tg_xyzzzzz_yyyyyyy_0, tg_xyzzzzz_yyyyyyy_1, tg_xyzzzzz_yyyyyyz_0, \
                                         tg_xyzzzzz_yyyyyyz_1, tg_xyzzzzz_yyyyyz_1, tg_xyzzzzz_yyyyyzz_0, tg_xyzzzzz_yyyyyzz_1, \
                                         tg_xyzzzzz_yyyyzz_1, tg_xyzzzzz_yyyyzzz_0, tg_xyzzzzz_yyyyzzz_1, tg_xyzzzzz_yyyzzz_1, \
                                         tg_xyzzzzz_yyyzzzz_0, tg_xyzzzzz_yyyzzzz_1, tg_xyzzzzz_yyzzzz_1, tg_xyzzzzz_yyzzzzz_0, \
                                         tg_xyzzzzz_yyzzzzz_1, tg_xyzzzzz_yzzzzz_1, tg_xyzzzzz_yzzzzzz_0, tg_xyzzzzz_yzzzzzz_1, \
                                         tg_xyzzzzz_zzzzzz_1, tg_xyzzzzz_zzzzzzz_0, tg_xyzzzzz_zzzzzzz_1, tg_xzzzzzz_xxxxxx_1, \
                                         tg_xzzzzzz_xxxxxxx_0, tg_xzzzzzz_xxxxxxx_1, tg_xzzzzzz_xxxxxxy_0, tg_xzzzzzz_xxxxxxy_1, \
                                         tg_xzzzzzz_xxxxxxz_0, tg_xzzzzzz_xxxxxxz_1, tg_xzzzzzz_xxxxxy_1, tg_xzzzzzz_xxxxxyy_0, \
                                         tg_xzzzzzz_xxxxxyy_1, tg_xzzzzzz_xxxxxyz_0, tg_xzzzzzz_xxxxxyz_1, tg_xzzzzzz_xxxxxz_1, \
                                         tg_xzzzzzz_xxxxxzz_0, tg_xzzzzzz_xxxxxzz_1, tg_xzzzzzz_xxxxyy_1, tg_xzzzzzz_xxxxyyy_0, \
                                         tg_xzzzzzz_xxxxyyy_1, tg_xzzzzzz_xxxxyyz_0, tg_xzzzzzz_xxxxyyz_1, tg_xzzzzzz_xxxxyz_1, \
                                         tg_xzzzzzz_xxxxyzz_0, tg_xzzzzzz_xxxxyzz_1, tg_xzzzzzz_xxxxzz_1, tg_xzzzzzz_xxxxzzz_0, \
                                         tg_xzzzzzz_xxxxzzz_1, tg_xzzzzzz_xxxyyy_1, tg_xzzzzzz_xxxyyyy_0, tg_xzzzzzz_xxxyyyy_1, \
                                         tg_xzzzzzz_xxxyyyz_0, tg_xzzzzzz_xxxyyyz_1, tg_xzzzzzz_xxxyyz_1, tg_xzzzzzz_xxxyyzz_0, \
                                         tg_xzzzzzz_xxxyyzz_1, tg_xzzzzzz_xxxyzz_1, tg_xzzzzzz_xxxyzzz_0, tg_xzzzzzz_xxxyzzz_1, \
                                         tg_xzzzzzz_xxxzzz_1, tg_xzzzzzz_xxxzzzz_0, tg_xzzzzzz_xxxzzzz_1, tg_xzzzzzz_xxyyyy_1, \
                                         tg_xzzzzzz_xxyyyyy_0, tg_xzzzzzz_xxyyyyy_1, tg_xzzzzzz_xxyyyyz_0, tg_xzzzzzz_xxyyyyz_1, \
                                         tg_xzzzzzz_xxyyyz_1, tg_xzzzzzz_xxyyyzz_0, tg_xzzzzzz_xxyyyzz_1, tg_xzzzzzz_xxyyzz_1, \
                                         tg_xzzzzzz_xxyyzzz_0, tg_xzzzzzz_xxyyzzz_1, tg_xzzzzzz_xxyzzz_1, tg_xzzzzzz_xxyzzzz_0, \
                                         tg_xzzzzzz_xxyzzzz_1, tg_xzzzzzz_xxzzzz_1, tg_xzzzzzz_xxzzzzz_0, tg_xzzzzzz_xxzzzzz_1, \
                                         tg_xzzzzzz_xyyyyy_1, tg_xzzzzzz_xyyyyyy_0, tg_xzzzzzz_xyyyyyy_1, tg_xzzzzzz_xyyyyyz_0, \
                                         tg_xzzzzzz_xyyyyyz_1, tg_xzzzzzz_xyyyyz_1, tg_xzzzzzz_xyyyyzz_0, tg_xzzzzzz_xyyyyzz_1, \
                                         tg_xzzzzzz_xyyyzz_1, tg_xzzzzzz_xyyyzzz_0, tg_xzzzzzz_xyyyzzz_1, tg_xzzzzzz_xyyzzz_1, \
                                         tg_xzzzzzz_xyyzzzz_0, tg_xzzzzzz_xyyzzzz_1, tg_xzzzzzz_xyzzzz_1, tg_xzzzzzz_xyzzzzz_0, \
                                         tg_xzzzzzz_xyzzzzz_1, tg_xzzzzzz_xzzzzz_1, tg_xzzzzzz_xzzzzzz_0, tg_xzzzzzz_xzzzzzz_1, \
                                         tg_xzzzzzz_yyyyyy_1, tg_xzzzzzz_yyyyyyy_0, tg_xzzzzzz_yyyyyyy_1, tg_xzzzzzz_yyyyyyz_0, \
                                         tg_xzzzzzz_yyyyyyz_1, tg_xzzzzzz_yyyyyz_1, tg_xzzzzzz_yyyyyzz_0, tg_xzzzzzz_yyyyyzz_1, \
                                         tg_xzzzzzz_yyyyzz_1, tg_xzzzzzz_yyyyzzz_0, tg_xzzzzzz_yyyyzzz_1, tg_xzzzzzz_yyyzzz_1, \
                                         tg_xzzzzzz_yyyzzzz_0, tg_xzzzzzz_yyyzzzz_1, tg_xzzzzzz_yyzzzz_1, tg_xzzzzzz_yyzzzzz_0, \
                                         tg_xzzzzzz_yyzzzzz_1, tg_xzzzzzz_yzzzzz_1, tg_xzzzzzz_yzzzzzz_0, tg_xzzzzzz_yzzzzzz_1, \
                                         tg_xzzzzzz_zzzzzz_1, tg_xzzzzzz_zzzzzzz_0, tg_xzzzzzz_zzzzzzz_1, tg_yyyyyyy_xxxxxx_1, \
                                         tg_yyyyyyy_xxxxxxx_0, tg_yyyyyyy_xxxxxxx_1, tg_yyyyyyy_xxxxxxy_0, tg_yyyyyyy_xxxxxxy_1, \
                                         tg_yyyyyyy_xxxxxxz_0, tg_yyyyyyy_xxxxxxz_1, tg_yyyyyyy_xxxxxy_1, tg_yyyyyyy_xxxxxyy_0, \
                                         tg_yyyyyyy_xxxxxyy_1, tg_yyyyyyy_xxxxxyz_0, tg_yyyyyyy_xxxxxyz_1, tg_yyyyyyy_xxxxxz_1, \
                                         tg_yyyyyyy_xxxxxzz_0, tg_yyyyyyy_xxxxxzz_1, tg_yyyyyyy_xxxxyy_1, tg_yyyyyyy_xxxxyyy_0, \
                                         tg_yyyyyyy_xxxxyyy_1, tg_yyyyyyy_xxxxyyz_0, tg_yyyyyyy_xxxxyyz_1, tg_yyyyyyy_xxxxyz_1, \
                                         tg_yyyyyyy_xxxxyzz_0, tg_yyyyyyy_xxxxyzz_1, tg_yyyyyyy_xxxxzz_1, tg_yyyyyyy_xxxxzzz_0, \
                                         tg_yyyyyyy_xxxxzzz_1, tg_yyyyyyy_xxxyyy_1, tg_yyyyyyy_xxxyyyy_0, tg_yyyyyyy_xxxyyyy_1, \
                                         tg_yyyyyyy_xxxyyyz_0, tg_yyyyyyy_xxxyyyz_1, tg_yyyyyyy_xxxyyz_1, tg_yyyyyyy_xxxyyzz_0, \
                                         tg_yyyyyyy_xxxyyzz_1, tg_yyyyyyy_xxxyzz_1, tg_yyyyyyy_xxxyzzz_0, tg_yyyyyyy_xxxyzzz_1, \
                                         tg_yyyyyyy_xxxzzz_1, tg_yyyyyyy_xxxzzzz_0, tg_yyyyyyy_xxxzzzz_1, tg_yyyyyyy_xxyyyy_1, \
                                         tg_yyyyyyy_xxyyyyy_0, tg_yyyyyyy_xxyyyyy_1, tg_yyyyyyy_xxyyyyz_0, tg_yyyyyyy_xxyyyyz_1, \
                                         tg_yyyyyyy_xxyyyz_1, tg_yyyyyyy_xxyyyzz_0, tg_yyyyyyy_xxyyyzz_1, tg_yyyyyyy_xxyyzz_1, \
                                         tg_yyyyyyy_xxyyzzz_0, tg_yyyyyyy_xxyyzzz_1, tg_yyyyyyy_xxyzzz_1, tg_yyyyyyy_xxyzzzz_0, \
                                         tg_yyyyyyy_xxyzzzz_1, tg_yyyyyyy_xxzzzz_1, tg_yyyyyyy_xxzzzzz_0, tg_yyyyyyy_xxzzzzz_1, \
                                         tg_yyyyyyy_xyyyyy_1, tg_yyyyyyy_xyyyyyy_0, tg_yyyyyyy_xyyyyyy_1, tg_yyyyyyy_xyyyyyz_0, \
                                         tg_yyyyyyy_xyyyyyz_1, tg_yyyyyyy_xyyyyz_1, tg_yyyyyyy_xyyyyzz_0, tg_yyyyyyy_xyyyyzz_1, \
                                         tg_yyyyyyy_xyyyzz_1, tg_yyyyyyy_xyyyzzz_0, tg_yyyyyyy_xyyyzzz_1, tg_yyyyyyy_xyyzzz_1, \
                                         tg_yyyyyyy_xyyzzzz_0, tg_yyyyyyy_xyyzzzz_1, tg_yyyyyyy_xyzzzz_1, tg_yyyyyyy_xyzzzzz_0, \
                                         tg_yyyyyyy_xyzzzzz_1, tg_yyyyyyy_xzzzzz_1, tg_yyyyyyy_xzzzzzz_0, tg_yyyyyyy_xzzzzzz_1, \
                                         tg_yyyyyyy_yyyyyy_1, tg_yyyyyyy_yyyyyyy_0, tg_yyyyyyy_yyyyyyy_1, tg_yyyyyyy_yyyyyyz_0, \
                                         tg_yyyyyyy_yyyyyyz_1, tg_yyyyyyy_yyyyyz_1, tg_yyyyyyy_yyyyyzz_0, tg_yyyyyyy_yyyyyzz_1, \
                                         tg_yyyyyyy_yyyyzz_1, tg_yyyyyyy_yyyyzzz_0, tg_yyyyyyy_yyyyzzz_1, tg_yyyyyyy_yyyzzz_1, \
                                         tg_yyyyyyy_yyyzzzz_0, tg_yyyyyyy_yyyzzzz_1, tg_yyyyyyy_yyzzzz_1, tg_yyyyyyy_yyzzzzz_0, \
                                         tg_yyyyyyy_yyzzzzz_1, tg_yyyyyyy_yzzzzz_1, tg_yyyyyyy_yzzzzzz_0, tg_yyyyyyy_yzzzzzz_1, \
                                         tg_yyyyyyy_zzzzzz_1, tg_yyyyyyy_zzzzzzz_0, tg_yyyyyyy_zzzzzzz_1, tg_yyyyyyz_xxxxxx_1, \
                                         tg_yyyyyyz_xxxxxxx_0, tg_yyyyyyz_xxxxxxx_1, tg_yyyyyyz_xxxxxxy_0, tg_yyyyyyz_xxxxxxy_1, \
                                         tg_yyyyyyz_xxxxxxz_0, tg_yyyyyyz_xxxxxxz_1, tg_yyyyyyz_xxxxxy_1, tg_yyyyyyz_xxxxxyy_0, \
                                         tg_yyyyyyz_xxxxxyy_1, tg_yyyyyyz_xxxxxyz_0, tg_yyyyyyz_xxxxxyz_1, tg_yyyyyyz_xxxxxz_1, \
                                         tg_yyyyyyz_xxxxxzz_0, tg_yyyyyyz_xxxxxzz_1, tg_yyyyyyz_xxxxyy_1, tg_yyyyyyz_xxxxyz_1, \
                                         tg_yyyyyyz_xxxxzz_1, tg_yzzzzz_xxyzzzz_0, tg_yzzzzz_xxyzzzz_1, tg_yzzzzz_xxzzzzz_0, \
                                         tg_yzzzzz_xxzzzzz_1, tg_yzzzzz_xyyyyyy_0, tg_yzzzzz_xyyyyyy_1, tg_yzzzzz_xyyyyyz_0, \
                                         tg_yzzzzz_xyyyyyz_1, tg_yzzzzz_xyyyyzz_0, tg_yzzzzz_xyyyyzz_1, tg_yzzzzz_xyyyzzz_0, \
                                         tg_yzzzzz_xyyyzzz_1, tg_yzzzzz_xyyzzzz_0, tg_yzzzzz_xyyzzzz_1, tg_yzzzzz_xyzzzzz_0, \
                                         tg_yzzzzz_xyzzzzz_1, tg_yzzzzz_xzzzzzz_0, tg_yzzzzz_xzzzzzz_1, tg_yzzzzz_yyyyyyy_0, \
                                         tg_yzzzzz_yyyyyyy_1, tg_yzzzzz_yyyyyyz_0, tg_yzzzzz_yyyyyyz_1, tg_yzzzzz_yyyyyzz_0, \
                                         tg_yzzzzz_yyyyyzz_1, tg_yzzzzz_yyyyzzz_0, tg_yzzzzz_yyyyzzz_1, tg_yzzzzz_yyyzzzz_0, \
                                         tg_yzzzzz_yyyzzzz_1, tg_yzzzzz_yyzzzzz_0, tg_yzzzzz_yyzzzzz_1, tg_yzzzzz_yzzzzzz_0, \
                                         tg_yzzzzz_yzzzzzz_1, tg_yzzzzz_zzzzzzz_0, tg_yzzzzz_zzzzzzz_1, tg_zzzzzz_xxxxxxx_0, \
                                         tg_zzzzzz_xxxxxxx_1, tg_zzzzzz_xxxxxxy_0, tg_zzzzzz_xxxxxxy_1, tg_zzzzzz_xxxxxxz_0, \
                                         tg_zzzzzz_xxxxxxz_1, tg_zzzzzz_xxxxxyy_0, tg_zzzzzz_xxxxxyy_1, tg_zzzzzz_xxxxxyz_0, \
                                         tg_zzzzzz_xxxxxyz_1, tg_zzzzzz_xxxxxzz_0, tg_zzzzzz_xxxxxzz_1, tg_zzzzzz_xxxxyyy_0, \
                                         tg_zzzzzz_xxxxyyy_1, tg_zzzzzz_xxxxyyz_0, tg_zzzzzz_xxxxyyz_1, tg_zzzzzz_xxxxyzz_0, \
                                         tg_zzzzzz_xxxxyzz_1, tg_zzzzzz_xxxxzzz_0, tg_zzzzzz_xxxxzzz_1, tg_zzzzzz_xxxyyyy_0, \
                                         tg_zzzzzz_xxxyyyy_1, tg_zzzzzz_xxxyyyz_0, tg_zzzzzz_xxxyyyz_1, tg_zzzzzz_xxxyyzz_0, \
                                         tg_zzzzzz_xxxyyzz_1, tg_zzzzzz_xxxyzzz_0, tg_zzzzzz_xxxyzzz_1, tg_zzzzzz_xxxzzzz_0, \
                                         tg_zzzzzz_xxxzzzz_1, tg_zzzzzz_xxyyyyy_0, tg_zzzzzz_xxyyyyy_1, tg_zzzzzz_xxyyyyz_0, \
                                         tg_zzzzzz_xxyyyyz_1, tg_zzzzzz_xxyyyzz_0, tg_zzzzzz_xxyyyzz_1, tg_zzzzzz_xxyyzzz_0, \
                                         tg_zzzzzz_xxyyzzz_1, tg_zzzzzz_xxyzzzz_0, tg_zzzzzz_xxyzzzz_1, tg_zzzzzz_xxzzzzz_0, \
                                         tg_zzzzzz_xxzzzzz_1, tg_zzzzzz_xyyyyyy_0, tg_zzzzzz_xyyyyyy_1, tg_zzzzzz_xyyyyyz_0, \
                                         tg_zzzzzz_xyyyyyz_1, tg_zzzzzz_xyyyyzz_0, tg_zzzzzz_xyyyyzz_1, tg_zzzzzz_xyyyzzz_0, \
                                         tg_zzzzzz_xyyyzzz_1, tg_zzzzzz_xyyzzzz_0, tg_zzzzzz_xyyzzzz_1, tg_zzzzzz_xyzzzzz_0, \
                                         tg_zzzzzz_xyzzzzz_1, tg_zzzzzz_xzzzzzz_0, tg_zzzzzz_xzzzzzz_1, tg_zzzzzz_yyyyyyy_0, \
                                         tg_zzzzzz_yyyyyyy_1, tg_zzzzzz_yyyyyyz_0, tg_zzzzzz_yyyyyyz_1, tg_zzzzzz_yyyyyzz_0, \
                                         tg_zzzzzz_yyyyyzz_1, tg_zzzzzz_yyyyzzz_0, tg_zzzzzz_yyyyzzz_1, tg_zzzzzz_yyyzzzz_0, \
                                         tg_zzzzzz_yyyzzzz_1, tg_zzzzzz_yyzzzzz_0, tg_zzzzzz_yyzzzzz_1, tg_zzzzzz_yzzzzzz_0, \
                                         tg_zzzzzz_yzzzzzz_1, tg_zzzzzz_zzzzzzz_0, tg_zzzzzz_zzzzzzz_1, wp_x: VLX_ALIGN)
                for (int32_t j = 0; j < nKetPrimPairs; j++)
                {
                    double fl1_fx = fx;

                    double fl1_fxn = fxn[j];

                    double fl1_fza = fza[j];

                    double fr = wp_x[j]; 

                    tg_xxyzzzzz_xxyzzzz_0[j] = pb_x * tg_xyzzzzz_xxyzzzz_0[j] + fr * tg_xyzzzzz_xxyzzzz_1[j] + 0.5 * fl1_fx * (tg_yzzzzz_xxyzzzz_0[j] - tg_yzzzzz_xxyzzzz_1[j] * fl1_fza) + fl1_fxn * tg_xyzzzzz_xyzzzz_1[j];

                    tg_xxyzzzzz_xxzzzzz_0[j] = pb_x * tg_xyzzzzz_xxzzzzz_0[j] + fr * tg_xyzzzzz_xxzzzzz_1[j] + 0.5 * fl1_fx * (tg_yzzzzz_xxzzzzz_0[j] - tg_yzzzzz_xxzzzzz_1[j] * fl1_fza) + fl1_fxn * tg_xyzzzzz_xzzzzz_1[j];

                    tg_xxyzzzzz_xyyyyyy_0[j] = pb_x * tg_xyzzzzz_xyyyyyy_0[j] + fr * tg_xyzzzzz_xyyyyyy_1[j] + 0.5 * fl1_fx * (tg_yzzzzz_xyyyyyy_0[j] - tg_yzzzzz_xyyyyyy_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xyzzzzz_yyyyyy_1[j];

                    tg_xxyzzzzz_xyyyyyz_0[j] = pb_x * tg_xyzzzzz_xyyyyyz_0[j] + fr * tg_xyzzzzz_xyyyyyz_1[j] + 0.5 * fl1_fx * (tg_yzzzzz_xyyyyyz_0[j] - tg_yzzzzz_xyyyyyz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xyzzzzz_yyyyyz_1[j];

                    tg_xxyzzzzz_xyyyyzz_0[j] = pb_x * tg_xyzzzzz_xyyyyzz_0[j] + fr * tg_xyzzzzz_xyyyyzz_1[j] + 0.5 * fl1_fx * (tg_yzzzzz_xyyyyzz_0[j] - tg_yzzzzz_xyyyyzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xyzzzzz_yyyyzz_1[j];

                    tg_xxyzzzzz_xyyyzzz_0[j] = pb_x * tg_xyzzzzz_xyyyzzz_0[j] + fr * tg_xyzzzzz_xyyyzzz_1[j] + 0.5 * fl1_fx * (tg_yzzzzz_xyyyzzz_0[j] - tg_yzzzzz_xyyyzzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xyzzzzz_yyyzzz_1[j];

                    tg_xxyzzzzz_xyyzzzz_0[j] = pb_x * tg_xyzzzzz_xyyzzzz_0[j] + fr * tg_xyzzzzz_xyyzzzz_1[j] + 0.5 * fl1_fx * (tg_yzzzzz_xyyzzzz_0[j] - tg_yzzzzz_xyyzzzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xyzzzzz_yyzzzz_1[j];

                    tg_xxyzzzzz_xyzzzzz_0[j] = pb_x * tg_xyzzzzz_xyzzzzz_0[j] + fr * tg_xyzzzzz_xyzzzzz_1[j] + 0.5 * fl1_fx * (tg_yzzzzz_xyzzzzz_0[j] - tg_yzzzzz_xyzzzzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xyzzzzz_yzzzzz_1[j];

                    tg_xxyzzzzz_xzzzzzz_0[j] = pb_x * tg_xyzzzzz_xzzzzzz_0[j] + fr * tg_xyzzzzz_xzzzzzz_1[j] + 0.5 * fl1_fx * (tg_yzzzzz_xzzzzzz_0[j] - tg_yzzzzz_xzzzzzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xyzzzzz_zzzzzz_1[j];

                    tg_xxyzzzzz_yyyyyyy_0[j] = pb_x * tg_xyzzzzz_yyyyyyy_0[j] + fr * tg_xyzzzzz_yyyyyyy_1[j] + 0.5 * fl1_fx * (tg_yzzzzz_yyyyyyy_0[j] - tg_yzzzzz_yyyyyyy_1[j] * fl1_fza);

                    tg_xxyzzzzz_yyyyyyz_0[j] = pb_x * tg_xyzzzzz_yyyyyyz_0[j] + fr * tg_xyzzzzz_yyyyyyz_1[j] + 0.5 * fl1_fx * (tg_yzzzzz_yyyyyyz_0[j] - tg_yzzzzz_yyyyyyz_1[j] * fl1_fza);

                    tg_xxyzzzzz_yyyyyzz_0[j] = pb_x * tg_xyzzzzz_yyyyyzz_0[j] + fr * tg_xyzzzzz_yyyyyzz_1[j] + 0.5 * fl1_fx * (tg_yzzzzz_yyyyyzz_0[j] - tg_yzzzzz_yyyyyzz_1[j] * fl1_fza);

                    tg_xxyzzzzz_yyyyzzz_0[j] = pb_x * tg_xyzzzzz_yyyyzzz_0[j] + fr * tg_xyzzzzz_yyyyzzz_1[j] + 0.5 * fl1_fx * (tg_yzzzzz_yyyyzzz_0[j] - tg_yzzzzz_yyyyzzz_1[j] * fl1_fza);

                    tg_xxyzzzzz_yyyzzzz_0[j] = pb_x * tg_xyzzzzz_yyyzzzz_0[j] + fr * tg_xyzzzzz_yyyzzzz_1[j] + 0.5 * fl1_fx * (tg_yzzzzz_yyyzzzz_0[j] - tg_yzzzzz_yyyzzzz_1[j] * fl1_fza);

                    tg_xxyzzzzz_yyzzzzz_0[j] = pb_x * tg_xyzzzzz_yyzzzzz_0[j] + fr * tg_xyzzzzz_yyzzzzz_1[j] + 0.5 * fl1_fx * (tg_yzzzzz_yyzzzzz_0[j] - tg_yzzzzz_yyzzzzz_1[j] * fl1_fza);

                    tg_xxyzzzzz_yzzzzzz_0[j] = pb_x * tg_xyzzzzz_yzzzzzz_0[j] + fr * tg_xyzzzzz_yzzzzzz_1[j] + 0.5 * fl1_fx * (tg_yzzzzz_yzzzzzz_0[j] - tg_yzzzzz_yzzzzzz_1[j] * fl1_fza);

                    tg_xxyzzzzz_zzzzzzz_0[j] = pb_x * tg_xyzzzzz_zzzzzzz_0[j] + fr * tg_xyzzzzz_zzzzzzz_1[j] + 0.5 * fl1_fx * (tg_yzzzzz_zzzzzzz_0[j] - tg_yzzzzz_zzzzzzz_1[j] * fl1_fza);

                    tg_xxzzzzzz_xxxxxxx_0[j] = pb_x * tg_xzzzzzz_xxxxxxx_0[j] + fr * tg_xzzzzzz_xxxxxxx_1[j] + 0.5 * fl1_fx * (tg_zzzzzz_xxxxxxx_0[j] - tg_zzzzzz_xxxxxxx_1[j] * fl1_fza) + 3.5 * fl1_fxn * tg_xzzzzzz_xxxxxx_1[j];

                    tg_xxzzzzzz_xxxxxxy_0[j] = pb_x * tg_xzzzzzz_xxxxxxy_0[j] + fr * tg_xzzzzzz_xxxxxxy_1[j] + 0.5 * fl1_fx * (tg_zzzzzz_xxxxxxy_0[j] - tg_zzzzzz_xxxxxxy_1[j] * fl1_fza) + 3.0 * fl1_fxn * tg_xzzzzzz_xxxxxy_1[j];

                    tg_xxzzzzzz_xxxxxxz_0[j] = pb_x * tg_xzzzzzz_xxxxxxz_0[j] + fr * tg_xzzzzzz_xxxxxxz_1[j] + 0.5 * fl1_fx * (tg_zzzzzz_xxxxxxz_0[j] - tg_zzzzzz_xxxxxxz_1[j] * fl1_fza) + 3.0 * fl1_fxn * tg_xzzzzzz_xxxxxz_1[j];

                    tg_xxzzzzzz_xxxxxyy_0[j] = pb_x * tg_xzzzzzz_xxxxxyy_0[j] + fr * tg_xzzzzzz_xxxxxyy_1[j] + 0.5 * fl1_fx * (tg_zzzzzz_xxxxxyy_0[j] - tg_zzzzzz_xxxxxyy_1[j] * fl1_fza) + 2.5 * fl1_fxn * tg_xzzzzzz_xxxxyy_1[j];

                    tg_xxzzzzzz_xxxxxyz_0[j] = pb_x * tg_xzzzzzz_xxxxxyz_0[j] + fr * tg_xzzzzzz_xxxxxyz_1[j] + 0.5 * fl1_fx * (tg_zzzzzz_xxxxxyz_0[j] - tg_zzzzzz_xxxxxyz_1[j] * fl1_fza) + 2.5 * fl1_fxn * tg_xzzzzzz_xxxxyz_1[j];

                    tg_xxzzzzzz_xxxxxzz_0[j] = pb_x * tg_xzzzzzz_xxxxxzz_0[j] + fr * tg_xzzzzzz_xxxxxzz_1[j] + 0.5 * fl1_fx * (tg_zzzzzz_xxxxxzz_0[j] - tg_zzzzzz_xxxxxzz_1[j] * fl1_fza) + 2.5 * fl1_fxn * tg_xzzzzzz_xxxxzz_1[j];

                    tg_xxzzzzzz_xxxxyyy_0[j] = pb_x * tg_xzzzzzz_xxxxyyy_0[j] + fr * tg_xzzzzzz_xxxxyyy_1[j] + 0.5 * fl1_fx * (tg_zzzzzz_xxxxyyy_0[j] - tg_zzzzzz_xxxxyyy_1[j] * fl1_fza) + 2.0 * fl1_fxn * tg_xzzzzzz_xxxyyy_1[j];

                    tg_xxzzzzzz_xxxxyyz_0[j] = pb_x * tg_xzzzzzz_xxxxyyz_0[j] + fr * tg_xzzzzzz_xxxxyyz_1[j] + 0.5 * fl1_fx * (tg_zzzzzz_xxxxyyz_0[j] - tg_zzzzzz_xxxxyyz_1[j] * fl1_fza) + 2.0 * fl1_fxn * tg_xzzzzzz_xxxyyz_1[j];

                    tg_xxzzzzzz_xxxxyzz_0[j] = pb_x * tg_xzzzzzz_xxxxyzz_0[j] + fr * tg_xzzzzzz_xxxxyzz_1[j] + 0.5 * fl1_fx * (tg_zzzzzz_xxxxyzz_0[j] - tg_zzzzzz_xxxxyzz_1[j] * fl1_fza) + 2.0 * fl1_fxn * tg_xzzzzzz_xxxyzz_1[j];

                    tg_xxzzzzzz_xxxxzzz_0[j] = pb_x * tg_xzzzzzz_xxxxzzz_0[j] + fr * tg_xzzzzzz_xxxxzzz_1[j] + 0.5 * fl1_fx * (tg_zzzzzz_xxxxzzz_0[j] - tg_zzzzzz_xxxxzzz_1[j] * fl1_fza) + 2.0 * fl1_fxn * tg_xzzzzzz_xxxzzz_1[j];

                    tg_xxzzzzzz_xxxyyyy_0[j] = pb_x * tg_xzzzzzz_xxxyyyy_0[j] + fr * tg_xzzzzzz_xxxyyyy_1[j] + 0.5 * fl1_fx * (tg_zzzzzz_xxxyyyy_0[j] - tg_zzzzzz_xxxyyyy_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_xzzzzzz_xxyyyy_1[j];

                    tg_xxzzzzzz_xxxyyyz_0[j] = pb_x * tg_xzzzzzz_xxxyyyz_0[j] + fr * tg_xzzzzzz_xxxyyyz_1[j] + 0.5 * fl1_fx * (tg_zzzzzz_xxxyyyz_0[j] - tg_zzzzzz_xxxyyyz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_xzzzzzz_xxyyyz_1[j];

                    tg_xxzzzzzz_xxxyyzz_0[j] = pb_x * tg_xzzzzzz_xxxyyzz_0[j] + fr * tg_xzzzzzz_xxxyyzz_1[j] + 0.5 * fl1_fx * (tg_zzzzzz_xxxyyzz_0[j] - tg_zzzzzz_xxxyyzz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_xzzzzzz_xxyyzz_1[j];

                    tg_xxzzzzzz_xxxyzzz_0[j] = pb_x * tg_xzzzzzz_xxxyzzz_0[j] + fr * tg_xzzzzzz_xxxyzzz_1[j] + 0.5 * fl1_fx * (tg_zzzzzz_xxxyzzz_0[j] - tg_zzzzzz_xxxyzzz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_xzzzzzz_xxyzzz_1[j];

                    tg_xxzzzzzz_xxxzzzz_0[j] = pb_x * tg_xzzzzzz_xxxzzzz_0[j] + fr * tg_xzzzzzz_xxxzzzz_1[j] + 0.5 * fl1_fx * (tg_zzzzzz_xxxzzzz_0[j] - tg_zzzzzz_xxxzzzz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_xzzzzzz_xxzzzz_1[j];

                    tg_xxzzzzzz_xxyyyyy_0[j] = pb_x * tg_xzzzzzz_xxyyyyy_0[j] + fr * tg_xzzzzzz_xxyyyyy_1[j] + 0.5 * fl1_fx * (tg_zzzzzz_xxyyyyy_0[j] - tg_zzzzzz_xxyyyyy_1[j] * fl1_fza) + fl1_fxn * tg_xzzzzzz_xyyyyy_1[j];

                    tg_xxzzzzzz_xxyyyyz_0[j] = pb_x * tg_xzzzzzz_xxyyyyz_0[j] + fr * tg_xzzzzzz_xxyyyyz_1[j] + 0.5 * fl1_fx * (tg_zzzzzz_xxyyyyz_0[j] - tg_zzzzzz_xxyyyyz_1[j] * fl1_fza) + fl1_fxn * tg_xzzzzzz_xyyyyz_1[j];

                    tg_xxzzzzzz_xxyyyzz_0[j] = pb_x * tg_xzzzzzz_xxyyyzz_0[j] + fr * tg_xzzzzzz_xxyyyzz_1[j] + 0.5 * fl1_fx * (tg_zzzzzz_xxyyyzz_0[j] - tg_zzzzzz_xxyyyzz_1[j] * fl1_fza) + fl1_fxn * tg_xzzzzzz_xyyyzz_1[j];

                    tg_xxzzzzzz_xxyyzzz_0[j] = pb_x * tg_xzzzzzz_xxyyzzz_0[j] + fr * tg_xzzzzzz_xxyyzzz_1[j] + 0.5 * fl1_fx * (tg_zzzzzz_xxyyzzz_0[j] - tg_zzzzzz_xxyyzzz_1[j] * fl1_fza) + fl1_fxn * tg_xzzzzzz_xyyzzz_1[j];

                    tg_xxzzzzzz_xxyzzzz_0[j] = pb_x * tg_xzzzzzz_xxyzzzz_0[j] + fr * tg_xzzzzzz_xxyzzzz_1[j] + 0.5 * fl1_fx * (tg_zzzzzz_xxyzzzz_0[j] - tg_zzzzzz_xxyzzzz_1[j] * fl1_fza) + fl1_fxn * tg_xzzzzzz_xyzzzz_1[j];

                    tg_xxzzzzzz_xxzzzzz_0[j] = pb_x * tg_xzzzzzz_xxzzzzz_0[j] + fr * tg_xzzzzzz_xxzzzzz_1[j] + 0.5 * fl1_fx * (tg_zzzzzz_xxzzzzz_0[j] - tg_zzzzzz_xxzzzzz_1[j] * fl1_fza) + fl1_fxn * tg_xzzzzzz_xzzzzz_1[j];

                    tg_xxzzzzzz_xyyyyyy_0[j] = pb_x * tg_xzzzzzz_xyyyyyy_0[j] + fr * tg_xzzzzzz_xyyyyyy_1[j] + 0.5 * fl1_fx * (tg_zzzzzz_xyyyyyy_0[j] - tg_zzzzzz_xyyyyyy_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xzzzzzz_yyyyyy_1[j];

                    tg_xxzzzzzz_xyyyyyz_0[j] = pb_x * tg_xzzzzzz_xyyyyyz_0[j] + fr * tg_xzzzzzz_xyyyyyz_1[j] + 0.5 * fl1_fx * (tg_zzzzzz_xyyyyyz_0[j] - tg_zzzzzz_xyyyyyz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xzzzzzz_yyyyyz_1[j];

                    tg_xxzzzzzz_xyyyyzz_0[j] = pb_x * tg_xzzzzzz_xyyyyzz_0[j] + fr * tg_xzzzzzz_xyyyyzz_1[j] + 0.5 * fl1_fx * (tg_zzzzzz_xyyyyzz_0[j] - tg_zzzzzz_xyyyyzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xzzzzzz_yyyyzz_1[j];

                    tg_xxzzzzzz_xyyyzzz_0[j] = pb_x * tg_xzzzzzz_xyyyzzz_0[j] + fr * tg_xzzzzzz_xyyyzzz_1[j] + 0.5 * fl1_fx * (tg_zzzzzz_xyyyzzz_0[j] - tg_zzzzzz_xyyyzzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xzzzzzz_yyyzzz_1[j];

                    tg_xxzzzzzz_xyyzzzz_0[j] = pb_x * tg_xzzzzzz_xyyzzzz_0[j] + fr * tg_xzzzzzz_xyyzzzz_1[j] + 0.5 * fl1_fx * (tg_zzzzzz_xyyzzzz_0[j] - tg_zzzzzz_xyyzzzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xzzzzzz_yyzzzz_1[j];

                    tg_xxzzzzzz_xyzzzzz_0[j] = pb_x * tg_xzzzzzz_xyzzzzz_0[j] + fr * tg_xzzzzzz_xyzzzzz_1[j] + 0.5 * fl1_fx * (tg_zzzzzz_xyzzzzz_0[j] - tg_zzzzzz_xyzzzzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xzzzzzz_yzzzzz_1[j];

                    tg_xxzzzzzz_xzzzzzz_0[j] = pb_x * tg_xzzzzzz_xzzzzzz_0[j] + fr * tg_xzzzzzz_xzzzzzz_1[j] + 0.5 * fl1_fx * (tg_zzzzzz_xzzzzzz_0[j] - tg_zzzzzz_xzzzzzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xzzzzzz_zzzzzz_1[j];

                    tg_xxzzzzzz_yyyyyyy_0[j] = pb_x * tg_xzzzzzz_yyyyyyy_0[j] + fr * tg_xzzzzzz_yyyyyyy_1[j] + 0.5 * fl1_fx * (tg_zzzzzz_yyyyyyy_0[j] - tg_zzzzzz_yyyyyyy_1[j] * fl1_fza);

                    tg_xxzzzzzz_yyyyyyz_0[j] = pb_x * tg_xzzzzzz_yyyyyyz_0[j] + fr * tg_xzzzzzz_yyyyyyz_1[j] + 0.5 * fl1_fx * (tg_zzzzzz_yyyyyyz_0[j] - tg_zzzzzz_yyyyyyz_1[j] * fl1_fza);

                    tg_xxzzzzzz_yyyyyzz_0[j] = pb_x * tg_xzzzzzz_yyyyyzz_0[j] + fr * tg_xzzzzzz_yyyyyzz_1[j] + 0.5 * fl1_fx * (tg_zzzzzz_yyyyyzz_0[j] - tg_zzzzzz_yyyyyzz_1[j] * fl1_fza);

                    tg_xxzzzzzz_yyyyzzz_0[j] = pb_x * tg_xzzzzzz_yyyyzzz_0[j] + fr * tg_xzzzzzz_yyyyzzz_1[j] + 0.5 * fl1_fx * (tg_zzzzzz_yyyyzzz_0[j] - tg_zzzzzz_yyyyzzz_1[j] * fl1_fza);

                    tg_xxzzzzzz_yyyzzzz_0[j] = pb_x * tg_xzzzzzz_yyyzzzz_0[j] + fr * tg_xzzzzzz_yyyzzzz_1[j] + 0.5 * fl1_fx * (tg_zzzzzz_yyyzzzz_0[j] - tg_zzzzzz_yyyzzzz_1[j] * fl1_fza);

                    tg_xxzzzzzz_yyzzzzz_0[j] = pb_x * tg_xzzzzzz_yyzzzzz_0[j] + fr * tg_xzzzzzz_yyzzzzz_1[j] + 0.5 * fl1_fx * (tg_zzzzzz_yyzzzzz_0[j] - tg_zzzzzz_yyzzzzz_1[j] * fl1_fza);

                    tg_xxzzzzzz_yzzzzzz_0[j] = pb_x * tg_xzzzzzz_yzzzzzz_0[j] + fr * tg_xzzzzzz_yzzzzzz_1[j] + 0.5 * fl1_fx * (tg_zzzzzz_yzzzzzz_0[j] - tg_zzzzzz_yzzzzzz_1[j] * fl1_fza);

                    tg_xxzzzzzz_zzzzzzz_0[j] = pb_x * tg_xzzzzzz_zzzzzzz_0[j] + fr * tg_xzzzzzz_zzzzzzz_1[j] + 0.5 * fl1_fx * (tg_zzzzzz_zzzzzzz_0[j] - tg_zzzzzz_zzzzzzz_1[j] * fl1_fza);

                    tg_xyyyyyyy_xxxxxxx_0[j] = pb_x * tg_yyyyyyy_xxxxxxx_0[j] + fr * tg_yyyyyyy_xxxxxxx_1[j] + 3.5 * fl1_fxn * tg_yyyyyyy_xxxxxx_1[j];

                    tg_xyyyyyyy_xxxxxxy_0[j] = pb_x * tg_yyyyyyy_xxxxxxy_0[j] + fr * tg_yyyyyyy_xxxxxxy_1[j] + 3.0 * fl1_fxn * tg_yyyyyyy_xxxxxy_1[j];

                    tg_xyyyyyyy_xxxxxxz_0[j] = pb_x * tg_yyyyyyy_xxxxxxz_0[j] + fr * tg_yyyyyyy_xxxxxxz_1[j] + 3.0 * fl1_fxn * tg_yyyyyyy_xxxxxz_1[j];

                    tg_xyyyyyyy_xxxxxyy_0[j] = pb_x * tg_yyyyyyy_xxxxxyy_0[j] + fr * tg_yyyyyyy_xxxxxyy_1[j] + 2.5 * fl1_fxn * tg_yyyyyyy_xxxxyy_1[j];

                    tg_xyyyyyyy_xxxxxyz_0[j] = pb_x * tg_yyyyyyy_xxxxxyz_0[j] + fr * tg_yyyyyyy_xxxxxyz_1[j] + 2.5 * fl1_fxn * tg_yyyyyyy_xxxxyz_1[j];

                    tg_xyyyyyyy_xxxxxzz_0[j] = pb_x * tg_yyyyyyy_xxxxxzz_0[j] + fr * tg_yyyyyyy_xxxxxzz_1[j] + 2.5 * fl1_fxn * tg_yyyyyyy_xxxxzz_1[j];

                    tg_xyyyyyyy_xxxxyyy_0[j] = pb_x * tg_yyyyyyy_xxxxyyy_0[j] + fr * tg_yyyyyyy_xxxxyyy_1[j] + 2.0 * fl1_fxn * tg_yyyyyyy_xxxyyy_1[j];

                    tg_xyyyyyyy_xxxxyyz_0[j] = pb_x * tg_yyyyyyy_xxxxyyz_0[j] + fr * tg_yyyyyyy_xxxxyyz_1[j] + 2.0 * fl1_fxn * tg_yyyyyyy_xxxyyz_1[j];

                    tg_xyyyyyyy_xxxxyzz_0[j] = pb_x * tg_yyyyyyy_xxxxyzz_0[j] + fr * tg_yyyyyyy_xxxxyzz_1[j] + 2.0 * fl1_fxn * tg_yyyyyyy_xxxyzz_1[j];

                    tg_xyyyyyyy_xxxxzzz_0[j] = pb_x * tg_yyyyyyy_xxxxzzz_0[j] + fr * tg_yyyyyyy_xxxxzzz_1[j] + 2.0 * fl1_fxn * tg_yyyyyyy_xxxzzz_1[j];

                    tg_xyyyyyyy_xxxyyyy_0[j] = pb_x * tg_yyyyyyy_xxxyyyy_0[j] + fr * tg_yyyyyyy_xxxyyyy_1[j] + 1.5 * fl1_fxn * tg_yyyyyyy_xxyyyy_1[j];

                    tg_xyyyyyyy_xxxyyyz_0[j] = pb_x * tg_yyyyyyy_xxxyyyz_0[j] + fr * tg_yyyyyyy_xxxyyyz_1[j] + 1.5 * fl1_fxn * tg_yyyyyyy_xxyyyz_1[j];

                    tg_xyyyyyyy_xxxyyzz_0[j] = pb_x * tg_yyyyyyy_xxxyyzz_0[j] + fr * tg_yyyyyyy_xxxyyzz_1[j] + 1.5 * fl1_fxn * tg_yyyyyyy_xxyyzz_1[j];

                    tg_xyyyyyyy_xxxyzzz_0[j] = pb_x * tg_yyyyyyy_xxxyzzz_0[j] + fr * tg_yyyyyyy_xxxyzzz_1[j] + 1.5 * fl1_fxn * tg_yyyyyyy_xxyzzz_1[j];

                    tg_xyyyyyyy_xxxzzzz_0[j] = pb_x * tg_yyyyyyy_xxxzzzz_0[j] + fr * tg_yyyyyyy_xxxzzzz_1[j] + 1.5 * fl1_fxn * tg_yyyyyyy_xxzzzz_1[j];

                    tg_xyyyyyyy_xxyyyyy_0[j] = pb_x * tg_yyyyyyy_xxyyyyy_0[j] + fr * tg_yyyyyyy_xxyyyyy_1[j] + fl1_fxn * tg_yyyyyyy_xyyyyy_1[j];

                    tg_xyyyyyyy_xxyyyyz_0[j] = pb_x * tg_yyyyyyy_xxyyyyz_0[j] + fr * tg_yyyyyyy_xxyyyyz_1[j] + fl1_fxn * tg_yyyyyyy_xyyyyz_1[j];

                    tg_xyyyyyyy_xxyyyzz_0[j] = pb_x * tg_yyyyyyy_xxyyyzz_0[j] + fr * tg_yyyyyyy_xxyyyzz_1[j] + fl1_fxn * tg_yyyyyyy_xyyyzz_1[j];

                    tg_xyyyyyyy_xxyyzzz_0[j] = pb_x * tg_yyyyyyy_xxyyzzz_0[j] + fr * tg_yyyyyyy_xxyyzzz_1[j] + fl1_fxn * tg_yyyyyyy_xyyzzz_1[j];

                    tg_xyyyyyyy_xxyzzzz_0[j] = pb_x * tg_yyyyyyy_xxyzzzz_0[j] + fr * tg_yyyyyyy_xxyzzzz_1[j] + fl1_fxn * tg_yyyyyyy_xyzzzz_1[j];

                    tg_xyyyyyyy_xxzzzzz_0[j] = pb_x * tg_yyyyyyy_xxzzzzz_0[j] + fr * tg_yyyyyyy_xxzzzzz_1[j] + fl1_fxn * tg_yyyyyyy_xzzzzz_1[j];

                    tg_xyyyyyyy_xyyyyyy_0[j] = pb_x * tg_yyyyyyy_xyyyyyy_0[j] + fr * tg_yyyyyyy_xyyyyyy_1[j] + 0.5 * fl1_fxn * tg_yyyyyyy_yyyyyy_1[j];

                    tg_xyyyyyyy_xyyyyyz_0[j] = pb_x * tg_yyyyyyy_xyyyyyz_0[j] + fr * tg_yyyyyyy_xyyyyyz_1[j] + 0.5 * fl1_fxn * tg_yyyyyyy_yyyyyz_1[j];

                    tg_xyyyyyyy_xyyyyzz_0[j] = pb_x * tg_yyyyyyy_xyyyyzz_0[j] + fr * tg_yyyyyyy_xyyyyzz_1[j] + 0.5 * fl1_fxn * tg_yyyyyyy_yyyyzz_1[j];

                    tg_xyyyyyyy_xyyyzzz_0[j] = pb_x * tg_yyyyyyy_xyyyzzz_0[j] + fr * tg_yyyyyyy_xyyyzzz_1[j] + 0.5 * fl1_fxn * tg_yyyyyyy_yyyzzz_1[j];

                    tg_xyyyyyyy_xyyzzzz_0[j] = pb_x * tg_yyyyyyy_xyyzzzz_0[j] + fr * tg_yyyyyyy_xyyzzzz_1[j] + 0.5 * fl1_fxn * tg_yyyyyyy_yyzzzz_1[j];

                    tg_xyyyyyyy_xyzzzzz_0[j] = pb_x * tg_yyyyyyy_xyzzzzz_0[j] + fr * tg_yyyyyyy_xyzzzzz_1[j] + 0.5 * fl1_fxn * tg_yyyyyyy_yzzzzz_1[j];

                    tg_xyyyyyyy_xzzzzzz_0[j] = pb_x * tg_yyyyyyy_xzzzzzz_0[j] + fr * tg_yyyyyyy_xzzzzzz_1[j] + 0.5 * fl1_fxn * tg_yyyyyyy_zzzzzz_1[j];

                    tg_xyyyyyyy_yyyyyyy_0[j] = pb_x * tg_yyyyyyy_yyyyyyy_0[j] + fr * tg_yyyyyyy_yyyyyyy_1[j];

                    tg_xyyyyyyy_yyyyyyz_0[j] = pb_x * tg_yyyyyyy_yyyyyyz_0[j] + fr * tg_yyyyyyy_yyyyyyz_1[j];

                    tg_xyyyyyyy_yyyyyzz_0[j] = pb_x * tg_yyyyyyy_yyyyyzz_0[j] + fr * tg_yyyyyyy_yyyyyzz_1[j];

                    tg_xyyyyyyy_yyyyzzz_0[j] = pb_x * tg_yyyyyyy_yyyyzzz_0[j] + fr * tg_yyyyyyy_yyyyzzz_1[j];

                    tg_xyyyyyyy_yyyzzzz_0[j] = pb_x * tg_yyyyyyy_yyyzzzz_0[j] + fr * tg_yyyyyyy_yyyzzzz_1[j];

                    tg_xyyyyyyy_yyzzzzz_0[j] = pb_x * tg_yyyyyyy_yyzzzzz_0[j] + fr * tg_yyyyyyy_yyzzzzz_1[j];

                    tg_xyyyyyyy_yzzzzzz_0[j] = pb_x * tg_yyyyyyy_yzzzzzz_0[j] + fr * tg_yyyyyyy_yzzzzzz_1[j];

                    tg_xyyyyyyy_zzzzzzz_0[j] = pb_x * tg_yyyyyyy_zzzzzzz_0[j] + fr * tg_yyyyyyy_zzzzzzz_1[j];

                    tg_xyyyyyyz_xxxxxxx_0[j] = pb_x * tg_yyyyyyz_xxxxxxx_0[j] + fr * tg_yyyyyyz_xxxxxxx_1[j] + 3.5 * fl1_fxn * tg_yyyyyyz_xxxxxx_1[j];

                    tg_xyyyyyyz_xxxxxxy_0[j] = pb_x * tg_yyyyyyz_xxxxxxy_0[j] + fr * tg_yyyyyyz_xxxxxxy_1[j] + 3.0 * fl1_fxn * tg_yyyyyyz_xxxxxy_1[j];

                    tg_xyyyyyyz_xxxxxxz_0[j] = pb_x * tg_yyyyyyz_xxxxxxz_0[j] + fr * tg_yyyyyyz_xxxxxxz_1[j] + 3.0 * fl1_fxn * tg_yyyyyyz_xxxxxz_1[j];

                    tg_xyyyyyyz_xxxxxyy_0[j] = pb_x * tg_yyyyyyz_xxxxxyy_0[j] + fr * tg_yyyyyyz_xxxxxyy_1[j] + 2.5 * fl1_fxn * tg_yyyyyyz_xxxxyy_1[j];

                    tg_xyyyyyyz_xxxxxyz_0[j] = pb_x * tg_yyyyyyz_xxxxxyz_0[j] + fr * tg_yyyyyyz_xxxxxyz_1[j] + 2.5 * fl1_fxn * tg_yyyyyyz_xxxxyz_1[j];

                    tg_xyyyyyyz_xxxxxzz_0[j] = pb_x * tg_yyyyyyz_xxxxxzz_0[j] + fr * tg_yyyyyyz_xxxxxzz_1[j] + 2.5 * fl1_fxn * tg_yyyyyyz_xxxxzz_1[j];
                }

                idx++;
            }
        }
    }

    void
    compElectronRepulsionForSLSK_1050_1145(      CMemBlock2D<double>* primBuffer,
                                           const CRecursionMap&       recursionMap,
                                           const CMemBlock2D<double>& osFactors,
                                           const CMemBlock2D<double>& wpDistances,
                                           const CGtoPairsBlock&      braGtoPairsBlock,
                                           const CGtoPairsBlock&      ketGtoPairsBlock,
                                           const int32_t              nKetPrimPairs,
                                           const int32_t              iContrPair)
    {
        // Batch of Integrals (1050,1145)

        // set up pointers to primitives data on bra side

        auto spos = braGtoPairsBlock.getStartPositions();

        auto epos = braGtoPairsBlock.getEndPositions();

        // set up pointers to tensor of distance R(PB) = P - B

        auto r_pb_x = braGtoPairsBlock.getDistancesPBX();

        // set up pointers to common Obara-Saika factors

        // set up maximum order of integral

        auto mord = recursionMap.getMaxOrder({"Electron Repulsion"},
                                             {8, -1, -1, -1},
                                             {7, -1, -1, -1},
                                             1, 1);

        for (int32_t iord = 0; iord <= mord; iord++)
        {
            // set up index of integral

            auto pidx_g_8_7_m0 = recursionMap.index(CRecursionTerm({"Electron Repulsion"}, 0, true, 
                                                                   {8, -1, -1, -1}, {7, -1, -1, -1}, 
                                                                   1, 1, iord));

            // check if integral is needed in recursion expansion

            if (pidx_g_8_7_m0 == -1) continue;

            // set up indexes of auxilary integral

            auto pidx_g_7_7_m0 = recursionMap.index(CRecursionTerm({"Electron Repulsion"}, 0, true, 
                                                                   {7, -1, -1, -1}, {7, -1, -1, -1}, 
                                                                   1, 1, iord));

            auto pidx_g_7_7_m1 = recursionMap.index(CRecursionTerm({"Electron Repulsion"}, 0, true, 
                                                                   {7, -1, -1, -1}, {7, -1, -1, -1}, 
                                                                   1, 1, iord + 1));

            auto pidx_g_7_6_m1 = recursionMap.index(CRecursionTerm({"Electron Repulsion"}, 0, true, 
                                                                   {7, -1, -1, -1}, {6, -1, -1, -1}, 
                                                                   1, 1, iord + 1));

            // loop over contracted GTO on bra side

            int32_t idx = 0;

            for (int32_t i = spos[iContrPair]; i < epos[iContrPair]; i++)
            {
                // set up pointers to Obara-Saika factors

                auto fxn = osFactors.data(4 * idx);

                // set up distances R(PB) = P - B

                auto pb_x = r_pb_x[i];

                // set up pointers to tensors product of distances R(WP) = W - P

                auto wp_x = wpDistances.data(3 * idx);

                // set up pointers to auxilary integrals

                auto tg_yyyyyyz_xxxxyyy_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1050); 

                auto tg_yyyyyyz_xxxxyyz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1051); 

                auto tg_yyyyyyz_xxxxyzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1052); 

                auto tg_yyyyyyz_xxxxzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1053); 

                auto tg_yyyyyyz_xxxyyyy_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1054); 

                auto tg_yyyyyyz_xxxyyyz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1055); 

                auto tg_yyyyyyz_xxxyyzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1056); 

                auto tg_yyyyyyz_xxxyzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1057); 

                auto tg_yyyyyyz_xxxzzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1058); 

                auto tg_yyyyyyz_xxyyyyy_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1059); 

                auto tg_yyyyyyz_xxyyyyz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1060); 

                auto tg_yyyyyyz_xxyyyzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1061); 

                auto tg_yyyyyyz_xxyyzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1062); 

                auto tg_yyyyyyz_xxyzzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1063); 

                auto tg_yyyyyyz_xxzzzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1064); 

                auto tg_yyyyyyz_xyyyyyy_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1065); 

                auto tg_yyyyyyz_xyyyyyz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1066); 

                auto tg_yyyyyyz_xyyyyzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1067); 

                auto tg_yyyyyyz_xyyyzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1068); 

                auto tg_yyyyyyz_xyyzzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1069); 

                auto tg_yyyyyyz_xyzzzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1070); 

                auto tg_yyyyyyz_xzzzzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1071); 

                auto tg_yyyyyyz_yyyyyyy_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1072); 

                auto tg_yyyyyyz_yyyyyyz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1073); 

                auto tg_yyyyyyz_yyyyyzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1074); 

                auto tg_yyyyyyz_yyyyzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1075); 

                auto tg_yyyyyyz_yyyzzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1076); 

                auto tg_yyyyyyz_yyzzzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1077); 

                auto tg_yyyyyyz_yzzzzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1078); 

                auto tg_yyyyyyz_zzzzzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1079); 

                auto tg_yyyyyzz_xxxxxxx_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1080); 

                auto tg_yyyyyzz_xxxxxxy_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1081); 

                auto tg_yyyyyzz_xxxxxxz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1082); 

                auto tg_yyyyyzz_xxxxxyy_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1083); 

                auto tg_yyyyyzz_xxxxxyz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1084); 

                auto tg_yyyyyzz_xxxxxzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1085); 

                auto tg_yyyyyzz_xxxxyyy_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1086); 

                auto tg_yyyyyzz_xxxxyyz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1087); 

                auto tg_yyyyyzz_xxxxyzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1088); 

                auto tg_yyyyyzz_xxxxzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1089); 

                auto tg_yyyyyzz_xxxyyyy_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1090); 

                auto tg_yyyyyzz_xxxyyyz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1091); 

                auto tg_yyyyyzz_xxxyyzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1092); 

                auto tg_yyyyyzz_xxxyzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1093); 

                auto tg_yyyyyzz_xxxzzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1094); 

                auto tg_yyyyyzz_xxyyyyy_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1095); 

                auto tg_yyyyyzz_xxyyyyz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1096); 

                auto tg_yyyyyzz_xxyyyzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1097); 

                auto tg_yyyyyzz_xxyyzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1098); 

                auto tg_yyyyyzz_xxyzzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1099); 

                auto tg_yyyyyzz_xxzzzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1100); 

                auto tg_yyyyyzz_xyyyyyy_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1101); 

                auto tg_yyyyyzz_xyyyyyz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1102); 

                auto tg_yyyyyzz_xyyyyzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1103); 

                auto tg_yyyyyzz_xyyyzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1104); 

                auto tg_yyyyyzz_xyyzzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1105); 

                auto tg_yyyyyzz_xyzzzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1106); 

                auto tg_yyyyyzz_xzzzzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1107); 

                auto tg_yyyyyzz_yyyyyyy_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1108); 

                auto tg_yyyyyzz_yyyyyyz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1109); 

                auto tg_yyyyyzz_yyyyyzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1110); 

                auto tg_yyyyyzz_yyyyzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1111); 

                auto tg_yyyyyzz_yyyzzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1112); 

                auto tg_yyyyyzz_yyzzzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1113); 

                auto tg_yyyyyzz_yzzzzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1114); 

                auto tg_yyyyyzz_zzzzzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1115); 

                auto tg_yyyyzzz_xxxxxxx_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1116); 

                auto tg_yyyyzzz_xxxxxxy_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1117); 

                auto tg_yyyyzzz_xxxxxxz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1118); 

                auto tg_yyyyzzz_xxxxxyy_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1119); 

                auto tg_yyyyzzz_xxxxxyz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1120); 

                auto tg_yyyyzzz_xxxxxzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1121); 

                auto tg_yyyyzzz_xxxxyyy_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1122); 

                auto tg_yyyyzzz_xxxxyyz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1123); 

                auto tg_yyyyzzz_xxxxyzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1124); 

                auto tg_yyyyzzz_xxxxzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1125); 

                auto tg_yyyyzzz_xxxyyyy_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1126); 

                auto tg_yyyyzzz_xxxyyyz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1127); 

                auto tg_yyyyzzz_xxxyyzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1128); 

                auto tg_yyyyzzz_xxxyzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1129); 

                auto tg_yyyyzzz_xxxzzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1130); 

                auto tg_yyyyzzz_xxyyyyy_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1131); 

                auto tg_yyyyzzz_xxyyyyz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1132); 

                auto tg_yyyyzzz_xxyyyzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1133); 

                auto tg_yyyyzzz_xxyyzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1134); 

                auto tg_yyyyzzz_xxyzzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1135); 

                auto tg_yyyyzzz_xxzzzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1136); 

                auto tg_yyyyzzz_xyyyyyy_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1137); 

                auto tg_yyyyzzz_xyyyyyz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1138); 

                auto tg_yyyyzzz_xyyyyzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1139); 

                auto tg_yyyyzzz_xyyyzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1140); 

                auto tg_yyyyzzz_xyyzzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1141); 

                auto tg_yyyyzzz_xyzzzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1142); 

                auto tg_yyyyzzz_xzzzzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1143); 

                auto tg_yyyyzzz_yyyyyyy_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1144); 

                auto tg_yyyyyyz_xxxxyyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1050); 

                auto tg_yyyyyyz_xxxxyyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1051); 

                auto tg_yyyyyyz_xxxxyzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1052); 

                auto tg_yyyyyyz_xxxxzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1053); 

                auto tg_yyyyyyz_xxxyyyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1054); 

                auto tg_yyyyyyz_xxxyyyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1055); 

                auto tg_yyyyyyz_xxxyyzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1056); 

                auto tg_yyyyyyz_xxxyzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1057); 

                auto tg_yyyyyyz_xxxzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1058); 

                auto tg_yyyyyyz_xxyyyyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1059); 

                auto tg_yyyyyyz_xxyyyyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1060); 

                auto tg_yyyyyyz_xxyyyzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1061); 

                auto tg_yyyyyyz_xxyyzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1062); 

                auto tg_yyyyyyz_xxyzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1063); 

                auto tg_yyyyyyz_xxzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1064); 

                auto tg_yyyyyyz_xyyyyyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1065); 

                auto tg_yyyyyyz_xyyyyyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1066); 

                auto tg_yyyyyyz_xyyyyzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1067); 

                auto tg_yyyyyyz_xyyyzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1068); 

                auto tg_yyyyyyz_xyyzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1069); 

                auto tg_yyyyyyz_xyzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1070); 

                auto tg_yyyyyyz_xzzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1071); 

                auto tg_yyyyyyz_yyyyyyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1072); 

                auto tg_yyyyyyz_yyyyyyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1073); 

                auto tg_yyyyyyz_yyyyyzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1074); 

                auto tg_yyyyyyz_yyyyzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1075); 

                auto tg_yyyyyyz_yyyzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1076); 

                auto tg_yyyyyyz_yyzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1077); 

                auto tg_yyyyyyz_yzzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1078); 

                auto tg_yyyyyyz_zzzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1079); 

                auto tg_yyyyyzz_xxxxxxx_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1080); 

                auto tg_yyyyyzz_xxxxxxy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1081); 

                auto tg_yyyyyzz_xxxxxxz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1082); 

                auto tg_yyyyyzz_xxxxxyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1083); 

                auto tg_yyyyyzz_xxxxxyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1084); 

                auto tg_yyyyyzz_xxxxxzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1085); 

                auto tg_yyyyyzz_xxxxyyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1086); 

                auto tg_yyyyyzz_xxxxyyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1087); 

                auto tg_yyyyyzz_xxxxyzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1088); 

                auto tg_yyyyyzz_xxxxzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1089); 

                auto tg_yyyyyzz_xxxyyyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1090); 

                auto tg_yyyyyzz_xxxyyyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1091); 

                auto tg_yyyyyzz_xxxyyzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1092); 

                auto tg_yyyyyzz_xxxyzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1093); 

                auto tg_yyyyyzz_xxxzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1094); 

                auto tg_yyyyyzz_xxyyyyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1095); 

                auto tg_yyyyyzz_xxyyyyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1096); 

                auto tg_yyyyyzz_xxyyyzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1097); 

                auto tg_yyyyyzz_xxyyzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1098); 

                auto tg_yyyyyzz_xxyzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1099); 

                auto tg_yyyyyzz_xxzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1100); 

                auto tg_yyyyyzz_xyyyyyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1101); 

                auto tg_yyyyyzz_xyyyyyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1102); 

                auto tg_yyyyyzz_xyyyyzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1103); 

                auto tg_yyyyyzz_xyyyzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1104); 

                auto tg_yyyyyzz_xyyzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1105); 

                auto tg_yyyyyzz_xyzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1106); 

                auto tg_yyyyyzz_xzzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1107); 

                auto tg_yyyyyzz_yyyyyyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1108); 

                auto tg_yyyyyzz_yyyyyyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1109); 

                auto tg_yyyyyzz_yyyyyzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1110); 

                auto tg_yyyyyzz_yyyyzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1111); 

                auto tg_yyyyyzz_yyyzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1112); 

                auto tg_yyyyyzz_yyzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1113); 

                auto tg_yyyyyzz_yzzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1114); 

                auto tg_yyyyyzz_zzzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1115); 

                auto tg_yyyyzzz_xxxxxxx_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1116); 

                auto tg_yyyyzzz_xxxxxxy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1117); 

                auto tg_yyyyzzz_xxxxxxz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1118); 

                auto tg_yyyyzzz_xxxxxyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1119); 

                auto tg_yyyyzzz_xxxxxyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1120); 

                auto tg_yyyyzzz_xxxxxzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1121); 

                auto tg_yyyyzzz_xxxxyyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1122); 

                auto tg_yyyyzzz_xxxxyyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1123); 

                auto tg_yyyyzzz_xxxxyzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1124); 

                auto tg_yyyyzzz_xxxxzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1125); 

                auto tg_yyyyzzz_xxxyyyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1126); 

                auto tg_yyyyzzz_xxxyyyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1127); 

                auto tg_yyyyzzz_xxxyyzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1128); 

                auto tg_yyyyzzz_xxxyzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1129); 

                auto tg_yyyyzzz_xxxzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1130); 

                auto tg_yyyyzzz_xxyyyyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1131); 

                auto tg_yyyyzzz_xxyyyyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1132); 

                auto tg_yyyyzzz_xxyyyzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1133); 

                auto tg_yyyyzzz_xxyyzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1134); 

                auto tg_yyyyzzz_xxyzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1135); 

                auto tg_yyyyzzz_xxzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1136); 

                auto tg_yyyyzzz_xyyyyyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1137); 

                auto tg_yyyyzzz_xyyyyyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1138); 

                auto tg_yyyyzzz_xyyyyzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1139); 

                auto tg_yyyyzzz_xyyyzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1140); 

                auto tg_yyyyzzz_xyyzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1141); 

                auto tg_yyyyzzz_xyzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1142); 

                auto tg_yyyyzzz_xzzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1143); 

                auto tg_yyyyzzz_yyyyyyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1144); 

                auto tg_yyyyyyz_xxxyyy_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 818); 

                auto tg_yyyyyyz_xxxyyz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 819); 

                auto tg_yyyyyyz_xxxyzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 820); 

                auto tg_yyyyyyz_xxxzzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 821); 

                auto tg_yyyyyyz_xxyyyy_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 822); 

                auto tg_yyyyyyz_xxyyyz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 823); 

                auto tg_yyyyyyz_xxyyzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 824); 

                auto tg_yyyyyyz_xxyzzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 825); 

                auto tg_yyyyyyz_xxzzzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 826); 

                auto tg_yyyyyyz_xyyyyy_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 827); 

                auto tg_yyyyyyz_xyyyyz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 828); 

                auto tg_yyyyyyz_xyyyzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 829); 

                auto tg_yyyyyyz_xyyzzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 830); 

                auto tg_yyyyyyz_xyzzzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 831); 

                auto tg_yyyyyyz_xzzzzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 832); 

                auto tg_yyyyyyz_yyyyyy_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 833); 

                auto tg_yyyyyyz_yyyyyz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 834); 

                auto tg_yyyyyyz_yyyyzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 835); 

                auto tg_yyyyyyz_yyyzzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 836); 

                auto tg_yyyyyyz_yyzzzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 837); 

                auto tg_yyyyyyz_yzzzzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 838); 

                auto tg_yyyyyyz_zzzzzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 839); 

                auto tg_yyyyyzz_xxxxxx_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 840); 

                auto tg_yyyyyzz_xxxxxy_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 841); 

                auto tg_yyyyyzz_xxxxxz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 842); 

                auto tg_yyyyyzz_xxxxyy_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 843); 

                auto tg_yyyyyzz_xxxxyz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 844); 

                auto tg_yyyyyzz_xxxxzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 845); 

                auto tg_yyyyyzz_xxxyyy_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 846); 

                auto tg_yyyyyzz_xxxyyz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 847); 

                auto tg_yyyyyzz_xxxyzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 848); 

                auto tg_yyyyyzz_xxxzzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 849); 

                auto tg_yyyyyzz_xxyyyy_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 850); 

                auto tg_yyyyyzz_xxyyyz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 851); 

                auto tg_yyyyyzz_xxyyzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 852); 

                auto tg_yyyyyzz_xxyzzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 853); 

                auto tg_yyyyyzz_xxzzzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 854); 

                auto tg_yyyyyzz_xyyyyy_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 855); 

                auto tg_yyyyyzz_xyyyyz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 856); 

                auto tg_yyyyyzz_xyyyzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 857); 

                auto tg_yyyyyzz_xyyzzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 858); 

                auto tg_yyyyyzz_xyzzzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 859); 

                auto tg_yyyyyzz_xzzzzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 860); 

                auto tg_yyyyyzz_yyyyyy_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 861); 

                auto tg_yyyyyzz_yyyyyz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 862); 

                auto tg_yyyyyzz_yyyyzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 863); 

                auto tg_yyyyyzz_yyyzzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 864); 

                auto tg_yyyyyzz_yyzzzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 865); 

                auto tg_yyyyyzz_yzzzzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 866); 

                auto tg_yyyyyzz_zzzzzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 867); 

                auto tg_yyyyzzz_xxxxxx_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 868); 

                auto tg_yyyyzzz_xxxxxy_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 869); 

                auto tg_yyyyzzz_xxxxxz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 870); 

                auto tg_yyyyzzz_xxxxyy_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 871); 

                auto tg_yyyyzzz_xxxxyz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 872); 

                auto tg_yyyyzzz_xxxxzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 873); 

                auto tg_yyyyzzz_xxxyyy_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 874); 

                auto tg_yyyyzzz_xxxyyz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 875); 

                auto tg_yyyyzzz_xxxyzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 876); 

                auto tg_yyyyzzz_xxxzzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 877); 

                auto tg_yyyyzzz_xxyyyy_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 878); 

                auto tg_yyyyzzz_xxyyyz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 879); 

                auto tg_yyyyzzz_xxyyzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 880); 

                auto tg_yyyyzzz_xxyzzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 881); 

                auto tg_yyyyzzz_xxzzzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 882); 

                auto tg_yyyyzzz_xyyyyy_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 883); 

                auto tg_yyyyzzz_xyyyyz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 884); 

                auto tg_yyyyzzz_xyyyzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 885); 

                auto tg_yyyyzzz_xyyzzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 886); 

                auto tg_yyyyzzz_xyzzzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 887); 

                auto tg_yyyyzzz_xzzzzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 888); 

                auto tg_yyyyzzz_yyyyyy_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 889); 

                auto tg_yyyyzzz_yyyyyz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 890); 

                auto tg_yyyyzzz_yyyyzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 891); 

                auto tg_yyyyzzz_yyyzzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 892); 

                auto tg_yyyyzzz_yyzzzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 893); 

                auto tg_yyyyzzz_yzzzzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 894); 

                auto tg_yyyyzzz_zzzzzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 895); 

                // set up pointers to integrals

                auto tg_xyyyyyyz_xxxxyyy_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1050); 

                auto tg_xyyyyyyz_xxxxyyz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1051); 

                auto tg_xyyyyyyz_xxxxyzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1052); 

                auto tg_xyyyyyyz_xxxxzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1053); 

                auto tg_xyyyyyyz_xxxyyyy_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1054); 

                auto tg_xyyyyyyz_xxxyyyz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1055); 

                auto tg_xyyyyyyz_xxxyyzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1056); 

                auto tg_xyyyyyyz_xxxyzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1057); 

                auto tg_xyyyyyyz_xxxzzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1058); 

                auto tg_xyyyyyyz_xxyyyyy_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1059); 

                auto tg_xyyyyyyz_xxyyyyz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1060); 

                auto tg_xyyyyyyz_xxyyyzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1061); 

                auto tg_xyyyyyyz_xxyyzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1062); 

                auto tg_xyyyyyyz_xxyzzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1063); 

                auto tg_xyyyyyyz_xxzzzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1064); 

                auto tg_xyyyyyyz_xyyyyyy_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1065); 

                auto tg_xyyyyyyz_xyyyyyz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1066); 

                auto tg_xyyyyyyz_xyyyyzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1067); 

                auto tg_xyyyyyyz_xyyyzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1068); 

                auto tg_xyyyyyyz_xyyzzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1069); 

                auto tg_xyyyyyyz_xyzzzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1070); 

                auto tg_xyyyyyyz_xzzzzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1071); 

                auto tg_xyyyyyyz_yyyyyyy_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1072); 

                auto tg_xyyyyyyz_yyyyyyz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1073); 

                auto tg_xyyyyyyz_yyyyyzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1074); 

                auto tg_xyyyyyyz_yyyyzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1075); 

                auto tg_xyyyyyyz_yyyzzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1076); 

                auto tg_xyyyyyyz_yyzzzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1077); 

                auto tg_xyyyyyyz_yzzzzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1078); 

                auto tg_xyyyyyyz_zzzzzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1079); 

                auto tg_xyyyyyzz_xxxxxxx_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1080); 

                auto tg_xyyyyyzz_xxxxxxy_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1081); 

                auto tg_xyyyyyzz_xxxxxxz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1082); 

                auto tg_xyyyyyzz_xxxxxyy_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1083); 

                auto tg_xyyyyyzz_xxxxxyz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1084); 

                auto tg_xyyyyyzz_xxxxxzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1085); 

                auto tg_xyyyyyzz_xxxxyyy_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1086); 

                auto tg_xyyyyyzz_xxxxyyz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1087); 

                auto tg_xyyyyyzz_xxxxyzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1088); 

                auto tg_xyyyyyzz_xxxxzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1089); 

                auto tg_xyyyyyzz_xxxyyyy_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1090); 

                auto tg_xyyyyyzz_xxxyyyz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1091); 

                auto tg_xyyyyyzz_xxxyyzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1092); 

                auto tg_xyyyyyzz_xxxyzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1093); 

                auto tg_xyyyyyzz_xxxzzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1094); 

                auto tg_xyyyyyzz_xxyyyyy_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1095); 

                auto tg_xyyyyyzz_xxyyyyz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1096); 

                auto tg_xyyyyyzz_xxyyyzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1097); 

                auto tg_xyyyyyzz_xxyyzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1098); 

                auto tg_xyyyyyzz_xxyzzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1099); 

                auto tg_xyyyyyzz_xxzzzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1100); 

                auto tg_xyyyyyzz_xyyyyyy_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1101); 

                auto tg_xyyyyyzz_xyyyyyz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1102); 

                auto tg_xyyyyyzz_xyyyyzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1103); 

                auto tg_xyyyyyzz_xyyyzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1104); 

                auto tg_xyyyyyzz_xyyzzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1105); 

                auto tg_xyyyyyzz_xyzzzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1106); 

                auto tg_xyyyyyzz_xzzzzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1107); 

                auto tg_xyyyyyzz_yyyyyyy_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1108); 

                auto tg_xyyyyyzz_yyyyyyz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1109); 

                auto tg_xyyyyyzz_yyyyyzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1110); 

                auto tg_xyyyyyzz_yyyyzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1111); 

                auto tg_xyyyyyzz_yyyzzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1112); 

                auto tg_xyyyyyzz_yyzzzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1113); 

                auto tg_xyyyyyzz_yzzzzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1114); 

                auto tg_xyyyyyzz_zzzzzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1115); 

                auto tg_xyyyyzzz_xxxxxxx_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1116); 

                auto tg_xyyyyzzz_xxxxxxy_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1117); 

                auto tg_xyyyyzzz_xxxxxxz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1118); 

                auto tg_xyyyyzzz_xxxxxyy_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1119); 

                auto tg_xyyyyzzz_xxxxxyz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1120); 

                auto tg_xyyyyzzz_xxxxxzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1121); 

                auto tg_xyyyyzzz_xxxxyyy_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1122); 

                auto tg_xyyyyzzz_xxxxyyz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1123); 

                auto tg_xyyyyzzz_xxxxyzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1124); 

                auto tg_xyyyyzzz_xxxxzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1125); 

                auto tg_xyyyyzzz_xxxyyyy_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1126); 

                auto tg_xyyyyzzz_xxxyyyz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1127); 

                auto tg_xyyyyzzz_xxxyyzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1128); 

                auto tg_xyyyyzzz_xxxyzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1129); 

                auto tg_xyyyyzzz_xxxzzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1130); 

                auto tg_xyyyyzzz_xxyyyyy_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1131); 

                auto tg_xyyyyzzz_xxyyyyz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1132); 

                auto tg_xyyyyzzz_xxyyyzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1133); 

                auto tg_xyyyyzzz_xxyyzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1134); 

                auto tg_xyyyyzzz_xxyzzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1135); 

                auto tg_xyyyyzzz_xxzzzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1136); 

                auto tg_xyyyyzzz_xyyyyyy_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1137); 

                auto tg_xyyyyzzz_xyyyyyz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1138); 

                auto tg_xyyyyzzz_xyyyyzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1139); 

                auto tg_xyyyyzzz_xyyyzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1140); 

                auto tg_xyyyyzzz_xyyzzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1141); 

                auto tg_xyyyyzzz_xyzzzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1142); 

                auto tg_xyyyyzzz_xzzzzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1143); 

                auto tg_xyyyyzzz_yyyyyyy_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1144); 

                // Batch of Integrals (1050,1145)

                #pragma omp simd aligned(fxn, tg_xyyyyyyz_xxxxyyy_0, tg_xyyyyyyz_xxxxyyz_0, \
                                         tg_xyyyyyyz_xxxxyzz_0, tg_xyyyyyyz_xxxxzzz_0, tg_xyyyyyyz_xxxyyyy_0, \
                                         tg_xyyyyyyz_xxxyyyz_0, tg_xyyyyyyz_xxxyyzz_0, tg_xyyyyyyz_xxxyzzz_0, \
                                         tg_xyyyyyyz_xxxzzzz_0, tg_xyyyyyyz_xxyyyyy_0, tg_xyyyyyyz_xxyyyyz_0, \
                                         tg_xyyyyyyz_xxyyyzz_0, tg_xyyyyyyz_xxyyzzz_0, tg_xyyyyyyz_xxyzzzz_0, \
                                         tg_xyyyyyyz_xxzzzzz_0, tg_xyyyyyyz_xyyyyyy_0, tg_xyyyyyyz_xyyyyyz_0, \
                                         tg_xyyyyyyz_xyyyyzz_0, tg_xyyyyyyz_xyyyzzz_0, tg_xyyyyyyz_xyyzzzz_0, \
                                         tg_xyyyyyyz_xyzzzzz_0, tg_xyyyyyyz_xzzzzzz_0, tg_xyyyyyyz_yyyyyyy_0, \
                                         tg_xyyyyyyz_yyyyyyz_0, tg_xyyyyyyz_yyyyyzz_0, tg_xyyyyyyz_yyyyzzz_0, \
                                         tg_xyyyyyyz_yyyzzzz_0, tg_xyyyyyyz_yyzzzzz_0, tg_xyyyyyyz_yzzzzzz_0, \
                                         tg_xyyyyyyz_zzzzzzz_0, tg_xyyyyyzz_xxxxxxx_0, tg_xyyyyyzz_xxxxxxy_0, \
                                         tg_xyyyyyzz_xxxxxxz_0, tg_xyyyyyzz_xxxxxyy_0, tg_xyyyyyzz_xxxxxyz_0, \
                                         tg_xyyyyyzz_xxxxxzz_0, tg_xyyyyyzz_xxxxyyy_0, tg_xyyyyyzz_xxxxyyz_0, \
                                         tg_xyyyyyzz_xxxxyzz_0, tg_xyyyyyzz_xxxxzzz_0, tg_xyyyyyzz_xxxyyyy_0, \
                                         tg_xyyyyyzz_xxxyyyz_0, tg_xyyyyyzz_xxxyyzz_0, tg_xyyyyyzz_xxxyzzz_0, \
                                         tg_xyyyyyzz_xxxzzzz_0, tg_xyyyyyzz_xxyyyyy_0, tg_xyyyyyzz_xxyyyyz_0, \
                                         tg_xyyyyyzz_xxyyyzz_0, tg_xyyyyyzz_xxyyzzz_0, tg_xyyyyyzz_xxyzzzz_0, \
                                         tg_xyyyyyzz_xxzzzzz_0, tg_xyyyyyzz_xyyyyyy_0, tg_xyyyyyzz_xyyyyyz_0, \
                                         tg_xyyyyyzz_xyyyyzz_0, tg_xyyyyyzz_xyyyzzz_0, tg_xyyyyyzz_xyyzzzz_0, \
                                         tg_xyyyyyzz_xyzzzzz_0, tg_xyyyyyzz_xzzzzzz_0, tg_xyyyyyzz_yyyyyyy_0, \
                                         tg_xyyyyyzz_yyyyyyz_0, tg_xyyyyyzz_yyyyyzz_0, tg_xyyyyyzz_yyyyzzz_0, \
                                         tg_xyyyyyzz_yyyzzzz_0, tg_xyyyyyzz_yyzzzzz_0, tg_xyyyyyzz_yzzzzzz_0, \
                                         tg_xyyyyyzz_zzzzzzz_0, tg_xyyyyzzz_xxxxxxx_0, tg_xyyyyzzz_xxxxxxy_0, \
                                         tg_xyyyyzzz_xxxxxxz_0, tg_xyyyyzzz_xxxxxyy_0, tg_xyyyyzzz_xxxxxyz_0, \
                                         tg_xyyyyzzz_xxxxxzz_0, tg_xyyyyzzz_xxxxyyy_0, tg_xyyyyzzz_xxxxyyz_0, \
                                         tg_xyyyyzzz_xxxxyzz_0, tg_xyyyyzzz_xxxxzzz_0, tg_xyyyyzzz_xxxyyyy_0, \
                                         tg_xyyyyzzz_xxxyyyz_0, tg_xyyyyzzz_xxxyyzz_0, tg_xyyyyzzz_xxxyzzz_0, \
                                         tg_xyyyyzzz_xxxzzzz_0, tg_xyyyyzzz_xxyyyyy_0, tg_xyyyyzzz_xxyyyyz_0, \
                                         tg_xyyyyzzz_xxyyyzz_0, tg_xyyyyzzz_xxyyzzz_0, tg_xyyyyzzz_xxyzzzz_0, \
                                         tg_xyyyyzzz_xxzzzzz_0, tg_xyyyyzzz_xyyyyyy_0, tg_xyyyyzzz_xyyyyyz_0, \
                                         tg_xyyyyzzz_xyyyyzz_0, tg_xyyyyzzz_xyyyzzz_0, tg_xyyyyzzz_xyyzzzz_0, \
                                         tg_xyyyyzzz_xyzzzzz_0, tg_xyyyyzzz_xzzzzzz_0, tg_xyyyyzzz_yyyyyyy_0, \
                                         tg_yyyyyyz_xxxxyyy_0, tg_yyyyyyz_xxxxyyy_1, tg_yyyyyyz_xxxxyyz_0, tg_yyyyyyz_xxxxyyz_1, \
                                         tg_yyyyyyz_xxxxyzz_0, tg_yyyyyyz_xxxxyzz_1, tg_yyyyyyz_xxxxzzz_0, tg_yyyyyyz_xxxxzzz_1, \
                                         tg_yyyyyyz_xxxyyy_1, tg_yyyyyyz_xxxyyyy_0, tg_yyyyyyz_xxxyyyy_1, tg_yyyyyyz_xxxyyyz_0, \
                                         tg_yyyyyyz_xxxyyyz_1, tg_yyyyyyz_xxxyyz_1, tg_yyyyyyz_xxxyyzz_0, tg_yyyyyyz_xxxyyzz_1, \
                                         tg_yyyyyyz_xxxyzz_1, tg_yyyyyyz_xxxyzzz_0, tg_yyyyyyz_xxxyzzz_1, tg_yyyyyyz_xxxzzz_1, \
                                         tg_yyyyyyz_xxxzzzz_0, tg_yyyyyyz_xxxzzzz_1, tg_yyyyyyz_xxyyyy_1, tg_yyyyyyz_xxyyyyy_0, \
                                         tg_yyyyyyz_xxyyyyy_1, tg_yyyyyyz_xxyyyyz_0, tg_yyyyyyz_xxyyyyz_1, tg_yyyyyyz_xxyyyz_1, \
                                         tg_yyyyyyz_xxyyyzz_0, tg_yyyyyyz_xxyyyzz_1, tg_yyyyyyz_xxyyzz_1, tg_yyyyyyz_xxyyzzz_0, \
                                         tg_yyyyyyz_xxyyzzz_1, tg_yyyyyyz_xxyzzz_1, tg_yyyyyyz_xxyzzzz_0, tg_yyyyyyz_xxyzzzz_1, \
                                         tg_yyyyyyz_xxzzzz_1, tg_yyyyyyz_xxzzzzz_0, tg_yyyyyyz_xxzzzzz_1, tg_yyyyyyz_xyyyyy_1, \
                                         tg_yyyyyyz_xyyyyyy_0, tg_yyyyyyz_xyyyyyy_1, tg_yyyyyyz_xyyyyyz_0, tg_yyyyyyz_xyyyyyz_1, \
                                         tg_yyyyyyz_xyyyyz_1, tg_yyyyyyz_xyyyyzz_0, tg_yyyyyyz_xyyyyzz_1, tg_yyyyyyz_xyyyzz_1, \
                                         tg_yyyyyyz_xyyyzzz_0, tg_yyyyyyz_xyyyzzz_1, tg_yyyyyyz_xyyzzz_1, tg_yyyyyyz_xyyzzzz_0, \
                                         tg_yyyyyyz_xyyzzzz_1, tg_yyyyyyz_xyzzzz_1, tg_yyyyyyz_xyzzzzz_0, tg_yyyyyyz_xyzzzzz_1, \
                                         tg_yyyyyyz_xzzzzz_1, tg_yyyyyyz_xzzzzzz_0, tg_yyyyyyz_xzzzzzz_1, tg_yyyyyyz_yyyyyy_1, \
                                         tg_yyyyyyz_yyyyyyy_0, tg_yyyyyyz_yyyyyyy_1, tg_yyyyyyz_yyyyyyz_0, tg_yyyyyyz_yyyyyyz_1, \
                                         tg_yyyyyyz_yyyyyz_1, tg_yyyyyyz_yyyyyzz_0, tg_yyyyyyz_yyyyyzz_1, tg_yyyyyyz_yyyyzz_1, \
                                         tg_yyyyyyz_yyyyzzz_0, tg_yyyyyyz_yyyyzzz_1, tg_yyyyyyz_yyyzzz_1, tg_yyyyyyz_yyyzzzz_0, \
                                         tg_yyyyyyz_yyyzzzz_1, tg_yyyyyyz_yyzzzz_1, tg_yyyyyyz_yyzzzzz_0, tg_yyyyyyz_yyzzzzz_1, \
                                         tg_yyyyyyz_yzzzzz_1, tg_yyyyyyz_yzzzzzz_0, tg_yyyyyyz_yzzzzzz_1, tg_yyyyyyz_zzzzzz_1, \
                                         tg_yyyyyyz_zzzzzzz_0, tg_yyyyyyz_zzzzzzz_1, tg_yyyyyzz_xxxxxx_1, tg_yyyyyzz_xxxxxxx_0, \
                                         tg_yyyyyzz_xxxxxxx_1, tg_yyyyyzz_xxxxxxy_0, tg_yyyyyzz_xxxxxxy_1, tg_yyyyyzz_xxxxxxz_0, \
                                         tg_yyyyyzz_xxxxxxz_1, tg_yyyyyzz_xxxxxy_1, tg_yyyyyzz_xxxxxyy_0, tg_yyyyyzz_xxxxxyy_1, \
                                         tg_yyyyyzz_xxxxxyz_0, tg_yyyyyzz_xxxxxyz_1, tg_yyyyyzz_xxxxxz_1, tg_yyyyyzz_xxxxxzz_0, \
                                         tg_yyyyyzz_xxxxxzz_1, tg_yyyyyzz_xxxxyy_1, tg_yyyyyzz_xxxxyyy_0, tg_yyyyyzz_xxxxyyy_1, \
                                         tg_yyyyyzz_xxxxyyz_0, tg_yyyyyzz_xxxxyyz_1, tg_yyyyyzz_xxxxyz_1, tg_yyyyyzz_xxxxyzz_0, \
                                         tg_yyyyyzz_xxxxyzz_1, tg_yyyyyzz_xxxxzz_1, tg_yyyyyzz_xxxxzzz_0, tg_yyyyyzz_xxxxzzz_1, \
                                         tg_yyyyyzz_xxxyyy_1, tg_yyyyyzz_xxxyyyy_0, tg_yyyyyzz_xxxyyyy_1, tg_yyyyyzz_xxxyyyz_0, \
                                         tg_yyyyyzz_xxxyyyz_1, tg_yyyyyzz_xxxyyz_1, tg_yyyyyzz_xxxyyzz_0, tg_yyyyyzz_xxxyyzz_1, \
                                         tg_yyyyyzz_xxxyzz_1, tg_yyyyyzz_xxxyzzz_0, tg_yyyyyzz_xxxyzzz_1, tg_yyyyyzz_xxxzzz_1, \
                                         tg_yyyyyzz_xxxzzzz_0, tg_yyyyyzz_xxxzzzz_1, tg_yyyyyzz_xxyyyy_1, tg_yyyyyzz_xxyyyyy_0, \
                                         tg_yyyyyzz_xxyyyyy_1, tg_yyyyyzz_xxyyyyz_0, tg_yyyyyzz_xxyyyyz_1, tg_yyyyyzz_xxyyyz_1, \
                                         tg_yyyyyzz_xxyyyzz_0, tg_yyyyyzz_xxyyyzz_1, tg_yyyyyzz_xxyyzz_1, tg_yyyyyzz_xxyyzzz_0, \
                                         tg_yyyyyzz_xxyyzzz_1, tg_yyyyyzz_xxyzzz_1, tg_yyyyyzz_xxyzzzz_0, tg_yyyyyzz_xxyzzzz_1, \
                                         tg_yyyyyzz_xxzzzz_1, tg_yyyyyzz_xxzzzzz_0, tg_yyyyyzz_xxzzzzz_1, tg_yyyyyzz_xyyyyy_1, \
                                         tg_yyyyyzz_xyyyyyy_0, tg_yyyyyzz_xyyyyyy_1, tg_yyyyyzz_xyyyyyz_0, tg_yyyyyzz_xyyyyyz_1, \
                                         tg_yyyyyzz_xyyyyz_1, tg_yyyyyzz_xyyyyzz_0, tg_yyyyyzz_xyyyyzz_1, tg_yyyyyzz_xyyyzz_1, \
                                         tg_yyyyyzz_xyyyzzz_0, tg_yyyyyzz_xyyyzzz_1, tg_yyyyyzz_xyyzzz_1, tg_yyyyyzz_xyyzzzz_0, \
                                         tg_yyyyyzz_xyyzzzz_1, tg_yyyyyzz_xyzzzz_1, tg_yyyyyzz_xyzzzzz_0, tg_yyyyyzz_xyzzzzz_1, \
                                         tg_yyyyyzz_xzzzzz_1, tg_yyyyyzz_xzzzzzz_0, tg_yyyyyzz_xzzzzzz_1, tg_yyyyyzz_yyyyyy_1, \
                                         tg_yyyyyzz_yyyyyyy_0, tg_yyyyyzz_yyyyyyy_1, tg_yyyyyzz_yyyyyyz_0, tg_yyyyyzz_yyyyyyz_1, \
                                         tg_yyyyyzz_yyyyyz_1, tg_yyyyyzz_yyyyyzz_0, tg_yyyyyzz_yyyyyzz_1, tg_yyyyyzz_yyyyzz_1, \
                                         tg_yyyyyzz_yyyyzzz_0, tg_yyyyyzz_yyyyzzz_1, tg_yyyyyzz_yyyzzz_1, tg_yyyyyzz_yyyzzzz_0, \
                                         tg_yyyyyzz_yyyzzzz_1, tg_yyyyyzz_yyzzzz_1, tg_yyyyyzz_yyzzzzz_0, tg_yyyyyzz_yyzzzzz_1, \
                                         tg_yyyyyzz_yzzzzz_1, tg_yyyyyzz_yzzzzzz_0, tg_yyyyyzz_yzzzzzz_1, tg_yyyyyzz_zzzzzz_1, \
                                         tg_yyyyyzz_zzzzzzz_0, tg_yyyyyzz_zzzzzzz_1, tg_yyyyzzz_xxxxxx_1, tg_yyyyzzz_xxxxxxx_0, \
                                         tg_yyyyzzz_xxxxxxx_1, tg_yyyyzzz_xxxxxxy_0, tg_yyyyzzz_xxxxxxy_1, tg_yyyyzzz_xxxxxxz_0, \
                                         tg_yyyyzzz_xxxxxxz_1, tg_yyyyzzz_xxxxxy_1, tg_yyyyzzz_xxxxxyy_0, tg_yyyyzzz_xxxxxyy_1, \
                                         tg_yyyyzzz_xxxxxyz_0, tg_yyyyzzz_xxxxxyz_1, tg_yyyyzzz_xxxxxz_1, tg_yyyyzzz_xxxxxzz_0, \
                                         tg_yyyyzzz_xxxxxzz_1, tg_yyyyzzz_xxxxyy_1, tg_yyyyzzz_xxxxyyy_0, tg_yyyyzzz_xxxxyyy_1, \
                                         tg_yyyyzzz_xxxxyyz_0, tg_yyyyzzz_xxxxyyz_1, tg_yyyyzzz_xxxxyz_1, tg_yyyyzzz_xxxxyzz_0, \
                                         tg_yyyyzzz_xxxxyzz_1, tg_yyyyzzz_xxxxzz_1, tg_yyyyzzz_xxxxzzz_0, tg_yyyyzzz_xxxxzzz_1, \
                                         tg_yyyyzzz_xxxyyy_1, tg_yyyyzzz_xxxyyyy_0, tg_yyyyzzz_xxxyyyy_1, tg_yyyyzzz_xxxyyyz_0, \
                                         tg_yyyyzzz_xxxyyyz_1, tg_yyyyzzz_xxxyyz_1, tg_yyyyzzz_xxxyyzz_0, tg_yyyyzzz_xxxyyzz_1, \
                                         tg_yyyyzzz_xxxyzz_1, tg_yyyyzzz_xxxyzzz_0, tg_yyyyzzz_xxxyzzz_1, tg_yyyyzzz_xxxzzz_1, \
                                         tg_yyyyzzz_xxxzzzz_0, tg_yyyyzzz_xxxzzzz_1, tg_yyyyzzz_xxyyyy_1, tg_yyyyzzz_xxyyyyy_0, \
                                         tg_yyyyzzz_xxyyyyy_1, tg_yyyyzzz_xxyyyyz_0, tg_yyyyzzz_xxyyyyz_1, tg_yyyyzzz_xxyyyz_1, \
                                         tg_yyyyzzz_xxyyyzz_0, tg_yyyyzzz_xxyyyzz_1, tg_yyyyzzz_xxyyzz_1, tg_yyyyzzz_xxyyzzz_0, \
                                         tg_yyyyzzz_xxyyzzz_1, tg_yyyyzzz_xxyzzz_1, tg_yyyyzzz_xxyzzzz_0, tg_yyyyzzz_xxyzzzz_1, \
                                         tg_yyyyzzz_xxzzzz_1, tg_yyyyzzz_xxzzzzz_0, tg_yyyyzzz_xxzzzzz_1, tg_yyyyzzz_xyyyyy_1, \
                                         tg_yyyyzzz_xyyyyyy_0, tg_yyyyzzz_xyyyyyy_1, tg_yyyyzzz_xyyyyyz_0, tg_yyyyzzz_xyyyyyz_1, \
                                         tg_yyyyzzz_xyyyyz_1, tg_yyyyzzz_xyyyyzz_0, tg_yyyyzzz_xyyyyzz_1, tg_yyyyzzz_xyyyzz_1, \
                                         tg_yyyyzzz_xyyyzzz_0, tg_yyyyzzz_xyyyzzz_1, tg_yyyyzzz_xyyzzz_1, tg_yyyyzzz_xyyzzzz_0, \
                                         tg_yyyyzzz_xyyzzzz_1, tg_yyyyzzz_xyzzzz_1, tg_yyyyzzz_xyzzzzz_0, tg_yyyyzzz_xyzzzzz_1, \
                                         tg_yyyyzzz_xzzzzz_1, tg_yyyyzzz_xzzzzzz_0, tg_yyyyzzz_xzzzzzz_1, tg_yyyyzzz_yyyyyy_1, \
                                         tg_yyyyzzz_yyyyyyy_0, tg_yyyyzzz_yyyyyyy_1, tg_yyyyzzz_yyyyyz_1, tg_yyyyzzz_yyyyzz_1, \
                                         tg_yyyyzzz_yyyzzz_1, tg_yyyyzzz_yyzzzz_1, tg_yyyyzzz_yzzzzz_1, tg_yyyyzzz_zzzzzz_1, \
                                         wp_x: VLX_ALIGN)
                for (int32_t j = 0; j < nKetPrimPairs; j++)
                {
                    double fl1_fxn = fxn[j];

                    double fr = wp_x[j]; 

                    tg_xyyyyyyz_xxxxyyy_0[j] = pb_x * tg_yyyyyyz_xxxxyyy_0[j] + fr * tg_yyyyyyz_xxxxyyy_1[j] + 2.0 * fl1_fxn * tg_yyyyyyz_xxxyyy_1[j];

                    tg_xyyyyyyz_xxxxyyz_0[j] = pb_x * tg_yyyyyyz_xxxxyyz_0[j] + fr * tg_yyyyyyz_xxxxyyz_1[j] + 2.0 * fl1_fxn * tg_yyyyyyz_xxxyyz_1[j];

                    tg_xyyyyyyz_xxxxyzz_0[j] = pb_x * tg_yyyyyyz_xxxxyzz_0[j] + fr * tg_yyyyyyz_xxxxyzz_1[j] + 2.0 * fl1_fxn * tg_yyyyyyz_xxxyzz_1[j];

                    tg_xyyyyyyz_xxxxzzz_0[j] = pb_x * tg_yyyyyyz_xxxxzzz_0[j] + fr * tg_yyyyyyz_xxxxzzz_1[j] + 2.0 * fl1_fxn * tg_yyyyyyz_xxxzzz_1[j];

                    tg_xyyyyyyz_xxxyyyy_0[j] = pb_x * tg_yyyyyyz_xxxyyyy_0[j] + fr * tg_yyyyyyz_xxxyyyy_1[j] + 1.5 * fl1_fxn * tg_yyyyyyz_xxyyyy_1[j];

                    tg_xyyyyyyz_xxxyyyz_0[j] = pb_x * tg_yyyyyyz_xxxyyyz_0[j] + fr * tg_yyyyyyz_xxxyyyz_1[j] + 1.5 * fl1_fxn * tg_yyyyyyz_xxyyyz_1[j];

                    tg_xyyyyyyz_xxxyyzz_0[j] = pb_x * tg_yyyyyyz_xxxyyzz_0[j] + fr * tg_yyyyyyz_xxxyyzz_1[j] + 1.5 * fl1_fxn * tg_yyyyyyz_xxyyzz_1[j];

                    tg_xyyyyyyz_xxxyzzz_0[j] = pb_x * tg_yyyyyyz_xxxyzzz_0[j] + fr * tg_yyyyyyz_xxxyzzz_1[j] + 1.5 * fl1_fxn * tg_yyyyyyz_xxyzzz_1[j];

                    tg_xyyyyyyz_xxxzzzz_0[j] = pb_x * tg_yyyyyyz_xxxzzzz_0[j] + fr * tg_yyyyyyz_xxxzzzz_1[j] + 1.5 * fl1_fxn * tg_yyyyyyz_xxzzzz_1[j];

                    tg_xyyyyyyz_xxyyyyy_0[j] = pb_x * tg_yyyyyyz_xxyyyyy_0[j] + fr * tg_yyyyyyz_xxyyyyy_1[j] + fl1_fxn * tg_yyyyyyz_xyyyyy_1[j];

                    tg_xyyyyyyz_xxyyyyz_0[j] = pb_x * tg_yyyyyyz_xxyyyyz_0[j] + fr * tg_yyyyyyz_xxyyyyz_1[j] + fl1_fxn * tg_yyyyyyz_xyyyyz_1[j];

                    tg_xyyyyyyz_xxyyyzz_0[j] = pb_x * tg_yyyyyyz_xxyyyzz_0[j] + fr * tg_yyyyyyz_xxyyyzz_1[j] + fl1_fxn * tg_yyyyyyz_xyyyzz_1[j];

                    tg_xyyyyyyz_xxyyzzz_0[j] = pb_x * tg_yyyyyyz_xxyyzzz_0[j] + fr * tg_yyyyyyz_xxyyzzz_1[j] + fl1_fxn * tg_yyyyyyz_xyyzzz_1[j];

                    tg_xyyyyyyz_xxyzzzz_0[j] = pb_x * tg_yyyyyyz_xxyzzzz_0[j] + fr * tg_yyyyyyz_xxyzzzz_1[j] + fl1_fxn * tg_yyyyyyz_xyzzzz_1[j];

                    tg_xyyyyyyz_xxzzzzz_0[j] = pb_x * tg_yyyyyyz_xxzzzzz_0[j] + fr * tg_yyyyyyz_xxzzzzz_1[j] + fl1_fxn * tg_yyyyyyz_xzzzzz_1[j];

                    tg_xyyyyyyz_xyyyyyy_0[j] = pb_x * tg_yyyyyyz_xyyyyyy_0[j] + fr * tg_yyyyyyz_xyyyyyy_1[j] + 0.5 * fl1_fxn * tg_yyyyyyz_yyyyyy_1[j];

                    tg_xyyyyyyz_xyyyyyz_0[j] = pb_x * tg_yyyyyyz_xyyyyyz_0[j] + fr * tg_yyyyyyz_xyyyyyz_1[j] + 0.5 * fl1_fxn * tg_yyyyyyz_yyyyyz_1[j];

                    tg_xyyyyyyz_xyyyyzz_0[j] = pb_x * tg_yyyyyyz_xyyyyzz_0[j] + fr * tg_yyyyyyz_xyyyyzz_1[j] + 0.5 * fl1_fxn * tg_yyyyyyz_yyyyzz_1[j];

                    tg_xyyyyyyz_xyyyzzz_0[j] = pb_x * tg_yyyyyyz_xyyyzzz_0[j] + fr * tg_yyyyyyz_xyyyzzz_1[j] + 0.5 * fl1_fxn * tg_yyyyyyz_yyyzzz_1[j];

                    tg_xyyyyyyz_xyyzzzz_0[j] = pb_x * tg_yyyyyyz_xyyzzzz_0[j] + fr * tg_yyyyyyz_xyyzzzz_1[j] + 0.5 * fl1_fxn * tg_yyyyyyz_yyzzzz_1[j];

                    tg_xyyyyyyz_xyzzzzz_0[j] = pb_x * tg_yyyyyyz_xyzzzzz_0[j] + fr * tg_yyyyyyz_xyzzzzz_1[j] + 0.5 * fl1_fxn * tg_yyyyyyz_yzzzzz_1[j];

                    tg_xyyyyyyz_xzzzzzz_0[j] = pb_x * tg_yyyyyyz_xzzzzzz_0[j] + fr * tg_yyyyyyz_xzzzzzz_1[j] + 0.5 * fl1_fxn * tg_yyyyyyz_zzzzzz_1[j];

                    tg_xyyyyyyz_yyyyyyy_0[j] = pb_x * tg_yyyyyyz_yyyyyyy_0[j] + fr * tg_yyyyyyz_yyyyyyy_1[j];

                    tg_xyyyyyyz_yyyyyyz_0[j] = pb_x * tg_yyyyyyz_yyyyyyz_0[j] + fr * tg_yyyyyyz_yyyyyyz_1[j];

                    tg_xyyyyyyz_yyyyyzz_0[j] = pb_x * tg_yyyyyyz_yyyyyzz_0[j] + fr * tg_yyyyyyz_yyyyyzz_1[j];

                    tg_xyyyyyyz_yyyyzzz_0[j] = pb_x * tg_yyyyyyz_yyyyzzz_0[j] + fr * tg_yyyyyyz_yyyyzzz_1[j];

                    tg_xyyyyyyz_yyyzzzz_0[j] = pb_x * tg_yyyyyyz_yyyzzzz_0[j] + fr * tg_yyyyyyz_yyyzzzz_1[j];

                    tg_xyyyyyyz_yyzzzzz_0[j] = pb_x * tg_yyyyyyz_yyzzzzz_0[j] + fr * tg_yyyyyyz_yyzzzzz_1[j];

                    tg_xyyyyyyz_yzzzzzz_0[j] = pb_x * tg_yyyyyyz_yzzzzzz_0[j] + fr * tg_yyyyyyz_yzzzzzz_1[j];

                    tg_xyyyyyyz_zzzzzzz_0[j] = pb_x * tg_yyyyyyz_zzzzzzz_0[j] + fr * tg_yyyyyyz_zzzzzzz_1[j];

                    tg_xyyyyyzz_xxxxxxx_0[j] = pb_x * tg_yyyyyzz_xxxxxxx_0[j] + fr * tg_yyyyyzz_xxxxxxx_1[j] + 3.5 * fl1_fxn * tg_yyyyyzz_xxxxxx_1[j];

                    tg_xyyyyyzz_xxxxxxy_0[j] = pb_x * tg_yyyyyzz_xxxxxxy_0[j] + fr * tg_yyyyyzz_xxxxxxy_1[j] + 3.0 * fl1_fxn * tg_yyyyyzz_xxxxxy_1[j];

                    tg_xyyyyyzz_xxxxxxz_0[j] = pb_x * tg_yyyyyzz_xxxxxxz_0[j] + fr * tg_yyyyyzz_xxxxxxz_1[j] + 3.0 * fl1_fxn * tg_yyyyyzz_xxxxxz_1[j];

                    tg_xyyyyyzz_xxxxxyy_0[j] = pb_x * tg_yyyyyzz_xxxxxyy_0[j] + fr * tg_yyyyyzz_xxxxxyy_1[j] + 2.5 * fl1_fxn * tg_yyyyyzz_xxxxyy_1[j];

                    tg_xyyyyyzz_xxxxxyz_0[j] = pb_x * tg_yyyyyzz_xxxxxyz_0[j] + fr * tg_yyyyyzz_xxxxxyz_1[j] + 2.5 * fl1_fxn * tg_yyyyyzz_xxxxyz_1[j];

                    tg_xyyyyyzz_xxxxxzz_0[j] = pb_x * tg_yyyyyzz_xxxxxzz_0[j] + fr * tg_yyyyyzz_xxxxxzz_1[j] + 2.5 * fl1_fxn * tg_yyyyyzz_xxxxzz_1[j];

                    tg_xyyyyyzz_xxxxyyy_0[j] = pb_x * tg_yyyyyzz_xxxxyyy_0[j] + fr * tg_yyyyyzz_xxxxyyy_1[j] + 2.0 * fl1_fxn * tg_yyyyyzz_xxxyyy_1[j];

                    tg_xyyyyyzz_xxxxyyz_0[j] = pb_x * tg_yyyyyzz_xxxxyyz_0[j] + fr * tg_yyyyyzz_xxxxyyz_1[j] + 2.0 * fl1_fxn * tg_yyyyyzz_xxxyyz_1[j];

                    tg_xyyyyyzz_xxxxyzz_0[j] = pb_x * tg_yyyyyzz_xxxxyzz_0[j] + fr * tg_yyyyyzz_xxxxyzz_1[j] + 2.0 * fl1_fxn * tg_yyyyyzz_xxxyzz_1[j];

                    tg_xyyyyyzz_xxxxzzz_0[j] = pb_x * tg_yyyyyzz_xxxxzzz_0[j] + fr * tg_yyyyyzz_xxxxzzz_1[j] + 2.0 * fl1_fxn * tg_yyyyyzz_xxxzzz_1[j];

                    tg_xyyyyyzz_xxxyyyy_0[j] = pb_x * tg_yyyyyzz_xxxyyyy_0[j] + fr * tg_yyyyyzz_xxxyyyy_1[j] + 1.5 * fl1_fxn * tg_yyyyyzz_xxyyyy_1[j];

                    tg_xyyyyyzz_xxxyyyz_0[j] = pb_x * tg_yyyyyzz_xxxyyyz_0[j] + fr * tg_yyyyyzz_xxxyyyz_1[j] + 1.5 * fl1_fxn * tg_yyyyyzz_xxyyyz_1[j];

                    tg_xyyyyyzz_xxxyyzz_0[j] = pb_x * tg_yyyyyzz_xxxyyzz_0[j] + fr * tg_yyyyyzz_xxxyyzz_1[j] + 1.5 * fl1_fxn * tg_yyyyyzz_xxyyzz_1[j];

                    tg_xyyyyyzz_xxxyzzz_0[j] = pb_x * tg_yyyyyzz_xxxyzzz_0[j] + fr * tg_yyyyyzz_xxxyzzz_1[j] + 1.5 * fl1_fxn * tg_yyyyyzz_xxyzzz_1[j];

                    tg_xyyyyyzz_xxxzzzz_0[j] = pb_x * tg_yyyyyzz_xxxzzzz_0[j] + fr * tg_yyyyyzz_xxxzzzz_1[j] + 1.5 * fl1_fxn * tg_yyyyyzz_xxzzzz_1[j];

                    tg_xyyyyyzz_xxyyyyy_0[j] = pb_x * tg_yyyyyzz_xxyyyyy_0[j] + fr * tg_yyyyyzz_xxyyyyy_1[j] + fl1_fxn * tg_yyyyyzz_xyyyyy_1[j];

                    tg_xyyyyyzz_xxyyyyz_0[j] = pb_x * tg_yyyyyzz_xxyyyyz_0[j] + fr * tg_yyyyyzz_xxyyyyz_1[j] + fl1_fxn * tg_yyyyyzz_xyyyyz_1[j];

                    tg_xyyyyyzz_xxyyyzz_0[j] = pb_x * tg_yyyyyzz_xxyyyzz_0[j] + fr * tg_yyyyyzz_xxyyyzz_1[j] + fl1_fxn * tg_yyyyyzz_xyyyzz_1[j];

                    tg_xyyyyyzz_xxyyzzz_0[j] = pb_x * tg_yyyyyzz_xxyyzzz_0[j] + fr * tg_yyyyyzz_xxyyzzz_1[j] + fl1_fxn * tg_yyyyyzz_xyyzzz_1[j];

                    tg_xyyyyyzz_xxyzzzz_0[j] = pb_x * tg_yyyyyzz_xxyzzzz_0[j] + fr * tg_yyyyyzz_xxyzzzz_1[j] + fl1_fxn * tg_yyyyyzz_xyzzzz_1[j];

                    tg_xyyyyyzz_xxzzzzz_0[j] = pb_x * tg_yyyyyzz_xxzzzzz_0[j] + fr * tg_yyyyyzz_xxzzzzz_1[j] + fl1_fxn * tg_yyyyyzz_xzzzzz_1[j];

                    tg_xyyyyyzz_xyyyyyy_0[j] = pb_x * tg_yyyyyzz_xyyyyyy_0[j] + fr * tg_yyyyyzz_xyyyyyy_1[j] + 0.5 * fl1_fxn * tg_yyyyyzz_yyyyyy_1[j];

                    tg_xyyyyyzz_xyyyyyz_0[j] = pb_x * tg_yyyyyzz_xyyyyyz_0[j] + fr * tg_yyyyyzz_xyyyyyz_1[j] + 0.5 * fl1_fxn * tg_yyyyyzz_yyyyyz_1[j];

                    tg_xyyyyyzz_xyyyyzz_0[j] = pb_x * tg_yyyyyzz_xyyyyzz_0[j] + fr * tg_yyyyyzz_xyyyyzz_1[j] + 0.5 * fl1_fxn * tg_yyyyyzz_yyyyzz_1[j];

                    tg_xyyyyyzz_xyyyzzz_0[j] = pb_x * tg_yyyyyzz_xyyyzzz_0[j] + fr * tg_yyyyyzz_xyyyzzz_1[j] + 0.5 * fl1_fxn * tg_yyyyyzz_yyyzzz_1[j];

                    tg_xyyyyyzz_xyyzzzz_0[j] = pb_x * tg_yyyyyzz_xyyzzzz_0[j] + fr * tg_yyyyyzz_xyyzzzz_1[j] + 0.5 * fl1_fxn * tg_yyyyyzz_yyzzzz_1[j];

                    tg_xyyyyyzz_xyzzzzz_0[j] = pb_x * tg_yyyyyzz_xyzzzzz_0[j] + fr * tg_yyyyyzz_xyzzzzz_1[j] + 0.5 * fl1_fxn * tg_yyyyyzz_yzzzzz_1[j];

                    tg_xyyyyyzz_xzzzzzz_0[j] = pb_x * tg_yyyyyzz_xzzzzzz_0[j] + fr * tg_yyyyyzz_xzzzzzz_1[j] + 0.5 * fl1_fxn * tg_yyyyyzz_zzzzzz_1[j];

                    tg_xyyyyyzz_yyyyyyy_0[j] = pb_x * tg_yyyyyzz_yyyyyyy_0[j] + fr * tg_yyyyyzz_yyyyyyy_1[j];

                    tg_xyyyyyzz_yyyyyyz_0[j] = pb_x * tg_yyyyyzz_yyyyyyz_0[j] + fr * tg_yyyyyzz_yyyyyyz_1[j];

                    tg_xyyyyyzz_yyyyyzz_0[j] = pb_x * tg_yyyyyzz_yyyyyzz_0[j] + fr * tg_yyyyyzz_yyyyyzz_1[j];

                    tg_xyyyyyzz_yyyyzzz_0[j] = pb_x * tg_yyyyyzz_yyyyzzz_0[j] + fr * tg_yyyyyzz_yyyyzzz_1[j];

                    tg_xyyyyyzz_yyyzzzz_0[j] = pb_x * tg_yyyyyzz_yyyzzzz_0[j] + fr * tg_yyyyyzz_yyyzzzz_1[j];

                    tg_xyyyyyzz_yyzzzzz_0[j] = pb_x * tg_yyyyyzz_yyzzzzz_0[j] + fr * tg_yyyyyzz_yyzzzzz_1[j];

                    tg_xyyyyyzz_yzzzzzz_0[j] = pb_x * tg_yyyyyzz_yzzzzzz_0[j] + fr * tg_yyyyyzz_yzzzzzz_1[j];

                    tg_xyyyyyzz_zzzzzzz_0[j] = pb_x * tg_yyyyyzz_zzzzzzz_0[j] + fr * tg_yyyyyzz_zzzzzzz_1[j];

                    tg_xyyyyzzz_xxxxxxx_0[j] = pb_x * tg_yyyyzzz_xxxxxxx_0[j] + fr * tg_yyyyzzz_xxxxxxx_1[j] + 3.5 * fl1_fxn * tg_yyyyzzz_xxxxxx_1[j];

                    tg_xyyyyzzz_xxxxxxy_0[j] = pb_x * tg_yyyyzzz_xxxxxxy_0[j] + fr * tg_yyyyzzz_xxxxxxy_1[j] + 3.0 * fl1_fxn * tg_yyyyzzz_xxxxxy_1[j];

                    tg_xyyyyzzz_xxxxxxz_0[j] = pb_x * tg_yyyyzzz_xxxxxxz_0[j] + fr * tg_yyyyzzz_xxxxxxz_1[j] + 3.0 * fl1_fxn * tg_yyyyzzz_xxxxxz_1[j];

                    tg_xyyyyzzz_xxxxxyy_0[j] = pb_x * tg_yyyyzzz_xxxxxyy_0[j] + fr * tg_yyyyzzz_xxxxxyy_1[j] + 2.5 * fl1_fxn * tg_yyyyzzz_xxxxyy_1[j];

                    tg_xyyyyzzz_xxxxxyz_0[j] = pb_x * tg_yyyyzzz_xxxxxyz_0[j] + fr * tg_yyyyzzz_xxxxxyz_1[j] + 2.5 * fl1_fxn * tg_yyyyzzz_xxxxyz_1[j];

                    tg_xyyyyzzz_xxxxxzz_0[j] = pb_x * tg_yyyyzzz_xxxxxzz_0[j] + fr * tg_yyyyzzz_xxxxxzz_1[j] + 2.5 * fl1_fxn * tg_yyyyzzz_xxxxzz_1[j];

                    tg_xyyyyzzz_xxxxyyy_0[j] = pb_x * tg_yyyyzzz_xxxxyyy_0[j] + fr * tg_yyyyzzz_xxxxyyy_1[j] + 2.0 * fl1_fxn * tg_yyyyzzz_xxxyyy_1[j];

                    tg_xyyyyzzz_xxxxyyz_0[j] = pb_x * tg_yyyyzzz_xxxxyyz_0[j] + fr * tg_yyyyzzz_xxxxyyz_1[j] + 2.0 * fl1_fxn * tg_yyyyzzz_xxxyyz_1[j];

                    tg_xyyyyzzz_xxxxyzz_0[j] = pb_x * tg_yyyyzzz_xxxxyzz_0[j] + fr * tg_yyyyzzz_xxxxyzz_1[j] + 2.0 * fl1_fxn * tg_yyyyzzz_xxxyzz_1[j];

                    tg_xyyyyzzz_xxxxzzz_0[j] = pb_x * tg_yyyyzzz_xxxxzzz_0[j] + fr * tg_yyyyzzz_xxxxzzz_1[j] + 2.0 * fl1_fxn * tg_yyyyzzz_xxxzzz_1[j];

                    tg_xyyyyzzz_xxxyyyy_0[j] = pb_x * tg_yyyyzzz_xxxyyyy_0[j] + fr * tg_yyyyzzz_xxxyyyy_1[j] + 1.5 * fl1_fxn * tg_yyyyzzz_xxyyyy_1[j];

                    tg_xyyyyzzz_xxxyyyz_0[j] = pb_x * tg_yyyyzzz_xxxyyyz_0[j] + fr * tg_yyyyzzz_xxxyyyz_1[j] + 1.5 * fl1_fxn * tg_yyyyzzz_xxyyyz_1[j];

                    tg_xyyyyzzz_xxxyyzz_0[j] = pb_x * tg_yyyyzzz_xxxyyzz_0[j] + fr * tg_yyyyzzz_xxxyyzz_1[j] + 1.5 * fl1_fxn * tg_yyyyzzz_xxyyzz_1[j];

                    tg_xyyyyzzz_xxxyzzz_0[j] = pb_x * tg_yyyyzzz_xxxyzzz_0[j] + fr * tg_yyyyzzz_xxxyzzz_1[j] + 1.5 * fl1_fxn * tg_yyyyzzz_xxyzzz_1[j];

                    tg_xyyyyzzz_xxxzzzz_0[j] = pb_x * tg_yyyyzzz_xxxzzzz_0[j] + fr * tg_yyyyzzz_xxxzzzz_1[j] + 1.5 * fl1_fxn * tg_yyyyzzz_xxzzzz_1[j];

                    tg_xyyyyzzz_xxyyyyy_0[j] = pb_x * tg_yyyyzzz_xxyyyyy_0[j] + fr * tg_yyyyzzz_xxyyyyy_1[j] + fl1_fxn * tg_yyyyzzz_xyyyyy_1[j];

                    tg_xyyyyzzz_xxyyyyz_0[j] = pb_x * tg_yyyyzzz_xxyyyyz_0[j] + fr * tg_yyyyzzz_xxyyyyz_1[j] + fl1_fxn * tg_yyyyzzz_xyyyyz_1[j];

                    tg_xyyyyzzz_xxyyyzz_0[j] = pb_x * tg_yyyyzzz_xxyyyzz_0[j] + fr * tg_yyyyzzz_xxyyyzz_1[j] + fl1_fxn * tg_yyyyzzz_xyyyzz_1[j];

                    tg_xyyyyzzz_xxyyzzz_0[j] = pb_x * tg_yyyyzzz_xxyyzzz_0[j] + fr * tg_yyyyzzz_xxyyzzz_1[j] + fl1_fxn * tg_yyyyzzz_xyyzzz_1[j];

                    tg_xyyyyzzz_xxyzzzz_0[j] = pb_x * tg_yyyyzzz_xxyzzzz_0[j] + fr * tg_yyyyzzz_xxyzzzz_1[j] + fl1_fxn * tg_yyyyzzz_xyzzzz_1[j];

                    tg_xyyyyzzz_xxzzzzz_0[j] = pb_x * tg_yyyyzzz_xxzzzzz_0[j] + fr * tg_yyyyzzz_xxzzzzz_1[j] + fl1_fxn * tg_yyyyzzz_xzzzzz_1[j];

                    tg_xyyyyzzz_xyyyyyy_0[j] = pb_x * tg_yyyyzzz_xyyyyyy_0[j] + fr * tg_yyyyzzz_xyyyyyy_1[j] + 0.5 * fl1_fxn * tg_yyyyzzz_yyyyyy_1[j];

                    tg_xyyyyzzz_xyyyyyz_0[j] = pb_x * tg_yyyyzzz_xyyyyyz_0[j] + fr * tg_yyyyzzz_xyyyyyz_1[j] + 0.5 * fl1_fxn * tg_yyyyzzz_yyyyyz_1[j];

                    tg_xyyyyzzz_xyyyyzz_0[j] = pb_x * tg_yyyyzzz_xyyyyzz_0[j] + fr * tg_yyyyzzz_xyyyyzz_1[j] + 0.5 * fl1_fxn * tg_yyyyzzz_yyyyzz_1[j];

                    tg_xyyyyzzz_xyyyzzz_0[j] = pb_x * tg_yyyyzzz_xyyyzzz_0[j] + fr * tg_yyyyzzz_xyyyzzz_1[j] + 0.5 * fl1_fxn * tg_yyyyzzz_yyyzzz_1[j];

                    tg_xyyyyzzz_xyyzzzz_0[j] = pb_x * tg_yyyyzzz_xyyzzzz_0[j] + fr * tg_yyyyzzz_xyyzzzz_1[j] + 0.5 * fl1_fxn * tg_yyyyzzz_yyzzzz_1[j];

                    tg_xyyyyzzz_xyzzzzz_0[j] = pb_x * tg_yyyyzzz_xyzzzzz_0[j] + fr * tg_yyyyzzz_xyzzzzz_1[j] + 0.5 * fl1_fxn * tg_yyyyzzz_yzzzzz_1[j];

                    tg_xyyyyzzz_xzzzzzz_0[j] = pb_x * tg_yyyyzzz_xzzzzzz_0[j] + fr * tg_yyyyzzz_xzzzzzz_1[j] + 0.5 * fl1_fxn * tg_yyyyzzz_zzzzzz_1[j];

                    tg_xyyyyzzz_yyyyyyy_0[j] = pb_x * tg_yyyyzzz_yyyyyyy_0[j] + fr * tg_yyyyzzz_yyyyyyy_1[j];
                }

                idx++;
            }
        }
    }

    void
    compElectronRepulsionForSLSK_1145_1240(      CMemBlock2D<double>* primBuffer,
                                           const CRecursionMap&       recursionMap,
                                           const CMemBlock2D<double>& osFactors,
                                           const CMemBlock2D<double>& wpDistances,
                                           const CGtoPairsBlock&      braGtoPairsBlock,
                                           const CGtoPairsBlock&      ketGtoPairsBlock,
                                           const int32_t              nKetPrimPairs,
                                           const int32_t              iContrPair)
    {
        // Batch of Integrals (1145,1240)

        // set up pointers to primitives data on bra side

        auto spos = braGtoPairsBlock.getStartPositions();

        auto epos = braGtoPairsBlock.getEndPositions();

        // set up pointers to tensor of distance R(PB) = P - B

        auto r_pb_x = braGtoPairsBlock.getDistancesPBX();

        // set up pointers to common Obara-Saika factors

        // set up maximum order of integral

        auto mord = recursionMap.getMaxOrder({"Electron Repulsion"},
                                             {8, -1, -1, -1},
                                             {7, -1, -1, -1},
                                             1, 1);

        for (int32_t iord = 0; iord <= mord; iord++)
        {
            // set up index of integral

            auto pidx_g_8_7_m0 = recursionMap.index(CRecursionTerm({"Electron Repulsion"}, 0, true, 
                                                                   {8, -1, -1, -1}, {7, -1, -1, -1}, 
                                                                   1, 1, iord));

            // check if integral is needed in recursion expansion

            if (pidx_g_8_7_m0 == -1) continue;

            // set up indexes of auxilary integral

            auto pidx_g_7_7_m0 = recursionMap.index(CRecursionTerm({"Electron Repulsion"}, 0, true, 
                                                                   {7, -1, -1, -1}, {7, -1, -1, -1}, 
                                                                   1, 1, iord));

            auto pidx_g_7_7_m1 = recursionMap.index(CRecursionTerm({"Electron Repulsion"}, 0, true, 
                                                                   {7, -1, -1, -1}, {7, -1, -1, -1}, 
                                                                   1, 1, iord + 1));

            auto pidx_g_7_6_m1 = recursionMap.index(CRecursionTerm({"Electron Repulsion"}, 0, true, 
                                                                   {7, -1, -1, -1}, {6, -1, -1, -1}, 
                                                                   1, 1, iord + 1));

            // loop over contracted GTO on bra side

            int32_t idx = 0;

            for (int32_t i = spos[iContrPair]; i < epos[iContrPair]; i++)
            {
                // set up pointers to Obara-Saika factors

                auto fxn = osFactors.data(4 * idx);

                // set up distances R(PB) = P - B

                auto pb_x = r_pb_x[i];

                // set up pointers to tensors product of distances R(WP) = W - P

                auto wp_x = wpDistances.data(3 * idx);

                // set up pointers to auxilary integrals

                auto tg_yyyyzzz_yyyyyyz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1145); 

                auto tg_yyyyzzz_yyyyyzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1146); 

                auto tg_yyyyzzz_yyyyzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1147); 

                auto tg_yyyyzzz_yyyzzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1148); 

                auto tg_yyyyzzz_yyzzzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1149); 

                auto tg_yyyyzzz_yzzzzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1150); 

                auto tg_yyyyzzz_zzzzzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1151); 

                auto tg_yyyzzzz_xxxxxxx_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1152); 

                auto tg_yyyzzzz_xxxxxxy_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1153); 

                auto tg_yyyzzzz_xxxxxxz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1154); 

                auto tg_yyyzzzz_xxxxxyy_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1155); 

                auto tg_yyyzzzz_xxxxxyz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1156); 

                auto tg_yyyzzzz_xxxxxzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1157); 

                auto tg_yyyzzzz_xxxxyyy_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1158); 

                auto tg_yyyzzzz_xxxxyyz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1159); 

                auto tg_yyyzzzz_xxxxyzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1160); 

                auto tg_yyyzzzz_xxxxzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1161); 

                auto tg_yyyzzzz_xxxyyyy_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1162); 

                auto tg_yyyzzzz_xxxyyyz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1163); 

                auto tg_yyyzzzz_xxxyyzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1164); 

                auto tg_yyyzzzz_xxxyzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1165); 

                auto tg_yyyzzzz_xxxzzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1166); 

                auto tg_yyyzzzz_xxyyyyy_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1167); 

                auto tg_yyyzzzz_xxyyyyz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1168); 

                auto tg_yyyzzzz_xxyyyzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1169); 

                auto tg_yyyzzzz_xxyyzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1170); 

                auto tg_yyyzzzz_xxyzzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1171); 

                auto tg_yyyzzzz_xxzzzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1172); 

                auto tg_yyyzzzz_xyyyyyy_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1173); 

                auto tg_yyyzzzz_xyyyyyz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1174); 

                auto tg_yyyzzzz_xyyyyzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1175); 

                auto tg_yyyzzzz_xyyyzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1176); 

                auto tg_yyyzzzz_xyyzzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1177); 

                auto tg_yyyzzzz_xyzzzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1178); 

                auto tg_yyyzzzz_xzzzzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1179); 

                auto tg_yyyzzzz_yyyyyyy_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1180); 

                auto tg_yyyzzzz_yyyyyyz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1181); 

                auto tg_yyyzzzz_yyyyyzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1182); 

                auto tg_yyyzzzz_yyyyzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1183); 

                auto tg_yyyzzzz_yyyzzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1184); 

                auto tg_yyyzzzz_yyzzzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1185); 

                auto tg_yyyzzzz_yzzzzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1186); 

                auto tg_yyyzzzz_zzzzzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1187); 

                auto tg_yyzzzzz_xxxxxxx_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1188); 

                auto tg_yyzzzzz_xxxxxxy_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1189); 

                auto tg_yyzzzzz_xxxxxxz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1190); 

                auto tg_yyzzzzz_xxxxxyy_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1191); 

                auto tg_yyzzzzz_xxxxxyz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1192); 

                auto tg_yyzzzzz_xxxxxzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1193); 

                auto tg_yyzzzzz_xxxxyyy_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1194); 

                auto tg_yyzzzzz_xxxxyyz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1195); 

                auto tg_yyzzzzz_xxxxyzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1196); 

                auto tg_yyzzzzz_xxxxzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1197); 

                auto tg_yyzzzzz_xxxyyyy_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1198); 

                auto tg_yyzzzzz_xxxyyyz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1199); 

                auto tg_yyzzzzz_xxxyyzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1200); 

                auto tg_yyzzzzz_xxxyzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1201); 

                auto tg_yyzzzzz_xxxzzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1202); 

                auto tg_yyzzzzz_xxyyyyy_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1203); 

                auto tg_yyzzzzz_xxyyyyz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1204); 

                auto tg_yyzzzzz_xxyyyzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1205); 

                auto tg_yyzzzzz_xxyyzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1206); 

                auto tg_yyzzzzz_xxyzzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1207); 

                auto tg_yyzzzzz_xxzzzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1208); 

                auto tg_yyzzzzz_xyyyyyy_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1209); 

                auto tg_yyzzzzz_xyyyyyz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1210); 

                auto tg_yyzzzzz_xyyyyzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1211); 

                auto tg_yyzzzzz_xyyyzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1212); 

                auto tg_yyzzzzz_xyyzzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1213); 

                auto tg_yyzzzzz_xyzzzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1214); 

                auto tg_yyzzzzz_xzzzzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1215); 

                auto tg_yyzzzzz_yyyyyyy_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1216); 

                auto tg_yyzzzzz_yyyyyyz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1217); 

                auto tg_yyzzzzz_yyyyyzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1218); 

                auto tg_yyzzzzz_yyyyzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1219); 

                auto tg_yyzzzzz_yyyzzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1220); 

                auto tg_yyzzzzz_yyzzzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1221); 

                auto tg_yyzzzzz_yzzzzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1222); 

                auto tg_yyzzzzz_zzzzzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1223); 

                auto tg_yzzzzzz_xxxxxxx_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1224); 

                auto tg_yzzzzzz_xxxxxxy_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1225); 

                auto tg_yzzzzzz_xxxxxxz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1226); 

                auto tg_yzzzzzz_xxxxxyy_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1227); 

                auto tg_yzzzzzz_xxxxxyz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1228); 

                auto tg_yzzzzzz_xxxxxzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1229); 

                auto tg_yzzzzzz_xxxxyyy_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1230); 

                auto tg_yzzzzzz_xxxxyyz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1231); 

                auto tg_yzzzzzz_xxxxyzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1232); 

                auto tg_yzzzzzz_xxxxzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1233); 

                auto tg_yzzzzzz_xxxyyyy_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1234); 

                auto tg_yzzzzzz_xxxyyyz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1235); 

                auto tg_yzzzzzz_xxxyyzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1236); 

                auto tg_yzzzzzz_xxxyzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1237); 

                auto tg_yzzzzzz_xxxzzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1238); 

                auto tg_yzzzzzz_xxyyyyy_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1239); 

                auto tg_yyyyzzz_yyyyyyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1145); 

                auto tg_yyyyzzz_yyyyyzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1146); 

                auto tg_yyyyzzz_yyyyzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1147); 

                auto tg_yyyyzzz_yyyzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1148); 

                auto tg_yyyyzzz_yyzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1149); 

                auto tg_yyyyzzz_yzzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1150); 

                auto tg_yyyyzzz_zzzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1151); 

                auto tg_yyyzzzz_xxxxxxx_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1152); 

                auto tg_yyyzzzz_xxxxxxy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1153); 

                auto tg_yyyzzzz_xxxxxxz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1154); 

                auto tg_yyyzzzz_xxxxxyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1155); 

                auto tg_yyyzzzz_xxxxxyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1156); 

                auto tg_yyyzzzz_xxxxxzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1157); 

                auto tg_yyyzzzz_xxxxyyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1158); 

                auto tg_yyyzzzz_xxxxyyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1159); 

                auto tg_yyyzzzz_xxxxyzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1160); 

                auto tg_yyyzzzz_xxxxzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1161); 

                auto tg_yyyzzzz_xxxyyyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1162); 

                auto tg_yyyzzzz_xxxyyyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1163); 

                auto tg_yyyzzzz_xxxyyzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1164); 

                auto tg_yyyzzzz_xxxyzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1165); 

                auto tg_yyyzzzz_xxxzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1166); 

                auto tg_yyyzzzz_xxyyyyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1167); 

                auto tg_yyyzzzz_xxyyyyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1168); 

                auto tg_yyyzzzz_xxyyyzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1169); 

                auto tg_yyyzzzz_xxyyzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1170); 

                auto tg_yyyzzzz_xxyzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1171); 

                auto tg_yyyzzzz_xxzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1172); 

                auto tg_yyyzzzz_xyyyyyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1173); 

                auto tg_yyyzzzz_xyyyyyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1174); 

                auto tg_yyyzzzz_xyyyyzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1175); 

                auto tg_yyyzzzz_xyyyzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1176); 

                auto tg_yyyzzzz_xyyzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1177); 

                auto tg_yyyzzzz_xyzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1178); 

                auto tg_yyyzzzz_xzzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1179); 

                auto tg_yyyzzzz_yyyyyyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1180); 

                auto tg_yyyzzzz_yyyyyyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1181); 

                auto tg_yyyzzzz_yyyyyzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1182); 

                auto tg_yyyzzzz_yyyyzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1183); 

                auto tg_yyyzzzz_yyyzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1184); 

                auto tg_yyyzzzz_yyzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1185); 

                auto tg_yyyzzzz_yzzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1186); 

                auto tg_yyyzzzz_zzzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1187); 

                auto tg_yyzzzzz_xxxxxxx_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1188); 

                auto tg_yyzzzzz_xxxxxxy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1189); 

                auto tg_yyzzzzz_xxxxxxz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1190); 

                auto tg_yyzzzzz_xxxxxyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1191); 

                auto tg_yyzzzzz_xxxxxyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1192); 

                auto tg_yyzzzzz_xxxxxzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1193); 

                auto tg_yyzzzzz_xxxxyyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1194); 

                auto tg_yyzzzzz_xxxxyyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1195); 

                auto tg_yyzzzzz_xxxxyzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1196); 

                auto tg_yyzzzzz_xxxxzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1197); 

                auto tg_yyzzzzz_xxxyyyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1198); 

                auto tg_yyzzzzz_xxxyyyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1199); 

                auto tg_yyzzzzz_xxxyyzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1200); 

                auto tg_yyzzzzz_xxxyzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1201); 

                auto tg_yyzzzzz_xxxzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1202); 

                auto tg_yyzzzzz_xxyyyyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1203); 

                auto tg_yyzzzzz_xxyyyyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1204); 

                auto tg_yyzzzzz_xxyyyzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1205); 

                auto tg_yyzzzzz_xxyyzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1206); 

                auto tg_yyzzzzz_xxyzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1207); 

                auto tg_yyzzzzz_xxzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1208); 

                auto tg_yyzzzzz_xyyyyyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1209); 

                auto tg_yyzzzzz_xyyyyyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1210); 

                auto tg_yyzzzzz_xyyyyzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1211); 

                auto tg_yyzzzzz_xyyyzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1212); 

                auto tg_yyzzzzz_xyyzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1213); 

                auto tg_yyzzzzz_xyzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1214); 

                auto tg_yyzzzzz_xzzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1215); 

                auto tg_yyzzzzz_yyyyyyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1216); 

                auto tg_yyzzzzz_yyyyyyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1217); 

                auto tg_yyzzzzz_yyyyyzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1218); 

                auto tg_yyzzzzz_yyyyzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1219); 

                auto tg_yyzzzzz_yyyzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1220); 

                auto tg_yyzzzzz_yyzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1221); 

                auto tg_yyzzzzz_yzzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1222); 

                auto tg_yyzzzzz_zzzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1223); 

                auto tg_yzzzzzz_xxxxxxx_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1224); 

                auto tg_yzzzzzz_xxxxxxy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1225); 

                auto tg_yzzzzzz_xxxxxxz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1226); 

                auto tg_yzzzzzz_xxxxxyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1227); 

                auto tg_yzzzzzz_xxxxxyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1228); 

                auto tg_yzzzzzz_xxxxxzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1229); 

                auto tg_yzzzzzz_xxxxyyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1230); 

                auto tg_yzzzzzz_xxxxyyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1231); 

                auto tg_yzzzzzz_xxxxyzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1232); 

                auto tg_yzzzzzz_xxxxzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1233); 

                auto tg_yzzzzzz_xxxyyyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1234); 

                auto tg_yzzzzzz_xxxyyyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1235); 

                auto tg_yzzzzzz_xxxyyzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1236); 

                auto tg_yzzzzzz_xxxyzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1237); 

                auto tg_yzzzzzz_xxxzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1238); 

                auto tg_yzzzzzz_xxyyyyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1239); 

                auto tg_yyyzzzz_xxxxxx_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 896); 

                auto tg_yyyzzzz_xxxxxy_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 897); 

                auto tg_yyyzzzz_xxxxxz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 898); 

                auto tg_yyyzzzz_xxxxyy_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 899); 

                auto tg_yyyzzzz_xxxxyz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 900); 

                auto tg_yyyzzzz_xxxxzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 901); 

                auto tg_yyyzzzz_xxxyyy_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 902); 

                auto tg_yyyzzzz_xxxyyz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 903); 

                auto tg_yyyzzzz_xxxyzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 904); 

                auto tg_yyyzzzz_xxxzzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 905); 

                auto tg_yyyzzzz_xxyyyy_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 906); 

                auto tg_yyyzzzz_xxyyyz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 907); 

                auto tg_yyyzzzz_xxyyzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 908); 

                auto tg_yyyzzzz_xxyzzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 909); 

                auto tg_yyyzzzz_xxzzzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 910); 

                auto tg_yyyzzzz_xyyyyy_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 911); 

                auto tg_yyyzzzz_xyyyyz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 912); 

                auto tg_yyyzzzz_xyyyzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 913); 

                auto tg_yyyzzzz_xyyzzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 914); 

                auto tg_yyyzzzz_xyzzzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 915); 

                auto tg_yyyzzzz_xzzzzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 916); 

                auto tg_yyyzzzz_yyyyyy_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 917); 

                auto tg_yyyzzzz_yyyyyz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 918); 

                auto tg_yyyzzzz_yyyyzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 919); 

                auto tg_yyyzzzz_yyyzzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 920); 

                auto tg_yyyzzzz_yyzzzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 921); 

                auto tg_yyyzzzz_yzzzzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 922); 

                auto tg_yyyzzzz_zzzzzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 923); 

                auto tg_yyzzzzz_xxxxxx_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 924); 

                auto tg_yyzzzzz_xxxxxy_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 925); 

                auto tg_yyzzzzz_xxxxxz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 926); 

                auto tg_yyzzzzz_xxxxyy_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 927); 

                auto tg_yyzzzzz_xxxxyz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 928); 

                auto tg_yyzzzzz_xxxxzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 929); 

                auto tg_yyzzzzz_xxxyyy_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 930); 

                auto tg_yyzzzzz_xxxyyz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 931); 

                auto tg_yyzzzzz_xxxyzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 932); 

                auto tg_yyzzzzz_xxxzzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 933); 

                auto tg_yyzzzzz_xxyyyy_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 934); 

                auto tg_yyzzzzz_xxyyyz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 935); 

                auto tg_yyzzzzz_xxyyzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 936); 

                auto tg_yyzzzzz_xxyzzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 937); 

                auto tg_yyzzzzz_xxzzzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 938); 

                auto tg_yyzzzzz_xyyyyy_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 939); 

                auto tg_yyzzzzz_xyyyyz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 940); 

                auto tg_yyzzzzz_xyyyzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 941); 

                auto tg_yyzzzzz_xyyzzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 942); 

                auto tg_yyzzzzz_xyzzzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 943); 

                auto tg_yyzzzzz_xzzzzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 944); 

                auto tg_yyzzzzz_yyyyyy_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 945); 

                auto tg_yyzzzzz_yyyyyz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 946); 

                auto tg_yyzzzzz_yyyyzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 947); 

                auto tg_yyzzzzz_yyyzzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 948); 

                auto tg_yyzzzzz_yyzzzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 949); 

                auto tg_yyzzzzz_yzzzzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 950); 

                auto tg_yyzzzzz_zzzzzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 951); 

                auto tg_yzzzzzz_xxxxxx_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 952); 

                auto tg_yzzzzzz_xxxxxy_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 953); 

                auto tg_yzzzzzz_xxxxxz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 954); 

                auto tg_yzzzzzz_xxxxyy_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 955); 

                auto tg_yzzzzzz_xxxxyz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 956); 

                auto tg_yzzzzzz_xxxxzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 957); 

                auto tg_yzzzzzz_xxxyyy_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 958); 

                auto tg_yzzzzzz_xxxyyz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 959); 

                auto tg_yzzzzzz_xxxyzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 960); 

                auto tg_yzzzzzz_xxxzzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 961); 

                auto tg_yzzzzzz_xxyyyy_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 962); 

                auto tg_yzzzzzz_xxyyyz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 963); 

                auto tg_yzzzzzz_xxyyzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 964); 

                auto tg_yzzzzzz_xxyzzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 965); 

                auto tg_yzzzzzz_xxzzzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 966); 

                auto tg_yzzzzzz_xyyyyy_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 967); 

                // set up pointers to integrals

                auto tg_xyyyyzzz_yyyyyyz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1145); 

                auto tg_xyyyyzzz_yyyyyzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1146); 

                auto tg_xyyyyzzz_yyyyzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1147); 

                auto tg_xyyyyzzz_yyyzzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1148); 

                auto tg_xyyyyzzz_yyzzzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1149); 

                auto tg_xyyyyzzz_yzzzzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1150); 

                auto tg_xyyyyzzz_zzzzzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1151); 

                auto tg_xyyyzzzz_xxxxxxx_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1152); 

                auto tg_xyyyzzzz_xxxxxxy_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1153); 

                auto tg_xyyyzzzz_xxxxxxz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1154); 

                auto tg_xyyyzzzz_xxxxxyy_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1155); 

                auto tg_xyyyzzzz_xxxxxyz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1156); 

                auto tg_xyyyzzzz_xxxxxzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1157); 

                auto tg_xyyyzzzz_xxxxyyy_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1158); 

                auto tg_xyyyzzzz_xxxxyyz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1159); 

                auto tg_xyyyzzzz_xxxxyzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1160); 

                auto tg_xyyyzzzz_xxxxzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1161); 

                auto tg_xyyyzzzz_xxxyyyy_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1162); 

                auto tg_xyyyzzzz_xxxyyyz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1163); 

                auto tg_xyyyzzzz_xxxyyzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1164); 

                auto tg_xyyyzzzz_xxxyzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1165); 

                auto tg_xyyyzzzz_xxxzzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1166); 

                auto tg_xyyyzzzz_xxyyyyy_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1167); 

                auto tg_xyyyzzzz_xxyyyyz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1168); 

                auto tg_xyyyzzzz_xxyyyzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1169); 

                auto tg_xyyyzzzz_xxyyzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1170); 

                auto tg_xyyyzzzz_xxyzzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1171); 

                auto tg_xyyyzzzz_xxzzzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1172); 

                auto tg_xyyyzzzz_xyyyyyy_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1173); 

                auto tg_xyyyzzzz_xyyyyyz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1174); 

                auto tg_xyyyzzzz_xyyyyzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1175); 

                auto tg_xyyyzzzz_xyyyzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1176); 

                auto tg_xyyyzzzz_xyyzzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1177); 

                auto tg_xyyyzzzz_xyzzzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1178); 

                auto tg_xyyyzzzz_xzzzzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1179); 

                auto tg_xyyyzzzz_yyyyyyy_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1180); 

                auto tg_xyyyzzzz_yyyyyyz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1181); 

                auto tg_xyyyzzzz_yyyyyzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1182); 

                auto tg_xyyyzzzz_yyyyzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1183); 

                auto tg_xyyyzzzz_yyyzzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1184); 

                auto tg_xyyyzzzz_yyzzzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1185); 

                auto tg_xyyyzzzz_yzzzzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1186); 

                auto tg_xyyyzzzz_zzzzzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1187); 

                auto tg_xyyzzzzz_xxxxxxx_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1188); 

                auto tg_xyyzzzzz_xxxxxxy_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1189); 

                auto tg_xyyzzzzz_xxxxxxz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1190); 

                auto tg_xyyzzzzz_xxxxxyy_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1191); 

                auto tg_xyyzzzzz_xxxxxyz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1192); 

                auto tg_xyyzzzzz_xxxxxzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1193); 

                auto tg_xyyzzzzz_xxxxyyy_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1194); 

                auto tg_xyyzzzzz_xxxxyyz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1195); 

                auto tg_xyyzzzzz_xxxxyzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1196); 

                auto tg_xyyzzzzz_xxxxzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1197); 

                auto tg_xyyzzzzz_xxxyyyy_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1198); 

                auto tg_xyyzzzzz_xxxyyyz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1199); 

                auto tg_xyyzzzzz_xxxyyzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1200); 

                auto tg_xyyzzzzz_xxxyzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1201); 

                auto tg_xyyzzzzz_xxxzzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1202); 

                auto tg_xyyzzzzz_xxyyyyy_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1203); 

                auto tg_xyyzzzzz_xxyyyyz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1204); 

                auto tg_xyyzzzzz_xxyyyzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1205); 

                auto tg_xyyzzzzz_xxyyzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1206); 

                auto tg_xyyzzzzz_xxyzzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1207); 

                auto tg_xyyzzzzz_xxzzzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1208); 

                auto tg_xyyzzzzz_xyyyyyy_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1209); 

                auto tg_xyyzzzzz_xyyyyyz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1210); 

                auto tg_xyyzzzzz_xyyyyzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1211); 

                auto tg_xyyzzzzz_xyyyzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1212); 

                auto tg_xyyzzzzz_xyyzzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1213); 

                auto tg_xyyzzzzz_xyzzzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1214); 

                auto tg_xyyzzzzz_xzzzzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1215); 

                auto tg_xyyzzzzz_yyyyyyy_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1216); 

                auto tg_xyyzzzzz_yyyyyyz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1217); 

                auto tg_xyyzzzzz_yyyyyzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1218); 

                auto tg_xyyzzzzz_yyyyzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1219); 

                auto tg_xyyzzzzz_yyyzzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1220); 

                auto tg_xyyzzzzz_yyzzzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1221); 

                auto tg_xyyzzzzz_yzzzzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1222); 

                auto tg_xyyzzzzz_zzzzzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1223); 

                auto tg_xyzzzzzz_xxxxxxx_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1224); 

                auto tg_xyzzzzzz_xxxxxxy_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1225); 

                auto tg_xyzzzzzz_xxxxxxz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1226); 

                auto tg_xyzzzzzz_xxxxxyy_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1227); 

                auto tg_xyzzzzzz_xxxxxyz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1228); 

                auto tg_xyzzzzzz_xxxxxzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1229); 

                auto tg_xyzzzzzz_xxxxyyy_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1230); 

                auto tg_xyzzzzzz_xxxxyyz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1231); 

                auto tg_xyzzzzzz_xxxxyzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1232); 

                auto tg_xyzzzzzz_xxxxzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1233); 

                auto tg_xyzzzzzz_xxxyyyy_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1234); 

                auto tg_xyzzzzzz_xxxyyyz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1235); 

                auto tg_xyzzzzzz_xxxyyzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1236); 

                auto tg_xyzzzzzz_xxxyzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1237); 

                auto tg_xyzzzzzz_xxxzzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1238); 

                auto tg_xyzzzzzz_xxyyyyy_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1239); 

                // Batch of Integrals (1145,1240)

                #pragma omp simd aligned(fxn, tg_xyyyyzzz_yyyyyyz_0, tg_xyyyyzzz_yyyyyzz_0, \
                                         tg_xyyyyzzz_yyyyzzz_0, tg_xyyyyzzz_yyyzzzz_0, tg_xyyyyzzz_yyzzzzz_0, \
                                         tg_xyyyyzzz_yzzzzzz_0, tg_xyyyyzzz_zzzzzzz_0, tg_xyyyzzzz_xxxxxxx_0, \
                                         tg_xyyyzzzz_xxxxxxy_0, tg_xyyyzzzz_xxxxxxz_0, tg_xyyyzzzz_xxxxxyy_0, \
                                         tg_xyyyzzzz_xxxxxyz_0, tg_xyyyzzzz_xxxxxzz_0, tg_xyyyzzzz_xxxxyyy_0, \
                                         tg_xyyyzzzz_xxxxyyz_0, tg_xyyyzzzz_xxxxyzz_0, tg_xyyyzzzz_xxxxzzz_0, \
                                         tg_xyyyzzzz_xxxyyyy_0, tg_xyyyzzzz_xxxyyyz_0, tg_xyyyzzzz_xxxyyzz_0, \
                                         tg_xyyyzzzz_xxxyzzz_0, tg_xyyyzzzz_xxxzzzz_0, tg_xyyyzzzz_xxyyyyy_0, \
                                         tg_xyyyzzzz_xxyyyyz_0, tg_xyyyzzzz_xxyyyzz_0, tg_xyyyzzzz_xxyyzzz_0, \
                                         tg_xyyyzzzz_xxyzzzz_0, tg_xyyyzzzz_xxzzzzz_0, tg_xyyyzzzz_xyyyyyy_0, \
                                         tg_xyyyzzzz_xyyyyyz_0, tg_xyyyzzzz_xyyyyzz_0, tg_xyyyzzzz_xyyyzzz_0, \
                                         tg_xyyyzzzz_xyyzzzz_0, tg_xyyyzzzz_xyzzzzz_0, tg_xyyyzzzz_xzzzzzz_0, \
                                         tg_xyyyzzzz_yyyyyyy_0, tg_xyyyzzzz_yyyyyyz_0, tg_xyyyzzzz_yyyyyzz_0, \
                                         tg_xyyyzzzz_yyyyzzz_0, tg_xyyyzzzz_yyyzzzz_0, tg_xyyyzzzz_yyzzzzz_0, \
                                         tg_xyyyzzzz_yzzzzzz_0, tg_xyyyzzzz_zzzzzzz_0, tg_xyyzzzzz_xxxxxxx_0, \
                                         tg_xyyzzzzz_xxxxxxy_0, tg_xyyzzzzz_xxxxxxz_0, tg_xyyzzzzz_xxxxxyy_0, \
                                         tg_xyyzzzzz_xxxxxyz_0, tg_xyyzzzzz_xxxxxzz_0, tg_xyyzzzzz_xxxxyyy_0, \
                                         tg_xyyzzzzz_xxxxyyz_0, tg_xyyzzzzz_xxxxyzz_0, tg_xyyzzzzz_xxxxzzz_0, \
                                         tg_xyyzzzzz_xxxyyyy_0, tg_xyyzzzzz_xxxyyyz_0, tg_xyyzzzzz_xxxyyzz_0, \
                                         tg_xyyzzzzz_xxxyzzz_0, tg_xyyzzzzz_xxxzzzz_0, tg_xyyzzzzz_xxyyyyy_0, \
                                         tg_xyyzzzzz_xxyyyyz_0, tg_xyyzzzzz_xxyyyzz_0, tg_xyyzzzzz_xxyyzzz_0, \
                                         tg_xyyzzzzz_xxyzzzz_0, tg_xyyzzzzz_xxzzzzz_0, tg_xyyzzzzz_xyyyyyy_0, \
                                         tg_xyyzzzzz_xyyyyyz_0, tg_xyyzzzzz_xyyyyzz_0, tg_xyyzzzzz_xyyyzzz_0, \
                                         tg_xyyzzzzz_xyyzzzz_0, tg_xyyzzzzz_xyzzzzz_0, tg_xyyzzzzz_xzzzzzz_0, \
                                         tg_xyyzzzzz_yyyyyyy_0, tg_xyyzzzzz_yyyyyyz_0, tg_xyyzzzzz_yyyyyzz_0, \
                                         tg_xyyzzzzz_yyyyzzz_0, tg_xyyzzzzz_yyyzzzz_0, tg_xyyzzzzz_yyzzzzz_0, \
                                         tg_xyyzzzzz_yzzzzzz_0, tg_xyyzzzzz_zzzzzzz_0, tg_xyzzzzzz_xxxxxxx_0, \
                                         tg_xyzzzzzz_xxxxxxy_0, tg_xyzzzzzz_xxxxxxz_0, tg_xyzzzzzz_xxxxxyy_0, \
                                         tg_xyzzzzzz_xxxxxyz_0, tg_xyzzzzzz_xxxxxzz_0, tg_xyzzzzzz_xxxxyyy_0, \
                                         tg_xyzzzzzz_xxxxyyz_0, tg_xyzzzzzz_xxxxyzz_0, tg_xyzzzzzz_xxxxzzz_0, \
                                         tg_xyzzzzzz_xxxyyyy_0, tg_xyzzzzzz_xxxyyyz_0, tg_xyzzzzzz_xxxyyzz_0, \
                                         tg_xyzzzzzz_xxxyzzz_0, tg_xyzzzzzz_xxxzzzz_0, tg_xyzzzzzz_xxyyyyy_0, \
                                         tg_yyyyzzz_yyyyyyz_0, tg_yyyyzzz_yyyyyyz_1, tg_yyyyzzz_yyyyyzz_0, tg_yyyyzzz_yyyyyzz_1, \
                                         tg_yyyyzzz_yyyyzzz_0, tg_yyyyzzz_yyyyzzz_1, tg_yyyyzzz_yyyzzzz_0, tg_yyyyzzz_yyyzzzz_1, \
                                         tg_yyyyzzz_yyzzzzz_0, tg_yyyyzzz_yyzzzzz_1, tg_yyyyzzz_yzzzzzz_0, tg_yyyyzzz_yzzzzzz_1, \
                                         tg_yyyyzzz_zzzzzzz_0, tg_yyyyzzz_zzzzzzz_1, tg_yyyzzzz_xxxxxx_1, tg_yyyzzzz_xxxxxxx_0, \
                                         tg_yyyzzzz_xxxxxxx_1, tg_yyyzzzz_xxxxxxy_0, tg_yyyzzzz_xxxxxxy_1, tg_yyyzzzz_xxxxxxz_0, \
                                         tg_yyyzzzz_xxxxxxz_1, tg_yyyzzzz_xxxxxy_1, tg_yyyzzzz_xxxxxyy_0, tg_yyyzzzz_xxxxxyy_1, \
                                         tg_yyyzzzz_xxxxxyz_0, tg_yyyzzzz_xxxxxyz_1, tg_yyyzzzz_xxxxxz_1, tg_yyyzzzz_xxxxxzz_0, \
                                         tg_yyyzzzz_xxxxxzz_1, tg_yyyzzzz_xxxxyy_1, tg_yyyzzzz_xxxxyyy_0, tg_yyyzzzz_xxxxyyy_1, \
                                         tg_yyyzzzz_xxxxyyz_0, tg_yyyzzzz_xxxxyyz_1, tg_yyyzzzz_xxxxyz_1, tg_yyyzzzz_xxxxyzz_0, \
                                         tg_yyyzzzz_xxxxyzz_1, tg_yyyzzzz_xxxxzz_1, tg_yyyzzzz_xxxxzzz_0, tg_yyyzzzz_xxxxzzz_1, \
                                         tg_yyyzzzz_xxxyyy_1, tg_yyyzzzz_xxxyyyy_0, tg_yyyzzzz_xxxyyyy_1, tg_yyyzzzz_xxxyyyz_0, \
                                         tg_yyyzzzz_xxxyyyz_1, tg_yyyzzzz_xxxyyz_1, tg_yyyzzzz_xxxyyzz_0, tg_yyyzzzz_xxxyyzz_1, \
                                         tg_yyyzzzz_xxxyzz_1, tg_yyyzzzz_xxxyzzz_0, tg_yyyzzzz_xxxyzzz_1, tg_yyyzzzz_xxxzzz_1, \
                                         tg_yyyzzzz_xxxzzzz_0, tg_yyyzzzz_xxxzzzz_1, tg_yyyzzzz_xxyyyy_1, tg_yyyzzzz_xxyyyyy_0, \
                                         tg_yyyzzzz_xxyyyyy_1, tg_yyyzzzz_xxyyyyz_0, tg_yyyzzzz_xxyyyyz_1, tg_yyyzzzz_xxyyyz_1, \
                                         tg_yyyzzzz_xxyyyzz_0, tg_yyyzzzz_xxyyyzz_1, tg_yyyzzzz_xxyyzz_1, tg_yyyzzzz_xxyyzzz_0, \
                                         tg_yyyzzzz_xxyyzzz_1, tg_yyyzzzz_xxyzzz_1, tg_yyyzzzz_xxyzzzz_0, tg_yyyzzzz_xxyzzzz_1, \
                                         tg_yyyzzzz_xxzzzz_1, tg_yyyzzzz_xxzzzzz_0, tg_yyyzzzz_xxzzzzz_1, tg_yyyzzzz_xyyyyy_1, \
                                         tg_yyyzzzz_xyyyyyy_0, tg_yyyzzzz_xyyyyyy_1, tg_yyyzzzz_xyyyyyz_0, tg_yyyzzzz_xyyyyyz_1, \
                                         tg_yyyzzzz_xyyyyz_1, tg_yyyzzzz_xyyyyzz_0, tg_yyyzzzz_xyyyyzz_1, tg_yyyzzzz_xyyyzz_1, \
                                         tg_yyyzzzz_xyyyzzz_0, tg_yyyzzzz_xyyyzzz_1, tg_yyyzzzz_xyyzzz_1, tg_yyyzzzz_xyyzzzz_0, \
                                         tg_yyyzzzz_xyyzzzz_1, tg_yyyzzzz_xyzzzz_1, tg_yyyzzzz_xyzzzzz_0, tg_yyyzzzz_xyzzzzz_1, \
                                         tg_yyyzzzz_xzzzzz_1, tg_yyyzzzz_xzzzzzz_0, tg_yyyzzzz_xzzzzzz_1, tg_yyyzzzz_yyyyyy_1, \
                                         tg_yyyzzzz_yyyyyyy_0, tg_yyyzzzz_yyyyyyy_1, tg_yyyzzzz_yyyyyyz_0, tg_yyyzzzz_yyyyyyz_1, \
                                         tg_yyyzzzz_yyyyyz_1, tg_yyyzzzz_yyyyyzz_0, tg_yyyzzzz_yyyyyzz_1, tg_yyyzzzz_yyyyzz_1, \
                                         tg_yyyzzzz_yyyyzzz_0, tg_yyyzzzz_yyyyzzz_1, tg_yyyzzzz_yyyzzz_1, tg_yyyzzzz_yyyzzzz_0, \
                                         tg_yyyzzzz_yyyzzzz_1, tg_yyyzzzz_yyzzzz_1, tg_yyyzzzz_yyzzzzz_0, tg_yyyzzzz_yyzzzzz_1, \
                                         tg_yyyzzzz_yzzzzz_1, tg_yyyzzzz_yzzzzzz_0, tg_yyyzzzz_yzzzzzz_1, tg_yyyzzzz_zzzzzz_1, \
                                         tg_yyyzzzz_zzzzzzz_0, tg_yyyzzzz_zzzzzzz_1, tg_yyzzzzz_xxxxxx_1, tg_yyzzzzz_xxxxxxx_0, \
                                         tg_yyzzzzz_xxxxxxx_1, tg_yyzzzzz_xxxxxxy_0, tg_yyzzzzz_xxxxxxy_1, tg_yyzzzzz_xxxxxxz_0, \
                                         tg_yyzzzzz_xxxxxxz_1, tg_yyzzzzz_xxxxxy_1, tg_yyzzzzz_xxxxxyy_0, tg_yyzzzzz_xxxxxyy_1, \
                                         tg_yyzzzzz_xxxxxyz_0, tg_yyzzzzz_xxxxxyz_1, tg_yyzzzzz_xxxxxz_1, tg_yyzzzzz_xxxxxzz_0, \
                                         tg_yyzzzzz_xxxxxzz_1, tg_yyzzzzz_xxxxyy_1, tg_yyzzzzz_xxxxyyy_0, tg_yyzzzzz_xxxxyyy_1, \
                                         tg_yyzzzzz_xxxxyyz_0, tg_yyzzzzz_xxxxyyz_1, tg_yyzzzzz_xxxxyz_1, tg_yyzzzzz_xxxxyzz_0, \
                                         tg_yyzzzzz_xxxxyzz_1, tg_yyzzzzz_xxxxzz_1, tg_yyzzzzz_xxxxzzz_0, tg_yyzzzzz_xxxxzzz_1, \
                                         tg_yyzzzzz_xxxyyy_1, tg_yyzzzzz_xxxyyyy_0, tg_yyzzzzz_xxxyyyy_1, tg_yyzzzzz_xxxyyyz_0, \
                                         tg_yyzzzzz_xxxyyyz_1, tg_yyzzzzz_xxxyyz_1, tg_yyzzzzz_xxxyyzz_0, tg_yyzzzzz_xxxyyzz_1, \
                                         tg_yyzzzzz_xxxyzz_1, tg_yyzzzzz_xxxyzzz_0, tg_yyzzzzz_xxxyzzz_1, tg_yyzzzzz_xxxzzz_1, \
                                         tg_yyzzzzz_xxxzzzz_0, tg_yyzzzzz_xxxzzzz_1, tg_yyzzzzz_xxyyyy_1, tg_yyzzzzz_xxyyyyy_0, \
                                         tg_yyzzzzz_xxyyyyy_1, tg_yyzzzzz_xxyyyyz_0, tg_yyzzzzz_xxyyyyz_1, tg_yyzzzzz_xxyyyz_1, \
                                         tg_yyzzzzz_xxyyyzz_0, tg_yyzzzzz_xxyyyzz_1, tg_yyzzzzz_xxyyzz_1, tg_yyzzzzz_xxyyzzz_0, \
                                         tg_yyzzzzz_xxyyzzz_1, tg_yyzzzzz_xxyzzz_1, tg_yyzzzzz_xxyzzzz_0, tg_yyzzzzz_xxyzzzz_1, \
                                         tg_yyzzzzz_xxzzzz_1, tg_yyzzzzz_xxzzzzz_0, tg_yyzzzzz_xxzzzzz_1, tg_yyzzzzz_xyyyyy_1, \
                                         tg_yyzzzzz_xyyyyyy_0, tg_yyzzzzz_xyyyyyy_1, tg_yyzzzzz_xyyyyyz_0, tg_yyzzzzz_xyyyyyz_1, \
                                         tg_yyzzzzz_xyyyyz_1, tg_yyzzzzz_xyyyyzz_0, tg_yyzzzzz_xyyyyzz_1, tg_yyzzzzz_xyyyzz_1, \
                                         tg_yyzzzzz_xyyyzzz_0, tg_yyzzzzz_xyyyzzz_1, tg_yyzzzzz_xyyzzz_1, tg_yyzzzzz_xyyzzzz_0, \
                                         tg_yyzzzzz_xyyzzzz_1, tg_yyzzzzz_xyzzzz_1, tg_yyzzzzz_xyzzzzz_0, tg_yyzzzzz_xyzzzzz_1, \
                                         tg_yyzzzzz_xzzzzz_1, tg_yyzzzzz_xzzzzzz_0, tg_yyzzzzz_xzzzzzz_1, tg_yyzzzzz_yyyyyy_1, \
                                         tg_yyzzzzz_yyyyyyy_0, tg_yyzzzzz_yyyyyyy_1, tg_yyzzzzz_yyyyyyz_0, tg_yyzzzzz_yyyyyyz_1, \
                                         tg_yyzzzzz_yyyyyz_1, tg_yyzzzzz_yyyyyzz_0, tg_yyzzzzz_yyyyyzz_1, tg_yyzzzzz_yyyyzz_1, \
                                         tg_yyzzzzz_yyyyzzz_0, tg_yyzzzzz_yyyyzzz_1, tg_yyzzzzz_yyyzzz_1, tg_yyzzzzz_yyyzzzz_0, \
                                         tg_yyzzzzz_yyyzzzz_1, tg_yyzzzzz_yyzzzz_1, tg_yyzzzzz_yyzzzzz_0, tg_yyzzzzz_yyzzzzz_1, \
                                         tg_yyzzzzz_yzzzzz_1, tg_yyzzzzz_yzzzzzz_0, tg_yyzzzzz_yzzzzzz_1, tg_yyzzzzz_zzzzzz_1, \
                                         tg_yyzzzzz_zzzzzzz_0, tg_yyzzzzz_zzzzzzz_1, tg_yzzzzzz_xxxxxx_1, tg_yzzzzzz_xxxxxxx_0, \
                                         tg_yzzzzzz_xxxxxxx_1, tg_yzzzzzz_xxxxxxy_0, tg_yzzzzzz_xxxxxxy_1, tg_yzzzzzz_xxxxxxz_0, \
                                         tg_yzzzzzz_xxxxxxz_1, tg_yzzzzzz_xxxxxy_1, tg_yzzzzzz_xxxxxyy_0, tg_yzzzzzz_xxxxxyy_1, \
                                         tg_yzzzzzz_xxxxxyz_0, tg_yzzzzzz_xxxxxyz_1, tg_yzzzzzz_xxxxxz_1, tg_yzzzzzz_xxxxxzz_0, \
                                         tg_yzzzzzz_xxxxxzz_1, tg_yzzzzzz_xxxxyy_1, tg_yzzzzzz_xxxxyyy_0, tg_yzzzzzz_xxxxyyy_1, \
                                         tg_yzzzzzz_xxxxyyz_0, tg_yzzzzzz_xxxxyyz_1, tg_yzzzzzz_xxxxyz_1, tg_yzzzzzz_xxxxyzz_0, \
                                         tg_yzzzzzz_xxxxyzz_1, tg_yzzzzzz_xxxxzz_1, tg_yzzzzzz_xxxxzzz_0, tg_yzzzzzz_xxxxzzz_1, \
                                         tg_yzzzzzz_xxxyyy_1, tg_yzzzzzz_xxxyyyy_0, tg_yzzzzzz_xxxyyyy_1, tg_yzzzzzz_xxxyyyz_0, \
                                         tg_yzzzzzz_xxxyyyz_1, tg_yzzzzzz_xxxyyz_1, tg_yzzzzzz_xxxyyzz_0, tg_yzzzzzz_xxxyyzz_1, \
                                         tg_yzzzzzz_xxxyzz_1, tg_yzzzzzz_xxxyzzz_0, tg_yzzzzzz_xxxyzzz_1, tg_yzzzzzz_xxxzzz_1, \
                                         tg_yzzzzzz_xxxzzzz_0, tg_yzzzzzz_xxxzzzz_1, tg_yzzzzzz_xxyyyy_1, tg_yzzzzzz_xxyyyyy_0, \
                                         tg_yzzzzzz_xxyyyyy_1, tg_yzzzzzz_xxyyyz_1, tg_yzzzzzz_xxyyzz_1, tg_yzzzzzz_xxyzzz_1, \
                                         tg_yzzzzzz_xxzzzz_1, tg_yzzzzzz_xyyyyy_1, wp_x: VLX_ALIGN)
                for (int32_t j = 0; j < nKetPrimPairs; j++)
                {
                    double fl1_fxn = fxn[j];

                    double fr = wp_x[j]; 

                    tg_xyyyyzzz_yyyyyyz_0[j] = pb_x * tg_yyyyzzz_yyyyyyz_0[j] + fr * tg_yyyyzzz_yyyyyyz_1[j];

                    tg_xyyyyzzz_yyyyyzz_0[j] = pb_x * tg_yyyyzzz_yyyyyzz_0[j] + fr * tg_yyyyzzz_yyyyyzz_1[j];

                    tg_xyyyyzzz_yyyyzzz_0[j] = pb_x * tg_yyyyzzz_yyyyzzz_0[j] + fr * tg_yyyyzzz_yyyyzzz_1[j];

                    tg_xyyyyzzz_yyyzzzz_0[j] = pb_x * tg_yyyyzzz_yyyzzzz_0[j] + fr * tg_yyyyzzz_yyyzzzz_1[j];

                    tg_xyyyyzzz_yyzzzzz_0[j] = pb_x * tg_yyyyzzz_yyzzzzz_0[j] + fr * tg_yyyyzzz_yyzzzzz_1[j];

                    tg_xyyyyzzz_yzzzzzz_0[j] = pb_x * tg_yyyyzzz_yzzzzzz_0[j] + fr * tg_yyyyzzz_yzzzzzz_1[j];

                    tg_xyyyyzzz_zzzzzzz_0[j] = pb_x * tg_yyyyzzz_zzzzzzz_0[j] + fr * tg_yyyyzzz_zzzzzzz_1[j];

                    tg_xyyyzzzz_xxxxxxx_0[j] = pb_x * tg_yyyzzzz_xxxxxxx_0[j] + fr * tg_yyyzzzz_xxxxxxx_1[j] + 3.5 * fl1_fxn * tg_yyyzzzz_xxxxxx_1[j];

                    tg_xyyyzzzz_xxxxxxy_0[j] = pb_x * tg_yyyzzzz_xxxxxxy_0[j] + fr * tg_yyyzzzz_xxxxxxy_1[j] + 3.0 * fl1_fxn * tg_yyyzzzz_xxxxxy_1[j];

                    tg_xyyyzzzz_xxxxxxz_0[j] = pb_x * tg_yyyzzzz_xxxxxxz_0[j] + fr * tg_yyyzzzz_xxxxxxz_1[j] + 3.0 * fl1_fxn * tg_yyyzzzz_xxxxxz_1[j];

                    tg_xyyyzzzz_xxxxxyy_0[j] = pb_x * tg_yyyzzzz_xxxxxyy_0[j] + fr * tg_yyyzzzz_xxxxxyy_1[j] + 2.5 * fl1_fxn * tg_yyyzzzz_xxxxyy_1[j];

                    tg_xyyyzzzz_xxxxxyz_0[j] = pb_x * tg_yyyzzzz_xxxxxyz_0[j] + fr * tg_yyyzzzz_xxxxxyz_1[j] + 2.5 * fl1_fxn * tg_yyyzzzz_xxxxyz_1[j];

                    tg_xyyyzzzz_xxxxxzz_0[j] = pb_x * tg_yyyzzzz_xxxxxzz_0[j] + fr * tg_yyyzzzz_xxxxxzz_1[j] + 2.5 * fl1_fxn * tg_yyyzzzz_xxxxzz_1[j];

                    tg_xyyyzzzz_xxxxyyy_0[j] = pb_x * tg_yyyzzzz_xxxxyyy_0[j] + fr * tg_yyyzzzz_xxxxyyy_1[j] + 2.0 * fl1_fxn * tg_yyyzzzz_xxxyyy_1[j];

                    tg_xyyyzzzz_xxxxyyz_0[j] = pb_x * tg_yyyzzzz_xxxxyyz_0[j] + fr * tg_yyyzzzz_xxxxyyz_1[j] + 2.0 * fl1_fxn * tg_yyyzzzz_xxxyyz_1[j];

                    tg_xyyyzzzz_xxxxyzz_0[j] = pb_x * tg_yyyzzzz_xxxxyzz_0[j] + fr * tg_yyyzzzz_xxxxyzz_1[j] + 2.0 * fl1_fxn * tg_yyyzzzz_xxxyzz_1[j];

                    tg_xyyyzzzz_xxxxzzz_0[j] = pb_x * tg_yyyzzzz_xxxxzzz_0[j] + fr * tg_yyyzzzz_xxxxzzz_1[j] + 2.0 * fl1_fxn * tg_yyyzzzz_xxxzzz_1[j];

                    tg_xyyyzzzz_xxxyyyy_0[j] = pb_x * tg_yyyzzzz_xxxyyyy_0[j] + fr * tg_yyyzzzz_xxxyyyy_1[j] + 1.5 * fl1_fxn * tg_yyyzzzz_xxyyyy_1[j];

                    tg_xyyyzzzz_xxxyyyz_0[j] = pb_x * tg_yyyzzzz_xxxyyyz_0[j] + fr * tg_yyyzzzz_xxxyyyz_1[j] + 1.5 * fl1_fxn * tg_yyyzzzz_xxyyyz_1[j];

                    tg_xyyyzzzz_xxxyyzz_0[j] = pb_x * tg_yyyzzzz_xxxyyzz_0[j] + fr * tg_yyyzzzz_xxxyyzz_1[j] + 1.5 * fl1_fxn * tg_yyyzzzz_xxyyzz_1[j];

                    tg_xyyyzzzz_xxxyzzz_0[j] = pb_x * tg_yyyzzzz_xxxyzzz_0[j] + fr * tg_yyyzzzz_xxxyzzz_1[j] + 1.5 * fl1_fxn * tg_yyyzzzz_xxyzzz_1[j];

                    tg_xyyyzzzz_xxxzzzz_0[j] = pb_x * tg_yyyzzzz_xxxzzzz_0[j] + fr * tg_yyyzzzz_xxxzzzz_1[j] + 1.5 * fl1_fxn * tg_yyyzzzz_xxzzzz_1[j];

                    tg_xyyyzzzz_xxyyyyy_0[j] = pb_x * tg_yyyzzzz_xxyyyyy_0[j] + fr * tg_yyyzzzz_xxyyyyy_1[j] + fl1_fxn * tg_yyyzzzz_xyyyyy_1[j];

                    tg_xyyyzzzz_xxyyyyz_0[j] = pb_x * tg_yyyzzzz_xxyyyyz_0[j] + fr * tg_yyyzzzz_xxyyyyz_1[j] + fl1_fxn * tg_yyyzzzz_xyyyyz_1[j];

                    tg_xyyyzzzz_xxyyyzz_0[j] = pb_x * tg_yyyzzzz_xxyyyzz_0[j] + fr * tg_yyyzzzz_xxyyyzz_1[j] + fl1_fxn * tg_yyyzzzz_xyyyzz_1[j];

                    tg_xyyyzzzz_xxyyzzz_0[j] = pb_x * tg_yyyzzzz_xxyyzzz_0[j] + fr * tg_yyyzzzz_xxyyzzz_1[j] + fl1_fxn * tg_yyyzzzz_xyyzzz_1[j];

                    tg_xyyyzzzz_xxyzzzz_0[j] = pb_x * tg_yyyzzzz_xxyzzzz_0[j] + fr * tg_yyyzzzz_xxyzzzz_1[j] + fl1_fxn * tg_yyyzzzz_xyzzzz_1[j];

                    tg_xyyyzzzz_xxzzzzz_0[j] = pb_x * tg_yyyzzzz_xxzzzzz_0[j] + fr * tg_yyyzzzz_xxzzzzz_1[j] + fl1_fxn * tg_yyyzzzz_xzzzzz_1[j];

                    tg_xyyyzzzz_xyyyyyy_0[j] = pb_x * tg_yyyzzzz_xyyyyyy_0[j] + fr * tg_yyyzzzz_xyyyyyy_1[j] + 0.5 * fl1_fxn * tg_yyyzzzz_yyyyyy_1[j];

                    tg_xyyyzzzz_xyyyyyz_0[j] = pb_x * tg_yyyzzzz_xyyyyyz_0[j] + fr * tg_yyyzzzz_xyyyyyz_1[j] + 0.5 * fl1_fxn * tg_yyyzzzz_yyyyyz_1[j];

                    tg_xyyyzzzz_xyyyyzz_0[j] = pb_x * tg_yyyzzzz_xyyyyzz_0[j] + fr * tg_yyyzzzz_xyyyyzz_1[j] + 0.5 * fl1_fxn * tg_yyyzzzz_yyyyzz_1[j];

                    tg_xyyyzzzz_xyyyzzz_0[j] = pb_x * tg_yyyzzzz_xyyyzzz_0[j] + fr * tg_yyyzzzz_xyyyzzz_1[j] + 0.5 * fl1_fxn * tg_yyyzzzz_yyyzzz_1[j];

                    tg_xyyyzzzz_xyyzzzz_0[j] = pb_x * tg_yyyzzzz_xyyzzzz_0[j] + fr * tg_yyyzzzz_xyyzzzz_1[j] + 0.5 * fl1_fxn * tg_yyyzzzz_yyzzzz_1[j];

                    tg_xyyyzzzz_xyzzzzz_0[j] = pb_x * tg_yyyzzzz_xyzzzzz_0[j] + fr * tg_yyyzzzz_xyzzzzz_1[j] + 0.5 * fl1_fxn * tg_yyyzzzz_yzzzzz_1[j];

                    tg_xyyyzzzz_xzzzzzz_0[j] = pb_x * tg_yyyzzzz_xzzzzzz_0[j] + fr * tg_yyyzzzz_xzzzzzz_1[j] + 0.5 * fl1_fxn * tg_yyyzzzz_zzzzzz_1[j];

                    tg_xyyyzzzz_yyyyyyy_0[j] = pb_x * tg_yyyzzzz_yyyyyyy_0[j] + fr * tg_yyyzzzz_yyyyyyy_1[j];

                    tg_xyyyzzzz_yyyyyyz_0[j] = pb_x * tg_yyyzzzz_yyyyyyz_0[j] + fr * tg_yyyzzzz_yyyyyyz_1[j];

                    tg_xyyyzzzz_yyyyyzz_0[j] = pb_x * tg_yyyzzzz_yyyyyzz_0[j] + fr * tg_yyyzzzz_yyyyyzz_1[j];

                    tg_xyyyzzzz_yyyyzzz_0[j] = pb_x * tg_yyyzzzz_yyyyzzz_0[j] + fr * tg_yyyzzzz_yyyyzzz_1[j];

                    tg_xyyyzzzz_yyyzzzz_0[j] = pb_x * tg_yyyzzzz_yyyzzzz_0[j] + fr * tg_yyyzzzz_yyyzzzz_1[j];

                    tg_xyyyzzzz_yyzzzzz_0[j] = pb_x * tg_yyyzzzz_yyzzzzz_0[j] + fr * tg_yyyzzzz_yyzzzzz_1[j];

                    tg_xyyyzzzz_yzzzzzz_0[j] = pb_x * tg_yyyzzzz_yzzzzzz_0[j] + fr * tg_yyyzzzz_yzzzzzz_1[j];

                    tg_xyyyzzzz_zzzzzzz_0[j] = pb_x * tg_yyyzzzz_zzzzzzz_0[j] + fr * tg_yyyzzzz_zzzzzzz_1[j];

                    tg_xyyzzzzz_xxxxxxx_0[j] = pb_x * tg_yyzzzzz_xxxxxxx_0[j] + fr * tg_yyzzzzz_xxxxxxx_1[j] + 3.5 * fl1_fxn * tg_yyzzzzz_xxxxxx_1[j];

                    tg_xyyzzzzz_xxxxxxy_0[j] = pb_x * tg_yyzzzzz_xxxxxxy_0[j] + fr * tg_yyzzzzz_xxxxxxy_1[j] + 3.0 * fl1_fxn * tg_yyzzzzz_xxxxxy_1[j];

                    tg_xyyzzzzz_xxxxxxz_0[j] = pb_x * tg_yyzzzzz_xxxxxxz_0[j] + fr * tg_yyzzzzz_xxxxxxz_1[j] + 3.0 * fl1_fxn * tg_yyzzzzz_xxxxxz_1[j];

                    tg_xyyzzzzz_xxxxxyy_0[j] = pb_x * tg_yyzzzzz_xxxxxyy_0[j] + fr * tg_yyzzzzz_xxxxxyy_1[j] + 2.5 * fl1_fxn * tg_yyzzzzz_xxxxyy_1[j];

                    tg_xyyzzzzz_xxxxxyz_0[j] = pb_x * tg_yyzzzzz_xxxxxyz_0[j] + fr * tg_yyzzzzz_xxxxxyz_1[j] + 2.5 * fl1_fxn * tg_yyzzzzz_xxxxyz_1[j];

                    tg_xyyzzzzz_xxxxxzz_0[j] = pb_x * tg_yyzzzzz_xxxxxzz_0[j] + fr * tg_yyzzzzz_xxxxxzz_1[j] + 2.5 * fl1_fxn * tg_yyzzzzz_xxxxzz_1[j];

                    tg_xyyzzzzz_xxxxyyy_0[j] = pb_x * tg_yyzzzzz_xxxxyyy_0[j] + fr * tg_yyzzzzz_xxxxyyy_1[j] + 2.0 * fl1_fxn * tg_yyzzzzz_xxxyyy_1[j];

                    tg_xyyzzzzz_xxxxyyz_0[j] = pb_x * tg_yyzzzzz_xxxxyyz_0[j] + fr * tg_yyzzzzz_xxxxyyz_1[j] + 2.0 * fl1_fxn * tg_yyzzzzz_xxxyyz_1[j];

                    tg_xyyzzzzz_xxxxyzz_0[j] = pb_x * tg_yyzzzzz_xxxxyzz_0[j] + fr * tg_yyzzzzz_xxxxyzz_1[j] + 2.0 * fl1_fxn * tg_yyzzzzz_xxxyzz_1[j];

                    tg_xyyzzzzz_xxxxzzz_0[j] = pb_x * tg_yyzzzzz_xxxxzzz_0[j] + fr * tg_yyzzzzz_xxxxzzz_1[j] + 2.0 * fl1_fxn * tg_yyzzzzz_xxxzzz_1[j];

                    tg_xyyzzzzz_xxxyyyy_0[j] = pb_x * tg_yyzzzzz_xxxyyyy_0[j] + fr * tg_yyzzzzz_xxxyyyy_1[j] + 1.5 * fl1_fxn * tg_yyzzzzz_xxyyyy_1[j];

                    tg_xyyzzzzz_xxxyyyz_0[j] = pb_x * tg_yyzzzzz_xxxyyyz_0[j] + fr * tg_yyzzzzz_xxxyyyz_1[j] + 1.5 * fl1_fxn * tg_yyzzzzz_xxyyyz_1[j];

                    tg_xyyzzzzz_xxxyyzz_0[j] = pb_x * tg_yyzzzzz_xxxyyzz_0[j] + fr * tg_yyzzzzz_xxxyyzz_1[j] + 1.5 * fl1_fxn * tg_yyzzzzz_xxyyzz_1[j];

                    tg_xyyzzzzz_xxxyzzz_0[j] = pb_x * tg_yyzzzzz_xxxyzzz_0[j] + fr * tg_yyzzzzz_xxxyzzz_1[j] + 1.5 * fl1_fxn * tg_yyzzzzz_xxyzzz_1[j];

                    tg_xyyzzzzz_xxxzzzz_0[j] = pb_x * tg_yyzzzzz_xxxzzzz_0[j] + fr * tg_yyzzzzz_xxxzzzz_1[j] + 1.5 * fl1_fxn * tg_yyzzzzz_xxzzzz_1[j];

                    tg_xyyzzzzz_xxyyyyy_0[j] = pb_x * tg_yyzzzzz_xxyyyyy_0[j] + fr * tg_yyzzzzz_xxyyyyy_1[j] + fl1_fxn * tg_yyzzzzz_xyyyyy_1[j];

                    tg_xyyzzzzz_xxyyyyz_0[j] = pb_x * tg_yyzzzzz_xxyyyyz_0[j] + fr * tg_yyzzzzz_xxyyyyz_1[j] + fl1_fxn * tg_yyzzzzz_xyyyyz_1[j];

                    tg_xyyzzzzz_xxyyyzz_0[j] = pb_x * tg_yyzzzzz_xxyyyzz_0[j] + fr * tg_yyzzzzz_xxyyyzz_1[j] + fl1_fxn * tg_yyzzzzz_xyyyzz_1[j];

                    tg_xyyzzzzz_xxyyzzz_0[j] = pb_x * tg_yyzzzzz_xxyyzzz_0[j] + fr * tg_yyzzzzz_xxyyzzz_1[j] + fl1_fxn * tg_yyzzzzz_xyyzzz_1[j];

                    tg_xyyzzzzz_xxyzzzz_0[j] = pb_x * tg_yyzzzzz_xxyzzzz_0[j] + fr * tg_yyzzzzz_xxyzzzz_1[j] + fl1_fxn * tg_yyzzzzz_xyzzzz_1[j];

                    tg_xyyzzzzz_xxzzzzz_0[j] = pb_x * tg_yyzzzzz_xxzzzzz_0[j] + fr * tg_yyzzzzz_xxzzzzz_1[j] + fl1_fxn * tg_yyzzzzz_xzzzzz_1[j];

                    tg_xyyzzzzz_xyyyyyy_0[j] = pb_x * tg_yyzzzzz_xyyyyyy_0[j] + fr * tg_yyzzzzz_xyyyyyy_1[j] + 0.5 * fl1_fxn * tg_yyzzzzz_yyyyyy_1[j];

                    tg_xyyzzzzz_xyyyyyz_0[j] = pb_x * tg_yyzzzzz_xyyyyyz_0[j] + fr * tg_yyzzzzz_xyyyyyz_1[j] + 0.5 * fl1_fxn * tg_yyzzzzz_yyyyyz_1[j];

                    tg_xyyzzzzz_xyyyyzz_0[j] = pb_x * tg_yyzzzzz_xyyyyzz_0[j] + fr * tg_yyzzzzz_xyyyyzz_1[j] + 0.5 * fl1_fxn * tg_yyzzzzz_yyyyzz_1[j];

                    tg_xyyzzzzz_xyyyzzz_0[j] = pb_x * tg_yyzzzzz_xyyyzzz_0[j] + fr * tg_yyzzzzz_xyyyzzz_1[j] + 0.5 * fl1_fxn * tg_yyzzzzz_yyyzzz_1[j];

                    tg_xyyzzzzz_xyyzzzz_0[j] = pb_x * tg_yyzzzzz_xyyzzzz_0[j] + fr * tg_yyzzzzz_xyyzzzz_1[j] + 0.5 * fl1_fxn * tg_yyzzzzz_yyzzzz_1[j];

                    tg_xyyzzzzz_xyzzzzz_0[j] = pb_x * tg_yyzzzzz_xyzzzzz_0[j] + fr * tg_yyzzzzz_xyzzzzz_1[j] + 0.5 * fl1_fxn * tg_yyzzzzz_yzzzzz_1[j];

                    tg_xyyzzzzz_xzzzzzz_0[j] = pb_x * tg_yyzzzzz_xzzzzzz_0[j] + fr * tg_yyzzzzz_xzzzzzz_1[j] + 0.5 * fl1_fxn * tg_yyzzzzz_zzzzzz_1[j];

                    tg_xyyzzzzz_yyyyyyy_0[j] = pb_x * tg_yyzzzzz_yyyyyyy_0[j] + fr * tg_yyzzzzz_yyyyyyy_1[j];

                    tg_xyyzzzzz_yyyyyyz_0[j] = pb_x * tg_yyzzzzz_yyyyyyz_0[j] + fr * tg_yyzzzzz_yyyyyyz_1[j];

                    tg_xyyzzzzz_yyyyyzz_0[j] = pb_x * tg_yyzzzzz_yyyyyzz_0[j] + fr * tg_yyzzzzz_yyyyyzz_1[j];

                    tg_xyyzzzzz_yyyyzzz_0[j] = pb_x * tg_yyzzzzz_yyyyzzz_0[j] + fr * tg_yyzzzzz_yyyyzzz_1[j];

                    tg_xyyzzzzz_yyyzzzz_0[j] = pb_x * tg_yyzzzzz_yyyzzzz_0[j] + fr * tg_yyzzzzz_yyyzzzz_1[j];

                    tg_xyyzzzzz_yyzzzzz_0[j] = pb_x * tg_yyzzzzz_yyzzzzz_0[j] + fr * tg_yyzzzzz_yyzzzzz_1[j];

                    tg_xyyzzzzz_yzzzzzz_0[j] = pb_x * tg_yyzzzzz_yzzzzzz_0[j] + fr * tg_yyzzzzz_yzzzzzz_1[j];

                    tg_xyyzzzzz_zzzzzzz_0[j] = pb_x * tg_yyzzzzz_zzzzzzz_0[j] + fr * tg_yyzzzzz_zzzzzzz_1[j];

                    tg_xyzzzzzz_xxxxxxx_0[j] = pb_x * tg_yzzzzzz_xxxxxxx_0[j] + fr * tg_yzzzzzz_xxxxxxx_1[j] + 3.5 * fl1_fxn * tg_yzzzzzz_xxxxxx_1[j];

                    tg_xyzzzzzz_xxxxxxy_0[j] = pb_x * tg_yzzzzzz_xxxxxxy_0[j] + fr * tg_yzzzzzz_xxxxxxy_1[j] + 3.0 * fl1_fxn * tg_yzzzzzz_xxxxxy_1[j];

                    tg_xyzzzzzz_xxxxxxz_0[j] = pb_x * tg_yzzzzzz_xxxxxxz_0[j] + fr * tg_yzzzzzz_xxxxxxz_1[j] + 3.0 * fl1_fxn * tg_yzzzzzz_xxxxxz_1[j];

                    tg_xyzzzzzz_xxxxxyy_0[j] = pb_x * tg_yzzzzzz_xxxxxyy_0[j] + fr * tg_yzzzzzz_xxxxxyy_1[j] + 2.5 * fl1_fxn * tg_yzzzzzz_xxxxyy_1[j];

                    tg_xyzzzzzz_xxxxxyz_0[j] = pb_x * tg_yzzzzzz_xxxxxyz_0[j] + fr * tg_yzzzzzz_xxxxxyz_1[j] + 2.5 * fl1_fxn * tg_yzzzzzz_xxxxyz_1[j];

                    tg_xyzzzzzz_xxxxxzz_0[j] = pb_x * tg_yzzzzzz_xxxxxzz_0[j] + fr * tg_yzzzzzz_xxxxxzz_1[j] + 2.5 * fl1_fxn * tg_yzzzzzz_xxxxzz_1[j];

                    tg_xyzzzzzz_xxxxyyy_0[j] = pb_x * tg_yzzzzzz_xxxxyyy_0[j] + fr * tg_yzzzzzz_xxxxyyy_1[j] + 2.0 * fl1_fxn * tg_yzzzzzz_xxxyyy_1[j];

                    tg_xyzzzzzz_xxxxyyz_0[j] = pb_x * tg_yzzzzzz_xxxxyyz_0[j] + fr * tg_yzzzzzz_xxxxyyz_1[j] + 2.0 * fl1_fxn * tg_yzzzzzz_xxxyyz_1[j];

                    tg_xyzzzzzz_xxxxyzz_0[j] = pb_x * tg_yzzzzzz_xxxxyzz_0[j] + fr * tg_yzzzzzz_xxxxyzz_1[j] + 2.0 * fl1_fxn * tg_yzzzzzz_xxxyzz_1[j];

                    tg_xyzzzzzz_xxxxzzz_0[j] = pb_x * tg_yzzzzzz_xxxxzzz_0[j] + fr * tg_yzzzzzz_xxxxzzz_1[j] + 2.0 * fl1_fxn * tg_yzzzzzz_xxxzzz_1[j];

                    tg_xyzzzzzz_xxxyyyy_0[j] = pb_x * tg_yzzzzzz_xxxyyyy_0[j] + fr * tg_yzzzzzz_xxxyyyy_1[j] + 1.5 * fl1_fxn * tg_yzzzzzz_xxyyyy_1[j];

                    tg_xyzzzzzz_xxxyyyz_0[j] = pb_x * tg_yzzzzzz_xxxyyyz_0[j] + fr * tg_yzzzzzz_xxxyyyz_1[j] + 1.5 * fl1_fxn * tg_yzzzzzz_xxyyyz_1[j];

                    tg_xyzzzzzz_xxxyyzz_0[j] = pb_x * tg_yzzzzzz_xxxyyzz_0[j] + fr * tg_yzzzzzz_xxxyyzz_1[j] + 1.5 * fl1_fxn * tg_yzzzzzz_xxyyzz_1[j];

                    tg_xyzzzzzz_xxxyzzz_0[j] = pb_x * tg_yzzzzzz_xxxyzzz_0[j] + fr * tg_yzzzzzz_xxxyzzz_1[j] + 1.5 * fl1_fxn * tg_yzzzzzz_xxyzzz_1[j];

                    tg_xyzzzzzz_xxxzzzz_0[j] = pb_x * tg_yzzzzzz_xxxzzzz_0[j] + fr * tg_yzzzzzz_xxxzzzz_1[j] + 1.5 * fl1_fxn * tg_yzzzzzz_xxzzzz_1[j];

                    tg_xyzzzzzz_xxyyyyy_0[j] = pb_x * tg_yzzzzzz_xxyyyyy_0[j] + fr * tg_yzzzzzz_xxyyyyy_1[j] + fl1_fxn * tg_yzzzzzz_xyyyyy_1[j];
                }

                idx++;
            }
        }
    }

    void
    compElectronRepulsionForSLSK_1240_1335(      CMemBlock2D<double>* primBuffer,
                                           const CRecursionMap&       recursionMap,
                                           const CMemBlock2D<double>& osFactors,
                                           const CMemBlock2D<double>& wpDistances,
                                           const CGtoPairsBlock&      braGtoPairsBlock,
                                           const CGtoPairsBlock&      ketGtoPairsBlock,
                                           const int32_t              nKetPrimPairs,
                                           const int32_t              iContrPair)
    {
        // Batch of Integrals (1240,1335)

        // set up pointers to primitives data on bra side

        auto spos = braGtoPairsBlock.getStartPositions();

        auto epos = braGtoPairsBlock.getEndPositions();

        // set up pointers to tensor of distance R(PB) = P - B

        auto r_pb_x = braGtoPairsBlock.getDistancesPBX();

        auto r_pb_y = braGtoPairsBlock.getDistancesPBY();

        // set up pointers to common Obara-Saika factors

        auto b_fx = braGtoPairsBlock.getFactorsOneOverXi();

        // set up maximum order of integral

        auto mord = recursionMap.getMaxOrder({"Electron Repulsion"},
                                             {8, -1, -1, -1},
                                             {7, -1, -1, -1},
                                             1, 1);

        for (int32_t iord = 0; iord <= mord; iord++)
        {
            // set up index of integral

            auto pidx_g_8_7_m0 = recursionMap.index(CRecursionTerm({"Electron Repulsion"}, 0, true, 
                                                                   {8, -1, -1, -1}, {7, -1, -1, -1}, 
                                                                   1, 1, iord));

            // check if integral is needed in recursion expansion

            if (pidx_g_8_7_m0 == -1) continue;

            // set up indexes of auxilary integral

            auto pidx_g_7_7_m0 = recursionMap.index(CRecursionTerm({"Electron Repulsion"}, 0, true, 
                                                                   {7, -1, -1, -1}, {7, -1, -1, -1}, 
                                                                   1, 1, iord));

            auto pidx_g_7_7_m1 = recursionMap.index(CRecursionTerm({"Electron Repulsion"}, 0, true, 
                                                                   {7, -1, -1, -1}, {7, -1, -1, -1}, 
                                                                   1, 1, iord + 1));

            auto pidx_g_7_6_m1 = recursionMap.index(CRecursionTerm({"Electron Repulsion"}, 0, true, 
                                                                   {7, -1, -1, -1}, {6, -1, -1, -1}, 
                                                                   1, 1, iord + 1));

            auto pidx_g_6_7_m0 = recursionMap.index(CRecursionTerm({"Electron Repulsion"}, 0, true, 
                                                                   {6, -1, -1, -1}, {7, -1, -1, -1}, 
                                                                   1, 1, iord));

            auto pidx_g_6_7_m1 = recursionMap.index(CRecursionTerm({"Electron Repulsion"}, 0, true, 
                                                                   {6, -1, -1, -1}, {7, -1, -1, -1}, 
                                                                   1, 1, iord + 1));

            // loop over contracted GTO on bra side

            int32_t idx = 0;

            for (int32_t i = spos[iContrPair]; i < epos[iContrPair]; i++)
            {
                // set up pointers to Obara-Saika factors

                double fx = b_fx[i];

                auto fza = osFactors.data(4 * idx + 2);

                auto fxn = osFactors.data(4 * idx);

                // set up distances R(PB) = P - B

                auto pb_x = r_pb_x[i];

                auto pb_y = r_pb_y[i];

                // set up pointers to tensors product of distances R(WP) = W - P

                auto wp_x = wpDistances.data(3 * idx);

                auto wp_y = wpDistances.data(3 * idx + 1);

                // set up pointers to auxilary integrals

                auto tg_yyyyyyy_xxxxxxx_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1008); 

                auto tg_yyyyyyy_xxxxxxy_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1009); 

                auto tg_yyyyyyy_xxxxxxz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1010); 

                auto tg_yyyyyyy_xxxxxyy_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1011); 

                auto tg_yyyyyyy_xxxxxyz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1012); 

                auto tg_yyyyyyy_xxxxxzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1013); 

                auto tg_yyyyyyy_xxxxyyy_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1014); 

                auto tg_yyyyyyy_xxxxyyz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1015); 

                auto tg_yyyyyyy_xxxxyzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1016); 

                auto tg_yyyyyyy_xxxxzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1017); 

                auto tg_yyyyyyy_xxxyyyy_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1018); 

                auto tg_yyyyyyy_xxxyyyz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1019); 

                auto tg_yyyyyyy_xxxyyzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1020); 

                auto tg_yyyyyyy_xxxyzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1021); 

                auto tg_yyyyyyy_xxxzzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1022); 

                auto tg_yyyyyyy_xxyyyyy_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1023); 

                auto tg_yyyyyyy_xxyyyyz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1024); 

                auto tg_yyyyyyy_xxyyyzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1025); 

                auto tg_yyyyyyy_xxyyzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1026); 

                auto tg_yyyyyyy_xxyzzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1027); 

                auto tg_yyyyyyy_xxzzzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1028); 

                auto tg_yyyyyyy_xyyyyyy_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1029); 

                auto tg_yyyyyyy_xyyyyyz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1030); 

                auto tg_yyyyyyy_xyyyyzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1031); 

                auto tg_yyyyyyy_xyyyzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1032); 

                auto tg_yyyyyyy_xyyzzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1033); 

                auto tg_yyyyyyy_xyzzzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1034); 

                auto tg_yyyyyyy_xzzzzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1035); 

                auto tg_yyyyyyy_yyyyyyy_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1036); 

                auto tg_yyyyyyy_yyyyyyz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1037); 

                auto tg_yyyyyyy_yyyyyzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1038); 

                auto tg_yyyyyyy_yyyyzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1039); 

                auto tg_yyyyyyy_yyyzzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1040); 

                auto tg_yyyyyyy_yyzzzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1041); 

                auto tg_yyyyyyy_yzzzzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1042); 

                auto tg_yyyyyyy_zzzzzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1043); 

                auto tg_yyyyyyz_xxxxxxx_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1044); 

                auto tg_yyyyyyz_xxxxxxy_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1045); 

                auto tg_yyyyyyz_xxxxxxz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1046); 

                auto tg_yzzzzzz_xxyyyyz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1240); 

                auto tg_yzzzzzz_xxyyyzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1241); 

                auto tg_yzzzzzz_xxyyzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1242); 

                auto tg_yzzzzzz_xxyzzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1243); 

                auto tg_yzzzzzz_xxzzzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1244); 

                auto tg_yzzzzzz_xyyyyyy_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1245); 

                auto tg_yzzzzzz_xyyyyyz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1246); 

                auto tg_yzzzzzz_xyyyyzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1247); 

                auto tg_yzzzzzz_xyyyzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1248); 

                auto tg_yzzzzzz_xyyzzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1249); 

                auto tg_yzzzzzz_xyzzzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1250); 

                auto tg_yzzzzzz_xzzzzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1251); 

                auto tg_yzzzzzz_yyyyyyy_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1252); 

                auto tg_yzzzzzz_yyyyyyz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1253); 

                auto tg_yzzzzzz_yyyyyzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1254); 

                auto tg_yzzzzzz_yyyyzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1255); 

                auto tg_yzzzzzz_yyyzzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1256); 

                auto tg_yzzzzzz_yyzzzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1257); 

                auto tg_yzzzzzz_yzzzzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1258); 

                auto tg_yzzzzzz_zzzzzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1259); 

                auto tg_zzzzzzz_xxxxxxx_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1260); 

                auto tg_zzzzzzz_xxxxxxy_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1261); 

                auto tg_zzzzzzz_xxxxxxz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1262); 

                auto tg_zzzzzzz_xxxxxyy_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1263); 

                auto tg_zzzzzzz_xxxxxyz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1264); 

                auto tg_zzzzzzz_xxxxxzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1265); 

                auto tg_zzzzzzz_xxxxyyy_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1266); 

                auto tg_zzzzzzz_xxxxyyz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1267); 

                auto tg_zzzzzzz_xxxxyzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1268); 

                auto tg_zzzzzzz_xxxxzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1269); 

                auto tg_zzzzzzz_xxxyyyy_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1270); 

                auto tg_zzzzzzz_xxxyyyz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1271); 

                auto tg_zzzzzzz_xxxyyzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1272); 

                auto tg_zzzzzzz_xxxyzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1273); 

                auto tg_zzzzzzz_xxxzzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1274); 

                auto tg_zzzzzzz_xxyyyyy_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1275); 

                auto tg_zzzzzzz_xxyyyyz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1276); 

                auto tg_zzzzzzz_xxyyyzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1277); 

                auto tg_zzzzzzz_xxyyzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1278); 

                auto tg_zzzzzzz_xxyzzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1279); 

                auto tg_zzzzzzz_xxzzzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1280); 

                auto tg_zzzzzzz_xyyyyyy_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1281); 

                auto tg_zzzzzzz_xyyyyyz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1282); 

                auto tg_zzzzzzz_xyyyyzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1283); 

                auto tg_zzzzzzz_xyyyzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1284); 

                auto tg_zzzzzzz_xyyzzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1285); 

                auto tg_zzzzzzz_xyzzzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1286); 

                auto tg_zzzzzzz_xzzzzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1287); 

                auto tg_zzzzzzz_yyyyyyy_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1288); 

                auto tg_zzzzzzz_yyyyyyz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1289); 

                auto tg_zzzzzzz_yyyyyzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1290); 

                auto tg_zzzzzzz_yyyyzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1291); 

                auto tg_zzzzzzz_yyyzzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1292); 

                auto tg_zzzzzzz_yyzzzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1293); 

                auto tg_zzzzzzz_yzzzzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1294); 

                auto tg_zzzzzzz_zzzzzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1295); 

                auto tg_yyyyyyy_xxxxxxx_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1008); 

                auto tg_yyyyyyy_xxxxxxy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1009); 

                auto tg_yyyyyyy_xxxxxxz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1010); 

                auto tg_yyyyyyy_xxxxxyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1011); 

                auto tg_yyyyyyy_xxxxxyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1012); 

                auto tg_yyyyyyy_xxxxxzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1013); 

                auto tg_yyyyyyy_xxxxyyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1014); 

                auto tg_yyyyyyy_xxxxyyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1015); 

                auto tg_yyyyyyy_xxxxyzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1016); 

                auto tg_yyyyyyy_xxxxzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1017); 

                auto tg_yyyyyyy_xxxyyyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1018); 

                auto tg_yyyyyyy_xxxyyyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1019); 

                auto tg_yyyyyyy_xxxyyzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1020); 

                auto tg_yyyyyyy_xxxyzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1021); 

                auto tg_yyyyyyy_xxxzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1022); 

                auto tg_yyyyyyy_xxyyyyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1023); 

                auto tg_yyyyyyy_xxyyyyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1024); 

                auto tg_yyyyyyy_xxyyyzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1025); 

                auto tg_yyyyyyy_xxyyzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1026); 

                auto tg_yyyyyyy_xxyzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1027); 

                auto tg_yyyyyyy_xxzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1028); 

                auto tg_yyyyyyy_xyyyyyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1029); 

                auto tg_yyyyyyy_xyyyyyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1030); 

                auto tg_yyyyyyy_xyyyyzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1031); 

                auto tg_yyyyyyy_xyyyzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1032); 

                auto tg_yyyyyyy_xyyzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1033); 

                auto tg_yyyyyyy_xyzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1034); 

                auto tg_yyyyyyy_xzzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1035); 

                auto tg_yyyyyyy_yyyyyyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1036); 

                auto tg_yyyyyyy_yyyyyyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1037); 

                auto tg_yyyyyyy_yyyyyzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1038); 

                auto tg_yyyyyyy_yyyyzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1039); 

                auto tg_yyyyyyy_yyyzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1040); 

                auto tg_yyyyyyy_yyzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1041); 

                auto tg_yyyyyyy_yzzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1042); 

                auto tg_yyyyyyy_zzzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1043); 

                auto tg_yyyyyyz_xxxxxxx_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1044); 

                auto tg_yyyyyyz_xxxxxxy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1045); 

                auto tg_yyyyyyz_xxxxxxz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1046); 

                auto tg_yzzzzzz_xxyyyyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1240); 

                auto tg_yzzzzzz_xxyyyzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1241); 

                auto tg_yzzzzzz_xxyyzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1242); 

                auto tg_yzzzzzz_xxyzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1243); 

                auto tg_yzzzzzz_xxzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1244); 

                auto tg_yzzzzzz_xyyyyyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1245); 

                auto tg_yzzzzzz_xyyyyyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1246); 

                auto tg_yzzzzzz_xyyyyzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1247); 

                auto tg_yzzzzzz_xyyyzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1248); 

                auto tg_yzzzzzz_xyyzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1249); 

                auto tg_yzzzzzz_xyzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1250); 

                auto tg_yzzzzzz_xzzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1251); 

                auto tg_yzzzzzz_yyyyyyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1252); 

                auto tg_yzzzzzz_yyyyyyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1253); 

                auto tg_yzzzzzz_yyyyyzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1254); 

                auto tg_yzzzzzz_yyyyzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1255); 

                auto tg_yzzzzzz_yyyzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1256); 

                auto tg_yzzzzzz_yyzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1257); 

                auto tg_yzzzzzz_yzzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1258); 

                auto tg_yzzzzzz_zzzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1259); 

                auto tg_zzzzzzz_xxxxxxx_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1260); 

                auto tg_zzzzzzz_xxxxxxy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1261); 

                auto tg_zzzzzzz_xxxxxxz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1262); 

                auto tg_zzzzzzz_xxxxxyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1263); 

                auto tg_zzzzzzz_xxxxxyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1264); 

                auto tg_zzzzzzz_xxxxxzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1265); 

                auto tg_zzzzzzz_xxxxyyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1266); 

                auto tg_zzzzzzz_xxxxyyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1267); 

                auto tg_zzzzzzz_xxxxyzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1268); 

                auto tg_zzzzzzz_xxxxzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1269); 

                auto tg_zzzzzzz_xxxyyyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1270); 

                auto tg_zzzzzzz_xxxyyyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1271); 

                auto tg_zzzzzzz_xxxyyzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1272); 

                auto tg_zzzzzzz_xxxyzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1273); 

                auto tg_zzzzzzz_xxxzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1274); 

                auto tg_zzzzzzz_xxyyyyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1275); 

                auto tg_zzzzzzz_xxyyyyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1276); 

                auto tg_zzzzzzz_xxyyyzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1277); 

                auto tg_zzzzzzz_xxyyzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1278); 

                auto tg_zzzzzzz_xxyzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1279); 

                auto tg_zzzzzzz_xxzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1280); 

                auto tg_zzzzzzz_xyyyyyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1281); 

                auto tg_zzzzzzz_xyyyyyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1282); 

                auto tg_zzzzzzz_xyyyyzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1283); 

                auto tg_zzzzzzz_xyyyzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1284); 

                auto tg_zzzzzzz_xyyzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1285); 

                auto tg_zzzzzzz_xyzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1286); 

                auto tg_zzzzzzz_xzzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1287); 

                auto tg_zzzzzzz_yyyyyyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1288); 

                auto tg_zzzzzzz_yyyyyyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1289); 

                auto tg_zzzzzzz_yyyyyzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1290); 

                auto tg_zzzzzzz_yyyyzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1291); 

                auto tg_zzzzzzz_yyyzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1292); 

                auto tg_zzzzzzz_yyzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1293); 

                auto tg_zzzzzzz_yzzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1294); 

                auto tg_zzzzzzz_zzzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1295); 

                auto tg_yyyyyy_xxxxxxx_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 756); 

                auto tg_yyyyyy_xxxxxxy_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 757); 

                auto tg_yyyyyy_xxxxxxz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 758); 

                auto tg_yyyyyy_xxxxxyy_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 759); 

                auto tg_yyyyyy_xxxxxyz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 760); 

                auto tg_yyyyyy_xxxxxzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 761); 

                auto tg_yyyyyy_xxxxyyy_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 762); 

                auto tg_yyyyyy_xxxxyyz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 763); 

                auto tg_yyyyyy_xxxxyzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 764); 

                auto tg_yyyyyy_xxxxzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 765); 

                auto tg_yyyyyy_xxxyyyy_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 766); 

                auto tg_yyyyyy_xxxyyyz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 767); 

                auto tg_yyyyyy_xxxyyzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 768); 

                auto tg_yyyyyy_xxxyzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 769); 

                auto tg_yyyyyy_xxxzzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 770); 

                auto tg_yyyyyy_xxyyyyy_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 771); 

                auto tg_yyyyyy_xxyyyyz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 772); 

                auto tg_yyyyyy_xxyyyzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 773); 

                auto tg_yyyyyy_xxyyzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 774); 

                auto tg_yyyyyy_xxyzzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 775); 

                auto tg_yyyyyy_xxzzzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 776); 

                auto tg_yyyyyy_xyyyyyy_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 777); 

                auto tg_yyyyyy_xyyyyyz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 778); 

                auto tg_yyyyyy_xyyyyzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 779); 

                auto tg_yyyyyy_xyyyzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 780); 

                auto tg_yyyyyy_xyyzzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 781); 

                auto tg_yyyyyy_xyzzzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 782); 

                auto tg_yyyyyy_xzzzzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 783); 

                auto tg_yyyyyy_yyyyyyy_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 784); 

                auto tg_yyyyyy_yyyyyyz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 785); 

                auto tg_yyyyyy_yyyyyzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 786); 

                auto tg_yyyyyy_yyyyzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 787); 

                auto tg_yyyyyy_yyyzzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 788); 

                auto tg_yyyyyy_yyzzzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 789); 

                auto tg_yyyyyy_yzzzzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 790); 

                auto tg_yyyyyy_zzzzzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 791); 

                auto tg_yyyyyz_xxxxxxx_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 792); 

                auto tg_yyyyyz_xxxxxxy_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 793); 

                auto tg_yyyyyz_xxxxxxz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 794); 

                auto tg_yyyyyy_xxxxxxx_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 756); 

                auto tg_yyyyyy_xxxxxxy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 757); 

                auto tg_yyyyyy_xxxxxxz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 758); 

                auto tg_yyyyyy_xxxxxyy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 759); 

                auto tg_yyyyyy_xxxxxyz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 760); 

                auto tg_yyyyyy_xxxxxzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 761); 

                auto tg_yyyyyy_xxxxyyy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 762); 

                auto tg_yyyyyy_xxxxyyz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 763); 

                auto tg_yyyyyy_xxxxyzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 764); 

                auto tg_yyyyyy_xxxxzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 765); 

                auto tg_yyyyyy_xxxyyyy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 766); 

                auto tg_yyyyyy_xxxyyyz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 767); 

                auto tg_yyyyyy_xxxyyzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 768); 

                auto tg_yyyyyy_xxxyzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 769); 

                auto tg_yyyyyy_xxxzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 770); 

                auto tg_yyyyyy_xxyyyyy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 771); 

                auto tg_yyyyyy_xxyyyyz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 772); 

                auto tg_yyyyyy_xxyyyzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 773); 

                auto tg_yyyyyy_xxyyzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 774); 

                auto tg_yyyyyy_xxyzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 775); 

                auto tg_yyyyyy_xxzzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 776); 

                auto tg_yyyyyy_xyyyyyy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 777); 

                auto tg_yyyyyy_xyyyyyz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 778); 

                auto tg_yyyyyy_xyyyyzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 779); 

                auto tg_yyyyyy_xyyyzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 780); 

                auto tg_yyyyyy_xyyzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 781); 

                auto tg_yyyyyy_xyzzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 782); 

                auto tg_yyyyyy_xzzzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 783); 

                auto tg_yyyyyy_yyyyyyy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 784); 

                auto tg_yyyyyy_yyyyyyz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 785); 

                auto tg_yyyyyy_yyyyyzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 786); 

                auto tg_yyyyyy_yyyyzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 787); 

                auto tg_yyyyyy_yyyzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 788); 

                auto tg_yyyyyy_yyzzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 789); 

                auto tg_yyyyyy_yzzzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 790); 

                auto tg_yyyyyy_zzzzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 791); 

                auto tg_yyyyyz_xxxxxxx_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 792); 

                auto tg_yyyyyz_xxxxxxy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 793); 

                auto tg_yyyyyz_xxxxxxz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 794); 

                auto tg_yyyyyyy_xxxxxx_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 784); 

                auto tg_yyyyyyy_xxxxxy_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 785); 

                auto tg_yyyyyyy_xxxxxz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 786); 

                auto tg_yyyyyyy_xxxxyy_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 787); 

                auto tg_yyyyyyy_xxxxyz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 788); 

                auto tg_yyyyyyy_xxxxzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 789); 

                auto tg_yyyyyyy_xxxyyy_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 790); 

                auto tg_yyyyyyy_xxxyyz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 791); 

                auto tg_yyyyyyy_xxxyzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 792); 

                auto tg_yyyyyyy_xxxzzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 793); 

                auto tg_yyyyyyy_xxyyyy_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 794); 

                auto tg_yyyyyyy_xxyyyz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 795); 

                auto tg_yyyyyyy_xxyyzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 796); 

                auto tg_yyyyyyy_xxyzzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 797); 

                auto tg_yyyyyyy_xxzzzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 798); 

                auto tg_yyyyyyy_xyyyyy_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 799); 

                auto tg_yyyyyyy_xyyyyz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 800); 

                auto tg_yyyyyyy_xyyyzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 801); 

                auto tg_yyyyyyy_xyyzzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 802); 

                auto tg_yyyyyyy_xyzzzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 803); 

                auto tg_yyyyyyy_xzzzzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 804); 

                auto tg_yyyyyyy_yyyyyy_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 805); 

                auto tg_yyyyyyy_yyyyyz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 806); 

                auto tg_yyyyyyy_yyyyzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 807); 

                auto tg_yyyyyyy_yyyzzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 808); 

                auto tg_yyyyyyy_yyzzzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 809); 

                auto tg_yyyyyyy_yzzzzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 810); 

                auto tg_yyyyyyy_zzzzzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 811); 

                auto tg_yyyyyyz_xxxxxx_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 812); 

                auto tg_yzzzzzz_xyyyyz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 968); 

                auto tg_yzzzzzz_xyyyzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 969); 

                auto tg_yzzzzzz_xyyzzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 970); 

                auto tg_yzzzzzz_xyzzzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 971); 

                auto tg_yzzzzzz_xzzzzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 972); 

                auto tg_yzzzzzz_yyyyyy_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 973); 

                auto tg_yzzzzzz_yyyyyz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 974); 

                auto tg_yzzzzzz_yyyyzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 975); 

                auto tg_yzzzzzz_yyyzzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 976); 

                auto tg_yzzzzzz_yyzzzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 977); 

                auto tg_yzzzzzz_yzzzzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 978); 

                auto tg_yzzzzzz_zzzzzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 979); 

                auto tg_zzzzzzz_xxxxxx_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 980); 

                auto tg_zzzzzzz_xxxxxy_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 981); 

                auto tg_zzzzzzz_xxxxxz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 982); 

                auto tg_zzzzzzz_xxxxyy_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 983); 

                auto tg_zzzzzzz_xxxxyz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 984); 

                auto tg_zzzzzzz_xxxxzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 985); 

                auto tg_zzzzzzz_xxxyyy_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 986); 

                auto tg_zzzzzzz_xxxyyz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 987); 

                auto tg_zzzzzzz_xxxyzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 988); 

                auto tg_zzzzzzz_xxxzzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 989); 

                auto tg_zzzzzzz_xxyyyy_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 990); 

                auto tg_zzzzzzz_xxyyyz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 991); 

                auto tg_zzzzzzz_xxyyzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 992); 

                auto tg_zzzzzzz_xxyzzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 993); 

                auto tg_zzzzzzz_xxzzzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 994); 

                auto tg_zzzzzzz_xyyyyy_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 995); 

                auto tg_zzzzzzz_xyyyyz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 996); 

                auto tg_zzzzzzz_xyyyzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 997); 

                auto tg_zzzzzzz_xyyzzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 998); 

                auto tg_zzzzzzz_xyzzzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 999); 

                auto tg_zzzzzzz_xzzzzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 1000); 

                auto tg_zzzzzzz_yyyyyy_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 1001); 

                auto tg_zzzzzzz_yyyyyz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 1002); 

                auto tg_zzzzzzz_yyyyzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 1003); 

                auto tg_zzzzzzz_yyyzzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 1004); 

                auto tg_zzzzzzz_yyzzzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 1005); 

                auto tg_zzzzzzz_yzzzzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 1006); 

                auto tg_zzzzzzz_zzzzzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 1007); 

                // set up pointers to integrals

                auto tg_xyzzzzzz_xxyyyyz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1240); 

                auto tg_xyzzzzzz_xxyyyzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1241); 

                auto tg_xyzzzzzz_xxyyzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1242); 

                auto tg_xyzzzzzz_xxyzzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1243); 

                auto tg_xyzzzzzz_xxzzzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1244); 

                auto tg_xyzzzzzz_xyyyyyy_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1245); 

                auto tg_xyzzzzzz_xyyyyyz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1246); 

                auto tg_xyzzzzzz_xyyyyzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1247); 

                auto tg_xyzzzzzz_xyyyzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1248); 

                auto tg_xyzzzzzz_xyyzzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1249); 

                auto tg_xyzzzzzz_xyzzzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1250); 

                auto tg_xyzzzzzz_xzzzzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1251); 

                auto tg_xyzzzzzz_yyyyyyy_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1252); 

                auto tg_xyzzzzzz_yyyyyyz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1253); 

                auto tg_xyzzzzzz_yyyyyzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1254); 

                auto tg_xyzzzzzz_yyyyzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1255); 

                auto tg_xyzzzzzz_yyyzzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1256); 

                auto tg_xyzzzzzz_yyzzzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1257); 

                auto tg_xyzzzzzz_yzzzzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1258); 

                auto tg_xyzzzzzz_zzzzzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1259); 

                auto tg_xzzzzzzz_xxxxxxx_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1260); 

                auto tg_xzzzzzzz_xxxxxxy_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1261); 

                auto tg_xzzzzzzz_xxxxxxz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1262); 

                auto tg_xzzzzzzz_xxxxxyy_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1263); 

                auto tg_xzzzzzzz_xxxxxyz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1264); 

                auto tg_xzzzzzzz_xxxxxzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1265); 

                auto tg_xzzzzzzz_xxxxyyy_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1266); 

                auto tg_xzzzzzzz_xxxxyyz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1267); 

                auto tg_xzzzzzzz_xxxxyzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1268); 

                auto tg_xzzzzzzz_xxxxzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1269); 

                auto tg_xzzzzzzz_xxxyyyy_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1270); 

                auto tg_xzzzzzzz_xxxyyyz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1271); 

                auto tg_xzzzzzzz_xxxyyzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1272); 

                auto tg_xzzzzzzz_xxxyzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1273); 

                auto tg_xzzzzzzz_xxxzzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1274); 

                auto tg_xzzzzzzz_xxyyyyy_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1275); 

                auto tg_xzzzzzzz_xxyyyyz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1276); 

                auto tg_xzzzzzzz_xxyyyzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1277); 

                auto tg_xzzzzzzz_xxyyzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1278); 

                auto tg_xzzzzzzz_xxyzzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1279); 

                auto tg_xzzzzzzz_xxzzzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1280); 

                auto tg_xzzzzzzz_xyyyyyy_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1281); 

                auto tg_xzzzzzzz_xyyyyyz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1282); 

                auto tg_xzzzzzzz_xyyyyzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1283); 

                auto tg_xzzzzzzz_xyyyzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1284); 

                auto tg_xzzzzzzz_xyyzzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1285); 

                auto tg_xzzzzzzz_xyzzzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1286); 

                auto tg_xzzzzzzz_xzzzzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1287); 

                auto tg_xzzzzzzz_yyyyyyy_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1288); 

                auto tg_xzzzzzzz_yyyyyyz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1289); 

                auto tg_xzzzzzzz_yyyyyzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1290); 

                auto tg_xzzzzzzz_yyyyzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1291); 

                auto tg_xzzzzzzz_yyyzzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1292); 

                auto tg_xzzzzzzz_yyzzzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1293); 

                auto tg_xzzzzzzz_yzzzzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1294); 

                auto tg_xzzzzzzz_zzzzzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1295); 

                auto tg_yyyyyyyy_xxxxxxx_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1296); 

                auto tg_yyyyyyyy_xxxxxxy_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1297); 

                auto tg_yyyyyyyy_xxxxxxz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1298); 

                auto tg_yyyyyyyy_xxxxxyy_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1299); 

                auto tg_yyyyyyyy_xxxxxyz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1300); 

                auto tg_yyyyyyyy_xxxxxzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1301); 

                auto tg_yyyyyyyy_xxxxyyy_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1302); 

                auto tg_yyyyyyyy_xxxxyyz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1303); 

                auto tg_yyyyyyyy_xxxxyzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1304); 

                auto tg_yyyyyyyy_xxxxzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1305); 

                auto tg_yyyyyyyy_xxxyyyy_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1306); 

                auto tg_yyyyyyyy_xxxyyyz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1307); 

                auto tg_yyyyyyyy_xxxyyzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1308); 

                auto tg_yyyyyyyy_xxxyzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1309); 

                auto tg_yyyyyyyy_xxxzzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1310); 

                auto tg_yyyyyyyy_xxyyyyy_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1311); 

                auto tg_yyyyyyyy_xxyyyyz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1312); 

                auto tg_yyyyyyyy_xxyyyzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1313); 

                auto tg_yyyyyyyy_xxyyzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1314); 

                auto tg_yyyyyyyy_xxyzzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1315); 

                auto tg_yyyyyyyy_xxzzzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1316); 

                auto tg_yyyyyyyy_xyyyyyy_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1317); 

                auto tg_yyyyyyyy_xyyyyyz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1318); 

                auto tg_yyyyyyyy_xyyyyzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1319); 

                auto tg_yyyyyyyy_xyyyzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1320); 

                auto tg_yyyyyyyy_xyyzzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1321); 

                auto tg_yyyyyyyy_xyzzzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1322); 

                auto tg_yyyyyyyy_xzzzzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1323); 

                auto tg_yyyyyyyy_yyyyyyy_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1324); 

                auto tg_yyyyyyyy_yyyyyyz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1325); 

                auto tg_yyyyyyyy_yyyyyzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1326); 

                auto tg_yyyyyyyy_yyyyzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1327); 

                auto tg_yyyyyyyy_yyyzzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1328); 

                auto tg_yyyyyyyy_yyzzzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1329); 

                auto tg_yyyyyyyy_yzzzzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1330); 

                auto tg_yyyyyyyy_zzzzzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1331); 

                auto tg_yyyyyyyz_xxxxxxx_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1332); 

                auto tg_yyyyyyyz_xxxxxxy_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1333); 

                auto tg_yyyyyyyz_xxxxxxz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1334); 

                // Batch of Integrals (1240,1335)

                #pragma omp simd aligned(fxn, fza, tg_xyzzzzzz_xxyyyyz_0, tg_xyzzzzzz_xxyyyzz_0, \
                                         tg_xyzzzzzz_xxyyzzz_0, tg_xyzzzzzz_xxyzzzz_0, tg_xyzzzzzz_xxzzzzz_0, \
                                         tg_xyzzzzzz_xyyyyyy_0, tg_xyzzzzzz_xyyyyyz_0, tg_xyzzzzzz_xyyyyzz_0, \
                                         tg_xyzzzzzz_xyyyzzz_0, tg_xyzzzzzz_xyyzzzz_0, tg_xyzzzzzz_xyzzzzz_0, \
                                         tg_xyzzzzzz_xzzzzzz_0, tg_xyzzzzzz_yyyyyyy_0, tg_xyzzzzzz_yyyyyyz_0, \
                                         tg_xyzzzzzz_yyyyyzz_0, tg_xyzzzzzz_yyyyzzz_0, tg_xyzzzzzz_yyyzzzz_0, \
                                         tg_xyzzzzzz_yyzzzzz_0, tg_xyzzzzzz_yzzzzzz_0, tg_xyzzzzzz_zzzzzzz_0, \
                                         tg_xzzzzzzz_xxxxxxx_0, tg_xzzzzzzz_xxxxxxy_0, tg_xzzzzzzz_xxxxxxz_0, \
                                         tg_xzzzzzzz_xxxxxyy_0, tg_xzzzzzzz_xxxxxyz_0, tg_xzzzzzzz_xxxxxzz_0, \
                                         tg_xzzzzzzz_xxxxyyy_0, tg_xzzzzzzz_xxxxyyz_0, tg_xzzzzzzz_xxxxyzz_0, \
                                         tg_xzzzzzzz_xxxxzzz_0, tg_xzzzzzzz_xxxyyyy_0, tg_xzzzzzzz_xxxyyyz_0, \
                                         tg_xzzzzzzz_xxxyyzz_0, tg_xzzzzzzz_xxxyzzz_0, tg_xzzzzzzz_xxxzzzz_0, \
                                         tg_xzzzzzzz_xxyyyyy_0, tg_xzzzzzzz_xxyyyyz_0, tg_xzzzzzzz_xxyyyzz_0, \
                                         tg_xzzzzzzz_xxyyzzz_0, tg_xzzzzzzz_xxyzzzz_0, tg_xzzzzzzz_xxzzzzz_0, \
                                         tg_xzzzzzzz_xyyyyyy_0, tg_xzzzzzzz_xyyyyyz_0, tg_xzzzzzzz_xyyyyzz_0, \
                                         tg_xzzzzzzz_xyyyzzz_0, tg_xzzzzzzz_xyyzzzz_0, tg_xzzzzzzz_xyzzzzz_0, \
                                         tg_xzzzzzzz_xzzzzzz_0, tg_xzzzzzzz_yyyyyyy_0, tg_xzzzzzzz_yyyyyyz_0, \
                                         tg_xzzzzzzz_yyyyyzz_0, tg_xzzzzzzz_yyyyzzz_0, tg_xzzzzzzz_yyyzzzz_0, \
                                         tg_xzzzzzzz_yyzzzzz_0, tg_xzzzzzzz_yzzzzzz_0, tg_xzzzzzzz_zzzzzzz_0, \
                                         tg_yyyyyy_xxxxxxx_0, tg_yyyyyy_xxxxxxx_1, tg_yyyyyy_xxxxxxy_0, tg_yyyyyy_xxxxxxy_1, \
                                         tg_yyyyyy_xxxxxxz_0, tg_yyyyyy_xxxxxxz_1, tg_yyyyyy_xxxxxyy_0, tg_yyyyyy_xxxxxyy_1, \
                                         tg_yyyyyy_xxxxxyz_0, tg_yyyyyy_xxxxxyz_1, tg_yyyyyy_xxxxxzz_0, tg_yyyyyy_xxxxxzz_1, \
                                         tg_yyyyyy_xxxxyyy_0, tg_yyyyyy_xxxxyyy_1, tg_yyyyyy_xxxxyyz_0, tg_yyyyyy_xxxxyyz_1, \
                                         tg_yyyyyy_xxxxyzz_0, tg_yyyyyy_xxxxyzz_1, tg_yyyyyy_xxxxzzz_0, tg_yyyyyy_xxxxzzz_1, \
                                         tg_yyyyyy_xxxyyyy_0, tg_yyyyyy_xxxyyyy_1, tg_yyyyyy_xxxyyyz_0, tg_yyyyyy_xxxyyyz_1, \
                                         tg_yyyyyy_xxxyyzz_0, tg_yyyyyy_xxxyyzz_1, tg_yyyyyy_xxxyzzz_0, tg_yyyyyy_xxxyzzz_1, \
                                         tg_yyyyyy_xxxzzzz_0, tg_yyyyyy_xxxzzzz_1, tg_yyyyyy_xxyyyyy_0, tg_yyyyyy_xxyyyyy_1, \
                                         tg_yyyyyy_xxyyyyz_0, tg_yyyyyy_xxyyyyz_1, tg_yyyyyy_xxyyyzz_0, tg_yyyyyy_xxyyyzz_1, \
                                         tg_yyyyyy_xxyyzzz_0, tg_yyyyyy_xxyyzzz_1, tg_yyyyyy_xxyzzzz_0, tg_yyyyyy_xxyzzzz_1, \
                                         tg_yyyyyy_xxzzzzz_0, tg_yyyyyy_xxzzzzz_1, tg_yyyyyy_xyyyyyy_0, tg_yyyyyy_xyyyyyy_1, \
                                         tg_yyyyyy_xyyyyyz_0, tg_yyyyyy_xyyyyyz_1, tg_yyyyyy_xyyyyzz_0, tg_yyyyyy_xyyyyzz_1, \
                                         tg_yyyyyy_xyyyzzz_0, tg_yyyyyy_xyyyzzz_1, tg_yyyyyy_xyyzzzz_0, tg_yyyyyy_xyyzzzz_1, \
                                         tg_yyyyyy_xyzzzzz_0, tg_yyyyyy_xyzzzzz_1, tg_yyyyyy_xzzzzzz_0, tg_yyyyyy_xzzzzzz_1, \
                                         tg_yyyyyy_yyyyyyy_0, tg_yyyyyy_yyyyyyy_1, tg_yyyyyy_yyyyyyz_0, tg_yyyyyy_yyyyyyz_1, \
                                         tg_yyyyyy_yyyyyzz_0, tg_yyyyyy_yyyyyzz_1, tg_yyyyyy_yyyyzzz_0, tg_yyyyyy_yyyyzzz_1, \
                                         tg_yyyyyy_yyyzzzz_0, tg_yyyyyy_yyyzzzz_1, tg_yyyyyy_yyzzzzz_0, tg_yyyyyy_yyzzzzz_1, \
                                         tg_yyyyyy_yzzzzzz_0, tg_yyyyyy_yzzzzzz_1, tg_yyyyyy_zzzzzzz_0, tg_yyyyyy_zzzzzzz_1, \
                                         tg_yyyyyyy_xxxxxx_1, tg_yyyyyyy_xxxxxxx_0, tg_yyyyyyy_xxxxxxx_1, tg_yyyyyyy_xxxxxxy_0, \
                                         tg_yyyyyyy_xxxxxxy_1, tg_yyyyyyy_xxxxxxz_0, tg_yyyyyyy_xxxxxxz_1, tg_yyyyyyy_xxxxxy_1, \
                                         tg_yyyyyyy_xxxxxyy_0, tg_yyyyyyy_xxxxxyy_1, tg_yyyyyyy_xxxxxyz_0, tg_yyyyyyy_xxxxxyz_1, \
                                         tg_yyyyyyy_xxxxxz_1, tg_yyyyyyy_xxxxxzz_0, tg_yyyyyyy_xxxxxzz_1, tg_yyyyyyy_xxxxyy_1, \
                                         tg_yyyyyyy_xxxxyyy_0, tg_yyyyyyy_xxxxyyy_1, tg_yyyyyyy_xxxxyyz_0, tg_yyyyyyy_xxxxyyz_1, \
                                         tg_yyyyyyy_xxxxyz_1, tg_yyyyyyy_xxxxyzz_0, tg_yyyyyyy_xxxxyzz_1, tg_yyyyyyy_xxxxzz_1, \
                                         tg_yyyyyyy_xxxxzzz_0, tg_yyyyyyy_xxxxzzz_1, tg_yyyyyyy_xxxyyy_1, tg_yyyyyyy_xxxyyyy_0, \
                                         tg_yyyyyyy_xxxyyyy_1, tg_yyyyyyy_xxxyyyz_0, tg_yyyyyyy_xxxyyyz_1, tg_yyyyyyy_xxxyyz_1, \
                                         tg_yyyyyyy_xxxyyzz_0, tg_yyyyyyy_xxxyyzz_1, tg_yyyyyyy_xxxyzz_1, tg_yyyyyyy_xxxyzzz_0, \
                                         tg_yyyyyyy_xxxyzzz_1, tg_yyyyyyy_xxxzzz_1, tg_yyyyyyy_xxxzzzz_0, tg_yyyyyyy_xxxzzzz_1, \
                                         tg_yyyyyyy_xxyyyy_1, tg_yyyyyyy_xxyyyyy_0, tg_yyyyyyy_xxyyyyy_1, tg_yyyyyyy_xxyyyyz_0, \
                                         tg_yyyyyyy_xxyyyyz_1, tg_yyyyyyy_xxyyyz_1, tg_yyyyyyy_xxyyyzz_0, tg_yyyyyyy_xxyyyzz_1, \
                                         tg_yyyyyyy_xxyyzz_1, tg_yyyyyyy_xxyyzzz_0, tg_yyyyyyy_xxyyzzz_1, tg_yyyyyyy_xxyzzz_1, \
                                         tg_yyyyyyy_xxyzzzz_0, tg_yyyyyyy_xxyzzzz_1, tg_yyyyyyy_xxzzzz_1, tg_yyyyyyy_xxzzzzz_0, \
                                         tg_yyyyyyy_xxzzzzz_1, tg_yyyyyyy_xyyyyy_1, tg_yyyyyyy_xyyyyyy_0, tg_yyyyyyy_xyyyyyy_1, \
                                         tg_yyyyyyy_xyyyyyz_0, tg_yyyyyyy_xyyyyyz_1, tg_yyyyyyy_xyyyyz_1, tg_yyyyyyy_xyyyyzz_0, \
                                         tg_yyyyyyy_xyyyyzz_1, tg_yyyyyyy_xyyyzz_1, tg_yyyyyyy_xyyyzzz_0, tg_yyyyyyy_xyyyzzz_1, \
                                         tg_yyyyyyy_xyyzzz_1, tg_yyyyyyy_xyyzzzz_0, tg_yyyyyyy_xyyzzzz_1, tg_yyyyyyy_xyzzzz_1, \
                                         tg_yyyyyyy_xyzzzzz_0, tg_yyyyyyy_xyzzzzz_1, tg_yyyyyyy_xzzzzz_1, tg_yyyyyyy_xzzzzzz_0, \
                                         tg_yyyyyyy_xzzzzzz_1, tg_yyyyyyy_yyyyyy_1, tg_yyyyyyy_yyyyyyy_0, tg_yyyyyyy_yyyyyyy_1, \
                                         tg_yyyyyyy_yyyyyyz_0, tg_yyyyyyy_yyyyyyz_1, tg_yyyyyyy_yyyyyz_1, tg_yyyyyyy_yyyyyzz_0, \
                                         tg_yyyyyyy_yyyyyzz_1, tg_yyyyyyy_yyyyzz_1, tg_yyyyyyy_yyyyzzz_0, tg_yyyyyyy_yyyyzzz_1, \
                                         tg_yyyyyyy_yyyzzz_1, tg_yyyyyyy_yyyzzzz_0, tg_yyyyyyy_yyyzzzz_1, tg_yyyyyyy_yyzzzz_1, \
                                         tg_yyyyyyy_yyzzzzz_0, tg_yyyyyyy_yyzzzzz_1, tg_yyyyyyy_yzzzzz_1, tg_yyyyyyy_yzzzzzz_0, \
                                         tg_yyyyyyy_yzzzzzz_1, tg_yyyyyyy_zzzzzz_1, tg_yyyyyyy_zzzzzzz_0, tg_yyyyyyy_zzzzzzz_1, \
                                         tg_yyyyyyyy_xxxxxxx_0, tg_yyyyyyyy_xxxxxxy_0, tg_yyyyyyyy_xxxxxxz_0, \
                                         tg_yyyyyyyy_xxxxxyy_0, tg_yyyyyyyy_xxxxxyz_0, tg_yyyyyyyy_xxxxxzz_0, \
                                         tg_yyyyyyyy_xxxxyyy_0, tg_yyyyyyyy_xxxxyyz_0, tg_yyyyyyyy_xxxxyzz_0, \
                                         tg_yyyyyyyy_xxxxzzz_0, tg_yyyyyyyy_xxxyyyy_0, tg_yyyyyyyy_xxxyyyz_0, \
                                         tg_yyyyyyyy_xxxyyzz_0, tg_yyyyyyyy_xxxyzzz_0, tg_yyyyyyyy_xxxzzzz_0, \
                                         tg_yyyyyyyy_xxyyyyy_0, tg_yyyyyyyy_xxyyyyz_0, tg_yyyyyyyy_xxyyyzz_0, \
                                         tg_yyyyyyyy_xxyyzzz_0, tg_yyyyyyyy_xxyzzzz_0, tg_yyyyyyyy_xxzzzzz_0, \
                                         tg_yyyyyyyy_xyyyyyy_0, tg_yyyyyyyy_xyyyyyz_0, tg_yyyyyyyy_xyyyyzz_0, \
                                         tg_yyyyyyyy_xyyyzzz_0, tg_yyyyyyyy_xyyzzzz_0, tg_yyyyyyyy_xyzzzzz_0, \
                                         tg_yyyyyyyy_xzzzzzz_0, tg_yyyyyyyy_yyyyyyy_0, tg_yyyyyyyy_yyyyyyz_0, \
                                         tg_yyyyyyyy_yyyyyzz_0, tg_yyyyyyyy_yyyyzzz_0, tg_yyyyyyyy_yyyzzzz_0, \
                                         tg_yyyyyyyy_yyzzzzz_0, tg_yyyyyyyy_yzzzzzz_0, tg_yyyyyyyy_zzzzzzz_0, \
                                         tg_yyyyyyyz_xxxxxxx_0, tg_yyyyyyyz_xxxxxxy_0, tg_yyyyyyyz_xxxxxxz_0, \
                                         tg_yyyyyyz_xxxxxx_1, tg_yyyyyyz_xxxxxxx_0, tg_yyyyyyz_xxxxxxx_1, tg_yyyyyyz_xxxxxxy_0, \
                                         tg_yyyyyyz_xxxxxxy_1, tg_yyyyyyz_xxxxxxz_0, tg_yyyyyyz_xxxxxxz_1, tg_yyyyyz_xxxxxxx_0, \
                                         tg_yyyyyz_xxxxxxx_1, tg_yyyyyz_xxxxxxy_0, tg_yyyyyz_xxxxxxy_1, tg_yyyyyz_xxxxxxz_0, \
                                         tg_yyyyyz_xxxxxxz_1, tg_yzzzzzz_xxyyyyz_0, tg_yzzzzzz_xxyyyyz_1, tg_yzzzzzz_xxyyyzz_0, \
                                         tg_yzzzzzz_xxyyyzz_1, tg_yzzzzzz_xxyyzzz_0, tg_yzzzzzz_xxyyzzz_1, tg_yzzzzzz_xxyzzzz_0, \
                                         tg_yzzzzzz_xxyzzzz_1, tg_yzzzzzz_xxzzzzz_0, tg_yzzzzzz_xxzzzzz_1, tg_yzzzzzz_xyyyyyy_0, \
                                         tg_yzzzzzz_xyyyyyy_1, tg_yzzzzzz_xyyyyyz_0, tg_yzzzzzz_xyyyyyz_1, tg_yzzzzzz_xyyyyz_1, \
                                         tg_yzzzzzz_xyyyyzz_0, tg_yzzzzzz_xyyyyzz_1, tg_yzzzzzz_xyyyzz_1, tg_yzzzzzz_xyyyzzz_0, \
                                         tg_yzzzzzz_xyyyzzz_1, tg_yzzzzzz_xyyzzz_1, tg_yzzzzzz_xyyzzzz_0, tg_yzzzzzz_xyyzzzz_1, \
                                         tg_yzzzzzz_xyzzzz_1, tg_yzzzzzz_xyzzzzz_0, tg_yzzzzzz_xyzzzzz_1, tg_yzzzzzz_xzzzzz_1, \
                                         tg_yzzzzzz_xzzzzzz_0, tg_yzzzzzz_xzzzzzz_1, tg_yzzzzzz_yyyyyy_1, tg_yzzzzzz_yyyyyyy_0, \
                                         tg_yzzzzzz_yyyyyyy_1, tg_yzzzzzz_yyyyyyz_0, tg_yzzzzzz_yyyyyyz_1, tg_yzzzzzz_yyyyyz_1, \
                                         tg_yzzzzzz_yyyyyzz_0, tg_yzzzzzz_yyyyyzz_1, tg_yzzzzzz_yyyyzz_1, tg_yzzzzzz_yyyyzzz_0, \
                                         tg_yzzzzzz_yyyyzzz_1, tg_yzzzzzz_yyyzzz_1, tg_yzzzzzz_yyyzzzz_0, tg_yzzzzzz_yyyzzzz_1, \
                                         tg_yzzzzzz_yyzzzz_1, tg_yzzzzzz_yyzzzzz_0, tg_yzzzzzz_yyzzzzz_1, tg_yzzzzzz_yzzzzz_1, \
                                         tg_yzzzzzz_yzzzzzz_0, tg_yzzzzzz_yzzzzzz_1, tg_yzzzzzz_zzzzzz_1, tg_yzzzzzz_zzzzzzz_0, \
                                         tg_yzzzzzz_zzzzzzz_1, tg_zzzzzzz_xxxxxx_1, tg_zzzzzzz_xxxxxxx_0, tg_zzzzzzz_xxxxxxx_1, \
                                         tg_zzzzzzz_xxxxxxy_0, tg_zzzzzzz_xxxxxxy_1, tg_zzzzzzz_xxxxxxz_0, tg_zzzzzzz_xxxxxxz_1, \
                                         tg_zzzzzzz_xxxxxy_1, tg_zzzzzzz_xxxxxyy_0, tg_zzzzzzz_xxxxxyy_1, tg_zzzzzzz_xxxxxyz_0, \
                                         tg_zzzzzzz_xxxxxyz_1, tg_zzzzzzz_xxxxxz_1, tg_zzzzzzz_xxxxxzz_0, tg_zzzzzzz_xxxxxzz_1, \
                                         tg_zzzzzzz_xxxxyy_1, tg_zzzzzzz_xxxxyyy_0, tg_zzzzzzz_xxxxyyy_1, tg_zzzzzzz_xxxxyyz_0, \
                                         tg_zzzzzzz_xxxxyyz_1, tg_zzzzzzz_xxxxyz_1, tg_zzzzzzz_xxxxyzz_0, tg_zzzzzzz_xxxxyzz_1, \
                                         tg_zzzzzzz_xxxxzz_1, tg_zzzzzzz_xxxxzzz_0, tg_zzzzzzz_xxxxzzz_1, tg_zzzzzzz_xxxyyy_1, \
                                         tg_zzzzzzz_xxxyyyy_0, tg_zzzzzzz_xxxyyyy_1, tg_zzzzzzz_xxxyyyz_0, tg_zzzzzzz_xxxyyyz_1, \
                                         tg_zzzzzzz_xxxyyz_1, tg_zzzzzzz_xxxyyzz_0, tg_zzzzzzz_xxxyyzz_1, tg_zzzzzzz_xxxyzz_1, \
                                         tg_zzzzzzz_xxxyzzz_0, tg_zzzzzzz_xxxyzzz_1, tg_zzzzzzz_xxxzzz_1, tg_zzzzzzz_xxxzzzz_0, \
                                         tg_zzzzzzz_xxxzzzz_1, tg_zzzzzzz_xxyyyy_1, tg_zzzzzzz_xxyyyyy_0, tg_zzzzzzz_xxyyyyy_1, \
                                         tg_zzzzzzz_xxyyyyz_0, tg_zzzzzzz_xxyyyyz_1, tg_zzzzzzz_xxyyyz_1, tg_zzzzzzz_xxyyyzz_0, \
                                         tg_zzzzzzz_xxyyyzz_1, tg_zzzzzzz_xxyyzz_1, tg_zzzzzzz_xxyyzzz_0, tg_zzzzzzz_xxyyzzz_1, \
                                         tg_zzzzzzz_xxyzzz_1, tg_zzzzzzz_xxyzzzz_0, tg_zzzzzzz_xxyzzzz_1, tg_zzzzzzz_xxzzzz_1, \
                                         tg_zzzzzzz_xxzzzzz_0, tg_zzzzzzz_xxzzzzz_1, tg_zzzzzzz_xyyyyy_1, tg_zzzzzzz_xyyyyyy_0, \
                                         tg_zzzzzzz_xyyyyyy_1, tg_zzzzzzz_xyyyyyz_0, tg_zzzzzzz_xyyyyyz_1, tg_zzzzzzz_xyyyyz_1, \
                                         tg_zzzzzzz_xyyyyzz_0, tg_zzzzzzz_xyyyyzz_1, tg_zzzzzzz_xyyyzz_1, tg_zzzzzzz_xyyyzzz_0, \
                                         tg_zzzzzzz_xyyyzzz_1, tg_zzzzzzz_xyyzzz_1, tg_zzzzzzz_xyyzzzz_0, tg_zzzzzzz_xyyzzzz_1, \
                                         tg_zzzzzzz_xyzzzz_1, tg_zzzzzzz_xyzzzzz_0, tg_zzzzzzz_xyzzzzz_1, tg_zzzzzzz_xzzzzz_1, \
                                         tg_zzzzzzz_xzzzzzz_0, tg_zzzzzzz_xzzzzzz_1, tg_zzzzzzz_yyyyyy_1, tg_zzzzzzz_yyyyyyy_0, \
                                         tg_zzzzzzz_yyyyyyy_1, tg_zzzzzzz_yyyyyyz_0, tg_zzzzzzz_yyyyyyz_1, tg_zzzzzzz_yyyyyz_1, \
                                         tg_zzzzzzz_yyyyyzz_0, tg_zzzzzzz_yyyyyzz_1, tg_zzzzzzz_yyyyzz_1, tg_zzzzzzz_yyyyzzz_0, \
                                         tg_zzzzzzz_yyyyzzz_1, tg_zzzzzzz_yyyzzz_1, tg_zzzzzzz_yyyzzzz_0, tg_zzzzzzz_yyyzzzz_1, \
                                         tg_zzzzzzz_yyzzzz_1, tg_zzzzzzz_yyzzzzz_0, tg_zzzzzzz_yyzzzzz_1, tg_zzzzzzz_yzzzzz_1, \
                                         tg_zzzzzzz_yzzzzzz_0, tg_zzzzzzz_yzzzzzz_1, tg_zzzzzzz_zzzzzz_1, tg_zzzzzzz_zzzzzzz_0, \
                                         tg_zzzzzzz_zzzzzzz_1, wp_x, wp_y: VLX_ALIGN)
                for (int32_t j = 0; j < nKetPrimPairs; j++)
                {
                    double fl1_fx = fx;

                    double fl1_fxn = fxn[j];

                    double fl1_fza = fza[j];

                    double fr = wp_x[j]; 

                    tg_xyzzzzzz_xxyyyyz_0[j] = pb_x * tg_yzzzzzz_xxyyyyz_0[j] + fr * tg_yzzzzzz_xxyyyyz_1[j] + fl1_fxn * tg_yzzzzzz_xyyyyz_1[j];

                    tg_xyzzzzzz_xxyyyzz_0[j] = pb_x * tg_yzzzzzz_xxyyyzz_0[j] + fr * tg_yzzzzzz_xxyyyzz_1[j] + fl1_fxn * tg_yzzzzzz_xyyyzz_1[j];

                    tg_xyzzzzzz_xxyyzzz_0[j] = pb_x * tg_yzzzzzz_xxyyzzz_0[j] + fr * tg_yzzzzzz_xxyyzzz_1[j] + fl1_fxn * tg_yzzzzzz_xyyzzz_1[j];

                    tg_xyzzzzzz_xxyzzzz_0[j] = pb_x * tg_yzzzzzz_xxyzzzz_0[j] + fr * tg_yzzzzzz_xxyzzzz_1[j] + fl1_fxn * tg_yzzzzzz_xyzzzz_1[j];

                    tg_xyzzzzzz_xxzzzzz_0[j] = pb_x * tg_yzzzzzz_xxzzzzz_0[j] + fr * tg_yzzzzzz_xxzzzzz_1[j] + fl1_fxn * tg_yzzzzzz_xzzzzz_1[j];

                    tg_xyzzzzzz_xyyyyyy_0[j] = pb_x * tg_yzzzzzz_xyyyyyy_0[j] + fr * tg_yzzzzzz_xyyyyyy_1[j] + 0.5 * fl1_fxn * tg_yzzzzzz_yyyyyy_1[j];

                    tg_xyzzzzzz_xyyyyyz_0[j] = pb_x * tg_yzzzzzz_xyyyyyz_0[j] + fr * tg_yzzzzzz_xyyyyyz_1[j] + 0.5 * fl1_fxn * tg_yzzzzzz_yyyyyz_1[j];

                    tg_xyzzzzzz_xyyyyzz_0[j] = pb_x * tg_yzzzzzz_xyyyyzz_0[j] + fr * tg_yzzzzzz_xyyyyzz_1[j] + 0.5 * fl1_fxn * tg_yzzzzzz_yyyyzz_1[j];

                    tg_xyzzzzzz_xyyyzzz_0[j] = pb_x * tg_yzzzzzz_xyyyzzz_0[j] + fr * tg_yzzzzzz_xyyyzzz_1[j] + 0.5 * fl1_fxn * tg_yzzzzzz_yyyzzz_1[j];

                    tg_xyzzzzzz_xyyzzzz_0[j] = pb_x * tg_yzzzzzz_xyyzzzz_0[j] + fr * tg_yzzzzzz_xyyzzzz_1[j] + 0.5 * fl1_fxn * tg_yzzzzzz_yyzzzz_1[j];

                    tg_xyzzzzzz_xyzzzzz_0[j] = pb_x * tg_yzzzzzz_xyzzzzz_0[j] + fr * tg_yzzzzzz_xyzzzzz_1[j] + 0.5 * fl1_fxn * tg_yzzzzzz_yzzzzz_1[j];

                    tg_xyzzzzzz_xzzzzzz_0[j] = pb_x * tg_yzzzzzz_xzzzzzz_0[j] + fr * tg_yzzzzzz_xzzzzzz_1[j] + 0.5 * fl1_fxn * tg_yzzzzzz_zzzzzz_1[j];

                    tg_xyzzzzzz_yyyyyyy_0[j] = pb_x * tg_yzzzzzz_yyyyyyy_0[j] + fr * tg_yzzzzzz_yyyyyyy_1[j];

                    tg_xyzzzzzz_yyyyyyz_0[j] = pb_x * tg_yzzzzzz_yyyyyyz_0[j] + fr * tg_yzzzzzz_yyyyyyz_1[j];

                    tg_xyzzzzzz_yyyyyzz_0[j] = pb_x * tg_yzzzzzz_yyyyyzz_0[j] + fr * tg_yzzzzzz_yyyyyzz_1[j];

                    tg_xyzzzzzz_yyyyzzz_0[j] = pb_x * tg_yzzzzzz_yyyyzzz_0[j] + fr * tg_yzzzzzz_yyyyzzz_1[j];

                    tg_xyzzzzzz_yyyzzzz_0[j] = pb_x * tg_yzzzzzz_yyyzzzz_0[j] + fr * tg_yzzzzzz_yyyzzzz_1[j];

                    tg_xyzzzzzz_yyzzzzz_0[j] = pb_x * tg_yzzzzzz_yyzzzzz_0[j] + fr * tg_yzzzzzz_yyzzzzz_1[j];

                    tg_xyzzzzzz_yzzzzzz_0[j] = pb_x * tg_yzzzzzz_yzzzzzz_0[j] + fr * tg_yzzzzzz_yzzzzzz_1[j];

                    tg_xyzzzzzz_zzzzzzz_0[j] = pb_x * tg_yzzzzzz_zzzzzzz_0[j] + fr * tg_yzzzzzz_zzzzzzz_1[j];

                    tg_xzzzzzzz_xxxxxxx_0[j] = pb_x * tg_zzzzzzz_xxxxxxx_0[j] + fr * tg_zzzzzzz_xxxxxxx_1[j] + 3.5 * fl1_fxn * tg_zzzzzzz_xxxxxx_1[j];

                    tg_xzzzzzzz_xxxxxxy_0[j] = pb_x * tg_zzzzzzz_xxxxxxy_0[j] + fr * tg_zzzzzzz_xxxxxxy_1[j] + 3.0 * fl1_fxn * tg_zzzzzzz_xxxxxy_1[j];

                    tg_xzzzzzzz_xxxxxxz_0[j] = pb_x * tg_zzzzzzz_xxxxxxz_0[j] + fr * tg_zzzzzzz_xxxxxxz_1[j] + 3.0 * fl1_fxn * tg_zzzzzzz_xxxxxz_1[j];

                    tg_xzzzzzzz_xxxxxyy_0[j] = pb_x * tg_zzzzzzz_xxxxxyy_0[j] + fr * tg_zzzzzzz_xxxxxyy_1[j] + 2.5 * fl1_fxn * tg_zzzzzzz_xxxxyy_1[j];

                    tg_xzzzzzzz_xxxxxyz_0[j] = pb_x * tg_zzzzzzz_xxxxxyz_0[j] + fr * tg_zzzzzzz_xxxxxyz_1[j] + 2.5 * fl1_fxn * tg_zzzzzzz_xxxxyz_1[j];

                    tg_xzzzzzzz_xxxxxzz_0[j] = pb_x * tg_zzzzzzz_xxxxxzz_0[j] + fr * tg_zzzzzzz_xxxxxzz_1[j] + 2.5 * fl1_fxn * tg_zzzzzzz_xxxxzz_1[j];

                    tg_xzzzzzzz_xxxxyyy_0[j] = pb_x * tg_zzzzzzz_xxxxyyy_0[j] + fr * tg_zzzzzzz_xxxxyyy_1[j] + 2.0 * fl1_fxn * tg_zzzzzzz_xxxyyy_1[j];

                    tg_xzzzzzzz_xxxxyyz_0[j] = pb_x * tg_zzzzzzz_xxxxyyz_0[j] + fr * tg_zzzzzzz_xxxxyyz_1[j] + 2.0 * fl1_fxn * tg_zzzzzzz_xxxyyz_1[j];

                    tg_xzzzzzzz_xxxxyzz_0[j] = pb_x * tg_zzzzzzz_xxxxyzz_0[j] + fr * tg_zzzzzzz_xxxxyzz_1[j] + 2.0 * fl1_fxn * tg_zzzzzzz_xxxyzz_1[j];

                    tg_xzzzzzzz_xxxxzzz_0[j] = pb_x * tg_zzzzzzz_xxxxzzz_0[j] + fr * tg_zzzzzzz_xxxxzzz_1[j] + 2.0 * fl1_fxn * tg_zzzzzzz_xxxzzz_1[j];

                    tg_xzzzzzzz_xxxyyyy_0[j] = pb_x * tg_zzzzzzz_xxxyyyy_0[j] + fr * tg_zzzzzzz_xxxyyyy_1[j] + 1.5 * fl1_fxn * tg_zzzzzzz_xxyyyy_1[j];

                    tg_xzzzzzzz_xxxyyyz_0[j] = pb_x * tg_zzzzzzz_xxxyyyz_0[j] + fr * tg_zzzzzzz_xxxyyyz_1[j] + 1.5 * fl1_fxn * tg_zzzzzzz_xxyyyz_1[j];

                    tg_xzzzzzzz_xxxyyzz_0[j] = pb_x * tg_zzzzzzz_xxxyyzz_0[j] + fr * tg_zzzzzzz_xxxyyzz_1[j] + 1.5 * fl1_fxn * tg_zzzzzzz_xxyyzz_1[j];

                    tg_xzzzzzzz_xxxyzzz_0[j] = pb_x * tg_zzzzzzz_xxxyzzz_0[j] + fr * tg_zzzzzzz_xxxyzzz_1[j] + 1.5 * fl1_fxn * tg_zzzzzzz_xxyzzz_1[j];

                    tg_xzzzzzzz_xxxzzzz_0[j] = pb_x * tg_zzzzzzz_xxxzzzz_0[j] + fr * tg_zzzzzzz_xxxzzzz_1[j] + 1.5 * fl1_fxn * tg_zzzzzzz_xxzzzz_1[j];

                    tg_xzzzzzzz_xxyyyyy_0[j] = pb_x * tg_zzzzzzz_xxyyyyy_0[j] + fr * tg_zzzzzzz_xxyyyyy_1[j] + fl1_fxn * tg_zzzzzzz_xyyyyy_1[j];

                    tg_xzzzzzzz_xxyyyyz_0[j] = pb_x * tg_zzzzzzz_xxyyyyz_0[j] + fr * tg_zzzzzzz_xxyyyyz_1[j] + fl1_fxn * tg_zzzzzzz_xyyyyz_1[j];

                    tg_xzzzzzzz_xxyyyzz_0[j] = pb_x * tg_zzzzzzz_xxyyyzz_0[j] + fr * tg_zzzzzzz_xxyyyzz_1[j] + fl1_fxn * tg_zzzzzzz_xyyyzz_1[j];

                    tg_xzzzzzzz_xxyyzzz_0[j] = pb_x * tg_zzzzzzz_xxyyzzz_0[j] + fr * tg_zzzzzzz_xxyyzzz_1[j] + fl1_fxn * tg_zzzzzzz_xyyzzz_1[j];

                    tg_xzzzzzzz_xxyzzzz_0[j] = pb_x * tg_zzzzzzz_xxyzzzz_0[j] + fr * tg_zzzzzzz_xxyzzzz_1[j] + fl1_fxn * tg_zzzzzzz_xyzzzz_1[j];

                    tg_xzzzzzzz_xxzzzzz_0[j] = pb_x * tg_zzzzzzz_xxzzzzz_0[j] + fr * tg_zzzzzzz_xxzzzzz_1[j] + fl1_fxn * tg_zzzzzzz_xzzzzz_1[j];

                    tg_xzzzzzzz_xyyyyyy_0[j] = pb_x * tg_zzzzzzz_xyyyyyy_0[j] + fr * tg_zzzzzzz_xyyyyyy_1[j] + 0.5 * fl1_fxn * tg_zzzzzzz_yyyyyy_1[j];

                    tg_xzzzzzzz_xyyyyyz_0[j] = pb_x * tg_zzzzzzz_xyyyyyz_0[j] + fr * tg_zzzzzzz_xyyyyyz_1[j] + 0.5 * fl1_fxn * tg_zzzzzzz_yyyyyz_1[j];

                    tg_xzzzzzzz_xyyyyzz_0[j] = pb_x * tg_zzzzzzz_xyyyyzz_0[j] + fr * tg_zzzzzzz_xyyyyzz_1[j] + 0.5 * fl1_fxn * tg_zzzzzzz_yyyyzz_1[j];

                    tg_xzzzzzzz_xyyyzzz_0[j] = pb_x * tg_zzzzzzz_xyyyzzz_0[j] + fr * tg_zzzzzzz_xyyyzzz_1[j] + 0.5 * fl1_fxn * tg_zzzzzzz_yyyzzz_1[j];

                    tg_xzzzzzzz_xyyzzzz_0[j] = pb_x * tg_zzzzzzz_xyyzzzz_0[j] + fr * tg_zzzzzzz_xyyzzzz_1[j] + 0.5 * fl1_fxn * tg_zzzzzzz_yyzzzz_1[j];

                    tg_xzzzzzzz_xyzzzzz_0[j] = pb_x * tg_zzzzzzz_xyzzzzz_0[j] + fr * tg_zzzzzzz_xyzzzzz_1[j] + 0.5 * fl1_fxn * tg_zzzzzzz_yzzzzz_1[j];

                    tg_xzzzzzzz_xzzzzzz_0[j] = pb_x * tg_zzzzzzz_xzzzzzz_0[j] + fr * tg_zzzzzzz_xzzzzzz_1[j] + 0.5 * fl1_fxn * tg_zzzzzzz_zzzzzz_1[j];

                    tg_xzzzzzzz_yyyyyyy_0[j] = pb_x * tg_zzzzzzz_yyyyyyy_0[j] + fr * tg_zzzzzzz_yyyyyyy_1[j];

                    tg_xzzzzzzz_yyyyyyz_0[j] = pb_x * tg_zzzzzzz_yyyyyyz_0[j] + fr * tg_zzzzzzz_yyyyyyz_1[j];

                    tg_xzzzzzzz_yyyyyzz_0[j] = pb_x * tg_zzzzzzz_yyyyyzz_0[j] + fr * tg_zzzzzzz_yyyyyzz_1[j];

                    tg_xzzzzzzz_yyyyzzz_0[j] = pb_x * tg_zzzzzzz_yyyyzzz_0[j] + fr * tg_zzzzzzz_yyyyzzz_1[j];

                    tg_xzzzzzzz_yyyzzzz_0[j] = pb_x * tg_zzzzzzz_yyyzzzz_0[j] + fr * tg_zzzzzzz_yyyzzzz_1[j];

                    tg_xzzzzzzz_yyzzzzz_0[j] = pb_x * tg_zzzzzzz_yyzzzzz_0[j] + fr * tg_zzzzzzz_yyzzzzz_1[j];

                    tg_xzzzzzzz_yzzzzzz_0[j] = pb_x * tg_zzzzzzz_yzzzzzz_0[j] + fr * tg_zzzzzzz_yzzzzzz_1[j];

                    tg_xzzzzzzz_zzzzzzz_0[j] = pb_x * tg_zzzzzzz_zzzzzzz_0[j] + fr * tg_zzzzzzz_zzzzzzz_1[j];

                    fr = wp_y[j]; 

                    tg_yyyyyyyy_xxxxxxx_0[j] = pb_y * tg_yyyyyyy_xxxxxxx_0[j] + fr * tg_yyyyyyy_xxxxxxx_1[j] + 3.5 * fl1_fx * (tg_yyyyyy_xxxxxxx_0[j] - tg_yyyyyy_xxxxxxx_1[j] * fl1_fza);

                    tg_yyyyyyyy_xxxxxxy_0[j] = pb_y * tg_yyyyyyy_xxxxxxy_0[j] + fr * tg_yyyyyyy_xxxxxxy_1[j] + 3.5 * fl1_fx * (tg_yyyyyy_xxxxxxy_0[j] - tg_yyyyyy_xxxxxxy_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_yyyyyyy_xxxxxx_1[j];

                    tg_yyyyyyyy_xxxxxxz_0[j] = pb_y * tg_yyyyyyy_xxxxxxz_0[j] + fr * tg_yyyyyyy_xxxxxxz_1[j] + 3.5 * fl1_fx * (tg_yyyyyy_xxxxxxz_0[j] - tg_yyyyyy_xxxxxxz_1[j] * fl1_fza);

                    tg_yyyyyyyy_xxxxxyy_0[j] = pb_y * tg_yyyyyyy_xxxxxyy_0[j] + fr * tg_yyyyyyy_xxxxxyy_1[j] + 3.5 * fl1_fx * (tg_yyyyyy_xxxxxyy_0[j] - tg_yyyyyy_xxxxxyy_1[j] * fl1_fza) + fl1_fxn * tg_yyyyyyy_xxxxxy_1[j];

                    tg_yyyyyyyy_xxxxxyz_0[j] = pb_y * tg_yyyyyyy_xxxxxyz_0[j] + fr * tg_yyyyyyy_xxxxxyz_1[j] + 3.5 * fl1_fx * (tg_yyyyyy_xxxxxyz_0[j] - tg_yyyyyy_xxxxxyz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_yyyyyyy_xxxxxz_1[j];

                    tg_yyyyyyyy_xxxxxzz_0[j] = pb_y * tg_yyyyyyy_xxxxxzz_0[j] + fr * tg_yyyyyyy_xxxxxzz_1[j] + 3.5 * fl1_fx * (tg_yyyyyy_xxxxxzz_0[j] - tg_yyyyyy_xxxxxzz_1[j] * fl1_fza);

                    tg_yyyyyyyy_xxxxyyy_0[j] = pb_y * tg_yyyyyyy_xxxxyyy_0[j] + fr * tg_yyyyyyy_xxxxyyy_1[j] + 3.5 * fl1_fx * (tg_yyyyyy_xxxxyyy_0[j] - tg_yyyyyy_xxxxyyy_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_yyyyyyy_xxxxyy_1[j];

                    tg_yyyyyyyy_xxxxyyz_0[j] = pb_y * tg_yyyyyyy_xxxxyyz_0[j] + fr * tg_yyyyyyy_xxxxyyz_1[j] + 3.5 * fl1_fx * (tg_yyyyyy_xxxxyyz_0[j] - tg_yyyyyy_xxxxyyz_1[j] * fl1_fza) + fl1_fxn * tg_yyyyyyy_xxxxyz_1[j];

                    tg_yyyyyyyy_xxxxyzz_0[j] = pb_y * tg_yyyyyyy_xxxxyzz_0[j] + fr * tg_yyyyyyy_xxxxyzz_1[j] + 3.5 * fl1_fx * (tg_yyyyyy_xxxxyzz_0[j] - tg_yyyyyy_xxxxyzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_yyyyyyy_xxxxzz_1[j];

                    tg_yyyyyyyy_xxxxzzz_0[j] = pb_y * tg_yyyyyyy_xxxxzzz_0[j] + fr * tg_yyyyyyy_xxxxzzz_1[j] + 3.5 * fl1_fx * (tg_yyyyyy_xxxxzzz_0[j] - tg_yyyyyy_xxxxzzz_1[j] * fl1_fza);

                    tg_yyyyyyyy_xxxyyyy_0[j] = pb_y * tg_yyyyyyy_xxxyyyy_0[j] + fr * tg_yyyyyyy_xxxyyyy_1[j] + 3.5 * fl1_fx * (tg_yyyyyy_xxxyyyy_0[j] - tg_yyyyyy_xxxyyyy_1[j] * fl1_fza) + 2.0 * fl1_fxn * tg_yyyyyyy_xxxyyy_1[j];

                    tg_yyyyyyyy_xxxyyyz_0[j] = pb_y * tg_yyyyyyy_xxxyyyz_0[j] + fr * tg_yyyyyyy_xxxyyyz_1[j] + 3.5 * fl1_fx * (tg_yyyyyy_xxxyyyz_0[j] - tg_yyyyyy_xxxyyyz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_yyyyyyy_xxxyyz_1[j];

                    tg_yyyyyyyy_xxxyyzz_0[j] = pb_y * tg_yyyyyyy_xxxyyzz_0[j] + fr * tg_yyyyyyy_xxxyyzz_1[j] + 3.5 * fl1_fx * (tg_yyyyyy_xxxyyzz_0[j] - tg_yyyyyy_xxxyyzz_1[j] * fl1_fza) + fl1_fxn * tg_yyyyyyy_xxxyzz_1[j];

                    tg_yyyyyyyy_xxxyzzz_0[j] = pb_y * tg_yyyyyyy_xxxyzzz_0[j] + fr * tg_yyyyyyy_xxxyzzz_1[j] + 3.5 * fl1_fx * (tg_yyyyyy_xxxyzzz_0[j] - tg_yyyyyy_xxxyzzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_yyyyyyy_xxxzzz_1[j];

                    tg_yyyyyyyy_xxxzzzz_0[j] = pb_y * tg_yyyyyyy_xxxzzzz_0[j] + fr * tg_yyyyyyy_xxxzzzz_1[j] + 3.5 * fl1_fx * (tg_yyyyyy_xxxzzzz_0[j] - tg_yyyyyy_xxxzzzz_1[j] * fl1_fza);

                    tg_yyyyyyyy_xxyyyyy_0[j] = pb_y * tg_yyyyyyy_xxyyyyy_0[j] + fr * tg_yyyyyyy_xxyyyyy_1[j] + 3.5 * fl1_fx * (tg_yyyyyy_xxyyyyy_0[j] - tg_yyyyyy_xxyyyyy_1[j] * fl1_fza) + 2.5 * fl1_fxn * tg_yyyyyyy_xxyyyy_1[j];

                    tg_yyyyyyyy_xxyyyyz_0[j] = pb_y * tg_yyyyyyy_xxyyyyz_0[j] + fr * tg_yyyyyyy_xxyyyyz_1[j] + 3.5 * fl1_fx * (tg_yyyyyy_xxyyyyz_0[j] - tg_yyyyyy_xxyyyyz_1[j] * fl1_fza) + 2.0 * fl1_fxn * tg_yyyyyyy_xxyyyz_1[j];

                    tg_yyyyyyyy_xxyyyzz_0[j] = pb_y * tg_yyyyyyy_xxyyyzz_0[j] + fr * tg_yyyyyyy_xxyyyzz_1[j] + 3.5 * fl1_fx * (tg_yyyyyy_xxyyyzz_0[j] - tg_yyyyyy_xxyyyzz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_yyyyyyy_xxyyzz_1[j];

                    tg_yyyyyyyy_xxyyzzz_0[j] = pb_y * tg_yyyyyyy_xxyyzzz_0[j] + fr * tg_yyyyyyy_xxyyzzz_1[j] + 3.5 * fl1_fx * (tg_yyyyyy_xxyyzzz_0[j] - tg_yyyyyy_xxyyzzz_1[j] * fl1_fza) + fl1_fxn * tg_yyyyyyy_xxyzzz_1[j];

                    tg_yyyyyyyy_xxyzzzz_0[j] = pb_y * tg_yyyyyyy_xxyzzzz_0[j] + fr * tg_yyyyyyy_xxyzzzz_1[j] + 3.5 * fl1_fx * (tg_yyyyyy_xxyzzzz_0[j] - tg_yyyyyy_xxyzzzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_yyyyyyy_xxzzzz_1[j];

                    tg_yyyyyyyy_xxzzzzz_0[j] = pb_y * tg_yyyyyyy_xxzzzzz_0[j] + fr * tg_yyyyyyy_xxzzzzz_1[j] + 3.5 * fl1_fx * (tg_yyyyyy_xxzzzzz_0[j] - tg_yyyyyy_xxzzzzz_1[j] * fl1_fza);

                    tg_yyyyyyyy_xyyyyyy_0[j] = pb_y * tg_yyyyyyy_xyyyyyy_0[j] + fr * tg_yyyyyyy_xyyyyyy_1[j] + 3.5 * fl1_fx * (tg_yyyyyy_xyyyyyy_0[j] - tg_yyyyyy_xyyyyyy_1[j] * fl1_fza) + 3.0 * fl1_fxn * tg_yyyyyyy_xyyyyy_1[j];

                    tg_yyyyyyyy_xyyyyyz_0[j] = pb_y * tg_yyyyyyy_xyyyyyz_0[j] + fr * tg_yyyyyyy_xyyyyyz_1[j] + 3.5 * fl1_fx * (tg_yyyyyy_xyyyyyz_0[j] - tg_yyyyyy_xyyyyyz_1[j] * fl1_fza) + 2.5 * fl1_fxn * tg_yyyyyyy_xyyyyz_1[j];

                    tg_yyyyyyyy_xyyyyzz_0[j] = pb_y * tg_yyyyyyy_xyyyyzz_0[j] + fr * tg_yyyyyyy_xyyyyzz_1[j] + 3.5 * fl1_fx * (tg_yyyyyy_xyyyyzz_0[j] - tg_yyyyyy_xyyyyzz_1[j] * fl1_fza) + 2.0 * fl1_fxn * tg_yyyyyyy_xyyyzz_1[j];

                    tg_yyyyyyyy_xyyyzzz_0[j] = pb_y * tg_yyyyyyy_xyyyzzz_0[j] + fr * tg_yyyyyyy_xyyyzzz_1[j] + 3.5 * fl1_fx * (tg_yyyyyy_xyyyzzz_0[j] - tg_yyyyyy_xyyyzzz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_yyyyyyy_xyyzzz_1[j];

                    tg_yyyyyyyy_xyyzzzz_0[j] = pb_y * tg_yyyyyyy_xyyzzzz_0[j] + fr * tg_yyyyyyy_xyyzzzz_1[j] + 3.5 * fl1_fx * (tg_yyyyyy_xyyzzzz_0[j] - tg_yyyyyy_xyyzzzz_1[j] * fl1_fza) + fl1_fxn * tg_yyyyyyy_xyzzzz_1[j];

                    tg_yyyyyyyy_xyzzzzz_0[j] = pb_y * tg_yyyyyyy_xyzzzzz_0[j] + fr * tg_yyyyyyy_xyzzzzz_1[j] + 3.5 * fl1_fx * (tg_yyyyyy_xyzzzzz_0[j] - tg_yyyyyy_xyzzzzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_yyyyyyy_xzzzzz_1[j];

                    tg_yyyyyyyy_xzzzzzz_0[j] = pb_y * tg_yyyyyyy_xzzzzzz_0[j] + fr * tg_yyyyyyy_xzzzzzz_1[j] + 3.5 * fl1_fx * (tg_yyyyyy_xzzzzzz_0[j] - tg_yyyyyy_xzzzzzz_1[j] * fl1_fza);

                    tg_yyyyyyyy_yyyyyyy_0[j] = pb_y * tg_yyyyyyy_yyyyyyy_0[j] + fr * tg_yyyyyyy_yyyyyyy_1[j] + 3.5 * fl1_fx * (tg_yyyyyy_yyyyyyy_0[j] - tg_yyyyyy_yyyyyyy_1[j] * fl1_fza) + 3.5 * fl1_fxn * tg_yyyyyyy_yyyyyy_1[j];

                    tg_yyyyyyyy_yyyyyyz_0[j] = pb_y * tg_yyyyyyy_yyyyyyz_0[j] + fr * tg_yyyyyyy_yyyyyyz_1[j] + 3.5 * fl1_fx * (tg_yyyyyy_yyyyyyz_0[j] - tg_yyyyyy_yyyyyyz_1[j] * fl1_fza) + 3.0 * fl1_fxn * tg_yyyyyyy_yyyyyz_1[j];

                    tg_yyyyyyyy_yyyyyzz_0[j] = pb_y * tg_yyyyyyy_yyyyyzz_0[j] + fr * tg_yyyyyyy_yyyyyzz_1[j] + 3.5 * fl1_fx * (tg_yyyyyy_yyyyyzz_0[j] - tg_yyyyyy_yyyyyzz_1[j] * fl1_fza) + 2.5 * fl1_fxn * tg_yyyyyyy_yyyyzz_1[j];

                    tg_yyyyyyyy_yyyyzzz_0[j] = pb_y * tg_yyyyyyy_yyyyzzz_0[j] + fr * tg_yyyyyyy_yyyyzzz_1[j] + 3.5 * fl1_fx * (tg_yyyyyy_yyyyzzz_0[j] - tg_yyyyyy_yyyyzzz_1[j] * fl1_fza) + 2.0 * fl1_fxn * tg_yyyyyyy_yyyzzz_1[j];

                    tg_yyyyyyyy_yyyzzzz_0[j] = pb_y * tg_yyyyyyy_yyyzzzz_0[j] + fr * tg_yyyyyyy_yyyzzzz_1[j] + 3.5 * fl1_fx * (tg_yyyyyy_yyyzzzz_0[j] - tg_yyyyyy_yyyzzzz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_yyyyyyy_yyzzzz_1[j];

                    tg_yyyyyyyy_yyzzzzz_0[j] = pb_y * tg_yyyyyyy_yyzzzzz_0[j] + fr * tg_yyyyyyy_yyzzzzz_1[j] + 3.5 * fl1_fx * (tg_yyyyyy_yyzzzzz_0[j] - tg_yyyyyy_yyzzzzz_1[j] * fl1_fza) + fl1_fxn * tg_yyyyyyy_yzzzzz_1[j];

                    tg_yyyyyyyy_yzzzzzz_0[j] = pb_y * tg_yyyyyyy_yzzzzzz_0[j] + fr * tg_yyyyyyy_yzzzzzz_1[j] + 3.5 * fl1_fx * (tg_yyyyyy_yzzzzzz_0[j] - tg_yyyyyy_yzzzzzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_yyyyyyy_zzzzzz_1[j];

                    tg_yyyyyyyy_zzzzzzz_0[j] = pb_y * tg_yyyyyyy_zzzzzzz_0[j] + fr * tg_yyyyyyy_zzzzzzz_1[j] + 3.5 * fl1_fx * (tg_yyyyyy_zzzzzzz_0[j] - tg_yyyyyy_zzzzzzz_1[j] * fl1_fza);

                    tg_yyyyyyyz_xxxxxxx_0[j] = pb_y * tg_yyyyyyz_xxxxxxx_0[j] + fr * tg_yyyyyyz_xxxxxxx_1[j] + 3.0 * fl1_fx * (tg_yyyyyz_xxxxxxx_0[j] - tg_yyyyyz_xxxxxxx_1[j] * fl1_fza);

                    tg_yyyyyyyz_xxxxxxy_0[j] = pb_y * tg_yyyyyyz_xxxxxxy_0[j] + fr * tg_yyyyyyz_xxxxxxy_1[j] + 3.0 * fl1_fx * (tg_yyyyyz_xxxxxxy_0[j] - tg_yyyyyz_xxxxxxy_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_yyyyyyz_xxxxxx_1[j];

                    tg_yyyyyyyz_xxxxxxz_0[j] = pb_y * tg_yyyyyyz_xxxxxxz_0[j] + fr * tg_yyyyyyz_xxxxxxz_1[j] + 3.0 * fl1_fx * (tg_yyyyyz_xxxxxxz_0[j] - tg_yyyyyz_xxxxxxz_1[j] * fl1_fza);
                }

                idx++;
            }
        }
    }

    void
    compElectronRepulsionForSLSK_1335_1430(      CMemBlock2D<double>* primBuffer,
                                           const CRecursionMap&       recursionMap,
                                           const CMemBlock2D<double>& osFactors,
                                           const CMemBlock2D<double>& wpDistances,
                                           const CGtoPairsBlock&      braGtoPairsBlock,
                                           const CGtoPairsBlock&      ketGtoPairsBlock,
                                           const int32_t              nKetPrimPairs,
                                           const int32_t              iContrPair)
    {
        // Batch of Integrals (1335,1430)

        // set up pointers to primitives data on bra side

        auto spos = braGtoPairsBlock.getStartPositions();

        auto epos = braGtoPairsBlock.getEndPositions();

        // set up pointers to tensor of distance R(PB) = P - B

        auto r_pb_y = braGtoPairsBlock.getDistancesPBY();

        // set up pointers to common Obara-Saika factors

        auto b_fx = braGtoPairsBlock.getFactorsOneOverXi();

        // set up maximum order of integral

        auto mord = recursionMap.getMaxOrder({"Electron Repulsion"},
                                             {8, -1, -1, -1},
                                             {7, -1, -1, -1},
                                             1, 1);

        for (int32_t iord = 0; iord <= mord; iord++)
        {
            // set up index of integral

            auto pidx_g_8_7_m0 = recursionMap.index(CRecursionTerm({"Electron Repulsion"}, 0, true, 
                                                                   {8, -1, -1, -1}, {7, -1, -1, -1}, 
                                                                   1, 1, iord));

            // check if integral is needed in recursion expansion

            if (pidx_g_8_7_m0 == -1) continue;

            // set up indexes of auxilary integral

            auto pidx_g_7_7_m0 = recursionMap.index(CRecursionTerm({"Electron Repulsion"}, 0, true, 
                                                                   {7, -1, -1, -1}, {7, -1, -1, -1}, 
                                                                   1, 1, iord));

            auto pidx_g_7_7_m1 = recursionMap.index(CRecursionTerm({"Electron Repulsion"}, 0, true, 
                                                                   {7, -1, -1, -1}, {7, -1, -1, -1}, 
                                                                   1, 1, iord + 1));

            auto pidx_g_6_7_m0 = recursionMap.index(CRecursionTerm({"Electron Repulsion"}, 0, true, 
                                                                   {6, -1, -1, -1}, {7, -1, -1, -1}, 
                                                                   1, 1, iord));

            auto pidx_g_6_7_m1 = recursionMap.index(CRecursionTerm({"Electron Repulsion"}, 0, true, 
                                                                   {6, -1, -1, -1}, {7, -1, -1, -1}, 
                                                                   1, 1, iord + 1));

            auto pidx_g_7_6_m1 = recursionMap.index(CRecursionTerm({"Electron Repulsion"}, 0, true, 
                                                                   {7, -1, -1, -1}, {6, -1, -1, -1}, 
                                                                   1, 1, iord + 1));

            // loop over contracted GTO on bra side

            int32_t idx = 0;

            for (int32_t i = spos[iContrPair]; i < epos[iContrPair]; i++)
            {
                // set up pointers to Obara-Saika factors

                double fx = b_fx[i];

                auto fza = osFactors.data(4 * idx + 2);

                auto fxn = osFactors.data(4 * idx);

                // set up distances R(PB) = P - B

                auto pb_y = r_pb_y[i];

                // set up pointers to tensors product of distances R(WP) = W - P

                auto wp_y = wpDistances.data(3 * idx + 1);

                // set up pointers to auxilary integrals

                auto tg_yyyyyyz_xxxxxyy_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1047); 

                auto tg_yyyyyyz_xxxxxyz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1048); 

                auto tg_yyyyyyz_xxxxxzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1049); 

                auto tg_yyyyyyz_xxxxyyy_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1050); 

                auto tg_yyyyyyz_xxxxyyz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1051); 

                auto tg_yyyyyyz_xxxxyzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1052); 

                auto tg_yyyyyyz_xxxxzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1053); 

                auto tg_yyyyyyz_xxxyyyy_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1054); 

                auto tg_yyyyyyz_xxxyyyz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1055); 

                auto tg_yyyyyyz_xxxyyzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1056); 

                auto tg_yyyyyyz_xxxyzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1057); 

                auto tg_yyyyyyz_xxxzzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1058); 

                auto tg_yyyyyyz_xxyyyyy_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1059); 

                auto tg_yyyyyyz_xxyyyyz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1060); 

                auto tg_yyyyyyz_xxyyyzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1061); 

                auto tg_yyyyyyz_xxyyzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1062); 

                auto tg_yyyyyyz_xxyzzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1063); 

                auto tg_yyyyyyz_xxzzzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1064); 

                auto tg_yyyyyyz_xyyyyyy_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1065); 

                auto tg_yyyyyyz_xyyyyyz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1066); 

                auto tg_yyyyyyz_xyyyyzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1067); 

                auto tg_yyyyyyz_xyyyzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1068); 

                auto tg_yyyyyyz_xyyzzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1069); 

                auto tg_yyyyyyz_xyzzzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1070); 

                auto tg_yyyyyyz_xzzzzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1071); 

                auto tg_yyyyyyz_yyyyyyy_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1072); 

                auto tg_yyyyyyz_yyyyyyz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1073); 

                auto tg_yyyyyyz_yyyyyzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1074); 

                auto tg_yyyyyyz_yyyyzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1075); 

                auto tg_yyyyyyz_yyyzzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1076); 

                auto tg_yyyyyyz_yyzzzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1077); 

                auto tg_yyyyyyz_yzzzzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1078); 

                auto tg_yyyyyyz_zzzzzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1079); 

                auto tg_yyyyyzz_xxxxxxx_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1080); 

                auto tg_yyyyyzz_xxxxxxy_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1081); 

                auto tg_yyyyyzz_xxxxxxz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1082); 

                auto tg_yyyyyzz_xxxxxyy_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1083); 

                auto tg_yyyyyzz_xxxxxyz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1084); 

                auto tg_yyyyyzz_xxxxxzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1085); 

                auto tg_yyyyyzz_xxxxyyy_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1086); 

                auto tg_yyyyyzz_xxxxyyz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1087); 

                auto tg_yyyyyzz_xxxxyzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1088); 

                auto tg_yyyyyzz_xxxxzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1089); 

                auto tg_yyyyyzz_xxxyyyy_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1090); 

                auto tg_yyyyyzz_xxxyyyz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1091); 

                auto tg_yyyyyzz_xxxyyzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1092); 

                auto tg_yyyyyzz_xxxyzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1093); 

                auto tg_yyyyyzz_xxxzzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1094); 

                auto tg_yyyyyzz_xxyyyyy_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1095); 

                auto tg_yyyyyzz_xxyyyyz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1096); 

                auto tg_yyyyyzz_xxyyyzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1097); 

                auto tg_yyyyyzz_xxyyzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1098); 

                auto tg_yyyyyzz_xxyzzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1099); 

                auto tg_yyyyyzz_xxzzzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1100); 

                auto tg_yyyyyzz_xyyyyyy_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1101); 

                auto tg_yyyyyzz_xyyyyyz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1102); 

                auto tg_yyyyyzz_xyyyyzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1103); 

                auto tg_yyyyyzz_xyyyzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1104); 

                auto tg_yyyyyzz_xyyzzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1105); 

                auto tg_yyyyyzz_xyzzzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1106); 

                auto tg_yyyyyzz_xzzzzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1107); 

                auto tg_yyyyyzz_yyyyyyy_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1108); 

                auto tg_yyyyyzz_yyyyyyz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1109); 

                auto tg_yyyyyzz_yyyyyzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1110); 

                auto tg_yyyyyzz_yyyyzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1111); 

                auto tg_yyyyyzz_yyyzzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1112); 

                auto tg_yyyyyzz_yyzzzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1113); 

                auto tg_yyyyyzz_yzzzzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1114); 

                auto tg_yyyyyzz_zzzzzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1115); 

                auto tg_yyyyzzz_xxxxxxx_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1116); 

                auto tg_yyyyzzz_xxxxxxy_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1117); 

                auto tg_yyyyzzz_xxxxxxz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1118); 

                auto tg_yyyyzzz_xxxxxyy_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1119); 

                auto tg_yyyyzzz_xxxxxyz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1120); 

                auto tg_yyyyzzz_xxxxxzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1121); 

                auto tg_yyyyzzz_xxxxyyy_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1122); 

                auto tg_yyyyzzz_xxxxyyz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1123); 

                auto tg_yyyyzzz_xxxxyzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1124); 

                auto tg_yyyyzzz_xxxxzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1125); 

                auto tg_yyyyzzz_xxxyyyy_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1126); 

                auto tg_yyyyzzz_xxxyyyz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1127); 

                auto tg_yyyyzzz_xxxyyzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1128); 

                auto tg_yyyyzzz_xxxyzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1129); 

                auto tg_yyyyzzz_xxxzzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1130); 

                auto tg_yyyyzzz_xxyyyyy_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1131); 

                auto tg_yyyyzzz_xxyyyyz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1132); 

                auto tg_yyyyzzz_xxyyyzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1133); 

                auto tg_yyyyzzz_xxyyzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1134); 

                auto tg_yyyyzzz_xxyzzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1135); 

                auto tg_yyyyzzz_xxzzzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1136); 

                auto tg_yyyyzzz_xyyyyyy_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1137); 

                auto tg_yyyyzzz_xyyyyyz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1138); 

                auto tg_yyyyzzz_xyyyyzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1139); 

                auto tg_yyyyzzz_xyyyzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1140); 

                auto tg_yyyyzzz_xyyzzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1141); 

                auto tg_yyyyyyz_xxxxxyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1047); 

                auto tg_yyyyyyz_xxxxxyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1048); 

                auto tg_yyyyyyz_xxxxxzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1049); 

                auto tg_yyyyyyz_xxxxyyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1050); 

                auto tg_yyyyyyz_xxxxyyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1051); 

                auto tg_yyyyyyz_xxxxyzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1052); 

                auto tg_yyyyyyz_xxxxzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1053); 

                auto tg_yyyyyyz_xxxyyyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1054); 

                auto tg_yyyyyyz_xxxyyyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1055); 

                auto tg_yyyyyyz_xxxyyzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1056); 

                auto tg_yyyyyyz_xxxyzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1057); 

                auto tg_yyyyyyz_xxxzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1058); 

                auto tg_yyyyyyz_xxyyyyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1059); 

                auto tg_yyyyyyz_xxyyyyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1060); 

                auto tg_yyyyyyz_xxyyyzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1061); 

                auto tg_yyyyyyz_xxyyzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1062); 

                auto tg_yyyyyyz_xxyzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1063); 

                auto tg_yyyyyyz_xxzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1064); 

                auto tg_yyyyyyz_xyyyyyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1065); 

                auto tg_yyyyyyz_xyyyyyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1066); 

                auto tg_yyyyyyz_xyyyyzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1067); 

                auto tg_yyyyyyz_xyyyzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1068); 

                auto tg_yyyyyyz_xyyzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1069); 

                auto tg_yyyyyyz_xyzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1070); 

                auto tg_yyyyyyz_xzzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1071); 

                auto tg_yyyyyyz_yyyyyyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1072); 

                auto tg_yyyyyyz_yyyyyyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1073); 

                auto tg_yyyyyyz_yyyyyzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1074); 

                auto tg_yyyyyyz_yyyyzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1075); 

                auto tg_yyyyyyz_yyyzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1076); 

                auto tg_yyyyyyz_yyzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1077); 

                auto tg_yyyyyyz_yzzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1078); 

                auto tg_yyyyyyz_zzzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1079); 

                auto tg_yyyyyzz_xxxxxxx_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1080); 

                auto tg_yyyyyzz_xxxxxxy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1081); 

                auto tg_yyyyyzz_xxxxxxz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1082); 

                auto tg_yyyyyzz_xxxxxyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1083); 

                auto tg_yyyyyzz_xxxxxyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1084); 

                auto tg_yyyyyzz_xxxxxzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1085); 

                auto tg_yyyyyzz_xxxxyyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1086); 

                auto tg_yyyyyzz_xxxxyyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1087); 

                auto tg_yyyyyzz_xxxxyzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1088); 

                auto tg_yyyyyzz_xxxxzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1089); 

                auto tg_yyyyyzz_xxxyyyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1090); 

                auto tg_yyyyyzz_xxxyyyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1091); 

                auto tg_yyyyyzz_xxxyyzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1092); 

                auto tg_yyyyyzz_xxxyzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1093); 

                auto tg_yyyyyzz_xxxzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1094); 

                auto tg_yyyyyzz_xxyyyyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1095); 

                auto tg_yyyyyzz_xxyyyyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1096); 

                auto tg_yyyyyzz_xxyyyzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1097); 

                auto tg_yyyyyzz_xxyyzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1098); 

                auto tg_yyyyyzz_xxyzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1099); 

                auto tg_yyyyyzz_xxzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1100); 

                auto tg_yyyyyzz_xyyyyyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1101); 

                auto tg_yyyyyzz_xyyyyyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1102); 

                auto tg_yyyyyzz_xyyyyzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1103); 

                auto tg_yyyyyzz_xyyyzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1104); 

                auto tg_yyyyyzz_xyyzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1105); 

                auto tg_yyyyyzz_xyzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1106); 

                auto tg_yyyyyzz_xzzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1107); 

                auto tg_yyyyyzz_yyyyyyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1108); 

                auto tg_yyyyyzz_yyyyyyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1109); 

                auto tg_yyyyyzz_yyyyyzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1110); 

                auto tg_yyyyyzz_yyyyzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1111); 

                auto tg_yyyyyzz_yyyzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1112); 

                auto tg_yyyyyzz_yyzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1113); 

                auto tg_yyyyyzz_yzzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1114); 

                auto tg_yyyyyzz_zzzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1115); 

                auto tg_yyyyzzz_xxxxxxx_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1116); 

                auto tg_yyyyzzz_xxxxxxy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1117); 

                auto tg_yyyyzzz_xxxxxxz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1118); 

                auto tg_yyyyzzz_xxxxxyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1119); 

                auto tg_yyyyzzz_xxxxxyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1120); 

                auto tg_yyyyzzz_xxxxxzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1121); 

                auto tg_yyyyzzz_xxxxyyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1122); 

                auto tg_yyyyzzz_xxxxyyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1123); 

                auto tg_yyyyzzz_xxxxyzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1124); 

                auto tg_yyyyzzz_xxxxzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1125); 

                auto tg_yyyyzzz_xxxyyyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1126); 

                auto tg_yyyyzzz_xxxyyyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1127); 

                auto tg_yyyyzzz_xxxyyzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1128); 

                auto tg_yyyyzzz_xxxyzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1129); 

                auto tg_yyyyzzz_xxxzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1130); 

                auto tg_yyyyzzz_xxyyyyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1131); 

                auto tg_yyyyzzz_xxyyyyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1132); 

                auto tg_yyyyzzz_xxyyyzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1133); 

                auto tg_yyyyzzz_xxyyzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1134); 

                auto tg_yyyyzzz_xxyzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1135); 

                auto tg_yyyyzzz_xxzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1136); 

                auto tg_yyyyzzz_xyyyyyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1137); 

                auto tg_yyyyzzz_xyyyyyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1138); 

                auto tg_yyyyzzz_xyyyyzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1139); 

                auto tg_yyyyzzz_xyyyzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1140); 

                auto tg_yyyyzzz_xyyzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1141); 

                auto tg_yyyyyz_xxxxxyy_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 795); 

                auto tg_yyyyyz_xxxxxyz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 796); 

                auto tg_yyyyyz_xxxxxzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 797); 

                auto tg_yyyyyz_xxxxyyy_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 798); 

                auto tg_yyyyyz_xxxxyyz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 799); 

                auto tg_yyyyyz_xxxxyzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 800); 

                auto tg_yyyyyz_xxxxzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 801); 

                auto tg_yyyyyz_xxxyyyy_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 802); 

                auto tg_yyyyyz_xxxyyyz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 803); 

                auto tg_yyyyyz_xxxyyzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 804); 

                auto tg_yyyyyz_xxxyzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 805); 

                auto tg_yyyyyz_xxxzzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 806); 

                auto tg_yyyyyz_xxyyyyy_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 807); 

                auto tg_yyyyyz_xxyyyyz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 808); 

                auto tg_yyyyyz_xxyyyzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 809); 

                auto tg_yyyyyz_xxyyzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 810); 

                auto tg_yyyyyz_xxyzzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 811); 

                auto tg_yyyyyz_xxzzzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 812); 

                auto tg_yyyyyz_xyyyyyy_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 813); 

                auto tg_yyyyyz_xyyyyyz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 814); 

                auto tg_yyyyyz_xyyyyzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 815); 

                auto tg_yyyyyz_xyyyzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 816); 

                auto tg_yyyyyz_xyyzzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 817); 

                auto tg_yyyyyz_xyzzzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 818); 

                auto tg_yyyyyz_xzzzzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 819); 

                auto tg_yyyyyz_yyyyyyy_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 820); 

                auto tg_yyyyyz_yyyyyyz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 821); 

                auto tg_yyyyyz_yyyyyzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 822); 

                auto tg_yyyyyz_yyyyzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 823); 

                auto tg_yyyyyz_yyyzzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 824); 

                auto tg_yyyyyz_yyzzzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 825); 

                auto tg_yyyyyz_yzzzzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 826); 

                auto tg_yyyyyz_zzzzzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 827); 

                auto tg_yyyyzz_xxxxxxx_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 828); 

                auto tg_yyyyzz_xxxxxxy_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 829); 

                auto tg_yyyyzz_xxxxxxz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 830); 

                auto tg_yyyyzz_xxxxxyy_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 831); 

                auto tg_yyyyzz_xxxxxyz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 832); 

                auto tg_yyyyzz_xxxxxzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 833); 

                auto tg_yyyyzz_xxxxyyy_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 834); 

                auto tg_yyyyzz_xxxxyyz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 835); 

                auto tg_yyyyzz_xxxxyzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 836); 

                auto tg_yyyyzz_xxxxzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 837); 

                auto tg_yyyyzz_xxxyyyy_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 838); 

                auto tg_yyyyzz_xxxyyyz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 839); 

                auto tg_yyyyzz_xxxyyzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 840); 

                auto tg_yyyyzz_xxxyzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 841); 

                auto tg_yyyyzz_xxxzzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 842); 

                auto tg_yyyyzz_xxyyyyy_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 843); 

                auto tg_yyyyzz_xxyyyyz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 844); 

                auto tg_yyyyzz_xxyyyzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 845); 

                auto tg_yyyyzz_xxyyzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 846); 

                auto tg_yyyyzz_xxyzzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 847); 

                auto tg_yyyyzz_xxzzzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 848); 

                auto tg_yyyyzz_xyyyyyy_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 849); 

                auto tg_yyyyzz_xyyyyyz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 850); 

                auto tg_yyyyzz_xyyyyzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 851); 

                auto tg_yyyyzz_xyyyzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 852); 

                auto tg_yyyyzz_xyyzzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 853); 

                auto tg_yyyyzz_xyzzzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 854); 

                auto tg_yyyyzz_xzzzzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 855); 

                auto tg_yyyyzz_yyyyyyy_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 856); 

                auto tg_yyyyzz_yyyyyyz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 857); 

                auto tg_yyyyzz_yyyyyzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 858); 

                auto tg_yyyyzz_yyyyzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 859); 

                auto tg_yyyyzz_yyyzzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 860); 

                auto tg_yyyyzz_yyzzzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 861); 

                auto tg_yyyyzz_yzzzzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 862); 

                auto tg_yyyyzz_zzzzzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 863); 

                auto tg_yyyzzz_xxxxxxx_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 864); 

                auto tg_yyyzzz_xxxxxxy_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 865); 

                auto tg_yyyzzz_xxxxxxz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 866); 

                auto tg_yyyzzz_xxxxxyy_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 867); 

                auto tg_yyyzzz_xxxxxyz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 868); 

                auto tg_yyyzzz_xxxxxzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 869); 

                auto tg_yyyzzz_xxxxyyy_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 870); 

                auto tg_yyyzzz_xxxxyyz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 871); 

                auto tg_yyyzzz_xxxxyzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 872); 

                auto tg_yyyzzz_xxxxzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 873); 

                auto tg_yyyzzz_xxxyyyy_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 874); 

                auto tg_yyyzzz_xxxyyyz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 875); 

                auto tg_yyyzzz_xxxyyzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 876); 

                auto tg_yyyzzz_xxxyzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 877); 

                auto tg_yyyzzz_xxxzzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 878); 

                auto tg_yyyzzz_xxyyyyy_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 879); 

                auto tg_yyyzzz_xxyyyyz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 880); 

                auto tg_yyyzzz_xxyyyzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 881); 

                auto tg_yyyzzz_xxyyzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 882); 

                auto tg_yyyzzz_xxyzzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 883); 

                auto tg_yyyzzz_xxzzzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 884); 

                auto tg_yyyzzz_xyyyyyy_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 885); 

                auto tg_yyyzzz_xyyyyyz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 886); 

                auto tg_yyyzzz_xyyyyzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 887); 

                auto tg_yyyzzz_xyyyzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 888); 

                auto tg_yyyzzz_xyyzzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 889); 

                auto tg_yyyyyz_xxxxxyy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 795); 

                auto tg_yyyyyz_xxxxxyz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 796); 

                auto tg_yyyyyz_xxxxxzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 797); 

                auto tg_yyyyyz_xxxxyyy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 798); 

                auto tg_yyyyyz_xxxxyyz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 799); 

                auto tg_yyyyyz_xxxxyzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 800); 

                auto tg_yyyyyz_xxxxzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 801); 

                auto tg_yyyyyz_xxxyyyy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 802); 

                auto tg_yyyyyz_xxxyyyz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 803); 

                auto tg_yyyyyz_xxxyyzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 804); 

                auto tg_yyyyyz_xxxyzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 805); 

                auto tg_yyyyyz_xxxzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 806); 

                auto tg_yyyyyz_xxyyyyy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 807); 

                auto tg_yyyyyz_xxyyyyz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 808); 

                auto tg_yyyyyz_xxyyyzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 809); 

                auto tg_yyyyyz_xxyyzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 810); 

                auto tg_yyyyyz_xxyzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 811); 

                auto tg_yyyyyz_xxzzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 812); 

                auto tg_yyyyyz_xyyyyyy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 813); 

                auto tg_yyyyyz_xyyyyyz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 814); 

                auto tg_yyyyyz_xyyyyzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 815); 

                auto tg_yyyyyz_xyyyzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 816); 

                auto tg_yyyyyz_xyyzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 817); 

                auto tg_yyyyyz_xyzzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 818); 

                auto tg_yyyyyz_xzzzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 819); 

                auto tg_yyyyyz_yyyyyyy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 820); 

                auto tg_yyyyyz_yyyyyyz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 821); 

                auto tg_yyyyyz_yyyyyzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 822); 

                auto tg_yyyyyz_yyyyzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 823); 

                auto tg_yyyyyz_yyyzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 824); 

                auto tg_yyyyyz_yyzzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 825); 

                auto tg_yyyyyz_yzzzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 826); 

                auto tg_yyyyyz_zzzzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 827); 

                auto tg_yyyyzz_xxxxxxx_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 828); 

                auto tg_yyyyzz_xxxxxxy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 829); 

                auto tg_yyyyzz_xxxxxxz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 830); 

                auto tg_yyyyzz_xxxxxyy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 831); 

                auto tg_yyyyzz_xxxxxyz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 832); 

                auto tg_yyyyzz_xxxxxzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 833); 

                auto tg_yyyyzz_xxxxyyy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 834); 

                auto tg_yyyyzz_xxxxyyz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 835); 

                auto tg_yyyyzz_xxxxyzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 836); 

                auto tg_yyyyzz_xxxxzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 837); 

                auto tg_yyyyzz_xxxyyyy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 838); 

                auto tg_yyyyzz_xxxyyyz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 839); 

                auto tg_yyyyzz_xxxyyzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 840); 

                auto tg_yyyyzz_xxxyzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 841); 

                auto tg_yyyyzz_xxxzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 842); 

                auto tg_yyyyzz_xxyyyyy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 843); 

                auto tg_yyyyzz_xxyyyyz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 844); 

                auto tg_yyyyzz_xxyyyzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 845); 

                auto tg_yyyyzz_xxyyzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 846); 

                auto tg_yyyyzz_xxyzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 847); 

                auto tg_yyyyzz_xxzzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 848); 

                auto tg_yyyyzz_xyyyyyy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 849); 

                auto tg_yyyyzz_xyyyyyz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 850); 

                auto tg_yyyyzz_xyyyyzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 851); 

                auto tg_yyyyzz_xyyyzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 852); 

                auto tg_yyyyzz_xyyzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 853); 

                auto tg_yyyyzz_xyzzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 854); 

                auto tg_yyyyzz_xzzzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 855); 

                auto tg_yyyyzz_yyyyyyy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 856); 

                auto tg_yyyyzz_yyyyyyz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 857); 

                auto tg_yyyyzz_yyyyyzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 858); 

                auto tg_yyyyzz_yyyyzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 859); 

                auto tg_yyyyzz_yyyzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 860); 

                auto tg_yyyyzz_yyzzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 861); 

                auto tg_yyyyzz_yzzzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 862); 

                auto tg_yyyyzz_zzzzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 863); 

                auto tg_yyyzzz_xxxxxxx_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 864); 

                auto tg_yyyzzz_xxxxxxy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 865); 

                auto tg_yyyzzz_xxxxxxz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 866); 

                auto tg_yyyzzz_xxxxxyy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 867); 

                auto tg_yyyzzz_xxxxxyz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 868); 

                auto tg_yyyzzz_xxxxxzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 869); 

                auto tg_yyyzzz_xxxxyyy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 870); 

                auto tg_yyyzzz_xxxxyyz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 871); 

                auto tg_yyyzzz_xxxxyzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 872); 

                auto tg_yyyzzz_xxxxzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 873); 

                auto tg_yyyzzz_xxxyyyy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 874); 

                auto tg_yyyzzz_xxxyyyz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 875); 

                auto tg_yyyzzz_xxxyyzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 876); 

                auto tg_yyyzzz_xxxyzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 877); 

                auto tg_yyyzzz_xxxzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 878); 

                auto tg_yyyzzz_xxyyyyy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 879); 

                auto tg_yyyzzz_xxyyyyz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 880); 

                auto tg_yyyzzz_xxyyyzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 881); 

                auto tg_yyyzzz_xxyyzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 882); 

                auto tg_yyyzzz_xxyzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 883); 

                auto tg_yyyzzz_xxzzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 884); 

                auto tg_yyyzzz_xyyyyyy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 885); 

                auto tg_yyyzzz_xyyyyyz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 886); 

                auto tg_yyyzzz_xyyyyzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 887); 

                auto tg_yyyzzz_xyyyzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 888); 

                auto tg_yyyzzz_xyyzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 889); 

                auto tg_yyyyyyz_xxxxxy_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 813); 

                auto tg_yyyyyyz_xxxxxz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 814); 

                auto tg_yyyyyyz_xxxxyy_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 815); 

                auto tg_yyyyyyz_xxxxyz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 816); 

                auto tg_yyyyyyz_xxxxzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 817); 

                auto tg_yyyyyyz_xxxyyy_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 818); 

                auto tg_yyyyyyz_xxxyyz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 819); 

                auto tg_yyyyyyz_xxxyzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 820); 

                auto tg_yyyyyyz_xxxzzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 821); 

                auto tg_yyyyyyz_xxyyyy_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 822); 

                auto tg_yyyyyyz_xxyyyz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 823); 

                auto tg_yyyyyyz_xxyyzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 824); 

                auto tg_yyyyyyz_xxyzzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 825); 

                auto tg_yyyyyyz_xxzzzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 826); 

                auto tg_yyyyyyz_xyyyyy_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 827); 

                auto tg_yyyyyyz_xyyyyz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 828); 

                auto tg_yyyyyyz_xyyyzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 829); 

                auto tg_yyyyyyz_xyyzzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 830); 

                auto tg_yyyyyyz_xyzzzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 831); 

                auto tg_yyyyyyz_xzzzzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 832); 

                auto tg_yyyyyyz_yyyyyy_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 833); 

                auto tg_yyyyyyz_yyyyyz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 834); 

                auto tg_yyyyyyz_yyyyzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 835); 

                auto tg_yyyyyyz_yyyzzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 836); 

                auto tg_yyyyyyz_yyzzzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 837); 

                auto tg_yyyyyyz_yzzzzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 838); 

                auto tg_yyyyyyz_zzzzzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 839); 

                auto tg_yyyyyzz_xxxxxx_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 840); 

                auto tg_yyyyyzz_xxxxxy_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 841); 

                auto tg_yyyyyzz_xxxxxz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 842); 

                auto tg_yyyyyzz_xxxxyy_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 843); 

                auto tg_yyyyyzz_xxxxyz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 844); 

                auto tg_yyyyyzz_xxxxzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 845); 

                auto tg_yyyyyzz_xxxyyy_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 846); 

                auto tg_yyyyyzz_xxxyyz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 847); 

                auto tg_yyyyyzz_xxxyzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 848); 

                auto tg_yyyyyzz_xxxzzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 849); 

                auto tg_yyyyyzz_xxyyyy_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 850); 

                auto tg_yyyyyzz_xxyyyz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 851); 

                auto tg_yyyyyzz_xxyyzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 852); 

                auto tg_yyyyyzz_xxyzzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 853); 

                auto tg_yyyyyzz_xxzzzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 854); 

                auto tg_yyyyyzz_xyyyyy_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 855); 

                auto tg_yyyyyzz_xyyyyz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 856); 

                auto tg_yyyyyzz_xyyyzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 857); 

                auto tg_yyyyyzz_xyyzzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 858); 

                auto tg_yyyyyzz_xyzzzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 859); 

                auto tg_yyyyyzz_xzzzzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 860); 

                auto tg_yyyyyzz_yyyyyy_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 861); 

                auto tg_yyyyyzz_yyyyyz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 862); 

                auto tg_yyyyyzz_yyyyzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 863); 

                auto tg_yyyyyzz_yyyzzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 864); 

                auto tg_yyyyyzz_yyzzzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 865); 

                auto tg_yyyyyzz_yzzzzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 866); 

                auto tg_yyyyyzz_zzzzzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 867); 

                auto tg_yyyyzzz_xxxxxx_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 868); 

                auto tg_yyyyzzz_xxxxxy_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 869); 

                auto tg_yyyyzzz_xxxxxz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 870); 

                auto tg_yyyyzzz_xxxxyy_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 871); 

                auto tg_yyyyzzz_xxxxyz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 872); 

                auto tg_yyyyzzz_xxxxzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 873); 

                auto tg_yyyyzzz_xxxyyy_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 874); 

                auto tg_yyyyzzz_xxxyyz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 875); 

                auto tg_yyyyzzz_xxxyzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 876); 

                auto tg_yyyyzzz_xxxzzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 877); 

                auto tg_yyyyzzz_xxyyyy_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 878); 

                auto tg_yyyyzzz_xxyyyz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 879); 

                auto tg_yyyyzzz_xxyyzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 880); 

                auto tg_yyyyzzz_xxyzzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 881); 

                auto tg_yyyyzzz_xxzzzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 882); 

                auto tg_yyyyzzz_xyyyyy_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 883); 

                auto tg_yyyyzzz_xyyyyz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 884); 

                auto tg_yyyyzzz_xyyyzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 885); 

                auto tg_yyyyzzz_xyyzzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 886); 

                auto tg_yyyyzzz_xyzzzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 887); 

                // set up pointers to integrals

                auto tg_yyyyyyyz_xxxxxyy_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1335); 

                auto tg_yyyyyyyz_xxxxxyz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1336); 

                auto tg_yyyyyyyz_xxxxxzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1337); 

                auto tg_yyyyyyyz_xxxxyyy_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1338); 

                auto tg_yyyyyyyz_xxxxyyz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1339); 

                auto tg_yyyyyyyz_xxxxyzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1340); 

                auto tg_yyyyyyyz_xxxxzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1341); 

                auto tg_yyyyyyyz_xxxyyyy_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1342); 

                auto tg_yyyyyyyz_xxxyyyz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1343); 

                auto tg_yyyyyyyz_xxxyyzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1344); 

                auto tg_yyyyyyyz_xxxyzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1345); 

                auto tg_yyyyyyyz_xxxzzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1346); 

                auto tg_yyyyyyyz_xxyyyyy_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1347); 

                auto tg_yyyyyyyz_xxyyyyz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1348); 

                auto tg_yyyyyyyz_xxyyyzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1349); 

                auto tg_yyyyyyyz_xxyyzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1350); 

                auto tg_yyyyyyyz_xxyzzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1351); 

                auto tg_yyyyyyyz_xxzzzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1352); 

                auto tg_yyyyyyyz_xyyyyyy_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1353); 

                auto tg_yyyyyyyz_xyyyyyz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1354); 

                auto tg_yyyyyyyz_xyyyyzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1355); 

                auto tg_yyyyyyyz_xyyyzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1356); 

                auto tg_yyyyyyyz_xyyzzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1357); 

                auto tg_yyyyyyyz_xyzzzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1358); 

                auto tg_yyyyyyyz_xzzzzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1359); 

                auto tg_yyyyyyyz_yyyyyyy_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1360); 

                auto tg_yyyyyyyz_yyyyyyz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1361); 

                auto tg_yyyyyyyz_yyyyyzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1362); 

                auto tg_yyyyyyyz_yyyyzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1363); 

                auto tg_yyyyyyyz_yyyzzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1364); 

                auto tg_yyyyyyyz_yyzzzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1365); 

                auto tg_yyyyyyyz_yzzzzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1366); 

                auto tg_yyyyyyyz_zzzzzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1367); 

                auto tg_yyyyyyzz_xxxxxxx_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1368); 

                auto tg_yyyyyyzz_xxxxxxy_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1369); 

                auto tg_yyyyyyzz_xxxxxxz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1370); 

                auto tg_yyyyyyzz_xxxxxyy_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1371); 

                auto tg_yyyyyyzz_xxxxxyz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1372); 

                auto tg_yyyyyyzz_xxxxxzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1373); 

                auto tg_yyyyyyzz_xxxxyyy_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1374); 

                auto tg_yyyyyyzz_xxxxyyz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1375); 

                auto tg_yyyyyyzz_xxxxyzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1376); 

                auto tg_yyyyyyzz_xxxxzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1377); 

                auto tg_yyyyyyzz_xxxyyyy_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1378); 

                auto tg_yyyyyyzz_xxxyyyz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1379); 

                auto tg_yyyyyyzz_xxxyyzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1380); 

                auto tg_yyyyyyzz_xxxyzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1381); 

                auto tg_yyyyyyzz_xxxzzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1382); 

                auto tg_yyyyyyzz_xxyyyyy_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1383); 

                auto tg_yyyyyyzz_xxyyyyz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1384); 

                auto tg_yyyyyyzz_xxyyyzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1385); 

                auto tg_yyyyyyzz_xxyyzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1386); 

                auto tg_yyyyyyzz_xxyzzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1387); 

                auto tg_yyyyyyzz_xxzzzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1388); 

                auto tg_yyyyyyzz_xyyyyyy_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1389); 

                auto tg_yyyyyyzz_xyyyyyz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1390); 

                auto tg_yyyyyyzz_xyyyyzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1391); 

                auto tg_yyyyyyzz_xyyyzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1392); 

                auto tg_yyyyyyzz_xyyzzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1393); 

                auto tg_yyyyyyzz_xyzzzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1394); 

                auto tg_yyyyyyzz_xzzzzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1395); 

                auto tg_yyyyyyzz_yyyyyyy_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1396); 

                auto tg_yyyyyyzz_yyyyyyz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1397); 

                auto tg_yyyyyyzz_yyyyyzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1398); 

                auto tg_yyyyyyzz_yyyyzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1399); 

                auto tg_yyyyyyzz_yyyzzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1400); 

                auto tg_yyyyyyzz_yyzzzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1401); 

                auto tg_yyyyyyzz_yzzzzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1402); 

                auto tg_yyyyyyzz_zzzzzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1403); 

                auto tg_yyyyyzzz_xxxxxxx_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1404); 

                auto tg_yyyyyzzz_xxxxxxy_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1405); 

                auto tg_yyyyyzzz_xxxxxxz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1406); 

                auto tg_yyyyyzzz_xxxxxyy_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1407); 

                auto tg_yyyyyzzz_xxxxxyz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1408); 

                auto tg_yyyyyzzz_xxxxxzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1409); 

                auto tg_yyyyyzzz_xxxxyyy_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1410); 

                auto tg_yyyyyzzz_xxxxyyz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1411); 

                auto tg_yyyyyzzz_xxxxyzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1412); 

                auto tg_yyyyyzzz_xxxxzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1413); 

                auto tg_yyyyyzzz_xxxyyyy_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1414); 

                auto tg_yyyyyzzz_xxxyyyz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1415); 

                auto tg_yyyyyzzz_xxxyyzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1416); 

                auto tg_yyyyyzzz_xxxyzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1417); 

                auto tg_yyyyyzzz_xxxzzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1418); 

                auto tg_yyyyyzzz_xxyyyyy_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1419); 

                auto tg_yyyyyzzz_xxyyyyz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1420); 

                auto tg_yyyyyzzz_xxyyyzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1421); 

                auto tg_yyyyyzzz_xxyyzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1422); 

                auto tg_yyyyyzzz_xxyzzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1423); 

                auto tg_yyyyyzzz_xxzzzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1424); 

                auto tg_yyyyyzzz_xyyyyyy_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1425); 

                auto tg_yyyyyzzz_xyyyyyz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1426); 

                auto tg_yyyyyzzz_xyyyyzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1427); 

                auto tg_yyyyyzzz_xyyyzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1428); 

                auto tg_yyyyyzzz_xyyzzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1429); 

                // Batch of Integrals (1335,1430)

                #pragma omp simd aligned(fxn, fza, tg_yyyyyyyz_xxxxxyy_0, tg_yyyyyyyz_xxxxxyz_0, \
                                         tg_yyyyyyyz_xxxxxzz_0, tg_yyyyyyyz_xxxxyyy_0, tg_yyyyyyyz_xxxxyyz_0, \
                                         tg_yyyyyyyz_xxxxyzz_0, tg_yyyyyyyz_xxxxzzz_0, tg_yyyyyyyz_xxxyyyy_0, \
                                         tg_yyyyyyyz_xxxyyyz_0, tg_yyyyyyyz_xxxyyzz_0, tg_yyyyyyyz_xxxyzzz_0, \
                                         tg_yyyyyyyz_xxxzzzz_0, tg_yyyyyyyz_xxyyyyy_0, tg_yyyyyyyz_xxyyyyz_0, \
                                         tg_yyyyyyyz_xxyyyzz_0, tg_yyyyyyyz_xxyyzzz_0, tg_yyyyyyyz_xxyzzzz_0, \
                                         tg_yyyyyyyz_xxzzzzz_0, tg_yyyyyyyz_xyyyyyy_0, tg_yyyyyyyz_xyyyyyz_0, \
                                         tg_yyyyyyyz_xyyyyzz_0, tg_yyyyyyyz_xyyyzzz_0, tg_yyyyyyyz_xyyzzzz_0, \
                                         tg_yyyyyyyz_xyzzzzz_0, tg_yyyyyyyz_xzzzzzz_0, tg_yyyyyyyz_yyyyyyy_0, \
                                         tg_yyyyyyyz_yyyyyyz_0, tg_yyyyyyyz_yyyyyzz_0, tg_yyyyyyyz_yyyyzzz_0, \
                                         tg_yyyyyyyz_yyyzzzz_0, tg_yyyyyyyz_yyzzzzz_0, tg_yyyyyyyz_yzzzzzz_0, \
                                         tg_yyyyyyyz_zzzzzzz_0, tg_yyyyyyz_xxxxxy_1, tg_yyyyyyz_xxxxxyy_0, tg_yyyyyyz_xxxxxyy_1, \
                                         tg_yyyyyyz_xxxxxyz_0, tg_yyyyyyz_xxxxxyz_1, tg_yyyyyyz_xxxxxz_1, tg_yyyyyyz_xxxxxzz_0, \
                                         tg_yyyyyyz_xxxxxzz_1, tg_yyyyyyz_xxxxyy_1, tg_yyyyyyz_xxxxyyy_0, tg_yyyyyyz_xxxxyyy_1, \
                                         tg_yyyyyyz_xxxxyyz_0, tg_yyyyyyz_xxxxyyz_1, tg_yyyyyyz_xxxxyz_1, tg_yyyyyyz_xxxxyzz_0, \
                                         tg_yyyyyyz_xxxxyzz_1, tg_yyyyyyz_xxxxzz_1, tg_yyyyyyz_xxxxzzz_0, tg_yyyyyyz_xxxxzzz_1, \
                                         tg_yyyyyyz_xxxyyy_1, tg_yyyyyyz_xxxyyyy_0, tg_yyyyyyz_xxxyyyy_1, tg_yyyyyyz_xxxyyyz_0, \
                                         tg_yyyyyyz_xxxyyyz_1, tg_yyyyyyz_xxxyyz_1, tg_yyyyyyz_xxxyyzz_0, tg_yyyyyyz_xxxyyzz_1, \
                                         tg_yyyyyyz_xxxyzz_1, tg_yyyyyyz_xxxyzzz_0, tg_yyyyyyz_xxxyzzz_1, tg_yyyyyyz_xxxzzz_1, \
                                         tg_yyyyyyz_xxxzzzz_0, tg_yyyyyyz_xxxzzzz_1, tg_yyyyyyz_xxyyyy_1, tg_yyyyyyz_xxyyyyy_0, \
                                         tg_yyyyyyz_xxyyyyy_1, tg_yyyyyyz_xxyyyyz_0, tg_yyyyyyz_xxyyyyz_1, tg_yyyyyyz_xxyyyz_1, \
                                         tg_yyyyyyz_xxyyyzz_0, tg_yyyyyyz_xxyyyzz_1, tg_yyyyyyz_xxyyzz_1, tg_yyyyyyz_xxyyzzz_0, \
                                         tg_yyyyyyz_xxyyzzz_1, tg_yyyyyyz_xxyzzz_1, tg_yyyyyyz_xxyzzzz_0, tg_yyyyyyz_xxyzzzz_1, \
                                         tg_yyyyyyz_xxzzzz_1, tg_yyyyyyz_xxzzzzz_0, tg_yyyyyyz_xxzzzzz_1, tg_yyyyyyz_xyyyyy_1, \
                                         tg_yyyyyyz_xyyyyyy_0, tg_yyyyyyz_xyyyyyy_1, tg_yyyyyyz_xyyyyyz_0, tg_yyyyyyz_xyyyyyz_1, \
                                         tg_yyyyyyz_xyyyyz_1, tg_yyyyyyz_xyyyyzz_0, tg_yyyyyyz_xyyyyzz_1, tg_yyyyyyz_xyyyzz_1, \
                                         tg_yyyyyyz_xyyyzzz_0, tg_yyyyyyz_xyyyzzz_1, tg_yyyyyyz_xyyzzz_1, tg_yyyyyyz_xyyzzzz_0, \
                                         tg_yyyyyyz_xyyzzzz_1, tg_yyyyyyz_xyzzzz_1, tg_yyyyyyz_xyzzzzz_0, tg_yyyyyyz_xyzzzzz_1, \
                                         tg_yyyyyyz_xzzzzz_1, tg_yyyyyyz_xzzzzzz_0, tg_yyyyyyz_xzzzzzz_1, tg_yyyyyyz_yyyyyy_1, \
                                         tg_yyyyyyz_yyyyyyy_0, tg_yyyyyyz_yyyyyyy_1, tg_yyyyyyz_yyyyyyz_0, tg_yyyyyyz_yyyyyyz_1, \
                                         tg_yyyyyyz_yyyyyz_1, tg_yyyyyyz_yyyyyzz_0, tg_yyyyyyz_yyyyyzz_1, tg_yyyyyyz_yyyyzz_1, \
                                         tg_yyyyyyz_yyyyzzz_0, tg_yyyyyyz_yyyyzzz_1, tg_yyyyyyz_yyyzzz_1, tg_yyyyyyz_yyyzzzz_0, \
                                         tg_yyyyyyz_yyyzzzz_1, tg_yyyyyyz_yyzzzz_1, tg_yyyyyyz_yyzzzzz_0, tg_yyyyyyz_yyzzzzz_1, \
                                         tg_yyyyyyz_yzzzzz_1, tg_yyyyyyz_yzzzzzz_0, tg_yyyyyyz_yzzzzzz_1, tg_yyyyyyz_zzzzzz_1, \
                                         tg_yyyyyyz_zzzzzzz_0, tg_yyyyyyz_zzzzzzz_1, tg_yyyyyyzz_xxxxxxx_0, \
                                         tg_yyyyyyzz_xxxxxxy_0, tg_yyyyyyzz_xxxxxxz_0, tg_yyyyyyzz_xxxxxyy_0, \
                                         tg_yyyyyyzz_xxxxxyz_0, tg_yyyyyyzz_xxxxxzz_0, tg_yyyyyyzz_xxxxyyy_0, \
                                         tg_yyyyyyzz_xxxxyyz_0, tg_yyyyyyzz_xxxxyzz_0, tg_yyyyyyzz_xxxxzzz_0, \
                                         tg_yyyyyyzz_xxxyyyy_0, tg_yyyyyyzz_xxxyyyz_0, tg_yyyyyyzz_xxxyyzz_0, \
                                         tg_yyyyyyzz_xxxyzzz_0, tg_yyyyyyzz_xxxzzzz_0, tg_yyyyyyzz_xxyyyyy_0, \
                                         tg_yyyyyyzz_xxyyyyz_0, tg_yyyyyyzz_xxyyyzz_0, tg_yyyyyyzz_xxyyzzz_0, \
                                         tg_yyyyyyzz_xxyzzzz_0, tg_yyyyyyzz_xxzzzzz_0, tg_yyyyyyzz_xyyyyyy_0, \
                                         tg_yyyyyyzz_xyyyyyz_0, tg_yyyyyyzz_xyyyyzz_0, tg_yyyyyyzz_xyyyzzz_0, \
                                         tg_yyyyyyzz_xyyzzzz_0, tg_yyyyyyzz_xyzzzzz_0, tg_yyyyyyzz_xzzzzzz_0, \
                                         tg_yyyyyyzz_yyyyyyy_0, tg_yyyyyyzz_yyyyyyz_0, tg_yyyyyyzz_yyyyyzz_0, \
                                         tg_yyyyyyzz_yyyyzzz_0, tg_yyyyyyzz_yyyzzzz_0, tg_yyyyyyzz_yyzzzzz_0, \
                                         tg_yyyyyyzz_yzzzzzz_0, tg_yyyyyyzz_zzzzzzz_0, tg_yyyyyz_xxxxxyy_0, tg_yyyyyz_xxxxxyy_1, \
                                         tg_yyyyyz_xxxxxyz_0, tg_yyyyyz_xxxxxyz_1, tg_yyyyyz_xxxxxzz_0, tg_yyyyyz_xxxxxzz_1, \
                                         tg_yyyyyz_xxxxyyy_0, tg_yyyyyz_xxxxyyy_1, tg_yyyyyz_xxxxyyz_0, tg_yyyyyz_xxxxyyz_1, \
                                         tg_yyyyyz_xxxxyzz_0, tg_yyyyyz_xxxxyzz_1, tg_yyyyyz_xxxxzzz_0, tg_yyyyyz_xxxxzzz_1, \
                                         tg_yyyyyz_xxxyyyy_0, tg_yyyyyz_xxxyyyy_1, tg_yyyyyz_xxxyyyz_0, tg_yyyyyz_xxxyyyz_1, \
                                         tg_yyyyyz_xxxyyzz_0, tg_yyyyyz_xxxyyzz_1, tg_yyyyyz_xxxyzzz_0, tg_yyyyyz_xxxyzzz_1, \
                                         tg_yyyyyz_xxxzzzz_0, tg_yyyyyz_xxxzzzz_1, tg_yyyyyz_xxyyyyy_0, tg_yyyyyz_xxyyyyy_1, \
                                         tg_yyyyyz_xxyyyyz_0, tg_yyyyyz_xxyyyyz_1, tg_yyyyyz_xxyyyzz_0, tg_yyyyyz_xxyyyzz_1, \
                                         tg_yyyyyz_xxyyzzz_0, tg_yyyyyz_xxyyzzz_1, tg_yyyyyz_xxyzzzz_0, tg_yyyyyz_xxyzzzz_1, \
                                         tg_yyyyyz_xxzzzzz_0, tg_yyyyyz_xxzzzzz_1, tg_yyyyyz_xyyyyyy_0, tg_yyyyyz_xyyyyyy_1, \
                                         tg_yyyyyz_xyyyyyz_0, tg_yyyyyz_xyyyyyz_1, tg_yyyyyz_xyyyyzz_0, tg_yyyyyz_xyyyyzz_1, \
                                         tg_yyyyyz_xyyyzzz_0, tg_yyyyyz_xyyyzzz_1, tg_yyyyyz_xyyzzzz_0, tg_yyyyyz_xyyzzzz_1, \
                                         tg_yyyyyz_xyzzzzz_0, tg_yyyyyz_xyzzzzz_1, tg_yyyyyz_xzzzzzz_0, tg_yyyyyz_xzzzzzz_1, \
                                         tg_yyyyyz_yyyyyyy_0, tg_yyyyyz_yyyyyyy_1, tg_yyyyyz_yyyyyyz_0, tg_yyyyyz_yyyyyyz_1, \
                                         tg_yyyyyz_yyyyyzz_0, tg_yyyyyz_yyyyyzz_1, tg_yyyyyz_yyyyzzz_0, tg_yyyyyz_yyyyzzz_1, \
                                         tg_yyyyyz_yyyzzzz_0, tg_yyyyyz_yyyzzzz_1, tg_yyyyyz_yyzzzzz_0, tg_yyyyyz_yyzzzzz_1, \
                                         tg_yyyyyz_yzzzzzz_0, tg_yyyyyz_yzzzzzz_1, tg_yyyyyz_zzzzzzz_0, tg_yyyyyz_zzzzzzz_1, \
                                         tg_yyyyyzz_xxxxxx_1, tg_yyyyyzz_xxxxxxx_0, tg_yyyyyzz_xxxxxxx_1, tg_yyyyyzz_xxxxxxy_0, \
                                         tg_yyyyyzz_xxxxxxy_1, tg_yyyyyzz_xxxxxxz_0, tg_yyyyyzz_xxxxxxz_1, tg_yyyyyzz_xxxxxy_1, \
                                         tg_yyyyyzz_xxxxxyy_0, tg_yyyyyzz_xxxxxyy_1, tg_yyyyyzz_xxxxxyz_0, tg_yyyyyzz_xxxxxyz_1, \
                                         tg_yyyyyzz_xxxxxz_1, tg_yyyyyzz_xxxxxzz_0, tg_yyyyyzz_xxxxxzz_1, tg_yyyyyzz_xxxxyy_1, \
                                         tg_yyyyyzz_xxxxyyy_0, tg_yyyyyzz_xxxxyyy_1, tg_yyyyyzz_xxxxyyz_0, tg_yyyyyzz_xxxxyyz_1, \
                                         tg_yyyyyzz_xxxxyz_1, tg_yyyyyzz_xxxxyzz_0, tg_yyyyyzz_xxxxyzz_1, tg_yyyyyzz_xxxxzz_1, \
                                         tg_yyyyyzz_xxxxzzz_0, tg_yyyyyzz_xxxxzzz_1, tg_yyyyyzz_xxxyyy_1, tg_yyyyyzz_xxxyyyy_0, \
                                         tg_yyyyyzz_xxxyyyy_1, tg_yyyyyzz_xxxyyyz_0, tg_yyyyyzz_xxxyyyz_1, tg_yyyyyzz_xxxyyz_1, \
                                         tg_yyyyyzz_xxxyyzz_0, tg_yyyyyzz_xxxyyzz_1, tg_yyyyyzz_xxxyzz_1, tg_yyyyyzz_xxxyzzz_0, \
                                         tg_yyyyyzz_xxxyzzz_1, tg_yyyyyzz_xxxzzz_1, tg_yyyyyzz_xxxzzzz_0, tg_yyyyyzz_xxxzzzz_1, \
                                         tg_yyyyyzz_xxyyyy_1, tg_yyyyyzz_xxyyyyy_0, tg_yyyyyzz_xxyyyyy_1, tg_yyyyyzz_xxyyyyz_0, \
                                         tg_yyyyyzz_xxyyyyz_1, tg_yyyyyzz_xxyyyz_1, tg_yyyyyzz_xxyyyzz_0, tg_yyyyyzz_xxyyyzz_1, \
                                         tg_yyyyyzz_xxyyzz_1, tg_yyyyyzz_xxyyzzz_0, tg_yyyyyzz_xxyyzzz_1, tg_yyyyyzz_xxyzzz_1, \
                                         tg_yyyyyzz_xxyzzzz_0, tg_yyyyyzz_xxyzzzz_1, tg_yyyyyzz_xxzzzz_1, tg_yyyyyzz_xxzzzzz_0, \
                                         tg_yyyyyzz_xxzzzzz_1, tg_yyyyyzz_xyyyyy_1, tg_yyyyyzz_xyyyyyy_0, tg_yyyyyzz_xyyyyyy_1, \
                                         tg_yyyyyzz_xyyyyyz_0, tg_yyyyyzz_xyyyyyz_1, tg_yyyyyzz_xyyyyz_1, tg_yyyyyzz_xyyyyzz_0, \
                                         tg_yyyyyzz_xyyyyzz_1, tg_yyyyyzz_xyyyzz_1, tg_yyyyyzz_xyyyzzz_0, tg_yyyyyzz_xyyyzzz_1, \
                                         tg_yyyyyzz_xyyzzz_1, tg_yyyyyzz_xyyzzzz_0, tg_yyyyyzz_xyyzzzz_1, tg_yyyyyzz_xyzzzz_1, \
                                         tg_yyyyyzz_xyzzzzz_0, tg_yyyyyzz_xyzzzzz_1, tg_yyyyyzz_xzzzzz_1, tg_yyyyyzz_xzzzzzz_0, \
                                         tg_yyyyyzz_xzzzzzz_1, tg_yyyyyzz_yyyyyy_1, tg_yyyyyzz_yyyyyyy_0, tg_yyyyyzz_yyyyyyy_1, \
                                         tg_yyyyyzz_yyyyyyz_0, tg_yyyyyzz_yyyyyyz_1, tg_yyyyyzz_yyyyyz_1, tg_yyyyyzz_yyyyyzz_0, \
                                         tg_yyyyyzz_yyyyyzz_1, tg_yyyyyzz_yyyyzz_1, tg_yyyyyzz_yyyyzzz_0, tg_yyyyyzz_yyyyzzz_1, \
                                         tg_yyyyyzz_yyyzzz_1, tg_yyyyyzz_yyyzzzz_0, tg_yyyyyzz_yyyzzzz_1, tg_yyyyyzz_yyzzzz_1, \
                                         tg_yyyyyzz_yyzzzzz_0, tg_yyyyyzz_yyzzzzz_1, tg_yyyyyzz_yzzzzz_1, tg_yyyyyzz_yzzzzzz_0, \
                                         tg_yyyyyzz_yzzzzzz_1, tg_yyyyyzz_zzzzzz_1, tg_yyyyyzz_zzzzzzz_0, tg_yyyyyzz_zzzzzzz_1, \
                                         tg_yyyyyzzz_xxxxxxx_0, tg_yyyyyzzz_xxxxxxy_0, tg_yyyyyzzz_xxxxxxz_0, \
                                         tg_yyyyyzzz_xxxxxyy_0, tg_yyyyyzzz_xxxxxyz_0, tg_yyyyyzzz_xxxxxzz_0, \
                                         tg_yyyyyzzz_xxxxyyy_0, tg_yyyyyzzz_xxxxyyz_0, tg_yyyyyzzz_xxxxyzz_0, \
                                         tg_yyyyyzzz_xxxxzzz_0, tg_yyyyyzzz_xxxyyyy_0, tg_yyyyyzzz_xxxyyyz_0, \
                                         tg_yyyyyzzz_xxxyyzz_0, tg_yyyyyzzz_xxxyzzz_0, tg_yyyyyzzz_xxxzzzz_0, \
                                         tg_yyyyyzzz_xxyyyyy_0, tg_yyyyyzzz_xxyyyyz_0, tg_yyyyyzzz_xxyyyzz_0, \
                                         tg_yyyyyzzz_xxyyzzz_0, tg_yyyyyzzz_xxyzzzz_0, tg_yyyyyzzz_xxzzzzz_0, \
                                         tg_yyyyyzzz_xyyyyyy_0, tg_yyyyyzzz_xyyyyyz_0, tg_yyyyyzzz_xyyyyzz_0, \
                                         tg_yyyyyzzz_xyyyzzz_0, tg_yyyyyzzz_xyyzzzz_0, tg_yyyyzz_xxxxxxx_0, tg_yyyyzz_xxxxxxx_1, \
                                         tg_yyyyzz_xxxxxxy_0, tg_yyyyzz_xxxxxxy_1, tg_yyyyzz_xxxxxxz_0, tg_yyyyzz_xxxxxxz_1, \
                                         tg_yyyyzz_xxxxxyy_0, tg_yyyyzz_xxxxxyy_1, tg_yyyyzz_xxxxxyz_0, tg_yyyyzz_xxxxxyz_1, \
                                         tg_yyyyzz_xxxxxzz_0, tg_yyyyzz_xxxxxzz_1, tg_yyyyzz_xxxxyyy_0, tg_yyyyzz_xxxxyyy_1, \
                                         tg_yyyyzz_xxxxyyz_0, tg_yyyyzz_xxxxyyz_1, tg_yyyyzz_xxxxyzz_0, tg_yyyyzz_xxxxyzz_1, \
                                         tg_yyyyzz_xxxxzzz_0, tg_yyyyzz_xxxxzzz_1, tg_yyyyzz_xxxyyyy_0, tg_yyyyzz_xxxyyyy_1, \
                                         tg_yyyyzz_xxxyyyz_0, tg_yyyyzz_xxxyyyz_1, tg_yyyyzz_xxxyyzz_0, tg_yyyyzz_xxxyyzz_1, \
                                         tg_yyyyzz_xxxyzzz_0, tg_yyyyzz_xxxyzzz_1, tg_yyyyzz_xxxzzzz_0, tg_yyyyzz_xxxzzzz_1, \
                                         tg_yyyyzz_xxyyyyy_0, tg_yyyyzz_xxyyyyy_1, tg_yyyyzz_xxyyyyz_0, tg_yyyyzz_xxyyyyz_1, \
                                         tg_yyyyzz_xxyyyzz_0, tg_yyyyzz_xxyyyzz_1, tg_yyyyzz_xxyyzzz_0, tg_yyyyzz_xxyyzzz_1, \
                                         tg_yyyyzz_xxyzzzz_0, tg_yyyyzz_xxyzzzz_1, tg_yyyyzz_xxzzzzz_0, tg_yyyyzz_xxzzzzz_1, \
                                         tg_yyyyzz_xyyyyyy_0, tg_yyyyzz_xyyyyyy_1, tg_yyyyzz_xyyyyyz_0, tg_yyyyzz_xyyyyyz_1, \
                                         tg_yyyyzz_xyyyyzz_0, tg_yyyyzz_xyyyyzz_1, tg_yyyyzz_xyyyzzz_0, tg_yyyyzz_xyyyzzz_1, \
                                         tg_yyyyzz_xyyzzzz_0, tg_yyyyzz_xyyzzzz_1, tg_yyyyzz_xyzzzzz_0, tg_yyyyzz_xyzzzzz_1, \
                                         tg_yyyyzz_xzzzzzz_0, tg_yyyyzz_xzzzzzz_1, tg_yyyyzz_yyyyyyy_0, tg_yyyyzz_yyyyyyy_1, \
                                         tg_yyyyzz_yyyyyyz_0, tg_yyyyzz_yyyyyyz_1, tg_yyyyzz_yyyyyzz_0, tg_yyyyzz_yyyyyzz_1, \
                                         tg_yyyyzz_yyyyzzz_0, tg_yyyyzz_yyyyzzz_1, tg_yyyyzz_yyyzzzz_0, tg_yyyyzz_yyyzzzz_1, \
                                         tg_yyyyzz_yyzzzzz_0, tg_yyyyzz_yyzzzzz_1, tg_yyyyzz_yzzzzzz_0, tg_yyyyzz_yzzzzzz_1, \
                                         tg_yyyyzz_zzzzzzz_0, tg_yyyyzz_zzzzzzz_1, tg_yyyyzzz_xxxxxx_1, tg_yyyyzzz_xxxxxxx_0, \
                                         tg_yyyyzzz_xxxxxxx_1, tg_yyyyzzz_xxxxxxy_0, tg_yyyyzzz_xxxxxxy_1, tg_yyyyzzz_xxxxxxz_0, \
                                         tg_yyyyzzz_xxxxxxz_1, tg_yyyyzzz_xxxxxy_1, tg_yyyyzzz_xxxxxyy_0, tg_yyyyzzz_xxxxxyy_1, \
                                         tg_yyyyzzz_xxxxxyz_0, tg_yyyyzzz_xxxxxyz_1, tg_yyyyzzz_xxxxxz_1, tg_yyyyzzz_xxxxxzz_0, \
                                         tg_yyyyzzz_xxxxxzz_1, tg_yyyyzzz_xxxxyy_1, tg_yyyyzzz_xxxxyyy_0, tg_yyyyzzz_xxxxyyy_1, \
                                         tg_yyyyzzz_xxxxyyz_0, tg_yyyyzzz_xxxxyyz_1, tg_yyyyzzz_xxxxyz_1, tg_yyyyzzz_xxxxyzz_0, \
                                         tg_yyyyzzz_xxxxyzz_1, tg_yyyyzzz_xxxxzz_1, tg_yyyyzzz_xxxxzzz_0, tg_yyyyzzz_xxxxzzz_1, \
                                         tg_yyyyzzz_xxxyyy_1, tg_yyyyzzz_xxxyyyy_0, tg_yyyyzzz_xxxyyyy_1, tg_yyyyzzz_xxxyyyz_0, \
                                         tg_yyyyzzz_xxxyyyz_1, tg_yyyyzzz_xxxyyz_1, tg_yyyyzzz_xxxyyzz_0, tg_yyyyzzz_xxxyyzz_1, \
                                         tg_yyyyzzz_xxxyzz_1, tg_yyyyzzz_xxxyzzz_0, tg_yyyyzzz_xxxyzzz_1, tg_yyyyzzz_xxxzzz_1, \
                                         tg_yyyyzzz_xxxzzzz_0, tg_yyyyzzz_xxxzzzz_1, tg_yyyyzzz_xxyyyy_1, tg_yyyyzzz_xxyyyyy_0, \
                                         tg_yyyyzzz_xxyyyyy_1, tg_yyyyzzz_xxyyyyz_0, tg_yyyyzzz_xxyyyyz_1, tg_yyyyzzz_xxyyyz_1, \
                                         tg_yyyyzzz_xxyyyzz_0, tg_yyyyzzz_xxyyyzz_1, tg_yyyyzzz_xxyyzz_1, tg_yyyyzzz_xxyyzzz_0, \
                                         tg_yyyyzzz_xxyyzzz_1, tg_yyyyzzz_xxyzzz_1, tg_yyyyzzz_xxyzzzz_0, tg_yyyyzzz_xxyzzzz_1, \
                                         tg_yyyyzzz_xxzzzz_1, tg_yyyyzzz_xxzzzzz_0, tg_yyyyzzz_xxzzzzz_1, tg_yyyyzzz_xyyyyy_1, \
                                         tg_yyyyzzz_xyyyyyy_0, tg_yyyyzzz_xyyyyyy_1, tg_yyyyzzz_xyyyyyz_0, tg_yyyyzzz_xyyyyyz_1, \
                                         tg_yyyyzzz_xyyyyz_1, tg_yyyyzzz_xyyyyzz_0, tg_yyyyzzz_xyyyyzz_1, tg_yyyyzzz_xyyyzz_1, \
                                         tg_yyyyzzz_xyyyzzz_0, tg_yyyyzzz_xyyyzzz_1, tg_yyyyzzz_xyyzzz_1, tg_yyyyzzz_xyyzzzz_0, \
                                         tg_yyyyzzz_xyyzzzz_1, tg_yyyyzzz_xyzzzz_1, tg_yyyzzz_xxxxxxx_0, tg_yyyzzz_xxxxxxx_1, \
                                         tg_yyyzzz_xxxxxxy_0, tg_yyyzzz_xxxxxxy_1, tg_yyyzzz_xxxxxxz_0, tg_yyyzzz_xxxxxxz_1, \
                                         tg_yyyzzz_xxxxxyy_0, tg_yyyzzz_xxxxxyy_1, tg_yyyzzz_xxxxxyz_0, tg_yyyzzz_xxxxxyz_1, \
                                         tg_yyyzzz_xxxxxzz_0, tg_yyyzzz_xxxxxzz_1, tg_yyyzzz_xxxxyyy_0, tg_yyyzzz_xxxxyyy_1, \
                                         tg_yyyzzz_xxxxyyz_0, tg_yyyzzz_xxxxyyz_1, tg_yyyzzz_xxxxyzz_0, tg_yyyzzz_xxxxyzz_1, \
                                         tg_yyyzzz_xxxxzzz_0, tg_yyyzzz_xxxxzzz_1, tg_yyyzzz_xxxyyyy_0, tg_yyyzzz_xxxyyyy_1, \
                                         tg_yyyzzz_xxxyyyz_0, tg_yyyzzz_xxxyyyz_1, tg_yyyzzz_xxxyyzz_0, tg_yyyzzz_xxxyyzz_1, \
                                         tg_yyyzzz_xxxyzzz_0, tg_yyyzzz_xxxyzzz_1, tg_yyyzzz_xxxzzzz_0, tg_yyyzzz_xxxzzzz_1, \
                                         tg_yyyzzz_xxyyyyy_0, tg_yyyzzz_xxyyyyy_1, tg_yyyzzz_xxyyyyz_0, tg_yyyzzz_xxyyyyz_1, \
                                         tg_yyyzzz_xxyyyzz_0, tg_yyyzzz_xxyyyzz_1, tg_yyyzzz_xxyyzzz_0, tg_yyyzzz_xxyyzzz_1, \
                                         tg_yyyzzz_xxyzzzz_0, tg_yyyzzz_xxyzzzz_1, tg_yyyzzz_xxzzzzz_0, tg_yyyzzz_xxzzzzz_1, \
                                         tg_yyyzzz_xyyyyyy_0, tg_yyyzzz_xyyyyyy_1, tg_yyyzzz_xyyyyyz_0, tg_yyyzzz_xyyyyyz_1, \
                                         tg_yyyzzz_xyyyyzz_0, tg_yyyzzz_xyyyyzz_1, tg_yyyzzz_xyyyzzz_0, tg_yyyzzz_xyyyzzz_1, \
                                         tg_yyyzzz_xyyzzzz_0, tg_yyyzzz_xyyzzzz_1, wp_y: VLX_ALIGN)
                for (int32_t j = 0; j < nKetPrimPairs; j++)
                {
                    double fl1_fx = fx;

                    double fl1_fxn = fxn[j];

                    double fl1_fza = fza[j];

                    double fr = wp_y[j]; 

                    tg_yyyyyyyz_xxxxxyy_0[j] = pb_y * tg_yyyyyyz_xxxxxyy_0[j] + fr * tg_yyyyyyz_xxxxxyy_1[j] + 3.0 * fl1_fx * (tg_yyyyyz_xxxxxyy_0[j] - tg_yyyyyz_xxxxxyy_1[j] * fl1_fza) + fl1_fxn * tg_yyyyyyz_xxxxxy_1[j];

                    tg_yyyyyyyz_xxxxxyz_0[j] = pb_y * tg_yyyyyyz_xxxxxyz_0[j] + fr * tg_yyyyyyz_xxxxxyz_1[j] + 3.0 * fl1_fx * (tg_yyyyyz_xxxxxyz_0[j] - tg_yyyyyz_xxxxxyz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_yyyyyyz_xxxxxz_1[j];

                    tg_yyyyyyyz_xxxxxzz_0[j] = pb_y * tg_yyyyyyz_xxxxxzz_0[j] + fr * tg_yyyyyyz_xxxxxzz_1[j] + 3.0 * fl1_fx * (tg_yyyyyz_xxxxxzz_0[j] - tg_yyyyyz_xxxxxzz_1[j] * fl1_fza);

                    tg_yyyyyyyz_xxxxyyy_0[j] = pb_y * tg_yyyyyyz_xxxxyyy_0[j] + fr * tg_yyyyyyz_xxxxyyy_1[j] + 3.0 * fl1_fx * (tg_yyyyyz_xxxxyyy_0[j] - tg_yyyyyz_xxxxyyy_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_yyyyyyz_xxxxyy_1[j];

                    tg_yyyyyyyz_xxxxyyz_0[j] = pb_y * tg_yyyyyyz_xxxxyyz_0[j] + fr * tg_yyyyyyz_xxxxyyz_1[j] + 3.0 * fl1_fx * (tg_yyyyyz_xxxxyyz_0[j] - tg_yyyyyz_xxxxyyz_1[j] * fl1_fza) + fl1_fxn * tg_yyyyyyz_xxxxyz_1[j];

                    tg_yyyyyyyz_xxxxyzz_0[j] = pb_y * tg_yyyyyyz_xxxxyzz_0[j] + fr * tg_yyyyyyz_xxxxyzz_1[j] + 3.0 * fl1_fx * (tg_yyyyyz_xxxxyzz_0[j] - tg_yyyyyz_xxxxyzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_yyyyyyz_xxxxzz_1[j];

                    tg_yyyyyyyz_xxxxzzz_0[j] = pb_y * tg_yyyyyyz_xxxxzzz_0[j] + fr * tg_yyyyyyz_xxxxzzz_1[j] + 3.0 * fl1_fx * (tg_yyyyyz_xxxxzzz_0[j] - tg_yyyyyz_xxxxzzz_1[j] * fl1_fza);

                    tg_yyyyyyyz_xxxyyyy_0[j] = pb_y * tg_yyyyyyz_xxxyyyy_0[j] + fr * tg_yyyyyyz_xxxyyyy_1[j] + 3.0 * fl1_fx * (tg_yyyyyz_xxxyyyy_0[j] - tg_yyyyyz_xxxyyyy_1[j] * fl1_fza) + 2.0 * fl1_fxn * tg_yyyyyyz_xxxyyy_1[j];

                    tg_yyyyyyyz_xxxyyyz_0[j] = pb_y * tg_yyyyyyz_xxxyyyz_0[j] + fr * tg_yyyyyyz_xxxyyyz_1[j] + 3.0 * fl1_fx * (tg_yyyyyz_xxxyyyz_0[j] - tg_yyyyyz_xxxyyyz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_yyyyyyz_xxxyyz_1[j];

                    tg_yyyyyyyz_xxxyyzz_0[j] = pb_y * tg_yyyyyyz_xxxyyzz_0[j] + fr * tg_yyyyyyz_xxxyyzz_1[j] + 3.0 * fl1_fx * (tg_yyyyyz_xxxyyzz_0[j] - tg_yyyyyz_xxxyyzz_1[j] * fl1_fza) + fl1_fxn * tg_yyyyyyz_xxxyzz_1[j];

                    tg_yyyyyyyz_xxxyzzz_0[j] = pb_y * tg_yyyyyyz_xxxyzzz_0[j] + fr * tg_yyyyyyz_xxxyzzz_1[j] + 3.0 * fl1_fx * (tg_yyyyyz_xxxyzzz_0[j] - tg_yyyyyz_xxxyzzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_yyyyyyz_xxxzzz_1[j];

                    tg_yyyyyyyz_xxxzzzz_0[j] = pb_y * tg_yyyyyyz_xxxzzzz_0[j] + fr * tg_yyyyyyz_xxxzzzz_1[j] + 3.0 * fl1_fx * (tg_yyyyyz_xxxzzzz_0[j] - tg_yyyyyz_xxxzzzz_1[j] * fl1_fza);

                    tg_yyyyyyyz_xxyyyyy_0[j] = pb_y * tg_yyyyyyz_xxyyyyy_0[j] + fr * tg_yyyyyyz_xxyyyyy_1[j] + 3.0 * fl1_fx * (tg_yyyyyz_xxyyyyy_0[j] - tg_yyyyyz_xxyyyyy_1[j] * fl1_fza) + 2.5 * fl1_fxn * tg_yyyyyyz_xxyyyy_1[j];

                    tg_yyyyyyyz_xxyyyyz_0[j] = pb_y * tg_yyyyyyz_xxyyyyz_0[j] + fr * tg_yyyyyyz_xxyyyyz_1[j] + 3.0 * fl1_fx * (tg_yyyyyz_xxyyyyz_0[j] - tg_yyyyyz_xxyyyyz_1[j] * fl1_fza) + 2.0 * fl1_fxn * tg_yyyyyyz_xxyyyz_1[j];

                    tg_yyyyyyyz_xxyyyzz_0[j] = pb_y * tg_yyyyyyz_xxyyyzz_0[j] + fr * tg_yyyyyyz_xxyyyzz_1[j] + 3.0 * fl1_fx * (tg_yyyyyz_xxyyyzz_0[j] - tg_yyyyyz_xxyyyzz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_yyyyyyz_xxyyzz_1[j];

                    tg_yyyyyyyz_xxyyzzz_0[j] = pb_y * tg_yyyyyyz_xxyyzzz_0[j] + fr * tg_yyyyyyz_xxyyzzz_1[j] + 3.0 * fl1_fx * (tg_yyyyyz_xxyyzzz_0[j] - tg_yyyyyz_xxyyzzz_1[j] * fl1_fza) + fl1_fxn * tg_yyyyyyz_xxyzzz_1[j];

                    tg_yyyyyyyz_xxyzzzz_0[j] = pb_y * tg_yyyyyyz_xxyzzzz_0[j] + fr * tg_yyyyyyz_xxyzzzz_1[j] + 3.0 * fl1_fx * (tg_yyyyyz_xxyzzzz_0[j] - tg_yyyyyz_xxyzzzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_yyyyyyz_xxzzzz_1[j];

                    tg_yyyyyyyz_xxzzzzz_0[j] = pb_y * tg_yyyyyyz_xxzzzzz_0[j] + fr * tg_yyyyyyz_xxzzzzz_1[j] + 3.0 * fl1_fx * (tg_yyyyyz_xxzzzzz_0[j] - tg_yyyyyz_xxzzzzz_1[j] * fl1_fza);

                    tg_yyyyyyyz_xyyyyyy_0[j] = pb_y * tg_yyyyyyz_xyyyyyy_0[j] + fr * tg_yyyyyyz_xyyyyyy_1[j] + 3.0 * fl1_fx * (tg_yyyyyz_xyyyyyy_0[j] - tg_yyyyyz_xyyyyyy_1[j] * fl1_fza) + 3.0 * fl1_fxn * tg_yyyyyyz_xyyyyy_1[j];

                    tg_yyyyyyyz_xyyyyyz_0[j] = pb_y * tg_yyyyyyz_xyyyyyz_0[j] + fr * tg_yyyyyyz_xyyyyyz_1[j] + 3.0 * fl1_fx * (tg_yyyyyz_xyyyyyz_0[j] - tg_yyyyyz_xyyyyyz_1[j] * fl1_fza) + 2.5 * fl1_fxn * tg_yyyyyyz_xyyyyz_1[j];

                    tg_yyyyyyyz_xyyyyzz_0[j] = pb_y * tg_yyyyyyz_xyyyyzz_0[j] + fr * tg_yyyyyyz_xyyyyzz_1[j] + 3.0 * fl1_fx * (tg_yyyyyz_xyyyyzz_0[j] - tg_yyyyyz_xyyyyzz_1[j] * fl1_fza) + 2.0 * fl1_fxn * tg_yyyyyyz_xyyyzz_1[j];

                    tg_yyyyyyyz_xyyyzzz_0[j] = pb_y * tg_yyyyyyz_xyyyzzz_0[j] + fr * tg_yyyyyyz_xyyyzzz_1[j] + 3.0 * fl1_fx * (tg_yyyyyz_xyyyzzz_0[j] - tg_yyyyyz_xyyyzzz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_yyyyyyz_xyyzzz_1[j];

                    tg_yyyyyyyz_xyyzzzz_0[j] = pb_y * tg_yyyyyyz_xyyzzzz_0[j] + fr * tg_yyyyyyz_xyyzzzz_1[j] + 3.0 * fl1_fx * (tg_yyyyyz_xyyzzzz_0[j] - tg_yyyyyz_xyyzzzz_1[j] * fl1_fza) + fl1_fxn * tg_yyyyyyz_xyzzzz_1[j];

                    tg_yyyyyyyz_xyzzzzz_0[j] = pb_y * tg_yyyyyyz_xyzzzzz_0[j] + fr * tg_yyyyyyz_xyzzzzz_1[j] + 3.0 * fl1_fx * (tg_yyyyyz_xyzzzzz_0[j] - tg_yyyyyz_xyzzzzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_yyyyyyz_xzzzzz_1[j];

                    tg_yyyyyyyz_xzzzzzz_0[j] = pb_y * tg_yyyyyyz_xzzzzzz_0[j] + fr * tg_yyyyyyz_xzzzzzz_1[j] + 3.0 * fl1_fx * (tg_yyyyyz_xzzzzzz_0[j] - tg_yyyyyz_xzzzzzz_1[j] * fl1_fza);

                    tg_yyyyyyyz_yyyyyyy_0[j] = pb_y * tg_yyyyyyz_yyyyyyy_0[j] + fr * tg_yyyyyyz_yyyyyyy_1[j] + 3.0 * fl1_fx * (tg_yyyyyz_yyyyyyy_0[j] - tg_yyyyyz_yyyyyyy_1[j] * fl1_fza) + 3.5 * fl1_fxn * tg_yyyyyyz_yyyyyy_1[j];

                    tg_yyyyyyyz_yyyyyyz_0[j] = pb_y * tg_yyyyyyz_yyyyyyz_0[j] + fr * tg_yyyyyyz_yyyyyyz_1[j] + 3.0 * fl1_fx * (tg_yyyyyz_yyyyyyz_0[j] - tg_yyyyyz_yyyyyyz_1[j] * fl1_fza) + 3.0 * fl1_fxn * tg_yyyyyyz_yyyyyz_1[j];

                    tg_yyyyyyyz_yyyyyzz_0[j] = pb_y * tg_yyyyyyz_yyyyyzz_0[j] + fr * tg_yyyyyyz_yyyyyzz_1[j] + 3.0 * fl1_fx * (tg_yyyyyz_yyyyyzz_0[j] - tg_yyyyyz_yyyyyzz_1[j] * fl1_fza) + 2.5 * fl1_fxn * tg_yyyyyyz_yyyyzz_1[j];

                    tg_yyyyyyyz_yyyyzzz_0[j] = pb_y * tg_yyyyyyz_yyyyzzz_0[j] + fr * tg_yyyyyyz_yyyyzzz_1[j] + 3.0 * fl1_fx * (tg_yyyyyz_yyyyzzz_0[j] - tg_yyyyyz_yyyyzzz_1[j] * fl1_fza) + 2.0 * fl1_fxn * tg_yyyyyyz_yyyzzz_1[j];

                    tg_yyyyyyyz_yyyzzzz_0[j] = pb_y * tg_yyyyyyz_yyyzzzz_0[j] + fr * tg_yyyyyyz_yyyzzzz_1[j] + 3.0 * fl1_fx * (tg_yyyyyz_yyyzzzz_0[j] - tg_yyyyyz_yyyzzzz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_yyyyyyz_yyzzzz_1[j];

                    tg_yyyyyyyz_yyzzzzz_0[j] = pb_y * tg_yyyyyyz_yyzzzzz_0[j] + fr * tg_yyyyyyz_yyzzzzz_1[j] + 3.0 * fl1_fx * (tg_yyyyyz_yyzzzzz_0[j] - tg_yyyyyz_yyzzzzz_1[j] * fl1_fza) + fl1_fxn * tg_yyyyyyz_yzzzzz_1[j];

                    tg_yyyyyyyz_yzzzzzz_0[j] = pb_y * tg_yyyyyyz_yzzzzzz_0[j] + fr * tg_yyyyyyz_yzzzzzz_1[j] + 3.0 * fl1_fx * (tg_yyyyyz_yzzzzzz_0[j] - tg_yyyyyz_yzzzzzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_yyyyyyz_zzzzzz_1[j];

                    tg_yyyyyyyz_zzzzzzz_0[j] = pb_y * tg_yyyyyyz_zzzzzzz_0[j] + fr * tg_yyyyyyz_zzzzzzz_1[j] + 3.0 * fl1_fx * (tg_yyyyyz_zzzzzzz_0[j] - tg_yyyyyz_zzzzzzz_1[j] * fl1_fza);

                    tg_yyyyyyzz_xxxxxxx_0[j] = pb_y * tg_yyyyyzz_xxxxxxx_0[j] + fr * tg_yyyyyzz_xxxxxxx_1[j] + 2.5 * fl1_fx * (tg_yyyyzz_xxxxxxx_0[j] - tg_yyyyzz_xxxxxxx_1[j] * fl1_fza);

                    tg_yyyyyyzz_xxxxxxy_0[j] = pb_y * tg_yyyyyzz_xxxxxxy_0[j] + fr * tg_yyyyyzz_xxxxxxy_1[j] + 2.5 * fl1_fx * (tg_yyyyzz_xxxxxxy_0[j] - tg_yyyyzz_xxxxxxy_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_yyyyyzz_xxxxxx_1[j];

                    tg_yyyyyyzz_xxxxxxz_0[j] = pb_y * tg_yyyyyzz_xxxxxxz_0[j] + fr * tg_yyyyyzz_xxxxxxz_1[j] + 2.5 * fl1_fx * (tg_yyyyzz_xxxxxxz_0[j] - tg_yyyyzz_xxxxxxz_1[j] * fl1_fza);

                    tg_yyyyyyzz_xxxxxyy_0[j] = pb_y * tg_yyyyyzz_xxxxxyy_0[j] + fr * tg_yyyyyzz_xxxxxyy_1[j] + 2.5 * fl1_fx * (tg_yyyyzz_xxxxxyy_0[j] - tg_yyyyzz_xxxxxyy_1[j] * fl1_fza) + fl1_fxn * tg_yyyyyzz_xxxxxy_1[j];

                    tg_yyyyyyzz_xxxxxyz_0[j] = pb_y * tg_yyyyyzz_xxxxxyz_0[j] + fr * tg_yyyyyzz_xxxxxyz_1[j] + 2.5 * fl1_fx * (tg_yyyyzz_xxxxxyz_0[j] - tg_yyyyzz_xxxxxyz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_yyyyyzz_xxxxxz_1[j];

                    tg_yyyyyyzz_xxxxxzz_0[j] = pb_y * tg_yyyyyzz_xxxxxzz_0[j] + fr * tg_yyyyyzz_xxxxxzz_1[j] + 2.5 * fl1_fx * (tg_yyyyzz_xxxxxzz_0[j] - tg_yyyyzz_xxxxxzz_1[j] * fl1_fza);

                    tg_yyyyyyzz_xxxxyyy_0[j] = pb_y * tg_yyyyyzz_xxxxyyy_0[j] + fr * tg_yyyyyzz_xxxxyyy_1[j] + 2.5 * fl1_fx * (tg_yyyyzz_xxxxyyy_0[j] - tg_yyyyzz_xxxxyyy_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_yyyyyzz_xxxxyy_1[j];

                    tg_yyyyyyzz_xxxxyyz_0[j] = pb_y * tg_yyyyyzz_xxxxyyz_0[j] + fr * tg_yyyyyzz_xxxxyyz_1[j] + 2.5 * fl1_fx * (tg_yyyyzz_xxxxyyz_0[j] - tg_yyyyzz_xxxxyyz_1[j] * fl1_fza) + fl1_fxn * tg_yyyyyzz_xxxxyz_1[j];

                    tg_yyyyyyzz_xxxxyzz_0[j] = pb_y * tg_yyyyyzz_xxxxyzz_0[j] + fr * tg_yyyyyzz_xxxxyzz_1[j] + 2.5 * fl1_fx * (tg_yyyyzz_xxxxyzz_0[j] - tg_yyyyzz_xxxxyzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_yyyyyzz_xxxxzz_1[j];

                    tg_yyyyyyzz_xxxxzzz_0[j] = pb_y * tg_yyyyyzz_xxxxzzz_0[j] + fr * tg_yyyyyzz_xxxxzzz_1[j] + 2.5 * fl1_fx * (tg_yyyyzz_xxxxzzz_0[j] - tg_yyyyzz_xxxxzzz_1[j] * fl1_fza);

                    tg_yyyyyyzz_xxxyyyy_0[j] = pb_y * tg_yyyyyzz_xxxyyyy_0[j] + fr * tg_yyyyyzz_xxxyyyy_1[j] + 2.5 * fl1_fx * (tg_yyyyzz_xxxyyyy_0[j] - tg_yyyyzz_xxxyyyy_1[j] * fl1_fza) + 2.0 * fl1_fxn * tg_yyyyyzz_xxxyyy_1[j];

                    tg_yyyyyyzz_xxxyyyz_0[j] = pb_y * tg_yyyyyzz_xxxyyyz_0[j] + fr * tg_yyyyyzz_xxxyyyz_1[j] + 2.5 * fl1_fx * (tg_yyyyzz_xxxyyyz_0[j] - tg_yyyyzz_xxxyyyz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_yyyyyzz_xxxyyz_1[j];

                    tg_yyyyyyzz_xxxyyzz_0[j] = pb_y * tg_yyyyyzz_xxxyyzz_0[j] + fr * tg_yyyyyzz_xxxyyzz_1[j] + 2.5 * fl1_fx * (tg_yyyyzz_xxxyyzz_0[j] - tg_yyyyzz_xxxyyzz_1[j] * fl1_fza) + fl1_fxn * tg_yyyyyzz_xxxyzz_1[j];

                    tg_yyyyyyzz_xxxyzzz_0[j] = pb_y * tg_yyyyyzz_xxxyzzz_0[j] + fr * tg_yyyyyzz_xxxyzzz_1[j] + 2.5 * fl1_fx * (tg_yyyyzz_xxxyzzz_0[j] - tg_yyyyzz_xxxyzzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_yyyyyzz_xxxzzz_1[j];

                    tg_yyyyyyzz_xxxzzzz_0[j] = pb_y * tg_yyyyyzz_xxxzzzz_0[j] + fr * tg_yyyyyzz_xxxzzzz_1[j] + 2.5 * fl1_fx * (tg_yyyyzz_xxxzzzz_0[j] - tg_yyyyzz_xxxzzzz_1[j] * fl1_fza);

                    tg_yyyyyyzz_xxyyyyy_0[j] = pb_y * tg_yyyyyzz_xxyyyyy_0[j] + fr * tg_yyyyyzz_xxyyyyy_1[j] + 2.5 * fl1_fx * (tg_yyyyzz_xxyyyyy_0[j] - tg_yyyyzz_xxyyyyy_1[j] * fl1_fza) + 2.5 * fl1_fxn * tg_yyyyyzz_xxyyyy_1[j];

                    tg_yyyyyyzz_xxyyyyz_0[j] = pb_y * tg_yyyyyzz_xxyyyyz_0[j] + fr * tg_yyyyyzz_xxyyyyz_1[j] + 2.5 * fl1_fx * (tg_yyyyzz_xxyyyyz_0[j] - tg_yyyyzz_xxyyyyz_1[j] * fl1_fza) + 2.0 * fl1_fxn * tg_yyyyyzz_xxyyyz_1[j];

                    tg_yyyyyyzz_xxyyyzz_0[j] = pb_y * tg_yyyyyzz_xxyyyzz_0[j] + fr * tg_yyyyyzz_xxyyyzz_1[j] + 2.5 * fl1_fx * (tg_yyyyzz_xxyyyzz_0[j] - tg_yyyyzz_xxyyyzz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_yyyyyzz_xxyyzz_1[j];

                    tg_yyyyyyzz_xxyyzzz_0[j] = pb_y * tg_yyyyyzz_xxyyzzz_0[j] + fr * tg_yyyyyzz_xxyyzzz_1[j] + 2.5 * fl1_fx * (tg_yyyyzz_xxyyzzz_0[j] - tg_yyyyzz_xxyyzzz_1[j] * fl1_fza) + fl1_fxn * tg_yyyyyzz_xxyzzz_1[j];

                    tg_yyyyyyzz_xxyzzzz_0[j] = pb_y * tg_yyyyyzz_xxyzzzz_0[j] + fr * tg_yyyyyzz_xxyzzzz_1[j] + 2.5 * fl1_fx * (tg_yyyyzz_xxyzzzz_0[j] - tg_yyyyzz_xxyzzzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_yyyyyzz_xxzzzz_1[j];

                    tg_yyyyyyzz_xxzzzzz_0[j] = pb_y * tg_yyyyyzz_xxzzzzz_0[j] + fr * tg_yyyyyzz_xxzzzzz_1[j] + 2.5 * fl1_fx * (tg_yyyyzz_xxzzzzz_0[j] - tg_yyyyzz_xxzzzzz_1[j] * fl1_fza);

                    tg_yyyyyyzz_xyyyyyy_0[j] = pb_y * tg_yyyyyzz_xyyyyyy_0[j] + fr * tg_yyyyyzz_xyyyyyy_1[j] + 2.5 * fl1_fx * (tg_yyyyzz_xyyyyyy_0[j] - tg_yyyyzz_xyyyyyy_1[j] * fl1_fza) + 3.0 * fl1_fxn * tg_yyyyyzz_xyyyyy_1[j];

                    tg_yyyyyyzz_xyyyyyz_0[j] = pb_y * tg_yyyyyzz_xyyyyyz_0[j] + fr * tg_yyyyyzz_xyyyyyz_1[j] + 2.5 * fl1_fx * (tg_yyyyzz_xyyyyyz_0[j] - tg_yyyyzz_xyyyyyz_1[j] * fl1_fza) + 2.5 * fl1_fxn * tg_yyyyyzz_xyyyyz_1[j];

                    tg_yyyyyyzz_xyyyyzz_0[j] = pb_y * tg_yyyyyzz_xyyyyzz_0[j] + fr * tg_yyyyyzz_xyyyyzz_1[j] + 2.5 * fl1_fx * (tg_yyyyzz_xyyyyzz_0[j] - tg_yyyyzz_xyyyyzz_1[j] * fl1_fza) + 2.0 * fl1_fxn * tg_yyyyyzz_xyyyzz_1[j];

                    tg_yyyyyyzz_xyyyzzz_0[j] = pb_y * tg_yyyyyzz_xyyyzzz_0[j] + fr * tg_yyyyyzz_xyyyzzz_1[j] + 2.5 * fl1_fx * (tg_yyyyzz_xyyyzzz_0[j] - tg_yyyyzz_xyyyzzz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_yyyyyzz_xyyzzz_1[j];

                    tg_yyyyyyzz_xyyzzzz_0[j] = pb_y * tg_yyyyyzz_xyyzzzz_0[j] + fr * tg_yyyyyzz_xyyzzzz_1[j] + 2.5 * fl1_fx * (tg_yyyyzz_xyyzzzz_0[j] - tg_yyyyzz_xyyzzzz_1[j] * fl1_fza) + fl1_fxn * tg_yyyyyzz_xyzzzz_1[j];

                    tg_yyyyyyzz_xyzzzzz_0[j] = pb_y * tg_yyyyyzz_xyzzzzz_0[j] + fr * tg_yyyyyzz_xyzzzzz_1[j] + 2.5 * fl1_fx * (tg_yyyyzz_xyzzzzz_0[j] - tg_yyyyzz_xyzzzzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_yyyyyzz_xzzzzz_1[j];

                    tg_yyyyyyzz_xzzzzzz_0[j] = pb_y * tg_yyyyyzz_xzzzzzz_0[j] + fr * tg_yyyyyzz_xzzzzzz_1[j] + 2.5 * fl1_fx * (tg_yyyyzz_xzzzzzz_0[j] - tg_yyyyzz_xzzzzzz_1[j] * fl1_fza);

                    tg_yyyyyyzz_yyyyyyy_0[j] = pb_y * tg_yyyyyzz_yyyyyyy_0[j] + fr * tg_yyyyyzz_yyyyyyy_1[j] + 2.5 * fl1_fx * (tg_yyyyzz_yyyyyyy_0[j] - tg_yyyyzz_yyyyyyy_1[j] * fl1_fza) + 3.5 * fl1_fxn * tg_yyyyyzz_yyyyyy_1[j];

                    tg_yyyyyyzz_yyyyyyz_0[j] = pb_y * tg_yyyyyzz_yyyyyyz_0[j] + fr * tg_yyyyyzz_yyyyyyz_1[j] + 2.5 * fl1_fx * (tg_yyyyzz_yyyyyyz_0[j] - tg_yyyyzz_yyyyyyz_1[j] * fl1_fza) + 3.0 * fl1_fxn * tg_yyyyyzz_yyyyyz_1[j];

                    tg_yyyyyyzz_yyyyyzz_0[j] = pb_y * tg_yyyyyzz_yyyyyzz_0[j] + fr * tg_yyyyyzz_yyyyyzz_1[j] + 2.5 * fl1_fx * (tg_yyyyzz_yyyyyzz_0[j] - tg_yyyyzz_yyyyyzz_1[j] * fl1_fza) + 2.5 * fl1_fxn * tg_yyyyyzz_yyyyzz_1[j];

                    tg_yyyyyyzz_yyyyzzz_0[j] = pb_y * tg_yyyyyzz_yyyyzzz_0[j] + fr * tg_yyyyyzz_yyyyzzz_1[j] + 2.5 * fl1_fx * (tg_yyyyzz_yyyyzzz_0[j] - tg_yyyyzz_yyyyzzz_1[j] * fl1_fza) + 2.0 * fl1_fxn * tg_yyyyyzz_yyyzzz_1[j];

                    tg_yyyyyyzz_yyyzzzz_0[j] = pb_y * tg_yyyyyzz_yyyzzzz_0[j] + fr * tg_yyyyyzz_yyyzzzz_1[j] + 2.5 * fl1_fx * (tg_yyyyzz_yyyzzzz_0[j] - tg_yyyyzz_yyyzzzz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_yyyyyzz_yyzzzz_1[j];

                    tg_yyyyyyzz_yyzzzzz_0[j] = pb_y * tg_yyyyyzz_yyzzzzz_0[j] + fr * tg_yyyyyzz_yyzzzzz_1[j] + 2.5 * fl1_fx * (tg_yyyyzz_yyzzzzz_0[j] - tg_yyyyzz_yyzzzzz_1[j] * fl1_fza) + fl1_fxn * tg_yyyyyzz_yzzzzz_1[j];

                    tg_yyyyyyzz_yzzzzzz_0[j] = pb_y * tg_yyyyyzz_yzzzzzz_0[j] + fr * tg_yyyyyzz_yzzzzzz_1[j] + 2.5 * fl1_fx * (tg_yyyyzz_yzzzzzz_0[j] - tg_yyyyzz_yzzzzzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_yyyyyzz_zzzzzz_1[j];

                    tg_yyyyyyzz_zzzzzzz_0[j] = pb_y * tg_yyyyyzz_zzzzzzz_0[j] + fr * tg_yyyyyzz_zzzzzzz_1[j] + 2.5 * fl1_fx * (tg_yyyyzz_zzzzzzz_0[j] - tg_yyyyzz_zzzzzzz_1[j] * fl1_fza);

                    tg_yyyyyzzz_xxxxxxx_0[j] = pb_y * tg_yyyyzzz_xxxxxxx_0[j] + fr * tg_yyyyzzz_xxxxxxx_1[j] + 2.0 * fl1_fx * (tg_yyyzzz_xxxxxxx_0[j] - tg_yyyzzz_xxxxxxx_1[j] * fl1_fza);

                    tg_yyyyyzzz_xxxxxxy_0[j] = pb_y * tg_yyyyzzz_xxxxxxy_0[j] + fr * tg_yyyyzzz_xxxxxxy_1[j] + 2.0 * fl1_fx * (tg_yyyzzz_xxxxxxy_0[j] - tg_yyyzzz_xxxxxxy_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_yyyyzzz_xxxxxx_1[j];

                    tg_yyyyyzzz_xxxxxxz_0[j] = pb_y * tg_yyyyzzz_xxxxxxz_0[j] + fr * tg_yyyyzzz_xxxxxxz_1[j] + 2.0 * fl1_fx * (tg_yyyzzz_xxxxxxz_0[j] - tg_yyyzzz_xxxxxxz_1[j] * fl1_fza);

                    tg_yyyyyzzz_xxxxxyy_0[j] = pb_y * tg_yyyyzzz_xxxxxyy_0[j] + fr * tg_yyyyzzz_xxxxxyy_1[j] + 2.0 * fl1_fx * (tg_yyyzzz_xxxxxyy_0[j] - tg_yyyzzz_xxxxxyy_1[j] * fl1_fza) + fl1_fxn * tg_yyyyzzz_xxxxxy_1[j];

                    tg_yyyyyzzz_xxxxxyz_0[j] = pb_y * tg_yyyyzzz_xxxxxyz_0[j] + fr * tg_yyyyzzz_xxxxxyz_1[j] + 2.0 * fl1_fx * (tg_yyyzzz_xxxxxyz_0[j] - tg_yyyzzz_xxxxxyz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_yyyyzzz_xxxxxz_1[j];

                    tg_yyyyyzzz_xxxxxzz_0[j] = pb_y * tg_yyyyzzz_xxxxxzz_0[j] + fr * tg_yyyyzzz_xxxxxzz_1[j] + 2.0 * fl1_fx * (tg_yyyzzz_xxxxxzz_0[j] - tg_yyyzzz_xxxxxzz_1[j] * fl1_fza);

                    tg_yyyyyzzz_xxxxyyy_0[j] = pb_y * tg_yyyyzzz_xxxxyyy_0[j] + fr * tg_yyyyzzz_xxxxyyy_1[j] + 2.0 * fl1_fx * (tg_yyyzzz_xxxxyyy_0[j] - tg_yyyzzz_xxxxyyy_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_yyyyzzz_xxxxyy_1[j];

                    tg_yyyyyzzz_xxxxyyz_0[j] = pb_y * tg_yyyyzzz_xxxxyyz_0[j] + fr * tg_yyyyzzz_xxxxyyz_1[j] + 2.0 * fl1_fx * (tg_yyyzzz_xxxxyyz_0[j] - tg_yyyzzz_xxxxyyz_1[j] * fl1_fza) + fl1_fxn * tg_yyyyzzz_xxxxyz_1[j];

                    tg_yyyyyzzz_xxxxyzz_0[j] = pb_y * tg_yyyyzzz_xxxxyzz_0[j] + fr * tg_yyyyzzz_xxxxyzz_1[j] + 2.0 * fl1_fx * (tg_yyyzzz_xxxxyzz_0[j] - tg_yyyzzz_xxxxyzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_yyyyzzz_xxxxzz_1[j];

                    tg_yyyyyzzz_xxxxzzz_0[j] = pb_y * tg_yyyyzzz_xxxxzzz_0[j] + fr * tg_yyyyzzz_xxxxzzz_1[j] + 2.0 * fl1_fx * (tg_yyyzzz_xxxxzzz_0[j] - tg_yyyzzz_xxxxzzz_1[j] * fl1_fza);

                    tg_yyyyyzzz_xxxyyyy_0[j] = pb_y * tg_yyyyzzz_xxxyyyy_0[j] + fr * tg_yyyyzzz_xxxyyyy_1[j] + 2.0 * fl1_fx * (tg_yyyzzz_xxxyyyy_0[j] - tg_yyyzzz_xxxyyyy_1[j] * fl1_fza) + 2.0 * fl1_fxn * tg_yyyyzzz_xxxyyy_1[j];

                    tg_yyyyyzzz_xxxyyyz_0[j] = pb_y * tg_yyyyzzz_xxxyyyz_0[j] + fr * tg_yyyyzzz_xxxyyyz_1[j] + 2.0 * fl1_fx * (tg_yyyzzz_xxxyyyz_0[j] - tg_yyyzzz_xxxyyyz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_yyyyzzz_xxxyyz_1[j];

                    tg_yyyyyzzz_xxxyyzz_0[j] = pb_y * tg_yyyyzzz_xxxyyzz_0[j] + fr * tg_yyyyzzz_xxxyyzz_1[j] + 2.0 * fl1_fx * (tg_yyyzzz_xxxyyzz_0[j] - tg_yyyzzz_xxxyyzz_1[j] * fl1_fza) + fl1_fxn * tg_yyyyzzz_xxxyzz_1[j];

                    tg_yyyyyzzz_xxxyzzz_0[j] = pb_y * tg_yyyyzzz_xxxyzzz_0[j] + fr * tg_yyyyzzz_xxxyzzz_1[j] + 2.0 * fl1_fx * (tg_yyyzzz_xxxyzzz_0[j] - tg_yyyzzz_xxxyzzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_yyyyzzz_xxxzzz_1[j];

                    tg_yyyyyzzz_xxxzzzz_0[j] = pb_y * tg_yyyyzzz_xxxzzzz_0[j] + fr * tg_yyyyzzz_xxxzzzz_1[j] + 2.0 * fl1_fx * (tg_yyyzzz_xxxzzzz_0[j] - tg_yyyzzz_xxxzzzz_1[j] * fl1_fza);

                    tg_yyyyyzzz_xxyyyyy_0[j] = pb_y * tg_yyyyzzz_xxyyyyy_0[j] + fr * tg_yyyyzzz_xxyyyyy_1[j] + 2.0 * fl1_fx * (tg_yyyzzz_xxyyyyy_0[j] - tg_yyyzzz_xxyyyyy_1[j] * fl1_fza) + 2.5 * fl1_fxn * tg_yyyyzzz_xxyyyy_1[j];

                    tg_yyyyyzzz_xxyyyyz_0[j] = pb_y * tg_yyyyzzz_xxyyyyz_0[j] + fr * tg_yyyyzzz_xxyyyyz_1[j] + 2.0 * fl1_fx * (tg_yyyzzz_xxyyyyz_0[j] - tg_yyyzzz_xxyyyyz_1[j] * fl1_fza) + 2.0 * fl1_fxn * tg_yyyyzzz_xxyyyz_1[j];

                    tg_yyyyyzzz_xxyyyzz_0[j] = pb_y * tg_yyyyzzz_xxyyyzz_0[j] + fr * tg_yyyyzzz_xxyyyzz_1[j] + 2.0 * fl1_fx * (tg_yyyzzz_xxyyyzz_0[j] - tg_yyyzzz_xxyyyzz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_yyyyzzz_xxyyzz_1[j];

                    tg_yyyyyzzz_xxyyzzz_0[j] = pb_y * tg_yyyyzzz_xxyyzzz_0[j] + fr * tg_yyyyzzz_xxyyzzz_1[j] + 2.0 * fl1_fx * (tg_yyyzzz_xxyyzzz_0[j] - tg_yyyzzz_xxyyzzz_1[j] * fl1_fza) + fl1_fxn * tg_yyyyzzz_xxyzzz_1[j];

                    tg_yyyyyzzz_xxyzzzz_0[j] = pb_y * tg_yyyyzzz_xxyzzzz_0[j] + fr * tg_yyyyzzz_xxyzzzz_1[j] + 2.0 * fl1_fx * (tg_yyyzzz_xxyzzzz_0[j] - tg_yyyzzz_xxyzzzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_yyyyzzz_xxzzzz_1[j];

                    tg_yyyyyzzz_xxzzzzz_0[j] = pb_y * tg_yyyyzzz_xxzzzzz_0[j] + fr * tg_yyyyzzz_xxzzzzz_1[j] + 2.0 * fl1_fx * (tg_yyyzzz_xxzzzzz_0[j] - tg_yyyzzz_xxzzzzz_1[j] * fl1_fza);

                    tg_yyyyyzzz_xyyyyyy_0[j] = pb_y * tg_yyyyzzz_xyyyyyy_0[j] + fr * tg_yyyyzzz_xyyyyyy_1[j] + 2.0 * fl1_fx * (tg_yyyzzz_xyyyyyy_0[j] - tg_yyyzzz_xyyyyyy_1[j] * fl1_fza) + 3.0 * fl1_fxn * tg_yyyyzzz_xyyyyy_1[j];

                    tg_yyyyyzzz_xyyyyyz_0[j] = pb_y * tg_yyyyzzz_xyyyyyz_0[j] + fr * tg_yyyyzzz_xyyyyyz_1[j] + 2.0 * fl1_fx * (tg_yyyzzz_xyyyyyz_0[j] - tg_yyyzzz_xyyyyyz_1[j] * fl1_fza) + 2.5 * fl1_fxn * tg_yyyyzzz_xyyyyz_1[j];

                    tg_yyyyyzzz_xyyyyzz_0[j] = pb_y * tg_yyyyzzz_xyyyyzz_0[j] + fr * tg_yyyyzzz_xyyyyzz_1[j] + 2.0 * fl1_fx * (tg_yyyzzz_xyyyyzz_0[j] - tg_yyyzzz_xyyyyzz_1[j] * fl1_fza) + 2.0 * fl1_fxn * tg_yyyyzzz_xyyyzz_1[j];

                    tg_yyyyyzzz_xyyyzzz_0[j] = pb_y * tg_yyyyzzz_xyyyzzz_0[j] + fr * tg_yyyyzzz_xyyyzzz_1[j] + 2.0 * fl1_fx * (tg_yyyzzz_xyyyzzz_0[j] - tg_yyyzzz_xyyyzzz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_yyyyzzz_xyyzzz_1[j];

                    tg_yyyyyzzz_xyyzzzz_0[j] = pb_y * tg_yyyyzzz_xyyzzzz_0[j] + fr * tg_yyyyzzz_xyyzzzz_1[j] + 2.0 * fl1_fx * (tg_yyyzzz_xyyzzzz_0[j] - tg_yyyzzz_xyyzzzz_1[j] * fl1_fza) + fl1_fxn * tg_yyyyzzz_xyzzzz_1[j];
                }

                idx++;
            }
        }
    }

    void
    compElectronRepulsionForSLSK_1430_1525(      CMemBlock2D<double>* primBuffer,
                                           const CRecursionMap&       recursionMap,
                                           const CMemBlock2D<double>& osFactors,
                                           const CMemBlock2D<double>& wpDistances,
                                           const CGtoPairsBlock&      braGtoPairsBlock,
                                           const CGtoPairsBlock&      ketGtoPairsBlock,
                                           const int32_t              nKetPrimPairs,
                                           const int32_t              iContrPair)
    {
        // Batch of Integrals (1430,1525)

        // set up pointers to primitives data on bra side

        auto spos = braGtoPairsBlock.getStartPositions();

        auto epos = braGtoPairsBlock.getEndPositions();

        // set up pointers to tensor of distance R(PB) = P - B

        auto r_pb_y = braGtoPairsBlock.getDistancesPBY();

        // set up pointers to common Obara-Saika factors

        auto b_fx = braGtoPairsBlock.getFactorsOneOverXi();

        // set up maximum order of integral

        auto mord = recursionMap.getMaxOrder({"Electron Repulsion"},
                                             {8, -1, -1, -1},
                                             {7, -1, -1, -1},
                                             1, 1);

        for (int32_t iord = 0; iord <= mord; iord++)
        {
            // set up index of integral

            auto pidx_g_8_7_m0 = recursionMap.index(CRecursionTerm({"Electron Repulsion"}, 0, true, 
                                                                   {8, -1, -1, -1}, {7, -1, -1, -1}, 
                                                                   1, 1, iord));

            // check if integral is needed in recursion expansion

            if (pidx_g_8_7_m0 == -1) continue;

            // set up indexes of auxilary integral

            auto pidx_g_7_7_m0 = recursionMap.index(CRecursionTerm({"Electron Repulsion"}, 0, true, 
                                                                   {7, -1, -1, -1}, {7, -1, -1, -1}, 
                                                                   1, 1, iord));

            auto pidx_g_7_7_m1 = recursionMap.index(CRecursionTerm({"Electron Repulsion"}, 0, true, 
                                                                   {7, -1, -1, -1}, {7, -1, -1, -1}, 
                                                                   1, 1, iord + 1));

            auto pidx_g_6_7_m0 = recursionMap.index(CRecursionTerm({"Electron Repulsion"}, 0, true, 
                                                                   {6, -1, -1, -1}, {7, -1, -1, -1}, 
                                                                   1, 1, iord));

            auto pidx_g_6_7_m1 = recursionMap.index(CRecursionTerm({"Electron Repulsion"}, 0, true, 
                                                                   {6, -1, -1, -1}, {7, -1, -1, -1}, 
                                                                   1, 1, iord + 1));

            auto pidx_g_7_6_m1 = recursionMap.index(CRecursionTerm({"Electron Repulsion"}, 0, true, 
                                                                   {7, -1, -1, -1}, {6, -1, -1, -1}, 
                                                                   1, 1, iord + 1));

            // loop over contracted GTO on bra side

            int32_t idx = 0;

            for (int32_t i = spos[iContrPair]; i < epos[iContrPair]; i++)
            {
                // set up pointers to Obara-Saika factors

                double fx = b_fx[i];

                auto fza = osFactors.data(4 * idx + 2);

                auto fxn = osFactors.data(4 * idx);

                // set up distances R(PB) = P - B

                auto pb_y = r_pb_y[i];

                // set up pointers to tensors product of distances R(WP) = W - P

                auto wp_y = wpDistances.data(3 * idx + 1);

                // set up pointers to auxilary integrals

                auto tg_yyyyzzz_xyzzzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1142); 

                auto tg_yyyyzzz_xzzzzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1143); 

                auto tg_yyyyzzz_yyyyyyy_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1144); 

                auto tg_yyyyzzz_yyyyyyz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1145); 

                auto tg_yyyyzzz_yyyyyzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1146); 

                auto tg_yyyyzzz_yyyyzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1147); 

                auto tg_yyyyzzz_yyyzzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1148); 

                auto tg_yyyyzzz_yyzzzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1149); 

                auto tg_yyyyzzz_yzzzzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1150); 

                auto tg_yyyyzzz_zzzzzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1151); 

                auto tg_yyyzzzz_xxxxxxx_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1152); 

                auto tg_yyyzzzz_xxxxxxy_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1153); 

                auto tg_yyyzzzz_xxxxxxz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1154); 

                auto tg_yyyzzzz_xxxxxyy_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1155); 

                auto tg_yyyzzzz_xxxxxyz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1156); 

                auto tg_yyyzzzz_xxxxxzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1157); 

                auto tg_yyyzzzz_xxxxyyy_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1158); 

                auto tg_yyyzzzz_xxxxyyz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1159); 

                auto tg_yyyzzzz_xxxxyzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1160); 

                auto tg_yyyzzzz_xxxxzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1161); 

                auto tg_yyyzzzz_xxxyyyy_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1162); 

                auto tg_yyyzzzz_xxxyyyz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1163); 

                auto tg_yyyzzzz_xxxyyzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1164); 

                auto tg_yyyzzzz_xxxyzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1165); 

                auto tg_yyyzzzz_xxxzzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1166); 

                auto tg_yyyzzzz_xxyyyyy_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1167); 

                auto tg_yyyzzzz_xxyyyyz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1168); 

                auto tg_yyyzzzz_xxyyyzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1169); 

                auto tg_yyyzzzz_xxyyzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1170); 

                auto tg_yyyzzzz_xxyzzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1171); 

                auto tg_yyyzzzz_xxzzzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1172); 

                auto tg_yyyzzzz_xyyyyyy_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1173); 

                auto tg_yyyzzzz_xyyyyyz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1174); 

                auto tg_yyyzzzz_xyyyyzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1175); 

                auto tg_yyyzzzz_xyyyzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1176); 

                auto tg_yyyzzzz_xyyzzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1177); 

                auto tg_yyyzzzz_xyzzzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1178); 

                auto tg_yyyzzzz_xzzzzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1179); 

                auto tg_yyyzzzz_yyyyyyy_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1180); 

                auto tg_yyyzzzz_yyyyyyz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1181); 

                auto tg_yyyzzzz_yyyyyzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1182); 

                auto tg_yyyzzzz_yyyyzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1183); 

                auto tg_yyyzzzz_yyyzzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1184); 

                auto tg_yyyzzzz_yyzzzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1185); 

                auto tg_yyyzzzz_yzzzzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1186); 

                auto tg_yyyzzzz_zzzzzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1187); 

                auto tg_yyzzzzz_xxxxxxx_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1188); 

                auto tg_yyzzzzz_xxxxxxy_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1189); 

                auto tg_yyzzzzz_xxxxxxz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1190); 

                auto tg_yyzzzzz_xxxxxyy_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1191); 

                auto tg_yyzzzzz_xxxxxyz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1192); 

                auto tg_yyzzzzz_xxxxxzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1193); 

                auto tg_yyzzzzz_xxxxyyy_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1194); 

                auto tg_yyzzzzz_xxxxyyz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1195); 

                auto tg_yyzzzzz_xxxxyzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1196); 

                auto tg_yyzzzzz_xxxxzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1197); 

                auto tg_yyzzzzz_xxxyyyy_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1198); 

                auto tg_yyzzzzz_xxxyyyz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1199); 

                auto tg_yyzzzzz_xxxyyzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1200); 

                auto tg_yyzzzzz_xxxyzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1201); 

                auto tg_yyzzzzz_xxxzzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1202); 

                auto tg_yyzzzzz_xxyyyyy_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1203); 

                auto tg_yyzzzzz_xxyyyyz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1204); 

                auto tg_yyzzzzz_xxyyyzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1205); 

                auto tg_yyzzzzz_xxyyzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1206); 

                auto tg_yyzzzzz_xxyzzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1207); 

                auto tg_yyzzzzz_xxzzzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1208); 

                auto tg_yyzzzzz_xyyyyyy_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1209); 

                auto tg_yyzzzzz_xyyyyyz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1210); 

                auto tg_yyzzzzz_xyyyyzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1211); 

                auto tg_yyzzzzz_xyyyzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1212); 

                auto tg_yyzzzzz_xyyzzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1213); 

                auto tg_yyzzzzz_xyzzzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1214); 

                auto tg_yyzzzzz_xzzzzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1215); 

                auto tg_yyzzzzz_yyyyyyy_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1216); 

                auto tg_yyzzzzz_yyyyyyz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1217); 

                auto tg_yyzzzzz_yyyyyzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1218); 

                auto tg_yyzzzzz_yyyyzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1219); 

                auto tg_yyzzzzz_yyyzzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1220); 

                auto tg_yyzzzzz_yyzzzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1221); 

                auto tg_yyzzzzz_yzzzzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1222); 

                auto tg_yyzzzzz_zzzzzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1223); 

                auto tg_yzzzzzz_xxxxxxx_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1224); 

                auto tg_yzzzzzz_xxxxxxy_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1225); 

                auto tg_yzzzzzz_xxxxxxz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1226); 

                auto tg_yzzzzzz_xxxxxyy_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1227); 

                auto tg_yzzzzzz_xxxxxyz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1228); 

                auto tg_yzzzzzz_xxxxxzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1229); 

                auto tg_yzzzzzz_xxxxyyy_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1230); 

                auto tg_yzzzzzz_xxxxyyz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1231); 

                auto tg_yzzzzzz_xxxxyzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1232); 

                auto tg_yzzzzzz_xxxxzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1233); 

                auto tg_yzzzzzz_xxxyyyy_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1234); 

                auto tg_yzzzzzz_xxxyyyz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1235); 

                auto tg_yzzzzzz_xxxyyzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1236); 

                auto tg_yyyyzzz_xyzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1142); 

                auto tg_yyyyzzz_xzzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1143); 

                auto tg_yyyyzzz_yyyyyyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1144); 

                auto tg_yyyyzzz_yyyyyyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1145); 

                auto tg_yyyyzzz_yyyyyzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1146); 

                auto tg_yyyyzzz_yyyyzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1147); 

                auto tg_yyyyzzz_yyyzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1148); 

                auto tg_yyyyzzz_yyzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1149); 

                auto tg_yyyyzzz_yzzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1150); 

                auto tg_yyyyzzz_zzzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1151); 

                auto tg_yyyzzzz_xxxxxxx_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1152); 

                auto tg_yyyzzzz_xxxxxxy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1153); 

                auto tg_yyyzzzz_xxxxxxz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1154); 

                auto tg_yyyzzzz_xxxxxyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1155); 

                auto tg_yyyzzzz_xxxxxyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1156); 

                auto tg_yyyzzzz_xxxxxzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1157); 

                auto tg_yyyzzzz_xxxxyyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1158); 

                auto tg_yyyzzzz_xxxxyyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1159); 

                auto tg_yyyzzzz_xxxxyzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1160); 

                auto tg_yyyzzzz_xxxxzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1161); 

                auto tg_yyyzzzz_xxxyyyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1162); 

                auto tg_yyyzzzz_xxxyyyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1163); 

                auto tg_yyyzzzz_xxxyyzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1164); 

                auto tg_yyyzzzz_xxxyzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1165); 

                auto tg_yyyzzzz_xxxzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1166); 

                auto tg_yyyzzzz_xxyyyyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1167); 

                auto tg_yyyzzzz_xxyyyyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1168); 

                auto tg_yyyzzzz_xxyyyzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1169); 

                auto tg_yyyzzzz_xxyyzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1170); 

                auto tg_yyyzzzz_xxyzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1171); 

                auto tg_yyyzzzz_xxzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1172); 

                auto tg_yyyzzzz_xyyyyyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1173); 

                auto tg_yyyzzzz_xyyyyyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1174); 

                auto tg_yyyzzzz_xyyyyzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1175); 

                auto tg_yyyzzzz_xyyyzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1176); 

                auto tg_yyyzzzz_xyyzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1177); 

                auto tg_yyyzzzz_xyzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1178); 

                auto tg_yyyzzzz_xzzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1179); 

                auto tg_yyyzzzz_yyyyyyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1180); 

                auto tg_yyyzzzz_yyyyyyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1181); 

                auto tg_yyyzzzz_yyyyyzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1182); 

                auto tg_yyyzzzz_yyyyzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1183); 

                auto tg_yyyzzzz_yyyzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1184); 

                auto tg_yyyzzzz_yyzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1185); 

                auto tg_yyyzzzz_yzzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1186); 

                auto tg_yyyzzzz_zzzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1187); 

                auto tg_yyzzzzz_xxxxxxx_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1188); 

                auto tg_yyzzzzz_xxxxxxy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1189); 

                auto tg_yyzzzzz_xxxxxxz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1190); 

                auto tg_yyzzzzz_xxxxxyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1191); 

                auto tg_yyzzzzz_xxxxxyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1192); 

                auto tg_yyzzzzz_xxxxxzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1193); 

                auto tg_yyzzzzz_xxxxyyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1194); 

                auto tg_yyzzzzz_xxxxyyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1195); 

                auto tg_yyzzzzz_xxxxyzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1196); 

                auto tg_yyzzzzz_xxxxzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1197); 

                auto tg_yyzzzzz_xxxyyyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1198); 

                auto tg_yyzzzzz_xxxyyyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1199); 

                auto tg_yyzzzzz_xxxyyzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1200); 

                auto tg_yyzzzzz_xxxyzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1201); 

                auto tg_yyzzzzz_xxxzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1202); 

                auto tg_yyzzzzz_xxyyyyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1203); 

                auto tg_yyzzzzz_xxyyyyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1204); 

                auto tg_yyzzzzz_xxyyyzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1205); 

                auto tg_yyzzzzz_xxyyzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1206); 

                auto tg_yyzzzzz_xxyzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1207); 

                auto tg_yyzzzzz_xxzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1208); 

                auto tg_yyzzzzz_xyyyyyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1209); 

                auto tg_yyzzzzz_xyyyyyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1210); 

                auto tg_yyzzzzz_xyyyyzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1211); 

                auto tg_yyzzzzz_xyyyzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1212); 

                auto tg_yyzzzzz_xyyzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1213); 

                auto tg_yyzzzzz_xyzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1214); 

                auto tg_yyzzzzz_xzzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1215); 

                auto tg_yyzzzzz_yyyyyyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1216); 

                auto tg_yyzzzzz_yyyyyyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1217); 

                auto tg_yyzzzzz_yyyyyzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1218); 

                auto tg_yyzzzzz_yyyyzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1219); 

                auto tg_yyzzzzz_yyyzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1220); 

                auto tg_yyzzzzz_yyzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1221); 

                auto tg_yyzzzzz_yzzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1222); 

                auto tg_yyzzzzz_zzzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1223); 

                auto tg_yzzzzzz_xxxxxxx_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1224); 

                auto tg_yzzzzzz_xxxxxxy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1225); 

                auto tg_yzzzzzz_xxxxxxz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1226); 

                auto tg_yzzzzzz_xxxxxyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1227); 

                auto tg_yzzzzzz_xxxxxyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1228); 

                auto tg_yzzzzzz_xxxxxzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1229); 

                auto tg_yzzzzzz_xxxxyyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1230); 

                auto tg_yzzzzzz_xxxxyyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1231); 

                auto tg_yzzzzzz_xxxxyzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1232); 

                auto tg_yzzzzzz_xxxxzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1233); 

                auto tg_yzzzzzz_xxxyyyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1234); 

                auto tg_yzzzzzz_xxxyyyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1235); 

                auto tg_yzzzzzz_xxxyyzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1236); 

                auto tg_yyyzzz_xyzzzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 890); 

                auto tg_yyyzzz_xzzzzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 891); 

                auto tg_yyyzzz_yyyyyyy_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 892); 

                auto tg_yyyzzz_yyyyyyz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 893); 

                auto tg_yyyzzz_yyyyyzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 894); 

                auto tg_yyyzzz_yyyyzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 895); 

                auto tg_yyyzzz_yyyzzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 896); 

                auto tg_yyyzzz_yyzzzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 897); 

                auto tg_yyyzzz_yzzzzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 898); 

                auto tg_yyyzzz_zzzzzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 899); 

                auto tg_yyzzzz_xxxxxxx_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 900); 

                auto tg_yyzzzz_xxxxxxy_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 901); 

                auto tg_yyzzzz_xxxxxxz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 902); 

                auto tg_yyzzzz_xxxxxyy_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 903); 

                auto tg_yyzzzz_xxxxxyz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 904); 

                auto tg_yyzzzz_xxxxxzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 905); 

                auto tg_yyzzzz_xxxxyyy_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 906); 

                auto tg_yyzzzz_xxxxyyz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 907); 

                auto tg_yyzzzz_xxxxyzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 908); 

                auto tg_yyzzzz_xxxxzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 909); 

                auto tg_yyzzzz_xxxyyyy_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 910); 

                auto tg_yyzzzz_xxxyyyz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 911); 

                auto tg_yyzzzz_xxxyyzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 912); 

                auto tg_yyzzzz_xxxyzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 913); 

                auto tg_yyzzzz_xxxzzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 914); 

                auto tg_yyzzzz_xxyyyyy_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 915); 

                auto tg_yyzzzz_xxyyyyz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 916); 

                auto tg_yyzzzz_xxyyyzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 917); 

                auto tg_yyzzzz_xxyyzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 918); 

                auto tg_yyzzzz_xxyzzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 919); 

                auto tg_yyzzzz_xxzzzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 920); 

                auto tg_yyzzzz_xyyyyyy_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 921); 

                auto tg_yyzzzz_xyyyyyz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 922); 

                auto tg_yyzzzz_xyyyyzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 923); 

                auto tg_yyzzzz_xyyyzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 924); 

                auto tg_yyzzzz_xyyzzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 925); 

                auto tg_yyzzzz_xyzzzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 926); 

                auto tg_yyzzzz_xzzzzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 927); 

                auto tg_yyzzzz_yyyyyyy_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 928); 

                auto tg_yyzzzz_yyyyyyz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 929); 

                auto tg_yyzzzz_yyyyyzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 930); 

                auto tg_yyzzzz_yyyyzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 931); 

                auto tg_yyzzzz_yyyzzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 932); 

                auto tg_yyzzzz_yyzzzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 933); 

                auto tg_yyzzzz_yzzzzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 934); 

                auto tg_yyzzzz_zzzzzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 935); 

                auto tg_yzzzzz_xxxxxxx_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 936); 

                auto tg_yzzzzz_xxxxxxy_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 937); 

                auto tg_yzzzzz_xxxxxxz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 938); 

                auto tg_yzzzzz_xxxxxyy_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 939); 

                auto tg_yzzzzz_xxxxxyz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 940); 

                auto tg_yzzzzz_xxxxxzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 941); 

                auto tg_yzzzzz_xxxxyyy_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 942); 

                auto tg_yzzzzz_xxxxyyz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 943); 

                auto tg_yzzzzz_xxxxyzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 944); 

                auto tg_yzzzzz_xxxxzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 945); 

                auto tg_yzzzzz_xxxyyyy_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 946); 

                auto tg_yzzzzz_xxxyyyz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 947); 

                auto tg_yzzzzz_xxxyyzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 948); 

                auto tg_yzzzzz_xxxyzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 949); 

                auto tg_yzzzzz_xxxzzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 950); 

                auto tg_yzzzzz_xxyyyyy_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 951); 

                auto tg_yzzzzz_xxyyyyz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 952); 

                auto tg_yzzzzz_xxyyyzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 953); 

                auto tg_yzzzzz_xxyyzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 954); 

                auto tg_yzzzzz_xxyzzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 955); 

                auto tg_yzzzzz_xxzzzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 956); 

                auto tg_yzzzzz_xyyyyyy_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 957); 

                auto tg_yzzzzz_xyyyyyz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 958); 

                auto tg_yzzzzz_xyyyyzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 959); 

                auto tg_yzzzzz_xyyyzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 960); 

                auto tg_yzzzzz_xyyzzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 961); 

                auto tg_yzzzzz_xyzzzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 962); 

                auto tg_yzzzzz_xzzzzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 963); 

                auto tg_yzzzzz_yyyyyyy_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 964); 

                auto tg_yzzzzz_yyyyyyz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 965); 

                auto tg_yzzzzz_yyyyyzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 966); 

                auto tg_yzzzzz_yyyyzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 967); 

                auto tg_yzzzzz_yyyzzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 968); 

                auto tg_yzzzzz_yyzzzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 969); 

                auto tg_yzzzzz_yzzzzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 970); 

                auto tg_yzzzzz_zzzzzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 971); 

                auto tg_zzzzzz_xxxxxxx_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 972); 

                auto tg_zzzzzz_xxxxxxy_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 973); 

                auto tg_zzzzzz_xxxxxxz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 974); 

                auto tg_zzzzzz_xxxxxyy_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 975); 

                auto tg_zzzzzz_xxxxxyz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 976); 

                auto tg_zzzzzz_xxxxxzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 977); 

                auto tg_zzzzzz_xxxxyyy_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 978); 

                auto tg_zzzzzz_xxxxyyz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 979); 

                auto tg_zzzzzz_xxxxyzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 980); 

                auto tg_zzzzzz_xxxxzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 981); 

                auto tg_zzzzzz_xxxyyyy_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 982); 

                auto tg_zzzzzz_xxxyyyz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 983); 

                auto tg_zzzzzz_xxxyyzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 984); 

                auto tg_yyyzzz_xyzzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 890); 

                auto tg_yyyzzz_xzzzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 891); 

                auto tg_yyyzzz_yyyyyyy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 892); 

                auto tg_yyyzzz_yyyyyyz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 893); 

                auto tg_yyyzzz_yyyyyzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 894); 

                auto tg_yyyzzz_yyyyzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 895); 

                auto tg_yyyzzz_yyyzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 896); 

                auto tg_yyyzzz_yyzzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 897); 

                auto tg_yyyzzz_yzzzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 898); 

                auto tg_yyyzzz_zzzzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 899); 

                auto tg_yyzzzz_xxxxxxx_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 900); 

                auto tg_yyzzzz_xxxxxxy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 901); 

                auto tg_yyzzzz_xxxxxxz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 902); 

                auto tg_yyzzzz_xxxxxyy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 903); 

                auto tg_yyzzzz_xxxxxyz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 904); 

                auto tg_yyzzzz_xxxxxzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 905); 

                auto tg_yyzzzz_xxxxyyy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 906); 

                auto tg_yyzzzz_xxxxyyz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 907); 

                auto tg_yyzzzz_xxxxyzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 908); 

                auto tg_yyzzzz_xxxxzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 909); 

                auto tg_yyzzzz_xxxyyyy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 910); 

                auto tg_yyzzzz_xxxyyyz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 911); 

                auto tg_yyzzzz_xxxyyzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 912); 

                auto tg_yyzzzz_xxxyzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 913); 

                auto tg_yyzzzz_xxxzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 914); 

                auto tg_yyzzzz_xxyyyyy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 915); 

                auto tg_yyzzzz_xxyyyyz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 916); 

                auto tg_yyzzzz_xxyyyzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 917); 

                auto tg_yyzzzz_xxyyzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 918); 

                auto tg_yyzzzz_xxyzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 919); 

                auto tg_yyzzzz_xxzzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 920); 

                auto tg_yyzzzz_xyyyyyy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 921); 

                auto tg_yyzzzz_xyyyyyz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 922); 

                auto tg_yyzzzz_xyyyyzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 923); 

                auto tg_yyzzzz_xyyyzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 924); 

                auto tg_yyzzzz_xyyzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 925); 

                auto tg_yyzzzz_xyzzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 926); 

                auto tg_yyzzzz_xzzzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 927); 

                auto tg_yyzzzz_yyyyyyy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 928); 

                auto tg_yyzzzz_yyyyyyz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 929); 

                auto tg_yyzzzz_yyyyyzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 930); 

                auto tg_yyzzzz_yyyyzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 931); 

                auto tg_yyzzzz_yyyzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 932); 

                auto tg_yyzzzz_yyzzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 933); 

                auto tg_yyzzzz_yzzzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 934); 

                auto tg_yyzzzz_zzzzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 935); 

                auto tg_yzzzzz_xxxxxxx_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 936); 

                auto tg_yzzzzz_xxxxxxy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 937); 

                auto tg_yzzzzz_xxxxxxz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 938); 

                auto tg_yzzzzz_xxxxxyy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 939); 

                auto tg_yzzzzz_xxxxxyz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 940); 

                auto tg_yzzzzz_xxxxxzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 941); 

                auto tg_yzzzzz_xxxxyyy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 942); 

                auto tg_yzzzzz_xxxxyyz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 943); 

                auto tg_yzzzzz_xxxxyzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 944); 

                auto tg_yzzzzz_xxxxzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 945); 

                auto tg_yzzzzz_xxxyyyy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 946); 

                auto tg_yzzzzz_xxxyyyz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 947); 

                auto tg_yzzzzz_xxxyyzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 948); 

                auto tg_yzzzzz_xxxyzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 949); 

                auto tg_yzzzzz_xxxzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 950); 

                auto tg_yzzzzz_xxyyyyy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 951); 

                auto tg_yzzzzz_xxyyyyz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 952); 

                auto tg_yzzzzz_xxyyyzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 953); 

                auto tg_yzzzzz_xxyyzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 954); 

                auto tg_yzzzzz_xxyzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 955); 

                auto tg_yzzzzz_xxzzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 956); 

                auto tg_yzzzzz_xyyyyyy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 957); 

                auto tg_yzzzzz_xyyyyyz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 958); 

                auto tg_yzzzzz_xyyyyzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 959); 

                auto tg_yzzzzz_xyyyzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 960); 

                auto tg_yzzzzz_xyyzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 961); 

                auto tg_yzzzzz_xyzzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 962); 

                auto tg_yzzzzz_xzzzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 963); 

                auto tg_yzzzzz_yyyyyyy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 964); 

                auto tg_yzzzzz_yyyyyyz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 965); 

                auto tg_yzzzzz_yyyyyzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 966); 

                auto tg_yzzzzz_yyyyzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 967); 

                auto tg_yzzzzz_yyyzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 968); 

                auto tg_yzzzzz_yyzzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 969); 

                auto tg_yzzzzz_yzzzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 970); 

                auto tg_yzzzzz_zzzzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 971); 

                auto tg_zzzzzz_xxxxxxx_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 972); 

                auto tg_zzzzzz_xxxxxxy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 973); 

                auto tg_zzzzzz_xxxxxxz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 974); 

                auto tg_zzzzzz_xxxxxyy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 975); 

                auto tg_zzzzzz_xxxxxyz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 976); 

                auto tg_zzzzzz_xxxxxzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 977); 

                auto tg_zzzzzz_xxxxyyy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 978); 

                auto tg_zzzzzz_xxxxyyz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 979); 

                auto tg_zzzzzz_xxxxyzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 980); 

                auto tg_zzzzzz_xxxxzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 981); 

                auto tg_zzzzzz_xxxyyyy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 982); 

                auto tg_zzzzzz_xxxyyyz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 983); 

                auto tg_zzzzzz_xxxyyzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 984); 

                auto tg_yyyyzzz_xzzzzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 888); 

                auto tg_yyyyzzz_yyyyyy_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 889); 

                auto tg_yyyyzzz_yyyyyz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 890); 

                auto tg_yyyyzzz_yyyyzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 891); 

                auto tg_yyyyzzz_yyyzzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 892); 

                auto tg_yyyyzzz_yyzzzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 893); 

                auto tg_yyyyzzz_yzzzzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 894); 

                auto tg_yyyyzzz_zzzzzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 895); 

                auto tg_yyyzzzz_xxxxxx_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 896); 

                auto tg_yyyzzzz_xxxxxy_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 897); 

                auto tg_yyyzzzz_xxxxxz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 898); 

                auto tg_yyyzzzz_xxxxyy_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 899); 

                auto tg_yyyzzzz_xxxxyz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 900); 

                auto tg_yyyzzzz_xxxxzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 901); 

                auto tg_yyyzzzz_xxxyyy_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 902); 

                auto tg_yyyzzzz_xxxyyz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 903); 

                auto tg_yyyzzzz_xxxyzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 904); 

                auto tg_yyyzzzz_xxxzzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 905); 

                auto tg_yyyzzzz_xxyyyy_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 906); 

                auto tg_yyyzzzz_xxyyyz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 907); 

                auto tg_yyyzzzz_xxyyzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 908); 

                auto tg_yyyzzzz_xxyzzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 909); 

                auto tg_yyyzzzz_xxzzzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 910); 

                auto tg_yyyzzzz_xyyyyy_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 911); 

                auto tg_yyyzzzz_xyyyyz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 912); 

                auto tg_yyyzzzz_xyyyzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 913); 

                auto tg_yyyzzzz_xyyzzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 914); 

                auto tg_yyyzzzz_xyzzzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 915); 

                auto tg_yyyzzzz_xzzzzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 916); 

                auto tg_yyyzzzz_yyyyyy_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 917); 

                auto tg_yyyzzzz_yyyyyz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 918); 

                auto tg_yyyzzzz_yyyyzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 919); 

                auto tg_yyyzzzz_yyyzzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 920); 

                auto tg_yyyzzzz_yyzzzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 921); 

                auto tg_yyyzzzz_yzzzzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 922); 

                auto tg_yyyzzzz_zzzzzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 923); 

                auto tg_yyzzzzz_xxxxxx_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 924); 

                auto tg_yyzzzzz_xxxxxy_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 925); 

                auto tg_yyzzzzz_xxxxxz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 926); 

                auto tg_yyzzzzz_xxxxyy_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 927); 

                auto tg_yyzzzzz_xxxxyz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 928); 

                auto tg_yyzzzzz_xxxxzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 929); 

                auto tg_yyzzzzz_xxxyyy_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 930); 

                auto tg_yyzzzzz_xxxyyz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 931); 

                auto tg_yyzzzzz_xxxyzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 932); 

                auto tg_yyzzzzz_xxxzzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 933); 

                auto tg_yyzzzzz_xxyyyy_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 934); 

                auto tg_yyzzzzz_xxyyyz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 935); 

                auto tg_yyzzzzz_xxyyzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 936); 

                auto tg_yyzzzzz_xxyzzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 937); 

                auto tg_yyzzzzz_xxzzzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 938); 

                auto tg_yyzzzzz_xyyyyy_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 939); 

                auto tg_yyzzzzz_xyyyyz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 940); 

                auto tg_yyzzzzz_xyyyzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 941); 

                auto tg_yyzzzzz_xyyzzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 942); 

                auto tg_yyzzzzz_xyzzzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 943); 

                auto tg_yyzzzzz_xzzzzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 944); 

                auto tg_yyzzzzz_yyyyyy_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 945); 

                auto tg_yyzzzzz_yyyyyz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 946); 

                auto tg_yyzzzzz_yyyyzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 947); 

                auto tg_yyzzzzz_yyyzzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 948); 

                auto tg_yyzzzzz_yyzzzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 949); 

                auto tg_yyzzzzz_yzzzzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 950); 

                auto tg_yyzzzzz_zzzzzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 951); 

                auto tg_yzzzzzz_xxxxxx_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 952); 

                auto tg_yzzzzzz_xxxxxy_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 953); 

                auto tg_yzzzzzz_xxxxxz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 954); 

                auto tg_yzzzzzz_xxxxyy_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 955); 

                auto tg_yzzzzzz_xxxxyz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 956); 

                auto tg_yzzzzzz_xxxxzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 957); 

                auto tg_yzzzzzz_xxxyyy_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 958); 

                auto tg_yzzzzzz_xxxyyz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 959); 

                auto tg_yzzzzzz_xxxyzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 960); 

                // set up pointers to integrals

                auto tg_yyyyyzzz_xyzzzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1430); 

                auto tg_yyyyyzzz_xzzzzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1431); 

                auto tg_yyyyyzzz_yyyyyyy_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1432); 

                auto tg_yyyyyzzz_yyyyyyz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1433); 

                auto tg_yyyyyzzz_yyyyyzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1434); 

                auto tg_yyyyyzzz_yyyyzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1435); 

                auto tg_yyyyyzzz_yyyzzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1436); 

                auto tg_yyyyyzzz_yyzzzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1437); 

                auto tg_yyyyyzzz_yzzzzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1438); 

                auto tg_yyyyyzzz_zzzzzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1439); 

                auto tg_yyyyzzzz_xxxxxxx_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1440); 

                auto tg_yyyyzzzz_xxxxxxy_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1441); 

                auto tg_yyyyzzzz_xxxxxxz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1442); 

                auto tg_yyyyzzzz_xxxxxyy_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1443); 

                auto tg_yyyyzzzz_xxxxxyz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1444); 

                auto tg_yyyyzzzz_xxxxxzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1445); 

                auto tg_yyyyzzzz_xxxxyyy_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1446); 

                auto tg_yyyyzzzz_xxxxyyz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1447); 

                auto tg_yyyyzzzz_xxxxyzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1448); 

                auto tg_yyyyzzzz_xxxxzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1449); 

                auto tg_yyyyzzzz_xxxyyyy_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1450); 

                auto tg_yyyyzzzz_xxxyyyz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1451); 

                auto tg_yyyyzzzz_xxxyyzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1452); 

                auto tg_yyyyzzzz_xxxyzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1453); 

                auto tg_yyyyzzzz_xxxzzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1454); 

                auto tg_yyyyzzzz_xxyyyyy_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1455); 

                auto tg_yyyyzzzz_xxyyyyz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1456); 

                auto tg_yyyyzzzz_xxyyyzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1457); 

                auto tg_yyyyzzzz_xxyyzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1458); 

                auto tg_yyyyzzzz_xxyzzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1459); 

                auto tg_yyyyzzzz_xxzzzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1460); 

                auto tg_yyyyzzzz_xyyyyyy_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1461); 

                auto tg_yyyyzzzz_xyyyyyz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1462); 

                auto tg_yyyyzzzz_xyyyyzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1463); 

                auto tg_yyyyzzzz_xyyyzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1464); 

                auto tg_yyyyzzzz_xyyzzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1465); 

                auto tg_yyyyzzzz_xyzzzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1466); 

                auto tg_yyyyzzzz_xzzzzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1467); 

                auto tg_yyyyzzzz_yyyyyyy_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1468); 

                auto tg_yyyyzzzz_yyyyyyz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1469); 

                auto tg_yyyyzzzz_yyyyyzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1470); 

                auto tg_yyyyzzzz_yyyyzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1471); 

                auto tg_yyyyzzzz_yyyzzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1472); 

                auto tg_yyyyzzzz_yyzzzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1473); 

                auto tg_yyyyzzzz_yzzzzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1474); 

                auto tg_yyyyzzzz_zzzzzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1475); 

                auto tg_yyyzzzzz_xxxxxxx_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1476); 

                auto tg_yyyzzzzz_xxxxxxy_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1477); 

                auto tg_yyyzzzzz_xxxxxxz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1478); 

                auto tg_yyyzzzzz_xxxxxyy_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1479); 

                auto tg_yyyzzzzz_xxxxxyz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1480); 

                auto tg_yyyzzzzz_xxxxxzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1481); 

                auto tg_yyyzzzzz_xxxxyyy_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1482); 

                auto tg_yyyzzzzz_xxxxyyz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1483); 

                auto tg_yyyzzzzz_xxxxyzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1484); 

                auto tg_yyyzzzzz_xxxxzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1485); 

                auto tg_yyyzzzzz_xxxyyyy_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1486); 

                auto tg_yyyzzzzz_xxxyyyz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1487); 

                auto tg_yyyzzzzz_xxxyyzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1488); 

                auto tg_yyyzzzzz_xxxyzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1489); 

                auto tg_yyyzzzzz_xxxzzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1490); 

                auto tg_yyyzzzzz_xxyyyyy_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1491); 

                auto tg_yyyzzzzz_xxyyyyz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1492); 

                auto tg_yyyzzzzz_xxyyyzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1493); 

                auto tg_yyyzzzzz_xxyyzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1494); 

                auto tg_yyyzzzzz_xxyzzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1495); 

                auto tg_yyyzzzzz_xxzzzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1496); 

                auto tg_yyyzzzzz_xyyyyyy_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1497); 

                auto tg_yyyzzzzz_xyyyyyz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1498); 

                auto tg_yyyzzzzz_xyyyyzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1499); 

                auto tg_yyyzzzzz_xyyyzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1500); 

                auto tg_yyyzzzzz_xyyzzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1501); 

                auto tg_yyyzzzzz_xyzzzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1502); 

                auto tg_yyyzzzzz_xzzzzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1503); 

                auto tg_yyyzzzzz_yyyyyyy_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1504); 

                auto tg_yyyzzzzz_yyyyyyz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1505); 

                auto tg_yyyzzzzz_yyyyyzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1506); 

                auto tg_yyyzzzzz_yyyyzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1507); 

                auto tg_yyyzzzzz_yyyzzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1508); 

                auto tg_yyyzzzzz_yyzzzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1509); 

                auto tg_yyyzzzzz_yzzzzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1510); 

                auto tg_yyyzzzzz_zzzzzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1511); 

                auto tg_yyzzzzzz_xxxxxxx_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1512); 

                auto tg_yyzzzzzz_xxxxxxy_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1513); 

                auto tg_yyzzzzzz_xxxxxxz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1514); 

                auto tg_yyzzzzzz_xxxxxyy_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1515); 

                auto tg_yyzzzzzz_xxxxxyz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1516); 

                auto tg_yyzzzzzz_xxxxxzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1517); 

                auto tg_yyzzzzzz_xxxxyyy_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1518); 

                auto tg_yyzzzzzz_xxxxyyz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1519); 

                auto tg_yyzzzzzz_xxxxyzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1520); 

                auto tg_yyzzzzzz_xxxxzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1521); 

                auto tg_yyzzzzzz_xxxyyyy_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1522); 

                auto tg_yyzzzzzz_xxxyyyz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1523); 

                auto tg_yyzzzzzz_xxxyyzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1524); 

                // Batch of Integrals (1430,1525)

                #pragma omp simd aligned(fxn, fza, tg_yyyyyzzz_xyzzzzz_0, tg_yyyyyzzz_xzzzzzz_0, \
                                         tg_yyyyyzzz_yyyyyyy_0, tg_yyyyyzzz_yyyyyyz_0, tg_yyyyyzzz_yyyyyzz_0, \
                                         tg_yyyyyzzz_yyyyzzz_0, tg_yyyyyzzz_yyyzzzz_0, tg_yyyyyzzz_yyzzzzz_0, \
                                         tg_yyyyyzzz_yzzzzzz_0, tg_yyyyyzzz_zzzzzzz_0, tg_yyyyzzz_xyzzzzz_0, \
                                         tg_yyyyzzz_xyzzzzz_1, tg_yyyyzzz_xzzzzz_1, tg_yyyyzzz_xzzzzzz_0, tg_yyyyzzz_xzzzzzz_1, \
                                         tg_yyyyzzz_yyyyyy_1, tg_yyyyzzz_yyyyyyy_0, tg_yyyyzzz_yyyyyyy_1, tg_yyyyzzz_yyyyyyz_0, \
                                         tg_yyyyzzz_yyyyyyz_1, tg_yyyyzzz_yyyyyz_1, tg_yyyyzzz_yyyyyzz_0, tg_yyyyzzz_yyyyyzz_1, \
                                         tg_yyyyzzz_yyyyzz_1, tg_yyyyzzz_yyyyzzz_0, tg_yyyyzzz_yyyyzzz_1, tg_yyyyzzz_yyyzzz_1, \
                                         tg_yyyyzzz_yyyzzzz_0, tg_yyyyzzz_yyyzzzz_1, tg_yyyyzzz_yyzzzz_1, tg_yyyyzzz_yyzzzzz_0, \
                                         tg_yyyyzzz_yyzzzzz_1, tg_yyyyzzz_yzzzzz_1, tg_yyyyzzz_yzzzzzz_0, tg_yyyyzzz_yzzzzzz_1, \
                                         tg_yyyyzzz_zzzzzz_1, tg_yyyyzzz_zzzzzzz_0, tg_yyyyzzz_zzzzzzz_1, \
                                         tg_yyyyzzzz_xxxxxxx_0, tg_yyyyzzzz_xxxxxxy_0, tg_yyyyzzzz_xxxxxxz_0, \
                                         tg_yyyyzzzz_xxxxxyy_0, tg_yyyyzzzz_xxxxxyz_0, tg_yyyyzzzz_xxxxxzz_0, \
                                         tg_yyyyzzzz_xxxxyyy_0, tg_yyyyzzzz_xxxxyyz_0, tg_yyyyzzzz_xxxxyzz_0, \
                                         tg_yyyyzzzz_xxxxzzz_0, tg_yyyyzzzz_xxxyyyy_0, tg_yyyyzzzz_xxxyyyz_0, \
                                         tg_yyyyzzzz_xxxyyzz_0, tg_yyyyzzzz_xxxyzzz_0, tg_yyyyzzzz_xxxzzzz_0, \
                                         tg_yyyyzzzz_xxyyyyy_0, tg_yyyyzzzz_xxyyyyz_0, tg_yyyyzzzz_xxyyyzz_0, \
                                         tg_yyyyzzzz_xxyyzzz_0, tg_yyyyzzzz_xxyzzzz_0, tg_yyyyzzzz_xxzzzzz_0, \
                                         tg_yyyyzzzz_xyyyyyy_0, tg_yyyyzzzz_xyyyyyz_0, tg_yyyyzzzz_xyyyyzz_0, \
                                         tg_yyyyzzzz_xyyyzzz_0, tg_yyyyzzzz_xyyzzzz_0, tg_yyyyzzzz_xyzzzzz_0, \
                                         tg_yyyyzzzz_xzzzzzz_0, tg_yyyyzzzz_yyyyyyy_0, tg_yyyyzzzz_yyyyyyz_0, \
                                         tg_yyyyzzzz_yyyyyzz_0, tg_yyyyzzzz_yyyyzzz_0, tg_yyyyzzzz_yyyzzzz_0, \
                                         tg_yyyyzzzz_yyzzzzz_0, tg_yyyyzzzz_yzzzzzz_0, tg_yyyyzzzz_zzzzzzz_0, \
                                         tg_yyyzzz_xyzzzzz_0, tg_yyyzzz_xyzzzzz_1, tg_yyyzzz_xzzzzzz_0, tg_yyyzzz_xzzzzzz_1, \
                                         tg_yyyzzz_yyyyyyy_0, tg_yyyzzz_yyyyyyy_1, tg_yyyzzz_yyyyyyz_0, tg_yyyzzz_yyyyyyz_1, \
                                         tg_yyyzzz_yyyyyzz_0, tg_yyyzzz_yyyyyzz_1, tg_yyyzzz_yyyyzzz_0, tg_yyyzzz_yyyyzzz_1, \
                                         tg_yyyzzz_yyyzzzz_0, tg_yyyzzz_yyyzzzz_1, tg_yyyzzz_yyzzzzz_0, tg_yyyzzz_yyzzzzz_1, \
                                         tg_yyyzzz_yzzzzzz_0, tg_yyyzzz_yzzzzzz_1, tg_yyyzzz_zzzzzzz_0, tg_yyyzzz_zzzzzzz_1, \
                                         tg_yyyzzzz_xxxxxx_1, tg_yyyzzzz_xxxxxxx_0, tg_yyyzzzz_xxxxxxx_1, tg_yyyzzzz_xxxxxxy_0, \
                                         tg_yyyzzzz_xxxxxxy_1, tg_yyyzzzz_xxxxxxz_0, tg_yyyzzzz_xxxxxxz_1, tg_yyyzzzz_xxxxxy_1, \
                                         tg_yyyzzzz_xxxxxyy_0, tg_yyyzzzz_xxxxxyy_1, tg_yyyzzzz_xxxxxyz_0, tg_yyyzzzz_xxxxxyz_1, \
                                         tg_yyyzzzz_xxxxxz_1, tg_yyyzzzz_xxxxxzz_0, tg_yyyzzzz_xxxxxzz_1, tg_yyyzzzz_xxxxyy_1, \
                                         tg_yyyzzzz_xxxxyyy_0, tg_yyyzzzz_xxxxyyy_1, tg_yyyzzzz_xxxxyyz_0, tg_yyyzzzz_xxxxyyz_1, \
                                         tg_yyyzzzz_xxxxyz_1, tg_yyyzzzz_xxxxyzz_0, tg_yyyzzzz_xxxxyzz_1, tg_yyyzzzz_xxxxzz_1, \
                                         tg_yyyzzzz_xxxxzzz_0, tg_yyyzzzz_xxxxzzz_1, tg_yyyzzzz_xxxyyy_1, tg_yyyzzzz_xxxyyyy_0, \
                                         tg_yyyzzzz_xxxyyyy_1, tg_yyyzzzz_xxxyyyz_0, tg_yyyzzzz_xxxyyyz_1, tg_yyyzzzz_xxxyyz_1, \
                                         tg_yyyzzzz_xxxyyzz_0, tg_yyyzzzz_xxxyyzz_1, tg_yyyzzzz_xxxyzz_1, tg_yyyzzzz_xxxyzzz_0, \
                                         tg_yyyzzzz_xxxyzzz_1, tg_yyyzzzz_xxxzzz_1, tg_yyyzzzz_xxxzzzz_0, tg_yyyzzzz_xxxzzzz_1, \
                                         tg_yyyzzzz_xxyyyy_1, tg_yyyzzzz_xxyyyyy_0, tg_yyyzzzz_xxyyyyy_1, tg_yyyzzzz_xxyyyyz_0, \
                                         tg_yyyzzzz_xxyyyyz_1, tg_yyyzzzz_xxyyyz_1, tg_yyyzzzz_xxyyyzz_0, tg_yyyzzzz_xxyyyzz_1, \
                                         tg_yyyzzzz_xxyyzz_1, tg_yyyzzzz_xxyyzzz_0, tg_yyyzzzz_xxyyzzz_1, tg_yyyzzzz_xxyzzz_1, \
                                         tg_yyyzzzz_xxyzzzz_0, tg_yyyzzzz_xxyzzzz_1, tg_yyyzzzz_xxzzzz_1, tg_yyyzzzz_xxzzzzz_0, \
                                         tg_yyyzzzz_xxzzzzz_1, tg_yyyzzzz_xyyyyy_1, tg_yyyzzzz_xyyyyyy_0, tg_yyyzzzz_xyyyyyy_1, \
                                         tg_yyyzzzz_xyyyyyz_0, tg_yyyzzzz_xyyyyyz_1, tg_yyyzzzz_xyyyyz_1, tg_yyyzzzz_xyyyyzz_0, \
                                         tg_yyyzzzz_xyyyyzz_1, tg_yyyzzzz_xyyyzz_1, tg_yyyzzzz_xyyyzzz_0, tg_yyyzzzz_xyyyzzz_1, \
                                         tg_yyyzzzz_xyyzzz_1, tg_yyyzzzz_xyyzzzz_0, tg_yyyzzzz_xyyzzzz_1, tg_yyyzzzz_xyzzzz_1, \
                                         tg_yyyzzzz_xyzzzzz_0, tg_yyyzzzz_xyzzzzz_1, tg_yyyzzzz_xzzzzz_1, tg_yyyzzzz_xzzzzzz_0, \
                                         tg_yyyzzzz_xzzzzzz_1, tg_yyyzzzz_yyyyyy_1, tg_yyyzzzz_yyyyyyy_0, tg_yyyzzzz_yyyyyyy_1, \
                                         tg_yyyzzzz_yyyyyyz_0, tg_yyyzzzz_yyyyyyz_1, tg_yyyzzzz_yyyyyz_1, tg_yyyzzzz_yyyyyzz_0, \
                                         tg_yyyzzzz_yyyyyzz_1, tg_yyyzzzz_yyyyzz_1, tg_yyyzzzz_yyyyzzz_0, tg_yyyzzzz_yyyyzzz_1, \
                                         tg_yyyzzzz_yyyzzz_1, tg_yyyzzzz_yyyzzzz_0, tg_yyyzzzz_yyyzzzz_1, tg_yyyzzzz_yyzzzz_1, \
                                         tg_yyyzzzz_yyzzzzz_0, tg_yyyzzzz_yyzzzzz_1, tg_yyyzzzz_yzzzzz_1, tg_yyyzzzz_yzzzzzz_0, \
                                         tg_yyyzzzz_yzzzzzz_1, tg_yyyzzzz_zzzzzz_1, tg_yyyzzzz_zzzzzzz_0, tg_yyyzzzz_zzzzzzz_1, \
                                         tg_yyyzzzzz_xxxxxxx_0, tg_yyyzzzzz_xxxxxxy_0, tg_yyyzzzzz_xxxxxxz_0, \
                                         tg_yyyzzzzz_xxxxxyy_0, tg_yyyzzzzz_xxxxxyz_0, tg_yyyzzzzz_xxxxxzz_0, \
                                         tg_yyyzzzzz_xxxxyyy_0, tg_yyyzzzzz_xxxxyyz_0, tg_yyyzzzzz_xxxxyzz_0, \
                                         tg_yyyzzzzz_xxxxzzz_0, tg_yyyzzzzz_xxxyyyy_0, tg_yyyzzzzz_xxxyyyz_0, \
                                         tg_yyyzzzzz_xxxyyzz_0, tg_yyyzzzzz_xxxyzzz_0, tg_yyyzzzzz_xxxzzzz_0, \
                                         tg_yyyzzzzz_xxyyyyy_0, tg_yyyzzzzz_xxyyyyz_0, tg_yyyzzzzz_xxyyyzz_0, \
                                         tg_yyyzzzzz_xxyyzzz_0, tg_yyyzzzzz_xxyzzzz_0, tg_yyyzzzzz_xxzzzzz_0, \
                                         tg_yyyzzzzz_xyyyyyy_0, tg_yyyzzzzz_xyyyyyz_0, tg_yyyzzzzz_xyyyyzz_0, \
                                         tg_yyyzzzzz_xyyyzzz_0, tg_yyyzzzzz_xyyzzzz_0, tg_yyyzzzzz_xyzzzzz_0, \
                                         tg_yyyzzzzz_xzzzzzz_0, tg_yyyzzzzz_yyyyyyy_0, tg_yyyzzzzz_yyyyyyz_0, \
                                         tg_yyyzzzzz_yyyyyzz_0, tg_yyyzzzzz_yyyyzzz_0, tg_yyyzzzzz_yyyzzzz_0, \
                                         tg_yyyzzzzz_yyzzzzz_0, tg_yyyzzzzz_yzzzzzz_0, tg_yyyzzzzz_zzzzzzz_0, \
                                         tg_yyzzzz_xxxxxxx_0, tg_yyzzzz_xxxxxxx_1, tg_yyzzzz_xxxxxxy_0, tg_yyzzzz_xxxxxxy_1, \
                                         tg_yyzzzz_xxxxxxz_0, tg_yyzzzz_xxxxxxz_1, tg_yyzzzz_xxxxxyy_0, tg_yyzzzz_xxxxxyy_1, \
                                         tg_yyzzzz_xxxxxyz_0, tg_yyzzzz_xxxxxyz_1, tg_yyzzzz_xxxxxzz_0, tg_yyzzzz_xxxxxzz_1, \
                                         tg_yyzzzz_xxxxyyy_0, tg_yyzzzz_xxxxyyy_1, tg_yyzzzz_xxxxyyz_0, tg_yyzzzz_xxxxyyz_1, \
                                         tg_yyzzzz_xxxxyzz_0, tg_yyzzzz_xxxxyzz_1, tg_yyzzzz_xxxxzzz_0, tg_yyzzzz_xxxxzzz_1, \
                                         tg_yyzzzz_xxxyyyy_0, tg_yyzzzz_xxxyyyy_1, tg_yyzzzz_xxxyyyz_0, tg_yyzzzz_xxxyyyz_1, \
                                         tg_yyzzzz_xxxyyzz_0, tg_yyzzzz_xxxyyzz_1, tg_yyzzzz_xxxyzzz_0, tg_yyzzzz_xxxyzzz_1, \
                                         tg_yyzzzz_xxxzzzz_0, tg_yyzzzz_xxxzzzz_1, tg_yyzzzz_xxyyyyy_0, tg_yyzzzz_xxyyyyy_1, \
                                         tg_yyzzzz_xxyyyyz_0, tg_yyzzzz_xxyyyyz_1, tg_yyzzzz_xxyyyzz_0, tg_yyzzzz_xxyyyzz_1, \
                                         tg_yyzzzz_xxyyzzz_0, tg_yyzzzz_xxyyzzz_1, tg_yyzzzz_xxyzzzz_0, tg_yyzzzz_xxyzzzz_1, \
                                         tg_yyzzzz_xxzzzzz_0, tg_yyzzzz_xxzzzzz_1, tg_yyzzzz_xyyyyyy_0, tg_yyzzzz_xyyyyyy_1, \
                                         tg_yyzzzz_xyyyyyz_0, tg_yyzzzz_xyyyyyz_1, tg_yyzzzz_xyyyyzz_0, tg_yyzzzz_xyyyyzz_1, \
                                         tg_yyzzzz_xyyyzzz_0, tg_yyzzzz_xyyyzzz_1, tg_yyzzzz_xyyzzzz_0, tg_yyzzzz_xyyzzzz_1, \
                                         tg_yyzzzz_xyzzzzz_0, tg_yyzzzz_xyzzzzz_1, tg_yyzzzz_xzzzzzz_0, tg_yyzzzz_xzzzzzz_1, \
                                         tg_yyzzzz_yyyyyyy_0, tg_yyzzzz_yyyyyyy_1, tg_yyzzzz_yyyyyyz_0, tg_yyzzzz_yyyyyyz_1, \
                                         tg_yyzzzz_yyyyyzz_0, tg_yyzzzz_yyyyyzz_1, tg_yyzzzz_yyyyzzz_0, tg_yyzzzz_yyyyzzz_1, \
                                         tg_yyzzzz_yyyzzzz_0, tg_yyzzzz_yyyzzzz_1, tg_yyzzzz_yyzzzzz_0, tg_yyzzzz_yyzzzzz_1, \
                                         tg_yyzzzz_yzzzzzz_0, tg_yyzzzz_yzzzzzz_1, tg_yyzzzz_zzzzzzz_0, tg_yyzzzz_zzzzzzz_1, \
                                         tg_yyzzzzz_xxxxxx_1, tg_yyzzzzz_xxxxxxx_0, tg_yyzzzzz_xxxxxxx_1, tg_yyzzzzz_xxxxxxy_0, \
                                         tg_yyzzzzz_xxxxxxy_1, tg_yyzzzzz_xxxxxxz_0, tg_yyzzzzz_xxxxxxz_1, tg_yyzzzzz_xxxxxy_1, \
                                         tg_yyzzzzz_xxxxxyy_0, tg_yyzzzzz_xxxxxyy_1, tg_yyzzzzz_xxxxxyz_0, tg_yyzzzzz_xxxxxyz_1, \
                                         tg_yyzzzzz_xxxxxz_1, tg_yyzzzzz_xxxxxzz_0, tg_yyzzzzz_xxxxxzz_1, tg_yyzzzzz_xxxxyy_1, \
                                         tg_yyzzzzz_xxxxyyy_0, tg_yyzzzzz_xxxxyyy_1, tg_yyzzzzz_xxxxyyz_0, tg_yyzzzzz_xxxxyyz_1, \
                                         tg_yyzzzzz_xxxxyz_1, tg_yyzzzzz_xxxxyzz_0, tg_yyzzzzz_xxxxyzz_1, tg_yyzzzzz_xxxxzz_1, \
                                         tg_yyzzzzz_xxxxzzz_0, tg_yyzzzzz_xxxxzzz_1, tg_yyzzzzz_xxxyyy_1, tg_yyzzzzz_xxxyyyy_0, \
                                         tg_yyzzzzz_xxxyyyy_1, tg_yyzzzzz_xxxyyyz_0, tg_yyzzzzz_xxxyyyz_1, tg_yyzzzzz_xxxyyz_1, \
                                         tg_yyzzzzz_xxxyyzz_0, tg_yyzzzzz_xxxyyzz_1, tg_yyzzzzz_xxxyzz_1, tg_yyzzzzz_xxxyzzz_0, \
                                         tg_yyzzzzz_xxxyzzz_1, tg_yyzzzzz_xxxzzz_1, tg_yyzzzzz_xxxzzzz_0, tg_yyzzzzz_xxxzzzz_1, \
                                         tg_yyzzzzz_xxyyyy_1, tg_yyzzzzz_xxyyyyy_0, tg_yyzzzzz_xxyyyyy_1, tg_yyzzzzz_xxyyyyz_0, \
                                         tg_yyzzzzz_xxyyyyz_1, tg_yyzzzzz_xxyyyz_1, tg_yyzzzzz_xxyyyzz_0, tg_yyzzzzz_xxyyyzz_1, \
                                         tg_yyzzzzz_xxyyzz_1, tg_yyzzzzz_xxyyzzz_0, tg_yyzzzzz_xxyyzzz_1, tg_yyzzzzz_xxyzzz_1, \
                                         tg_yyzzzzz_xxyzzzz_0, tg_yyzzzzz_xxyzzzz_1, tg_yyzzzzz_xxzzzz_1, tg_yyzzzzz_xxzzzzz_0, \
                                         tg_yyzzzzz_xxzzzzz_1, tg_yyzzzzz_xyyyyy_1, tg_yyzzzzz_xyyyyyy_0, tg_yyzzzzz_xyyyyyy_1, \
                                         tg_yyzzzzz_xyyyyyz_0, tg_yyzzzzz_xyyyyyz_1, tg_yyzzzzz_xyyyyz_1, tg_yyzzzzz_xyyyyzz_0, \
                                         tg_yyzzzzz_xyyyyzz_1, tg_yyzzzzz_xyyyzz_1, tg_yyzzzzz_xyyyzzz_0, tg_yyzzzzz_xyyyzzz_1, \
                                         tg_yyzzzzz_xyyzzz_1, tg_yyzzzzz_xyyzzzz_0, tg_yyzzzzz_xyyzzzz_1, tg_yyzzzzz_xyzzzz_1, \
                                         tg_yyzzzzz_xyzzzzz_0, tg_yyzzzzz_xyzzzzz_1, tg_yyzzzzz_xzzzzz_1, tg_yyzzzzz_xzzzzzz_0, \
                                         tg_yyzzzzz_xzzzzzz_1, tg_yyzzzzz_yyyyyy_1, tg_yyzzzzz_yyyyyyy_0, tg_yyzzzzz_yyyyyyy_1, \
                                         tg_yyzzzzz_yyyyyyz_0, tg_yyzzzzz_yyyyyyz_1, tg_yyzzzzz_yyyyyz_1, tg_yyzzzzz_yyyyyzz_0, \
                                         tg_yyzzzzz_yyyyyzz_1, tg_yyzzzzz_yyyyzz_1, tg_yyzzzzz_yyyyzzz_0, tg_yyzzzzz_yyyyzzz_1, \
                                         tg_yyzzzzz_yyyzzz_1, tg_yyzzzzz_yyyzzzz_0, tg_yyzzzzz_yyyzzzz_1, tg_yyzzzzz_yyzzzz_1, \
                                         tg_yyzzzzz_yyzzzzz_0, tg_yyzzzzz_yyzzzzz_1, tg_yyzzzzz_yzzzzz_1, tg_yyzzzzz_yzzzzzz_0, \
                                         tg_yyzzzzz_yzzzzzz_1, tg_yyzzzzz_zzzzzz_1, tg_yyzzzzz_zzzzzzz_0, tg_yyzzzzz_zzzzzzz_1, \
                                         tg_yyzzzzzz_xxxxxxx_0, tg_yyzzzzzz_xxxxxxy_0, tg_yyzzzzzz_xxxxxxz_0, \
                                         tg_yyzzzzzz_xxxxxyy_0, tg_yyzzzzzz_xxxxxyz_0, tg_yyzzzzzz_xxxxxzz_0, \
                                         tg_yyzzzzzz_xxxxyyy_0, tg_yyzzzzzz_xxxxyyz_0, tg_yyzzzzzz_xxxxyzz_0, \
                                         tg_yyzzzzzz_xxxxzzz_0, tg_yyzzzzzz_xxxyyyy_0, tg_yyzzzzzz_xxxyyyz_0, \
                                         tg_yyzzzzzz_xxxyyzz_0, tg_yzzzzz_xxxxxxx_0, tg_yzzzzz_xxxxxxx_1, tg_yzzzzz_xxxxxxy_0, \
                                         tg_yzzzzz_xxxxxxy_1, tg_yzzzzz_xxxxxxz_0, tg_yzzzzz_xxxxxxz_1, tg_yzzzzz_xxxxxyy_0, \
                                         tg_yzzzzz_xxxxxyy_1, tg_yzzzzz_xxxxxyz_0, tg_yzzzzz_xxxxxyz_1, tg_yzzzzz_xxxxxzz_0, \
                                         tg_yzzzzz_xxxxxzz_1, tg_yzzzzz_xxxxyyy_0, tg_yzzzzz_xxxxyyy_1, tg_yzzzzz_xxxxyyz_0, \
                                         tg_yzzzzz_xxxxyyz_1, tg_yzzzzz_xxxxyzz_0, tg_yzzzzz_xxxxyzz_1, tg_yzzzzz_xxxxzzz_0, \
                                         tg_yzzzzz_xxxxzzz_1, tg_yzzzzz_xxxyyyy_0, tg_yzzzzz_xxxyyyy_1, tg_yzzzzz_xxxyyyz_0, \
                                         tg_yzzzzz_xxxyyyz_1, tg_yzzzzz_xxxyyzz_0, tg_yzzzzz_xxxyyzz_1, tg_yzzzzz_xxxyzzz_0, \
                                         tg_yzzzzz_xxxyzzz_1, tg_yzzzzz_xxxzzzz_0, tg_yzzzzz_xxxzzzz_1, tg_yzzzzz_xxyyyyy_0, \
                                         tg_yzzzzz_xxyyyyy_1, tg_yzzzzz_xxyyyyz_0, tg_yzzzzz_xxyyyyz_1, tg_yzzzzz_xxyyyzz_0, \
                                         tg_yzzzzz_xxyyyzz_1, tg_yzzzzz_xxyyzzz_0, tg_yzzzzz_xxyyzzz_1, tg_yzzzzz_xxyzzzz_0, \
                                         tg_yzzzzz_xxyzzzz_1, tg_yzzzzz_xxzzzzz_0, tg_yzzzzz_xxzzzzz_1, tg_yzzzzz_xyyyyyy_0, \
                                         tg_yzzzzz_xyyyyyy_1, tg_yzzzzz_xyyyyyz_0, tg_yzzzzz_xyyyyyz_1, tg_yzzzzz_xyyyyzz_0, \
                                         tg_yzzzzz_xyyyyzz_1, tg_yzzzzz_xyyyzzz_0, tg_yzzzzz_xyyyzzz_1, tg_yzzzzz_xyyzzzz_0, \
                                         tg_yzzzzz_xyyzzzz_1, tg_yzzzzz_xyzzzzz_0, tg_yzzzzz_xyzzzzz_1, tg_yzzzzz_xzzzzzz_0, \
                                         tg_yzzzzz_xzzzzzz_1, tg_yzzzzz_yyyyyyy_0, tg_yzzzzz_yyyyyyy_1, tg_yzzzzz_yyyyyyz_0, \
                                         tg_yzzzzz_yyyyyyz_1, tg_yzzzzz_yyyyyzz_0, tg_yzzzzz_yyyyyzz_1, tg_yzzzzz_yyyyzzz_0, \
                                         tg_yzzzzz_yyyyzzz_1, tg_yzzzzz_yyyzzzz_0, tg_yzzzzz_yyyzzzz_1, tg_yzzzzz_yyzzzzz_0, \
                                         tg_yzzzzz_yyzzzzz_1, tg_yzzzzz_yzzzzzz_0, tg_yzzzzz_yzzzzzz_1, tg_yzzzzz_zzzzzzz_0, \
                                         tg_yzzzzz_zzzzzzz_1, tg_yzzzzzz_xxxxxx_1, tg_yzzzzzz_xxxxxxx_0, tg_yzzzzzz_xxxxxxx_1, \
                                         tg_yzzzzzz_xxxxxxy_0, tg_yzzzzzz_xxxxxxy_1, tg_yzzzzzz_xxxxxxz_0, tg_yzzzzzz_xxxxxxz_1, \
                                         tg_yzzzzzz_xxxxxy_1, tg_yzzzzzz_xxxxxyy_0, tg_yzzzzzz_xxxxxyy_1, tg_yzzzzzz_xxxxxyz_0, \
                                         tg_yzzzzzz_xxxxxyz_1, tg_yzzzzzz_xxxxxz_1, tg_yzzzzzz_xxxxxzz_0, tg_yzzzzzz_xxxxxzz_1, \
                                         tg_yzzzzzz_xxxxyy_1, tg_yzzzzzz_xxxxyyy_0, tg_yzzzzzz_xxxxyyy_1, tg_yzzzzzz_xxxxyyz_0, \
                                         tg_yzzzzzz_xxxxyyz_1, tg_yzzzzzz_xxxxyz_1, tg_yzzzzzz_xxxxyzz_0, tg_yzzzzzz_xxxxyzz_1, \
                                         tg_yzzzzzz_xxxxzz_1, tg_yzzzzzz_xxxxzzz_0, tg_yzzzzzz_xxxxzzz_1, tg_yzzzzzz_xxxyyy_1, \
                                         tg_yzzzzzz_xxxyyyy_0, tg_yzzzzzz_xxxyyyy_1, tg_yzzzzzz_xxxyyyz_0, tg_yzzzzzz_xxxyyyz_1, \
                                         tg_yzzzzzz_xxxyyz_1, tg_yzzzzzz_xxxyyzz_0, tg_yzzzzzz_xxxyyzz_1, tg_yzzzzzz_xxxyzz_1, \
                                         tg_zzzzzz_xxxxxxx_0, tg_zzzzzz_xxxxxxx_1, tg_zzzzzz_xxxxxxy_0, tg_zzzzzz_xxxxxxy_1, \
                                         tg_zzzzzz_xxxxxxz_0, tg_zzzzzz_xxxxxxz_1, tg_zzzzzz_xxxxxyy_0, tg_zzzzzz_xxxxxyy_1, \
                                         tg_zzzzzz_xxxxxyz_0, tg_zzzzzz_xxxxxyz_1, tg_zzzzzz_xxxxxzz_0, tg_zzzzzz_xxxxxzz_1, \
                                         tg_zzzzzz_xxxxyyy_0, tg_zzzzzz_xxxxyyy_1, tg_zzzzzz_xxxxyyz_0, tg_zzzzzz_xxxxyyz_1, \
                                         tg_zzzzzz_xxxxyzz_0, tg_zzzzzz_xxxxyzz_1, tg_zzzzzz_xxxxzzz_0, tg_zzzzzz_xxxxzzz_1, \
                                         tg_zzzzzz_xxxyyyy_0, tg_zzzzzz_xxxyyyy_1, tg_zzzzzz_xxxyyyz_0, tg_zzzzzz_xxxyyyz_1, \
                                         tg_zzzzzz_xxxyyzz_0, tg_zzzzzz_xxxyyzz_1, wp_y: VLX_ALIGN)
                for (int32_t j = 0; j < nKetPrimPairs; j++)
                {
                    double fl1_fx = fx;

                    double fl1_fxn = fxn[j];

                    double fl1_fza = fza[j];

                    double fr = wp_y[j]; 

                    tg_yyyyyzzz_xyzzzzz_0[j] = pb_y * tg_yyyyzzz_xyzzzzz_0[j] + fr * tg_yyyyzzz_xyzzzzz_1[j] + 2.0 * fl1_fx * (tg_yyyzzz_xyzzzzz_0[j] - tg_yyyzzz_xyzzzzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_yyyyzzz_xzzzzz_1[j];

                    tg_yyyyyzzz_xzzzzzz_0[j] = pb_y * tg_yyyyzzz_xzzzzzz_0[j] + fr * tg_yyyyzzz_xzzzzzz_1[j] + 2.0 * fl1_fx * (tg_yyyzzz_xzzzzzz_0[j] - tg_yyyzzz_xzzzzzz_1[j] * fl1_fza);

                    tg_yyyyyzzz_yyyyyyy_0[j] = pb_y * tg_yyyyzzz_yyyyyyy_0[j] + fr * tg_yyyyzzz_yyyyyyy_1[j] + 2.0 * fl1_fx * (tg_yyyzzz_yyyyyyy_0[j] - tg_yyyzzz_yyyyyyy_1[j] * fl1_fza) + 3.5 * fl1_fxn * tg_yyyyzzz_yyyyyy_1[j];

                    tg_yyyyyzzz_yyyyyyz_0[j] = pb_y * tg_yyyyzzz_yyyyyyz_0[j] + fr * tg_yyyyzzz_yyyyyyz_1[j] + 2.0 * fl1_fx * (tg_yyyzzz_yyyyyyz_0[j] - tg_yyyzzz_yyyyyyz_1[j] * fl1_fza) + 3.0 * fl1_fxn * tg_yyyyzzz_yyyyyz_1[j];

                    tg_yyyyyzzz_yyyyyzz_0[j] = pb_y * tg_yyyyzzz_yyyyyzz_0[j] + fr * tg_yyyyzzz_yyyyyzz_1[j] + 2.0 * fl1_fx * (tg_yyyzzz_yyyyyzz_0[j] - tg_yyyzzz_yyyyyzz_1[j] * fl1_fza) + 2.5 * fl1_fxn * tg_yyyyzzz_yyyyzz_1[j];

                    tg_yyyyyzzz_yyyyzzz_0[j] = pb_y * tg_yyyyzzz_yyyyzzz_0[j] + fr * tg_yyyyzzz_yyyyzzz_1[j] + 2.0 * fl1_fx * (tg_yyyzzz_yyyyzzz_0[j] - tg_yyyzzz_yyyyzzz_1[j] * fl1_fza) + 2.0 * fl1_fxn * tg_yyyyzzz_yyyzzz_1[j];

                    tg_yyyyyzzz_yyyzzzz_0[j] = pb_y * tg_yyyyzzz_yyyzzzz_0[j] + fr * tg_yyyyzzz_yyyzzzz_1[j] + 2.0 * fl1_fx * (tg_yyyzzz_yyyzzzz_0[j] - tg_yyyzzz_yyyzzzz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_yyyyzzz_yyzzzz_1[j];

                    tg_yyyyyzzz_yyzzzzz_0[j] = pb_y * tg_yyyyzzz_yyzzzzz_0[j] + fr * tg_yyyyzzz_yyzzzzz_1[j] + 2.0 * fl1_fx * (tg_yyyzzz_yyzzzzz_0[j] - tg_yyyzzz_yyzzzzz_1[j] * fl1_fza) + fl1_fxn * tg_yyyyzzz_yzzzzz_1[j];

                    tg_yyyyyzzz_yzzzzzz_0[j] = pb_y * tg_yyyyzzz_yzzzzzz_0[j] + fr * tg_yyyyzzz_yzzzzzz_1[j] + 2.0 * fl1_fx * (tg_yyyzzz_yzzzzzz_0[j] - tg_yyyzzz_yzzzzzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_yyyyzzz_zzzzzz_1[j];

                    tg_yyyyyzzz_zzzzzzz_0[j] = pb_y * tg_yyyyzzz_zzzzzzz_0[j] + fr * tg_yyyyzzz_zzzzzzz_1[j] + 2.0 * fl1_fx * (tg_yyyzzz_zzzzzzz_0[j] - tg_yyyzzz_zzzzzzz_1[j] * fl1_fza);

                    tg_yyyyzzzz_xxxxxxx_0[j] = pb_y * tg_yyyzzzz_xxxxxxx_0[j] + fr * tg_yyyzzzz_xxxxxxx_1[j] + 1.5 * fl1_fx * (tg_yyzzzz_xxxxxxx_0[j] - tg_yyzzzz_xxxxxxx_1[j] * fl1_fza);

                    tg_yyyyzzzz_xxxxxxy_0[j] = pb_y * tg_yyyzzzz_xxxxxxy_0[j] + fr * tg_yyyzzzz_xxxxxxy_1[j] + 1.5 * fl1_fx * (tg_yyzzzz_xxxxxxy_0[j] - tg_yyzzzz_xxxxxxy_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_yyyzzzz_xxxxxx_1[j];

                    tg_yyyyzzzz_xxxxxxz_0[j] = pb_y * tg_yyyzzzz_xxxxxxz_0[j] + fr * tg_yyyzzzz_xxxxxxz_1[j] + 1.5 * fl1_fx * (tg_yyzzzz_xxxxxxz_0[j] - tg_yyzzzz_xxxxxxz_1[j] * fl1_fza);

                    tg_yyyyzzzz_xxxxxyy_0[j] = pb_y * tg_yyyzzzz_xxxxxyy_0[j] + fr * tg_yyyzzzz_xxxxxyy_1[j] + 1.5 * fl1_fx * (tg_yyzzzz_xxxxxyy_0[j] - tg_yyzzzz_xxxxxyy_1[j] * fl1_fza) + fl1_fxn * tg_yyyzzzz_xxxxxy_1[j];

                    tg_yyyyzzzz_xxxxxyz_0[j] = pb_y * tg_yyyzzzz_xxxxxyz_0[j] + fr * tg_yyyzzzz_xxxxxyz_1[j] + 1.5 * fl1_fx * (tg_yyzzzz_xxxxxyz_0[j] - tg_yyzzzz_xxxxxyz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_yyyzzzz_xxxxxz_1[j];

                    tg_yyyyzzzz_xxxxxzz_0[j] = pb_y * tg_yyyzzzz_xxxxxzz_0[j] + fr * tg_yyyzzzz_xxxxxzz_1[j] + 1.5 * fl1_fx * (tg_yyzzzz_xxxxxzz_0[j] - tg_yyzzzz_xxxxxzz_1[j] * fl1_fza);

                    tg_yyyyzzzz_xxxxyyy_0[j] = pb_y * tg_yyyzzzz_xxxxyyy_0[j] + fr * tg_yyyzzzz_xxxxyyy_1[j] + 1.5 * fl1_fx * (tg_yyzzzz_xxxxyyy_0[j] - tg_yyzzzz_xxxxyyy_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_yyyzzzz_xxxxyy_1[j];

                    tg_yyyyzzzz_xxxxyyz_0[j] = pb_y * tg_yyyzzzz_xxxxyyz_0[j] + fr * tg_yyyzzzz_xxxxyyz_1[j] + 1.5 * fl1_fx * (tg_yyzzzz_xxxxyyz_0[j] - tg_yyzzzz_xxxxyyz_1[j] * fl1_fza) + fl1_fxn * tg_yyyzzzz_xxxxyz_1[j];

                    tg_yyyyzzzz_xxxxyzz_0[j] = pb_y * tg_yyyzzzz_xxxxyzz_0[j] + fr * tg_yyyzzzz_xxxxyzz_1[j] + 1.5 * fl1_fx * (tg_yyzzzz_xxxxyzz_0[j] - tg_yyzzzz_xxxxyzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_yyyzzzz_xxxxzz_1[j];

                    tg_yyyyzzzz_xxxxzzz_0[j] = pb_y * tg_yyyzzzz_xxxxzzz_0[j] + fr * tg_yyyzzzz_xxxxzzz_1[j] + 1.5 * fl1_fx * (tg_yyzzzz_xxxxzzz_0[j] - tg_yyzzzz_xxxxzzz_1[j] * fl1_fza);

                    tg_yyyyzzzz_xxxyyyy_0[j] = pb_y * tg_yyyzzzz_xxxyyyy_0[j] + fr * tg_yyyzzzz_xxxyyyy_1[j] + 1.5 * fl1_fx * (tg_yyzzzz_xxxyyyy_0[j] - tg_yyzzzz_xxxyyyy_1[j] * fl1_fza) + 2.0 * fl1_fxn * tg_yyyzzzz_xxxyyy_1[j];

                    tg_yyyyzzzz_xxxyyyz_0[j] = pb_y * tg_yyyzzzz_xxxyyyz_0[j] + fr * tg_yyyzzzz_xxxyyyz_1[j] + 1.5 * fl1_fx * (tg_yyzzzz_xxxyyyz_0[j] - tg_yyzzzz_xxxyyyz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_yyyzzzz_xxxyyz_1[j];

                    tg_yyyyzzzz_xxxyyzz_0[j] = pb_y * tg_yyyzzzz_xxxyyzz_0[j] + fr * tg_yyyzzzz_xxxyyzz_1[j] + 1.5 * fl1_fx * (tg_yyzzzz_xxxyyzz_0[j] - tg_yyzzzz_xxxyyzz_1[j] * fl1_fza) + fl1_fxn * tg_yyyzzzz_xxxyzz_1[j];

                    tg_yyyyzzzz_xxxyzzz_0[j] = pb_y * tg_yyyzzzz_xxxyzzz_0[j] + fr * tg_yyyzzzz_xxxyzzz_1[j] + 1.5 * fl1_fx * (tg_yyzzzz_xxxyzzz_0[j] - tg_yyzzzz_xxxyzzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_yyyzzzz_xxxzzz_1[j];

                    tg_yyyyzzzz_xxxzzzz_0[j] = pb_y * tg_yyyzzzz_xxxzzzz_0[j] + fr * tg_yyyzzzz_xxxzzzz_1[j] + 1.5 * fl1_fx * (tg_yyzzzz_xxxzzzz_0[j] - tg_yyzzzz_xxxzzzz_1[j] * fl1_fza);

                    tg_yyyyzzzz_xxyyyyy_0[j] = pb_y * tg_yyyzzzz_xxyyyyy_0[j] + fr * tg_yyyzzzz_xxyyyyy_1[j] + 1.5 * fl1_fx * (tg_yyzzzz_xxyyyyy_0[j] - tg_yyzzzz_xxyyyyy_1[j] * fl1_fza) + 2.5 * fl1_fxn * tg_yyyzzzz_xxyyyy_1[j];

                    tg_yyyyzzzz_xxyyyyz_0[j] = pb_y * tg_yyyzzzz_xxyyyyz_0[j] + fr * tg_yyyzzzz_xxyyyyz_1[j] + 1.5 * fl1_fx * (tg_yyzzzz_xxyyyyz_0[j] - tg_yyzzzz_xxyyyyz_1[j] * fl1_fza) + 2.0 * fl1_fxn * tg_yyyzzzz_xxyyyz_1[j];

                    tg_yyyyzzzz_xxyyyzz_0[j] = pb_y * tg_yyyzzzz_xxyyyzz_0[j] + fr * tg_yyyzzzz_xxyyyzz_1[j] + 1.5 * fl1_fx * (tg_yyzzzz_xxyyyzz_0[j] - tg_yyzzzz_xxyyyzz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_yyyzzzz_xxyyzz_1[j];

                    tg_yyyyzzzz_xxyyzzz_0[j] = pb_y * tg_yyyzzzz_xxyyzzz_0[j] + fr * tg_yyyzzzz_xxyyzzz_1[j] + 1.5 * fl1_fx * (tg_yyzzzz_xxyyzzz_0[j] - tg_yyzzzz_xxyyzzz_1[j] * fl1_fza) + fl1_fxn * tg_yyyzzzz_xxyzzz_1[j];

                    tg_yyyyzzzz_xxyzzzz_0[j] = pb_y * tg_yyyzzzz_xxyzzzz_0[j] + fr * tg_yyyzzzz_xxyzzzz_1[j] + 1.5 * fl1_fx * (tg_yyzzzz_xxyzzzz_0[j] - tg_yyzzzz_xxyzzzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_yyyzzzz_xxzzzz_1[j];

                    tg_yyyyzzzz_xxzzzzz_0[j] = pb_y * tg_yyyzzzz_xxzzzzz_0[j] + fr * tg_yyyzzzz_xxzzzzz_1[j] + 1.5 * fl1_fx * (tg_yyzzzz_xxzzzzz_0[j] - tg_yyzzzz_xxzzzzz_1[j] * fl1_fza);

                    tg_yyyyzzzz_xyyyyyy_0[j] = pb_y * tg_yyyzzzz_xyyyyyy_0[j] + fr * tg_yyyzzzz_xyyyyyy_1[j] + 1.5 * fl1_fx * (tg_yyzzzz_xyyyyyy_0[j] - tg_yyzzzz_xyyyyyy_1[j] * fl1_fza) + 3.0 * fl1_fxn * tg_yyyzzzz_xyyyyy_1[j];

                    tg_yyyyzzzz_xyyyyyz_0[j] = pb_y * tg_yyyzzzz_xyyyyyz_0[j] + fr * tg_yyyzzzz_xyyyyyz_1[j] + 1.5 * fl1_fx * (tg_yyzzzz_xyyyyyz_0[j] - tg_yyzzzz_xyyyyyz_1[j] * fl1_fza) + 2.5 * fl1_fxn * tg_yyyzzzz_xyyyyz_1[j];

                    tg_yyyyzzzz_xyyyyzz_0[j] = pb_y * tg_yyyzzzz_xyyyyzz_0[j] + fr * tg_yyyzzzz_xyyyyzz_1[j] + 1.5 * fl1_fx * (tg_yyzzzz_xyyyyzz_0[j] - tg_yyzzzz_xyyyyzz_1[j] * fl1_fza) + 2.0 * fl1_fxn * tg_yyyzzzz_xyyyzz_1[j];

                    tg_yyyyzzzz_xyyyzzz_0[j] = pb_y * tg_yyyzzzz_xyyyzzz_0[j] + fr * tg_yyyzzzz_xyyyzzz_1[j] + 1.5 * fl1_fx * (tg_yyzzzz_xyyyzzz_0[j] - tg_yyzzzz_xyyyzzz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_yyyzzzz_xyyzzz_1[j];

                    tg_yyyyzzzz_xyyzzzz_0[j] = pb_y * tg_yyyzzzz_xyyzzzz_0[j] + fr * tg_yyyzzzz_xyyzzzz_1[j] + 1.5 * fl1_fx * (tg_yyzzzz_xyyzzzz_0[j] - tg_yyzzzz_xyyzzzz_1[j] * fl1_fza) + fl1_fxn * tg_yyyzzzz_xyzzzz_1[j];

                    tg_yyyyzzzz_xyzzzzz_0[j] = pb_y * tg_yyyzzzz_xyzzzzz_0[j] + fr * tg_yyyzzzz_xyzzzzz_1[j] + 1.5 * fl1_fx * (tg_yyzzzz_xyzzzzz_0[j] - tg_yyzzzz_xyzzzzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_yyyzzzz_xzzzzz_1[j];

                    tg_yyyyzzzz_xzzzzzz_0[j] = pb_y * tg_yyyzzzz_xzzzzzz_0[j] + fr * tg_yyyzzzz_xzzzzzz_1[j] + 1.5 * fl1_fx * (tg_yyzzzz_xzzzzzz_0[j] - tg_yyzzzz_xzzzzzz_1[j] * fl1_fza);

                    tg_yyyyzzzz_yyyyyyy_0[j] = pb_y * tg_yyyzzzz_yyyyyyy_0[j] + fr * tg_yyyzzzz_yyyyyyy_1[j] + 1.5 * fl1_fx * (tg_yyzzzz_yyyyyyy_0[j] - tg_yyzzzz_yyyyyyy_1[j] * fl1_fza) + 3.5 * fl1_fxn * tg_yyyzzzz_yyyyyy_1[j];

                    tg_yyyyzzzz_yyyyyyz_0[j] = pb_y * tg_yyyzzzz_yyyyyyz_0[j] + fr * tg_yyyzzzz_yyyyyyz_1[j] + 1.5 * fl1_fx * (tg_yyzzzz_yyyyyyz_0[j] - tg_yyzzzz_yyyyyyz_1[j] * fl1_fza) + 3.0 * fl1_fxn * tg_yyyzzzz_yyyyyz_1[j];

                    tg_yyyyzzzz_yyyyyzz_0[j] = pb_y * tg_yyyzzzz_yyyyyzz_0[j] + fr * tg_yyyzzzz_yyyyyzz_1[j] + 1.5 * fl1_fx * (tg_yyzzzz_yyyyyzz_0[j] - tg_yyzzzz_yyyyyzz_1[j] * fl1_fza) + 2.5 * fl1_fxn * tg_yyyzzzz_yyyyzz_1[j];

                    tg_yyyyzzzz_yyyyzzz_0[j] = pb_y * tg_yyyzzzz_yyyyzzz_0[j] + fr * tg_yyyzzzz_yyyyzzz_1[j] + 1.5 * fl1_fx * (tg_yyzzzz_yyyyzzz_0[j] - tg_yyzzzz_yyyyzzz_1[j] * fl1_fza) + 2.0 * fl1_fxn * tg_yyyzzzz_yyyzzz_1[j];

                    tg_yyyyzzzz_yyyzzzz_0[j] = pb_y * tg_yyyzzzz_yyyzzzz_0[j] + fr * tg_yyyzzzz_yyyzzzz_1[j] + 1.5 * fl1_fx * (tg_yyzzzz_yyyzzzz_0[j] - tg_yyzzzz_yyyzzzz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_yyyzzzz_yyzzzz_1[j];

                    tg_yyyyzzzz_yyzzzzz_0[j] = pb_y * tg_yyyzzzz_yyzzzzz_0[j] + fr * tg_yyyzzzz_yyzzzzz_1[j] + 1.5 * fl1_fx * (tg_yyzzzz_yyzzzzz_0[j] - tg_yyzzzz_yyzzzzz_1[j] * fl1_fza) + fl1_fxn * tg_yyyzzzz_yzzzzz_1[j];

                    tg_yyyyzzzz_yzzzzzz_0[j] = pb_y * tg_yyyzzzz_yzzzzzz_0[j] + fr * tg_yyyzzzz_yzzzzzz_1[j] + 1.5 * fl1_fx * (tg_yyzzzz_yzzzzzz_0[j] - tg_yyzzzz_yzzzzzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_yyyzzzz_zzzzzz_1[j];

                    tg_yyyyzzzz_zzzzzzz_0[j] = pb_y * tg_yyyzzzz_zzzzzzz_0[j] + fr * tg_yyyzzzz_zzzzzzz_1[j] + 1.5 * fl1_fx * (tg_yyzzzz_zzzzzzz_0[j] - tg_yyzzzz_zzzzzzz_1[j] * fl1_fza);

                    tg_yyyzzzzz_xxxxxxx_0[j] = pb_y * tg_yyzzzzz_xxxxxxx_0[j] + fr * tg_yyzzzzz_xxxxxxx_1[j] + fl1_fx * (tg_yzzzzz_xxxxxxx_0[j] - tg_yzzzzz_xxxxxxx_1[j] * fl1_fza);

                    tg_yyyzzzzz_xxxxxxy_0[j] = pb_y * tg_yyzzzzz_xxxxxxy_0[j] + fr * tg_yyzzzzz_xxxxxxy_1[j] + fl1_fx * (tg_yzzzzz_xxxxxxy_0[j] - tg_yzzzzz_xxxxxxy_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_yyzzzzz_xxxxxx_1[j];

                    tg_yyyzzzzz_xxxxxxz_0[j] = pb_y * tg_yyzzzzz_xxxxxxz_0[j] + fr * tg_yyzzzzz_xxxxxxz_1[j] + fl1_fx * (tg_yzzzzz_xxxxxxz_0[j] - tg_yzzzzz_xxxxxxz_1[j] * fl1_fza);

                    tg_yyyzzzzz_xxxxxyy_0[j] = pb_y * tg_yyzzzzz_xxxxxyy_0[j] + fr * tg_yyzzzzz_xxxxxyy_1[j] + fl1_fx * (tg_yzzzzz_xxxxxyy_0[j] - tg_yzzzzz_xxxxxyy_1[j] * fl1_fza) + fl1_fxn * tg_yyzzzzz_xxxxxy_1[j];

                    tg_yyyzzzzz_xxxxxyz_0[j] = pb_y * tg_yyzzzzz_xxxxxyz_0[j] + fr * tg_yyzzzzz_xxxxxyz_1[j] + fl1_fx * (tg_yzzzzz_xxxxxyz_0[j] - tg_yzzzzz_xxxxxyz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_yyzzzzz_xxxxxz_1[j];

                    tg_yyyzzzzz_xxxxxzz_0[j] = pb_y * tg_yyzzzzz_xxxxxzz_0[j] + fr * tg_yyzzzzz_xxxxxzz_1[j] + fl1_fx * (tg_yzzzzz_xxxxxzz_0[j] - tg_yzzzzz_xxxxxzz_1[j] * fl1_fza);

                    tg_yyyzzzzz_xxxxyyy_0[j] = pb_y * tg_yyzzzzz_xxxxyyy_0[j] + fr * tg_yyzzzzz_xxxxyyy_1[j] + fl1_fx * (tg_yzzzzz_xxxxyyy_0[j] - tg_yzzzzz_xxxxyyy_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_yyzzzzz_xxxxyy_1[j];

                    tg_yyyzzzzz_xxxxyyz_0[j] = pb_y * tg_yyzzzzz_xxxxyyz_0[j] + fr * tg_yyzzzzz_xxxxyyz_1[j] + fl1_fx * (tg_yzzzzz_xxxxyyz_0[j] - tg_yzzzzz_xxxxyyz_1[j] * fl1_fza) + fl1_fxn * tg_yyzzzzz_xxxxyz_1[j];

                    tg_yyyzzzzz_xxxxyzz_0[j] = pb_y * tg_yyzzzzz_xxxxyzz_0[j] + fr * tg_yyzzzzz_xxxxyzz_1[j] + fl1_fx * (tg_yzzzzz_xxxxyzz_0[j] - tg_yzzzzz_xxxxyzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_yyzzzzz_xxxxzz_1[j];

                    tg_yyyzzzzz_xxxxzzz_0[j] = pb_y * tg_yyzzzzz_xxxxzzz_0[j] + fr * tg_yyzzzzz_xxxxzzz_1[j] + fl1_fx * (tg_yzzzzz_xxxxzzz_0[j] - tg_yzzzzz_xxxxzzz_1[j] * fl1_fza);

                    tg_yyyzzzzz_xxxyyyy_0[j] = pb_y * tg_yyzzzzz_xxxyyyy_0[j] + fr * tg_yyzzzzz_xxxyyyy_1[j] + fl1_fx * (tg_yzzzzz_xxxyyyy_0[j] - tg_yzzzzz_xxxyyyy_1[j] * fl1_fza) + 2.0 * fl1_fxn * tg_yyzzzzz_xxxyyy_1[j];

                    tg_yyyzzzzz_xxxyyyz_0[j] = pb_y * tg_yyzzzzz_xxxyyyz_0[j] + fr * tg_yyzzzzz_xxxyyyz_1[j] + fl1_fx * (tg_yzzzzz_xxxyyyz_0[j] - tg_yzzzzz_xxxyyyz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_yyzzzzz_xxxyyz_1[j];

                    tg_yyyzzzzz_xxxyyzz_0[j] = pb_y * tg_yyzzzzz_xxxyyzz_0[j] + fr * tg_yyzzzzz_xxxyyzz_1[j] + fl1_fx * (tg_yzzzzz_xxxyyzz_0[j] - tg_yzzzzz_xxxyyzz_1[j] * fl1_fza) + fl1_fxn * tg_yyzzzzz_xxxyzz_1[j];

                    tg_yyyzzzzz_xxxyzzz_0[j] = pb_y * tg_yyzzzzz_xxxyzzz_0[j] + fr * tg_yyzzzzz_xxxyzzz_1[j] + fl1_fx * (tg_yzzzzz_xxxyzzz_0[j] - tg_yzzzzz_xxxyzzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_yyzzzzz_xxxzzz_1[j];

                    tg_yyyzzzzz_xxxzzzz_0[j] = pb_y * tg_yyzzzzz_xxxzzzz_0[j] + fr * tg_yyzzzzz_xxxzzzz_1[j] + fl1_fx * (tg_yzzzzz_xxxzzzz_0[j] - tg_yzzzzz_xxxzzzz_1[j] * fl1_fza);

                    tg_yyyzzzzz_xxyyyyy_0[j] = pb_y * tg_yyzzzzz_xxyyyyy_0[j] + fr * tg_yyzzzzz_xxyyyyy_1[j] + fl1_fx * (tg_yzzzzz_xxyyyyy_0[j] - tg_yzzzzz_xxyyyyy_1[j] * fl1_fza) + 2.5 * fl1_fxn * tg_yyzzzzz_xxyyyy_1[j];

                    tg_yyyzzzzz_xxyyyyz_0[j] = pb_y * tg_yyzzzzz_xxyyyyz_0[j] + fr * tg_yyzzzzz_xxyyyyz_1[j] + fl1_fx * (tg_yzzzzz_xxyyyyz_0[j] - tg_yzzzzz_xxyyyyz_1[j] * fl1_fza) + 2.0 * fl1_fxn * tg_yyzzzzz_xxyyyz_1[j];

                    tg_yyyzzzzz_xxyyyzz_0[j] = pb_y * tg_yyzzzzz_xxyyyzz_0[j] + fr * tg_yyzzzzz_xxyyyzz_1[j] + fl1_fx * (tg_yzzzzz_xxyyyzz_0[j] - tg_yzzzzz_xxyyyzz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_yyzzzzz_xxyyzz_1[j];

                    tg_yyyzzzzz_xxyyzzz_0[j] = pb_y * tg_yyzzzzz_xxyyzzz_0[j] + fr * tg_yyzzzzz_xxyyzzz_1[j] + fl1_fx * (tg_yzzzzz_xxyyzzz_0[j] - tg_yzzzzz_xxyyzzz_1[j] * fl1_fza) + fl1_fxn * tg_yyzzzzz_xxyzzz_1[j];

                    tg_yyyzzzzz_xxyzzzz_0[j] = pb_y * tg_yyzzzzz_xxyzzzz_0[j] + fr * tg_yyzzzzz_xxyzzzz_1[j] + fl1_fx * (tg_yzzzzz_xxyzzzz_0[j] - tg_yzzzzz_xxyzzzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_yyzzzzz_xxzzzz_1[j];

                    tg_yyyzzzzz_xxzzzzz_0[j] = pb_y * tg_yyzzzzz_xxzzzzz_0[j] + fr * tg_yyzzzzz_xxzzzzz_1[j] + fl1_fx * (tg_yzzzzz_xxzzzzz_0[j] - tg_yzzzzz_xxzzzzz_1[j] * fl1_fza);

                    tg_yyyzzzzz_xyyyyyy_0[j] = pb_y * tg_yyzzzzz_xyyyyyy_0[j] + fr * tg_yyzzzzz_xyyyyyy_1[j] + fl1_fx * (tg_yzzzzz_xyyyyyy_0[j] - tg_yzzzzz_xyyyyyy_1[j] * fl1_fza) + 3.0 * fl1_fxn * tg_yyzzzzz_xyyyyy_1[j];

                    tg_yyyzzzzz_xyyyyyz_0[j] = pb_y * tg_yyzzzzz_xyyyyyz_0[j] + fr * tg_yyzzzzz_xyyyyyz_1[j] + fl1_fx * (tg_yzzzzz_xyyyyyz_0[j] - tg_yzzzzz_xyyyyyz_1[j] * fl1_fza) + 2.5 * fl1_fxn * tg_yyzzzzz_xyyyyz_1[j];

                    tg_yyyzzzzz_xyyyyzz_0[j] = pb_y * tg_yyzzzzz_xyyyyzz_0[j] + fr * tg_yyzzzzz_xyyyyzz_1[j] + fl1_fx * (tg_yzzzzz_xyyyyzz_0[j] - tg_yzzzzz_xyyyyzz_1[j] * fl1_fza) + 2.0 * fl1_fxn * tg_yyzzzzz_xyyyzz_1[j];

                    tg_yyyzzzzz_xyyyzzz_0[j] = pb_y * tg_yyzzzzz_xyyyzzz_0[j] + fr * tg_yyzzzzz_xyyyzzz_1[j] + fl1_fx * (tg_yzzzzz_xyyyzzz_0[j] - tg_yzzzzz_xyyyzzz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_yyzzzzz_xyyzzz_1[j];

                    tg_yyyzzzzz_xyyzzzz_0[j] = pb_y * tg_yyzzzzz_xyyzzzz_0[j] + fr * tg_yyzzzzz_xyyzzzz_1[j] + fl1_fx * (tg_yzzzzz_xyyzzzz_0[j] - tg_yzzzzz_xyyzzzz_1[j] * fl1_fza) + fl1_fxn * tg_yyzzzzz_xyzzzz_1[j];

                    tg_yyyzzzzz_xyzzzzz_0[j] = pb_y * tg_yyzzzzz_xyzzzzz_0[j] + fr * tg_yyzzzzz_xyzzzzz_1[j] + fl1_fx * (tg_yzzzzz_xyzzzzz_0[j] - tg_yzzzzz_xyzzzzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_yyzzzzz_xzzzzz_1[j];

                    tg_yyyzzzzz_xzzzzzz_0[j] = pb_y * tg_yyzzzzz_xzzzzzz_0[j] + fr * tg_yyzzzzz_xzzzzzz_1[j] + fl1_fx * (tg_yzzzzz_xzzzzzz_0[j] - tg_yzzzzz_xzzzzzz_1[j] * fl1_fza);

                    tg_yyyzzzzz_yyyyyyy_0[j] = pb_y * tg_yyzzzzz_yyyyyyy_0[j] + fr * tg_yyzzzzz_yyyyyyy_1[j] + fl1_fx * (tg_yzzzzz_yyyyyyy_0[j] - tg_yzzzzz_yyyyyyy_1[j] * fl1_fza) + 3.5 * fl1_fxn * tg_yyzzzzz_yyyyyy_1[j];

                    tg_yyyzzzzz_yyyyyyz_0[j] = pb_y * tg_yyzzzzz_yyyyyyz_0[j] + fr * tg_yyzzzzz_yyyyyyz_1[j] + fl1_fx * (tg_yzzzzz_yyyyyyz_0[j] - tg_yzzzzz_yyyyyyz_1[j] * fl1_fza) + 3.0 * fl1_fxn * tg_yyzzzzz_yyyyyz_1[j];

                    tg_yyyzzzzz_yyyyyzz_0[j] = pb_y * tg_yyzzzzz_yyyyyzz_0[j] + fr * tg_yyzzzzz_yyyyyzz_1[j] + fl1_fx * (tg_yzzzzz_yyyyyzz_0[j] - tg_yzzzzz_yyyyyzz_1[j] * fl1_fza) + 2.5 * fl1_fxn * tg_yyzzzzz_yyyyzz_1[j];

                    tg_yyyzzzzz_yyyyzzz_0[j] = pb_y * tg_yyzzzzz_yyyyzzz_0[j] + fr * tg_yyzzzzz_yyyyzzz_1[j] + fl1_fx * (tg_yzzzzz_yyyyzzz_0[j] - tg_yzzzzz_yyyyzzz_1[j] * fl1_fza) + 2.0 * fl1_fxn * tg_yyzzzzz_yyyzzz_1[j];

                    tg_yyyzzzzz_yyyzzzz_0[j] = pb_y * tg_yyzzzzz_yyyzzzz_0[j] + fr * tg_yyzzzzz_yyyzzzz_1[j] + fl1_fx * (tg_yzzzzz_yyyzzzz_0[j] - tg_yzzzzz_yyyzzzz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_yyzzzzz_yyzzzz_1[j];

                    tg_yyyzzzzz_yyzzzzz_0[j] = pb_y * tg_yyzzzzz_yyzzzzz_0[j] + fr * tg_yyzzzzz_yyzzzzz_1[j] + fl1_fx * (tg_yzzzzz_yyzzzzz_0[j] - tg_yzzzzz_yyzzzzz_1[j] * fl1_fza) + fl1_fxn * tg_yyzzzzz_yzzzzz_1[j];

                    tg_yyyzzzzz_yzzzzzz_0[j] = pb_y * tg_yyzzzzz_yzzzzzz_0[j] + fr * tg_yyzzzzz_yzzzzzz_1[j] + fl1_fx * (tg_yzzzzz_yzzzzzz_0[j] - tg_yzzzzz_yzzzzzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_yyzzzzz_zzzzzz_1[j];

                    tg_yyyzzzzz_zzzzzzz_0[j] = pb_y * tg_yyzzzzz_zzzzzzz_0[j] + fr * tg_yyzzzzz_zzzzzzz_1[j] + fl1_fx * (tg_yzzzzz_zzzzzzz_0[j] - tg_yzzzzz_zzzzzzz_1[j] * fl1_fza);

                    tg_yyzzzzzz_xxxxxxx_0[j] = pb_y * tg_yzzzzzz_xxxxxxx_0[j] + fr * tg_yzzzzzz_xxxxxxx_1[j] + 0.5 * fl1_fx * (tg_zzzzzz_xxxxxxx_0[j] - tg_zzzzzz_xxxxxxx_1[j] * fl1_fza);

                    tg_yyzzzzzz_xxxxxxy_0[j] = pb_y * tg_yzzzzzz_xxxxxxy_0[j] + fr * tg_yzzzzzz_xxxxxxy_1[j] + 0.5 * fl1_fx * (tg_zzzzzz_xxxxxxy_0[j] - tg_zzzzzz_xxxxxxy_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_yzzzzzz_xxxxxx_1[j];

                    tg_yyzzzzzz_xxxxxxz_0[j] = pb_y * tg_yzzzzzz_xxxxxxz_0[j] + fr * tg_yzzzzzz_xxxxxxz_1[j] + 0.5 * fl1_fx * (tg_zzzzzz_xxxxxxz_0[j] - tg_zzzzzz_xxxxxxz_1[j] * fl1_fza);

                    tg_yyzzzzzz_xxxxxyy_0[j] = pb_y * tg_yzzzzzz_xxxxxyy_0[j] + fr * tg_yzzzzzz_xxxxxyy_1[j] + 0.5 * fl1_fx * (tg_zzzzzz_xxxxxyy_0[j] - tg_zzzzzz_xxxxxyy_1[j] * fl1_fza) + fl1_fxn * tg_yzzzzzz_xxxxxy_1[j];

                    tg_yyzzzzzz_xxxxxyz_0[j] = pb_y * tg_yzzzzzz_xxxxxyz_0[j] + fr * tg_yzzzzzz_xxxxxyz_1[j] + 0.5 * fl1_fx * (tg_zzzzzz_xxxxxyz_0[j] - tg_zzzzzz_xxxxxyz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_yzzzzzz_xxxxxz_1[j];

                    tg_yyzzzzzz_xxxxxzz_0[j] = pb_y * tg_yzzzzzz_xxxxxzz_0[j] + fr * tg_yzzzzzz_xxxxxzz_1[j] + 0.5 * fl1_fx * (tg_zzzzzz_xxxxxzz_0[j] - tg_zzzzzz_xxxxxzz_1[j] * fl1_fza);

                    tg_yyzzzzzz_xxxxyyy_0[j] = pb_y * tg_yzzzzzz_xxxxyyy_0[j] + fr * tg_yzzzzzz_xxxxyyy_1[j] + 0.5 * fl1_fx * (tg_zzzzzz_xxxxyyy_0[j] - tg_zzzzzz_xxxxyyy_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_yzzzzzz_xxxxyy_1[j];

                    tg_yyzzzzzz_xxxxyyz_0[j] = pb_y * tg_yzzzzzz_xxxxyyz_0[j] + fr * tg_yzzzzzz_xxxxyyz_1[j] + 0.5 * fl1_fx * (tg_zzzzzz_xxxxyyz_0[j] - tg_zzzzzz_xxxxyyz_1[j] * fl1_fza) + fl1_fxn * tg_yzzzzzz_xxxxyz_1[j];

                    tg_yyzzzzzz_xxxxyzz_0[j] = pb_y * tg_yzzzzzz_xxxxyzz_0[j] + fr * tg_yzzzzzz_xxxxyzz_1[j] + 0.5 * fl1_fx * (tg_zzzzzz_xxxxyzz_0[j] - tg_zzzzzz_xxxxyzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_yzzzzzz_xxxxzz_1[j];

                    tg_yyzzzzzz_xxxxzzz_0[j] = pb_y * tg_yzzzzzz_xxxxzzz_0[j] + fr * tg_yzzzzzz_xxxxzzz_1[j] + 0.5 * fl1_fx * (tg_zzzzzz_xxxxzzz_0[j] - tg_zzzzzz_xxxxzzz_1[j] * fl1_fza);

                    tg_yyzzzzzz_xxxyyyy_0[j] = pb_y * tg_yzzzzzz_xxxyyyy_0[j] + fr * tg_yzzzzzz_xxxyyyy_1[j] + 0.5 * fl1_fx * (tg_zzzzzz_xxxyyyy_0[j] - tg_zzzzzz_xxxyyyy_1[j] * fl1_fza) + 2.0 * fl1_fxn * tg_yzzzzzz_xxxyyy_1[j];

                    tg_yyzzzzzz_xxxyyyz_0[j] = pb_y * tg_yzzzzzz_xxxyyyz_0[j] + fr * tg_yzzzzzz_xxxyyyz_1[j] + 0.5 * fl1_fx * (tg_zzzzzz_xxxyyyz_0[j] - tg_zzzzzz_xxxyyyz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_yzzzzzz_xxxyyz_1[j];

                    tg_yyzzzzzz_xxxyyzz_0[j] = pb_y * tg_yzzzzzz_xxxyyzz_0[j] + fr * tg_yzzzzzz_xxxyyzz_1[j] + 0.5 * fl1_fx * (tg_zzzzzz_xxxyyzz_0[j] - tg_zzzzzz_xxxyyzz_1[j] * fl1_fza) + fl1_fxn * tg_yzzzzzz_xxxyzz_1[j];
                }

                idx++;
            }
        }
    }

    void
    compElectronRepulsionForSLSK_1525_1620(      CMemBlock2D<double>* primBuffer,
                                           const CRecursionMap&       recursionMap,
                                           const CMemBlock2D<double>& osFactors,
                                           const CMemBlock2D<double>& wpDistances,
                                           const CGtoPairsBlock&      braGtoPairsBlock,
                                           const CGtoPairsBlock&      ketGtoPairsBlock,
                                           const int32_t              nKetPrimPairs,
                                           const int32_t              iContrPair)
    {
        // Batch of Integrals (1525,1620)

        // set up pointers to primitives data on bra side

        auto spos = braGtoPairsBlock.getStartPositions();

        auto epos = braGtoPairsBlock.getEndPositions();

        // set up pointers to tensor of distance R(PB) = P - B

        auto r_pb_y = braGtoPairsBlock.getDistancesPBY();

        auto r_pb_z = braGtoPairsBlock.getDistancesPBZ();

        // set up pointers to common Obara-Saika factors

        auto b_fx = braGtoPairsBlock.getFactorsOneOverXi();

        // set up maximum order of integral

        auto mord = recursionMap.getMaxOrder({"Electron Repulsion"},
                                             {8, -1, -1, -1},
                                             {7, -1, -1, -1},
                                             1, 1);

        for (int32_t iord = 0; iord <= mord; iord++)
        {
            // set up index of integral

            auto pidx_g_8_7_m0 = recursionMap.index(CRecursionTerm({"Electron Repulsion"}, 0, true, 
                                                                   {8, -1, -1, -1}, {7, -1, -1, -1}, 
                                                                   1, 1, iord));

            // check if integral is needed in recursion expansion

            if (pidx_g_8_7_m0 == -1) continue;

            // set up indexes of auxilary integral

            auto pidx_g_7_7_m0 = recursionMap.index(CRecursionTerm({"Electron Repulsion"}, 0, true, 
                                                                   {7, -1, -1, -1}, {7, -1, -1, -1}, 
                                                                   1, 1, iord));

            auto pidx_g_7_7_m1 = recursionMap.index(CRecursionTerm({"Electron Repulsion"}, 0, true, 
                                                                   {7, -1, -1, -1}, {7, -1, -1, -1}, 
                                                                   1, 1, iord + 1));

            auto pidx_g_6_7_m0 = recursionMap.index(CRecursionTerm({"Electron Repulsion"}, 0, true, 
                                                                   {6, -1, -1, -1}, {7, -1, -1, -1}, 
                                                                   1, 1, iord));

            auto pidx_g_6_7_m1 = recursionMap.index(CRecursionTerm({"Electron Repulsion"}, 0, true, 
                                                                   {6, -1, -1, -1}, {7, -1, -1, -1}, 
                                                                   1, 1, iord + 1));

            auto pidx_g_7_6_m1 = recursionMap.index(CRecursionTerm({"Electron Repulsion"}, 0, true, 
                                                                   {7, -1, -1, -1}, {6, -1, -1, -1}, 
                                                                   1, 1, iord + 1));

            // loop over contracted GTO on bra side

            int32_t idx = 0;

            for (int32_t i = spos[iContrPair]; i < epos[iContrPair]; i++)
            {
                // set up pointers to Obara-Saika factors

                double fx = b_fx[i];

                auto fza = osFactors.data(4 * idx + 2);

                auto fxn = osFactors.data(4 * idx);

                // set up distances R(PB) = P - B

                auto pb_y = r_pb_y[i];

                auto pb_z = r_pb_z[i];

                // set up pointers to tensors product of distances R(WP) = W - P

                auto wp_y = wpDistances.data(3 * idx + 1);

                auto wp_z = wpDistances.data(3 * idx + 2);

                // set up pointers to auxilary integrals

                auto tg_yzzzzzz_xxxyzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1237); 

                auto tg_yzzzzzz_xxxzzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1238); 

                auto tg_yzzzzzz_xxyyyyy_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1239); 

                auto tg_yzzzzzz_xxyyyyz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1240); 

                auto tg_yzzzzzz_xxyyyzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1241); 

                auto tg_yzzzzzz_xxyyzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1242); 

                auto tg_yzzzzzz_xxyzzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1243); 

                auto tg_yzzzzzz_xxzzzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1244); 

                auto tg_yzzzzzz_xyyyyyy_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1245); 

                auto tg_yzzzzzz_xyyyyyz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1246); 

                auto tg_yzzzzzz_xyyyyzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1247); 

                auto tg_yzzzzzz_xyyyzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1248); 

                auto tg_yzzzzzz_xyyzzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1249); 

                auto tg_yzzzzzz_xyzzzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1250); 

                auto tg_yzzzzzz_xzzzzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1251); 

                auto tg_yzzzzzz_yyyyyyy_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1252); 

                auto tg_yzzzzzz_yyyyyyz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1253); 

                auto tg_yzzzzzz_yyyyyzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1254); 

                auto tg_yzzzzzz_yyyyzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1255); 

                auto tg_yzzzzzz_yyyzzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1256); 

                auto tg_yzzzzzz_yyzzzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1257); 

                auto tg_yzzzzzz_yzzzzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1258); 

                auto tg_yzzzzzz_zzzzzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1259); 

                auto tg_zzzzzzz_xxxxxxx_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1260); 

                auto tg_zzzzzzz_xxxxxxy_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1261); 

                auto tg_zzzzzzz_xxxxxxz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1262); 

                auto tg_zzzzzzz_xxxxxyy_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1263); 

                auto tg_zzzzzzz_xxxxxyz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1264); 

                auto tg_zzzzzzz_xxxxxzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1265); 

                auto tg_zzzzzzz_xxxxyyy_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1266); 

                auto tg_zzzzzzz_xxxxyyz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1267); 

                auto tg_zzzzzzz_xxxxyzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1268); 

                auto tg_zzzzzzz_xxxxzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1269); 

                auto tg_zzzzzzz_xxxyyyy_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1270); 

                auto tg_zzzzzzz_xxxyyyz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1271); 

                auto tg_zzzzzzz_xxxyyzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1272); 

                auto tg_zzzzzzz_xxxyzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1273); 

                auto tg_zzzzzzz_xxxzzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1274); 

                auto tg_zzzzzzz_xxyyyyy_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1275); 

                auto tg_zzzzzzz_xxyyyyz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1276); 

                auto tg_zzzzzzz_xxyyyzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1277); 

                auto tg_zzzzzzz_xxyyzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1278); 

                auto tg_zzzzzzz_xxyzzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1279); 

                auto tg_zzzzzzz_xxzzzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1280); 

                auto tg_zzzzzzz_xyyyyyy_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1281); 

                auto tg_zzzzzzz_xyyyyyz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1282); 

                auto tg_zzzzzzz_xyyyyzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1283); 

                auto tg_zzzzzzz_xyyyzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1284); 

                auto tg_zzzzzzz_xyyzzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1285); 

                auto tg_zzzzzzz_xyzzzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1286); 

                auto tg_zzzzzzz_xzzzzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1287); 

                auto tg_zzzzzzz_yyyyyyy_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1288); 

                auto tg_zzzzzzz_yyyyyyz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1289); 

                auto tg_zzzzzzz_yyyyyzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1290); 

                auto tg_zzzzzzz_yyyyzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1291); 

                auto tg_zzzzzzz_yyyzzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1292); 

                auto tg_zzzzzzz_yyzzzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1293); 

                auto tg_zzzzzzz_yzzzzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1294); 

                auto tg_zzzzzzz_zzzzzzz_0 = primBuffer[pidx_g_7_7_m0].data(1296 * idx + 1295); 

                auto tg_yzzzzzz_xxxyzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1237); 

                auto tg_yzzzzzz_xxxzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1238); 

                auto tg_yzzzzzz_xxyyyyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1239); 

                auto tg_yzzzzzz_xxyyyyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1240); 

                auto tg_yzzzzzz_xxyyyzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1241); 

                auto tg_yzzzzzz_xxyyzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1242); 

                auto tg_yzzzzzz_xxyzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1243); 

                auto tg_yzzzzzz_xxzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1244); 

                auto tg_yzzzzzz_xyyyyyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1245); 

                auto tg_yzzzzzz_xyyyyyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1246); 

                auto tg_yzzzzzz_xyyyyzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1247); 

                auto tg_yzzzzzz_xyyyzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1248); 

                auto tg_yzzzzzz_xyyzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1249); 

                auto tg_yzzzzzz_xyzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1250); 

                auto tg_yzzzzzz_xzzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1251); 

                auto tg_yzzzzzz_yyyyyyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1252); 

                auto tg_yzzzzzz_yyyyyyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1253); 

                auto tg_yzzzzzz_yyyyyzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1254); 

                auto tg_yzzzzzz_yyyyzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1255); 

                auto tg_yzzzzzz_yyyzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1256); 

                auto tg_yzzzzzz_yyzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1257); 

                auto tg_yzzzzzz_yzzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1258); 

                auto tg_yzzzzzz_zzzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1259); 

                auto tg_zzzzzzz_xxxxxxx_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1260); 

                auto tg_zzzzzzz_xxxxxxy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1261); 

                auto tg_zzzzzzz_xxxxxxz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1262); 

                auto tg_zzzzzzz_xxxxxyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1263); 

                auto tg_zzzzzzz_xxxxxyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1264); 

                auto tg_zzzzzzz_xxxxxzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1265); 

                auto tg_zzzzzzz_xxxxyyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1266); 

                auto tg_zzzzzzz_xxxxyyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1267); 

                auto tg_zzzzzzz_xxxxyzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1268); 

                auto tg_zzzzzzz_xxxxzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1269); 

                auto tg_zzzzzzz_xxxyyyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1270); 

                auto tg_zzzzzzz_xxxyyyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1271); 

                auto tg_zzzzzzz_xxxyyzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1272); 

                auto tg_zzzzzzz_xxxyzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1273); 

                auto tg_zzzzzzz_xxxzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1274); 

                auto tg_zzzzzzz_xxyyyyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1275); 

                auto tg_zzzzzzz_xxyyyyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1276); 

                auto tg_zzzzzzz_xxyyyzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1277); 

                auto tg_zzzzzzz_xxyyzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1278); 

                auto tg_zzzzzzz_xxyzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1279); 

                auto tg_zzzzzzz_xxzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1280); 

                auto tg_zzzzzzz_xyyyyyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1281); 

                auto tg_zzzzzzz_xyyyyyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1282); 

                auto tg_zzzzzzz_xyyyyzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1283); 

                auto tg_zzzzzzz_xyyyzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1284); 

                auto tg_zzzzzzz_xyyzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1285); 

                auto tg_zzzzzzz_xyzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1286); 

                auto tg_zzzzzzz_xzzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1287); 

                auto tg_zzzzzzz_yyyyyyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1288); 

                auto tg_zzzzzzz_yyyyyyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1289); 

                auto tg_zzzzzzz_yyyyyzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1290); 

                auto tg_zzzzzzz_yyyyzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1291); 

                auto tg_zzzzzzz_yyyzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1292); 

                auto tg_zzzzzzz_yyzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1293); 

                auto tg_zzzzzzz_yzzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1294); 

                auto tg_zzzzzzz_zzzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1295); 

                auto tg_zzzzzz_xxxxxxx_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 972); 

                auto tg_zzzzzz_xxxxxxy_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 973); 

                auto tg_zzzzzz_xxxxxxz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 974); 

                auto tg_zzzzzz_xxxxxyy_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 975); 

                auto tg_zzzzzz_xxxxxyz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 976); 

                auto tg_zzzzzz_xxxxxzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 977); 

                auto tg_zzzzzz_xxxxyyy_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 978); 

                auto tg_zzzzzz_xxxxyyz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 979); 

                auto tg_zzzzzz_xxxxyzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 980); 

                auto tg_zzzzzz_xxxxzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 981); 

                auto tg_zzzzzz_xxxyyyy_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 982); 

                auto tg_zzzzzz_xxxyyyz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 983); 

                auto tg_zzzzzz_xxxyyzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 984); 

                auto tg_zzzzzz_xxxyzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 985); 

                auto tg_zzzzzz_xxxzzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 986); 

                auto tg_zzzzzz_xxyyyyy_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 987); 

                auto tg_zzzzzz_xxyyyyz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 988); 

                auto tg_zzzzzz_xxyyyzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 989); 

                auto tg_zzzzzz_xxyyzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 990); 

                auto tg_zzzzzz_xxyzzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 991); 

                auto tg_zzzzzz_xxzzzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 992); 

                auto tg_zzzzzz_xyyyyyy_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 993); 

                auto tg_zzzzzz_xyyyyyz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 994); 

                auto tg_zzzzzz_xyyyyzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 995); 

                auto tg_zzzzzz_xyyyzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 996); 

                auto tg_zzzzzz_xyyzzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 997); 

                auto tg_zzzzzz_xyzzzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 998); 

                auto tg_zzzzzz_xzzzzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 999); 

                auto tg_zzzzzz_yyyyyyy_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 1000); 

                auto tg_zzzzzz_yyyyyyz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 1001); 

                auto tg_zzzzzz_yyyyyzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 1002); 

                auto tg_zzzzzz_yyyyzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 1003); 

                auto tg_zzzzzz_yyyzzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 1004); 

                auto tg_zzzzzz_yyzzzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 1005); 

                auto tg_zzzzzz_yzzzzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 1006); 

                auto tg_zzzzzz_zzzzzzz_0 = primBuffer[pidx_g_6_7_m0].data(1008 * idx + 1007); 

                auto tg_zzzzzz_xxxxxxx_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 972); 

                auto tg_zzzzzz_xxxxxxy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 973); 

                auto tg_zzzzzz_xxxxxxz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 974); 

                auto tg_zzzzzz_xxxxxyy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 975); 

                auto tg_zzzzzz_xxxxxyz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 976); 

                auto tg_zzzzzz_xxxxxzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 977); 

                auto tg_zzzzzz_xxxxyyy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 978); 

                auto tg_zzzzzz_xxxxyyz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 979); 

                auto tg_zzzzzz_xxxxyzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 980); 

                auto tg_zzzzzz_xxxxzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 981); 

                auto tg_zzzzzz_xxxyyyy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 982); 

                auto tg_zzzzzz_xxxyyyz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 983); 

                auto tg_zzzzzz_xxxyyzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 984); 

                auto tg_zzzzzz_xxxyzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 985); 

                auto tg_zzzzzz_xxxzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 986); 

                auto tg_zzzzzz_xxyyyyy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 987); 

                auto tg_zzzzzz_xxyyyyz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 988); 

                auto tg_zzzzzz_xxyyyzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 989); 

                auto tg_zzzzzz_xxyyzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 990); 

                auto tg_zzzzzz_xxyzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 991); 

                auto tg_zzzzzz_xxzzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 992); 

                auto tg_zzzzzz_xyyyyyy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 993); 

                auto tg_zzzzzz_xyyyyyz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 994); 

                auto tg_zzzzzz_xyyyyzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 995); 

                auto tg_zzzzzz_xyyyzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 996); 

                auto tg_zzzzzz_xyyzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 997); 

                auto tg_zzzzzz_xyzzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 998); 

                auto tg_zzzzzz_xzzzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 999); 

                auto tg_zzzzzz_yyyyyyy_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 1000); 

                auto tg_zzzzzz_yyyyyyz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 1001); 

                auto tg_zzzzzz_yyyyyzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 1002); 

                auto tg_zzzzzz_yyyyzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 1003); 

                auto tg_zzzzzz_yyyzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 1004); 

                auto tg_zzzzzz_yyzzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 1005); 

                auto tg_zzzzzz_yzzzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 1006); 

                auto tg_zzzzzz_zzzzzzz_1 = primBuffer[pidx_g_6_7_m1].data(1008 * idx + 1007); 

                auto tg_yzzzzzz_xxxzzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 961); 

                auto tg_yzzzzzz_xxyyyy_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 962); 

                auto tg_yzzzzzz_xxyyyz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 963); 

                auto tg_yzzzzzz_xxyyzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 964); 

                auto tg_yzzzzzz_xxyzzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 965); 

                auto tg_yzzzzzz_xxzzzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 966); 

                auto tg_yzzzzzz_xyyyyy_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 967); 

                auto tg_yzzzzzz_xyyyyz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 968); 

                auto tg_yzzzzzz_xyyyzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 969); 

                auto tg_yzzzzzz_xyyzzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 970); 

                auto tg_yzzzzzz_xyzzzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 971); 

                auto tg_yzzzzzz_xzzzzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 972); 

                auto tg_yzzzzzz_yyyyyy_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 973); 

                auto tg_yzzzzzz_yyyyyz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 974); 

                auto tg_yzzzzzz_yyyyzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 975); 

                auto tg_yzzzzzz_yyyzzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 976); 

                auto tg_yzzzzzz_yyzzzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 977); 

                auto tg_yzzzzzz_yzzzzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 978); 

                auto tg_yzzzzzz_zzzzzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 979); 

                auto tg_zzzzzzz_xxxxxx_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 980); 

                auto tg_zzzzzzz_xxxxxy_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 981); 

                auto tg_zzzzzzz_xxxxxz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 982); 

                auto tg_zzzzzzz_xxxxyy_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 983); 

                auto tg_zzzzzzz_xxxxyz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 984); 

                auto tg_zzzzzzz_xxxxzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 985); 

                auto tg_zzzzzzz_xxxyyy_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 986); 

                auto tg_zzzzzzz_xxxyyz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 987); 

                auto tg_zzzzzzz_xxxyzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 988); 

                auto tg_zzzzzzz_xxxzzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 989); 

                auto tg_zzzzzzz_xxyyyy_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 990); 

                auto tg_zzzzzzz_xxyyyz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 991); 

                auto tg_zzzzzzz_xxyyzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 992); 

                auto tg_zzzzzzz_xxyzzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 993); 

                auto tg_zzzzzzz_xxzzzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 994); 

                auto tg_zzzzzzz_xyyyyy_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 995); 

                auto tg_zzzzzzz_xyyyyz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 996); 

                auto tg_zzzzzzz_xyyyzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 997); 

                auto tg_zzzzzzz_xyyzzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 998); 

                auto tg_zzzzzzz_xyzzzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 999); 

                auto tg_zzzzzzz_xzzzzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 1000); 

                auto tg_zzzzzzz_yyyyyy_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 1001); 

                auto tg_zzzzzzz_yyyyyz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 1002); 

                auto tg_zzzzzzz_yyyyzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 1003); 

                auto tg_zzzzzzz_yyyzzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 1004); 

                auto tg_zzzzzzz_yyzzzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 1005); 

                auto tg_zzzzzzz_yzzzzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 1006); 

                auto tg_zzzzzzz_zzzzzz_1 = primBuffer[pidx_g_7_6_m1].data(1008 * idx + 1007); 

                // set up pointers to integrals

                auto tg_yyzzzzzz_xxxyzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1525); 

                auto tg_yyzzzzzz_xxxzzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1526); 

                auto tg_yyzzzzzz_xxyyyyy_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1527); 

                auto tg_yyzzzzzz_xxyyyyz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1528); 

                auto tg_yyzzzzzz_xxyyyzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1529); 

                auto tg_yyzzzzzz_xxyyzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1530); 

                auto tg_yyzzzzzz_xxyzzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1531); 

                auto tg_yyzzzzzz_xxzzzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1532); 

                auto tg_yyzzzzzz_xyyyyyy_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1533); 

                auto tg_yyzzzzzz_xyyyyyz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1534); 

                auto tg_yyzzzzzz_xyyyyzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1535); 

                auto tg_yyzzzzzz_xyyyzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1536); 

                auto tg_yyzzzzzz_xyyzzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1537); 

                auto tg_yyzzzzzz_xyzzzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1538); 

                auto tg_yyzzzzzz_xzzzzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1539); 

                auto tg_yyzzzzzz_yyyyyyy_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1540); 

                auto tg_yyzzzzzz_yyyyyyz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1541); 

                auto tg_yyzzzzzz_yyyyyzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1542); 

                auto tg_yyzzzzzz_yyyyzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1543); 

                auto tg_yyzzzzzz_yyyzzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1544); 

                auto tg_yyzzzzzz_yyzzzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1545); 

                auto tg_yyzzzzzz_yzzzzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1546); 

                auto tg_yyzzzzzz_zzzzzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1547); 

                auto tg_yzzzzzzz_xxxxxxx_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1548); 

                auto tg_yzzzzzzz_xxxxxxy_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1549); 

                auto tg_yzzzzzzz_xxxxxxz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1550); 

                auto tg_yzzzzzzz_xxxxxyy_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1551); 

                auto tg_yzzzzzzz_xxxxxyz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1552); 

                auto tg_yzzzzzzz_xxxxxzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1553); 

                auto tg_yzzzzzzz_xxxxyyy_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1554); 

                auto tg_yzzzzzzz_xxxxyyz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1555); 

                auto tg_yzzzzzzz_xxxxyzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1556); 

                auto tg_yzzzzzzz_xxxxzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1557); 

                auto tg_yzzzzzzz_xxxyyyy_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1558); 

                auto tg_yzzzzzzz_xxxyyyz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1559); 

                auto tg_yzzzzzzz_xxxyyzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1560); 

                auto tg_yzzzzzzz_xxxyzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1561); 

                auto tg_yzzzzzzz_xxxzzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1562); 

                auto tg_yzzzzzzz_xxyyyyy_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1563); 

                auto tg_yzzzzzzz_xxyyyyz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1564); 

                auto tg_yzzzzzzz_xxyyyzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1565); 

                auto tg_yzzzzzzz_xxyyzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1566); 

                auto tg_yzzzzzzz_xxyzzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1567); 

                auto tg_yzzzzzzz_xxzzzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1568); 

                auto tg_yzzzzzzz_xyyyyyy_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1569); 

                auto tg_yzzzzzzz_xyyyyyz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1570); 

                auto tg_yzzzzzzz_xyyyyzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1571); 

                auto tg_yzzzzzzz_xyyyzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1572); 

                auto tg_yzzzzzzz_xyyzzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1573); 

                auto tg_yzzzzzzz_xyzzzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1574); 

                auto tg_yzzzzzzz_xzzzzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1575); 

                auto tg_yzzzzzzz_yyyyyyy_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1576); 

                auto tg_yzzzzzzz_yyyyyyz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1577); 

                auto tg_yzzzzzzz_yyyyyzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1578); 

                auto tg_yzzzzzzz_yyyyzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1579); 

                auto tg_yzzzzzzz_yyyzzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1580); 

                auto tg_yzzzzzzz_yyzzzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1581); 

                auto tg_yzzzzzzz_yzzzzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1582); 

                auto tg_yzzzzzzz_zzzzzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1583); 

                auto tg_zzzzzzzz_xxxxxxx_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1584); 

                auto tg_zzzzzzzz_xxxxxxy_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1585); 

                auto tg_zzzzzzzz_xxxxxxz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1586); 

                auto tg_zzzzzzzz_xxxxxyy_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1587); 

                auto tg_zzzzzzzz_xxxxxyz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1588); 

                auto tg_zzzzzzzz_xxxxxzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1589); 

                auto tg_zzzzzzzz_xxxxyyy_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1590); 

                auto tg_zzzzzzzz_xxxxyyz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1591); 

                auto tg_zzzzzzzz_xxxxyzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1592); 

                auto tg_zzzzzzzz_xxxxzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1593); 

                auto tg_zzzzzzzz_xxxyyyy_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1594); 

                auto tg_zzzzzzzz_xxxyyyz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1595); 

                auto tg_zzzzzzzz_xxxyyzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1596); 

                auto tg_zzzzzzzz_xxxyzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1597); 

                auto tg_zzzzzzzz_xxxzzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1598); 

                auto tg_zzzzzzzz_xxyyyyy_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1599); 

                auto tg_zzzzzzzz_xxyyyyz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1600); 

                auto tg_zzzzzzzz_xxyyyzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1601); 

                auto tg_zzzzzzzz_xxyyzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1602); 

                auto tg_zzzzzzzz_xxyzzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1603); 

                auto tg_zzzzzzzz_xxzzzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1604); 

                auto tg_zzzzzzzz_xyyyyyy_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1605); 

                auto tg_zzzzzzzz_xyyyyyz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1606); 

                auto tg_zzzzzzzz_xyyyyzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1607); 

                auto tg_zzzzzzzz_xyyyzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1608); 

                auto tg_zzzzzzzz_xyyzzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1609); 

                auto tg_zzzzzzzz_xyzzzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1610); 

                auto tg_zzzzzzzz_xzzzzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1611); 

                auto tg_zzzzzzzz_yyyyyyy_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1612); 

                auto tg_zzzzzzzz_yyyyyyz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1613); 

                auto tg_zzzzzzzz_yyyyyzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1614); 

                auto tg_zzzzzzzz_yyyyzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1615); 

                auto tg_zzzzzzzz_yyyzzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1616); 

                auto tg_zzzzzzzz_yyzzzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1617); 

                auto tg_zzzzzzzz_yzzzzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1618); 

                auto tg_zzzzzzzz_zzzzzzz_0 = primBuffer[pidx_g_8_7_m0].data(1620 * idx + 1619); 

                // Batch of Integrals (1525,1620)

                #pragma omp simd aligned(fxn, fza, tg_yyzzzzzz_xxxyzzz_0, tg_yyzzzzzz_xxxzzzz_0, \
                                         tg_yyzzzzzz_xxyyyyy_0, tg_yyzzzzzz_xxyyyyz_0, tg_yyzzzzzz_xxyyyzz_0, \
                                         tg_yyzzzzzz_xxyyzzz_0, tg_yyzzzzzz_xxyzzzz_0, tg_yyzzzzzz_xxzzzzz_0, \
                                         tg_yyzzzzzz_xyyyyyy_0, tg_yyzzzzzz_xyyyyyz_0, tg_yyzzzzzz_xyyyyzz_0, \
                                         tg_yyzzzzzz_xyyyzzz_0, tg_yyzzzzzz_xyyzzzz_0, tg_yyzzzzzz_xyzzzzz_0, \
                                         tg_yyzzzzzz_xzzzzzz_0, tg_yyzzzzzz_yyyyyyy_0, tg_yyzzzzzz_yyyyyyz_0, \
                                         tg_yyzzzzzz_yyyyyzz_0, tg_yyzzzzzz_yyyyzzz_0, tg_yyzzzzzz_yyyzzzz_0, \
                                         tg_yyzzzzzz_yyzzzzz_0, tg_yyzzzzzz_yzzzzzz_0, tg_yyzzzzzz_zzzzzzz_0, \
                                         tg_yzzzzzz_xxxyzzz_0, tg_yzzzzzz_xxxyzzz_1, tg_yzzzzzz_xxxzzz_1, tg_yzzzzzz_xxxzzzz_0, \
                                         tg_yzzzzzz_xxxzzzz_1, tg_yzzzzzz_xxyyyy_1, tg_yzzzzzz_xxyyyyy_0, tg_yzzzzzz_xxyyyyy_1, \
                                         tg_yzzzzzz_xxyyyyz_0, tg_yzzzzzz_xxyyyyz_1, tg_yzzzzzz_xxyyyz_1, tg_yzzzzzz_xxyyyzz_0, \
                                         tg_yzzzzzz_xxyyyzz_1, tg_yzzzzzz_xxyyzz_1, tg_yzzzzzz_xxyyzzz_0, tg_yzzzzzz_xxyyzzz_1, \
                                         tg_yzzzzzz_xxyzzz_1, tg_yzzzzzz_xxyzzzz_0, tg_yzzzzzz_xxyzzzz_1, tg_yzzzzzz_xxzzzz_1, \
                                         tg_yzzzzzz_xxzzzzz_0, tg_yzzzzzz_xxzzzzz_1, tg_yzzzzzz_xyyyyy_1, tg_yzzzzzz_xyyyyyy_0, \
                                         tg_yzzzzzz_xyyyyyy_1, tg_yzzzzzz_xyyyyyz_0, tg_yzzzzzz_xyyyyyz_1, tg_yzzzzzz_xyyyyz_1, \
                                         tg_yzzzzzz_xyyyyzz_0, tg_yzzzzzz_xyyyyzz_1, tg_yzzzzzz_xyyyzz_1, tg_yzzzzzz_xyyyzzz_0, \
                                         tg_yzzzzzz_xyyyzzz_1, tg_yzzzzzz_xyyzzz_1, tg_yzzzzzz_xyyzzzz_0, tg_yzzzzzz_xyyzzzz_1, \
                                         tg_yzzzzzz_xyzzzz_1, tg_yzzzzzz_xyzzzzz_0, tg_yzzzzzz_xyzzzzz_1, tg_yzzzzzz_xzzzzz_1, \
                                         tg_yzzzzzz_xzzzzzz_0, tg_yzzzzzz_xzzzzzz_1, tg_yzzzzzz_yyyyyy_1, tg_yzzzzzz_yyyyyyy_0, \
                                         tg_yzzzzzz_yyyyyyy_1, tg_yzzzzzz_yyyyyyz_0, tg_yzzzzzz_yyyyyyz_1, tg_yzzzzzz_yyyyyz_1, \
                                         tg_yzzzzzz_yyyyyzz_0, tg_yzzzzzz_yyyyyzz_1, tg_yzzzzzz_yyyyzz_1, tg_yzzzzzz_yyyyzzz_0, \
                                         tg_yzzzzzz_yyyyzzz_1, tg_yzzzzzz_yyyzzz_1, tg_yzzzzzz_yyyzzzz_0, tg_yzzzzzz_yyyzzzz_1, \
                                         tg_yzzzzzz_yyzzzz_1, tg_yzzzzzz_yyzzzzz_0, tg_yzzzzzz_yyzzzzz_1, tg_yzzzzzz_yzzzzz_1, \
                                         tg_yzzzzzz_yzzzzzz_0, tg_yzzzzzz_yzzzzzz_1, tg_yzzzzzz_zzzzzz_1, tg_yzzzzzz_zzzzzzz_0, \
                                         tg_yzzzzzz_zzzzzzz_1, tg_yzzzzzzz_xxxxxxx_0, tg_yzzzzzzz_xxxxxxy_0, \
                                         tg_yzzzzzzz_xxxxxxz_0, tg_yzzzzzzz_xxxxxyy_0, tg_yzzzzzzz_xxxxxyz_0, \
                                         tg_yzzzzzzz_xxxxxzz_0, tg_yzzzzzzz_xxxxyyy_0, tg_yzzzzzzz_xxxxyyz_0, \
                                         tg_yzzzzzzz_xxxxyzz_0, tg_yzzzzzzz_xxxxzzz_0, tg_yzzzzzzz_xxxyyyy_0, \
                                         tg_yzzzzzzz_xxxyyyz_0, tg_yzzzzzzz_xxxyyzz_0, tg_yzzzzzzz_xxxyzzz_0, \
                                         tg_yzzzzzzz_xxxzzzz_0, tg_yzzzzzzz_xxyyyyy_0, tg_yzzzzzzz_xxyyyyz_0, \
                                         tg_yzzzzzzz_xxyyyzz_0, tg_yzzzzzzz_xxyyzzz_0, tg_yzzzzzzz_xxyzzzz_0, \
                                         tg_yzzzzzzz_xxzzzzz_0, tg_yzzzzzzz_xyyyyyy_0, tg_yzzzzzzz_xyyyyyz_0, \
                                         tg_yzzzzzzz_xyyyyzz_0, tg_yzzzzzzz_xyyyzzz_0, tg_yzzzzzzz_xyyzzzz_0, \
                                         tg_yzzzzzzz_xyzzzzz_0, tg_yzzzzzzz_xzzzzzz_0, tg_yzzzzzzz_yyyyyyy_0, \
                                         tg_yzzzzzzz_yyyyyyz_0, tg_yzzzzzzz_yyyyyzz_0, tg_yzzzzzzz_yyyyzzz_0, \
                                         tg_yzzzzzzz_yyyzzzz_0, tg_yzzzzzzz_yyzzzzz_0, tg_yzzzzzzz_yzzzzzz_0, \
                                         tg_yzzzzzzz_zzzzzzz_0, tg_zzzzzz_xxxxxxx_0, tg_zzzzzz_xxxxxxx_1, tg_zzzzzz_xxxxxxy_0, \
                                         tg_zzzzzz_xxxxxxy_1, tg_zzzzzz_xxxxxxz_0, tg_zzzzzz_xxxxxxz_1, tg_zzzzzz_xxxxxyy_0, \
                                         tg_zzzzzz_xxxxxyy_1, tg_zzzzzz_xxxxxyz_0, tg_zzzzzz_xxxxxyz_1, tg_zzzzzz_xxxxxzz_0, \
                                         tg_zzzzzz_xxxxxzz_1, tg_zzzzzz_xxxxyyy_0, tg_zzzzzz_xxxxyyy_1, tg_zzzzzz_xxxxyyz_0, \
                                         tg_zzzzzz_xxxxyyz_1, tg_zzzzzz_xxxxyzz_0, tg_zzzzzz_xxxxyzz_1, tg_zzzzzz_xxxxzzz_0, \
                                         tg_zzzzzz_xxxxzzz_1, tg_zzzzzz_xxxyyyy_0, tg_zzzzzz_xxxyyyy_1, tg_zzzzzz_xxxyyyz_0, \
                                         tg_zzzzzz_xxxyyyz_1, tg_zzzzzz_xxxyyzz_0, tg_zzzzzz_xxxyyzz_1, tg_zzzzzz_xxxyzzz_0, \
                                         tg_zzzzzz_xxxyzzz_1, tg_zzzzzz_xxxzzzz_0, tg_zzzzzz_xxxzzzz_1, tg_zzzzzz_xxyyyyy_0, \
                                         tg_zzzzzz_xxyyyyy_1, tg_zzzzzz_xxyyyyz_0, tg_zzzzzz_xxyyyyz_1, tg_zzzzzz_xxyyyzz_0, \
                                         tg_zzzzzz_xxyyyzz_1, tg_zzzzzz_xxyyzzz_0, tg_zzzzzz_xxyyzzz_1, tg_zzzzzz_xxyzzzz_0, \
                                         tg_zzzzzz_xxyzzzz_1, tg_zzzzzz_xxzzzzz_0, tg_zzzzzz_xxzzzzz_1, tg_zzzzzz_xyyyyyy_0, \
                                         tg_zzzzzz_xyyyyyy_1, tg_zzzzzz_xyyyyyz_0, tg_zzzzzz_xyyyyyz_1, tg_zzzzzz_xyyyyzz_0, \
                                         tg_zzzzzz_xyyyyzz_1, tg_zzzzzz_xyyyzzz_0, tg_zzzzzz_xyyyzzz_1, tg_zzzzzz_xyyzzzz_0, \
                                         tg_zzzzzz_xyyzzzz_1, tg_zzzzzz_xyzzzzz_0, tg_zzzzzz_xyzzzzz_1, tg_zzzzzz_xzzzzzz_0, \
                                         tg_zzzzzz_xzzzzzz_1, tg_zzzzzz_yyyyyyy_0, tg_zzzzzz_yyyyyyy_1, tg_zzzzzz_yyyyyyz_0, \
                                         tg_zzzzzz_yyyyyyz_1, tg_zzzzzz_yyyyyzz_0, tg_zzzzzz_yyyyyzz_1, tg_zzzzzz_yyyyzzz_0, \
                                         tg_zzzzzz_yyyyzzz_1, tg_zzzzzz_yyyzzzz_0, tg_zzzzzz_yyyzzzz_1, tg_zzzzzz_yyzzzzz_0, \
                                         tg_zzzzzz_yyzzzzz_1, tg_zzzzzz_yzzzzzz_0, tg_zzzzzz_yzzzzzz_1, tg_zzzzzz_zzzzzzz_0, \
                                         tg_zzzzzz_zzzzzzz_1, tg_zzzzzzz_xxxxxx_1, tg_zzzzzzz_xxxxxxx_0, tg_zzzzzzz_xxxxxxx_1, \
                                         tg_zzzzzzz_xxxxxxy_0, tg_zzzzzzz_xxxxxxy_1, tg_zzzzzzz_xxxxxxz_0, tg_zzzzzzz_xxxxxxz_1, \
                                         tg_zzzzzzz_xxxxxy_1, tg_zzzzzzz_xxxxxyy_0, tg_zzzzzzz_xxxxxyy_1, tg_zzzzzzz_xxxxxyz_0, \
                                         tg_zzzzzzz_xxxxxyz_1, tg_zzzzzzz_xxxxxz_1, tg_zzzzzzz_xxxxxzz_0, tg_zzzzzzz_xxxxxzz_1, \
                                         tg_zzzzzzz_xxxxyy_1, tg_zzzzzzz_xxxxyyy_0, tg_zzzzzzz_xxxxyyy_1, tg_zzzzzzz_xxxxyyz_0, \
                                         tg_zzzzzzz_xxxxyyz_1, tg_zzzzzzz_xxxxyz_1, tg_zzzzzzz_xxxxyzz_0, tg_zzzzzzz_xxxxyzz_1, \
                                         tg_zzzzzzz_xxxxzz_1, tg_zzzzzzz_xxxxzzz_0, tg_zzzzzzz_xxxxzzz_1, tg_zzzzzzz_xxxyyy_1, \
                                         tg_zzzzzzz_xxxyyyy_0, tg_zzzzzzz_xxxyyyy_1, tg_zzzzzzz_xxxyyyz_0, tg_zzzzzzz_xxxyyyz_1, \
                                         tg_zzzzzzz_xxxyyz_1, tg_zzzzzzz_xxxyyzz_0, tg_zzzzzzz_xxxyyzz_1, tg_zzzzzzz_xxxyzz_1, \
                                         tg_zzzzzzz_xxxyzzz_0, tg_zzzzzzz_xxxyzzz_1, tg_zzzzzzz_xxxzzz_1, tg_zzzzzzz_xxxzzzz_0, \
                                         tg_zzzzzzz_xxxzzzz_1, tg_zzzzzzz_xxyyyy_1, tg_zzzzzzz_xxyyyyy_0, tg_zzzzzzz_xxyyyyy_1, \
                                         tg_zzzzzzz_xxyyyyz_0, tg_zzzzzzz_xxyyyyz_1, tg_zzzzzzz_xxyyyz_1, tg_zzzzzzz_xxyyyzz_0, \
                                         tg_zzzzzzz_xxyyyzz_1, tg_zzzzzzz_xxyyzz_1, tg_zzzzzzz_xxyyzzz_0, tg_zzzzzzz_xxyyzzz_1, \
                                         tg_zzzzzzz_xxyzzz_1, tg_zzzzzzz_xxyzzzz_0, tg_zzzzzzz_xxyzzzz_1, tg_zzzzzzz_xxzzzz_1, \
                                         tg_zzzzzzz_xxzzzzz_0, tg_zzzzzzz_xxzzzzz_1, tg_zzzzzzz_xyyyyy_1, tg_zzzzzzz_xyyyyyy_0, \
                                         tg_zzzzzzz_xyyyyyy_1, tg_zzzzzzz_xyyyyyz_0, tg_zzzzzzz_xyyyyyz_1, tg_zzzzzzz_xyyyyz_1, \
                                         tg_zzzzzzz_xyyyyzz_0, tg_zzzzzzz_xyyyyzz_1, tg_zzzzzzz_xyyyzz_1, tg_zzzzzzz_xyyyzzz_0, \
                                         tg_zzzzzzz_xyyyzzz_1, tg_zzzzzzz_xyyzzz_1, tg_zzzzzzz_xyyzzzz_0, tg_zzzzzzz_xyyzzzz_1, \
                                         tg_zzzzzzz_xyzzzz_1, tg_zzzzzzz_xyzzzzz_0, tg_zzzzzzz_xyzzzzz_1, tg_zzzzzzz_xzzzzz_1, \
                                         tg_zzzzzzz_xzzzzzz_0, tg_zzzzzzz_xzzzzzz_1, tg_zzzzzzz_yyyyyy_1, tg_zzzzzzz_yyyyyyy_0, \
                                         tg_zzzzzzz_yyyyyyy_1, tg_zzzzzzz_yyyyyyz_0, tg_zzzzzzz_yyyyyyz_1, tg_zzzzzzz_yyyyyz_1, \
                                         tg_zzzzzzz_yyyyyzz_0, tg_zzzzzzz_yyyyyzz_1, tg_zzzzzzz_yyyyzz_1, tg_zzzzzzz_yyyyzzz_0, \
                                         tg_zzzzzzz_yyyyzzz_1, tg_zzzzzzz_yyyzzz_1, tg_zzzzzzz_yyyzzzz_0, tg_zzzzzzz_yyyzzzz_1, \
                                         tg_zzzzzzz_yyzzzz_1, tg_zzzzzzz_yyzzzzz_0, tg_zzzzzzz_yyzzzzz_1, tg_zzzzzzz_yzzzzz_1, \
                                         tg_zzzzzzz_yzzzzzz_0, tg_zzzzzzz_yzzzzzz_1, tg_zzzzzzz_zzzzzz_1, tg_zzzzzzz_zzzzzzz_0, \
                                         tg_zzzzzzz_zzzzzzz_1, tg_zzzzzzzz_xxxxxxx_0, tg_zzzzzzzz_xxxxxxy_0, \
                                         tg_zzzzzzzz_xxxxxxz_0, tg_zzzzzzzz_xxxxxyy_0, tg_zzzzzzzz_xxxxxyz_0, \
                                         tg_zzzzzzzz_xxxxxzz_0, tg_zzzzzzzz_xxxxyyy_0, tg_zzzzzzzz_xxxxyyz_0, \
                                         tg_zzzzzzzz_xxxxyzz_0, tg_zzzzzzzz_xxxxzzz_0, tg_zzzzzzzz_xxxyyyy_0, \
                                         tg_zzzzzzzz_xxxyyyz_0, tg_zzzzzzzz_xxxyyzz_0, tg_zzzzzzzz_xxxyzzz_0, \
                                         tg_zzzzzzzz_xxxzzzz_0, tg_zzzzzzzz_xxyyyyy_0, tg_zzzzzzzz_xxyyyyz_0, \
                                         tg_zzzzzzzz_xxyyyzz_0, tg_zzzzzzzz_xxyyzzz_0, tg_zzzzzzzz_xxyzzzz_0, \
                                         tg_zzzzzzzz_xxzzzzz_0, tg_zzzzzzzz_xyyyyyy_0, tg_zzzzzzzz_xyyyyyz_0, \
                                         tg_zzzzzzzz_xyyyyzz_0, tg_zzzzzzzz_xyyyzzz_0, tg_zzzzzzzz_xyyzzzz_0, \
                                         tg_zzzzzzzz_xyzzzzz_0, tg_zzzzzzzz_xzzzzzz_0, tg_zzzzzzzz_yyyyyyy_0, \
                                         tg_zzzzzzzz_yyyyyyz_0, tg_zzzzzzzz_yyyyyzz_0, tg_zzzzzzzz_yyyyzzz_0, \
                                         tg_zzzzzzzz_yyyzzzz_0, tg_zzzzzzzz_yyzzzzz_0, tg_zzzzzzzz_yzzzzzz_0, \
                                         tg_zzzzzzzz_zzzzzzz_0, wp_y, wp_z: VLX_ALIGN)
                for (int32_t j = 0; j < nKetPrimPairs; j++)
                {
                    double fl1_fx = fx;

                    double fl1_fxn = fxn[j];

                    double fl1_fza = fza[j];

                    double fr = wp_y[j]; 

                    tg_yyzzzzzz_xxxyzzz_0[j] = pb_y * tg_yzzzzzz_xxxyzzz_0[j] + fr * tg_yzzzzzz_xxxyzzz_1[j] + 0.5 * fl1_fx * (tg_zzzzzz_xxxyzzz_0[j] - tg_zzzzzz_xxxyzzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_yzzzzzz_xxxzzz_1[j];

                    tg_yyzzzzzz_xxxzzzz_0[j] = pb_y * tg_yzzzzzz_xxxzzzz_0[j] + fr * tg_yzzzzzz_xxxzzzz_1[j] + 0.5 * fl1_fx * (tg_zzzzzz_xxxzzzz_0[j] - tg_zzzzzz_xxxzzzz_1[j] * fl1_fza);

                    tg_yyzzzzzz_xxyyyyy_0[j] = pb_y * tg_yzzzzzz_xxyyyyy_0[j] + fr * tg_yzzzzzz_xxyyyyy_1[j] + 0.5 * fl1_fx * (tg_zzzzzz_xxyyyyy_0[j] - tg_zzzzzz_xxyyyyy_1[j] * fl1_fza) + 2.5 * fl1_fxn * tg_yzzzzzz_xxyyyy_1[j];

                    tg_yyzzzzzz_xxyyyyz_0[j] = pb_y * tg_yzzzzzz_xxyyyyz_0[j] + fr * tg_yzzzzzz_xxyyyyz_1[j] + 0.5 * fl1_fx * (tg_zzzzzz_xxyyyyz_0[j] - tg_zzzzzz_xxyyyyz_1[j] * fl1_fza) + 2.0 * fl1_fxn * tg_yzzzzzz_xxyyyz_1[j];

                    tg_yyzzzzzz_xxyyyzz_0[j] = pb_y * tg_yzzzzzz_xxyyyzz_0[j] + fr * tg_yzzzzzz_xxyyyzz_1[j] + 0.5 * fl1_fx * (tg_zzzzzz_xxyyyzz_0[j] - tg_zzzzzz_xxyyyzz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_yzzzzzz_xxyyzz_1[j];

                    tg_yyzzzzzz_xxyyzzz_0[j] = pb_y * tg_yzzzzzz_xxyyzzz_0[j] + fr * tg_yzzzzzz_xxyyzzz_1[j] + 0.5 * fl1_fx * (tg_zzzzzz_xxyyzzz_0[j] - tg_zzzzzz_xxyyzzz_1[j] * fl1_fza) + fl1_fxn * tg_yzzzzzz_xxyzzz_1[j];

                    tg_yyzzzzzz_xxyzzzz_0[j] = pb_y * tg_yzzzzzz_xxyzzzz_0[j] + fr * tg_yzzzzzz_xxyzzzz_1[j] + 0.5 * fl1_fx * (tg_zzzzzz_xxyzzzz_0[j] - tg_zzzzzz_xxyzzzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_yzzzzzz_xxzzzz_1[j];

                    tg_yyzzzzzz_xxzzzzz_0[j] = pb_y * tg_yzzzzzz_xxzzzzz_0[j] + fr * tg_yzzzzzz_xxzzzzz_1[j] + 0.5 * fl1_fx * (tg_zzzzzz_xxzzzzz_0[j] - tg_zzzzzz_xxzzzzz_1[j] * fl1_fza);

                    tg_yyzzzzzz_xyyyyyy_0[j] = pb_y * tg_yzzzzzz_xyyyyyy_0[j] + fr * tg_yzzzzzz_xyyyyyy_1[j] + 0.5 * fl1_fx * (tg_zzzzzz_xyyyyyy_0[j] - tg_zzzzzz_xyyyyyy_1[j] * fl1_fza) + 3.0 * fl1_fxn * tg_yzzzzzz_xyyyyy_1[j];

                    tg_yyzzzzzz_xyyyyyz_0[j] = pb_y * tg_yzzzzzz_xyyyyyz_0[j] + fr * tg_yzzzzzz_xyyyyyz_1[j] + 0.5 * fl1_fx * (tg_zzzzzz_xyyyyyz_0[j] - tg_zzzzzz_xyyyyyz_1[j] * fl1_fza) + 2.5 * fl1_fxn * tg_yzzzzzz_xyyyyz_1[j];

                    tg_yyzzzzzz_xyyyyzz_0[j] = pb_y * tg_yzzzzzz_xyyyyzz_0[j] + fr * tg_yzzzzzz_xyyyyzz_1[j] + 0.5 * fl1_fx * (tg_zzzzzz_xyyyyzz_0[j] - tg_zzzzzz_xyyyyzz_1[j] * fl1_fza) + 2.0 * fl1_fxn * tg_yzzzzzz_xyyyzz_1[j];

                    tg_yyzzzzzz_xyyyzzz_0[j] = pb_y * tg_yzzzzzz_xyyyzzz_0[j] + fr * tg_yzzzzzz_xyyyzzz_1[j] + 0.5 * fl1_fx * (tg_zzzzzz_xyyyzzz_0[j] - tg_zzzzzz_xyyyzzz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_yzzzzzz_xyyzzz_1[j];

                    tg_yyzzzzzz_xyyzzzz_0[j] = pb_y * tg_yzzzzzz_xyyzzzz_0[j] + fr * tg_yzzzzzz_xyyzzzz_1[j] + 0.5 * fl1_fx * (tg_zzzzzz_xyyzzzz_0[j] - tg_zzzzzz_xyyzzzz_1[j] * fl1_fza) + fl1_fxn * tg_yzzzzzz_xyzzzz_1[j];

                    tg_yyzzzzzz_xyzzzzz_0[j] = pb_y * tg_yzzzzzz_xyzzzzz_0[j] + fr * tg_yzzzzzz_xyzzzzz_1[j] + 0.5 * fl1_fx * (tg_zzzzzz_xyzzzzz_0[j] - tg_zzzzzz_xyzzzzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_yzzzzzz_xzzzzz_1[j];

                    tg_yyzzzzzz_xzzzzzz_0[j] = pb_y * tg_yzzzzzz_xzzzzzz_0[j] + fr * tg_yzzzzzz_xzzzzzz_1[j] + 0.5 * fl1_fx * (tg_zzzzzz_xzzzzzz_0[j] - tg_zzzzzz_xzzzzzz_1[j] * fl1_fza);

                    tg_yyzzzzzz_yyyyyyy_0[j] = pb_y * tg_yzzzzzz_yyyyyyy_0[j] + fr * tg_yzzzzzz_yyyyyyy_1[j] + 0.5 * fl1_fx * (tg_zzzzzz_yyyyyyy_0[j] - tg_zzzzzz_yyyyyyy_1[j] * fl1_fza) + 3.5 * fl1_fxn * tg_yzzzzzz_yyyyyy_1[j];

                    tg_yyzzzzzz_yyyyyyz_0[j] = pb_y * tg_yzzzzzz_yyyyyyz_0[j] + fr * tg_yzzzzzz_yyyyyyz_1[j] + 0.5 * fl1_fx * (tg_zzzzzz_yyyyyyz_0[j] - tg_zzzzzz_yyyyyyz_1[j] * fl1_fza) + 3.0 * fl1_fxn * tg_yzzzzzz_yyyyyz_1[j];

                    tg_yyzzzzzz_yyyyyzz_0[j] = pb_y * tg_yzzzzzz_yyyyyzz_0[j] + fr * tg_yzzzzzz_yyyyyzz_1[j] + 0.5 * fl1_fx * (tg_zzzzzz_yyyyyzz_0[j] - tg_zzzzzz_yyyyyzz_1[j] * fl1_fza) + 2.5 * fl1_fxn * tg_yzzzzzz_yyyyzz_1[j];

                    tg_yyzzzzzz_yyyyzzz_0[j] = pb_y * tg_yzzzzzz_yyyyzzz_0[j] + fr * tg_yzzzzzz_yyyyzzz_1[j] + 0.5 * fl1_fx * (tg_zzzzzz_yyyyzzz_0[j] - tg_zzzzzz_yyyyzzz_1[j] * fl1_fza) + 2.0 * fl1_fxn * tg_yzzzzzz_yyyzzz_1[j];

                    tg_yyzzzzzz_yyyzzzz_0[j] = pb_y * tg_yzzzzzz_yyyzzzz_0[j] + fr * tg_yzzzzzz_yyyzzzz_1[j] + 0.5 * fl1_fx * (tg_zzzzzz_yyyzzzz_0[j] - tg_zzzzzz_yyyzzzz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_yzzzzzz_yyzzzz_1[j];

                    tg_yyzzzzzz_yyzzzzz_0[j] = pb_y * tg_yzzzzzz_yyzzzzz_0[j] + fr * tg_yzzzzzz_yyzzzzz_1[j] + 0.5 * fl1_fx * (tg_zzzzzz_yyzzzzz_0[j] - tg_zzzzzz_yyzzzzz_1[j] * fl1_fza) + fl1_fxn * tg_yzzzzzz_yzzzzz_1[j];

                    tg_yyzzzzzz_yzzzzzz_0[j] = pb_y * tg_yzzzzzz_yzzzzzz_0[j] + fr * tg_yzzzzzz_yzzzzzz_1[j] + 0.5 * fl1_fx * (tg_zzzzzz_yzzzzzz_0[j] - tg_zzzzzz_yzzzzzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_yzzzzzz_zzzzzz_1[j];

                    tg_yyzzzzzz_zzzzzzz_0[j] = pb_y * tg_yzzzzzz_zzzzzzz_0[j] + fr * tg_yzzzzzz_zzzzzzz_1[j] + 0.5 * fl1_fx * (tg_zzzzzz_zzzzzzz_0[j] - tg_zzzzzz_zzzzzzz_1[j] * fl1_fza);

                    tg_yzzzzzzz_xxxxxxx_0[j] = pb_y * tg_zzzzzzz_xxxxxxx_0[j] + fr * tg_zzzzzzz_xxxxxxx_1[j];

                    tg_yzzzzzzz_xxxxxxy_0[j] = pb_y * tg_zzzzzzz_xxxxxxy_0[j] + fr * tg_zzzzzzz_xxxxxxy_1[j] + 0.5 * fl1_fxn * tg_zzzzzzz_xxxxxx_1[j];

                    tg_yzzzzzzz_xxxxxxz_0[j] = pb_y * tg_zzzzzzz_xxxxxxz_0[j] + fr * tg_zzzzzzz_xxxxxxz_1[j];

                    tg_yzzzzzzz_xxxxxyy_0[j] = pb_y * tg_zzzzzzz_xxxxxyy_0[j] + fr * tg_zzzzzzz_xxxxxyy_1[j] + fl1_fxn * tg_zzzzzzz_xxxxxy_1[j];

                    tg_yzzzzzzz_xxxxxyz_0[j] = pb_y * tg_zzzzzzz_xxxxxyz_0[j] + fr * tg_zzzzzzz_xxxxxyz_1[j] + 0.5 * fl1_fxn * tg_zzzzzzz_xxxxxz_1[j];

                    tg_yzzzzzzz_xxxxxzz_0[j] = pb_y * tg_zzzzzzz_xxxxxzz_0[j] + fr * tg_zzzzzzz_xxxxxzz_1[j];

                    tg_yzzzzzzz_xxxxyyy_0[j] = pb_y * tg_zzzzzzz_xxxxyyy_0[j] + fr * tg_zzzzzzz_xxxxyyy_1[j] + 1.5 * fl1_fxn * tg_zzzzzzz_xxxxyy_1[j];

                    tg_yzzzzzzz_xxxxyyz_0[j] = pb_y * tg_zzzzzzz_xxxxyyz_0[j] + fr * tg_zzzzzzz_xxxxyyz_1[j] + fl1_fxn * tg_zzzzzzz_xxxxyz_1[j];

                    tg_yzzzzzzz_xxxxyzz_0[j] = pb_y * tg_zzzzzzz_xxxxyzz_0[j] + fr * tg_zzzzzzz_xxxxyzz_1[j] + 0.5 * fl1_fxn * tg_zzzzzzz_xxxxzz_1[j];

                    tg_yzzzzzzz_xxxxzzz_0[j] = pb_y * tg_zzzzzzz_xxxxzzz_0[j] + fr * tg_zzzzzzz_xxxxzzz_1[j];

                    tg_yzzzzzzz_xxxyyyy_0[j] = pb_y * tg_zzzzzzz_xxxyyyy_0[j] + fr * tg_zzzzzzz_xxxyyyy_1[j] + 2.0 * fl1_fxn * tg_zzzzzzz_xxxyyy_1[j];

                    tg_yzzzzzzz_xxxyyyz_0[j] = pb_y * tg_zzzzzzz_xxxyyyz_0[j] + fr * tg_zzzzzzz_xxxyyyz_1[j] + 1.5 * fl1_fxn * tg_zzzzzzz_xxxyyz_1[j];

                    tg_yzzzzzzz_xxxyyzz_0[j] = pb_y * tg_zzzzzzz_xxxyyzz_0[j] + fr * tg_zzzzzzz_xxxyyzz_1[j] + fl1_fxn * tg_zzzzzzz_xxxyzz_1[j];

                    tg_yzzzzzzz_xxxyzzz_0[j] = pb_y * tg_zzzzzzz_xxxyzzz_0[j] + fr * tg_zzzzzzz_xxxyzzz_1[j] + 0.5 * fl1_fxn * tg_zzzzzzz_xxxzzz_1[j];

                    tg_yzzzzzzz_xxxzzzz_0[j] = pb_y * tg_zzzzzzz_xxxzzzz_0[j] + fr * tg_zzzzzzz_xxxzzzz_1[j];

                    tg_yzzzzzzz_xxyyyyy_0[j] = pb_y * tg_zzzzzzz_xxyyyyy_0[j] + fr * tg_zzzzzzz_xxyyyyy_1[j] + 2.5 * fl1_fxn * tg_zzzzzzz_xxyyyy_1[j];

                    tg_yzzzzzzz_xxyyyyz_0[j] = pb_y * tg_zzzzzzz_xxyyyyz_0[j] + fr * tg_zzzzzzz_xxyyyyz_1[j] + 2.0 * fl1_fxn * tg_zzzzzzz_xxyyyz_1[j];

                    tg_yzzzzzzz_xxyyyzz_0[j] = pb_y * tg_zzzzzzz_xxyyyzz_0[j] + fr * tg_zzzzzzz_xxyyyzz_1[j] + 1.5 * fl1_fxn * tg_zzzzzzz_xxyyzz_1[j];

                    tg_yzzzzzzz_xxyyzzz_0[j] = pb_y * tg_zzzzzzz_xxyyzzz_0[j] + fr * tg_zzzzzzz_xxyyzzz_1[j] + fl1_fxn * tg_zzzzzzz_xxyzzz_1[j];

                    tg_yzzzzzzz_xxyzzzz_0[j] = pb_y * tg_zzzzzzz_xxyzzzz_0[j] + fr * tg_zzzzzzz_xxyzzzz_1[j] + 0.5 * fl1_fxn * tg_zzzzzzz_xxzzzz_1[j];

                    tg_yzzzzzzz_xxzzzzz_0[j] = pb_y * tg_zzzzzzz_xxzzzzz_0[j] + fr * tg_zzzzzzz_xxzzzzz_1[j];

                    tg_yzzzzzzz_xyyyyyy_0[j] = pb_y * tg_zzzzzzz_xyyyyyy_0[j] + fr * tg_zzzzzzz_xyyyyyy_1[j] + 3.0 * fl1_fxn * tg_zzzzzzz_xyyyyy_1[j];

                    tg_yzzzzzzz_xyyyyyz_0[j] = pb_y * tg_zzzzzzz_xyyyyyz_0[j] + fr * tg_zzzzzzz_xyyyyyz_1[j] + 2.5 * fl1_fxn * tg_zzzzzzz_xyyyyz_1[j];

                    tg_yzzzzzzz_xyyyyzz_0[j] = pb_y * tg_zzzzzzz_xyyyyzz_0[j] + fr * tg_zzzzzzz_xyyyyzz_1[j] + 2.0 * fl1_fxn * tg_zzzzzzz_xyyyzz_1[j];

                    tg_yzzzzzzz_xyyyzzz_0[j] = pb_y * tg_zzzzzzz_xyyyzzz_0[j] + fr * tg_zzzzzzz_xyyyzzz_1[j] + 1.5 * fl1_fxn * tg_zzzzzzz_xyyzzz_1[j];

                    tg_yzzzzzzz_xyyzzzz_0[j] = pb_y * tg_zzzzzzz_xyyzzzz_0[j] + fr * tg_zzzzzzz_xyyzzzz_1[j] + fl1_fxn * tg_zzzzzzz_xyzzzz_1[j];

                    tg_yzzzzzzz_xyzzzzz_0[j] = pb_y * tg_zzzzzzz_xyzzzzz_0[j] + fr * tg_zzzzzzz_xyzzzzz_1[j] + 0.5 * fl1_fxn * tg_zzzzzzz_xzzzzz_1[j];

                    tg_yzzzzzzz_xzzzzzz_0[j] = pb_y * tg_zzzzzzz_xzzzzzz_0[j] + fr * tg_zzzzzzz_xzzzzzz_1[j];

                    tg_yzzzzzzz_yyyyyyy_0[j] = pb_y * tg_zzzzzzz_yyyyyyy_0[j] + fr * tg_zzzzzzz_yyyyyyy_1[j] + 3.5 * fl1_fxn * tg_zzzzzzz_yyyyyy_1[j];

                    tg_yzzzzzzz_yyyyyyz_0[j] = pb_y * tg_zzzzzzz_yyyyyyz_0[j] + fr * tg_zzzzzzz_yyyyyyz_1[j] + 3.0 * fl1_fxn * tg_zzzzzzz_yyyyyz_1[j];

                    tg_yzzzzzzz_yyyyyzz_0[j] = pb_y * tg_zzzzzzz_yyyyyzz_0[j] + fr * tg_zzzzzzz_yyyyyzz_1[j] + 2.5 * fl1_fxn * tg_zzzzzzz_yyyyzz_1[j];

                    tg_yzzzzzzz_yyyyzzz_0[j] = pb_y * tg_zzzzzzz_yyyyzzz_0[j] + fr * tg_zzzzzzz_yyyyzzz_1[j] + 2.0 * fl1_fxn * tg_zzzzzzz_yyyzzz_1[j];

                    tg_yzzzzzzz_yyyzzzz_0[j] = pb_y * tg_zzzzzzz_yyyzzzz_0[j] + fr * tg_zzzzzzz_yyyzzzz_1[j] + 1.5 * fl1_fxn * tg_zzzzzzz_yyzzzz_1[j];

                    tg_yzzzzzzz_yyzzzzz_0[j] = pb_y * tg_zzzzzzz_yyzzzzz_0[j] + fr * tg_zzzzzzz_yyzzzzz_1[j] + fl1_fxn * tg_zzzzzzz_yzzzzz_1[j];

                    tg_yzzzzzzz_yzzzzzz_0[j] = pb_y * tg_zzzzzzz_yzzzzzz_0[j] + fr * tg_zzzzzzz_yzzzzzz_1[j] + 0.5 * fl1_fxn * tg_zzzzzzz_zzzzzz_1[j];

                    tg_yzzzzzzz_zzzzzzz_0[j] = pb_y * tg_zzzzzzz_zzzzzzz_0[j] + fr * tg_zzzzzzz_zzzzzzz_1[j];

                    fr = wp_z[j]; 

                    tg_zzzzzzzz_xxxxxxx_0[j] = pb_z * tg_zzzzzzz_xxxxxxx_0[j] + fr * tg_zzzzzzz_xxxxxxx_1[j] + 3.5 * fl1_fx * (tg_zzzzzz_xxxxxxx_0[j] - tg_zzzzzz_xxxxxxx_1[j] * fl1_fza);

                    tg_zzzzzzzz_xxxxxxy_0[j] = pb_z * tg_zzzzzzz_xxxxxxy_0[j] + fr * tg_zzzzzzz_xxxxxxy_1[j] + 3.5 * fl1_fx * (tg_zzzzzz_xxxxxxy_0[j] - tg_zzzzzz_xxxxxxy_1[j] * fl1_fza);

                    tg_zzzzzzzz_xxxxxxz_0[j] = pb_z * tg_zzzzzzz_xxxxxxz_0[j] + fr * tg_zzzzzzz_xxxxxxz_1[j] + 3.5 * fl1_fx * (tg_zzzzzz_xxxxxxz_0[j] - tg_zzzzzz_xxxxxxz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_zzzzzzz_xxxxxx_1[j];

                    tg_zzzzzzzz_xxxxxyy_0[j] = pb_z * tg_zzzzzzz_xxxxxyy_0[j] + fr * tg_zzzzzzz_xxxxxyy_1[j] + 3.5 * fl1_fx * (tg_zzzzzz_xxxxxyy_0[j] - tg_zzzzzz_xxxxxyy_1[j] * fl1_fza);

                    tg_zzzzzzzz_xxxxxyz_0[j] = pb_z * tg_zzzzzzz_xxxxxyz_0[j] + fr * tg_zzzzzzz_xxxxxyz_1[j] + 3.5 * fl1_fx * (tg_zzzzzz_xxxxxyz_0[j] - tg_zzzzzz_xxxxxyz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_zzzzzzz_xxxxxy_1[j];

                    tg_zzzzzzzz_xxxxxzz_0[j] = pb_z * tg_zzzzzzz_xxxxxzz_0[j] + fr * tg_zzzzzzz_xxxxxzz_1[j] + 3.5 * fl1_fx * (tg_zzzzzz_xxxxxzz_0[j] - tg_zzzzzz_xxxxxzz_1[j] * fl1_fza) + fl1_fxn * tg_zzzzzzz_xxxxxz_1[j];

                    tg_zzzzzzzz_xxxxyyy_0[j] = pb_z * tg_zzzzzzz_xxxxyyy_0[j] + fr * tg_zzzzzzz_xxxxyyy_1[j] + 3.5 * fl1_fx * (tg_zzzzzz_xxxxyyy_0[j] - tg_zzzzzz_xxxxyyy_1[j] * fl1_fza);

                    tg_zzzzzzzz_xxxxyyz_0[j] = pb_z * tg_zzzzzzz_xxxxyyz_0[j] + fr * tg_zzzzzzz_xxxxyyz_1[j] + 3.5 * fl1_fx * (tg_zzzzzz_xxxxyyz_0[j] - tg_zzzzzz_xxxxyyz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_zzzzzzz_xxxxyy_1[j];

                    tg_zzzzzzzz_xxxxyzz_0[j] = pb_z * tg_zzzzzzz_xxxxyzz_0[j] + fr * tg_zzzzzzz_xxxxyzz_1[j] + 3.5 * fl1_fx * (tg_zzzzzz_xxxxyzz_0[j] - tg_zzzzzz_xxxxyzz_1[j] * fl1_fza) + fl1_fxn * tg_zzzzzzz_xxxxyz_1[j];

                    tg_zzzzzzzz_xxxxzzz_0[j] = pb_z * tg_zzzzzzz_xxxxzzz_0[j] + fr * tg_zzzzzzz_xxxxzzz_1[j] + 3.5 * fl1_fx * (tg_zzzzzz_xxxxzzz_0[j] - tg_zzzzzz_xxxxzzz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_zzzzzzz_xxxxzz_1[j];

                    tg_zzzzzzzz_xxxyyyy_0[j] = pb_z * tg_zzzzzzz_xxxyyyy_0[j] + fr * tg_zzzzzzz_xxxyyyy_1[j] + 3.5 * fl1_fx * (tg_zzzzzz_xxxyyyy_0[j] - tg_zzzzzz_xxxyyyy_1[j] * fl1_fza);

                    tg_zzzzzzzz_xxxyyyz_0[j] = pb_z * tg_zzzzzzz_xxxyyyz_0[j] + fr * tg_zzzzzzz_xxxyyyz_1[j] + 3.5 * fl1_fx * (tg_zzzzzz_xxxyyyz_0[j] - tg_zzzzzz_xxxyyyz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_zzzzzzz_xxxyyy_1[j];

                    tg_zzzzzzzz_xxxyyzz_0[j] = pb_z * tg_zzzzzzz_xxxyyzz_0[j] + fr * tg_zzzzzzz_xxxyyzz_1[j] + 3.5 * fl1_fx * (tg_zzzzzz_xxxyyzz_0[j] - tg_zzzzzz_xxxyyzz_1[j] * fl1_fza) + fl1_fxn * tg_zzzzzzz_xxxyyz_1[j];

                    tg_zzzzzzzz_xxxyzzz_0[j] = pb_z * tg_zzzzzzz_xxxyzzz_0[j] + fr * tg_zzzzzzz_xxxyzzz_1[j] + 3.5 * fl1_fx * (tg_zzzzzz_xxxyzzz_0[j] - tg_zzzzzz_xxxyzzz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_zzzzzzz_xxxyzz_1[j];

                    tg_zzzzzzzz_xxxzzzz_0[j] = pb_z * tg_zzzzzzz_xxxzzzz_0[j] + fr * tg_zzzzzzz_xxxzzzz_1[j] + 3.5 * fl1_fx * (tg_zzzzzz_xxxzzzz_0[j] - tg_zzzzzz_xxxzzzz_1[j] * fl1_fza) + 2.0 * fl1_fxn * tg_zzzzzzz_xxxzzz_1[j];

                    tg_zzzzzzzz_xxyyyyy_0[j] = pb_z * tg_zzzzzzz_xxyyyyy_0[j] + fr * tg_zzzzzzz_xxyyyyy_1[j] + 3.5 * fl1_fx * (tg_zzzzzz_xxyyyyy_0[j] - tg_zzzzzz_xxyyyyy_1[j] * fl1_fza);

                    tg_zzzzzzzz_xxyyyyz_0[j] = pb_z * tg_zzzzzzz_xxyyyyz_0[j] + fr * tg_zzzzzzz_xxyyyyz_1[j] + 3.5 * fl1_fx * (tg_zzzzzz_xxyyyyz_0[j] - tg_zzzzzz_xxyyyyz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_zzzzzzz_xxyyyy_1[j];

                    tg_zzzzzzzz_xxyyyzz_0[j] = pb_z * tg_zzzzzzz_xxyyyzz_0[j] + fr * tg_zzzzzzz_xxyyyzz_1[j] + 3.5 * fl1_fx * (tg_zzzzzz_xxyyyzz_0[j] - tg_zzzzzz_xxyyyzz_1[j] * fl1_fza) + fl1_fxn * tg_zzzzzzz_xxyyyz_1[j];

                    tg_zzzzzzzz_xxyyzzz_0[j] = pb_z * tg_zzzzzzz_xxyyzzz_0[j] + fr * tg_zzzzzzz_xxyyzzz_1[j] + 3.5 * fl1_fx * (tg_zzzzzz_xxyyzzz_0[j] - tg_zzzzzz_xxyyzzz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_zzzzzzz_xxyyzz_1[j];

                    tg_zzzzzzzz_xxyzzzz_0[j] = pb_z * tg_zzzzzzz_xxyzzzz_0[j] + fr * tg_zzzzzzz_xxyzzzz_1[j] + 3.5 * fl1_fx * (tg_zzzzzz_xxyzzzz_0[j] - tg_zzzzzz_xxyzzzz_1[j] * fl1_fza) + 2.0 * fl1_fxn * tg_zzzzzzz_xxyzzz_1[j];

                    tg_zzzzzzzz_xxzzzzz_0[j] = pb_z * tg_zzzzzzz_xxzzzzz_0[j] + fr * tg_zzzzzzz_xxzzzzz_1[j] + 3.5 * fl1_fx * (tg_zzzzzz_xxzzzzz_0[j] - tg_zzzzzz_xxzzzzz_1[j] * fl1_fza) + 2.5 * fl1_fxn * tg_zzzzzzz_xxzzzz_1[j];

                    tg_zzzzzzzz_xyyyyyy_0[j] = pb_z * tg_zzzzzzz_xyyyyyy_0[j] + fr * tg_zzzzzzz_xyyyyyy_1[j] + 3.5 * fl1_fx * (tg_zzzzzz_xyyyyyy_0[j] - tg_zzzzzz_xyyyyyy_1[j] * fl1_fza);

                    tg_zzzzzzzz_xyyyyyz_0[j] = pb_z * tg_zzzzzzz_xyyyyyz_0[j] + fr * tg_zzzzzzz_xyyyyyz_1[j] + 3.5 * fl1_fx * (tg_zzzzzz_xyyyyyz_0[j] - tg_zzzzzz_xyyyyyz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_zzzzzzz_xyyyyy_1[j];

                    tg_zzzzzzzz_xyyyyzz_0[j] = pb_z * tg_zzzzzzz_xyyyyzz_0[j] + fr * tg_zzzzzzz_xyyyyzz_1[j] + 3.5 * fl1_fx * (tg_zzzzzz_xyyyyzz_0[j] - tg_zzzzzz_xyyyyzz_1[j] * fl1_fza) + fl1_fxn * tg_zzzzzzz_xyyyyz_1[j];

                    tg_zzzzzzzz_xyyyzzz_0[j] = pb_z * tg_zzzzzzz_xyyyzzz_0[j] + fr * tg_zzzzzzz_xyyyzzz_1[j] + 3.5 * fl1_fx * (tg_zzzzzz_xyyyzzz_0[j] - tg_zzzzzz_xyyyzzz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_zzzzzzz_xyyyzz_1[j];

                    tg_zzzzzzzz_xyyzzzz_0[j] = pb_z * tg_zzzzzzz_xyyzzzz_0[j] + fr * tg_zzzzzzz_xyyzzzz_1[j] + 3.5 * fl1_fx * (tg_zzzzzz_xyyzzzz_0[j] - tg_zzzzzz_xyyzzzz_1[j] * fl1_fza) + 2.0 * fl1_fxn * tg_zzzzzzz_xyyzzz_1[j];

                    tg_zzzzzzzz_xyzzzzz_0[j] = pb_z * tg_zzzzzzz_xyzzzzz_0[j] + fr * tg_zzzzzzz_xyzzzzz_1[j] + 3.5 * fl1_fx * (tg_zzzzzz_xyzzzzz_0[j] - tg_zzzzzz_xyzzzzz_1[j] * fl1_fza) + 2.5 * fl1_fxn * tg_zzzzzzz_xyzzzz_1[j];

                    tg_zzzzzzzz_xzzzzzz_0[j] = pb_z * tg_zzzzzzz_xzzzzzz_0[j] + fr * tg_zzzzzzz_xzzzzzz_1[j] + 3.5 * fl1_fx * (tg_zzzzzz_xzzzzzz_0[j] - tg_zzzzzz_xzzzzzz_1[j] * fl1_fza) + 3.0 * fl1_fxn * tg_zzzzzzz_xzzzzz_1[j];

                    tg_zzzzzzzz_yyyyyyy_0[j] = pb_z * tg_zzzzzzz_yyyyyyy_0[j] + fr * tg_zzzzzzz_yyyyyyy_1[j] + 3.5 * fl1_fx * (tg_zzzzzz_yyyyyyy_0[j] - tg_zzzzzz_yyyyyyy_1[j] * fl1_fza);

                    tg_zzzzzzzz_yyyyyyz_0[j] = pb_z * tg_zzzzzzz_yyyyyyz_0[j] + fr * tg_zzzzzzz_yyyyyyz_1[j] + 3.5 * fl1_fx * (tg_zzzzzz_yyyyyyz_0[j] - tg_zzzzzz_yyyyyyz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_zzzzzzz_yyyyyy_1[j];

                    tg_zzzzzzzz_yyyyyzz_0[j] = pb_z * tg_zzzzzzz_yyyyyzz_0[j] + fr * tg_zzzzzzz_yyyyyzz_1[j] + 3.5 * fl1_fx * (tg_zzzzzz_yyyyyzz_0[j] - tg_zzzzzz_yyyyyzz_1[j] * fl1_fza) + fl1_fxn * tg_zzzzzzz_yyyyyz_1[j];

                    tg_zzzzzzzz_yyyyzzz_0[j] = pb_z * tg_zzzzzzz_yyyyzzz_0[j] + fr * tg_zzzzzzz_yyyyzzz_1[j] + 3.5 * fl1_fx * (tg_zzzzzz_yyyyzzz_0[j] - tg_zzzzzz_yyyyzzz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_zzzzzzz_yyyyzz_1[j];

                    tg_zzzzzzzz_yyyzzzz_0[j] = pb_z * tg_zzzzzzz_yyyzzzz_0[j] + fr * tg_zzzzzzz_yyyzzzz_1[j] + 3.5 * fl1_fx * (tg_zzzzzz_yyyzzzz_0[j] - tg_zzzzzz_yyyzzzz_1[j] * fl1_fza) + 2.0 * fl1_fxn * tg_zzzzzzz_yyyzzz_1[j];

                    tg_zzzzzzzz_yyzzzzz_0[j] = pb_z * tg_zzzzzzz_yyzzzzz_0[j] + fr * tg_zzzzzzz_yyzzzzz_1[j] + 3.5 * fl1_fx * (tg_zzzzzz_yyzzzzz_0[j] - tg_zzzzzz_yyzzzzz_1[j] * fl1_fza) + 2.5 * fl1_fxn * tg_zzzzzzz_yyzzzz_1[j];

                    tg_zzzzzzzz_yzzzzzz_0[j] = pb_z * tg_zzzzzzz_yzzzzzz_0[j] + fr * tg_zzzzzzz_yzzzzzz_1[j] + 3.5 * fl1_fx * (tg_zzzzzz_yzzzzzz_0[j] - tg_zzzzzz_yzzzzzz_1[j] * fl1_fza) + 3.0 * fl1_fxn * tg_zzzzzzz_yzzzzz_1[j];

                    tg_zzzzzzzz_zzzzzzz_0[j] = pb_z * tg_zzzzzzz_zzzzzzz_0[j] + fr * tg_zzzzzzz_zzzzzzz_1[j] + 3.5 * fl1_fx * (tg_zzzzzz_zzzzzzz_0[j] - tg_zzzzzz_zzzzzzz_1[j] * fl1_fza) + 3.5 * fl1_fxn * tg_zzzzzzz_zzzzzz_1[j];
                }

                idx++;
            }
        }
    }


} // erirecfunc namespace

