//
//                           VELOXCHEM 1.0-RC
//      ---------------------------------------------------
//                     An Electronic Structure Code
//
//  Copyright © 2018-2020 by VeloxChem developers. All rights reserved.
//  Contact: https://veloxchem.org/contact

#include "ElectronRepulsionRecFuncForLL.hpp"

namespace erirecfunc { // erirecfunc namespace

    void
    compElectronRepulsionForSLSL(      CMemBlock2D<double>* primBuffer,
                                 const CRecursionMap&       recursionMap,
                                 const CMemBlock2D<double>& osFactors,
                                 const CMemBlock2D<double>& wpDistances,
                                 const CGtoPairsBlock&      braGtoPairsBlock,
                                 const CGtoPairsBlock&      ketGtoPairsBlock,
                                 const int32_t              nKetPrimPairs,
                                 const int32_t              iContrPair)
    {
        erirecfunc::compElectronRepulsionForSLSL_0_97(primBuffer,
                                                      recursionMap,
                                                      osFactors,
                                                      wpDistances, 
                                                      braGtoPairsBlock,
                                                      ketGtoPairsBlock,
                                                      nKetPrimPairs,
                                                      iContrPair); 

        erirecfunc::compElectronRepulsionForSLSL_97_194(primBuffer,
                                                        recursionMap,
                                                        osFactors,
                                                        wpDistances, 
                                                        braGtoPairsBlock,
                                                        ketGtoPairsBlock,
                                                        nKetPrimPairs,
                                                        iContrPair); 

        erirecfunc::compElectronRepulsionForSLSL_194_291(primBuffer,
                                                         recursionMap,
                                                         osFactors,
                                                         wpDistances, 
                                                         braGtoPairsBlock,
                                                         ketGtoPairsBlock,
                                                         nKetPrimPairs,
                                                         iContrPair); 

        erirecfunc::compElectronRepulsionForSLSL_291_388(primBuffer,
                                                         recursionMap,
                                                         osFactors,
                                                         wpDistances, 
                                                         braGtoPairsBlock,
                                                         ketGtoPairsBlock,
                                                         nKetPrimPairs,
                                                         iContrPair); 

        erirecfunc::compElectronRepulsionForSLSL_388_485(primBuffer,
                                                         recursionMap,
                                                         osFactors,
                                                         wpDistances, 
                                                         braGtoPairsBlock,
                                                         ketGtoPairsBlock,
                                                         nKetPrimPairs,
                                                         iContrPair); 

        erirecfunc::compElectronRepulsionForSLSL_485_582(primBuffer,
                                                         recursionMap,
                                                         osFactors,
                                                         wpDistances, 
                                                         braGtoPairsBlock,
                                                         ketGtoPairsBlock,
                                                         nKetPrimPairs,
                                                         iContrPair); 

        erirecfunc::compElectronRepulsionForSLSL_582_679(primBuffer,
                                                         recursionMap,
                                                         osFactors,
                                                         wpDistances, 
                                                         braGtoPairsBlock,
                                                         ketGtoPairsBlock,
                                                         nKetPrimPairs,
                                                         iContrPair); 

        erirecfunc::compElectronRepulsionForSLSL_679_776(primBuffer,
                                                         recursionMap,
                                                         osFactors,
                                                         wpDistances, 
                                                         braGtoPairsBlock,
                                                         ketGtoPairsBlock,
                                                         nKetPrimPairs,
                                                         iContrPair); 

        erirecfunc::compElectronRepulsionForSLSL_776_873(primBuffer,
                                                         recursionMap,
                                                         osFactors,
                                                         wpDistances, 
                                                         braGtoPairsBlock,
                                                         ketGtoPairsBlock,
                                                         nKetPrimPairs,
                                                         iContrPair); 

        erirecfunc::compElectronRepulsionForSLSL_873_969(primBuffer,
                                                         recursionMap,
                                                         osFactors,
                                                         wpDistances, 
                                                         braGtoPairsBlock,
                                                         ketGtoPairsBlock,
                                                         nKetPrimPairs,
                                                         iContrPair); 

        erirecfunc::compElectronRepulsionForSLSL_969_1065(primBuffer,
                                                          recursionMap,
                                                          osFactors,
                                                          wpDistances, 
                                                          braGtoPairsBlock,
                                                          ketGtoPairsBlock,
                                                          nKetPrimPairs,
                                                          iContrPair); 

        erirecfunc::compElectronRepulsionForSLSL_1065_1161(primBuffer,
                                                           recursionMap,
                                                           osFactors,
                                                           wpDistances, 
                                                           braGtoPairsBlock,
                                                           ketGtoPairsBlock,
                                                           nKetPrimPairs,
                                                           iContrPair); 

        erirecfunc::compElectronRepulsionForSLSL_1161_1257(primBuffer,
                                                           recursionMap,
                                                           osFactors,
                                                           wpDistances, 
                                                           braGtoPairsBlock,
                                                           ketGtoPairsBlock,
                                                           nKetPrimPairs,
                                                           iContrPair); 

        erirecfunc::compElectronRepulsionForSLSL_1257_1353(primBuffer,
                                                           recursionMap,
                                                           osFactors,
                                                           wpDistances, 
                                                           braGtoPairsBlock,
                                                           ketGtoPairsBlock,
                                                           nKetPrimPairs,
                                                           iContrPair); 

        erirecfunc::compElectronRepulsionForSLSL_1353_1449(primBuffer,
                                                           recursionMap,
                                                           osFactors,
                                                           wpDistances, 
                                                           braGtoPairsBlock,
                                                           ketGtoPairsBlock,
                                                           nKetPrimPairs,
                                                           iContrPair); 

        erirecfunc::compElectronRepulsionForSLSL_1449_1545(primBuffer,
                                                           recursionMap,
                                                           osFactors,
                                                           wpDistances, 
                                                           braGtoPairsBlock,
                                                           ketGtoPairsBlock,
                                                           nKetPrimPairs,
                                                           iContrPair); 

        erirecfunc::compElectronRepulsionForSLSL_1545_1641(primBuffer,
                                                           recursionMap,
                                                           osFactors,
                                                           wpDistances, 
                                                           braGtoPairsBlock,
                                                           ketGtoPairsBlock,
                                                           nKetPrimPairs,
                                                           iContrPair); 

        erirecfunc::compElectronRepulsionForSLSL_1641_1737(primBuffer,
                                                           recursionMap,
                                                           osFactors,
                                                           wpDistances, 
                                                           braGtoPairsBlock,
                                                           ketGtoPairsBlock,
                                                           nKetPrimPairs,
                                                           iContrPair); 

        erirecfunc::compElectronRepulsionForSLSL_1737_1833(primBuffer,
                                                           recursionMap,
                                                           osFactors,
                                                           wpDistances, 
                                                           braGtoPairsBlock,
                                                           ketGtoPairsBlock,
                                                           nKetPrimPairs,
                                                           iContrPair); 

        erirecfunc::compElectronRepulsionForSLSL_1833_1929(primBuffer,
                                                           recursionMap,
                                                           osFactors,
                                                           wpDistances, 
                                                           braGtoPairsBlock,
                                                           ketGtoPairsBlock,
                                                           nKetPrimPairs,
                                                           iContrPair); 

        erirecfunc::compElectronRepulsionForSLSL_1929_2025(primBuffer,
                                                           recursionMap,
                                                           osFactors,
                                                           wpDistances, 
                                                           braGtoPairsBlock,
                                                           ketGtoPairsBlock,
                                                           nKetPrimPairs,
                                                           iContrPair); 
    }

    void
    compElectronRepulsionForSLSL_0_97(      CMemBlock2D<double>* primBuffer,
                                      const CRecursionMap&       recursionMap,
                                      const CMemBlock2D<double>& osFactors,
                                      const CMemBlock2D<double>& wpDistances,
                                      const CGtoPairsBlock&      braGtoPairsBlock,
                                      const CGtoPairsBlock&      ketGtoPairsBlock,
                                      const int32_t              nKetPrimPairs,
                                      const int32_t              iContrPair)
    {
        // Batch of Integrals (0,97)

        // set up pointers to primitives data on bra side

        auto spos = braGtoPairsBlock.getStartPositions();

        auto epos = braGtoPairsBlock.getEndPositions();

        // set up pointers to tensor of distance R(PB) = P - B

        auto r_pb_x = braGtoPairsBlock.getDistancesPBX();

        // set up pointers to common Obara-Saika factors

        auto b_fx = braGtoPairsBlock.getFactorsOneOverXi();

        // set up maximum order of integral

        auto mord = recursionMap.getMaxOrder({"Electron Repulsion"},
                                             {8, -1, -1, -1},
                                             {8, -1, -1, -1},
                                             1, 1);

        for (int32_t iord = 0; iord <= mord; iord++)
        {
            // set up index of integral

            auto pidx_g_8_8_m0 = recursionMap.index(CRecursionTerm({"Electron Repulsion"}, 0, true, 
                                                                   {8, -1, -1, -1}, {8, -1, -1, -1}, 
                                                                   1, 1, iord));

            // check if integral is needed in recursion expansion

            if (pidx_g_8_8_m0 == -1) continue;

            // set up indexes of auxilary integral

            auto pidx_g_7_8_m0 = recursionMap.index(CRecursionTerm({"Electron Repulsion"}, 0, true, 
                                                                   {7, -1, -1, -1}, {8, -1, -1, -1}, 
                                                                   1, 1, iord));

            auto pidx_g_7_8_m1 = recursionMap.index(CRecursionTerm({"Electron Repulsion"}, 0, true, 
                                                                   {7, -1, -1, -1}, {8, -1, -1, -1}, 
                                                                   1, 1, iord + 1));

            auto pidx_g_6_8_m0 = recursionMap.index(CRecursionTerm({"Electron Repulsion"}, 0, true, 
                                                                   {6, -1, -1, -1}, {8, -1, -1, -1}, 
                                                                   1, 1, iord));

            auto pidx_g_6_8_m1 = recursionMap.index(CRecursionTerm({"Electron Repulsion"}, 0, true, 
                                                                   {6, -1, -1, -1}, {8, -1, -1, -1}, 
                                                                   1, 1, iord + 1));

            auto pidx_g_7_7_m1 = recursionMap.index(CRecursionTerm({"Electron Repulsion"}, 0, true, 
                                                                   {7, -1, -1, -1}, {7, -1, -1, -1}, 
                                                                   1, 1, iord + 1));

            // loop over contracted GTO on bra side

            int32_t idx = 0;

            for (int32_t i = spos[iContrPair]; i < epos[iContrPair]; i++)
            {
                // set up pointers to Obara-Saika factors

                double fx = b_fx[i];

                auto fza = osFactors.data(4 * idx + 2);

                auto fxn = osFactors.data(4 * idx);

                // set up distances R(PB) = P - B

                auto pb_x = r_pb_x[i];

                // set up pointers to tensors product of distances R(WP) = W - P

                auto wp_x = wpDistances.data(3 * idx);

                // set up pointers to auxilary integrals

                auto tg_xxxxxxx_xxxxxxxx_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx); 

                auto tg_xxxxxxx_xxxxxxxy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1); 

                auto tg_xxxxxxx_xxxxxxxz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 2); 

                auto tg_xxxxxxx_xxxxxxyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 3); 

                auto tg_xxxxxxx_xxxxxxyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 4); 

                auto tg_xxxxxxx_xxxxxxzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 5); 

                auto tg_xxxxxxx_xxxxxyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 6); 

                auto tg_xxxxxxx_xxxxxyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 7); 

                auto tg_xxxxxxx_xxxxxyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 8); 

                auto tg_xxxxxxx_xxxxxzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 9); 

                auto tg_xxxxxxx_xxxxyyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 10); 

                auto tg_xxxxxxx_xxxxyyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 11); 

                auto tg_xxxxxxx_xxxxyyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 12); 

                auto tg_xxxxxxx_xxxxyzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 13); 

                auto tg_xxxxxxx_xxxxzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 14); 

                auto tg_xxxxxxx_xxxyyyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 15); 

                auto tg_xxxxxxx_xxxyyyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 16); 

                auto tg_xxxxxxx_xxxyyyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 17); 

                auto tg_xxxxxxx_xxxyyzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 18); 

                auto tg_xxxxxxx_xxxyzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 19); 

                auto tg_xxxxxxx_xxxzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 20); 

                auto tg_xxxxxxx_xxyyyyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 21); 

                auto tg_xxxxxxx_xxyyyyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 22); 

                auto tg_xxxxxxx_xxyyyyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 23); 

                auto tg_xxxxxxx_xxyyyzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 24); 

                auto tg_xxxxxxx_xxyyzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 25); 

                auto tg_xxxxxxx_xxyzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 26); 

                auto tg_xxxxxxx_xxzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 27); 

                auto tg_xxxxxxx_xyyyyyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 28); 

                auto tg_xxxxxxx_xyyyyyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 29); 

                auto tg_xxxxxxx_xyyyyyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 30); 

                auto tg_xxxxxxx_xyyyyzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 31); 

                auto tg_xxxxxxx_xyyyzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 32); 

                auto tg_xxxxxxx_xyyzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 33); 

                auto tg_xxxxxxx_xyzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 34); 

                auto tg_xxxxxxx_xzzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 35); 

                auto tg_xxxxxxx_yyyyyyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 36); 

                auto tg_xxxxxxx_yyyyyyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 37); 

                auto tg_xxxxxxx_yyyyyyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 38); 

                auto tg_xxxxxxx_yyyyyzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 39); 

                auto tg_xxxxxxx_yyyyzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 40); 

                auto tg_xxxxxxx_yyyzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 41); 

                auto tg_xxxxxxx_yyzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 42); 

                auto tg_xxxxxxx_yzzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 43); 

                auto tg_xxxxxxx_zzzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 44); 

                auto tg_xxxxxxy_xxxxxxxx_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 45); 

                auto tg_xxxxxxy_xxxxxxxy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 46); 

                auto tg_xxxxxxy_xxxxxxxz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 47); 

                auto tg_xxxxxxy_xxxxxxyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 48); 

                auto tg_xxxxxxy_xxxxxxyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 49); 

                auto tg_xxxxxxy_xxxxxxzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 50); 

                auto tg_xxxxxxy_xxxxxyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 51); 

                auto tg_xxxxxxy_xxxxxyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 52); 

                auto tg_xxxxxxy_xxxxxyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 53); 

                auto tg_xxxxxxy_xxxxxzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 54); 

                auto tg_xxxxxxy_xxxxyyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 55); 

                auto tg_xxxxxxy_xxxxyyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 56); 

                auto tg_xxxxxxy_xxxxyyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 57); 

                auto tg_xxxxxxy_xxxxyzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 58); 

                auto tg_xxxxxxy_xxxxzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 59); 

                auto tg_xxxxxxy_xxxyyyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 60); 

                auto tg_xxxxxxy_xxxyyyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 61); 

                auto tg_xxxxxxy_xxxyyyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 62); 

                auto tg_xxxxxxy_xxxyyzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 63); 

                auto tg_xxxxxxy_xxxyzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 64); 

                auto tg_xxxxxxy_xxxzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 65); 

                auto tg_xxxxxxy_xxyyyyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 66); 

                auto tg_xxxxxxy_xxyyyyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 67); 

                auto tg_xxxxxxy_xxyyyyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 68); 

                auto tg_xxxxxxy_xxyyyzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 69); 

                auto tg_xxxxxxy_xxyyzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 70); 

                auto tg_xxxxxxy_xxyzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 71); 

                auto tg_xxxxxxy_xxzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 72); 

                auto tg_xxxxxxy_xyyyyyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 73); 

                auto tg_xxxxxxy_xyyyyyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 74); 

                auto tg_xxxxxxy_xyyyyyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 75); 

                auto tg_xxxxxxy_xyyyyzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 76); 

                auto tg_xxxxxxy_xyyyzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 77); 

                auto tg_xxxxxxy_xyyzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 78); 

                auto tg_xxxxxxy_xyzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 79); 

                auto tg_xxxxxxy_xzzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 80); 

                auto tg_xxxxxxy_yyyyyyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 81); 

                auto tg_xxxxxxy_yyyyyyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 82); 

                auto tg_xxxxxxy_yyyyyyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 83); 

                auto tg_xxxxxxy_yyyyyzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 84); 

                auto tg_xxxxxxy_yyyyzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 85); 

                auto tg_xxxxxxy_yyyzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 86); 

                auto tg_xxxxxxy_yyzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 87); 

                auto tg_xxxxxxy_yzzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 88); 

                auto tg_xxxxxxy_zzzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 89); 

                auto tg_xxxxxxz_xxxxxxxx_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 90); 

                auto tg_xxxxxxz_xxxxxxxy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 91); 

                auto tg_xxxxxxz_xxxxxxxz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 92); 

                auto tg_xxxxxxz_xxxxxxyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 93); 

                auto tg_xxxxxxz_xxxxxxyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 94); 

                auto tg_xxxxxxz_xxxxxxzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 95); 

                auto tg_xxxxxxz_xxxxxyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 96); 

                auto tg_xxxxxxx_xxxxxxxx_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx); 

                auto tg_xxxxxxx_xxxxxxxy_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1); 

                auto tg_xxxxxxx_xxxxxxxz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 2); 

                auto tg_xxxxxxx_xxxxxxyy_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 3); 

                auto tg_xxxxxxx_xxxxxxyz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 4); 

                auto tg_xxxxxxx_xxxxxxzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 5); 

                auto tg_xxxxxxx_xxxxxyyy_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 6); 

                auto tg_xxxxxxx_xxxxxyyz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 7); 

                auto tg_xxxxxxx_xxxxxyzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 8); 

                auto tg_xxxxxxx_xxxxxzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 9); 

                auto tg_xxxxxxx_xxxxyyyy_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 10); 

                auto tg_xxxxxxx_xxxxyyyz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 11); 

                auto tg_xxxxxxx_xxxxyyzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 12); 

                auto tg_xxxxxxx_xxxxyzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 13); 

                auto tg_xxxxxxx_xxxxzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 14); 

                auto tg_xxxxxxx_xxxyyyyy_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 15); 

                auto tg_xxxxxxx_xxxyyyyz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 16); 

                auto tg_xxxxxxx_xxxyyyzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 17); 

                auto tg_xxxxxxx_xxxyyzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 18); 

                auto tg_xxxxxxx_xxxyzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 19); 

                auto tg_xxxxxxx_xxxzzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 20); 

                auto tg_xxxxxxx_xxyyyyyy_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 21); 

                auto tg_xxxxxxx_xxyyyyyz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 22); 

                auto tg_xxxxxxx_xxyyyyzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 23); 

                auto tg_xxxxxxx_xxyyyzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 24); 

                auto tg_xxxxxxx_xxyyzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 25); 

                auto tg_xxxxxxx_xxyzzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 26); 

                auto tg_xxxxxxx_xxzzzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 27); 

                auto tg_xxxxxxx_xyyyyyyy_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 28); 

                auto tg_xxxxxxx_xyyyyyyz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 29); 

                auto tg_xxxxxxx_xyyyyyzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 30); 

                auto tg_xxxxxxx_xyyyyzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 31); 

                auto tg_xxxxxxx_xyyyzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 32); 

                auto tg_xxxxxxx_xyyzzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 33); 

                auto tg_xxxxxxx_xyzzzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 34); 

                auto tg_xxxxxxx_xzzzzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 35); 

                auto tg_xxxxxxx_yyyyyyyy_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 36); 

                auto tg_xxxxxxx_yyyyyyyz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 37); 

                auto tg_xxxxxxx_yyyyyyzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 38); 

                auto tg_xxxxxxx_yyyyyzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 39); 

                auto tg_xxxxxxx_yyyyzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 40); 

                auto tg_xxxxxxx_yyyzzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 41); 

                auto tg_xxxxxxx_yyzzzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 42); 

                auto tg_xxxxxxx_yzzzzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 43); 

                auto tg_xxxxxxx_zzzzzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 44); 

                auto tg_xxxxxxy_xxxxxxxx_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 45); 

                auto tg_xxxxxxy_xxxxxxxy_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 46); 

                auto tg_xxxxxxy_xxxxxxxz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 47); 

                auto tg_xxxxxxy_xxxxxxyy_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 48); 

                auto tg_xxxxxxy_xxxxxxyz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 49); 

                auto tg_xxxxxxy_xxxxxxzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 50); 

                auto tg_xxxxxxy_xxxxxyyy_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 51); 

                auto tg_xxxxxxy_xxxxxyyz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 52); 

                auto tg_xxxxxxy_xxxxxyzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 53); 

                auto tg_xxxxxxy_xxxxxzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 54); 

                auto tg_xxxxxxy_xxxxyyyy_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 55); 

                auto tg_xxxxxxy_xxxxyyyz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 56); 

                auto tg_xxxxxxy_xxxxyyzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 57); 

                auto tg_xxxxxxy_xxxxyzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 58); 

                auto tg_xxxxxxy_xxxxzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 59); 

                auto tg_xxxxxxy_xxxyyyyy_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 60); 

                auto tg_xxxxxxy_xxxyyyyz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 61); 

                auto tg_xxxxxxy_xxxyyyzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 62); 

                auto tg_xxxxxxy_xxxyyzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 63); 

                auto tg_xxxxxxy_xxxyzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 64); 

                auto tg_xxxxxxy_xxxzzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 65); 

                auto tg_xxxxxxy_xxyyyyyy_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 66); 

                auto tg_xxxxxxy_xxyyyyyz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 67); 

                auto tg_xxxxxxy_xxyyyyzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 68); 

                auto tg_xxxxxxy_xxyyyzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 69); 

                auto tg_xxxxxxy_xxyyzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 70); 

                auto tg_xxxxxxy_xxyzzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 71); 

                auto tg_xxxxxxy_xxzzzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 72); 

                auto tg_xxxxxxy_xyyyyyyy_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 73); 

                auto tg_xxxxxxy_xyyyyyyz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 74); 

                auto tg_xxxxxxy_xyyyyyzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 75); 

                auto tg_xxxxxxy_xyyyyzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 76); 

                auto tg_xxxxxxy_xyyyzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 77); 

                auto tg_xxxxxxy_xyyzzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 78); 

                auto tg_xxxxxxy_xyzzzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 79); 

                auto tg_xxxxxxy_xzzzzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 80); 

                auto tg_xxxxxxy_yyyyyyyy_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 81); 

                auto tg_xxxxxxy_yyyyyyyz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 82); 

                auto tg_xxxxxxy_yyyyyyzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 83); 

                auto tg_xxxxxxy_yyyyyzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 84); 

                auto tg_xxxxxxy_yyyyzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 85); 

                auto tg_xxxxxxy_yyyzzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 86); 

                auto tg_xxxxxxy_yyzzzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 87); 

                auto tg_xxxxxxy_yzzzzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 88); 

                auto tg_xxxxxxy_zzzzzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 89); 

                auto tg_xxxxxxz_xxxxxxxx_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 90); 

                auto tg_xxxxxxz_xxxxxxxy_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 91); 

                auto tg_xxxxxxz_xxxxxxxz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 92); 

                auto tg_xxxxxxz_xxxxxxyy_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 93); 

                auto tg_xxxxxxz_xxxxxxyz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 94); 

                auto tg_xxxxxxz_xxxxxxzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 95); 

                auto tg_xxxxxxz_xxxxxyyy_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 96); 

                auto tg_xxxxxx_xxxxxxxx_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx); 

                auto tg_xxxxxx_xxxxxxxy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1); 

                auto tg_xxxxxx_xxxxxxxz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 2); 

                auto tg_xxxxxx_xxxxxxyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 3); 

                auto tg_xxxxxx_xxxxxxyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 4); 

                auto tg_xxxxxx_xxxxxxzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 5); 

                auto tg_xxxxxx_xxxxxyyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 6); 

                auto tg_xxxxxx_xxxxxyyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 7); 

                auto tg_xxxxxx_xxxxxyzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 8); 

                auto tg_xxxxxx_xxxxxzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 9); 

                auto tg_xxxxxx_xxxxyyyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 10); 

                auto tg_xxxxxx_xxxxyyyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 11); 

                auto tg_xxxxxx_xxxxyyzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 12); 

                auto tg_xxxxxx_xxxxyzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 13); 

                auto tg_xxxxxx_xxxxzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 14); 

                auto tg_xxxxxx_xxxyyyyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 15); 

                auto tg_xxxxxx_xxxyyyyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 16); 

                auto tg_xxxxxx_xxxyyyzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 17); 

                auto tg_xxxxxx_xxxyyzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 18); 

                auto tg_xxxxxx_xxxyzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 19); 

                auto tg_xxxxxx_xxxzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 20); 

                auto tg_xxxxxx_xxyyyyyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 21); 

                auto tg_xxxxxx_xxyyyyyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 22); 

                auto tg_xxxxxx_xxyyyyzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 23); 

                auto tg_xxxxxx_xxyyyzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 24); 

                auto tg_xxxxxx_xxyyzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 25); 

                auto tg_xxxxxx_xxyzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 26); 

                auto tg_xxxxxx_xxzzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 27); 

                auto tg_xxxxxx_xyyyyyyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 28); 

                auto tg_xxxxxx_xyyyyyyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 29); 

                auto tg_xxxxxx_xyyyyyzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 30); 

                auto tg_xxxxxx_xyyyyzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 31); 

                auto tg_xxxxxx_xyyyzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 32); 

                auto tg_xxxxxx_xyyzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 33); 

                auto tg_xxxxxx_xyzzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 34); 

                auto tg_xxxxxx_xzzzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 35); 

                auto tg_xxxxxx_yyyyyyyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 36); 

                auto tg_xxxxxx_yyyyyyyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 37); 

                auto tg_xxxxxx_yyyyyyzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 38); 

                auto tg_xxxxxx_yyyyyzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 39); 

                auto tg_xxxxxx_yyyyzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 40); 

                auto tg_xxxxxx_yyyzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 41); 

                auto tg_xxxxxx_yyzzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 42); 

                auto tg_xxxxxx_yzzzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 43); 

                auto tg_xxxxxx_zzzzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 44); 

                auto tg_xxxxxy_xxxxxxxx_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 45); 

                auto tg_xxxxxy_xxxxxxxy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 46); 

                auto tg_xxxxxy_xxxxxxxz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 47); 

                auto tg_xxxxxy_xxxxxxyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 48); 

                auto tg_xxxxxy_xxxxxxyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 49); 

                auto tg_xxxxxy_xxxxxxzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 50); 

                auto tg_xxxxxy_xxxxxyyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 51); 

                auto tg_xxxxxy_xxxxxyyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 52); 

                auto tg_xxxxxy_xxxxxyzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 53); 

                auto tg_xxxxxy_xxxxxzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 54); 

                auto tg_xxxxxy_xxxxyyyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 55); 

                auto tg_xxxxxy_xxxxyyyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 56); 

                auto tg_xxxxxy_xxxxyyzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 57); 

                auto tg_xxxxxy_xxxxyzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 58); 

                auto tg_xxxxxy_xxxxzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 59); 

                auto tg_xxxxxy_xxxyyyyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 60); 

                auto tg_xxxxxy_xxxyyyyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 61); 

                auto tg_xxxxxy_xxxyyyzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 62); 

                auto tg_xxxxxy_xxxyyzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 63); 

                auto tg_xxxxxy_xxxyzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 64); 

                auto tg_xxxxxy_xxxzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 65); 

                auto tg_xxxxxy_xxyyyyyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 66); 

                auto tg_xxxxxy_xxyyyyyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 67); 

                auto tg_xxxxxy_xxyyyyzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 68); 

                auto tg_xxxxxy_xxyyyzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 69); 

                auto tg_xxxxxy_xxyyzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 70); 

                auto tg_xxxxxy_xxyzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 71); 

                auto tg_xxxxxy_xxzzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 72); 

                auto tg_xxxxxy_xyyyyyyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 73); 

                auto tg_xxxxxy_xyyyyyyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 74); 

                auto tg_xxxxxy_xyyyyyzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 75); 

                auto tg_xxxxxy_xyyyyzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 76); 

                auto tg_xxxxxy_xyyyzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 77); 

                auto tg_xxxxxy_xyyzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 78); 

                auto tg_xxxxxy_xyzzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 79); 

                auto tg_xxxxxy_xzzzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 80); 

                auto tg_xxxxxy_yyyyyyyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 81); 

                auto tg_xxxxxy_yyyyyyyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 82); 

                auto tg_xxxxxy_yyyyyyzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 83); 

                auto tg_xxxxxy_yyyyyzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 84); 

                auto tg_xxxxxy_yyyyzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 85); 

                auto tg_xxxxxy_yyyzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 86); 

                auto tg_xxxxxy_yyzzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 87); 

                auto tg_xxxxxy_yzzzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 88); 

                auto tg_xxxxxy_zzzzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 89); 

                auto tg_xxxxxz_xxxxxxxx_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 90); 

                auto tg_xxxxxz_xxxxxxxy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 91); 

                auto tg_xxxxxz_xxxxxxxz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 92); 

                auto tg_xxxxxz_xxxxxxyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 93); 

                auto tg_xxxxxz_xxxxxxyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 94); 

                auto tg_xxxxxz_xxxxxxzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 95); 

                auto tg_xxxxxz_xxxxxyyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 96); 

                auto tg_xxxxxx_xxxxxxxx_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx); 

                auto tg_xxxxxx_xxxxxxxy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1); 

                auto tg_xxxxxx_xxxxxxxz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 2); 

                auto tg_xxxxxx_xxxxxxyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 3); 

                auto tg_xxxxxx_xxxxxxyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 4); 

                auto tg_xxxxxx_xxxxxxzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 5); 

                auto tg_xxxxxx_xxxxxyyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 6); 

                auto tg_xxxxxx_xxxxxyyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 7); 

                auto tg_xxxxxx_xxxxxyzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 8); 

                auto tg_xxxxxx_xxxxxzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 9); 

                auto tg_xxxxxx_xxxxyyyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 10); 

                auto tg_xxxxxx_xxxxyyyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 11); 

                auto tg_xxxxxx_xxxxyyzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 12); 

                auto tg_xxxxxx_xxxxyzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 13); 

                auto tg_xxxxxx_xxxxzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 14); 

                auto tg_xxxxxx_xxxyyyyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 15); 

                auto tg_xxxxxx_xxxyyyyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 16); 

                auto tg_xxxxxx_xxxyyyzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 17); 

                auto tg_xxxxxx_xxxyyzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 18); 

                auto tg_xxxxxx_xxxyzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 19); 

                auto tg_xxxxxx_xxxzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 20); 

                auto tg_xxxxxx_xxyyyyyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 21); 

                auto tg_xxxxxx_xxyyyyyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 22); 

                auto tg_xxxxxx_xxyyyyzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 23); 

                auto tg_xxxxxx_xxyyyzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 24); 

                auto tg_xxxxxx_xxyyzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 25); 

                auto tg_xxxxxx_xxyzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 26); 

                auto tg_xxxxxx_xxzzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 27); 

                auto tg_xxxxxx_xyyyyyyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 28); 

                auto tg_xxxxxx_xyyyyyyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 29); 

                auto tg_xxxxxx_xyyyyyzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 30); 

                auto tg_xxxxxx_xyyyyzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 31); 

                auto tg_xxxxxx_xyyyzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 32); 

                auto tg_xxxxxx_xyyzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 33); 

                auto tg_xxxxxx_xyzzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 34); 

                auto tg_xxxxxx_xzzzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 35); 

                auto tg_xxxxxx_yyyyyyyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 36); 

                auto tg_xxxxxx_yyyyyyyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 37); 

                auto tg_xxxxxx_yyyyyyzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 38); 

                auto tg_xxxxxx_yyyyyzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 39); 

                auto tg_xxxxxx_yyyyzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 40); 

                auto tg_xxxxxx_yyyzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 41); 

                auto tg_xxxxxx_yyzzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 42); 

                auto tg_xxxxxx_yzzzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 43); 

                auto tg_xxxxxx_zzzzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 44); 

                auto tg_xxxxxy_xxxxxxxx_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 45); 

                auto tg_xxxxxy_xxxxxxxy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 46); 

                auto tg_xxxxxy_xxxxxxxz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 47); 

                auto tg_xxxxxy_xxxxxxyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 48); 

                auto tg_xxxxxy_xxxxxxyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 49); 

                auto tg_xxxxxy_xxxxxxzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 50); 

                auto tg_xxxxxy_xxxxxyyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 51); 

                auto tg_xxxxxy_xxxxxyyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 52); 

                auto tg_xxxxxy_xxxxxyzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 53); 

                auto tg_xxxxxy_xxxxxzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 54); 

                auto tg_xxxxxy_xxxxyyyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 55); 

                auto tg_xxxxxy_xxxxyyyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 56); 

                auto tg_xxxxxy_xxxxyyzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 57); 

                auto tg_xxxxxy_xxxxyzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 58); 

                auto tg_xxxxxy_xxxxzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 59); 

                auto tg_xxxxxy_xxxyyyyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 60); 

                auto tg_xxxxxy_xxxyyyyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 61); 

                auto tg_xxxxxy_xxxyyyzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 62); 

                auto tg_xxxxxy_xxxyyzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 63); 

                auto tg_xxxxxy_xxxyzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 64); 

                auto tg_xxxxxy_xxxzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 65); 

                auto tg_xxxxxy_xxyyyyyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 66); 

                auto tg_xxxxxy_xxyyyyyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 67); 

                auto tg_xxxxxy_xxyyyyzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 68); 

                auto tg_xxxxxy_xxyyyzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 69); 

                auto tg_xxxxxy_xxyyzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 70); 

                auto tg_xxxxxy_xxyzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 71); 

                auto tg_xxxxxy_xxzzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 72); 

                auto tg_xxxxxy_xyyyyyyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 73); 

                auto tg_xxxxxy_xyyyyyyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 74); 

                auto tg_xxxxxy_xyyyyyzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 75); 

                auto tg_xxxxxy_xyyyyzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 76); 

                auto tg_xxxxxy_xyyyzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 77); 

                auto tg_xxxxxy_xyyzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 78); 

                auto tg_xxxxxy_xyzzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 79); 

                auto tg_xxxxxy_xzzzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 80); 

                auto tg_xxxxxy_yyyyyyyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 81); 

                auto tg_xxxxxy_yyyyyyyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 82); 

                auto tg_xxxxxy_yyyyyyzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 83); 

                auto tg_xxxxxy_yyyyyzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 84); 

                auto tg_xxxxxy_yyyyzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 85); 

                auto tg_xxxxxy_yyyzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 86); 

                auto tg_xxxxxy_yyzzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 87); 

                auto tg_xxxxxy_yzzzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 88); 

                auto tg_xxxxxy_zzzzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 89); 

                auto tg_xxxxxz_xxxxxxxx_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 90); 

                auto tg_xxxxxz_xxxxxxxy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 91); 

                auto tg_xxxxxz_xxxxxxxz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 92); 

                auto tg_xxxxxz_xxxxxxyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 93); 

                auto tg_xxxxxz_xxxxxxyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 94); 

                auto tg_xxxxxz_xxxxxxzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 95); 

                auto tg_xxxxxz_xxxxxyyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 96); 

                auto tg_xxxxxxx_xxxxxxx_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx); 

                auto tg_xxxxxxx_xxxxxxy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1); 

                auto tg_xxxxxxx_xxxxxxz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 2); 

                auto tg_xxxxxxx_xxxxxyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 3); 

                auto tg_xxxxxxx_xxxxxyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 4); 

                auto tg_xxxxxxx_xxxxxzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 5); 

                auto tg_xxxxxxx_xxxxyyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 6); 

                auto tg_xxxxxxx_xxxxyyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 7); 

                auto tg_xxxxxxx_xxxxyzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 8); 

                auto tg_xxxxxxx_xxxxzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 9); 

                auto tg_xxxxxxx_xxxyyyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 10); 

                auto tg_xxxxxxx_xxxyyyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 11); 

                auto tg_xxxxxxx_xxxyyzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 12); 

                auto tg_xxxxxxx_xxxyzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 13); 

                auto tg_xxxxxxx_xxxzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 14); 

                auto tg_xxxxxxx_xxyyyyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 15); 

                auto tg_xxxxxxx_xxyyyyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 16); 

                auto tg_xxxxxxx_xxyyyzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 17); 

                auto tg_xxxxxxx_xxyyzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 18); 

                auto tg_xxxxxxx_xxyzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 19); 

                auto tg_xxxxxxx_xxzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 20); 

                auto tg_xxxxxxx_xyyyyyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 21); 

                auto tg_xxxxxxx_xyyyyyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 22); 

                auto tg_xxxxxxx_xyyyyzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 23); 

                auto tg_xxxxxxx_xyyyzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 24); 

                auto tg_xxxxxxx_xyyzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 25); 

                auto tg_xxxxxxx_xyzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 26); 

                auto tg_xxxxxxx_xzzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 27); 

                auto tg_xxxxxxx_yyyyyyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 28); 

                auto tg_xxxxxxx_yyyyyyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 29); 

                auto tg_xxxxxxx_yyyyyzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 30); 

                auto tg_xxxxxxx_yyyyzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 31); 

                auto tg_xxxxxxx_yyyzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 32); 

                auto tg_xxxxxxx_yyzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 33); 

                auto tg_xxxxxxx_yzzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 34); 

                auto tg_xxxxxxx_zzzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 35); 

                auto tg_xxxxxxy_xxxxxxx_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 36); 

                auto tg_xxxxxxy_xxxxxxy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 37); 

                auto tg_xxxxxxy_xxxxxxz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 38); 

                auto tg_xxxxxxy_xxxxxyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 39); 

                auto tg_xxxxxxy_xxxxxyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 40); 

                auto tg_xxxxxxy_xxxxxzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 41); 

                auto tg_xxxxxxy_xxxxyyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 42); 

                auto tg_xxxxxxy_xxxxyyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 43); 

                auto tg_xxxxxxy_xxxxyzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 44); 

                auto tg_xxxxxxy_xxxxzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 45); 

                auto tg_xxxxxxy_xxxyyyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 46); 

                auto tg_xxxxxxy_xxxyyyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 47); 

                auto tg_xxxxxxy_xxxyyzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 48); 

                auto tg_xxxxxxy_xxxyzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 49); 

                auto tg_xxxxxxy_xxxzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 50); 

                auto tg_xxxxxxy_xxyyyyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 51); 

                auto tg_xxxxxxy_xxyyyyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 52); 

                auto tg_xxxxxxy_xxyyyzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 53); 

                auto tg_xxxxxxy_xxyyzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 54); 

                auto tg_xxxxxxy_xxyzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 55); 

                auto tg_xxxxxxy_xxzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 56); 

                auto tg_xxxxxxy_xyyyyyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 57); 

                auto tg_xxxxxxy_xyyyyyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 58); 

                auto tg_xxxxxxy_xyyyyzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 59); 

                auto tg_xxxxxxy_xyyyzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 60); 

                auto tg_xxxxxxy_xyyzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 61); 

                auto tg_xxxxxxy_xyzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 62); 

                auto tg_xxxxxxy_xzzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 63); 

                auto tg_xxxxxxy_yyyyyyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 64); 

                auto tg_xxxxxxy_yyyyyyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 65); 

                auto tg_xxxxxxy_yyyyyzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 66); 

                auto tg_xxxxxxy_yyyyzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 67); 

                auto tg_xxxxxxy_yyyzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 68); 

                auto tg_xxxxxxy_yyzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 69); 

                auto tg_xxxxxxy_yzzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 70); 

                auto tg_xxxxxxy_zzzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 71); 

                auto tg_xxxxxxz_xxxxxxx_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 72); 

                auto tg_xxxxxxz_xxxxxxy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 73); 

                auto tg_xxxxxxz_xxxxxxz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 74); 

                auto tg_xxxxxxz_xxxxxyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 75); 

                auto tg_xxxxxxz_xxxxxyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 76); 

                auto tg_xxxxxxz_xxxxxzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 77); 

                auto tg_xxxxxxz_xxxxyyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 78); 

                // set up pointers to integrals

                auto tg_xxxxxxxx_xxxxxxxx_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx); 

                auto tg_xxxxxxxx_xxxxxxxy_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1); 

                auto tg_xxxxxxxx_xxxxxxxz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 2); 

                auto tg_xxxxxxxx_xxxxxxyy_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 3); 

                auto tg_xxxxxxxx_xxxxxxyz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 4); 

                auto tg_xxxxxxxx_xxxxxxzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 5); 

                auto tg_xxxxxxxx_xxxxxyyy_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 6); 

                auto tg_xxxxxxxx_xxxxxyyz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 7); 

                auto tg_xxxxxxxx_xxxxxyzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 8); 

                auto tg_xxxxxxxx_xxxxxzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 9); 

                auto tg_xxxxxxxx_xxxxyyyy_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 10); 

                auto tg_xxxxxxxx_xxxxyyyz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 11); 

                auto tg_xxxxxxxx_xxxxyyzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 12); 

                auto tg_xxxxxxxx_xxxxyzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 13); 

                auto tg_xxxxxxxx_xxxxzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 14); 

                auto tg_xxxxxxxx_xxxyyyyy_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 15); 

                auto tg_xxxxxxxx_xxxyyyyz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 16); 

                auto tg_xxxxxxxx_xxxyyyzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 17); 

                auto tg_xxxxxxxx_xxxyyzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 18); 

                auto tg_xxxxxxxx_xxxyzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 19); 

                auto tg_xxxxxxxx_xxxzzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 20); 

                auto tg_xxxxxxxx_xxyyyyyy_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 21); 

                auto tg_xxxxxxxx_xxyyyyyz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 22); 

                auto tg_xxxxxxxx_xxyyyyzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 23); 

                auto tg_xxxxxxxx_xxyyyzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 24); 

                auto tg_xxxxxxxx_xxyyzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 25); 

                auto tg_xxxxxxxx_xxyzzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 26); 

                auto tg_xxxxxxxx_xxzzzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 27); 

                auto tg_xxxxxxxx_xyyyyyyy_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 28); 

                auto tg_xxxxxxxx_xyyyyyyz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 29); 

                auto tg_xxxxxxxx_xyyyyyzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 30); 

                auto tg_xxxxxxxx_xyyyyzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 31); 

                auto tg_xxxxxxxx_xyyyzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 32); 

                auto tg_xxxxxxxx_xyyzzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 33); 

                auto tg_xxxxxxxx_xyzzzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 34); 

                auto tg_xxxxxxxx_xzzzzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 35); 

                auto tg_xxxxxxxx_yyyyyyyy_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 36); 

                auto tg_xxxxxxxx_yyyyyyyz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 37); 

                auto tg_xxxxxxxx_yyyyyyzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 38); 

                auto tg_xxxxxxxx_yyyyyzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 39); 

                auto tg_xxxxxxxx_yyyyzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 40); 

                auto tg_xxxxxxxx_yyyzzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 41); 

                auto tg_xxxxxxxx_yyzzzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 42); 

                auto tg_xxxxxxxx_yzzzzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 43); 

                auto tg_xxxxxxxx_zzzzzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 44); 

                auto tg_xxxxxxxy_xxxxxxxx_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 45); 

                auto tg_xxxxxxxy_xxxxxxxy_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 46); 

                auto tg_xxxxxxxy_xxxxxxxz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 47); 

                auto tg_xxxxxxxy_xxxxxxyy_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 48); 

                auto tg_xxxxxxxy_xxxxxxyz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 49); 

                auto tg_xxxxxxxy_xxxxxxzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 50); 

                auto tg_xxxxxxxy_xxxxxyyy_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 51); 

                auto tg_xxxxxxxy_xxxxxyyz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 52); 

                auto tg_xxxxxxxy_xxxxxyzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 53); 

                auto tg_xxxxxxxy_xxxxxzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 54); 

                auto tg_xxxxxxxy_xxxxyyyy_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 55); 

                auto tg_xxxxxxxy_xxxxyyyz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 56); 

                auto tg_xxxxxxxy_xxxxyyzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 57); 

                auto tg_xxxxxxxy_xxxxyzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 58); 

                auto tg_xxxxxxxy_xxxxzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 59); 

                auto tg_xxxxxxxy_xxxyyyyy_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 60); 

                auto tg_xxxxxxxy_xxxyyyyz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 61); 

                auto tg_xxxxxxxy_xxxyyyzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 62); 

                auto tg_xxxxxxxy_xxxyyzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 63); 

                auto tg_xxxxxxxy_xxxyzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 64); 

                auto tg_xxxxxxxy_xxxzzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 65); 

                auto tg_xxxxxxxy_xxyyyyyy_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 66); 

                auto tg_xxxxxxxy_xxyyyyyz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 67); 

                auto tg_xxxxxxxy_xxyyyyzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 68); 

                auto tg_xxxxxxxy_xxyyyzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 69); 

                auto tg_xxxxxxxy_xxyyzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 70); 

                auto tg_xxxxxxxy_xxyzzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 71); 

                auto tg_xxxxxxxy_xxzzzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 72); 

                auto tg_xxxxxxxy_xyyyyyyy_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 73); 

                auto tg_xxxxxxxy_xyyyyyyz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 74); 

                auto tg_xxxxxxxy_xyyyyyzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 75); 

                auto tg_xxxxxxxy_xyyyyzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 76); 

                auto tg_xxxxxxxy_xyyyzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 77); 

                auto tg_xxxxxxxy_xyyzzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 78); 

                auto tg_xxxxxxxy_xyzzzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 79); 

                auto tg_xxxxxxxy_xzzzzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 80); 

                auto tg_xxxxxxxy_yyyyyyyy_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 81); 

                auto tg_xxxxxxxy_yyyyyyyz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 82); 

                auto tg_xxxxxxxy_yyyyyyzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 83); 

                auto tg_xxxxxxxy_yyyyyzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 84); 

                auto tg_xxxxxxxy_yyyyzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 85); 

                auto tg_xxxxxxxy_yyyzzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 86); 

                auto tg_xxxxxxxy_yyzzzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 87); 

                auto tg_xxxxxxxy_yzzzzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 88); 

                auto tg_xxxxxxxy_zzzzzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 89); 

                auto tg_xxxxxxxz_xxxxxxxx_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 90); 

                auto tg_xxxxxxxz_xxxxxxxy_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 91); 

                auto tg_xxxxxxxz_xxxxxxxz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 92); 

                auto tg_xxxxxxxz_xxxxxxyy_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 93); 

                auto tg_xxxxxxxz_xxxxxxyz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 94); 

                auto tg_xxxxxxxz_xxxxxxzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 95); 

                auto tg_xxxxxxxz_xxxxxyyy_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 96); 

                // Batch of Integrals (0,97)

                #pragma omp simd aligned(fxn, fza, tg_xxxxxx_xxxxxxxx_0, tg_xxxxxx_xxxxxxxx_1, \
                                         tg_xxxxxx_xxxxxxxy_0, tg_xxxxxx_xxxxxxxy_1, tg_xxxxxx_xxxxxxxz_0, tg_xxxxxx_xxxxxxxz_1, \
                                         tg_xxxxxx_xxxxxxyy_0, tg_xxxxxx_xxxxxxyy_1, tg_xxxxxx_xxxxxxyz_0, tg_xxxxxx_xxxxxxyz_1, \
                                         tg_xxxxxx_xxxxxxzz_0, tg_xxxxxx_xxxxxxzz_1, tg_xxxxxx_xxxxxyyy_0, tg_xxxxxx_xxxxxyyy_1, \
                                         tg_xxxxxx_xxxxxyyz_0, tg_xxxxxx_xxxxxyyz_1, tg_xxxxxx_xxxxxyzz_0, tg_xxxxxx_xxxxxyzz_1, \
                                         tg_xxxxxx_xxxxxzzz_0, tg_xxxxxx_xxxxxzzz_1, tg_xxxxxx_xxxxyyyy_0, tg_xxxxxx_xxxxyyyy_1, \
                                         tg_xxxxxx_xxxxyyyz_0, tg_xxxxxx_xxxxyyyz_1, tg_xxxxxx_xxxxyyzz_0, tg_xxxxxx_xxxxyyzz_1, \
                                         tg_xxxxxx_xxxxyzzz_0, tg_xxxxxx_xxxxyzzz_1, tg_xxxxxx_xxxxzzzz_0, tg_xxxxxx_xxxxzzzz_1, \
                                         tg_xxxxxx_xxxyyyyy_0, tg_xxxxxx_xxxyyyyy_1, tg_xxxxxx_xxxyyyyz_0, tg_xxxxxx_xxxyyyyz_1, \
                                         tg_xxxxxx_xxxyyyzz_0, tg_xxxxxx_xxxyyyzz_1, tg_xxxxxx_xxxyyzzz_0, tg_xxxxxx_xxxyyzzz_1, \
                                         tg_xxxxxx_xxxyzzzz_0, tg_xxxxxx_xxxyzzzz_1, tg_xxxxxx_xxxzzzzz_0, tg_xxxxxx_xxxzzzzz_1, \
                                         tg_xxxxxx_xxyyyyyy_0, tg_xxxxxx_xxyyyyyy_1, tg_xxxxxx_xxyyyyyz_0, tg_xxxxxx_xxyyyyyz_1, \
                                         tg_xxxxxx_xxyyyyzz_0, tg_xxxxxx_xxyyyyzz_1, tg_xxxxxx_xxyyyzzz_0, tg_xxxxxx_xxyyyzzz_1, \
                                         tg_xxxxxx_xxyyzzzz_0, tg_xxxxxx_xxyyzzzz_1, tg_xxxxxx_xxyzzzzz_0, tg_xxxxxx_xxyzzzzz_1, \
                                         tg_xxxxxx_xxzzzzzz_0, tg_xxxxxx_xxzzzzzz_1, tg_xxxxxx_xyyyyyyy_0, tg_xxxxxx_xyyyyyyy_1, \
                                         tg_xxxxxx_xyyyyyyz_0, tg_xxxxxx_xyyyyyyz_1, tg_xxxxxx_xyyyyyzz_0, tg_xxxxxx_xyyyyyzz_1, \
                                         tg_xxxxxx_xyyyyzzz_0, tg_xxxxxx_xyyyyzzz_1, tg_xxxxxx_xyyyzzzz_0, tg_xxxxxx_xyyyzzzz_1, \
                                         tg_xxxxxx_xyyzzzzz_0, tg_xxxxxx_xyyzzzzz_1, tg_xxxxxx_xyzzzzzz_0, tg_xxxxxx_xyzzzzzz_1, \
                                         tg_xxxxxx_xzzzzzzz_0, tg_xxxxxx_xzzzzzzz_1, tg_xxxxxx_yyyyyyyy_0, tg_xxxxxx_yyyyyyyy_1, \
                                         tg_xxxxxx_yyyyyyyz_0, tg_xxxxxx_yyyyyyyz_1, tg_xxxxxx_yyyyyyzz_0, tg_xxxxxx_yyyyyyzz_1, \
                                         tg_xxxxxx_yyyyyzzz_0, tg_xxxxxx_yyyyyzzz_1, tg_xxxxxx_yyyyzzzz_0, tg_xxxxxx_yyyyzzzz_1, \
                                         tg_xxxxxx_yyyzzzzz_0, tg_xxxxxx_yyyzzzzz_1, tg_xxxxxx_yyzzzzzz_0, tg_xxxxxx_yyzzzzzz_1, \
                                         tg_xxxxxx_yzzzzzzz_0, tg_xxxxxx_yzzzzzzz_1, tg_xxxxxx_zzzzzzzz_0, tg_xxxxxx_zzzzzzzz_1, \
                                         tg_xxxxxxx_xxxxxxx_1, tg_xxxxxxx_xxxxxxxx_0, tg_xxxxxxx_xxxxxxxx_1, \
                                         tg_xxxxxxx_xxxxxxxy_0, tg_xxxxxxx_xxxxxxxy_1, tg_xxxxxxx_xxxxxxxz_0, \
                                         tg_xxxxxxx_xxxxxxxz_1, tg_xxxxxxx_xxxxxxy_1, tg_xxxxxxx_xxxxxxyy_0, \
                                         tg_xxxxxxx_xxxxxxyy_1, tg_xxxxxxx_xxxxxxyz_0, tg_xxxxxxx_xxxxxxyz_1, \
                                         tg_xxxxxxx_xxxxxxz_1, tg_xxxxxxx_xxxxxxzz_0, tg_xxxxxxx_xxxxxxzz_1, \
                                         tg_xxxxxxx_xxxxxyy_1, tg_xxxxxxx_xxxxxyyy_0, tg_xxxxxxx_xxxxxyyy_1, \
                                         tg_xxxxxxx_xxxxxyyz_0, tg_xxxxxxx_xxxxxyyz_1, tg_xxxxxxx_xxxxxyz_1, \
                                         tg_xxxxxxx_xxxxxyzz_0, tg_xxxxxxx_xxxxxyzz_1, tg_xxxxxxx_xxxxxzz_1, \
                                         tg_xxxxxxx_xxxxxzzz_0, tg_xxxxxxx_xxxxxzzz_1, tg_xxxxxxx_xxxxyyy_1, \
                                         tg_xxxxxxx_xxxxyyyy_0, tg_xxxxxxx_xxxxyyyy_1, tg_xxxxxxx_xxxxyyyz_0, \
                                         tg_xxxxxxx_xxxxyyyz_1, tg_xxxxxxx_xxxxyyz_1, tg_xxxxxxx_xxxxyyzz_0, \
                                         tg_xxxxxxx_xxxxyyzz_1, tg_xxxxxxx_xxxxyzz_1, tg_xxxxxxx_xxxxyzzz_0, \
                                         tg_xxxxxxx_xxxxyzzz_1, tg_xxxxxxx_xxxxzzz_1, tg_xxxxxxx_xxxxzzzz_0, \
                                         tg_xxxxxxx_xxxxzzzz_1, tg_xxxxxxx_xxxyyyy_1, tg_xxxxxxx_xxxyyyyy_0, \
                                         tg_xxxxxxx_xxxyyyyy_1, tg_xxxxxxx_xxxyyyyz_0, tg_xxxxxxx_xxxyyyyz_1, \
                                         tg_xxxxxxx_xxxyyyz_1, tg_xxxxxxx_xxxyyyzz_0, tg_xxxxxxx_xxxyyyzz_1, \
                                         tg_xxxxxxx_xxxyyzz_1, tg_xxxxxxx_xxxyyzzz_0, tg_xxxxxxx_xxxyyzzz_1, \
                                         tg_xxxxxxx_xxxyzzz_1, tg_xxxxxxx_xxxyzzzz_0, tg_xxxxxxx_xxxyzzzz_1, \
                                         tg_xxxxxxx_xxxzzzz_1, tg_xxxxxxx_xxxzzzzz_0, tg_xxxxxxx_xxxzzzzz_1, \
                                         tg_xxxxxxx_xxyyyyy_1, tg_xxxxxxx_xxyyyyyy_0, tg_xxxxxxx_xxyyyyyy_1, \
                                         tg_xxxxxxx_xxyyyyyz_0, tg_xxxxxxx_xxyyyyyz_1, tg_xxxxxxx_xxyyyyz_1, \
                                         tg_xxxxxxx_xxyyyyzz_0, tg_xxxxxxx_xxyyyyzz_1, tg_xxxxxxx_xxyyyzz_1, \
                                         tg_xxxxxxx_xxyyyzzz_0, tg_xxxxxxx_xxyyyzzz_1, tg_xxxxxxx_xxyyzzz_1, \
                                         tg_xxxxxxx_xxyyzzzz_0, tg_xxxxxxx_xxyyzzzz_1, tg_xxxxxxx_xxyzzzz_1, \
                                         tg_xxxxxxx_xxyzzzzz_0, tg_xxxxxxx_xxyzzzzz_1, tg_xxxxxxx_xxzzzzz_1, \
                                         tg_xxxxxxx_xxzzzzzz_0, tg_xxxxxxx_xxzzzzzz_1, tg_xxxxxxx_xyyyyyy_1, \
                                         tg_xxxxxxx_xyyyyyyy_0, tg_xxxxxxx_xyyyyyyy_1, tg_xxxxxxx_xyyyyyyz_0, \
                                         tg_xxxxxxx_xyyyyyyz_1, tg_xxxxxxx_xyyyyyz_1, tg_xxxxxxx_xyyyyyzz_0, \
                                         tg_xxxxxxx_xyyyyyzz_1, tg_xxxxxxx_xyyyyzz_1, tg_xxxxxxx_xyyyyzzz_0, \
                                         tg_xxxxxxx_xyyyyzzz_1, tg_xxxxxxx_xyyyzzz_1, tg_xxxxxxx_xyyyzzzz_0, \
                                         tg_xxxxxxx_xyyyzzzz_1, tg_xxxxxxx_xyyzzzz_1, tg_xxxxxxx_xyyzzzzz_0, \
                                         tg_xxxxxxx_xyyzzzzz_1, tg_xxxxxxx_xyzzzzz_1, tg_xxxxxxx_xyzzzzzz_0, \
                                         tg_xxxxxxx_xyzzzzzz_1, tg_xxxxxxx_xzzzzzz_1, tg_xxxxxxx_xzzzzzzz_0, \
                                         tg_xxxxxxx_xzzzzzzz_1, tg_xxxxxxx_yyyyyyy_1, tg_xxxxxxx_yyyyyyyy_0, \
                                         tg_xxxxxxx_yyyyyyyy_1, tg_xxxxxxx_yyyyyyyz_0, tg_xxxxxxx_yyyyyyyz_1, \
                                         tg_xxxxxxx_yyyyyyz_1, tg_xxxxxxx_yyyyyyzz_0, tg_xxxxxxx_yyyyyyzz_1, \
                                         tg_xxxxxxx_yyyyyzz_1, tg_xxxxxxx_yyyyyzzz_0, tg_xxxxxxx_yyyyyzzz_1, \
                                         tg_xxxxxxx_yyyyzzz_1, tg_xxxxxxx_yyyyzzzz_0, tg_xxxxxxx_yyyyzzzz_1, \
                                         tg_xxxxxxx_yyyzzzz_1, tg_xxxxxxx_yyyzzzzz_0, tg_xxxxxxx_yyyzzzzz_1, \
                                         tg_xxxxxxx_yyzzzzz_1, tg_xxxxxxx_yyzzzzzz_0, tg_xxxxxxx_yyzzzzzz_1, \
                                         tg_xxxxxxx_yzzzzzz_1, tg_xxxxxxx_yzzzzzzz_0, tg_xxxxxxx_yzzzzzzz_1, \
                                         tg_xxxxxxx_zzzzzzz_1, tg_xxxxxxx_zzzzzzzz_0, tg_xxxxxxx_zzzzzzzz_1, \
                                         tg_xxxxxxxx_xxxxxxxx_0, tg_xxxxxxxx_xxxxxxxy_0, tg_xxxxxxxx_xxxxxxxz_0, \
                                         tg_xxxxxxxx_xxxxxxyy_0, tg_xxxxxxxx_xxxxxxyz_0, tg_xxxxxxxx_xxxxxxzz_0, \
                                         tg_xxxxxxxx_xxxxxyyy_0, tg_xxxxxxxx_xxxxxyyz_0, tg_xxxxxxxx_xxxxxyzz_0, \
                                         tg_xxxxxxxx_xxxxxzzz_0, tg_xxxxxxxx_xxxxyyyy_0, tg_xxxxxxxx_xxxxyyyz_0, \
                                         tg_xxxxxxxx_xxxxyyzz_0, tg_xxxxxxxx_xxxxyzzz_0, tg_xxxxxxxx_xxxxzzzz_0, \
                                         tg_xxxxxxxx_xxxyyyyy_0, tg_xxxxxxxx_xxxyyyyz_0, tg_xxxxxxxx_xxxyyyzz_0, \
                                         tg_xxxxxxxx_xxxyyzzz_0, tg_xxxxxxxx_xxxyzzzz_0, tg_xxxxxxxx_xxxzzzzz_0, \
                                         tg_xxxxxxxx_xxyyyyyy_0, tg_xxxxxxxx_xxyyyyyz_0, tg_xxxxxxxx_xxyyyyzz_0, \
                                         tg_xxxxxxxx_xxyyyzzz_0, tg_xxxxxxxx_xxyyzzzz_0, tg_xxxxxxxx_xxyzzzzz_0, \
                                         tg_xxxxxxxx_xxzzzzzz_0, tg_xxxxxxxx_xyyyyyyy_0, tg_xxxxxxxx_xyyyyyyz_0, \
                                         tg_xxxxxxxx_xyyyyyzz_0, tg_xxxxxxxx_xyyyyzzz_0, tg_xxxxxxxx_xyyyzzzz_0, \
                                         tg_xxxxxxxx_xyyzzzzz_0, tg_xxxxxxxx_xyzzzzzz_0, tg_xxxxxxxx_xzzzzzzz_0, \
                                         tg_xxxxxxxx_yyyyyyyy_0, tg_xxxxxxxx_yyyyyyyz_0, tg_xxxxxxxx_yyyyyyzz_0, \
                                         tg_xxxxxxxx_yyyyyzzz_0, tg_xxxxxxxx_yyyyzzzz_0, tg_xxxxxxxx_yyyzzzzz_0, \
                                         tg_xxxxxxxx_yyzzzzzz_0, tg_xxxxxxxx_yzzzzzzz_0, tg_xxxxxxxx_zzzzzzzz_0, \
                                         tg_xxxxxxxy_xxxxxxxx_0, tg_xxxxxxxy_xxxxxxxy_0, tg_xxxxxxxy_xxxxxxxz_0, \
                                         tg_xxxxxxxy_xxxxxxyy_0, tg_xxxxxxxy_xxxxxxyz_0, tg_xxxxxxxy_xxxxxxzz_0, \
                                         tg_xxxxxxxy_xxxxxyyy_0, tg_xxxxxxxy_xxxxxyyz_0, tg_xxxxxxxy_xxxxxyzz_0, \
                                         tg_xxxxxxxy_xxxxxzzz_0, tg_xxxxxxxy_xxxxyyyy_0, tg_xxxxxxxy_xxxxyyyz_0, \
                                         tg_xxxxxxxy_xxxxyyzz_0, tg_xxxxxxxy_xxxxyzzz_0, tg_xxxxxxxy_xxxxzzzz_0, \
                                         tg_xxxxxxxy_xxxyyyyy_0, tg_xxxxxxxy_xxxyyyyz_0, tg_xxxxxxxy_xxxyyyzz_0, \
                                         tg_xxxxxxxy_xxxyyzzz_0, tg_xxxxxxxy_xxxyzzzz_0, tg_xxxxxxxy_xxxzzzzz_0, \
                                         tg_xxxxxxxy_xxyyyyyy_0, tg_xxxxxxxy_xxyyyyyz_0, tg_xxxxxxxy_xxyyyyzz_0, \
                                         tg_xxxxxxxy_xxyyyzzz_0, tg_xxxxxxxy_xxyyzzzz_0, tg_xxxxxxxy_xxyzzzzz_0, \
                                         tg_xxxxxxxy_xxzzzzzz_0, tg_xxxxxxxy_xyyyyyyy_0, tg_xxxxxxxy_xyyyyyyz_0, \
                                         tg_xxxxxxxy_xyyyyyzz_0, tg_xxxxxxxy_xyyyyzzz_0, tg_xxxxxxxy_xyyyzzzz_0, \
                                         tg_xxxxxxxy_xyyzzzzz_0, tg_xxxxxxxy_xyzzzzzz_0, tg_xxxxxxxy_xzzzzzzz_0, \
                                         tg_xxxxxxxy_yyyyyyyy_0, tg_xxxxxxxy_yyyyyyyz_0, tg_xxxxxxxy_yyyyyyzz_0, \
                                         tg_xxxxxxxy_yyyyyzzz_0, tg_xxxxxxxy_yyyyzzzz_0, tg_xxxxxxxy_yyyzzzzz_0, \
                                         tg_xxxxxxxy_yyzzzzzz_0, tg_xxxxxxxy_yzzzzzzz_0, tg_xxxxxxxy_zzzzzzzz_0, \
                                         tg_xxxxxxxz_xxxxxxxx_0, tg_xxxxxxxz_xxxxxxxy_0, tg_xxxxxxxz_xxxxxxxz_0, \
                                         tg_xxxxxxxz_xxxxxxyy_0, tg_xxxxxxxz_xxxxxxyz_0, tg_xxxxxxxz_xxxxxxzz_0, \
                                         tg_xxxxxxxz_xxxxxyyy_0, tg_xxxxxxy_xxxxxxx_1, tg_xxxxxxy_xxxxxxxx_0, \
                                         tg_xxxxxxy_xxxxxxxx_1, tg_xxxxxxy_xxxxxxxy_0, tg_xxxxxxy_xxxxxxxy_1, \
                                         tg_xxxxxxy_xxxxxxxz_0, tg_xxxxxxy_xxxxxxxz_1, tg_xxxxxxy_xxxxxxy_1, \
                                         tg_xxxxxxy_xxxxxxyy_0, tg_xxxxxxy_xxxxxxyy_1, tg_xxxxxxy_xxxxxxyz_0, \
                                         tg_xxxxxxy_xxxxxxyz_1, tg_xxxxxxy_xxxxxxz_1, tg_xxxxxxy_xxxxxxzz_0, \
                                         tg_xxxxxxy_xxxxxxzz_1, tg_xxxxxxy_xxxxxyy_1, tg_xxxxxxy_xxxxxyyy_0, \
                                         tg_xxxxxxy_xxxxxyyy_1, tg_xxxxxxy_xxxxxyyz_0, tg_xxxxxxy_xxxxxyyz_1, \
                                         tg_xxxxxxy_xxxxxyz_1, tg_xxxxxxy_xxxxxyzz_0, tg_xxxxxxy_xxxxxyzz_1, \
                                         tg_xxxxxxy_xxxxxzz_1, tg_xxxxxxy_xxxxxzzz_0, tg_xxxxxxy_xxxxxzzz_1, \
                                         tg_xxxxxxy_xxxxyyy_1, tg_xxxxxxy_xxxxyyyy_0, tg_xxxxxxy_xxxxyyyy_1, \
                                         tg_xxxxxxy_xxxxyyyz_0, tg_xxxxxxy_xxxxyyyz_1, tg_xxxxxxy_xxxxyyz_1, \
                                         tg_xxxxxxy_xxxxyyzz_0, tg_xxxxxxy_xxxxyyzz_1, tg_xxxxxxy_xxxxyzz_1, \
                                         tg_xxxxxxy_xxxxyzzz_0, tg_xxxxxxy_xxxxyzzz_1, tg_xxxxxxy_xxxxzzz_1, \
                                         tg_xxxxxxy_xxxxzzzz_0, tg_xxxxxxy_xxxxzzzz_1, tg_xxxxxxy_xxxyyyy_1, \
                                         tg_xxxxxxy_xxxyyyyy_0, tg_xxxxxxy_xxxyyyyy_1, tg_xxxxxxy_xxxyyyyz_0, \
                                         tg_xxxxxxy_xxxyyyyz_1, tg_xxxxxxy_xxxyyyz_1, tg_xxxxxxy_xxxyyyzz_0, \
                                         tg_xxxxxxy_xxxyyyzz_1, tg_xxxxxxy_xxxyyzz_1, tg_xxxxxxy_xxxyyzzz_0, \
                                         tg_xxxxxxy_xxxyyzzz_1, tg_xxxxxxy_xxxyzzz_1, tg_xxxxxxy_xxxyzzzz_0, \
                                         tg_xxxxxxy_xxxyzzzz_1, tg_xxxxxxy_xxxzzzz_1, tg_xxxxxxy_xxxzzzzz_0, \
                                         tg_xxxxxxy_xxxzzzzz_1, tg_xxxxxxy_xxyyyyy_1, tg_xxxxxxy_xxyyyyyy_0, \
                                         tg_xxxxxxy_xxyyyyyy_1, tg_xxxxxxy_xxyyyyyz_0, tg_xxxxxxy_xxyyyyyz_1, \
                                         tg_xxxxxxy_xxyyyyz_1, tg_xxxxxxy_xxyyyyzz_0, tg_xxxxxxy_xxyyyyzz_1, \
                                         tg_xxxxxxy_xxyyyzz_1, tg_xxxxxxy_xxyyyzzz_0, tg_xxxxxxy_xxyyyzzz_1, \
                                         tg_xxxxxxy_xxyyzzz_1, tg_xxxxxxy_xxyyzzzz_0, tg_xxxxxxy_xxyyzzzz_1, \
                                         tg_xxxxxxy_xxyzzzz_1, tg_xxxxxxy_xxyzzzzz_0, tg_xxxxxxy_xxyzzzzz_1, \
                                         tg_xxxxxxy_xxzzzzz_1, tg_xxxxxxy_xxzzzzzz_0, tg_xxxxxxy_xxzzzzzz_1, \
                                         tg_xxxxxxy_xyyyyyy_1, tg_xxxxxxy_xyyyyyyy_0, tg_xxxxxxy_xyyyyyyy_1, \
                                         tg_xxxxxxy_xyyyyyyz_0, tg_xxxxxxy_xyyyyyyz_1, tg_xxxxxxy_xyyyyyz_1, \
                                         tg_xxxxxxy_xyyyyyzz_0, tg_xxxxxxy_xyyyyyzz_1, tg_xxxxxxy_xyyyyzz_1, \
                                         tg_xxxxxxy_xyyyyzzz_0, tg_xxxxxxy_xyyyyzzz_1, tg_xxxxxxy_xyyyzzz_1, \
                                         tg_xxxxxxy_xyyyzzzz_0, tg_xxxxxxy_xyyyzzzz_1, tg_xxxxxxy_xyyzzzz_1, \
                                         tg_xxxxxxy_xyyzzzzz_0, tg_xxxxxxy_xyyzzzzz_1, tg_xxxxxxy_xyzzzzz_1, \
                                         tg_xxxxxxy_xyzzzzzz_0, tg_xxxxxxy_xyzzzzzz_1, tg_xxxxxxy_xzzzzzz_1, \
                                         tg_xxxxxxy_xzzzzzzz_0, tg_xxxxxxy_xzzzzzzz_1, tg_xxxxxxy_yyyyyyy_1, \
                                         tg_xxxxxxy_yyyyyyyy_0, tg_xxxxxxy_yyyyyyyy_1, tg_xxxxxxy_yyyyyyyz_0, \
                                         tg_xxxxxxy_yyyyyyyz_1, tg_xxxxxxy_yyyyyyz_1, tg_xxxxxxy_yyyyyyzz_0, \
                                         tg_xxxxxxy_yyyyyyzz_1, tg_xxxxxxy_yyyyyzz_1, tg_xxxxxxy_yyyyyzzz_0, \
                                         tg_xxxxxxy_yyyyyzzz_1, tg_xxxxxxy_yyyyzzz_1, tg_xxxxxxy_yyyyzzzz_0, \
                                         tg_xxxxxxy_yyyyzzzz_1, tg_xxxxxxy_yyyzzzz_1, tg_xxxxxxy_yyyzzzzz_0, \
                                         tg_xxxxxxy_yyyzzzzz_1, tg_xxxxxxy_yyzzzzz_1, tg_xxxxxxy_yyzzzzzz_0, \
                                         tg_xxxxxxy_yyzzzzzz_1, tg_xxxxxxy_yzzzzzz_1, tg_xxxxxxy_yzzzzzzz_0, \
                                         tg_xxxxxxy_yzzzzzzz_1, tg_xxxxxxy_zzzzzzz_1, tg_xxxxxxy_zzzzzzzz_0, \
                                         tg_xxxxxxy_zzzzzzzz_1, tg_xxxxxxz_xxxxxxx_1, tg_xxxxxxz_xxxxxxxx_0, \
                                         tg_xxxxxxz_xxxxxxxx_1, tg_xxxxxxz_xxxxxxxy_0, tg_xxxxxxz_xxxxxxxy_1, \
                                         tg_xxxxxxz_xxxxxxxz_0, tg_xxxxxxz_xxxxxxxz_1, tg_xxxxxxz_xxxxxxy_1, \
                                         tg_xxxxxxz_xxxxxxyy_0, tg_xxxxxxz_xxxxxxyy_1, tg_xxxxxxz_xxxxxxyz_0, \
                                         tg_xxxxxxz_xxxxxxyz_1, tg_xxxxxxz_xxxxxxz_1, tg_xxxxxxz_xxxxxxzz_0, \
                                         tg_xxxxxxz_xxxxxxzz_1, tg_xxxxxxz_xxxxxyy_1, tg_xxxxxxz_xxxxxyyy_0, \
                                         tg_xxxxxxz_xxxxxyyy_1, tg_xxxxxxz_xxxxxyz_1, tg_xxxxxxz_xxxxxzz_1, tg_xxxxxxz_xxxxyyy_1, \
                                         tg_xxxxxy_xxxxxxxx_0, tg_xxxxxy_xxxxxxxx_1, tg_xxxxxy_xxxxxxxy_0, tg_xxxxxy_xxxxxxxy_1, \
                                         tg_xxxxxy_xxxxxxxz_0, tg_xxxxxy_xxxxxxxz_1, tg_xxxxxy_xxxxxxyy_0, tg_xxxxxy_xxxxxxyy_1, \
                                         tg_xxxxxy_xxxxxxyz_0, tg_xxxxxy_xxxxxxyz_1, tg_xxxxxy_xxxxxxzz_0, tg_xxxxxy_xxxxxxzz_1, \
                                         tg_xxxxxy_xxxxxyyy_0, tg_xxxxxy_xxxxxyyy_1, tg_xxxxxy_xxxxxyyz_0, tg_xxxxxy_xxxxxyyz_1, \
                                         tg_xxxxxy_xxxxxyzz_0, tg_xxxxxy_xxxxxyzz_1, tg_xxxxxy_xxxxxzzz_0, tg_xxxxxy_xxxxxzzz_1, \
                                         tg_xxxxxy_xxxxyyyy_0, tg_xxxxxy_xxxxyyyy_1, tg_xxxxxy_xxxxyyyz_0, tg_xxxxxy_xxxxyyyz_1, \
                                         tg_xxxxxy_xxxxyyzz_0, tg_xxxxxy_xxxxyyzz_1, tg_xxxxxy_xxxxyzzz_0, tg_xxxxxy_xxxxyzzz_1, \
                                         tg_xxxxxy_xxxxzzzz_0, tg_xxxxxy_xxxxzzzz_1, tg_xxxxxy_xxxyyyyy_0, tg_xxxxxy_xxxyyyyy_1, \
                                         tg_xxxxxy_xxxyyyyz_0, tg_xxxxxy_xxxyyyyz_1, tg_xxxxxy_xxxyyyzz_0, tg_xxxxxy_xxxyyyzz_1, \
                                         tg_xxxxxy_xxxyyzzz_0, tg_xxxxxy_xxxyyzzz_1, tg_xxxxxy_xxxyzzzz_0, tg_xxxxxy_xxxyzzzz_1, \
                                         tg_xxxxxy_xxxzzzzz_0, tg_xxxxxy_xxxzzzzz_1, tg_xxxxxy_xxyyyyyy_0, tg_xxxxxy_xxyyyyyy_1, \
                                         tg_xxxxxy_xxyyyyyz_0, tg_xxxxxy_xxyyyyyz_1, tg_xxxxxy_xxyyyyzz_0, tg_xxxxxy_xxyyyyzz_1, \
                                         tg_xxxxxy_xxyyyzzz_0, tg_xxxxxy_xxyyyzzz_1, tg_xxxxxy_xxyyzzzz_0, tg_xxxxxy_xxyyzzzz_1, \
                                         tg_xxxxxy_xxyzzzzz_0, tg_xxxxxy_xxyzzzzz_1, tg_xxxxxy_xxzzzzzz_0, tg_xxxxxy_xxzzzzzz_1, \
                                         tg_xxxxxy_xyyyyyyy_0, tg_xxxxxy_xyyyyyyy_1, tg_xxxxxy_xyyyyyyz_0, tg_xxxxxy_xyyyyyyz_1, \
                                         tg_xxxxxy_xyyyyyzz_0, tg_xxxxxy_xyyyyyzz_1, tg_xxxxxy_xyyyyzzz_0, tg_xxxxxy_xyyyyzzz_1, \
                                         tg_xxxxxy_xyyyzzzz_0, tg_xxxxxy_xyyyzzzz_1, tg_xxxxxy_xyyzzzzz_0, tg_xxxxxy_xyyzzzzz_1, \
                                         tg_xxxxxy_xyzzzzzz_0, tg_xxxxxy_xyzzzzzz_1, tg_xxxxxy_xzzzzzzz_0, tg_xxxxxy_xzzzzzzz_1, \
                                         tg_xxxxxy_yyyyyyyy_0, tg_xxxxxy_yyyyyyyy_1, tg_xxxxxy_yyyyyyyz_0, tg_xxxxxy_yyyyyyyz_1, \
                                         tg_xxxxxy_yyyyyyzz_0, tg_xxxxxy_yyyyyyzz_1, tg_xxxxxy_yyyyyzzz_0, tg_xxxxxy_yyyyyzzz_1, \
                                         tg_xxxxxy_yyyyzzzz_0, tg_xxxxxy_yyyyzzzz_1, tg_xxxxxy_yyyzzzzz_0, tg_xxxxxy_yyyzzzzz_1, \
                                         tg_xxxxxy_yyzzzzzz_0, tg_xxxxxy_yyzzzzzz_1, tg_xxxxxy_yzzzzzzz_0, tg_xxxxxy_yzzzzzzz_1, \
                                         tg_xxxxxy_zzzzzzzz_0, tg_xxxxxy_zzzzzzzz_1, tg_xxxxxz_xxxxxxxx_0, tg_xxxxxz_xxxxxxxx_1, \
                                         tg_xxxxxz_xxxxxxxy_0, tg_xxxxxz_xxxxxxxy_1, tg_xxxxxz_xxxxxxxz_0, tg_xxxxxz_xxxxxxxz_1, \
                                         tg_xxxxxz_xxxxxxyy_0, tg_xxxxxz_xxxxxxyy_1, tg_xxxxxz_xxxxxxyz_0, tg_xxxxxz_xxxxxxyz_1, \
                                         tg_xxxxxz_xxxxxxzz_0, tg_xxxxxz_xxxxxxzz_1, tg_xxxxxz_xxxxxyyy_0, tg_xxxxxz_xxxxxyyy_1, \
                                         wp_x: VLX_ALIGN)
                for (int32_t j = 0; j < nKetPrimPairs; j++)
                {
                    double fl1_fx = fx;

                    double fl1_fxn = fxn[j];

                    double fl1_fza = fza[j];

                    double fr = wp_x[j]; 

                    tg_xxxxxxxx_xxxxxxxx_0[j] = pb_x * tg_xxxxxxx_xxxxxxxx_0[j] + fr * tg_xxxxxxx_xxxxxxxx_1[j] + 3.5 * fl1_fx * (tg_xxxxxx_xxxxxxxx_0[j] - tg_xxxxxx_xxxxxxxx_1[j] * fl1_fza) + 4.0 * fl1_fxn * tg_xxxxxxx_xxxxxxx_1[j];

                    tg_xxxxxxxx_xxxxxxxy_0[j] = pb_x * tg_xxxxxxx_xxxxxxxy_0[j] + fr * tg_xxxxxxx_xxxxxxxy_1[j] + 3.5 * fl1_fx * (tg_xxxxxx_xxxxxxxy_0[j] - tg_xxxxxx_xxxxxxxy_1[j] * fl1_fza) + 3.5 * fl1_fxn * tg_xxxxxxx_xxxxxxy_1[j];

                    tg_xxxxxxxx_xxxxxxxz_0[j] = pb_x * tg_xxxxxxx_xxxxxxxz_0[j] + fr * tg_xxxxxxx_xxxxxxxz_1[j] + 3.5 * fl1_fx * (tg_xxxxxx_xxxxxxxz_0[j] - tg_xxxxxx_xxxxxxxz_1[j] * fl1_fza) + 3.5 * fl1_fxn * tg_xxxxxxx_xxxxxxz_1[j];

                    tg_xxxxxxxx_xxxxxxyy_0[j] = pb_x * tg_xxxxxxx_xxxxxxyy_0[j] + fr * tg_xxxxxxx_xxxxxxyy_1[j] + 3.5 * fl1_fx * (tg_xxxxxx_xxxxxxyy_0[j] - tg_xxxxxx_xxxxxxyy_1[j] * fl1_fza) + 3.0 * fl1_fxn * tg_xxxxxxx_xxxxxyy_1[j];

                    tg_xxxxxxxx_xxxxxxyz_0[j] = pb_x * tg_xxxxxxx_xxxxxxyz_0[j] + fr * tg_xxxxxxx_xxxxxxyz_1[j] + 3.5 * fl1_fx * (tg_xxxxxx_xxxxxxyz_0[j] - tg_xxxxxx_xxxxxxyz_1[j] * fl1_fza) + 3.0 * fl1_fxn * tg_xxxxxxx_xxxxxyz_1[j];

                    tg_xxxxxxxx_xxxxxxzz_0[j] = pb_x * tg_xxxxxxx_xxxxxxzz_0[j] + fr * tg_xxxxxxx_xxxxxxzz_1[j] + 3.5 * fl1_fx * (tg_xxxxxx_xxxxxxzz_0[j] - tg_xxxxxx_xxxxxxzz_1[j] * fl1_fza) + 3.0 * fl1_fxn * tg_xxxxxxx_xxxxxzz_1[j];

                    tg_xxxxxxxx_xxxxxyyy_0[j] = pb_x * tg_xxxxxxx_xxxxxyyy_0[j] + fr * tg_xxxxxxx_xxxxxyyy_1[j] + 3.5 * fl1_fx * (tg_xxxxxx_xxxxxyyy_0[j] - tg_xxxxxx_xxxxxyyy_1[j] * fl1_fza) + 2.5 * fl1_fxn * tg_xxxxxxx_xxxxyyy_1[j];

                    tg_xxxxxxxx_xxxxxyyz_0[j] = pb_x * tg_xxxxxxx_xxxxxyyz_0[j] + fr * tg_xxxxxxx_xxxxxyyz_1[j] + 3.5 * fl1_fx * (tg_xxxxxx_xxxxxyyz_0[j] - tg_xxxxxx_xxxxxyyz_1[j] * fl1_fza) + 2.5 * fl1_fxn * tg_xxxxxxx_xxxxyyz_1[j];

                    tg_xxxxxxxx_xxxxxyzz_0[j] = pb_x * tg_xxxxxxx_xxxxxyzz_0[j] + fr * tg_xxxxxxx_xxxxxyzz_1[j] + 3.5 * fl1_fx * (tg_xxxxxx_xxxxxyzz_0[j] - tg_xxxxxx_xxxxxyzz_1[j] * fl1_fza) + 2.5 * fl1_fxn * tg_xxxxxxx_xxxxyzz_1[j];

                    tg_xxxxxxxx_xxxxxzzz_0[j] = pb_x * tg_xxxxxxx_xxxxxzzz_0[j] + fr * tg_xxxxxxx_xxxxxzzz_1[j] + 3.5 * fl1_fx * (tg_xxxxxx_xxxxxzzz_0[j] - tg_xxxxxx_xxxxxzzz_1[j] * fl1_fza) + 2.5 * fl1_fxn * tg_xxxxxxx_xxxxzzz_1[j];

                    tg_xxxxxxxx_xxxxyyyy_0[j] = pb_x * tg_xxxxxxx_xxxxyyyy_0[j] + fr * tg_xxxxxxx_xxxxyyyy_1[j] + 3.5 * fl1_fx * (tg_xxxxxx_xxxxyyyy_0[j] - tg_xxxxxx_xxxxyyyy_1[j] * fl1_fza) + 2.0 * fl1_fxn * tg_xxxxxxx_xxxyyyy_1[j];

                    tg_xxxxxxxx_xxxxyyyz_0[j] = pb_x * tg_xxxxxxx_xxxxyyyz_0[j] + fr * tg_xxxxxxx_xxxxyyyz_1[j] + 3.5 * fl1_fx * (tg_xxxxxx_xxxxyyyz_0[j] - tg_xxxxxx_xxxxyyyz_1[j] * fl1_fza) + 2.0 * fl1_fxn * tg_xxxxxxx_xxxyyyz_1[j];

                    tg_xxxxxxxx_xxxxyyzz_0[j] = pb_x * tg_xxxxxxx_xxxxyyzz_0[j] + fr * tg_xxxxxxx_xxxxyyzz_1[j] + 3.5 * fl1_fx * (tg_xxxxxx_xxxxyyzz_0[j] - tg_xxxxxx_xxxxyyzz_1[j] * fl1_fza) + 2.0 * fl1_fxn * tg_xxxxxxx_xxxyyzz_1[j];

                    tg_xxxxxxxx_xxxxyzzz_0[j] = pb_x * tg_xxxxxxx_xxxxyzzz_0[j] + fr * tg_xxxxxxx_xxxxyzzz_1[j] + 3.5 * fl1_fx * (tg_xxxxxx_xxxxyzzz_0[j] - tg_xxxxxx_xxxxyzzz_1[j] * fl1_fza) + 2.0 * fl1_fxn * tg_xxxxxxx_xxxyzzz_1[j];

                    tg_xxxxxxxx_xxxxzzzz_0[j] = pb_x * tg_xxxxxxx_xxxxzzzz_0[j] + fr * tg_xxxxxxx_xxxxzzzz_1[j] + 3.5 * fl1_fx * (tg_xxxxxx_xxxxzzzz_0[j] - tg_xxxxxx_xxxxzzzz_1[j] * fl1_fza) + 2.0 * fl1_fxn * tg_xxxxxxx_xxxzzzz_1[j];

                    tg_xxxxxxxx_xxxyyyyy_0[j] = pb_x * tg_xxxxxxx_xxxyyyyy_0[j] + fr * tg_xxxxxxx_xxxyyyyy_1[j] + 3.5 * fl1_fx * (tg_xxxxxx_xxxyyyyy_0[j] - tg_xxxxxx_xxxyyyyy_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_xxxxxxx_xxyyyyy_1[j];

                    tg_xxxxxxxx_xxxyyyyz_0[j] = pb_x * tg_xxxxxxx_xxxyyyyz_0[j] + fr * tg_xxxxxxx_xxxyyyyz_1[j] + 3.5 * fl1_fx * (tg_xxxxxx_xxxyyyyz_0[j] - tg_xxxxxx_xxxyyyyz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_xxxxxxx_xxyyyyz_1[j];

                    tg_xxxxxxxx_xxxyyyzz_0[j] = pb_x * tg_xxxxxxx_xxxyyyzz_0[j] + fr * tg_xxxxxxx_xxxyyyzz_1[j] + 3.5 * fl1_fx * (tg_xxxxxx_xxxyyyzz_0[j] - tg_xxxxxx_xxxyyyzz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_xxxxxxx_xxyyyzz_1[j];

                    tg_xxxxxxxx_xxxyyzzz_0[j] = pb_x * tg_xxxxxxx_xxxyyzzz_0[j] + fr * tg_xxxxxxx_xxxyyzzz_1[j] + 3.5 * fl1_fx * (tg_xxxxxx_xxxyyzzz_0[j] - tg_xxxxxx_xxxyyzzz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_xxxxxxx_xxyyzzz_1[j];

                    tg_xxxxxxxx_xxxyzzzz_0[j] = pb_x * tg_xxxxxxx_xxxyzzzz_0[j] + fr * tg_xxxxxxx_xxxyzzzz_1[j] + 3.5 * fl1_fx * (tg_xxxxxx_xxxyzzzz_0[j] - tg_xxxxxx_xxxyzzzz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_xxxxxxx_xxyzzzz_1[j];

                    tg_xxxxxxxx_xxxzzzzz_0[j] = pb_x * tg_xxxxxxx_xxxzzzzz_0[j] + fr * tg_xxxxxxx_xxxzzzzz_1[j] + 3.5 * fl1_fx * (tg_xxxxxx_xxxzzzzz_0[j] - tg_xxxxxx_xxxzzzzz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_xxxxxxx_xxzzzzz_1[j];

                    tg_xxxxxxxx_xxyyyyyy_0[j] = pb_x * tg_xxxxxxx_xxyyyyyy_0[j] + fr * tg_xxxxxxx_xxyyyyyy_1[j] + 3.5 * fl1_fx * (tg_xxxxxx_xxyyyyyy_0[j] - tg_xxxxxx_xxyyyyyy_1[j] * fl1_fza) + fl1_fxn * tg_xxxxxxx_xyyyyyy_1[j];

                    tg_xxxxxxxx_xxyyyyyz_0[j] = pb_x * tg_xxxxxxx_xxyyyyyz_0[j] + fr * tg_xxxxxxx_xxyyyyyz_1[j] + 3.5 * fl1_fx * (tg_xxxxxx_xxyyyyyz_0[j] - tg_xxxxxx_xxyyyyyz_1[j] * fl1_fza) + fl1_fxn * tg_xxxxxxx_xyyyyyz_1[j];

                    tg_xxxxxxxx_xxyyyyzz_0[j] = pb_x * tg_xxxxxxx_xxyyyyzz_0[j] + fr * tg_xxxxxxx_xxyyyyzz_1[j] + 3.5 * fl1_fx * (tg_xxxxxx_xxyyyyzz_0[j] - tg_xxxxxx_xxyyyyzz_1[j] * fl1_fza) + fl1_fxn * tg_xxxxxxx_xyyyyzz_1[j];

                    tg_xxxxxxxx_xxyyyzzz_0[j] = pb_x * tg_xxxxxxx_xxyyyzzz_0[j] + fr * tg_xxxxxxx_xxyyyzzz_1[j] + 3.5 * fl1_fx * (tg_xxxxxx_xxyyyzzz_0[j] - tg_xxxxxx_xxyyyzzz_1[j] * fl1_fza) + fl1_fxn * tg_xxxxxxx_xyyyzzz_1[j];

                    tg_xxxxxxxx_xxyyzzzz_0[j] = pb_x * tg_xxxxxxx_xxyyzzzz_0[j] + fr * tg_xxxxxxx_xxyyzzzz_1[j] + 3.5 * fl1_fx * (tg_xxxxxx_xxyyzzzz_0[j] - tg_xxxxxx_xxyyzzzz_1[j] * fl1_fza) + fl1_fxn * tg_xxxxxxx_xyyzzzz_1[j];

                    tg_xxxxxxxx_xxyzzzzz_0[j] = pb_x * tg_xxxxxxx_xxyzzzzz_0[j] + fr * tg_xxxxxxx_xxyzzzzz_1[j] + 3.5 * fl1_fx * (tg_xxxxxx_xxyzzzzz_0[j] - tg_xxxxxx_xxyzzzzz_1[j] * fl1_fza) + fl1_fxn * tg_xxxxxxx_xyzzzzz_1[j];

                    tg_xxxxxxxx_xxzzzzzz_0[j] = pb_x * tg_xxxxxxx_xxzzzzzz_0[j] + fr * tg_xxxxxxx_xxzzzzzz_1[j] + 3.5 * fl1_fx * (tg_xxxxxx_xxzzzzzz_0[j] - tg_xxxxxx_xxzzzzzz_1[j] * fl1_fza) + fl1_fxn * tg_xxxxxxx_xzzzzzz_1[j];

                    tg_xxxxxxxx_xyyyyyyy_0[j] = pb_x * tg_xxxxxxx_xyyyyyyy_0[j] + fr * tg_xxxxxxx_xyyyyyyy_1[j] + 3.5 * fl1_fx * (tg_xxxxxx_xyyyyyyy_0[j] - tg_xxxxxx_xyyyyyyy_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xxxxxxx_yyyyyyy_1[j];

                    tg_xxxxxxxx_xyyyyyyz_0[j] = pb_x * tg_xxxxxxx_xyyyyyyz_0[j] + fr * tg_xxxxxxx_xyyyyyyz_1[j] + 3.5 * fl1_fx * (tg_xxxxxx_xyyyyyyz_0[j] - tg_xxxxxx_xyyyyyyz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xxxxxxx_yyyyyyz_1[j];

                    tg_xxxxxxxx_xyyyyyzz_0[j] = pb_x * tg_xxxxxxx_xyyyyyzz_0[j] + fr * tg_xxxxxxx_xyyyyyzz_1[j] + 3.5 * fl1_fx * (tg_xxxxxx_xyyyyyzz_0[j] - tg_xxxxxx_xyyyyyzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xxxxxxx_yyyyyzz_1[j];

                    tg_xxxxxxxx_xyyyyzzz_0[j] = pb_x * tg_xxxxxxx_xyyyyzzz_0[j] + fr * tg_xxxxxxx_xyyyyzzz_1[j] + 3.5 * fl1_fx * (tg_xxxxxx_xyyyyzzz_0[j] - tg_xxxxxx_xyyyyzzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xxxxxxx_yyyyzzz_1[j];

                    tg_xxxxxxxx_xyyyzzzz_0[j] = pb_x * tg_xxxxxxx_xyyyzzzz_0[j] + fr * tg_xxxxxxx_xyyyzzzz_1[j] + 3.5 * fl1_fx * (tg_xxxxxx_xyyyzzzz_0[j] - tg_xxxxxx_xyyyzzzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xxxxxxx_yyyzzzz_1[j];

                    tg_xxxxxxxx_xyyzzzzz_0[j] = pb_x * tg_xxxxxxx_xyyzzzzz_0[j] + fr * tg_xxxxxxx_xyyzzzzz_1[j] + 3.5 * fl1_fx * (tg_xxxxxx_xyyzzzzz_0[j] - tg_xxxxxx_xyyzzzzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xxxxxxx_yyzzzzz_1[j];

                    tg_xxxxxxxx_xyzzzzzz_0[j] = pb_x * tg_xxxxxxx_xyzzzzzz_0[j] + fr * tg_xxxxxxx_xyzzzzzz_1[j] + 3.5 * fl1_fx * (tg_xxxxxx_xyzzzzzz_0[j] - tg_xxxxxx_xyzzzzzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xxxxxxx_yzzzzzz_1[j];

                    tg_xxxxxxxx_xzzzzzzz_0[j] = pb_x * tg_xxxxxxx_xzzzzzzz_0[j] + fr * tg_xxxxxxx_xzzzzzzz_1[j] + 3.5 * fl1_fx * (tg_xxxxxx_xzzzzzzz_0[j] - tg_xxxxxx_xzzzzzzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xxxxxxx_zzzzzzz_1[j];

                    tg_xxxxxxxx_yyyyyyyy_0[j] = pb_x * tg_xxxxxxx_yyyyyyyy_0[j] + fr * tg_xxxxxxx_yyyyyyyy_1[j] + 3.5 * fl1_fx * (tg_xxxxxx_yyyyyyyy_0[j] - tg_xxxxxx_yyyyyyyy_1[j] * fl1_fza);

                    tg_xxxxxxxx_yyyyyyyz_0[j] = pb_x * tg_xxxxxxx_yyyyyyyz_0[j] + fr * tg_xxxxxxx_yyyyyyyz_1[j] + 3.5 * fl1_fx * (tg_xxxxxx_yyyyyyyz_0[j] - tg_xxxxxx_yyyyyyyz_1[j] * fl1_fza);

                    tg_xxxxxxxx_yyyyyyzz_0[j] = pb_x * tg_xxxxxxx_yyyyyyzz_0[j] + fr * tg_xxxxxxx_yyyyyyzz_1[j] + 3.5 * fl1_fx * (tg_xxxxxx_yyyyyyzz_0[j] - tg_xxxxxx_yyyyyyzz_1[j] * fl1_fza);

                    tg_xxxxxxxx_yyyyyzzz_0[j] = pb_x * tg_xxxxxxx_yyyyyzzz_0[j] + fr * tg_xxxxxxx_yyyyyzzz_1[j] + 3.5 * fl1_fx * (tg_xxxxxx_yyyyyzzz_0[j] - tg_xxxxxx_yyyyyzzz_1[j] * fl1_fza);

                    tg_xxxxxxxx_yyyyzzzz_0[j] = pb_x * tg_xxxxxxx_yyyyzzzz_0[j] + fr * tg_xxxxxxx_yyyyzzzz_1[j] + 3.5 * fl1_fx * (tg_xxxxxx_yyyyzzzz_0[j] - tg_xxxxxx_yyyyzzzz_1[j] * fl1_fza);

                    tg_xxxxxxxx_yyyzzzzz_0[j] = pb_x * tg_xxxxxxx_yyyzzzzz_0[j] + fr * tg_xxxxxxx_yyyzzzzz_1[j] + 3.5 * fl1_fx * (tg_xxxxxx_yyyzzzzz_0[j] - tg_xxxxxx_yyyzzzzz_1[j] * fl1_fza);

                    tg_xxxxxxxx_yyzzzzzz_0[j] = pb_x * tg_xxxxxxx_yyzzzzzz_0[j] + fr * tg_xxxxxxx_yyzzzzzz_1[j] + 3.5 * fl1_fx * (tg_xxxxxx_yyzzzzzz_0[j] - tg_xxxxxx_yyzzzzzz_1[j] * fl1_fza);

                    tg_xxxxxxxx_yzzzzzzz_0[j] = pb_x * tg_xxxxxxx_yzzzzzzz_0[j] + fr * tg_xxxxxxx_yzzzzzzz_1[j] + 3.5 * fl1_fx * (tg_xxxxxx_yzzzzzzz_0[j] - tg_xxxxxx_yzzzzzzz_1[j] * fl1_fza);

                    tg_xxxxxxxx_zzzzzzzz_0[j] = pb_x * tg_xxxxxxx_zzzzzzzz_0[j] + fr * tg_xxxxxxx_zzzzzzzz_1[j] + 3.5 * fl1_fx * (tg_xxxxxx_zzzzzzzz_0[j] - tg_xxxxxx_zzzzzzzz_1[j] * fl1_fza);

                    tg_xxxxxxxy_xxxxxxxx_0[j] = pb_x * tg_xxxxxxy_xxxxxxxx_0[j] + fr * tg_xxxxxxy_xxxxxxxx_1[j] + 3.0 * fl1_fx * (tg_xxxxxy_xxxxxxxx_0[j] - tg_xxxxxy_xxxxxxxx_1[j] * fl1_fza) + 4.0 * fl1_fxn * tg_xxxxxxy_xxxxxxx_1[j];

                    tg_xxxxxxxy_xxxxxxxy_0[j] = pb_x * tg_xxxxxxy_xxxxxxxy_0[j] + fr * tg_xxxxxxy_xxxxxxxy_1[j] + 3.0 * fl1_fx * (tg_xxxxxy_xxxxxxxy_0[j] - tg_xxxxxy_xxxxxxxy_1[j] * fl1_fza) + 3.5 * fl1_fxn * tg_xxxxxxy_xxxxxxy_1[j];

                    tg_xxxxxxxy_xxxxxxxz_0[j] = pb_x * tg_xxxxxxy_xxxxxxxz_0[j] + fr * tg_xxxxxxy_xxxxxxxz_1[j] + 3.0 * fl1_fx * (tg_xxxxxy_xxxxxxxz_0[j] - tg_xxxxxy_xxxxxxxz_1[j] * fl1_fza) + 3.5 * fl1_fxn * tg_xxxxxxy_xxxxxxz_1[j];

                    tg_xxxxxxxy_xxxxxxyy_0[j] = pb_x * tg_xxxxxxy_xxxxxxyy_0[j] + fr * tg_xxxxxxy_xxxxxxyy_1[j] + 3.0 * fl1_fx * (tg_xxxxxy_xxxxxxyy_0[j] - tg_xxxxxy_xxxxxxyy_1[j] * fl1_fza) + 3.0 * fl1_fxn * tg_xxxxxxy_xxxxxyy_1[j];

                    tg_xxxxxxxy_xxxxxxyz_0[j] = pb_x * tg_xxxxxxy_xxxxxxyz_0[j] + fr * tg_xxxxxxy_xxxxxxyz_1[j] + 3.0 * fl1_fx * (tg_xxxxxy_xxxxxxyz_0[j] - tg_xxxxxy_xxxxxxyz_1[j] * fl1_fza) + 3.0 * fl1_fxn * tg_xxxxxxy_xxxxxyz_1[j];

                    tg_xxxxxxxy_xxxxxxzz_0[j] = pb_x * tg_xxxxxxy_xxxxxxzz_0[j] + fr * tg_xxxxxxy_xxxxxxzz_1[j] + 3.0 * fl1_fx * (tg_xxxxxy_xxxxxxzz_0[j] - tg_xxxxxy_xxxxxxzz_1[j] * fl1_fza) + 3.0 * fl1_fxn * tg_xxxxxxy_xxxxxzz_1[j];

                    tg_xxxxxxxy_xxxxxyyy_0[j] = pb_x * tg_xxxxxxy_xxxxxyyy_0[j] + fr * tg_xxxxxxy_xxxxxyyy_1[j] + 3.0 * fl1_fx * (tg_xxxxxy_xxxxxyyy_0[j] - tg_xxxxxy_xxxxxyyy_1[j] * fl1_fza) + 2.5 * fl1_fxn * tg_xxxxxxy_xxxxyyy_1[j];

                    tg_xxxxxxxy_xxxxxyyz_0[j] = pb_x * tg_xxxxxxy_xxxxxyyz_0[j] + fr * tg_xxxxxxy_xxxxxyyz_1[j] + 3.0 * fl1_fx * (tg_xxxxxy_xxxxxyyz_0[j] - tg_xxxxxy_xxxxxyyz_1[j] * fl1_fza) + 2.5 * fl1_fxn * tg_xxxxxxy_xxxxyyz_1[j];

                    tg_xxxxxxxy_xxxxxyzz_0[j] = pb_x * tg_xxxxxxy_xxxxxyzz_0[j] + fr * tg_xxxxxxy_xxxxxyzz_1[j] + 3.0 * fl1_fx * (tg_xxxxxy_xxxxxyzz_0[j] - tg_xxxxxy_xxxxxyzz_1[j] * fl1_fza) + 2.5 * fl1_fxn * tg_xxxxxxy_xxxxyzz_1[j];

                    tg_xxxxxxxy_xxxxxzzz_0[j] = pb_x * tg_xxxxxxy_xxxxxzzz_0[j] + fr * tg_xxxxxxy_xxxxxzzz_1[j] + 3.0 * fl1_fx * (tg_xxxxxy_xxxxxzzz_0[j] - tg_xxxxxy_xxxxxzzz_1[j] * fl1_fza) + 2.5 * fl1_fxn * tg_xxxxxxy_xxxxzzz_1[j];

                    tg_xxxxxxxy_xxxxyyyy_0[j] = pb_x * tg_xxxxxxy_xxxxyyyy_0[j] + fr * tg_xxxxxxy_xxxxyyyy_1[j] + 3.0 * fl1_fx * (tg_xxxxxy_xxxxyyyy_0[j] - tg_xxxxxy_xxxxyyyy_1[j] * fl1_fza) + 2.0 * fl1_fxn * tg_xxxxxxy_xxxyyyy_1[j];

                    tg_xxxxxxxy_xxxxyyyz_0[j] = pb_x * tg_xxxxxxy_xxxxyyyz_0[j] + fr * tg_xxxxxxy_xxxxyyyz_1[j] + 3.0 * fl1_fx * (tg_xxxxxy_xxxxyyyz_0[j] - tg_xxxxxy_xxxxyyyz_1[j] * fl1_fza) + 2.0 * fl1_fxn * tg_xxxxxxy_xxxyyyz_1[j];

                    tg_xxxxxxxy_xxxxyyzz_0[j] = pb_x * tg_xxxxxxy_xxxxyyzz_0[j] + fr * tg_xxxxxxy_xxxxyyzz_1[j] + 3.0 * fl1_fx * (tg_xxxxxy_xxxxyyzz_0[j] - tg_xxxxxy_xxxxyyzz_1[j] * fl1_fza) + 2.0 * fl1_fxn * tg_xxxxxxy_xxxyyzz_1[j];

                    tg_xxxxxxxy_xxxxyzzz_0[j] = pb_x * tg_xxxxxxy_xxxxyzzz_0[j] + fr * tg_xxxxxxy_xxxxyzzz_1[j] + 3.0 * fl1_fx * (tg_xxxxxy_xxxxyzzz_0[j] - tg_xxxxxy_xxxxyzzz_1[j] * fl1_fza) + 2.0 * fl1_fxn * tg_xxxxxxy_xxxyzzz_1[j];

                    tg_xxxxxxxy_xxxxzzzz_0[j] = pb_x * tg_xxxxxxy_xxxxzzzz_0[j] + fr * tg_xxxxxxy_xxxxzzzz_1[j] + 3.0 * fl1_fx * (tg_xxxxxy_xxxxzzzz_0[j] - tg_xxxxxy_xxxxzzzz_1[j] * fl1_fza) + 2.0 * fl1_fxn * tg_xxxxxxy_xxxzzzz_1[j];

                    tg_xxxxxxxy_xxxyyyyy_0[j] = pb_x * tg_xxxxxxy_xxxyyyyy_0[j] + fr * tg_xxxxxxy_xxxyyyyy_1[j] + 3.0 * fl1_fx * (tg_xxxxxy_xxxyyyyy_0[j] - tg_xxxxxy_xxxyyyyy_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_xxxxxxy_xxyyyyy_1[j];

                    tg_xxxxxxxy_xxxyyyyz_0[j] = pb_x * tg_xxxxxxy_xxxyyyyz_0[j] + fr * tg_xxxxxxy_xxxyyyyz_1[j] + 3.0 * fl1_fx * (tg_xxxxxy_xxxyyyyz_0[j] - tg_xxxxxy_xxxyyyyz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_xxxxxxy_xxyyyyz_1[j];

                    tg_xxxxxxxy_xxxyyyzz_0[j] = pb_x * tg_xxxxxxy_xxxyyyzz_0[j] + fr * tg_xxxxxxy_xxxyyyzz_1[j] + 3.0 * fl1_fx * (tg_xxxxxy_xxxyyyzz_0[j] - tg_xxxxxy_xxxyyyzz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_xxxxxxy_xxyyyzz_1[j];

                    tg_xxxxxxxy_xxxyyzzz_0[j] = pb_x * tg_xxxxxxy_xxxyyzzz_0[j] + fr * tg_xxxxxxy_xxxyyzzz_1[j] + 3.0 * fl1_fx * (tg_xxxxxy_xxxyyzzz_0[j] - tg_xxxxxy_xxxyyzzz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_xxxxxxy_xxyyzzz_1[j];

                    tg_xxxxxxxy_xxxyzzzz_0[j] = pb_x * tg_xxxxxxy_xxxyzzzz_0[j] + fr * tg_xxxxxxy_xxxyzzzz_1[j] + 3.0 * fl1_fx * (tg_xxxxxy_xxxyzzzz_0[j] - tg_xxxxxy_xxxyzzzz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_xxxxxxy_xxyzzzz_1[j];

                    tg_xxxxxxxy_xxxzzzzz_0[j] = pb_x * tg_xxxxxxy_xxxzzzzz_0[j] + fr * tg_xxxxxxy_xxxzzzzz_1[j] + 3.0 * fl1_fx * (tg_xxxxxy_xxxzzzzz_0[j] - tg_xxxxxy_xxxzzzzz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_xxxxxxy_xxzzzzz_1[j];

                    tg_xxxxxxxy_xxyyyyyy_0[j] = pb_x * tg_xxxxxxy_xxyyyyyy_0[j] + fr * tg_xxxxxxy_xxyyyyyy_1[j] + 3.0 * fl1_fx * (tg_xxxxxy_xxyyyyyy_0[j] - tg_xxxxxy_xxyyyyyy_1[j] * fl1_fza) + fl1_fxn * tg_xxxxxxy_xyyyyyy_1[j];

                    tg_xxxxxxxy_xxyyyyyz_0[j] = pb_x * tg_xxxxxxy_xxyyyyyz_0[j] + fr * tg_xxxxxxy_xxyyyyyz_1[j] + 3.0 * fl1_fx * (tg_xxxxxy_xxyyyyyz_0[j] - tg_xxxxxy_xxyyyyyz_1[j] * fl1_fza) + fl1_fxn * tg_xxxxxxy_xyyyyyz_1[j];

                    tg_xxxxxxxy_xxyyyyzz_0[j] = pb_x * tg_xxxxxxy_xxyyyyzz_0[j] + fr * tg_xxxxxxy_xxyyyyzz_1[j] + 3.0 * fl1_fx * (tg_xxxxxy_xxyyyyzz_0[j] - tg_xxxxxy_xxyyyyzz_1[j] * fl1_fza) + fl1_fxn * tg_xxxxxxy_xyyyyzz_1[j];

                    tg_xxxxxxxy_xxyyyzzz_0[j] = pb_x * tg_xxxxxxy_xxyyyzzz_0[j] + fr * tg_xxxxxxy_xxyyyzzz_1[j] + 3.0 * fl1_fx * (tg_xxxxxy_xxyyyzzz_0[j] - tg_xxxxxy_xxyyyzzz_1[j] * fl1_fza) + fl1_fxn * tg_xxxxxxy_xyyyzzz_1[j];

                    tg_xxxxxxxy_xxyyzzzz_0[j] = pb_x * tg_xxxxxxy_xxyyzzzz_0[j] + fr * tg_xxxxxxy_xxyyzzzz_1[j] + 3.0 * fl1_fx * (tg_xxxxxy_xxyyzzzz_0[j] - tg_xxxxxy_xxyyzzzz_1[j] * fl1_fza) + fl1_fxn * tg_xxxxxxy_xyyzzzz_1[j];

                    tg_xxxxxxxy_xxyzzzzz_0[j] = pb_x * tg_xxxxxxy_xxyzzzzz_0[j] + fr * tg_xxxxxxy_xxyzzzzz_1[j] + 3.0 * fl1_fx * (tg_xxxxxy_xxyzzzzz_0[j] - tg_xxxxxy_xxyzzzzz_1[j] * fl1_fza) + fl1_fxn * tg_xxxxxxy_xyzzzzz_1[j];

                    tg_xxxxxxxy_xxzzzzzz_0[j] = pb_x * tg_xxxxxxy_xxzzzzzz_0[j] + fr * tg_xxxxxxy_xxzzzzzz_1[j] + 3.0 * fl1_fx * (tg_xxxxxy_xxzzzzzz_0[j] - tg_xxxxxy_xxzzzzzz_1[j] * fl1_fza) + fl1_fxn * tg_xxxxxxy_xzzzzzz_1[j];

                    tg_xxxxxxxy_xyyyyyyy_0[j] = pb_x * tg_xxxxxxy_xyyyyyyy_0[j] + fr * tg_xxxxxxy_xyyyyyyy_1[j] + 3.0 * fl1_fx * (tg_xxxxxy_xyyyyyyy_0[j] - tg_xxxxxy_xyyyyyyy_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xxxxxxy_yyyyyyy_1[j];

                    tg_xxxxxxxy_xyyyyyyz_0[j] = pb_x * tg_xxxxxxy_xyyyyyyz_0[j] + fr * tg_xxxxxxy_xyyyyyyz_1[j] + 3.0 * fl1_fx * (tg_xxxxxy_xyyyyyyz_0[j] - tg_xxxxxy_xyyyyyyz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xxxxxxy_yyyyyyz_1[j];

                    tg_xxxxxxxy_xyyyyyzz_0[j] = pb_x * tg_xxxxxxy_xyyyyyzz_0[j] + fr * tg_xxxxxxy_xyyyyyzz_1[j] + 3.0 * fl1_fx * (tg_xxxxxy_xyyyyyzz_0[j] - tg_xxxxxy_xyyyyyzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xxxxxxy_yyyyyzz_1[j];

                    tg_xxxxxxxy_xyyyyzzz_0[j] = pb_x * tg_xxxxxxy_xyyyyzzz_0[j] + fr * tg_xxxxxxy_xyyyyzzz_1[j] + 3.0 * fl1_fx * (tg_xxxxxy_xyyyyzzz_0[j] - tg_xxxxxy_xyyyyzzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xxxxxxy_yyyyzzz_1[j];

                    tg_xxxxxxxy_xyyyzzzz_0[j] = pb_x * tg_xxxxxxy_xyyyzzzz_0[j] + fr * tg_xxxxxxy_xyyyzzzz_1[j] + 3.0 * fl1_fx * (tg_xxxxxy_xyyyzzzz_0[j] - tg_xxxxxy_xyyyzzzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xxxxxxy_yyyzzzz_1[j];

                    tg_xxxxxxxy_xyyzzzzz_0[j] = pb_x * tg_xxxxxxy_xyyzzzzz_0[j] + fr * tg_xxxxxxy_xyyzzzzz_1[j] + 3.0 * fl1_fx * (tg_xxxxxy_xyyzzzzz_0[j] - tg_xxxxxy_xyyzzzzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xxxxxxy_yyzzzzz_1[j];

                    tg_xxxxxxxy_xyzzzzzz_0[j] = pb_x * tg_xxxxxxy_xyzzzzzz_0[j] + fr * tg_xxxxxxy_xyzzzzzz_1[j] + 3.0 * fl1_fx * (tg_xxxxxy_xyzzzzzz_0[j] - tg_xxxxxy_xyzzzzzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xxxxxxy_yzzzzzz_1[j];

                    tg_xxxxxxxy_xzzzzzzz_0[j] = pb_x * tg_xxxxxxy_xzzzzzzz_0[j] + fr * tg_xxxxxxy_xzzzzzzz_1[j] + 3.0 * fl1_fx * (tg_xxxxxy_xzzzzzzz_0[j] - tg_xxxxxy_xzzzzzzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xxxxxxy_zzzzzzz_1[j];

                    tg_xxxxxxxy_yyyyyyyy_0[j] = pb_x * tg_xxxxxxy_yyyyyyyy_0[j] + fr * tg_xxxxxxy_yyyyyyyy_1[j] + 3.0 * fl1_fx * (tg_xxxxxy_yyyyyyyy_0[j] - tg_xxxxxy_yyyyyyyy_1[j] * fl1_fza);

                    tg_xxxxxxxy_yyyyyyyz_0[j] = pb_x * tg_xxxxxxy_yyyyyyyz_0[j] + fr * tg_xxxxxxy_yyyyyyyz_1[j] + 3.0 * fl1_fx * (tg_xxxxxy_yyyyyyyz_0[j] - tg_xxxxxy_yyyyyyyz_1[j] * fl1_fza);

                    tg_xxxxxxxy_yyyyyyzz_0[j] = pb_x * tg_xxxxxxy_yyyyyyzz_0[j] + fr * tg_xxxxxxy_yyyyyyzz_1[j] + 3.0 * fl1_fx * (tg_xxxxxy_yyyyyyzz_0[j] - tg_xxxxxy_yyyyyyzz_1[j] * fl1_fza);

                    tg_xxxxxxxy_yyyyyzzz_0[j] = pb_x * tg_xxxxxxy_yyyyyzzz_0[j] + fr * tg_xxxxxxy_yyyyyzzz_1[j] + 3.0 * fl1_fx * (tg_xxxxxy_yyyyyzzz_0[j] - tg_xxxxxy_yyyyyzzz_1[j] * fl1_fza);

                    tg_xxxxxxxy_yyyyzzzz_0[j] = pb_x * tg_xxxxxxy_yyyyzzzz_0[j] + fr * tg_xxxxxxy_yyyyzzzz_1[j] + 3.0 * fl1_fx * (tg_xxxxxy_yyyyzzzz_0[j] - tg_xxxxxy_yyyyzzzz_1[j] * fl1_fza);

                    tg_xxxxxxxy_yyyzzzzz_0[j] = pb_x * tg_xxxxxxy_yyyzzzzz_0[j] + fr * tg_xxxxxxy_yyyzzzzz_1[j] + 3.0 * fl1_fx * (tg_xxxxxy_yyyzzzzz_0[j] - tg_xxxxxy_yyyzzzzz_1[j] * fl1_fza);

                    tg_xxxxxxxy_yyzzzzzz_0[j] = pb_x * tg_xxxxxxy_yyzzzzzz_0[j] + fr * tg_xxxxxxy_yyzzzzzz_1[j] + 3.0 * fl1_fx * (tg_xxxxxy_yyzzzzzz_0[j] - tg_xxxxxy_yyzzzzzz_1[j] * fl1_fza);

                    tg_xxxxxxxy_yzzzzzzz_0[j] = pb_x * tg_xxxxxxy_yzzzzzzz_0[j] + fr * tg_xxxxxxy_yzzzzzzz_1[j] + 3.0 * fl1_fx * (tg_xxxxxy_yzzzzzzz_0[j] - tg_xxxxxy_yzzzzzzz_1[j] * fl1_fza);

                    tg_xxxxxxxy_zzzzzzzz_0[j] = pb_x * tg_xxxxxxy_zzzzzzzz_0[j] + fr * tg_xxxxxxy_zzzzzzzz_1[j] + 3.0 * fl1_fx * (tg_xxxxxy_zzzzzzzz_0[j] - tg_xxxxxy_zzzzzzzz_1[j] * fl1_fza);

                    tg_xxxxxxxz_xxxxxxxx_0[j] = pb_x * tg_xxxxxxz_xxxxxxxx_0[j] + fr * tg_xxxxxxz_xxxxxxxx_1[j] + 3.0 * fl1_fx * (tg_xxxxxz_xxxxxxxx_0[j] - tg_xxxxxz_xxxxxxxx_1[j] * fl1_fza) + 4.0 * fl1_fxn * tg_xxxxxxz_xxxxxxx_1[j];

                    tg_xxxxxxxz_xxxxxxxy_0[j] = pb_x * tg_xxxxxxz_xxxxxxxy_0[j] + fr * tg_xxxxxxz_xxxxxxxy_1[j] + 3.0 * fl1_fx * (tg_xxxxxz_xxxxxxxy_0[j] - tg_xxxxxz_xxxxxxxy_1[j] * fl1_fza) + 3.5 * fl1_fxn * tg_xxxxxxz_xxxxxxy_1[j];

                    tg_xxxxxxxz_xxxxxxxz_0[j] = pb_x * tg_xxxxxxz_xxxxxxxz_0[j] + fr * tg_xxxxxxz_xxxxxxxz_1[j] + 3.0 * fl1_fx * (tg_xxxxxz_xxxxxxxz_0[j] - tg_xxxxxz_xxxxxxxz_1[j] * fl1_fza) + 3.5 * fl1_fxn * tg_xxxxxxz_xxxxxxz_1[j];

                    tg_xxxxxxxz_xxxxxxyy_0[j] = pb_x * tg_xxxxxxz_xxxxxxyy_0[j] + fr * tg_xxxxxxz_xxxxxxyy_1[j] + 3.0 * fl1_fx * (tg_xxxxxz_xxxxxxyy_0[j] - tg_xxxxxz_xxxxxxyy_1[j] * fl1_fza) + 3.0 * fl1_fxn * tg_xxxxxxz_xxxxxyy_1[j];

                    tg_xxxxxxxz_xxxxxxyz_0[j] = pb_x * tg_xxxxxxz_xxxxxxyz_0[j] + fr * tg_xxxxxxz_xxxxxxyz_1[j] + 3.0 * fl1_fx * (tg_xxxxxz_xxxxxxyz_0[j] - tg_xxxxxz_xxxxxxyz_1[j] * fl1_fza) + 3.0 * fl1_fxn * tg_xxxxxxz_xxxxxyz_1[j];

                    tg_xxxxxxxz_xxxxxxzz_0[j] = pb_x * tg_xxxxxxz_xxxxxxzz_0[j] + fr * tg_xxxxxxz_xxxxxxzz_1[j] + 3.0 * fl1_fx * (tg_xxxxxz_xxxxxxzz_0[j] - tg_xxxxxz_xxxxxxzz_1[j] * fl1_fza) + 3.0 * fl1_fxn * tg_xxxxxxz_xxxxxzz_1[j];

                    tg_xxxxxxxz_xxxxxyyy_0[j] = pb_x * tg_xxxxxxz_xxxxxyyy_0[j] + fr * tg_xxxxxxz_xxxxxyyy_1[j] + 3.0 * fl1_fx * (tg_xxxxxz_xxxxxyyy_0[j] - tg_xxxxxz_xxxxxyyy_1[j] * fl1_fza) + 2.5 * fl1_fxn * tg_xxxxxxz_xxxxyyy_1[j];
                }

                idx++;
            }
        }
    }

    void
    compElectronRepulsionForSLSL_97_194(      CMemBlock2D<double>* primBuffer,
                                        const CRecursionMap&       recursionMap,
                                        const CMemBlock2D<double>& osFactors,
                                        const CMemBlock2D<double>& wpDistances,
                                        const CGtoPairsBlock&      braGtoPairsBlock,
                                        const CGtoPairsBlock&      ketGtoPairsBlock,
                                        const int32_t              nKetPrimPairs,
                                        const int32_t              iContrPair)
    {
        // Batch of Integrals (97,194)

        // set up pointers to primitives data on bra side

        auto spos = braGtoPairsBlock.getStartPositions();

        auto epos = braGtoPairsBlock.getEndPositions();

        // set up pointers to tensor of distance R(PB) = P - B

        auto r_pb_x = braGtoPairsBlock.getDistancesPBX();

        // set up pointers to common Obara-Saika factors

        auto b_fx = braGtoPairsBlock.getFactorsOneOverXi();

        // set up maximum order of integral

        auto mord = recursionMap.getMaxOrder({"Electron Repulsion"},
                                             {8, -1, -1, -1},
                                             {8, -1, -1, -1},
                                             1, 1);

        for (int32_t iord = 0; iord <= mord; iord++)
        {
            // set up index of integral

            auto pidx_g_8_8_m0 = recursionMap.index(CRecursionTerm({"Electron Repulsion"}, 0, true, 
                                                                   {8, -1, -1, -1}, {8, -1, -1, -1}, 
                                                                   1, 1, iord));

            // check if integral is needed in recursion expansion

            if (pidx_g_8_8_m0 == -1) continue;

            // set up indexes of auxilary integral

            auto pidx_g_7_8_m0 = recursionMap.index(CRecursionTerm({"Electron Repulsion"}, 0, true, 
                                                                   {7, -1, -1, -1}, {8, -1, -1, -1}, 
                                                                   1, 1, iord));

            auto pidx_g_7_8_m1 = recursionMap.index(CRecursionTerm({"Electron Repulsion"}, 0, true, 
                                                                   {7, -1, -1, -1}, {8, -1, -1, -1}, 
                                                                   1, 1, iord + 1));

            auto pidx_g_6_8_m0 = recursionMap.index(CRecursionTerm({"Electron Repulsion"}, 0, true, 
                                                                   {6, -1, -1, -1}, {8, -1, -1, -1}, 
                                                                   1, 1, iord));

            auto pidx_g_6_8_m1 = recursionMap.index(CRecursionTerm({"Electron Repulsion"}, 0, true, 
                                                                   {6, -1, -1, -1}, {8, -1, -1, -1}, 
                                                                   1, 1, iord + 1));

            auto pidx_g_7_7_m1 = recursionMap.index(CRecursionTerm({"Electron Repulsion"}, 0, true, 
                                                                   {7, -1, -1, -1}, {7, -1, -1, -1}, 
                                                                   1, 1, iord + 1));

            // loop over contracted GTO on bra side

            int32_t idx = 0;

            for (int32_t i = spos[iContrPair]; i < epos[iContrPair]; i++)
            {
                // set up pointers to Obara-Saika factors

                double fx = b_fx[i];

                auto fza = osFactors.data(4 * idx + 2);

                auto fxn = osFactors.data(4 * idx);

                // set up distances R(PB) = P - B

                auto pb_x = r_pb_x[i];

                // set up pointers to tensors product of distances R(WP) = W - P

                auto wp_x = wpDistances.data(3 * idx);

                // set up pointers to auxilary integrals

                auto tg_xxxxxxz_xxxxxyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 97); 

                auto tg_xxxxxxz_xxxxxyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 98); 

                auto tg_xxxxxxz_xxxxxzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 99); 

                auto tg_xxxxxxz_xxxxyyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 100); 

                auto tg_xxxxxxz_xxxxyyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 101); 

                auto tg_xxxxxxz_xxxxyyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 102); 

                auto tg_xxxxxxz_xxxxyzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 103); 

                auto tg_xxxxxxz_xxxxzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 104); 

                auto tg_xxxxxxz_xxxyyyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 105); 

                auto tg_xxxxxxz_xxxyyyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 106); 

                auto tg_xxxxxxz_xxxyyyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 107); 

                auto tg_xxxxxxz_xxxyyzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 108); 

                auto tg_xxxxxxz_xxxyzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 109); 

                auto tg_xxxxxxz_xxxzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 110); 

                auto tg_xxxxxxz_xxyyyyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 111); 

                auto tg_xxxxxxz_xxyyyyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 112); 

                auto tg_xxxxxxz_xxyyyyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 113); 

                auto tg_xxxxxxz_xxyyyzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 114); 

                auto tg_xxxxxxz_xxyyzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 115); 

                auto tg_xxxxxxz_xxyzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 116); 

                auto tg_xxxxxxz_xxzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 117); 

                auto tg_xxxxxxz_xyyyyyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 118); 

                auto tg_xxxxxxz_xyyyyyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 119); 

                auto tg_xxxxxxz_xyyyyyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 120); 

                auto tg_xxxxxxz_xyyyyzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 121); 

                auto tg_xxxxxxz_xyyyzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 122); 

                auto tg_xxxxxxz_xyyzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 123); 

                auto tg_xxxxxxz_xyzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 124); 

                auto tg_xxxxxxz_xzzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 125); 

                auto tg_xxxxxxz_yyyyyyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 126); 

                auto tg_xxxxxxz_yyyyyyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 127); 

                auto tg_xxxxxxz_yyyyyyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 128); 

                auto tg_xxxxxxz_yyyyyzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 129); 

                auto tg_xxxxxxz_yyyyzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 130); 

                auto tg_xxxxxxz_yyyzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 131); 

                auto tg_xxxxxxz_yyzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 132); 

                auto tg_xxxxxxz_yzzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 133); 

                auto tg_xxxxxxz_zzzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 134); 

                auto tg_xxxxxyy_xxxxxxxx_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 135); 

                auto tg_xxxxxyy_xxxxxxxy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 136); 

                auto tg_xxxxxyy_xxxxxxxz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 137); 

                auto tg_xxxxxyy_xxxxxxyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 138); 

                auto tg_xxxxxyy_xxxxxxyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 139); 

                auto tg_xxxxxyy_xxxxxxzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 140); 

                auto tg_xxxxxyy_xxxxxyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 141); 

                auto tg_xxxxxyy_xxxxxyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 142); 

                auto tg_xxxxxyy_xxxxxyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 143); 

                auto tg_xxxxxyy_xxxxxzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 144); 

                auto tg_xxxxxyy_xxxxyyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 145); 

                auto tg_xxxxxyy_xxxxyyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 146); 

                auto tg_xxxxxyy_xxxxyyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 147); 

                auto tg_xxxxxyy_xxxxyzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 148); 

                auto tg_xxxxxyy_xxxxzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 149); 

                auto tg_xxxxxyy_xxxyyyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 150); 

                auto tg_xxxxxyy_xxxyyyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 151); 

                auto tg_xxxxxyy_xxxyyyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 152); 

                auto tg_xxxxxyy_xxxyyzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 153); 

                auto tg_xxxxxyy_xxxyzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 154); 

                auto tg_xxxxxyy_xxxzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 155); 

                auto tg_xxxxxyy_xxyyyyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 156); 

                auto tg_xxxxxyy_xxyyyyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 157); 

                auto tg_xxxxxyy_xxyyyyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 158); 

                auto tg_xxxxxyy_xxyyyzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 159); 

                auto tg_xxxxxyy_xxyyzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 160); 

                auto tg_xxxxxyy_xxyzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 161); 

                auto tg_xxxxxyy_xxzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 162); 

                auto tg_xxxxxyy_xyyyyyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 163); 

                auto tg_xxxxxyy_xyyyyyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 164); 

                auto tg_xxxxxyy_xyyyyyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 165); 

                auto tg_xxxxxyy_xyyyyzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 166); 

                auto tg_xxxxxyy_xyyyzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 167); 

                auto tg_xxxxxyy_xyyzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 168); 

                auto tg_xxxxxyy_xyzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 169); 

                auto tg_xxxxxyy_xzzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 170); 

                auto tg_xxxxxyy_yyyyyyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 171); 

                auto tg_xxxxxyy_yyyyyyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 172); 

                auto tg_xxxxxyy_yyyyyyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 173); 

                auto tg_xxxxxyy_yyyyyzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 174); 

                auto tg_xxxxxyy_yyyyzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 175); 

                auto tg_xxxxxyy_yyyzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 176); 

                auto tg_xxxxxyy_yyzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 177); 

                auto tg_xxxxxyy_yzzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 178); 

                auto tg_xxxxxyy_zzzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 179); 

                auto tg_xxxxxyz_xxxxxxxx_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 180); 

                auto tg_xxxxxyz_xxxxxxxy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 181); 

                auto tg_xxxxxyz_xxxxxxxz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 182); 

                auto tg_xxxxxyz_xxxxxxyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 183); 

                auto tg_xxxxxyz_xxxxxxyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 184); 

                auto tg_xxxxxyz_xxxxxxzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 185); 

                auto tg_xxxxxyz_xxxxxyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 186); 

                auto tg_xxxxxyz_xxxxxyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 187); 

                auto tg_xxxxxyz_xxxxxyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 188); 

                auto tg_xxxxxyz_xxxxxzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 189); 

                auto tg_xxxxxyz_xxxxyyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 190); 

                auto tg_xxxxxyz_xxxxyyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 191); 

                auto tg_xxxxxyz_xxxxyyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 192); 

                auto tg_xxxxxyz_xxxxyzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 193); 

                auto tg_xxxxxxz_xxxxxyyz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 97); 

                auto tg_xxxxxxz_xxxxxyzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 98); 

                auto tg_xxxxxxz_xxxxxzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 99); 

                auto tg_xxxxxxz_xxxxyyyy_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 100); 

                auto tg_xxxxxxz_xxxxyyyz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 101); 

                auto tg_xxxxxxz_xxxxyyzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 102); 

                auto tg_xxxxxxz_xxxxyzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 103); 

                auto tg_xxxxxxz_xxxxzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 104); 

                auto tg_xxxxxxz_xxxyyyyy_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 105); 

                auto tg_xxxxxxz_xxxyyyyz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 106); 

                auto tg_xxxxxxz_xxxyyyzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 107); 

                auto tg_xxxxxxz_xxxyyzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 108); 

                auto tg_xxxxxxz_xxxyzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 109); 

                auto tg_xxxxxxz_xxxzzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 110); 

                auto tg_xxxxxxz_xxyyyyyy_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 111); 

                auto tg_xxxxxxz_xxyyyyyz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 112); 

                auto tg_xxxxxxz_xxyyyyzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 113); 

                auto tg_xxxxxxz_xxyyyzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 114); 

                auto tg_xxxxxxz_xxyyzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 115); 

                auto tg_xxxxxxz_xxyzzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 116); 

                auto tg_xxxxxxz_xxzzzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 117); 

                auto tg_xxxxxxz_xyyyyyyy_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 118); 

                auto tg_xxxxxxz_xyyyyyyz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 119); 

                auto tg_xxxxxxz_xyyyyyzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 120); 

                auto tg_xxxxxxz_xyyyyzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 121); 

                auto tg_xxxxxxz_xyyyzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 122); 

                auto tg_xxxxxxz_xyyzzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 123); 

                auto tg_xxxxxxz_xyzzzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 124); 

                auto tg_xxxxxxz_xzzzzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 125); 

                auto tg_xxxxxxz_yyyyyyyy_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 126); 

                auto tg_xxxxxxz_yyyyyyyz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 127); 

                auto tg_xxxxxxz_yyyyyyzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 128); 

                auto tg_xxxxxxz_yyyyyzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 129); 

                auto tg_xxxxxxz_yyyyzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 130); 

                auto tg_xxxxxxz_yyyzzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 131); 

                auto tg_xxxxxxz_yyzzzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 132); 

                auto tg_xxxxxxz_yzzzzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 133); 

                auto tg_xxxxxxz_zzzzzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 134); 

                auto tg_xxxxxyy_xxxxxxxx_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 135); 

                auto tg_xxxxxyy_xxxxxxxy_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 136); 

                auto tg_xxxxxyy_xxxxxxxz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 137); 

                auto tg_xxxxxyy_xxxxxxyy_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 138); 

                auto tg_xxxxxyy_xxxxxxyz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 139); 

                auto tg_xxxxxyy_xxxxxxzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 140); 

                auto tg_xxxxxyy_xxxxxyyy_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 141); 

                auto tg_xxxxxyy_xxxxxyyz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 142); 

                auto tg_xxxxxyy_xxxxxyzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 143); 

                auto tg_xxxxxyy_xxxxxzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 144); 

                auto tg_xxxxxyy_xxxxyyyy_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 145); 

                auto tg_xxxxxyy_xxxxyyyz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 146); 

                auto tg_xxxxxyy_xxxxyyzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 147); 

                auto tg_xxxxxyy_xxxxyzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 148); 

                auto tg_xxxxxyy_xxxxzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 149); 

                auto tg_xxxxxyy_xxxyyyyy_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 150); 

                auto tg_xxxxxyy_xxxyyyyz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 151); 

                auto tg_xxxxxyy_xxxyyyzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 152); 

                auto tg_xxxxxyy_xxxyyzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 153); 

                auto tg_xxxxxyy_xxxyzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 154); 

                auto tg_xxxxxyy_xxxzzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 155); 

                auto tg_xxxxxyy_xxyyyyyy_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 156); 

                auto tg_xxxxxyy_xxyyyyyz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 157); 

                auto tg_xxxxxyy_xxyyyyzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 158); 

                auto tg_xxxxxyy_xxyyyzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 159); 

                auto tg_xxxxxyy_xxyyzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 160); 

                auto tg_xxxxxyy_xxyzzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 161); 

                auto tg_xxxxxyy_xxzzzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 162); 

                auto tg_xxxxxyy_xyyyyyyy_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 163); 

                auto tg_xxxxxyy_xyyyyyyz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 164); 

                auto tg_xxxxxyy_xyyyyyzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 165); 

                auto tg_xxxxxyy_xyyyyzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 166); 

                auto tg_xxxxxyy_xyyyzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 167); 

                auto tg_xxxxxyy_xyyzzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 168); 

                auto tg_xxxxxyy_xyzzzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 169); 

                auto tg_xxxxxyy_xzzzzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 170); 

                auto tg_xxxxxyy_yyyyyyyy_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 171); 

                auto tg_xxxxxyy_yyyyyyyz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 172); 

                auto tg_xxxxxyy_yyyyyyzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 173); 

                auto tg_xxxxxyy_yyyyyzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 174); 

                auto tg_xxxxxyy_yyyyzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 175); 

                auto tg_xxxxxyy_yyyzzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 176); 

                auto tg_xxxxxyy_yyzzzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 177); 

                auto tg_xxxxxyy_yzzzzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 178); 

                auto tg_xxxxxyy_zzzzzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 179); 

                auto tg_xxxxxyz_xxxxxxxx_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 180); 

                auto tg_xxxxxyz_xxxxxxxy_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 181); 

                auto tg_xxxxxyz_xxxxxxxz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 182); 

                auto tg_xxxxxyz_xxxxxxyy_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 183); 

                auto tg_xxxxxyz_xxxxxxyz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 184); 

                auto tg_xxxxxyz_xxxxxxzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 185); 

                auto tg_xxxxxyz_xxxxxyyy_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 186); 

                auto tg_xxxxxyz_xxxxxyyz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 187); 

                auto tg_xxxxxyz_xxxxxyzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 188); 

                auto tg_xxxxxyz_xxxxxzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 189); 

                auto tg_xxxxxyz_xxxxyyyy_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 190); 

                auto tg_xxxxxyz_xxxxyyyz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 191); 

                auto tg_xxxxxyz_xxxxyyzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 192); 

                auto tg_xxxxxyz_xxxxyzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 193); 

                auto tg_xxxxxz_xxxxxyyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 97); 

                auto tg_xxxxxz_xxxxxyzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 98); 

                auto tg_xxxxxz_xxxxxzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 99); 

                auto tg_xxxxxz_xxxxyyyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 100); 

                auto tg_xxxxxz_xxxxyyyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 101); 

                auto tg_xxxxxz_xxxxyyzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 102); 

                auto tg_xxxxxz_xxxxyzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 103); 

                auto tg_xxxxxz_xxxxzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 104); 

                auto tg_xxxxxz_xxxyyyyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 105); 

                auto tg_xxxxxz_xxxyyyyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 106); 

                auto tg_xxxxxz_xxxyyyzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 107); 

                auto tg_xxxxxz_xxxyyzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 108); 

                auto tg_xxxxxz_xxxyzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 109); 

                auto tg_xxxxxz_xxxzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 110); 

                auto tg_xxxxxz_xxyyyyyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 111); 

                auto tg_xxxxxz_xxyyyyyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 112); 

                auto tg_xxxxxz_xxyyyyzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 113); 

                auto tg_xxxxxz_xxyyyzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 114); 

                auto tg_xxxxxz_xxyyzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 115); 

                auto tg_xxxxxz_xxyzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 116); 

                auto tg_xxxxxz_xxzzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 117); 

                auto tg_xxxxxz_xyyyyyyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 118); 

                auto tg_xxxxxz_xyyyyyyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 119); 

                auto tg_xxxxxz_xyyyyyzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 120); 

                auto tg_xxxxxz_xyyyyzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 121); 

                auto tg_xxxxxz_xyyyzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 122); 

                auto tg_xxxxxz_xyyzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 123); 

                auto tg_xxxxxz_xyzzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 124); 

                auto tg_xxxxxz_xzzzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 125); 

                auto tg_xxxxxz_yyyyyyyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 126); 

                auto tg_xxxxxz_yyyyyyyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 127); 

                auto tg_xxxxxz_yyyyyyzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 128); 

                auto tg_xxxxxz_yyyyyzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 129); 

                auto tg_xxxxxz_yyyyzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 130); 

                auto tg_xxxxxz_yyyzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 131); 

                auto tg_xxxxxz_yyzzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 132); 

                auto tg_xxxxxz_yzzzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 133); 

                auto tg_xxxxxz_zzzzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 134); 

                auto tg_xxxxyy_xxxxxxxx_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 135); 

                auto tg_xxxxyy_xxxxxxxy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 136); 

                auto tg_xxxxyy_xxxxxxxz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 137); 

                auto tg_xxxxyy_xxxxxxyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 138); 

                auto tg_xxxxyy_xxxxxxyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 139); 

                auto tg_xxxxyy_xxxxxxzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 140); 

                auto tg_xxxxyy_xxxxxyyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 141); 

                auto tg_xxxxyy_xxxxxyyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 142); 

                auto tg_xxxxyy_xxxxxyzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 143); 

                auto tg_xxxxyy_xxxxxzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 144); 

                auto tg_xxxxyy_xxxxyyyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 145); 

                auto tg_xxxxyy_xxxxyyyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 146); 

                auto tg_xxxxyy_xxxxyyzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 147); 

                auto tg_xxxxyy_xxxxyzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 148); 

                auto tg_xxxxyy_xxxxzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 149); 

                auto tg_xxxxyy_xxxyyyyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 150); 

                auto tg_xxxxyy_xxxyyyyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 151); 

                auto tg_xxxxyy_xxxyyyzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 152); 

                auto tg_xxxxyy_xxxyyzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 153); 

                auto tg_xxxxyy_xxxyzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 154); 

                auto tg_xxxxyy_xxxzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 155); 

                auto tg_xxxxyy_xxyyyyyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 156); 

                auto tg_xxxxyy_xxyyyyyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 157); 

                auto tg_xxxxyy_xxyyyyzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 158); 

                auto tg_xxxxyy_xxyyyzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 159); 

                auto tg_xxxxyy_xxyyzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 160); 

                auto tg_xxxxyy_xxyzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 161); 

                auto tg_xxxxyy_xxzzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 162); 

                auto tg_xxxxyy_xyyyyyyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 163); 

                auto tg_xxxxyy_xyyyyyyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 164); 

                auto tg_xxxxyy_xyyyyyzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 165); 

                auto tg_xxxxyy_xyyyyzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 166); 

                auto tg_xxxxyy_xyyyzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 167); 

                auto tg_xxxxyy_xyyzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 168); 

                auto tg_xxxxyy_xyzzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 169); 

                auto tg_xxxxyy_xzzzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 170); 

                auto tg_xxxxyy_yyyyyyyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 171); 

                auto tg_xxxxyy_yyyyyyyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 172); 

                auto tg_xxxxyy_yyyyyyzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 173); 

                auto tg_xxxxyy_yyyyyzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 174); 

                auto tg_xxxxyy_yyyyzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 175); 

                auto tg_xxxxyy_yyyzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 176); 

                auto tg_xxxxyy_yyzzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 177); 

                auto tg_xxxxyy_yzzzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 178); 

                auto tg_xxxxyy_zzzzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 179); 

                auto tg_xxxxyz_xxxxxxxx_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 180); 

                auto tg_xxxxyz_xxxxxxxy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 181); 

                auto tg_xxxxyz_xxxxxxxz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 182); 

                auto tg_xxxxyz_xxxxxxyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 183); 

                auto tg_xxxxyz_xxxxxxyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 184); 

                auto tg_xxxxyz_xxxxxxzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 185); 

                auto tg_xxxxyz_xxxxxyyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 186); 

                auto tg_xxxxyz_xxxxxyyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 187); 

                auto tg_xxxxyz_xxxxxyzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 188); 

                auto tg_xxxxyz_xxxxxzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 189); 

                auto tg_xxxxyz_xxxxyyyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 190); 

                auto tg_xxxxyz_xxxxyyyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 191); 

                auto tg_xxxxyz_xxxxyyzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 192); 

                auto tg_xxxxyz_xxxxyzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 193); 

                auto tg_xxxxxz_xxxxxyyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 97); 

                auto tg_xxxxxz_xxxxxyzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 98); 

                auto tg_xxxxxz_xxxxxzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 99); 

                auto tg_xxxxxz_xxxxyyyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 100); 

                auto tg_xxxxxz_xxxxyyyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 101); 

                auto tg_xxxxxz_xxxxyyzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 102); 

                auto tg_xxxxxz_xxxxyzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 103); 

                auto tg_xxxxxz_xxxxzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 104); 

                auto tg_xxxxxz_xxxyyyyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 105); 

                auto tg_xxxxxz_xxxyyyyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 106); 

                auto tg_xxxxxz_xxxyyyzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 107); 

                auto tg_xxxxxz_xxxyyzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 108); 

                auto tg_xxxxxz_xxxyzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 109); 

                auto tg_xxxxxz_xxxzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 110); 

                auto tg_xxxxxz_xxyyyyyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 111); 

                auto tg_xxxxxz_xxyyyyyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 112); 

                auto tg_xxxxxz_xxyyyyzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 113); 

                auto tg_xxxxxz_xxyyyzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 114); 

                auto tg_xxxxxz_xxyyzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 115); 

                auto tg_xxxxxz_xxyzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 116); 

                auto tg_xxxxxz_xxzzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 117); 

                auto tg_xxxxxz_xyyyyyyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 118); 

                auto tg_xxxxxz_xyyyyyyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 119); 

                auto tg_xxxxxz_xyyyyyzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 120); 

                auto tg_xxxxxz_xyyyyzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 121); 

                auto tg_xxxxxz_xyyyzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 122); 

                auto tg_xxxxxz_xyyzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 123); 

                auto tg_xxxxxz_xyzzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 124); 

                auto tg_xxxxxz_xzzzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 125); 

                auto tg_xxxxxz_yyyyyyyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 126); 

                auto tg_xxxxxz_yyyyyyyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 127); 

                auto tg_xxxxxz_yyyyyyzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 128); 

                auto tg_xxxxxz_yyyyyzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 129); 

                auto tg_xxxxxz_yyyyzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 130); 

                auto tg_xxxxxz_yyyzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 131); 

                auto tg_xxxxxz_yyzzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 132); 

                auto tg_xxxxxz_yzzzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 133); 

                auto tg_xxxxxz_zzzzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 134); 

                auto tg_xxxxyy_xxxxxxxx_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 135); 

                auto tg_xxxxyy_xxxxxxxy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 136); 

                auto tg_xxxxyy_xxxxxxxz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 137); 

                auto tg_xxxxyy_xxxxxxyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 138); 

                auto tg_xxxxyy_xxxxxxyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 139); 

                auto tg_xxxxyy_xxxxxxzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 140); 

                auto tg_xxxxyy_xxxxxyyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 141); 

                auto tg_xxxxyy_xxxxxyyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 142); 

                auto tg_xxxxyy_xxxxxyzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 143); 

                auto tg_xxxxyy_xxxxxzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 144); 

                auto tg_xxxxyy_xxxxyyyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 145); 

                auto tg_xxxxyy_xxxxyyyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 146); 

                auto tg_xxxxyy_xxxxyyzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 147); 

                auto tg_xxxxyy_xxxxyzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 148); 

                auto tg_xxxxyy_xxxxzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 149); 

                auto tg_xxxxyy_xxxyyyyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 150); 

                auto tg_xxxxyy_xxxyyyyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 151); 

                auto tg_xxxxyy_xxxyyyzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 152); 

                auto tg_xxxxyy_xxxyyzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 153); 

                auto tg_xxxxyy_xxxyzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 154); 

                auto tg_xxxxyy_xxxzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 155); 

                auto tg_xxxxyy_xxyyyyyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 156); 

                auto tg_xxxxyy_xxyyyyyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 157); 

                auto tg_xxxxyy_xxyyyyzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 158); 

                auto tg_xxxxyy_xxyyyzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 159); 

                auto tg_xxxxyy_xxyyzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 160); 

                auto tg_xxxxyy_xxyzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 161); 

                auto tg_xxxxyy_xxzzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 162); 

                auto tg_xxxxyy_xyyyyyyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 163); 

                auto tg_xxxxyy_xyyyyyyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 164); 

                auto tg_xxxxyy_xyyyyyzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 165); 

                auto tg_xxxxyy_xyyyyzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 166); 

                auto tg_xxxxyy_xyyyzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 167); 

                auto tg_xxxxyy_xyyzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 168); 

                auto tg_xxxxyy_xyzzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 169); 

                auto tg_xxxxyy_xzzzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 170); 

                auto tg_xxxxyy_yyyyyyyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 171); 

                auto tg_xxxxyy_yyyyyyyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 172); 

                auto tg_xxxxyy_yyyyyyzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 173); 

                auto tg_xxxxyy_yyyyyzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 174); 

                auto tg_xxxxyy_yyyyzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 175); 

                auto tg_xxxxyy_yyyzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 176); 

                auto tg_xxxxyy_yyzzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 177); 

                auto tg_xxxxyy_yzzzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 178); 

                auto tg_xxxxyy_zzzzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 179); 

                auto tg_xxxxyz_xxxxxxxx_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 180); 

                auto tg_xxxxyz_xxxxxxxy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 181); 

                auto tg_xxxxyz_xxxxxxxz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 182); 

                auto tg_xxxxyz_xxxxxxyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 183); 

                auto tg_xxxxyz_xxxxxxyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 184); 

                auto tg_xxxxyz_xxxxxxzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 185); 

                auto tg_xxxxyz_xxxxxyyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 186); 

                auto tg_xxxxyz_xxxxxyyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 187); 

                auto tg_xxxxyz_xxxxxyzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 188); 

                auto tg_xxxxyz_xxxxxzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 189); 

                auto tg_xxxxyz_xxxxyyyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 190); 

                auto tg_xxxxyz_xxxxyyyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 191); 

                auto tg_xxxxyz_xxxxyyzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 192); 

                auto tg_xxxxyz_xxxxyzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 193); 

                auto tg_xxxxxxz_xxxxyyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 79); 

                auto tg_xxxxxxz_xxxxyzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 80); 

                auto tg_xxxxxxz_xxxxzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 81); 

                auto tg_xxxxxxz_xxxyyyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 82); 

                auto tg_xxxxxxz_xxxyyyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 83); 

                auto tg_xxxxxxz_xxxyyzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 84); 

                auto tg_xxxxxxz_xxxyzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 85); 

                auto tg_xxxxxxz_xxxzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 86); 

                auto tg_xxxxxxz_xxyyyyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 87); 

                auto tg_xxxxxxz_xxyyyyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 88); 

                auto tg_xxxxxxz_xxyyyzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 89); 

                auto tg_xxxxxxz_xxyyzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 90); 

                auto tg_xxxxxxz_xxyzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 91); 

                auto tg_xxxxxxz_xxzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 92); 

                auto tg_xxxxxxz_xyyyyyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 93); 

                auto tg_xxxxxxz_xyyyyyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 94); 

                auto tg_xxxxxxz_xyyyyzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 95); 

                auto tg_xxxxxxz_xyyyzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 96); 

                auto tg_xxxxxxz_xyyzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 97); 

                auto tg_xxxxxxz_xyzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 98); 

                auto tg_xxxxxxz_xzzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 99); 

                auto tg_xxxxxxz_yyyyyyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 100); 

                auto tg_xxxxxxz_yyyyyyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 101); 

                auto tg_xxxxxxz_yyyyyzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 102); 

                auto tg_xxxxxxz_yyyyzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 103); 

                auto tg_xxxxxxz_yyyzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 104); 

                auto tg_xxxxxxz_yyzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 105); 

                auto tg_xxxxxxz_yzzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 106); 

                auto tg_xxxxxxz_zzzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 107); 

                auto tg_xxxxxyy_xxxxxxx_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 108); 

                auto tg_xxxxxyy_xxxxxxy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 109); 

                auto tg_xxxxxyy_xxxxxxz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 110); 

                auto tg_xxxxxyy_xxxxxyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 111); 

                auto tg_xxxxxyy_xxxxxyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 112); 

                auto tg_xxxxxyy_xxxxxzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 113); 

                auto tg_xxxxxyy_xxxxyyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 114); 

                auto tg_xxxxxyy_xxxxyyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 115); 

                auto tg_xxxxxyy_xxxxyzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 116); 

                auto tg_xxxxxyy_xxxxzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 117); 

                auto tg_xxxxxyy_xxxyyyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 118); 

                auto tg_xxxxxyy_xxxyyyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 119); 

                auto tg_xxxxxyy_xxxyyzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 120); 

                auto tg_xxxxxyy_xxxyzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 121); 

                auto tg_xxxxxyy_xxxzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 122); 

                auto tg_xxxxxyy_xxyyyyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 123); 

                auto tg_xxxxxyy_xxyyyyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 124); 

                auto tg_xxxxxyy_xxyyyzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 125); 

                auto tg_xxxxxyy_xxyyzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 126); 

                auto tg_xxxxxyy_xxyzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 127); 

                auto tg_xxxxxyy_xxzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 128); 

                auto tg_xxxxxyy_xyyyyyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 129); 

                auto tg_xxxxxyy_xyyyyyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 130); 

                auto tg_xxxxxyy_xyyyyzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 131); 

                auto tg_xxxxxyy_xyyyzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 132); 

                auto tg_xxxxxyy_xyyzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 133); 

                auto tg_xxxxxyy_xyzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 134); 

                auto tg_xxxxxyy_xzzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 135); 

                auto tg_xxxxxyy_yyyyyyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 136); 

                auto tg_xxxxxyy_yyyyyyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 137); 

                auto tg_xxxxxyy_yyyyyzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 138); 

                auto tg_xxxxxyy_yyyyzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 139); 

                auto tg_xxxxxyy_yyyzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 140); 

                auto tg_xxxxxyy_yyzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 141); 

                auto tg_xxxxxyy_yzzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 142); 

                auto tg_xxxxxyy_zzzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 143); 

                auto tg_xxxxxyz_xxxxxxx_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 144); 

                auto tg_xxxxxyz_xxxxxxy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 145); 

                auto tg_xxxxxyz_xxxxxxz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 146); 

                auto tg_xxxxxyz_xxxxxyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 147); 

                auto tg_xxxxxyz_xxxxxyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 148); 

                auto tg_xxxxxyz_xxxxxzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 149); 

                auto tg_xxxxxyz_xxxxyyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 150); 

                auto tg_xxxxxyz_xxxxyyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 151); 

                auto tg_xxxxxyz_xxxxyzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 152); 

                auto tg_xxxxxyz_xxxxzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 153); 

                auto tg_xxxxxyz_xxxyyyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 154); 

                auto tg_xxxxxyz_xxxyyyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 155); 

                auto tg_xxxxxyz_xxxyyzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 156); 

                auto tg_xxxxxyz_xxxyzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 157); 

                // set up pointers to integrals

                auto tg_xxxxxxxz_xxxxxyyz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 97); 

                auto tg_xxxxxxxz_xxxxxyzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 98); 

                auto tg_xxxxxxxz_xxxxxzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 99); 

                auto tg_xxxxxxxz_xxxxyyyy_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 100); 

                auto tg_xxxxxxxz_xxxxyyyz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 101); 

                auto tg_xxxxxxxz_xxxxyyzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 102); 

                auto tg_xxxxxxxz_xxxxyzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 103); 

                auto tg_xxxxxxxz_xxxxzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 104); 

                auto tg_xxxxxxxz_xxxyyyyy_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 105); 

                auto tg_xxxxxxxz_xxxyyyyz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 106); 

                auto tg_xxxxxxxz_xxxyyyzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 107); 

                auto tg_xxxxxxxz_xxxyyzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 108); 

                auto tg_xxxxxxxz_xxxyzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 109); 

                auto tg_xxxxxxxz_xxxzzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 110); 

                auto tg_xxxxxxxz_xxyyyyyy_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 111); 

                auto tg_xxxxxxxz_xxyyyyyz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 112); 

                auto tg_xxxxxxxz_xxyyyyzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 113); 

                auto tg_xxxxxxxz_xxyyyzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 114); 

                auto tg_xxxxxxxz_xxyyzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 115); 

                auto tg_xxxxxxxz_xxyzzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 116); 

                auto tg_xxxxxxxz_xxzzzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 117); 

                auto tg_xxxxxxxz_xyyyyyyy_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 118); 

                auto tg_xxxxxxxz_xyyyyyyz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 119); 

                auto tg_xxxxxxxz_xyyyyyzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 120); 

                auto tg_xxxxxxxz_xyyyyzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 121); 

                auto tg_xxxxxxxz_xyyyzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 122); 

                auto tg_xxxxxxxz_xyyzzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 123); 

                auto tg_xxxxxxxz_xyzzzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 124); 

                auto tg_xxxxxxxz_xzzzzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 125); 

                auto tg_xxxxxxxz_yyyyyyyy_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 126); 

                auto tg_xxxxxxxz_yyyyyyyz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 127); 

                auto tg_xxxxxxxz_yyyyyyzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 128); 

                auto tg_xxxxxxxz_yyyyyzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 129); 

                auto tg_xxxxxxxz_yyyyzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 130); 

                auto tg_xxxxxxxz_yyyzzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 131); 

                auto tg_xxxxxxxz_yyzzzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 132); 

                auto tg_xxxxxxxz_yzzzzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 133); 

                auto tg_xxxxxxxz_zzzzzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 134); 

                auto tg_xxxxxxyy_xxxxxxxx_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 135); 

                auto tg_xxxxxxyy_xxxxxxxy_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 136); 

                auto tg_xxxxxxyy_xxxxxxxz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 137); 

                auto tg_xxxxxxyy_xxxxxxyy_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 138); 

                auto tg_xxxxxxyy_xxxxxxyz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 139); 

                auto tg_xxxxxxyy_xxxxxxzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 140); 

                auto tg_xxxxxxyy_xxxxxyyy_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 141); 

                auto tg_xxxxxxyy_xxxxxyyz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 142); 

                auto tg_xxxxxxyy_xxxxxyzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 143); 

                auto tg_xxxxxxyy_xxxxxzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 144); 

                auto tg_xxxxxxyy_xxxxyyyy_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 145); 

                auto tg_xxxxxxyy_xxxxyyyz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 146); 

                auto tg_xxxxxxyy_xxxxyyzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 147); 

                auto tg_xxxxxxyy_xxxxyzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 148); 

                auto tg_xxxxxxyy_xxxxzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 149); 

                auto tg_xxxxxxyy_xxxyyyyy_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 150); 

                auto tg_xxxxxxyy_xxxyyyyz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 151); 

                auto tg_xxxxxxyy_xxxyyyzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 152); 

                auto tg_xxxxxxyy_xxxyyzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 153); 

                auto tg_xxxxxxyy_xxxyzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 154); 

                auto tg_xxxxxxyy_xxxzzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 155); 

                auto tg_xxxxxxyy_xxyyyyyy_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 156); 

                auto tg_xxxxxxyy_xxyyyyyz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 157); 

                auto tg_xxxxxxyy_xxyyyyzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 158); 

                auto tg_xxxxxxyy_xxyyyzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 159); 

                auto tg_xxxxxxyy_xxyyzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 160); 

                auto tg_xxxxxxyy_xxyzzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 161); 

                auto tg_xxxxxxyy_xxzzzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 162); 

                auto tg_xxxxxxyy_xyyyyyyy_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 163); 

                auto tg_xxxxxxyy_xyyyyyyz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 164); 

                auto tg_xxxxxxyy_xyyyyyzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 165); 

                auto tg_xxxxxxyy_xyyyyzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 166); 

                auto tg_xxxxxxyy_xyyyzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 167); 

                auto tg_xxxxxxyy_xyyzzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 168); 

                auto tg_xxxxxxyy_xyzzzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 169); 

                auto tg_xxxxxxyy_xzzzzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 170); 

                auto tg_xxxxxxyy_yyyyyyyy_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 171); 

                auto tg_xxxxxxyy_yyyyyyyz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 172); 

                auto tg_xxxxxxyy_yyyyyyzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 173); 

                auto tg_xxxxxxyy_yyyyyzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 174); 

                auto tg_xxxxxxyy_yyyyzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 175); 

                auto tg_xxxxxxyy_yyyzzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 176); 

                auto tg_xxxxxxyy_yyzzzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 177); 

                auto tg_xxxxxxyy_yzzzzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 178); 

                auto tg_xxxxxxyy_zzzzzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 179); 

                auto tg_xxxxxxyz_xxxxxxxx_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 180); 

                auto tg_xxxxxxyz_xxxxxxxy_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 181); 

                auto tg_xxxxxxyz_xxxxxxxz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 182); 

                auto tg_xxxxxxyz_xxxxxxyy_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 183); 

                auto tg_xxxxxxyz_xxxxxxyz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 184); 

                auto tg_xxxxxxyz_xxxxxxzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 185); 

                auto tg_xxxxxxyz_xxxxxyyy_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 186); 

                auto tg_xxxxxxyz_xxxxxyyz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 187); 

                auto tg_xxxxxxyz_xxxxxyzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 188); 

                auto tg_xxxxxxyz_xxxxxzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 189); 

                auto tg_xxxxxxyz_xxxxyyyy_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 190); 

                auto tg_xxxxxxyz_xxxxyyyz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 191); 

                auto tg_xxxxxxyz_xxxxyyzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 192); 

                auto tg_xxxxxxyz_xxxxyzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 193); 

                // Batch of Integrals (97,194)

                #pragma omp simd aligned(fxn, fza, tg_xxxxxxxz_xxxxxyyz_0, tg_xxxxxxxz_xxxxxyzz_0, \
                                         tg_xxxxxxxz_xxxxxzzz_0, tg_xxxxxxxz_xxxxyyyy_0, tg_xxxxxxxz_xxxxyyyz_0, \
                                         tg_xxxxxxxz_xxxxyyzz_0, tg_xxxxxxxz_xxxxyzzz_0, tg_xxxxxxxz_xxxxzzzz_0, \
                                         tg_xxxxxxxz_xxxyyyyy_0, tg_xxxxxxxz_xxxyyyyz_0, tg_xxxxxxxz_xxxyyyzz_0, \
                                         tg_xxxxxxxz_xxxyyzzz_0, tg_xxxxxxxz_xxxyzzzz_0, tg_xxxxxxxz_xxxzzzzz_0, \
                                         tg_xxxxxxxz_xxyyyyyy_0, tg_xxxxxxxz_xxyyyyyz_0, tg_xxxxxxxz_xxyyyyzz_0, \
                                         tg_xxxxxxxz_xxyyyzzz_0, tg_xxxxxxxz_xxyyzzzz_0, tg_xxxxxxxz_xxyzzzzz_0, \
                                         tg_xxxxxxxz_xxzzzzzz_0, tg_xxxxxxxz_xyyyyyyy_0, tg_xxxxxxxz_xyyyyyyz_0, \
                                         tg_xxxxxxxz_xyyyyyzz_0, tg_xxxxxxxz_xyyyyzzz_0, tg_xxxxxxxz_xyyyzzzz_0, \
                                         tg_xxxxxxxz_xyyzzzzz_0, tg_xxxxxxxz_xyzzzzzz_0, tg_xxxxxxxz_xzzzzzzz_0, \
                                         tg_xxxxxxxz_yyyyyyyy_0, tg_xxxxxxxz_yyyyyyyz_0, tg_xxxxxxxz_yyyyyyzz_0, \
                                         tg_xxxxxxxz_yyyyyzzz_0, tg_xxxxxxxz_yyyyzzzz_0, tg_xxxxxxxz_yyyzzzzz_0, \
                                         tg_xxxxxxxz_yyzzzzzz_0, tg_xxxxxxxz_yzzzzzzz_0, tg_xxxxxxxz_zzzzzzzz_0, \
                                         tg_xxxxxxyy_xxxxxxxx_0, tg_xxxxxxyy_xxxxxxxy_0, tg_xxxxxxyy_xxxxxxxz_0, \
                                         tg_xxxxxxyy_xxxxxxyy_0, tg_xxxxxxyy_xxxxxxyz_0, tg_xxxxxxyy_xxxxxxzz_0, \
                                         tg_xxxxxxyy_xxxxxyyy_0, tg_xxxxxxyy_xxxxxyyz_0, tg_xxxxxxyy_xxxxxyzz_0, \
                                         tg_xxxxxxyy_xxxxxzzz_0, tg_xxxxxxyy_xxxxyyyy_0, tg_xxxxxxyy_xxxxyyyz_0, \
                                         tg_xxxxxxyy_xxxxyyzz_0, tg_xxxxxxyy_xxxxyzzz_0, tg_xxxxxxyy_xxxxzzzz_0, \
                                         tg_xxxxxxyy_xxxyyyyy_0, tg_xxxxxxyy_xxxyyyyz_0, tg_xxxxxxyy_xxxyyyzz_0, \
                                         tg_xxxxxxyy_xxxyyzzz_0, tg_xxxxxxyy_xxxyzzzz_0, tg_xxxxxxyy_xxxzzzzz_0, \
                                         tg_xxxxxxyy_xxyyyyyy_0, tg_xxxxxxyy_xxyyyyyz_0, tg_xxxxxxyy_xxyyyyzz_0, \
                                         tg_xxxxxxyy_xxyyyzzz_0, tg_xxxxxxyy_xxyyzzzz_0, tg_xxxxxxyy_xxyzzzzz_0, \
                                         tg_xxxxxxyy_xxzzzzzz_0, tg_xxxxxxyy_xyyyyyyy_0, tg_xxxxxxyy_xyyyyyyz_0, \
                                         tg_xxxxxxyy_xyyyyyzz_0, tg_xxxxxxyy_xyyyyzzz_0, tg_xxxxxxyy_xyyyzzzz_0, \
                                         tg_xxxxxxyy_xyyzzzzz_0, tg_xxxxxxyy_xyzzzzzz_0, tg_xxxxxxyy_xzzzzzzz_0, \
                                         tg_xxxxxxyy_yyyyyyyy_0, tg_xxxxxxyy_yyyyyyyz_0, tg_xxxxxxyy_yyyyyyzz_0, \
                                         tg_xxxxxxyy_yyyyyzzz_0, tg_xxxxxxyy_yyyyzzzz_0, tg_xxxxxxyy_yyyzzzzz_0, \
                                         tg_xxxxxxyy_yyzzzzzz_0, tg_xxxxxxyy_yzzzzzzz_0, tg_xxxxxxyy_zzzzzzzz_0, \
                                         tg_xxxxxxyz_xxxxxxxx_0, tg_xxxxxxyz_xxxxxxxy_0, tg_xxxxxxyz_xxxxxxxz_0, \
                                         tg_xxxxxxyz_xxxxxxyy_0, tg_xxxxxxyz_xxxxxxyz_0, tg_xxxxxxyz_xxxxxxzz_0, \
                                         tg_xxxxxxyz_xxxxxyyy_0, tg_xxxxxxyz_xxxxxyyz_0, tg_xxxxxxyz_xxxxxyzz_0, \
                                         tg_xxxxxxyz_xxxxxzzz_0, tg_xxxxxxyz_xxxxyyyy_0, tg_xxxxxxyz_xxxxyyyz_0, \
                                         tg_xxxxxxyz_xxxxyyzz_0, tg_xxxxxxyz_xxxxyzzz_0, tg_xxxxxxz_xxxxxyyz_0, \
                                         tg_xxxxxxz_xxxxxyyz_1, tg_xxxxxxz_xxxxxyzz_0, tg_xxxxxxz_xxxxxyzz_1, \
                                         tg_xxxxxxz_xxxxxzzz_0, tg_xxxxxxz_xxxxxzzz_1, tg_xxxxxxz_xxxxyyyy_0, \
                                         tg_xxxxxxz_xxxxyyyy_1, tg_xxxxxxz_xxxxyyyz_0, tg_xxxxxxz_xxxxyyyz_1, \
                                         tg_xxxxxxz_xxxxyyz_1, tg_xxxxxxz_xxxxyyzz_0, tg_xxxxxxz_xxxxyyzz_1, \
                                         tg_xxxxxxz_xxxxyzz_1, tg_xxxxxxz_xxxxyzzz_0, tg_xxxxxxz_xxxxyzzz_1, \
                                         tg_xxxxxxz_xxxxzzz_1, tg_xxxxxxz_xxxxzzzz_0, tg_xxxxxxz_xxxxzzzz_1, \
                                         tg_xxxxxxz_xxxyyyy_1, tg_xxxxxxz_xxxyyyyy_0, tg_xxxxxxz_xxxyyyyy_1, \
                                         tg_xxxxxxz_xxxyyyyz_0, tg_xxxxxxz_xxxyyyyz_1, tg_xxxxxxz_xxxyyyz_1, \
                                         tg_xxxxxxz_xxxyyyzz_0, tg_xxxxxxz_xxxyyyzz_1, tg_xxxxxxz_xxxyyzz_1, \
                                         tg_xxxxxxz_xxxyyzzz_0, tg_xxxxxxz_xxxyyzzz_1, tg_xxxxxxz_xxxyzzz_1, \
                                         tg_xxxxxxz_xxxyzzzz_0, tg_xxxxxxz_xxxyzzzz_1, tg_xxxxxxz_xxxzzzz_1, \
                                         tg_xxxxxxz_xxxzzzzz_0, tg_xxxxxxz_xxxzzzzz_1, tg_xxxxxxz_xxyyyyy_1, \
                                         tg_xxxxxxz_xxyyyyyy_0, tg_xxxxxxz_xxyyyyyy_1, tg_xxxxxxz_xxyyyyyz_0, \
                                         tg_xxxxxxz_xxyyyyyz_1, tg_xxxxxxz_xxyyyyz_1, tg_xxxxxxz_xxyyyyzz_0, \
                                         tg_xxxxxxz_xxyyyyzz_1, tg_xxxxxxz_xxyyyzz_1, tg_xxxxxxz_xxyyyzzz_0, \
                                         tg_xxxxxxz_xxyyyzzz_1, tg_xxxxxxz_xxyyzzz_1, tg_xxxxxxz_xxyyzzzz_0, \
                                         tg_xxxxxxz_xxyyzzzz_1, tg_xxxxxxz_xxyzzzz_1, tg_xxxxxxz_xxyzzzzz_0, \
                                         tg_xxxxxxz_xxyzzzzz_1, tg_xxxxxxz_xxzzzzz_1, tg_xxxxxxz_xxzzzzzz_0, \
                                         tg_xxxxxxz_xxzzzzzz_1, tg_xxxxxxz_xyyyyyy_1, tg_xxxxxxz_xyyyyyyy_0, \
                                         tg_xxxxxxz_xyyyyyyy_1, tg_xxxxxxz_xyyyyyyz_0, tg_xxxxxxz_xyyyyyyz_1, \
                                         tg_xxxxxxz_xyyyyyz_1, tg_xxxxxxz_xyyyyyzz_0, tg_xxxxxxz_xyyyyyzz_1, \
                                         tg_xxxxxxz_xyyyyzz_1, tg_xxxxxxz_xyyyyzzz_0, tg_xxxxxxz_xyyyyzzz_1, \
                                         tg_xxxxxxz_xyyyzzz_1, tg_xxxxxxz_xyyyzzzz_0, tg_xxxxxxz_xyyyzzzz_1, \
                                         tg_xxxxxxz_xyyzzzz_1, tg_xxxxxxz_xyyzzzzz_0, tg_xxxxxxz_xyyzzzzz_1, \
                                         tg_xxxxxxz_xyzzzzz_1, tg_xxxxxxz_xyzzzzzz_0, tg_xxxxxxz_xyzzzzzz_1, \
                                         tg_xxxxxxz_xzzzzzz_1, tg_xxxxxxz_xzzzzzzz_0, tg_xxxxxxz_xzzzzzzz_1, \
                                         tg_xxxxxxz_yyyyyyy_1, tg_xxxxxxz_yyyyyyyy_0, tg_xxxxxxz_yyyyyyyy_1, \
                                         tg_xxxxxxz_yyyyyyyz_0, tg_xxxxxxz_yyyyyyyz_1, tg_xxxxxxz_yyyyyyz_1, \
                                         tg_xxxxxxz_yyyyyyzz_0, tg_xxxxxxz_yyyyyyzz_1, tg_xxxxxxz_yyyyyzz_1, \
                                         tg_xxxxxxz_yyyyyzzz_0, tg_xxxxxxz_yyyyyzzz_1, tg_xxxxxxz_yyyyzzz_1, \
                                         tg_xxxxxxz_yyyyzzzz_0, tg_xxxxxxz_yyyyzzzz_1, tg_xxxxxxz_yyyzzzz_1, \
                                         tg_xxxxxxz_yyyzzzzz_0, tg_xxxxxxz_yyyzzzzz_1, tg_xxxxxxz_yyzzzzz_1, \
                                         tg_xxxxxxz_yyzzzzzz_0, tg_xxxxxxz_yyzzzzzz_1, tg_xxxxxxz_yzzzzzz_1, \
                                         tg_xxxxxxz_yzzzzzzz_0, tg_xxxxxxz_yzzzzzzz_1, tg_xxxxxxz_zzzzzzz_1, \
                                         tg_xxxxxxz_zzzzzzzz_0, tg_xxxxxxz_zzzzzzzz_1, tg_xxxxxyy_xxxxxxx_1, \
                                         tg_xxxxxyy_xxxxxxxx_0, tg_xxxxxyy_xxxxxxxx_1, tg_xxxxxyy_xxxxxxxy_0, \
                                         tg_xxxxxyy_xxxxxxxy_1, tg_xxxxxyy_xxxxxxxz_0, tg_xxxxxyy_xxxxxxxz_1, \
                                         tg_xxxxxyy_xxxxxxy_1, tg_xxxxxyy_xxxxxxyy_0, tg_xxxxxyy_xxxxxxyy_1, \
                                         tg_xxxxxyy_xxxxxxyz_0, tg_xxxxxyy_xxxxxxyz_1, tg_xxxxxyy_xxxxxxz_1, \
                                         tg_xxxxxyy_xxxxxxzz_0, tg_xxxxxyy_xxxxxxzz_1, tg_xxxxxyy_xxxxxyy_1, \
                                         tg_xxxxxyy_xxxxxyyy_0, tg_xxxxxyy_xxxxxyyy_1, tg_xxxxxyy_xxxxxyyz_0, \
                                         tg_xxxxxyy_xxxxxyyz_1, tg_xxxxxyy_xxxxxyz_1, tg_xxxxxyy_xxxxxyzz_0, \
                                         tg_xxxxxyy_xxxxxyzz_1, tg_xxxxxyy_xxxxxzz_1, tg_xxxxxyy_xxxxxzzz_0, \
                                         tg_xxxxxyy_xxxxxzzz_1, tg_xxxxxyy_xxxxyyy_1, tg_xxxxxyy_xxxxyyyy_0, \
                                         tg_xxxxxyy_xxxxyyyy_1, tg_xxxxxyy_xxxxyyyz_0, tg_xxxxxyy_xxxxyyyz_1, \
                                         tg_xxxxxyy_xxxxyyz_1, tg_xxxxxyy_xxxxyyzz_0, tg_xxxxxyy_xxxxyyzz_1, \
                                         tg_xxxxxyy_xxxxyzz_1, tg_xxxxxyy_xxxxyzzz_0, tg_xxxxxyy_xxxxyzzz_1, \
                                         tg_xxxxxyy_xxxxzzz_1, tg_xxxxxyy_xxxxzzzz_0, tg_xxxxxyy_xxxxzzzz_1, \
                                         tg_xxxxxyy_xxxyyyy_1, tg_xxxxxyy_xxxyyyyy_0, tg_xxxxxyy_xxxyyyyy_1, \
                                         tg_xxxxxyy_xxxyyyyz_0, tg_xxxxxyy_xxxyyyyz_1, tg_xxxxxyy_xxxyyyz_1, \
                                         tg_xxxxxyy_xxxyyyzz_0, tg_xxxxxyy_xxxyyyzz_1, tg_xxxxxyy_xxxyyzz_1, \
                                         tg_xxxxxyy_xxxyyzzz_0, tg_xxxxxyy_xxxyyzzz_1, tg_xxxxxyy_xxxyzzz_1, \
                                         tg_xxxxxyy_xxxyzzzz_0, tg_xxxxxyy_xxxyzzzz_1, tg_xxxxxyy_xxxzzzz_1, \
                                         tg_xxxxxyy_xxxzzzzz_0, tg_xxxxxyy_xxxzzzzz_1, tg_xxxxxyy_xxyyyyy_1, \
                                         tg_xxxxxyy_xxyyyyyy_0, tg_xxxxxyy_xxyyyyyy_1, tg_xxxxxyy_xxyyyyyz_0, \
                                         tg_xxxxxyy_xxyyyyyz_1, tg_xxxxxyy_xxyyyyz_1, tg_xxxxxyy_xxyyyyzz_0, \
                                         tg_xxxxxyy_xxyyyyzz_1, tg_xxxxxyy_xxyyyzz_1, tg_xxxxxyy_xxyyyzzz_0, \
                                         tg_xxxxxyy_xxyyyzzz_1, tg_xxxxxyy_xxyyzzz_1, tg_xxxxxyy_xxyyzzzz_0, \
                                         tg_xxxxxyy_xxyyzzzz_1, tg_xxxxxyy_xxyzzzz_1, tg_xxxxxyy_xxyzzzzz_0, \
                                         tg_xxxxxyy_xxyzzzzz_1, tg_xxxxxyy_xxzzzzz_1, tg_xxxxxyy_xxzzzzzz_0, \
                                         tg_xxxxxyy_xxzzzzzz_1, tg_xxxxxyy_xyyyyyy_1, tg_xxxxxyy_xyyyyyyy_0, \
                                         tg_xxxxxyy_xyyyyyyy_1, tg_xxxxxyy_xyyyyyyz_0, tg_xxxxxyy_xyyyyyyz_1, \
                                         tg_xxxxxyy_xyyyyyz_1, tg_xxxxxyy_xyyyyyzz_0, tg_xxxxxyy_xyyyyyzz_1, \
                                         tg_xxxxxyy_xyyyyzz_1, tg_xxxxxyy_xyyyyzzz_0, tg_xxxxxyy_xyyyyzzz_1, \
                                         tg_xxxxxyy_xyyyzzz_1, tg_xxxxxyy_xyyyzzzz_0, tg_xxxxxyy_xyyyzzzz_1, \
                                         tg_xxxxxyy_xyyzzzz_1, tg_xxxxxyy_xyyzzzzz_0, tg_xxxxxyy_xyyzzzzz_1, \
                                         tg_xxxxxyy_xyzzzzz_1, tg_xxxxxyy_xyzzzzzz_0, tg_xxxxxyy_xyzzzzzz_1, \
                                         tg_xxxxxyy_xzzzzzz_1, tg_xxxxxyy_xzzzzzzz_0, tg_xxxxxyy_xzzzzzzz_1, \
                                         tg_xxxxxyy_yyyyyyy_1, tg_xxxxxyy_yyyyyyyy_0, tg_xxxxxyy_yyyyyyyy_1, \
                                         tg_xxxxxyy_yyyyyyyz_0, tg_xxxxxyy_yyyyyyyz_1, tg_xxxxxyy_yyyyyyz_1, \
                                         tg_xxxxxyy_yyyyyyzz_0, tg_xxxxxyy_yyyyyyzz_1, tg_xxxxxyy_yyyyyzz_1, \
                                         tg_xxxxxyy_yyyyyzzz_0, tg_xxxxxyy_yyyyyzzz_1, tg_xxxxxyy_yyyyzzz_1, \
                                         tg_xxxxxyy_yyyyzzzz_0, tg_xxxxxyy_yyyyzzzz_1, tg_xxxxxyy_yyyzzzz_1, \
                                         tg_xxxxxyy_yyyzzzzz_0, tg_xxxxxyy_yyyzzzzz_1, tg_xxxxxyy_yyzzzzz_1, \
                                         tg_xxxxxyy_yyzzzzzz_0, tg_xxxxxyy_yyzzzzzz_1, tg_xxxxxyy_yzzzzzz_1, \
                                         tg_xxxxxyy_yzzzzzzz_0, tg_xxxxxyy_yzzzzzzz_1, tg_xxxxxyy_zzzzzzz_1, \
                                         tg_xxxxxyy_zzzzzzzz_0, tg_xxxxxyy_zzzzzzzz_1, tg_xxxxxyz_xxxxxxx_1, \
                                         tg_xxxxxyz_xxxxxxxx_0, tg_xxxxxyz_xxxxxxxx_1, tg_xxxxxyz_xxxxxxxy_0, \
                                         tg_xxxxxyz_xxxxxxxy_1, tg_xxxxxyz_xxxxxxxz_0, tg_xxxxxyz_xxxxxxxz_1, \
                                         tg_xxxxxyz_xxxxxxy_1, tg_xxxxxyz_xxxxxxyy_0, tg_xxxxxyz_xxxxxxyy_1, \
                                         tg_xxxxxyz_xxxxxxyz_0, tg_xxxxxyz_xxxxxxyz_1, tg_xxxxxyz_xxxxxxz_1, \
                                         tg_xxxxxyz_xxxxxxzz_0, tg_xxxxxyz_xxxxxxzz_1, tg_xxxxxyz_xxxxxyy_1, \
                                         tg_xxxxxyz_xxxxxyyy_0, tg_xxxxxyz_xxxxxyyy_1, tg_xxxxxyz_xxxxxyyz_0, \
                                         tg_xxxxxyz_xxxxxyyz_1, tg_xxxxxyz_xxxxxyz_1, tg_xxxxxyz_xxxxxyzz_0, \
                                         tg_xxxxxyz_xxxxxyzz_1, tg_xxxxxyz_xxxxxzz_1, tg_xxxxxyz_xxxxxzzz_0, \
                                         tg_xxxxxyz_xxxxxzzz_1, tg_xxxxxyz_xxxxyyy_1, tg_xxxxxyz_xxxxyyyy_0, \
                                         tg_xxxxxyz_xxxxyyyy_1, tg_xxxxxyz_xxxxyyyz_0, tg_xxxxxyz_xxxxyyyz_1, \
                                         tg_xxxxxyz_xxxxyyz_1, tg_xxxxxyz_xxxxyyzz_0, tg_xxxxxyz_xxxxyyzz_1, \
                                         tg_xxxxxyz_xxxxyzz_1, tg_xxxxxyz_xxxxyzzz_0, tg_xxxxxyz_xxxxyzzz_1, \
                                         tg_xxxxxyz_xxxxzzz_1, tg_xxxxxyz_xxxyyyy_1, tg_xxxxxyz_xxxyyyz_1, tg_xxxxxyz_xxxyyzz_1, \
                                         tg_xxxxxyz_xxxyzzz_1, tg_xxxxxz_xxxxxyyz_0, tg_xxxxxz_xxxxxyyz_1, tg_xxxxxz_xxxxxyzz_0, \
                                         tg_xxxxxz_xxxxxyzz_1, tg_xxxxxz_xxxxxzzz_0, tg_xxxxxz_xxxxxzzz_1, tg_xxxxxz_xxxxyyyy_0, \
                                         tg_xxxxxz_xxxxyyyy_1, tg_xxxxxz_xxxxyyyz_0, tg_xxxxxz_xxxxyyyz_1, tg_xxxxxz_xxxxyyzz_0, \
                                         tg_xxxxxz_xxxxyyzz_1, tg_xxxxxz_xxxxyzzz_0, tg_xxxxxz_xxxxyzzz_1, tg_xxxxxz_xxxxzzzz_0, \
                                         tg_xxxxxz_xxxxzzzz_1, tg_xxxxxz_xxxyyyyy_0, tg_xxxxxz_xxxyyyyy_1, tg_xxxxxz_xxxyyyyz_0, \
                                         tg_xxxxxz_xxxyyyyz_1, tg_xxxxxz_xxxyyyzz_0, tg_xxxxxz_xxxyyyzz_1, tg_xxxxxz_xxxyyzzz_0, \
                                         tg_xxxxxz_xxxyyzzz_1, tg_xxxxxz_xxxyzzzz_0, tg_xxxxxz_xxxyzzzz_1, tg_xxxxxz_xxxzzzzz_0, \
                                         tg_xxxxxz_xxxzzzzz_1, tg_xxxxxz_xxyyyyyy_0, tg_xxxxxz_xxyyyyyy_1, tg_xxxxxz_xxyyyyyz_0, \
                                         tg_xxxxxz_xxyyyyyz_1, tg_xxxxxz_xxyyyyzz_0, tg_xxxxxz_xxyyyyzz_1, tg_xxxxxz_xxyyyzzz_0, \
                                         tg_xxxxxz_xxyyyzzz_1, tg_xxxxxz_xxyyzzzz_0, tg_xxxxxz_xxyyzzzz_1, tg_xxxxxz_xxyzzzzz_0, \
                                         tg_xxxxxz_xxyzzzzz_1, tg_xxxxxz_xxzzzzzz_0, tg_xxxxxz_xxzzzzzz_1, tg_xxxxxz_xyyyyyyy_0, \
                                         tg_xxxxxz_xyyyyyyy_1, tg_xxxxxz_xyyyyyyz_0, tg_xxxxxz_xyyyyyyz_1, tg_xxxxxz_xyyyyyzz_0, \
                                         tg_xxxxxz_xyyyyyzz_1, tg_xxxxxz_xyyyyzzz_0, tg_xxxxxz_xyyyyzzz_1, tg_xxxxxz_xyyyzzzz_0, \
                                         tg_xxxxxz_xyyyzzzz_1, tg_xxxxxz_xyyzzzzz_0, tg_xxxxxz_xyyzzzzz_1, tg_xxxxxz_xyzzzzzz_0, \
                                         tg_xxxxxz_xyzzzzzz_1, tg_xxxxxz_xzzzzzzz_0, tg_xxxxxz_xzzzzzzz_1, tg_xxxxxz_yyyyyyyy_0, \
                                         tg_xxxxxz_yyyyyyyy_1, tg_xxxxxz_yyyyyyyz_0, tg_xxxxxz_yyyyyyyz_1, tg_xxxxxz_yyyyyyzz_0, \
                                         tg_xxxxxz_yyyyyyzz_1, tg_xxxxxz_yyyyyzzz_0, tg_xxxxxz_yyyyyzzz_1, tg_xxxxxz_yyyyzzzz_0, \
                                         tg_xxxxxz_yyyyzzzz_1, tg_xxxxxz_yyyzzzzz_0, tg_xxxxxz_yyyzzzzz_1, tg_xxxxxz_yyzzzzzz_0, \
                                         tg_xxxxxz_yyzzzzzz_1, tg_xxxxxz_yzzzzzzz_0, tg_xxxxxz_yzzzzzzz_1, tg_xxxxxz_zzzzzzzz_0, \
                                         tg_xxxxxz_zzzzzzzz_1, tg_xxxxyy_xxxxxxxx_0, tg_xxxxyy_xxxxxxxx_1, tg_xxxxyy_xxxxxxxy_0, \
                                         tg_xxxxyy_xxxxxxxy_1, tg_xxxxyy_xxxxxxxz_0, tg_xxxxyy_xxxxxxxz_1, tg_xxxxyy_xxxxxxyy_0, \
                                         tg_xxxxyy_xxxxxxyy_1, tg_xxxxyy_xxxxxxyz_0, tg_xxxxyy_xxxxxxyz_1, tg_xxxxyy_xxxxxxzz_0, \
                                         tg_xxxxyy_xxxxxxzz_1, tg_xxxxyy_xxxxxyyy_0, tg_xxxxyy_xxxxxyyy_1, tg_xxxxyy_xxxxxyyz_0, \
                                         tg_xxxxyy_xxxxxyyz_1, tg_xxxxyy_xxxxxyzz_0, tg_xxxxyy_xxxxxyzz_1, tg_xxxxyy_xxxxxzzz_0, \
                                         tg_xxxxyy_xxxxxzzz_1, tg_xxxxyy_xxxxyyyy_0, tg_xxxxyy_xxxxyyyy_1, tg_xxxxyy_xxxxyyyz_0, \
                                         tg_xxxxyy_xxxxyyyz_1, tg_xxxxyy_xxxxyyzz_0, tg_xxxxyy_xxxxyyzz_1, tg_xxxxyy_xxxxyzzz_0, \
                                         tg_xxxxyy_xxxxyzzz_1, tg_xxxxyy_xxxxzzzz_0, tg_xxxxyy_xxxxzzzz_1, tg_xxxxyy_xxxyyyyy_0, \
                                         tg_xxxxyy_xxxyyyyy_1, tg_xxxxyy_xxxyyyyz_0, tg_xxxxyy_xxxyyyyz_1, tg_xxxxyy_xxxyyyzz_0, \
                                         tg_xxxxyy_xxxyyyzz_1, tg_xxxxyy_xxxyyzzz_0, tg_xxxxyy_xxxyyzzz_1, tg_xxxxyy_xxxyzzzz_0, \
                                         tg_xxxxyy_xxxyzzzz_1, tg_xxxxyy_xxxzzzzz_0, tg_xxxxyy_xxxzzzzz_1, tg_xxxxyy_xxyyyyyy_0, \
                                         tg_xxxxyy_xxyyyyyy_1, tg_xxxxyy_xxyyyyyz_0, tg_xxxxyy_xxyyyyyz_1, tg_xxxxyy_xxyyyyzz_0, \
                                         tg_xxxxyy_xxyyyyzz_1, tg_xxxxyy_xxyyyzzz_0, tg_xxxxyy_xxyyyzzz_1, tg_xxxxyy_xxyyzzzz_0, \
                                         tg_xxxxyy_xxyyzzzz_1, tg_xxxxyy_xxyzzzzz_0, tg_xxxxyy_xxyzzzzz_1, tg_xxxxyy_xxzzzzzz_0, \
                                         tg_xxxxyy_xxzzzzzz_1, tg_xxxxyy_xyyyyyyy_0, tg_xxxxyy_xyyyyyyy_1, tg_xxxxyy_xyyyyyyz_0, \
                                         tg_xxxxyy_xyyyyyyz_1, tg_xxxxyy_xyyyyyzz_0, tg_xxxxyy_xyyyyyzz_1, tg_xxxxyy_xyyyyzzz_0, \
                                         tg_xxxxyy_xyyyyzzz_1, tg_xxxxyy_xyyyzzzz_0, tg_xxxxyy_xyyyzzzz_1, tg_xxxxyy_xyyzzzzz_0, \
                                         tg_xxxxyy_xyyzzzzz_1, tg_xxxxyy_xyzzzzzz_0, tg_xxxxyy_xyzzzzzz_1, tg_xxxxyy_xzzzzzzz_0, \
                                         tg_xxxxyy_xzzzzzzz_1, tg_xxxxyy_yyyyyyyy_0, tg_xxxxyy_yyyyyyyy_1, tg_xxxxyy_yyyyyyyz_0, \
                                         tg_xxxxyy_yyyyyyyz_1, tg_xxxxyy_yyyyyyzz_0, tg_xxxxyy_yyyyyyzz_1, tg_xxxxyy_yyyyyzzz_0, \
                                         tg_xxxxyy_yyyyyzzz_1, tg_xxxxyy_yyyyzzzz_0, tg_xxxxyy_yyyyzzzz_1, tg_xxxxyy_yyyzzzzz_0, \
                                         tg_xxxxyy_yyyzzzzz_1, tg_xxxxyy_yyzzzzzz_0, tg_xxxxyy_yyzzzzzz_1, tg_xxxxyy_yzzzzzzz_0, \
                                         tg_xxxxyy_yzzzzzzz_1, tg_xxxxyy_zzzzzzzz_0, tg_xxxxyy_zzzzzzzz_1, tg_xxxxyz_xxxxxxxx_0, \
                                         tg_xxxxyz_xxxxxxxx_1, tg_xxxxyz_xxxxxxxy_0, tg_xxxxyz_xxxxxxxy_1, tg_xxxxyz_xxxxxxxz_0, \
                                         tg_xxxxyz_xxxxxxxz_1, tg_xxxxyz_xxxxxxyy_0, tg_xxxxyz_xxxxxxyy_1, tg_xxxxyz_xxxxxxyz_0, \
                                         tg_xxxxyz_xxxxxxyz_1, tg_xxxxyz_xxxxxxzz_0, tg_xxxxyz_xxxxxxzz_1, tg_xxxxyz_xxxxxyyy_0, \
                                         tg_xxxxyz_xxxxxyyy_1, tg_xxxxyz_xxxxxyyz_0, tg_xxxxyz_xxxxxyyz_1, tg_xxxxyz_xxxxxyzz_0, \
                                         tg_xxxxyz_xxxxxyzz_1, tg_xxxxyz_xxxxxzzz_0, tg_xxxxyz_xxxxxzzz_1, tg_xxxxyz_xxxxyyyy_0, \
                                         tg_xxxxyz_xxxxyyyy_1, tg_xxxxyz_xxxxyyyz_0, tg_xxxxyz_xxxxyyyz_1, tg_xxxxyz_xxxxyyzz_0, \
                                         tg_xxxxyz_xxxxyyzz_1, tg_xxxxyz_xxxxyzzz_0, tg_xxxxyz_xxxxyzzz_1, wp_x: VLX_ALIGN)
                for (int32_t j = 0; j < nKetPrimPairs; j++)
                {
                    double fl1_fx = fx;

                    double fl1_fxn = fxn[j];

                    double fl1_fza = fza[j];

                    double fr = wp_x[j]; 

                    tg_xxxxxxxz_xxxxxyyz_0[j] = pb_x * tg_xxxxxxz_xxxxxyyz_0[j] + fr * tg_xxxxxxz_xxxxxyyz_1[j] + 3.0 * fl1_fx * (tg_xxxxxz_xxxxxyyz_0[j] - tg_xxxxxz_xxxxxyyz_1[j] * fl1_fza) + 2.5 * fl1_fxn * tg_xxxxxxz_xxxxyyz_1[j];

                    tg_xxxxxxxz_xxxxxyzz_0[j] = pb_x * tg_xxxxxxz_xxxxxyzz_0[j] + fr * tg_xxxxxxz_xxxxxyzz_1[j] + 3.0 * fl1_fx * (tg_xxxxxz_xxxxxyzz_0[j] - tg_xxxxxz_xxxxxyzz_1[j] * fl1_fza) + 2.5 * fl1_fxn * tg_xxxxxxz_xxxxyzz_1[j];

                    tg_xxxxxxxz_xxxxxzzz_0[j] = pb_x * tg_xxxxxxz_xxxxxzzz_0[j] + fr * tg_xxxxxxz_xxxxxzzz_1[j] + 3.0 * fl1_fx * (tg_xxxxxz_xxxxxzzz_0[j] - tg_xxxxxz_xxxxxzzz_1[j] * fl1_fza) + 2.5 * fl1_fxn * tg_xxxxxxz_xxxxzzz_1[j];

                    tg_xxxxxxxz_xxxxyyyy_0[j] = pb_x * tg_xxxxxxz_xxxxyyyy_0[j] + fr * tg_xxxxxxz_xxxxyyyy_1[j] + 3.0 * fl1_fx * (tg_xxxxxz_xxxxyyyy_0[j] - tg_xxxxxz_xxxxyyyy_1[j] * fl1_fza) + 2.0 * fl1_fxn * tg_xxxxxxz_xxxyyyy_1[j];

                    tg_xxxxxxxz_xxxxyyyz_0[j] = pb_x * tg_xxxxxxz_xxxxyyyz_0[j] + fr * tg_xxxxxxz_xxxxyyyz_1[j] + 3.0 * fl1_fx * (tg_xxxxxz_xxxxyyyz_0[j] - tg_xxxxxz_xxxxyyyz_1[j] * fl1_fza) + 2.0 * fl1_fxn * tg_xxxxxxz_xxxyyyz_1[j];

                    tg_xxxxxxxz_xxxxyyzz_0[j] = pb_x * tg_xxxxxxz_xxxxyyzz_0[j] + fr * tg_xxxxxxz_xxxxyyzz_1[j] + 3.0 * fl1_fx * (tg_xxxxxz_xxxxyyzz_0[j] - tg_xxxxxz_xxxxyyzz_1[j] * fl1_fza) + 2.0 * fl1_fxn * tg_xxxxxxz_xxxyyzz_1[j];

                    tg_xxxxxxxz_xxxxyzzz_0[j] = pb_x * tg_xxxxxxz_xxxxyzzz_0[j] + fr * tg_xxxxxxz_xxxxyzzz_1[j] + 3.0 * fl1_fx * (tg_xxxxxz_xxxxyzzz_0[j] - tg_xxxxxz_xxxxyzzz_1[j] * fl1_fza) + 2.0 * fl1_fxn * tg_xxxxxxz_xxxyzzz_1[j];

                    tg_xxxxxxxz_xxxxzzzz_0[j] = pb_x * tg_xxxxxxz_xxxxzzzz_0[j] + fr * tg_xxxxxxz_xxxxzzzz_1[j] + 3.0 * fl1_fx * (tg_xxxxxz_xxxxzzzz_0[j] - tg_xxxxxz_xxxxzzzz_1[j] * fl1_fza) + 2.0 * fl1_fxn * tg_xxxxxxz_xxxzzzz_1[j];

                    tg_xxxxxxxz_xxxyyyyy_0[j] = pb_x * tg_xxxxxxz_xxxyyyyy_0[j] + fr * tg_xxxxxxz_xxxyyyyy_1[j] + 3.0 * fl1_fx * (tg_xxxxxz_xxxyyyyy_0[j] - tg_xxxxxz_xxxyyyyy_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_xxxxxxz_xxyyyyy_1[j];

                    tg_xxxxxxxz_xxxyyyyz_0[j] = pb_x * tg_xxxxxxz_xxxyyyyz_0[j] + fr * tg_xxxxxxz_xxxyyyyz_1[j] + 3.0 * fl1_fx * (tg_xxxxxz_xxxyyyyz_0[j] - tg_xxxxxz_xxxyyyyz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_xxxxxxz_xxyyyyz_1[j];

                    tg_xxxxxxxz_xxxyyyzz_0[j] = pb_x * tg_xxxxxxz_xxxyyyzz_0[j] + fr * tg_xxxxxxz_xxxyyyzz_1[j] + 3.0 * fl1_fx * (tg_xxxxxz_xxxyyyzz_0[j] - tg_xxxxxz_xxxyyyzz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_xxxxxxz_xxyyyzz_1[j];

                    tg_xxxxxxxz_xxxyyzzz_0[j] = pb_x * tg_xxxxxxz_xxxyyzzz_0[j] + fr * tg_xxxxxxz_xxxyyzzz_1[j] + 3.0 * fl1_fx * (tg_xxxxxz_xxxyyzzz_0[j] - tg_xxxxxz_xxxyyzzz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_xxxxxxz_xxyyzzz_1[j];

                    tg_xxxxxxxz_xxxyzzzz_0[j] = pb_x * tg_xxxxxxz_xxxyzzzz_0[j] + fr * tg_xxxxxxz_xxxyzzzz_1[j] + 3.0 * fl1_fx * (tg_xxxxxz_xxxyzzzz_0[j] - tg_xxxxxz_xxxyzzzz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_xxxxxxz_xxyzzzz_1[j];

                    tg_xxxxxxxz_xxxzzzzz_0[j] = pb_x * tg_xxxxxxz_xxxzzzzz_0[j] + fr * tg_xxxxxxz_xxxzzzzz_1[j] + 3.0 * fl1_fx * (tg_xxxxxz_xxxzzzzz_0[j] - tg_xxxxxz_xxxzzzzz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_xxxxxxz_xxzzzzz_1[j];

                    tg_xxxxxxxz_xxyyyyyy_0[j] = pb_x * tg_xxxxxxz_xxyyyyyy_0[j] + fr * tg_xxxxxxz_xxyyyyyy_1[j] + 3.0 * fl1_fx * (tg_xxxxxz_xxyyyyyy_0[j] - tg_xxxxxz_xxyyyyyy_1[j] * fl1_fza) + fl1_fxn * tg_xxxxxxz_xyyyyyy_1[j];

                    tg_xxxxxxxz_xxyyyyyz_0[j] = pb_x * tg_xxxxxxz_xxyyyyyz_0[j] + fr * tg_xxxxxxz_xxyyyyyz_1[j] + 3.0 * fl1_fx * (tg_xxxxxz_xxyyyyyz_0[j] - tg_xxxxxz_xxyyyyyz_1[j] * fl1_fza) + fl1_fxn * tg_xxxxxxz_xyyyyyz_1[j];

                    tg_xxxxxxxz_xxyyyyzz_0[j] = pb_x * tg_xxxxxxz_xxyyyyzz_0[j] + fr * tg_xxxxxxz_xxyyyyzz_1[j] + 3.0 * fl1_fx * (tg_xxxxxz_xxyyyyzz_0[j] - tg_xxxxxz_xxyyyyzz_1[j] * fl1_fza) + fl1_fxn * tg_xxxxxxz_xyyyyzz_1[j];

                    tg_xxxxxxxz_xxyyyzzz_0[j] = pb_x * tg_xxxxxxz_xxyyyzzz_0[j] + fr * tg_xxxxxxz_xxyyyzzz_1[j] + 3.0 * fl1_fx * (tg_xxxxxz_xxyyyzzz_0[j] - tg_xxxxxz_xxyyyzzz_1[j] * fl1_fza) + fl1_fxn * tg_xxxxxxz_xyyyzzz_1[j];

                    tg_xxxxxxxz_xxyyzzzz_0[j] = pb_x * tg_xxxxxxz_xxyyzzzz_0[j] + fr * tg_xxxxxxz_xxyyzzzz_1[j] + 3.0 * fl1_fx * (tg_xxxxxz_xxyyzzzz_0[j] - tg_xxxxxz_xxyyzzzz_1[j] * fl1_fza) + fl1_fxn * tg_xxxxxxz_xyyzzzz_1[j];

                    tg_xxxxxxxz_xxyzzzzz_0[j] = pb_x * tg_xxxxxxz_xxyzzzzz_0[j] + fr * tg_xxxxxxz_xxyzzzzz_1[j] + 3.0 * fl1_fx * (tg_xxxxxz_xxyzzzzz_0[j] - tg_xxxxxz_xxyzzzzz_1[j] * fl1_fza) + fl1_fxn * tg_xxxxxxz_xyzzzzz_1[j];

                    tg_xxxxxxxz_xxzzzzzz_0[j] = pb_x * tg_xxxxxxz_xxzzzzzz_0[j] + fr * tg_xxxxxxz_xxzzzzzz_1[j] + 3.0 * fl1_fx * (tg_xxxxxz_xxzzzzzz_0[j] - tg_xxxxxz_xxzzzzzz_1[j] * fl1_fza) + fl1_fxn * tg_xxxxxxz_xzzzzzz_1[j];

                    tg_xxxxxxxz_xyyyyyyy_0[j] = pb_x * tg_xxxxxxz_xyyyyyyy_0[j] + fr * tg_xxxxxxz_xyyyyyyy_1[j] + 3.0 * fl1_fx * (tg_xxxxxz_xyyyyyyy_0[j] - tg_xxxxxz_xyyyyyyy_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xxxxxxz_yyyyyyy_1[j];

                    tg_xxxxxxxz_xyyyyyyz_0[j] = pb_x * tg_xxxxxxz_xyyyyyyz_0[j] + fr * tg_xxxxxxz_xyyyyyyz_1[j] + 3.0 * fl1_fx * (tg_xxxxxz_xyyyyyyz_0[j] - tg_xxxxxz_xyyyyyyz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xxxxxxz_yyyyyyz_1[j];

                    tg_xxxxxxxz_xyyyyyzz_0[j] = pb_x * tg_xxxxxxz_xyyyyyzz_0[j] + fr * tg_xxxxxxz_xyyyyyzz_1[j] + 3.0 * fl1_fx * (tg_xxxxxz_xyyyyyzz_0[j] - tg_xxxxxz_xyyyyyzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xxxxxxz_yyyyyzz_1[j];

                    tg_xxxxxxxz_xyyyyzzz_0[j] = pb_x * tg_xxxxxxz_xyyyyzzz_0[j] + fr * tg_xxxxxxz_xyyyyzzz_1[j] + 3.0 * fl1_fx * (tg_xxxxxz_xyyyyzzz_0[j] - tg_xxxxxz_xyyyyzzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xxxxxxz_yyyyzzz_1[j];

                    tg_xxxxxxxz_xyyyzzzz_0[j] = pb_x * tg_xxxxxxz_xyyyzzzz_0[j] + fr * tg_xxxxxxz_xyyyzzzz_1[j] + 3.0 * fl1_fx * (tg_xxxxxz_xyyyzzzz_0[j] - tg_xxxxxz_xyyyzzzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xxxxxxz_yyyzzzz_1[j];

                    tg_xxxxxxxz_xyyzzzzz_0[j] = pb_x * tg_xxxxxxz_xyyzzzzz_0[j] + fr * tg_xxxxxxz_xyyzzzzz_1[j] + 3.0 * fl1_fx * (tg_xxxxxz_xyyzzzzz_0[j] - tg_xxxxxz_xyyzzzzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xxxxxxz_yyzzzzz_1[j];

                    tg_xxxxxxxz_xyzzzzzz_0[j] = pb_x * tg_xxxxxxz_xyzzzzzz_0[j] + fr * tg_xxxxxxz_xyzzzzzz_1[j] + 3.0 * fl1_fx * (tg_xxxxxz_xyzzzzzz_0[j] - tg_xxxxxz_xyzzzzzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xxxxxxz_yzzzzzz_1[j];

                    tg_xxxxxxxz_xzzzzzzz_0[j] = pb_x * tg_xxxxxxz_xzzzzzzz_0[j] + fr * tg_xxxxxxz_xzzzzzzz_1[j] + 3.0 * fl1_fx * (tg_xxxxxz_xzzzzzzz_0[j] - tg_xxxxxz_xzzzzzzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xxxxxxz_zzzzzzz_1[j];

                    tg_xxxxxxxz_yyyyyyyy_0[j] = pb_x * tg_xxxxxxz_yyyyyyyy_0[j] + fr * tg_xxxxxxz_yyyyyyyy_1[j] + 3.0 * fl1_fx * (tg_xxxxxz_yyyyyyyy_0[j] - tg_xxxxxz_yyyyyyyy_1[j] * fl1_fza);

                    tg_xxxxxxxz_yyyyyyyz_0[j] = pb_x * tg_xxxxxxz_yyyyyyyz_0[j] + fr * tg_xxxxxxz_yyyyyyyz_1[j] + 3.0 * fl1_fx * (tg_xxxxxz_yyyyyyyz_0[j] - tg_xxxxxz_yyyyyyyz_1[j] * fl1_fza);

                    tg_xxxxxxxz_yyyyyyzz_0[j] = pb_x * tg_xxxxxxz_yyyyyyzz_0[j] + fr * tg_xxxxxxz_yyyyyyzz_1[j] + 3.0 * fl1_fx * (tg_xxxxxz_yyyyyyzz_0[j] - tg_xxxxxz_yyyyyyzz_1[j] * fl1_fza);

                    tg_xxxxxxxz_yyyyyzzz_0[j] = pb_x * tg_xxxxxxz_yyyyyzzz_0[j] + fr * tg_xxxxxxz_yyyyyzzz_1[j] + 3.0 * fl1_fx * (tg_xxxxxz_yyyyyzzz_0[j] - tg_xxxxxz_yyyyyzzz_1[j] * fl1_fza);

                    tg_xxxxxxxz_yyyyzzzz_0[j] = pb_x * tg_xxxxxxz_yyyyzzzz_0[j] + fr * tg_xxxxxxz_yyyyzzzz_1[j] + 3.0 * fl1_fx * (tg_xxxxxz_yyyyzzzz_0[j] - tg_xxxxxz_yyyyzzzz_1[j] * fl1_fza);

                    tg_xxxxxxxz_yyyzzzzz_0[j] = pb_x * tg_xxxxxxz_yyyzzzzz_0[j] + fr * tg_xxxxxxz_yyyzzzzz_1[j] + 3.0 * fl1_fx * (tg_xxxxxz_yyyzzzzz_0[j] - tg_xxxxxz_yyyzzzzz_1[j] * fl1_fza);

                    tg_xxxxxxxz_yyzzzzzz_0[j] = pb_x * tg_xxxxxxz_yyzzzzzz_0[j] + fr * tg_xxxxxxz_yyzzzzzz_1[j] + 3.0 * fl1_fx * (tg_xxxxxz_yyzzzzzz_0[j] - tg_xxxxxz_yyzzzzzz_1[j] * fl1_fza);

                    tg_xxxxxxxz_yzzzzzzz_0[j] = pb_x * tg_xxxxxxz_yzzzzzzz_0[j] + fr * tg_xxxxxxz_yzzzzzzz_1[j] + 3.0 * fl1_fx * (tg_xxxxxz_yzzzzzzz_0[j] - tg_xxxxxz_yzzzzzzz_1[j] * fl1_fza);

                    tg_xxxxxxxz_zzzzzzzz_0[j] = pb_x * tg_xxxxxxz_zzzzzzzz_0[j] + fr * tg_xxxxxxz_zzzzzzzz_1[j] + 3.0 * fl1_fx * (tg_xxxxxz_zzzzzzzz_0[j] - tg_xxxxxz_zzzzzzzz_1[j] * fl1_fza);

                    tg_xxxxxxyy_xxxxxxxx_0[j] = pb_x * tg_xxxxxyy_xxxxxxxx_0[j] + fr * tg_xxxxxyy_xxxxxxxx_1[j] + 2.5 * fl1_fx * (tg_xxxxyy_xxxxxxxx_0[j] - tg_xxxxyy_xxxxxxxx_1[j] * fl1_fza) + 4.0 * fl1_fxn * tg_xxxxxyy_xxxxxxx_1[j];

                    tg_xxxxxxyy_xxxxxxxy_0[j] = pb_x * tg_xxxxxyy_xxxxxxxy_0[j] + fr * tg_xxxxxyy_xxxxxxxy_1[j] + 2.5 * fl1_fx * (tg_xxxxyy_xxxxxxxy_0[j] - tg_xxxxyy_xxxxxxxy_1[j] * fl1_fza) + 3.5 * fl1_fxn * tg_xxxxxyy_xxxxxxy_1[j];

                    tg_xxxxxxyy_xxxxxxxz_0[j] = pb_x * tg_xxxxxyy_xxxxxxxz_0[j] + fr * tg_xxxxxyy_xxxxxxxz_1[j] + 2.5 * fl1_fx * (tg_xxxxyy_xxxxxxxz_0[j] - tg_xxxxyy_xxxxxxxz_1[j] * fl1_fza) + 3.5 * fl1_fxn * tg_xxxxxyy_xxxxxxz_1[j];

                    tg_xxxxxxyy_xxxxxxyy_0[j] = pb_x * tg_xxxxxyy_xxxxxxyy_0[j] + fr * tg_xxxxxyy_xxxxxxyy_1[j] + 2.5 * fl1_fx * (tg_xxxxyy_xxxxxxyy_0[j] - tg_xxxxyy_xxxxxxyy_1[j] * fl1_fza) + 3.0 * fl1_fxn * tg_xxxxxyy_xxxxxyy_1[j];

                    tg_xxxxxxyy_xxxxxxyz_0[j] = pb_x * tg_xxxxxyy_xxxxxxyz_0[j] + fr * tg_xxxxxyy_xxxxxxyz_1[j] + 2.5 * fl1_fx * (tg_xxxxyy_xxxxxxyz_0[j] - tg_xxxxyy_xxxxxxyz_1[j] * fl1_fza) + 3.0 * fl1_fxn * tg_xxxxxyy_xxxxxyz_1[j];

                    tg_xxxxxxyy_xxxxxxzz_0[j] = pb_x * tg_xxxxxyy_xxxxxxzz_0[j] + fr * tg_xxxxxyy_xxxxxxzz_1[j] + 2.5 * fl1_fx * (tg_xxxxyy_xxxxxxzz_0[j] - tg_xxxxyy_xxxxxxzz_1[j] * fl1_fza) + 3.0 * fl1_fxn * tg_xxxxxyy_xxxxxzz_1[j];

                    tg_xxxxxxyy_xxxxxyyy_0[j] = pb_x * tg_xxxxxyy_xxxxxyyy_0[j] + fr * tg_xxxxxyy_xxxxxyyy_1[j] + 2.5 * fl1_fx * (tg_xxxxyy_xxxxxyyy_0[j] - tg_xxxxyy_xxxxxyyy_1[j] * fl1_fza) + 2.5 * fl1_fxn * tg_xxxxxyy_xxxxyyy_1[j];

                    tg_xxxxxxyy_xxxxxyyz_0[j] = pb_x * tg_xxxxxyy_xxxxxyyz_0[j] + fr * tg_xxxxxyy_xxxxxyyz_1[j] + 2.5 * fl1_fx * (tg_xxxxyy_xxxxxyyz_0[j] - tg_xxxxyy_xxxxxyyz_1[j] * fl1_fza) + 2.5 * fl1_fxn * tg_xxxxxyy_xxxxyyz_1[j];

                    tg_xxxxxxyy_xxxxxyzz_0[j] = pb_x * tg_xxxxxyy_xxxxxyzz_0[j] + fr * tg_xxxxxyy_xxxxxyzz_1[j] + 2.5 * fl1_fx * (tg_xxxxyy_xxxxxyzz_0[j] - tg_xxxxyy_xxxxxyzz_1[j] * fl1_fza) + 2.5 * fl1_fxn * tg_xxxxxyy_xxxxyzz_1[j];

                    tg_xxxxxxyy_xxxxxzzz_0[j] = pb_x * tg_xxxxxyy_xxxxxzzz_0[j] + fr * tg_xxxxxyy_xxxxxzzz_1[j] + 2.5 * fl1_fx * (tg_xxxxyy_xxxxxzzz_0[j] - tg_xxxxyy_xxxxxzzz_1[j] * fl1_fza) + 2.5 * fl1_fxn * tg_xxxxxyy_xxxxzzz_1[j];

                    tg_xxxxxxyy_xxxxyyyy_0[j] = pb_x * tg_xxxxxyy_xxxxyyyy_0[j] + fr * tg_xxxxxyy_xxxxyyyy_1[j] + 2.5 * fl1_fx * (tg_xxxxyy_xxxxyyyy_0[j] - tg_xxxxyy_xxxxyyyy_1[j] * fl1_fza) + 2.0 * fl1_fxn * tg_xxxxxyy_xxxyyyy_1[j];

                    tg_xxxxxxyy_xxxxyyyz_0[j] = pb_x * tg_xxxxxyy_xxxxyyyz_0[j] + fr * tg_xxxxxyy_xxxxyyyz_1[j] + 2.5 * fl1_fx * (tg_xxxxyy_xxxxyyyz_0[j] - tg_xxxxyy_xxxxyyyz_1[j] * fl1_fza) + 2.0 * fl1_fxn * tg_xxxxxyy_xxxyyyz_1[j];

                    tg_xxxxxxyy_xxxxyyzz_0[j] = pb_x * tg_xxxxxyy_xxxxyyzz_0[j] + fr * tg_xxxxxyy_xxxxyyzz_1[j] + 2.5 * fl1_fx * (tg_xxxxyy_xxxxyyzz_0[j] - tg_xxxxyy_xxxxyyzz_1[j] * fl1_fza) + 2.0 * fl1_fxn * tg_xxxxxyy_xxxyyzz_1[j];

                    tg_xxxxxxyy_xxxxyzzz_0[j] = pb_x * tg_xxxxxyy_xxxxyzzz_0[j] + fr * tg_xxxxxyy_xxxxyzzz_1[j] + 2.5 * fl1_fx * (tg_xxxxyy_xxxxyzzz_0[j] - tg_xxxxyy_xxxxyzzz_1[j] * fl1_fza) + 2.0 * fl1_fxn * tg_xxxxxyy_xxxyzzz_1[j];

                    tg_xxxxxxyy_xxxxzzzz_0[j] = pb_x * tg_xxxxxyy_xxxxzzzz_0[j] + fr * tg_xxxxxyy_xxxxzzzz_1[j] + 2.5 * fl1_fx * (tg_xxxxyy_xxxxzzzz_0[j] - tg_xxxxyy_xxxxzzzz_1[j] * fl1_fza) + 2.0 * fl1_fxn * tg_xxxxxyy_xxxzzzz_1[j];

                    tg_xxxxxxyy_xxxyyyyy_0[j] = pb_x * tg_xxxxxyy_xxxyyyyy_0[j] + fr * tg_xxxxxyy_xxxyyyyy_1[j] + 2.5 * fl1_fx * (tg_xxxxyy_xxxyyyyy_0[j] - tg_xxxxyy_xxxyyyyy_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_xxxxxyy_xxyyyyy_1[j];

                    tg_xxxxxxyy_xxxyyyyz_0[j] = pb_x * tg_xxxxxyy_xxxyyyyz_0[j] + fr * tg_xxxxxyy_xxxyyyyz_1[j] + 2.5 * fl1_fx * (tg_xxxxyy_xxxyyyyz_0[j] - tg_xxxxyy_xxxyyyyz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_xxxxxyy_xxyyyyz_1[j];

                    tg_xxxxxxyy_xxxyyyzz_0[j] = pb_x * tg_xxxxxyy_xxxyyyzz_0[j] + fr * tg_xxxxxyy_xxxyyyzz_1[j] + 2.5 * fl1_fx * (tg_xxxxyy_xxxyyyzz_0[j] - tg_xxxxyy_xxxyyyzz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_xxxxxyy_xxyyyzz_1[j];

                    tg_xxxxxxyy_xxxyyzzz_0[j] = pb_x * tg_xxxxxyy_xxxyyzzz_0[j] + fr * tg_xxxxxyy_xxxyyzzz_1[j] + 2.5 * fl1_fx * (tg_xxxxyy_xxxyyzzz_0[j] - tg_xxxxyy_xxxyyzzz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_xxxxxyy_xxyyzzz_1[j];

                    tg_xxxxxxyy_xxxyzzzz_0[j] = pb_x * tg_xxxxxyy_xxxyzzzz_0[j] + fr * tg_xxxxxyy_xxxyzzzz_1[j] + 2.5 * fl1_fx * (tg_xxxxyy_xxxyzzzz_0[j] - tg_xxxxyy_xxxyzzzz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_xxxxxyy_xxyzzzz_1[j];

                    tg_xxxxxxyy_xxxzzzzz_0[j] = pb_x * tg_xxxxxyy_xxxzzzzz_0[j] + fr * tg_xxxxxyy_xxxzzzzz_1[j] + 2.5 * fl1_fx * (tg_xxxxyy_xxxzzzzz_0[j] - tg_xxxxyy_xxxzzzzz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_xxxxxyy_xxzzzzz_1[j];

                    tg_xxxxxxyy_xxyyyyyy_0[j] = pb_x * tg_xxxxxyy_xxyyyyyy_0[j] + fr * tg_xxxxxyy_xxyyyyyy_1[j] + 2.5 * fl1_fx * (tg_xxxxyy_xxyyyyyy_0[j] - tg_xxxxyy_xxyyyyyy_1[j] * fl1_fza) + fl1_fxn * tg_xxxxxyy_xyyyyyy_1[j];

                    tg_xxxxxxyy_xxyyyyyz_0[j] = pb_x * tg_xxxxxyy_xxyyyyyz_0[j] + fr * tg_xxxxxyy_xxyyyyyz_1[j] + 2.5 * fl1_fx * (tg_xxxxyy_xxyyyyyz_0[j] - tg_xxxxyy_xxyyyyyz_1[j] * fl1_fza) + fl1_fxn * tg_xxxxxyy_xyyyyyz_1[j];

                    tg_xxxxxxyy_xxyyyyzz_0[j] = pb_x * tg_xxxxxyy_xxyyyyzz_0[j] + fr * tg_xxxxxyy_xxyyyyzz_1[j] + 2.5 * fl1_fx * (tg_xxxxyy_xxyyyyzz_0[j] - tg_xxxxyy_xxyyyyzz_1[j] * fl1_fza) + fl1_fxn * tg_xxxxxyy_xyyyyzz_1[j];

                    tg_xxxxxxyy_xxyyyzzz_0[j] = pb_x * tg_xxxxxyy_xxyyyzzz_0[j] + fr * tg_xxxxxyy_xxyyyzzz_1[j] + 2.5 * fl1_fx * (tg_xxxxyy_xxyyyzzz_0[j] - tg_xxxxyy_xxyyyzzz_1[j] * fl1_fza) + fl1_fxn * tg_xxxxxyy_xyyyzzz_1[j];

                    tg_xxxxxxyy_xxyyzzzz_0[j] = pb_x * tg_xxxxxyy_xxyyzzzz_0[j] + fr * tg_xxxxxyy_xxyyzzzz_1[j] + 2.5 * fl1_fx * (tg_xxxxyy_xxyyzzzz_0[j] - tg_xxxxyy_xxyyzzzz_1[j] * fl1_fza) + fl1_fxn * tg_xxxxxyy_xyyzzzz_1[j];

                    tg_xxxxxxyy_xxyzzzzz_0[j] = pb_x * tg_xxxxxyy_xxyzzzzz_0[j] + fr * tg_xxxxxyy_xxyzzzzz_1[j] + 2.5 * fl1_fx * (tg_xxxxyy_xxyzzzzz_0[j] - tg_xxxxyy_xxyzzzzz_1[j] * fl1_fza) + fl1_fxn * tg_xxxxxyy_xyzzzzz_1[j];

                    tg_xxxxxxyy_xxzzzzzz_0[j] = pb_x * tg_xxxxxyy_xxzzzzzz_0[j] + fr * tg_xxxxxyy_xxzzzzzz_1[j] + 2.5 * fl1_fx * (tg_xxxxyy_xxzzzzzz_0[j] - tg_xxxxyy_xxzzzzzz_1[j] * fl1_fza) + fl1_fxn * tg_xxxxxyy_xzzzzzz_1[j];

                    tg_xxxxxxyy_xyyyyyyy_0[j] = pb_x * tg_xxxxxyy_xyyyyyyy_0[j] + fr * tg_xxxxxyy_xyyyyyyy_1[j] + 2.5 * fl1_fx * (tg_xxxxyy_xyyyyyyy_0[j] - tg_xxxxyy_xyyyyyyy_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xxxxxyy_yyyyyyy_1[j];

                    tg_xxxxxxyy_xyyyyyyz_0[j] = pb_x * tg_xxxxxyy_xyyyyyyz_0[j] + fr * tg_xxxxxyy_xyyyyyyz_1[j] + 2.5 * fl1_fx * (tg_xxxxyy_xyyyyyyz_0[j] - tg_xxxxyy_xyyyyyyz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xxxxxyy_yyyyyyz_1[j];

                    tg_xxxxxxyy_xyyyyyzz_0[j] = pb_x * tg_xxxxxyy_xyyyyyzz_0[j] + fr * tg_xxxxxyy_xyyyyyzz_1[j] + 2.5 * fl1_fx * (tg_xxxxyy_xyyyyyzz_0[j] - tg_xxxxyy_xyyyyyzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xxxxxyy_yyyyyzz_1[j];

                    tg_xxxxxxyy_xyyyyzzz_0[j] = pb_x * tg_xxxxxyy_xyyyyzzz_0[j] + fr * tg_xxxxxyy_xyyyyzzz_1[j] + 2.5 * fl1_fx * (tg_xxxxyy_xyyyyzzz_0[j] - tg_xxxxyy_xyyyyzzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xxxxxyy_yyyyzzz_1[j];

                    tg_xxxxxxyy_xyyyzzzz_0[j] = pb_x * tg_xxxxxyy_xyyyzzzz_0[j] + fr * tg_xxxxxyy_xyyyzzzz_1[j] + 2.5 * fl1_fx * (tg_xxxxyy_xyyyzzzz_0[j] - tg_xxxxyy_xyyyzzzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xxxxxyy_yyyzzzz_1[j];

                    tg_xxxxxxyy_xyyzzzzz_0[j] = pb_x * tg_xxxxxyy_xyyzzzzz_0[j] + fr * tg_xxxxxyy_xyyzzzzz_1[j] + 2.5 * fl1_fx * (tg_xxxxyy_xyyzzzzz_0[j] - tg_xxxxyy_xyyzzzzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xxxxxyy_yyzzzzz_1[j];

                    tg_xxxxxxyy_xyzzzzzz_0[j] = pb_x * tg_xxxxxyy_xyzzzzzz_0[j] + fr * tg_xxxxxyy_xyzzzzzz_1[j] + 2.5 * fl1_fx * (tg_xxxxyy_xyzzzzzz_0[j] - tg_xxxxyy_xyzzzzzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xxxxxyy_yzzzzzz_1[j];

                    tg_xxxxxxyy_xzzzzzzz_0[j] = pb_x * tg_xxxxxyy_xzzzzzzz_0[j] + fr * tg_xxxxxyy_xzzzzzzz_1[j] + 2.5 * fl1_fx * (tg_xxxxyy_xzzzzzzz_0[j] - tg_xxxxyy_xzzzzzzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xxxxxyy_zzzzzzz_1[j];

                    tg_xxxxxxyy_yyyyyyyy_0[j] = pb_x * tg_xxxxxyy_yyyyyyyy_0[j] + fr * tg_xxxxxyy_yyyyyyyy_1[j] + 2.5 * fl1_fx * (tg_xxxxyy_yyyyyyyy_0[j] - tg_xxxxyy_yyyyyyyy_1[j] * fl1_fza);

                    tg_xxxxxxyy_yyyyyyyz_0[j] = pb_x * tg_xxxxxyy_yyyyyyyz_0[j] + fr * tg_xxxxxyy_yyyyyyyz_1[j] + 2.5 * fl1_fx * (tg_xxxxyy_yyyyyyyz_0[j] - tg_xxxxyy_yyyyyyyz_1[j] * fl1_fza);

                    tg_xxxxxxyy_yyyyyyzz_0[j] = pb_x * tg_xxxxxyy_yyyyyyzz_0[j] + fr * tg_xxxxxyy_yyyyyyzz_1[j] + 2.5 * fl1_fx * (tg_xxxxyy_yyyyyyzz_0[j] - tg_xxxxyy_yyyyyyzz_1[j] * fl1_fza);

                    tg_xxxxxxyy_yyyyyzzz_0[j] = pb_x * tg_xxxxxyy_yyyyyzzz_0[j] + fr * tg_xxxxxyy_yyyyyzzz_1[j] + 2.5 * fl1_fx * (tg_xxxxyy_yyyyyzzz_0[j] - tg_xxxxyy_yyyyyzzz_1[j] * fl1_fza);

                    tg_xxxxxxyy_yyyyzzzz_0[j] = pb_x * tg_xxxxxyy_yyyyzzzz_0[j] + fr * tg_xxxxxyy_yyyyzzzz_1[j] + 2.5 * fl1_fx * (tg_xxxxyy_yyyyzzzz_0[j] - tg_xxxxyy_yyyyzzzz_1[j] * fl1_fza);

                    tg_xxxxxxyy_yyyzzzzz_0[j] = pb_x * tg_xxxxxyy_yyyzzzzz_0[j] + fr * tg_xxxxxyy_yyyzzzzz_1[j] + 2.5 * fl1_fx * (tg_xxxxyy_yyyzzzzz_0[j] - tg_xxxxyy_yyyzzzzz_1[j] * fl1_fza);

                    tg_xxxxxxyy_yyzzzzzz_0[j] = pb_x * tg_xxxxxyy_yyzzzzzz_0[j] + fr * tg_xxxxxyy_yyzzzzzz_1[j] + 2.5 * fl1_fx * (tg_xxxxyy_yyzzzzzz_0[j] - tg_xxxxyy_yyzzzzzz_1[j] * fl1_fza);

                    tg_xxxxxxyy_yzzzzzzz_0[j] = pb_x * tg_xxxxxyy_yzzzzzzz_0[j] + fr * tg_xxxxxyy_yzzzzzzz_1[j] + 2.5 * fl1_fx * (tg_xxxxyy_yzzzzzzz_0[j] - tg_xxxxyy_yzzzzzzz_1[j] * fl1_fza);

                    tg_xxxxxxyy_zzzzzzzz_0[j] = pb_x * tg_xxxxxyy_zzzzzzzz_0[j] + fr * tg_xxxxxyy_zzzzzzzz_1[j] + 2.5 * fl1_fx * (tg_xxxxyy_zzzzzzzz_0[j] - tg_xxxxyy_zzzzzzzz_1[j] * fl1_fza);

                    tg_xxxxxxyz_xxxxxxxx_0[j] = pb_x * tg_xxxxxyz_xxxxxxxx_0[j] + fr * tg_xxxxxyz_xxxxxxxx_1[j] + 2.5 * fl1_fx * (tg_xxxxyz_xxxxxxxx_0[j] - tg_xxxxyz_xxxxxxxx_1[j] * fl1_fza) + 4.0 * fl1_fxn * tg_xxxxxyz_xxxxxxx_1[j];

                    tg_xxxxxxyz_xxxxxxxy_0[j] = pb_x * tg_xxxxxyz_xxxxxxxy_0[j] + fr * tg_xxxxxyz_xxxxxxxy_1[j] + 2.5 * fl1_fx * (tg_xxxxyz_xxxxxxxy_0[j] - tg_xxxxyz_xxxxxxxy_1[j] * fl1_fza) + 3.5 * fl1_fxn * tg_xxxxxyz_xxxxxxy_1[j];

                    tg_xxxxxxyz_xxxxxxxz_0[j] = pb_x * tg_xxxxxyz_xxxxxxxz_0[j] + fr * tg_xxxxxyz_xxxxxxxz_1[j] + 2.5 * fl1_fx * (tg_xxxxyz_xxxxxxxz_0[j] - tg_xxxxyz_xxxxxxxz_1[j] * fl1_fza) + 3.5 * fl1_fxn * tg_xxxxxyz_xxxxxxz_1[j];

                    tg_xxxxxxyz_xxxxxxyy_0[j] = pb_x * tg_xxxxxyz_xxxxxxyy_0[j] + fr * tg_xxxxxyz_xxxxxxyy_1[j] + 2.5 * fl1_fx * (tg_xxxxyz_xxxxxxyy_0[j] - tg_xxxxyz_xxxxxxyy_1[j] * fl1_fza) + 3.0 * fl1_fxn * tg_xxxxxyz_xxxxxyy_1[j];

                    tg_xxxxxxyz_xxxxxxyz_0[j] = pb_x * tg_xxxxxyz_xxxxxxyz_0[j] + fr * tg_xxxxxyz_xxxxxxyz_1[j] + 2.5 * fl1_fx * (tg_xxxxyz_xxxxxxyz_0[j] - tg_xxxxyz_xxxxxxyz_1[j] * fl1_fza) + 3.0 * fl1_fxn * tg_xxxxxyz_xxxxxyz_1[j];

                    tg_xxxxxxyz_xxxxxxzz_0[j] = pb_x * tg_xxxxxyz_xxxxxxzz_0[j] + fr * tg_xxxxxyz_xxxxxxzz_1[j] + 2.5 * fl1_fx * (tg_xxxxyz_xxxxxxzz_0[j] - tg_xxxxyz_xxxxxxzz_1[j] * fl1_fza) + 3.0 * fl1_fxn * tg_xxxxxyz_xxxxxzz_1[j];

                    tg_xxxxxxyz_xxxxxyyy_0[j] = pb_x * tg_xxxxxyz_xxxxxyyy_0[j] + fr * tg_xxxxxyz_xxxxxyyy_1[j] + 2.5 * fl1_fx * (tg_xxxxyz_xxxxxyyy_0[j] - tg_xxxxyz_xxxxxyyy_1[j] * fl1_fza) + 2.5 * fl1_fxn * tg_xxxxxyz_xxxxyyy_1[j];

                    tg_xxxxxxyz_xxxxxyyz_0[j] = pb_x * tg_xxxxxyz_xxxxxyyz_0[j] + fr * tg_xxxxxyz_xxxxxyyz_1[j] + 2.5 * fl1_fx * (tg_xxxxyz_xxxxxyyz_0[j] - tg_xxxxyz_xxxxxyyz_1[j] * fl1_fza) + 2.5 * fl1_fxn * tg_xxxxxyz_xxxxyyz_1[j];

                    tg_xxxxxxyz_xxxxxyzz_0[j] = pb_x * tg_xxxxxyz_xxxxxyzz_0[j] + fr * tg_xxxxxyz_xxxxxyzz_1[j] + 2.5 * fl1_fx * (tg_xxxxyz_xxxxxyzz_0[j] - tg_xxxxyz_xxxxxyzz_1[j] * fl1_fza) + 2.5 * fl1_fxn * tg_xxxxxyz_xxxxyzz_1[j];

                    tg_xxxxxxyz_xxxxxzzz_0[j] = pb_x * tg_xxxxxyz_xxxxxzzz_0[j] + fr * tg_xxxxxyz_xxxxxzzz_1[j] + 2.5 * fl1_fx * (tg_xxxxyz_xxxxxzzz_0[j] - tg_xxxxyz_xxxxxzzz_1[j] * fl1_fza) + 2.5 * fl1_fxn * tg_xxxxxyz_xxxxzzz_1[j];

                    tg_xxxxxxyz_xxxxyyyy_0[j] = pb_x * tg_xxxxxyz_xxxxyyyy_0[j] + fr * tg_xxxxxyz_xxxxyyyy_1[j] + 2.5 * fl1_fx * (tg_xxxxyz_xxxxyyyy_0[j] - tg_xxxxyz_xxxxyyyy_1[j] * fl1_fza) + 2.0 * fl1_fxn * tg_xxxxxyz_xxxyyyy_1[j];

                    tg_xxxxxxyz_xxxxyyyz_0[j] = pb_x * tg_xxxxxyz_xxxxyyyz_0[j] + fr * tg_xxxxxyz_xxxxyyyz_1[j] + 2.5 * fl1_fx * (tg_xxxxyz_xxxxyyyz_0[j] - tg_xxxxyz_xxxxyyyz_1[j] * fl1_fza) + 2.0 * fl1_fxn * tg_xxxxxyz_xxxyyyz_1[j];

                    tg_xxxxxxyz_xxxxyyzz_0[j] = pb_x * tg_xxxxxyz_xxxxyyzz_0[j] + fr * tg_xxxxxyz_xxxxyyzz_1[j] + 2.5 * fl1_fx * (tg_xxxxyz_xxxxyyzz_0[j] - tg_xxxxyz_xxxxyyzz_1[j] * fl1_fza) + 2.0 * fl1_fxn * tg_xxxxxyz_xxxyyzz_1[j];

                    tg_xxxxxxyz_xxxxyzzz_0[j] = pb_x * tg_xxxxxyz_xxxxyzzz_0[j] + fr * tg_xxxxxyz_xxxxyzzz_1[j] + 2.5 * fl1_fx * (tg_xxxxyz_xxxxyzzz_0[j] - tg_xxxxyz_xxxxyzzz_1[j] * fl1_fza) + 2.0 * fl1_fxn * tg_xxxxxyz_xxxyzzz_1[j];
                }

                idx++;
            }
        }
    }

    void
    compElectronRepulsionForSLSL_194_291(      CMemBlock2D<double>* primBuffer,
                                         const CRecursionMap&       recursionMap,
                                         const CMemBlock2D<double>& osFactors,
                                         const CMemBlock2D<double>& wpDistances,
                                         const CGtoPairsBlock&      braGtoPairsBlock,
                                         const CGtoPairsBlock&      ketGtoPairsBlock,
                                         const int32_t              nKetPrimPairs,
                                         const int32_t              iContrPair)
    {
        // Batch of Integrals (194,291)

        // set up pointers to primitives data on bra side

        auto spos = braGtoPairsBlock.getStartPositions();

        auto epos = braGtoPairsBlock.getEndPositions();

        // set up pointers to tensor of distance R(PB) = P - B

        auto r_pb_x = braGtoPairsBlock.getDistancesPBX();

        // set up pointers to common Obara-Saika factors

        auto b_fx = braGtoPairsBlock.getFactorsOneOverXi();

        // set up maximum order of integral

        auto mord = recursionMap.getMaxOrder({"Electron Repulsion"},
                                             {8, -1, -1, -1},
                                             {8, -1, -1, -1},
                                             1, 1);

        for (int32_t iord = 0; iord <= mord; iord++)
        {
            // set up index of integral

            auto pidx_g_8_8_m0 = recursionMap.index(CRecursionTerm({"Electron Repulsion"}, 0, true, 
                                                                   {8, -1, -1, -1}, {8, -1, -1, -1}, 
                                                                   1, 1, iord));

            // check if integral is needed in recursion expansion

            if (pidx_g_8_8_m0 == -1) continue;

            // set up indexes of auxilary integral

            auto pidx_g_7_8_m0 = recursionMap.index(CRecursionTerm({"Electron Repulsion"}, 0, true, 
                                                                   {7, -1, -1, -1}, {8, -1, -1, -1}, 
                                                                   1, 1, iord));

            auto pidx_g_7_8_m1 = recursionMap.index(CRecursionTerm({"Electron Repulsion"}, 0, true, 
                                                                   {7, -1, -1, -1}, {8, -1, -1, -1}, 
                                                                   1, 1, iord + 1));

            auto pidx_g_6_8_m0 = recursionMap.index(CRecursionTerm({"Electron Repulsion"}, 0, true, 
                                                                   {6, -1, -1, -1}, {8, -1, -1, -1}, 
                                                                   1, 1, iord));

            auto pidx_g_6_8_m1 = recursionMap.index(CRecursionTerm({"Electron Repulsion"}, 0, true, 
                                                                   {6, -1, -1, -1}, {8, -1, -1, -1}, 
                                                                   1, 1, iord + 1));

            auto pidx_g_7_7_m1 = recursionMap.index(CRecursionTerm({"Electron Repulsion"}, 0, true, 
                                                                   {7, -1, -1, -1}, {7, -1, -1, -1}, 
                                                                   1, 1, iord + 1));

            // loop over contracted GTO on bra side

            int32_t idx = 0;

            for (int32_t i = spos[iContrPair]; i < epos[iContrPair]; i++)
            {
                // set up pointers to Obara-Saika factors

                double fx = b_fx[i];

                auto fza = osFactors.data(4 * idx + 2);

                auto fxn = osFactors.data(4 * idx);

                // set up distances R(PB) = P - B

                auto pb_x = r_pb_x[i];

                // set up pointers to tensors product of distances R(WP) = W - P

                auto wp_x = wpDistances.data(3 * idx);

                // set up pointers to auxilary integrals

                auto tg_xxxxxyz_xxxxzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 194); 

                auto tg_xxxxxyz_xxxyyyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 195); 

                auto tg_xxxxxyz_xxxyyyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 196); 

                auto tg_xxxxxyz_xxxyyyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 197); 

                auto tg_xxxxxyz_xxxyyzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 198); 

                auto tg_xxxxxyz_xxxyzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 199); 

                auto tg_xxxxxyz_xxxzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 200); 

                auto tg_xxxxxyz_xxyyyyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 201); 

                auto tg_xxxxxyz_xxyyyyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 202); 

                auto tg_xxxxxyz_xxyyyyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 203); 

                auto tg_xxxxxyz_xxyyyzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 204); 

                auto tg_xxxxxyz_xxyyzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 205); 

                auto tg_xxxxxyz_xxyzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 206); 

                auto tg_xxxxxyz_xxzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 207); 

                auto tg_xxxxxyz_xyyyyyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 208); 

                auto tg_xxxxxyz_xyyyyyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 209); 

                auto tg_xxxxxyz_xyyyyyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 210); 

                auto tg_xxxxxyz_xyyyyzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 211); 

                auto tg_xxxxxyz_xyyyzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 212); 

                auto tg_xxxxxyz_xyyzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 213); 

                auto tg_xxxxxyz_xyzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 214); 

                auto tg_xxxxxyz_xzzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 215); 

                auto tg_xxxxxyz_yyyyyyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 216); 

                auto tg_xxxxxyz_yyyyyyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 217); 

                auto tg_xxxxxyz_yyyyyyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 218); 

                auto tg_xxxxxyz_yyyyyzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 219); 

                auto tg_xxxxxyz_yyyyzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 220); 

                auto tg_xxxxxyz_yyyzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 221); 

                auto tg_xxxxxyz_yyzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 222); 

                auto tg_xxxxxyz_yzzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 223); 

                auto tg_xxxxxyz_zzzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 224); 

                auto tg_xxxxxzz_xxxxxxxx_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 225); 

                auto tg_xxxxxzz_xxxxxxxy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 226); 

                auto tg_xxxxxzz_xxxxxxxz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 227); 

                auto tg_xxxxxzz_xxxxxxyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 228); 

                auto tg_xxxxxzz_xxxxxxyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 229); 

                auto tg_xxxxxzz_xxxxxxzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 230); 

                auto tg_xxxxxzz_xxxxxyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 231); 

                auto tg_xxxxxzz_xxxxxyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 232); 

                auto tg_xxxxxzz_xxxxxyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 233); 

                auto tg_xxxxxzz_xxxxxzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 234); 

                auto tg_xxxxxzz_xxxxyyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 235); 

                auto tg_xxxxxzz_xxxxyyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 236); 

                auto tg_xxxxxzz_xxxxyyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 237); 

                auto tg_xxxxxzz_xxxxyzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 238); 

                auto tg_xxxxxzz_xxxxzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 239); 

                auto tg_xxxxxzz_xxxyyyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 240); 

                auto tg_xxxxxzz_xxxyyyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 241); 

                auto tg_xxxxxzz_xxxyyyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 242); 

                auto tg_xxxxxzz_xxxyyzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 243); 

                auto tg_xxxxxzz_xxxyzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 244); 

                auto tg_xxxxxzz_xxxzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 245); 

                auto tg_xxxxxzz_xxyyyyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 246); 

                auto tg_xxxxxzz_xxyyyyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 247); 

                auto tg_xxxxxzz_xxyyyyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 248); 

                auto tg_xxxxxzz_xxyyyzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 249); 

                auto tg_xxxxxzz_xxyyzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 250); 

                auto tg_xxxxxzz_xxyzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 251); 

                auto tg_xxxxxzz_xxzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 252); 

                auto tg_xxxxxzz_xyyyyyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 253); 

                auto tg_xxxxxzz_xyyyyyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 254); 

                auto tg_xxxxxzz_xyyyyyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 255); 

                auto tg_xxxxxzz_xyyyyzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 256); 

                auto tg_xxxxxzz_xyyyzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 257); 

                auto tg_xxxxxzz_xyyzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 258); 

                auto tg_xxxxxzz_xyzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 259); 

                auto tg_xxxxxzz_xzzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 260); 

                auto tg_xxxxxzz_yyyyyyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 261); 

                auto tg_xxxxxzz_yyyyyyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 262); 

                auto tg_xxxxxzz_yyyyyyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 263); 

                auto tg_xxxxxzz_yyyyyzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 264); 

                auto tg_xxxxxzz_yyyyzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 265); 

                auto tg_xxxxxzz_yyyzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 266); 

                auto tg_xxxxxzz_yyzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 267); 

                auto tg_xxxxxzz_yzzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 268); 

                auto tg_xxxxxzz_zzzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 269); 

                auto tg_xxxxyyy_xxxxxxxx_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 270); 

                auto tg_xxxxyyy_xxxxxxxy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 271); 

                auto tg_xxxxyyy_xxxxxxxz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 272); 

                auto tg_xxxxyyy_xxxxxxyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 273); 

                auto tg_xxxxyyy_xxxxxxyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 274); 

                auto tg_xxxxyyy_xxxxxxzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 275); 

                auto tg_xxxxyyy_xxxxxyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 276); 

                auto tg_xxxxyyy_xxxxxyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 277); 

                auto tg_xxxxyyy_xxxxxyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 278); 

                auto tg_xxxxyyy_xxxxxzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 279); 

                auto tg_xxxxyyy_xxxxyyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 280); 

                auto tg_xxxxyyy_xxxxyyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 281); 

                auto tg_xxxxyyy_xxxxyyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 282); 

                auto tg_xxxxyyy_xxxxyzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 283); 

                auto tg_xxxxyyy_xxxxzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 284); 

                auto tg_xxxxyyy_xxxyyyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 285); 

                auto tg_xxxxyyy_xxxyyyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 286); 

                auto tg_xxxxyyy_xxxyyyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 287); 

                auto tg_xxxxyyy_xxxyyzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 288); 

                auto tg_xxxxyyy_xxxyzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 289); 

                auto tg_xxxxyyy_xxxzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 290); 

                auto tg_xxxxxyz_xxxxzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 194); 

                auto tg_xxxxxyz_xxxyyyyy_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 195); 

                auto tg_xxxxxyz_xxxyyyyz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 196); 

                auto tg_xxxxxyz_xxxyyyzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 197); 

                auto tg_xxxxxyz_xxxyyzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 198); 

                auto tg_xxxxxyz_xxxyzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 199); 

                auto tg_xxxxxyz_xxxzzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 200); 

                auto tg_xxxxxyz_xxyyyyyy_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 201); 

                auto tg_xxxxxyz_xxyyyyyz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 202); 

                auto tg_xxxxxyz_xxyyyyzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 203); 

                auto tg_xxxxxyz_xxyyyzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 204); 

                auto tg_xxxxxyz_xxyyzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 205); 

                auto tg_xxxxxyz_xxyzzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 206); 

                auto tg_xxxxxyz_xxzzzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 207); 

                auto tg_xxxxxyz_xyyyyyyy_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 208); 

                auto tg_xxxxxyz_xyyyyyyz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 209); 

                auto tg_xxxxxyz_xyyyyyzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 210); 

                auto tg_xxxxxyz_xyyyyzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 211); 

                auto tg_xxxxxyz_xyyyzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 212); 

                auto tg_xxxxxyz_xyyzzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 213); 

                auto tg_xxxxxyz_xyzzzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 214); 

                auto tg_xxxxxyz_xzzzzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 215); 

                auto tg_xxxxxyz_yyyyyyyy_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 216); 

                auto tg_xxxxxyz_yyyyyyyz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 217); 

                auto tg_xxxxxyz_yyyyyyzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 218); 

                auto tg_xxxxxyz_yyyyyzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 219); 

                auto tg_xxxxxyz_yyyyzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 220); 

                auto tg_xxxxxyz_yyyzzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 221); 

                auto tg_xxxxxyz_yyzzzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 222); 

                auto tg_xxxxxyz_yzzzzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 223); 

                auto tg_xxxxxyz_zzzzzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 224); 

                auto tg_xxxxxzz_xxxxxxxx_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 225); 

                auto tg_xxxxxzz_xxxxxxxy_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 226); 

                auto tg_xxxxxzz_xxxxxxxz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 227); 

                auto tg_xxxxxzz_xxxxxxyy_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 228); 

                auto tg_xxxxxzz_xxxxxxyz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 229); 

                auto tg_xxxxxzz_xxxxxxzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 230); 

                auto tg_xxxxxzz_xxxxxyyy_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 231); 

                auto tg_xxxxxzz_xxxxxyyz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 232); 

                auto tg_xxxxxzz_xxxxxyzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 233); 

                auto tg_xxxxxzz_xxxxxzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 234); 

                auto tg_xxxxxzz_xxxxyyyy_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 235); 

                auto tg_xxxxxzz_xxxxyyyz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 236); 

                auto tg_xxxxxzz_xxxxyyzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 237); 

                auto tg_xxxxxzz_xxxxyzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 238); 

                auto tg_xxxxxzz_xxxxzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 239); 

                auto tg_xxxxxzz_xxxyyyyy_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 240); 

                auto tg_xxxxxzz_xxxyyyyz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 241); 

                auto tg_xxxxxzz_xxxyyyzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 242); 

                auto tg_xxxxxzz_xxxyyzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 243); 

                auto tg_xxxxxzz_xxxyzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 244); 

                auto tg_xxxxxzz_xxxzzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 245); 

                auto tg_xxxxxzz_xxyyyyyy_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 246); 

                auto tg_xxxxxzz_xxyyyyyz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 247); 

                auto tg_xxxxxzz_xxyyyyzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 248); 

                auto tg_xxxxxzz_xxyyyzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 249); 

                auto tg_xxxxxzz_xxyyzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 250); 

                auto tg_xxxxxzz_xxyzzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 251); 

                auto tg_xxxxxzz_xxzzzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 252); 

                auto tg_xxxxxzz_xyyyyyyy_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 253); 

                auto tg_xxxxxzz_xyyyyyyz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 254); 

                auto tg_xxxxxzz_xyyyyyzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 255); 

                auto tg_xxxxxzz_xyyyyzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 256); 

                auto tg_xxxxxzz_xyyyzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 257); 

                auto tg_xxxxxzz_xyyzzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 258); 

                auto tg_xxxxxzz_xyzzzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 259); 

                auto tg_xxxxxzz_xzzzzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 260); 

                auto tg_xxxxxzz_yyyyyyyy_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 261); 

                auto tg_xxxxxzz_yyyyyyyz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 262); 

                auto tg_xxxxxzz_yyyyyyzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 263); 

                auto tg_xxxxxzz_yyyyyzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 264); 

                auto tg_xxxxxzz_yyyyzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 265); 

                auto tg_xxxxxzz_yyyzzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 266); 

                auto tg_xxxxxzz_yyzzzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 267); 

                auto tg_xxxxxzz_yzzzzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 268); 

                auto tg_xxxxxzz_zzzzzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 269); 

                auto tg_xxxxyyy_xxxxxxxx_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 270); 

                auto tg_xxxxyyy_xxxxxxxy_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 271); 

                auto tg_xxxxyyy_xxxxxxxz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 272); 

                auto tg_xxxxyyy_xxxxxxyy_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 273); 

                auto tg_xxxxyyy_xxxxxxyz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 274); 

                auto tg_xxxxyyy_xxxxxxzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 275); 

                auto tg_xxxxyyy_xxxxxyyy_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 276); 

                auto tg_xxxxyyy_xxxxxyyz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 277); 

                auto tg_xxxxyyy_xxxxxyzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 278); 

                auto tg_xxxxyyy_xxxxxzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 279); 

                auto tg_xxxxyyy_xxxxyyyy_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 280); 

                auto tg_xxxxyyy_xxxxyyyz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 281); 

                auto tg_xxxxyyy_xxxxyyzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 282); 

                auto tg_xxxxyyy_xxxxyzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 283); 

                auto tg_xxxxyyy_xxxxzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 284); 

                auto tg_xxxxyyy_xxxyyyyy_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 285); 

                auto tg_xxxxyyy_xxxyyyyz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 286); 

                auto tg_xxxxyyy_xxxyyyzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 287); 

                auto tg_xxxxyyy_xxxyyzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 288); 

                auto tg_xxxxyyy_xxxyzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 289); 

                auto tg_xxxxyyy_xxxzzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 290); 

                auto tg_xxxxyz_xxxxzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 194); 

                auto tg_xxxxyz_xxxyyyyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 195); 

                auto tg_xxxxyz_xxxyyyyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 196); 

                auto tg_xxxxyz_xxxyyyzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 197); 

                auto tg_xxxxyz_xxxyyzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 198); 

                auto tg_xxxxyz_xxxyzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 199); 

                auto tg_xxxxyz_xxxzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 200); 

                auto tg_xxxxyz_xxyyyyyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 201); 

                auto tg_xxxxyz_xxyyyyyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 202); 

                auto tg_xxxxyz_xxyyyyzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 203); 

                auto tg_xxxxyz_xxyyyzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 204); 

                auto tg_xxxxyz_xxyyzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 205); 

                auto tg_xxxxyz_xxyzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 206); 

                auto tg_xxxxyz_xxzzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 207); 

                auto tg_xxxxyz_xyyyyyyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 208); 

                auto tg_xxxxyz_xyyyyyyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 209); 

                auto tg_xxxxyz_xyyyyyzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 210); 

                auto tg_xxxxyz_xyyyyzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 211); 

                auto tg_xxxxyz_xyyyzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 212); 

                auto tg_xxxxyz_xyyzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 213); 

                auto tg_xxxxyz_xyzzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 214); 

                auto tg_xxxxyz_xzzzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 215); 

                auto tg_xxxxyz_yyyyyyyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 216); 

                auto tg_xxxxyz_yyyyyyyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 217); 

                auto tg_xxxxyz_yyyyyyzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 218); 

                auto tg_xxxxyz_yyyyyzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 219); 

                auto tg_xxxxyz_yyyyzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 220); 

                auto tg_xxxxyz_yyyzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 221); 

                auto tg_xxxxyz_yyzzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 222); 

                auto tg_xxxxyz_yzzzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 223); 

                auto tg_xxxxyz_zzzzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 224); 

                auto tg_xxxxzz_xxxxxxxx_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 225); 

                auto tg_xxxxzz_xxxxxxxy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 226); 

                auto tg_xxxxzz_xxxxxxxz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 227); 

                auto tg_xxxxzz_xxxxxxyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 228); 

                auto tg_xxxxzz_xxxxxxyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 229); 

                auto tg_xxxxzz_xxxxxxzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 230); 

                auto tg_xxxxzz_xxxxxyyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 231); 

                auto tg_xxxxzz_xxxxxyyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 232); 

                auto tg_xxxxzz_xxxxxyzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 233); 

                auto tg_xxxxzz_xxxxxzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 234); 

                auto tg_xxxxzz_xxxxyyyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 235); 

                auto tg_xxxxzz_xxxxyyyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 236); 

                auto tg_xxxxzz_xxxxyyzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 237); 

                auto tg_xxxxzz_xxxxyzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 238); 

                auto tg_xxxxzz_xxxxzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 239); 

                auto tg_xxxxzz_xxxyyyyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 240); 

                auto tg_xxxxzz_xxxyyyyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 241); 

                auto tg_xxxxzz_xxxyyyzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 242); 

                auto tg_xxxxzz_xxxyyzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 243); 

                auto tg_xxxxzz_xxxyzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 244); 

                auto tg_xxxxzz_xxxzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 245); 

                auto tg_xxxxzz_xxyyyyyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 246); 

                auto tg_xxxxzz_xxyyyyyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 247); 

                auto tg_xxxxzz_xxyyyyzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 248); 

                auto tg_xxxxzz_xxyyyzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 249); 

                auto tg_xxxxzz_xxyyzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 250); 

                auto tg_xxxxzz_xxyzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 251); 

                auto tg_xxxxzz_xxzzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 252); 

                auto tg_xxxxzz_xyyyyyyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 253); 

                auto tg_xxxxzz_xyyyyyyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 254); 

                auto tg_xxxxzz_xyyyyyzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 255); 

                auto tg_xxxxzz_xyyyyzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 256); 

                auto tg_xxxxzz_xyyyzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 257); 

                auto tg_xxxxzz_xyyzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 258); 

                auto tg_xxxxzz_xyzzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 259); 

                auto tg_xxxxzz_xzzzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 260); 

                auto tg_xxxxzz_yyyyyyyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 261); 

                auto tg_xxxxzz_yyyyyyyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 262); 

                auto tg_xxxxzz_yyyyyyzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 263); 

                auto tg_xxxxzz_yyyyyzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 264); 

                auto tg_xxxxzz_yyyyzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 265); 

                auto tg_xxxxzz_yyyzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 266); 

                auto tg_xxxxzz_yyzzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 267); 

                auto tg_xxxxzz_yzzzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 268); 

                auto tg_xxxxzz_zzzzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 269); 

                auto tg_xxxyyy_xxxxxxxx_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 270); 

                auto tg_xxxyyy_xxxxxxxy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 271); 

                auto tg_xxxyyy_xxxxxxxz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 272); 

                auto tg_xxxyyy_xxxxxxyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 273); 

                auto tg_xxxyyy_xxxxxxyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 274); 

                auto tg_xxxyyy_xxxxxxzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 275); 

                auto tg_xxxyyy_xxxxxyyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 276); 

                auto tg_xxxyyy_xxxxxyyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 277); 

                auto tg_xxxyyy_xxxxxyzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 278); 

                auto tg_xxxyyy_xxxxxzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 279); 

                auto tg_xxxyyy_xxxxyyyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 280); 

                auto tg_xxxyyy_xxxxyyyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 281); 

                auto tg_xxxyyy_xxxxyyzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 282); 

                auto tg_xxxyyy_xxxxyzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 283); 

                auto tg_xxxyyy_xxxxzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 284); 

                auto tg_xxxyyy_xxxyyyyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 285); 

                auto tg_xxxyyy_xxxyyyyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 286); 

                auto tg_xxxyyy_xxxyyyzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 287); 

                auto tg_xxxyyy_xxxyyzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 288); 

                auto tg_xxxyyy_xxxyzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 289); 

                auto tg_xxxyyy_xxxzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 290); 

                auto tg_xxxxyz_xxxxzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 194); 

                auto tg_xxxxyz_xxxyyyyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 195); 

                auto tg_xxxxyz_xxxyyyyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 196); 

                auto tg_xxxxyz_xxxyyyzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 197); 

                auto tg_xxxxyz_xxxyyzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 198); 

                auto tg_xxxxyz_xxxyzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 199); 

                auto tg_xxxxyz_xxxzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 200); 

                auto tg_xxxxyz_xxyyyyyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 201); 

                auto tg_xxxxyz_xxyyyyyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 202); 

                auto tg_xxxxyz_xxyyyyzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 203); 

                auto tg_xxxxyz_xxyyyzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 204); 

                auto tg_xxxxyz_xxyyzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 205); 

                auto tg_xxxxyz_xxyzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 206); 

                auto tg_xxxxyz_xxzzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 207); 

                auto tg_xxxxyz_xyyyyyyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 208); 

                auto tg_xxxxyz_xyyyyyyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 209); 

                auto tg_xxxxyz_xyyyyyzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 210); 

                auto tg_xxxxyz_xyyyyzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 211); 

                auto tg_xxxxyz_xyyyzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 212); 

                auto tg_xxxxyz_xyyzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 213); 

                auto tg_xxxxyz_xyzzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 214); 

                auto tg_xxxxyz_xzzzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 215); 

                auto tg_xxxxyz_yyyyyyyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 216); 

                auto tg_xxxxyz_yyyyyyyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 217); 

                auto tg_xxxxyz_yyyyyyzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 218); 

                auto tg_xxxxyz_yyyyyzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 219); 

                auto tg_xxxxyz_yyyyzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 220); 

                auto tg_xxxxyz_yyyzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 221); 

                auto tg_xxxxyz_yyzzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 222); 

                auto tg_xxxxyz_yzzzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 223); 

                auto tg_xxxxyz_zzzzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 224); 

                auto tg_xxxxzz_xxxxxxxx_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 225); 

                auto tg_xxxxzz_xxxxxxxy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 226); 

                auto tg_xxxxzz_xxxxxxxz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 227); 

                auto tg_xxxxzz_xxxxxxyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 228); 

                auto tg_xxxxzz_xxxxxxyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 229); 

                auto tg_xxxxzz_xxxxxxzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 230); 

                auto tg_xxxxzz_xxxxxyyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 231); 

                auto tg_xxxxzz_xxxxxyyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 232); 

                auto tg_xxxxzz_xxxxxyzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 233); 

                auto tg_xxxxzz_xxxxxzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 234); 

                auto tg_xxxxzz_xxxxyyyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 235); 

                auto tg_xxxxzz_xxxxyyyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 236); 

                auto tg_xxxxzz_xxxxyyzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 237); 

                auto tg_xxxxzz_xxxxyzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 238); 

                auto tg_xxxxzz_xxxxzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 239); 

                auto tg_xxxxzz_xxxyyyyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 240); 

                auto tg_xxxxzz_xxxyyyyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 241); 

                auto tg_xxxxzz_xxxyyyzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 242); 

                auto tg_xxxxzz_xxxyyzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 243); 

                auto tg_xxxxzz_xxxyzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 244); 

                auto tg_xxxxzz_xxxzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 245); 

                auto tg_xxxxzz_xxyyyyyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 246); 

                auto tg_xxxxzz_xxyyyyyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 247); 

                auto tg_xxxxzz_xxyyyyzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 248); 

                auto tg_xxxxzz_xxyyyzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 249); 

                auto tg_xxxxzz_xxyyzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 250); 

                auto tg_xxxxzz_xxyzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 251); 

                auto tg_xxxxzz_xxzzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 252); 

                auto tg_xxxxzz_xyyyyyyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 253); 

                auto tg_xxxxzz_xyyyyyyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 254); 

                auto tg_xxxxzz_xyyyyyzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 255); 

                auto tg_xxxxzz_xyyyyzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 256); 

                auto tg_xxxxzz_xyyyzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 257); 

                auto tg_xxxxzz_xyyzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 258); 

                auto tg_xxxxzz_xyzzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 259); 

                auto tg_xxxxzz_xzzzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 260); 

                auto tg_xxxxzz_yyyyyyyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 261); 

                auto tg_xxxxzz_yyyyyyyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 262); 

                auto tg_xxxxzz_yyyyyyzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 263); 

                auto tg_xxxxzz_yyyyyzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 264); 

                auto tg_xxxxzz_yyyyzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 265); 

                auto tg_xxxxzz_yyyzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 266); 

                auto tg_xxxxzz_yyzzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 267); 

                auto tg_xxxxzz_yzzzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 268); 

                auto tg_xxxxzz_zzzzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 269); 

                auto tg_xxxyyy_xxxxxxxx_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 270); 

                auto tg_xxxyyy_xxxxxxxy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 271); 

                auto tg_xxxyyy_xxxxxxxz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 272); 

                auto tg_xxxyyy_xxxxxxyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 273); 

                auto tg_xxxyyy_xxxxxxyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 274); 

                auto tg_xxxyyy_xxxxxxzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 275); 

                auto tg_xxxyyy_xxxxxyyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 276); 

                auto tg_xxxyyy_xxxxxyyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 277); 

                auto tg_xxxyyy_xxxxxyzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 278); 

                auto tg_xxxyyy_xxxxxzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 279); 

                auto tg_xxxyyy_xxxxyyyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 280); 

                auto tg_xxxyyy_xxxxyyyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 281); 

                auto tg_xxxyyy_xxxxyyzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 282); 

                auto tg_xxxyyy_xxxxyzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 283); 

                auto tg_xxxyyy_xxxxzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 284); 

                auto tg_xxxyyy_xxxyyyyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 285); 

                auto tg_xxxyyy_xxxyyyyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 286); 

                auto tg_xxxyyy_xxxyyyzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 287); 

                auto tg_xxxyyy_xxxyyzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 288); 

                auto tg_xxxyyy_xxxyzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 289); 

                auto tg_xxxyyy_xxxzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 290); 

                auto tg_xxxxxyz_xxxzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 158); 

                auto tg_xxxxxyz_xxyyyyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 159); 

                auto tg_xxxxxyz_xxyyyyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 160); 

                auto tg_xxxxxyz_xxyyyzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 161); 

                auto tg_xxxxxyz_xxyyzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 162); 

                auto tg_xxxxxyz_xxyzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 163); 

                auto tg_xxxxxyz_xxzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 164); 

                auto tg_xxxxxyz_xyyyyyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 165); 

                auto tg_xxxxxyz_xyyyyyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 166); 

                auto tg_xxxxxyz_xyyyyzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 167); 

                auto tg_xxxxxyz_xyyyzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 168); 

                auto tg_xxxxxyz_xyyzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 169); 

                auto tg_xxxxxyz_xyzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 170); 

                auto tg_xxxxxyz_xzzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 171); 

                auto tg_xxxxxyz_yyyyyyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 172); 

                auto tg_xxxxxyz_yyyyyyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 173); 

                auto tg_xxxxxyz_yyyyyzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 174); 

                auto tg_xxxxxyz_yyyyzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 175); 

                auto tg_xxxxxyz_yyyzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 176); 

                auto tg_xxxxxyz_yyzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 177); 

                auto tg_xxxxxyz_yzzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 178); 

                auto tg_xxxxxyz_zzzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 179); 

                auto tg_xxxxxzz_xxxxxxx_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 180); 

                auto tg_xxxxxzz_xxxxxxy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 181); 

                auto tg_xxxxxzz_xxxxxxz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 182); 

                auto tg_xxxxxzz_xxxxxyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 183); 

                auto tg_xxxxxzz_xxxxxyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 184); 

                auto tg_xxxxxzz_xxxxxzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 185); 

                auto tg_xxxxxzz_xxxxyyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 186); 

                auto tg_xxxxxzz_xxxxyyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 187); 

                auto tg_xxxxxzz_xxxxyzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 188); 

                auto tg_xxxxxzz_xxxxzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 189); 

                auto tg_xxxxxzz_xxxyyyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 190); 

                auto tg_xxxxxzz_xxxyyyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 191); 

                auto tg_xxxxxzz_xxxyyzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 192); 

                auto tg_xxxxxzz_xxxyzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 193); 

                auto tg_xxxxxzz_xxxzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 194); 

                auto tg_xxxxxzz_xxyyyyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 195); 

                auto tg_xxxxxzz_xxyyyyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 196); 

                auto tg_xxxxxzz_xxyyyzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 197); 

                auto tg_xxxxxzz_xxyyzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 198); 

                auto tg_xxxxxzz_xxyzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 199); 

                auto tg_xxxxxzz_xxzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 200); 

                auto tg_xxxxxzz_xyyyyyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 201); 

                auto tg_xxxxxzz_xyyyyyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 202); 

                auto tg_xxxxxzz_xyyyyzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 203); 

                auto tg_xxxxxzz_xyyyzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 204); 

                auto tg_xxxxxzz_xyyzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 205); 

                auto tg_xxxxxzz_xyzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 206); 

                auto tg_xxxxxzz_xzzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 207); 

                auto tg_xxxxxzz_yyyyyyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 208); 

                auto tg_xxxxxzz_yyyyyyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 209); 

                auto tg_xxxxxzz_yyyyyzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 210); 

                auto tg_xxxxxzz_yyyyzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 211); 

                auto tg_xxxxxzz_yyyzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 212); 

                auto tg_xxxxxzz_yyzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 213); 

                auto tg_xxxxxzz_yzzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 214); 

                auto tg_xxxxxzz_zzzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 215); 

                auto tg_xxxxyyy_xxxxxxx_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 216); 

                auto tg_xxxxyyy_xxxxxxy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 217); 

                auto tg_xxxxyyy_xxxxxxz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 218); 

                auto tg_xxxxyyy_xxxxxyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 219); 

                auto tg_xxxxyyy_xxxxxyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 220); 

                auto tg_xxxxyyy_xxxxxzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 221); 

                auto tg_xxxxyyy_xxxxyyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 222); 

                auto tg_xxxxyyy_xxxxyyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 223); 

                auto tg_xxxxyyy_xxxxyzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 224); 

                auto tg_xxxxyyy_xxxxzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 225); 

                auto tg_xxxxyyy_xxxyyyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 226); 

                auto tg_xxxxyyy_xxxyyyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 227); 

                auto tg_xxxxyyy_xxxyyzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 228); 

                auto tg_xxxxyyy_xxxyzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 229); 

                auto tg_xxxxyyy_xxxzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 230); 

                auto tg_xxxxyyy_xxyyyyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 231); 

                auto tg_xxxxyyy_xxyyyyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 232); 

                auto tg_xxxxyyy_xxyyyzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 233); 

                auto tg_xxxxyyy_xxyyzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 234); 

                auto tg_xxxxyyy_xxyzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 235); 

                auto tg_xxxxyyy_xxzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 236); 

                // set up pointers to integrals

                auto tg_xxxxxxyz_xxxxzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 194); 

                auto tg_xxxxxxyz_xxxyyyyy_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 195); 

                auto tg_xxxxxxyz_xxxyyyyz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 196); 

                auto tg_xxxxxxyz_xxxyyyzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 197); 

                auto tg_xxxxxxyz_xxxyyzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 198); 

                auto tg_xxxxxxyz_xxxyzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 199); 

                auto tg_xxxxxxyz_xxxzzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 200); 

                auto tg_xxxxxxyz_xxyyyyyy_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 201); 

                auto tg_xxxxxxyz_xxyyyyyz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 202); 

                auto tg_xxxxxxyz_xxyyyyzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 203); 

                auto tg_xxxxxxyz_xxyyyzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 204); 

                auto tg_xxxxxxyz_xxyyzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 205); 

                auto tg_xxxxxxyz_xxyzzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 206); 

                auto tg_xxxxxxyz_xxzzzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 207); 

                auto tg_xxxxxxyz_xyyyyyyy_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 208); 

                auto tg_xxxxxxyz_xyyyyyyz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 209); 

                auto tg_xxxxxxyz_xyyyyyzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 210); 

                auto tg_xxxxxxyz_xyyyyzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 211); 

                auto tg_xxxxxxyz_xyyyzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 212); 

                auto tg_xxxxxxyz_xyyzzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 213); 

                auto tg_xxxxxxyz_xyzzzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 214); 

                auto tg_xxxxxxyz_xzzzzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 215); 

                auto tg_xxxxxxyz_yyyyyyyy_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 216); 

                auto tg_xxxxxxyz_yyyyyyyz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 217); 

                auto tg_xxxxxxyz_yyyyyyzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 218); 

                auto tg_xxxxxxyz_yyyyyzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 219); 

                auto tg_xxxxxxyz_yyyyzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 220); 

                auto tg_xxxxxxyz_yyyzzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 221); 

                auto tg_xxxxxxyz_yyzzzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 222); 

                auto tg_xxxxxxyz_yzzzzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 223); 

                auto tg_xxxxxxyz_zzzzzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 224); 

                auto tg_xxxxxxzz_xxxxxxxx_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 225); 

                auto tg_xxxxxxzz_xxxxxxxy_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 226); 

                auto tg_xxxxxxzz_xxxxxxxz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 227); 

                auto tg_xxxxxxzz_xxxxxxyy_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 228); 

                auto tg_xxxxxxzz_xxxxxxyz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 229); 

                auto tg_xxxxxxzz_xxxxxxzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 230); 

                auto tg_xxxxxxzz_xxxxxyyy_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 231); 

                auto tg_xxxxxxzz_xxxxxyyz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 232); 

                auto tg_xxxxxxzz_xxxxxyzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 233); 

                auto tg_xxxxxxzz_xxxxxzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 234); 

                auto tg_xxxxxxzz_xxxxyyyy_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 235); 

                auto tg_xxxxxxzz_xxxxyyyz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 236); 

                auto tg_xxxxxxzz_xxxxyyzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 237); 

                auto tg_xxxxxxzz_xxxxyzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 238); 

                auto tg_xxxxxxzz_xxxxzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 239); 

                auto tg_xxxxxxzz_xxxyyyyy_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 240); 

                auto tg_xxxxxxzz_xxxyyyyz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 241); 

                auto tg_xxxxxxzz_xxxyyyzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 242); 

                auto tg_xxxxxxzz_xxxyyzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 243); 

                auto tg_xxxxxxzz_xxxyzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 244); 

                auto tg_xxxxxxzz_xxxzzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 245); 

                auto tg_xxxxxxzz_xxyyyyyy_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 246); 

                auto tg_xxxxxxzz_xxyyyyyz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 247); 

                auto tg_xxxxxxzz_xxyyyyzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 248); 

                auto tg_xxxxxxzz_xxyyyzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 249); 

                auto tg_xxxxxxzz_xxyyzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 250); 

                auto tg_xxxxxxzz_xxyzzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 251); 

                auto tg_xxxxxxzz_xxzzzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 252); 

                auto tg_xxxxxxzz_xyyyyyyy_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 253); 

                auto tg_xxxxxxzz_xyyyyyyz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 254); 

                auto tg_xxxxxxzz_xyyyyyzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 255); 

                auto tg_xxxxxxzz_xyyyyzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 256); 

                auto tg_xxxxxxzz_xyyyzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 257); 

                auto tg_xxxxxxzz_xyyzzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 258); 

                auto tg_xxxxxxzz_xyzzzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 259); 

                auto tg_xxxxxxzz_xzzzzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 260); 

                auto tg_xxxxxxzz_yyyyyyyy_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 261); 

                auto tg_xxxxxxzz_yyyyyyyz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 262); 

                auto tg_xxxxxxzz_yyyyyyzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 263); 

                auto tg_xxxxxxzz_yyyyyzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 264); 

                auto tg_xxxxxxzz_yyyyzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 265); 

                auto tg_xxxxxxzz_yyyzzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 266); 

                auto tg_xxxxxxzz_yyzzzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 267); 

                auto tg_xxxxxxzz_yzzzzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 268); 

                auto tg_xxxxxxzz_zzzzzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 269); 

                auto tg_xxxxxyyy_xxxxxxxx_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 270); 

                auto tg_xxxxxyyy_xxxxxxxy_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 271); 

                auto tg_xxxxxyyy_xxxxxxxz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 272); 

                auto tg_xxxxxyyy_xxxxxxyy_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 273); 

                auto tg_xxxxxyyy_xxxxxxyz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 274); 

                auto tg_xxxxxyyy_xxxxxxzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 275); 

                auto tg_xxxxxyyy_xxxxxyyy_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 276); 

                auto tg_xxxxxyyy_xxxxxyyz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 277); 

                auto tg_xxxxxyyy_xxxxxyzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 278); 

                auto tg_xxxxxyyy_xxxxxzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 279); 

                auto tg_xxxxxyyy_xxxxyyyy_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 280); 

                auto tg_xxxxxyyy_xxxxyyyz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 281); 

                auto tg_xxxxxyyy_xxxxyyzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 282); 

                auto tg_xxxxxyyy_xxxxyzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 283); 

                auto tg_xxxxxyyy_xxxxzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 284); 

                auto tg_xxxxxyyy_xxxyyyyy_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 285); 

                auto tg_xxxxxyyy_xxxyyyyz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 286); 

                auto tg_xxxxxyyy_xxxyyyzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 287); 

                auto tg_xxxxxyyy_xxxyyzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 288); 

                auto tg_xxxxxyyy_xxxyzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 289); 

                auto tg_xxxxxyyy_xxxzzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 290); 

                // Batch of Integrals (194,291)

                #pragma omp simd aligned(fxn, fza, tg_xxxxxxyz_xxxxzzzz_0, tg_xxxxxxyz_xxxyyyyy_0, \
                                         tg_xxxxxxyz_xxxyyyyz_0, tg_xxxxxxyz_xxxyyyzz_0, tg_xxxxxxyz_xxxyyzzz_0, \
                                         tg_xxxxxxyz_xxxyzzzz_0, tg_xxxxxxyz_xxxzzzzz_0, tg_xxxxxxyz_xxyyyyyy_0, \
                                         tg_xxxxxxyz_xxyyyyyz_0, tg_xxxxxxyz_xxyyyyzz_0, tg_xxxxxxyz_xxyyyzzz_0, \
                                         tg_xxxxxxyz_xxyyzzzz_0, tg_xxxxxxyz_xxyzzzzz_0, tg_xxxxxxyz_xxzzzzzz_0, \
                                         tg_xxxxxxyz_xyyyyyyy_0, tg_xxxxxxyz_xyyyyyyz_0, tg_xxxxxxyz_xyyyyyzz_0, \
                                         tg_xxxxxxyz_xyyyyzzz_0, tg_xxxxxxyz_xyyyzzzz_0, tg_xxxxxxyz_xyyzzzzz_0, \
                                         tg_xxxxxxyz_xyzzzzzz_0, tg_xxxxxxyz_xzzzzzzz_0, tg_xxxxxxyz_yyyyyyyy_0, \
                                         tg_xxxxxxyz_yyyyyyyz_0, tg_xxxxxxyz_yyyyyyzz_0, tg_xxxxxxyz_yyyyyzzz_0, \
                                         tg_xxxxxxyz_yyyyzzzz_0, tg_xxxxxxyz_yyyzzzzz_0, tg_xxxxxxyz_yyzzzzzz_0, \
                                         tg_xxxxxxyz_yzzzzzzz_0, tg_xxxxxxyz_zzzzzzzz_0, tg_xxxxxxzz_xxxxxxxx_0, \
                                         tg_xxxxxxzz_xxxxxxxy_0, tg_xxxxxxzz_xxxxxxxz_0, tg_xxxxxxzz_xxxxxxyy_0, \
                                         tg_xxxxxxzz_xxxxxxyz_0, tg_xxxxxxzz_xxxxxxzz_0, tg_xxxxxxzz_xxxxxyyy_0, \
                                         tg_xxxxxxzz_xxxxxyyz_0, tg_xxxxxxzz_xxxxxyzz_0, tg_xxxxxxzz_xxxxxzzz_0, \
                                         tg_xxxxxxzz_xxxxyyyy_0, tg_xxxxxxzz_xxxxyyyz_0, tg_xxxxxxzz_xxxxyyzz_0, \
                                         tg_xxxxxxzz_xxxxyzzz_0, tg_xxxxxxzz_xxxxzzzz_0, tg_xxxxxxzz_xxxyyyyy_0, \
                                         tg_xxxxxxzz_xxxyyyyz_0, tg_xxxxxxzz_xxxyyyzz_0, tg_xxxxxxzz_xxxyyzzz_0, \
                                         tg_xxxxxxzz_xxxyzzzz_0, tg_xxxxxxzz_xxxzzzzz_0, tg_xxxxxxzz_xxyyyyyy_0, \
                                         tg_xxxxxxzz_xxyyyyyz_0, tg_xxxxxxzz_xxyyyyzz_0, tg_xxxxxxzz_xxyyyzzz_0, \
                                         tg_xxxxxxzz_xxyyzzzz_0, tg_xxxxxxzz_xxyzzzzz_0, tg_xxxxxxzz_xxzzzzzz_0, \
                                         tg_xxxxxxzz_xyyyyyyy_0, tg_xxxxxxzz_xyyyyyyz_0, tg_xxxxxxzz_xyyyyyzz_0, \
                                         tg_xxxxxxzz_xyyyyzzz_0, tg_xxxxxxzz_xyyyzzzz_0, tg_xxxxxxzz_xyyzzzzz_0, \
                                         tg_xxxxxxzz_xyzzzzzz_0, tg_xxxxxxzz_xzzzzzzz_0, tg_xxxxxxzz_yyyyyyyy_0, \
                                         tg_xxxxxxzz_yyyyyyyz_0, tg_xxxxxxzz_yyyyyyzz_0, tg_xxxxxxzz_yyyyyzzz_0, \
                                         tg_xxxxxxzz_yyyyzzzz_0, tg_xxxxxxzz_yyyzzzzz_0, tg_xxxxxxzz_yyzzzzzz_0, \
                                         tg_xxxxxxzz_yzzzzzzz_0, tg_xxxxxxzz_zzzzzzzz_0, tg_xxxxxyyy_xxxxxxxx_0, \
                                         tg_xxxxxyyy_xxxxxxxy_0, tg_xxxxxyyy_xxxxxxxz_0, tg_xxxxxyyy_xxxxxxyy_0, \
                                         tg_xxxxxyyy_xxxxxxyz_0, tg_xxxxxyyy_xxxxxxzz_0, tg_xxxxxyyy_xxxxxyyy_0, \
                                         tg_xxxxxyyy_xxxxxyyz_0, tg_xxxxxyyy_xxxxxyzz_0, tg_xxxxxyyy_xxxxxzzz_0, \
                                         tg_xxxxxyyy_xxxxyyyy_0, tg_xxxxxyyy_xxxxyyyz_0, tg_xxxxxyyy_xxxxyyzz_0, \
                                         tg_xxxxxyyy_xxxxyzzz_0, tg_xxxxxyyy_xxxxzzzz_0, tg_xxxxxyyy_xxxyyyyy_0, \
                                         tg_xxxxxyyy_xxxyyyyz_0, tg_xxxxxyyy_xxxyyyzz_0, tg_xxxxxyyy_xxxyyzzz_0, \
                                         tg_xxxxxyyy_xxxyzzzz_0, tg_xxxxxyyy_xxxzzzzz_0, tg_xxxxxyz_xxxxzzzz_0, \
                                         tg_xxxxxyz_xxxxzzzz_1, tg_xxxxxyz_xxxyyyyy_0, tg_xxxxxyz_xxxyyyyy_1, \
                                         tg_xxxxxyz_xxxyyyyz_0, tg_xxxxxyz_xxxyyyyz_1, tg_xxxxxyz_xxxyyyzz_0, \
                                         tg_xxxxxyz_xxxyyyzz_1, tg_xxxxxyz_xxxyyzzz_0, tg_xxxxxyz_xxxyyzzz_1, \
                                         tg_xxxxxyz_xxxyzzzz_0, tg_xxxxxyz_xxxyzzzz_1, tg_xxxxxyz_xxxzzzz_1, \
                                         tg_xxxxxyz_xxxzzzzz_0, tg_xxxxxyz_xxxzzzzz_1, tg_xxxxxyz_xxyyyyy_1, \
                                         tg_xxxxxyz_xxyyyyyy_0, tg_xxxxxyz_xxyyyyyy_1, tg_xxxxxyz_xxyyyyyz_0, \
                                         tg_xxxxxyz_xxyyyyyz_1, tg_xxxxxyz_xxyyyyz_1, tg_xxxxxyz_xxyyyyzz_0, \
                                         tg_xxxxxyz_xxyyyyzz_1, tg_xxxxxyz_xxyyyzz_1, tg_xxxxxyz_xxyyyzzz_0, \
                                         tg_xxxxxyz_xxyyyzzz_1, tg_xxxxxyz_xxyyzzz_1, tg_xxxxxyz_xxyyzzzz_0, \
                                         tg_xxxxxyz_xxyyzzzz_1, tg_xxxxxyz_xxyzzzz_1, tg_xxxxxyz_xxyzzzzz_0, \
                                         tg_xxxxxyz_xxyzzzzz_1, tg_xxxxxyz_xxzzzzz_1, tg_xxxxxyz_xxzzzzzz_0, \
                                         tg_xxxxxyz_xxzzzzzz_1, tg_xxxxxyz_xyyyyyy_1, tg_xxxxxyz_xyyyyyyy_0, \
                                         tg_xxxxxyz_xyyyyyyy_1, tg_xxxxxyz_xyyyyyyz_0, tg_xxxxxyz_xyyyyyyz_1, \
                                         tg_xxxxxyz_xyyyyyz_1, tg_xxxxxyz_xyyyyyzz_0, tg_xxxxxyz_xyyyyyzz_1, \
                                         tg_xxxxxyz_xyyyyzz_1, tg_xxxxxyz_xyyyyzzz_0, tg_xxxxxyz_xyyyyzzz_1, \
                                         tg_xxxxxyz_xyyyzzz_1, tg_xxxxxyz_xyyyzzzz_0, tg_xxxxxyz_xyyyzzzz_1, \
                                         tg_xxxxxyz_xyyzzzz_1, tg_xxxxxyz_xyyzzzzz_0, tg_xxxxxyz_xyyzzzzz_1, \
                                         tg_xxxxxyz_xyzzzzz_1, tg_xxxxxyz_xyzzzzzz_0, tg_xxxxxyz_xyzzzzzz_1, \
                                         tg_xxxxxyz_xzzzzzz_1, tg_xxxxxyz_xzzzzzzz_0, tg_xxxxxyz_xzzzzzzz_1, \
                                         tg_xxxxxyz_yyyyyyy_1, tg_xxxxxyz_yyyyyyyy_0, tg_xxxxxyz_yyyyyyyy_1, \
                                         tg_xxxxxyz_yyyyyyyz_0, tg_xxxxxyz_yyyyyyyz_1, tg_xxxxxyz_yyyyyyz_1, \
                                         tg_xxxxxyz_yyyyyyzz_0, tg_xxxxxyz_yyyyyyzz_1, tg_xxxxxyz_yyyyyzz_1, \
                                         tg_xxxxxyz_yyyyyzzz_0, tg_xxxxxyz_yyyyyzzz_1, tg_xxxxxyz_yyyyzzz_1, \
                                         tg_xxxxxyz_yyyyzzzz_0, tg_xxxxxyz_yyyyzzzz_1, tg_xxxxxyz_yyyzzzz_1, \
                                         tg_xxxxxyz_yyyzzzzz_0, tg_xxxxxyz_yyyzzzzz_1, tg_xxxxxyz_yyzzzzz_1, \
                                         tg_xxxxxyz_yyzzzzzz_0, tg_xxxxxyz_yyzzzzzz_1, tg_xxxxxyz_yzzzzzz_1, \
                                         tg_xxxxxyz_yzzzzzzz_0, tg_xxxxxyz_yzzzzzzz_1, tg_xxxxxyz_zzzzzzz_1, \
                                         tg_xxxxxyz_zzzzzzzz_0, tg_xxxxxyz_zzzzzzzz_1, tg_xxxxxzz_xxxxxxx_1, \
                                         tg_xxxxxzz_xxxxxxxx_0, tg_xxxxxzz_xxxxxxxx_1, tg_xxxxxzz_xxxxxxxy_0, \
                                         tg_xxxxxzz_xxxxxxxy_1, tg_xxxxxzz_xxxxxxxz_0, tg_xxxxxzz_xxxxxxxz_1, \
                                         tg_xxxxxzz_xxxxxxy_1, tg_xxxxxzz_xxxxxxyy_0, tg_xxxxxzz_xxxxxxyy_1, \
                                         tg_xxxxxzz_xxxxxxyz_0, tg_xxxxxzz_xxxxxxyz_1, tg_xxxxxzz_xxxxxxz_1, \
                                         tg_xxxxxzz_xxxxxxzz_0, tg_xxxxxzz_xxxxxxzz_1, tg_xxxxxzz_xxxxxyy_1, \
                                         tg_xxxxxzz_xxxxxyyy_0, tg_xxxxxzz_xxxxxyyy_1, tg_xxxxxzz_xxxxxyyz_0, \
                                         tg_xxxxxzz_xxxxxyyz_1, tg_xxxxxzz_xxxxxyz_1, tg_xxxxxzz_xxxxxyzz_0, \
                                         tg_xxxxxzz_xxxxxyzz_1, tg_xxxxxzz_xxxxxzz_1, tg_xxxxxzz_xxxxxzzz_0, \
                                         tg_xxxxxzz_xxxxxzzz_1, tg_xxxxxzz_xxxxyyy_1, tg_xxxxxzz_xxxxyyyy_0, \
                                         tg_xxxxxzz_xxxxyyyy_1, tg_xxxxxzz_xxxxyyyz_0, tg_xxxxxzz_xxxxyyyz_1, \
                                         tg_xxxxxzz_xxxxyyz_1, tg_xxxxxzz_xxxxyyzz_0, tg_xxxxxzz_xxxxyyzz_1, \
                                         tg_xxxxxzz_xxxxyzz_1, tg_xxxxxzz_xxxxyzzz_0, tg_xxxxxzz_xxxxyzzz_1, \
                                         tg_xxxxxzz_xxxxzzz_1, tg_xxxxxzz_xxxxzzzz_0, tg_xxxxxzz_xxxxzzzz_1, \
                                         tg_xxxxxzz_xxxyyyy_1, tg_xxxxxzz_xxxyyyyy_0, tg_xxxxxzz_xxxyyyyy_1, \
                                         tg_xxxxxzz_xxxyyyyz_0, tg_xxxxxzz_xxxyyyyz_1, tg_xxxxxzz_xxxyyyz_1, \
                                         tg_xxxxxzz_xxxyyyzz_0, tg_xxxxxzz_xxxyyyzz_1, tg_xxxxxzz_xxxyyzz_1, \
                                         tg_xxxxxzz_xxxyyzzz_0, tg_xxxxxzz_xxxyyzzz_1, tg_xxxxxzz_xxxyzzz_1, \
                                         tg_xxxxxzz_xxxyzzzz_0, tg_xxxxxzz_xxxyzzzz_1, tg_xxxxxzz_xxxzzzz_1, \
                                         tg_xxxxxzz_xxxzzzzz_0, tg_xxxxxzz_xxxzzzzz_1, tg_xxxxxzz_xxyyyyy_1, \
                                         tg_xxxxxzz_xxyyyyyy_0, tg_xxxxxzz_xxyyyyyy_1, tg_xxxxxzz_xxyyyyyz_0, \
                                         tg_xxxxxzz_xxyyyyyz_1, tg_xxxxxzz_xxyyyyz_1, tg_xxxxxzz_xxyyyyzz_0, \
                                         tg_xxxxxzz_xxyyyyzz_1, tg_xxxxxzz_xxyyyzz_1, tg_xxxxxzz_xxyyyzzz_0, \
                                         tg_xxxxxzz_xxyyyzzz_1, tg_xxxxxzz_xxyyzzz_1, tg_xxxxxzz_xxyyzzzz_0, \
                                         tg_xxxxxzz_xxyyzzzz_1, tg_xxxxxzz_xxyzzzz_1, tg_xxxxxzz_xxyzzzzz_0, \
                                         tg_xxxxxzz_xxyzzzzz_1, tg_xxxxxzz_xxzzzzz_1, tg_xxxxxzz_xxzzzzzz_0, \
                                         tg_xxxxxzz_xxzzzzzz_1, tg_xxxxxzz_xyyyyyy_1, tg_xxxxxzz_xyyyyyyy_0, \
                                         tg_xxxxxzz_xyyyyyyy_1, tg_xxxxxzz_xyyyyyyz_0, tg_xxxxxzz_xyyyyyyz_1, \
                                         tg_xxxxxzz_xyyyyyz_1, tg_xxxxxzz_xyyyyyzz_0, tg_xxxxxzz_xyyyyyzz_1, \
                                         tg_xxxxxzz_xyyyyzz_1, tg_xxxxxzz_xyyyyzzz_0, tg_xxxxxzz_xyyyyzzz_1, \
                                         tg_xxxxxzz_xyyyzzz_1, tg_xxxxxzz_xyyyzzzz_0, tg_xxxxxzz_xyyyzzzz_1, \
                                         tg_xxxxxzz_xyyzzzz_1, tg_xxxxxzz_xyyzzzzz_0, tg_xxxxxzz_xyyzzzzz_1, \
                                         tg_xxxxxzz_xyzzzzz_1, tg_xxxxxzz_xyzzzzzz_0, tg_xxxxxzz_xyzzzzzz_1, \
                                         tg_xxxxxzz_xzzzzzz_1, tg_xxxxxzz_xzzzzzzz_0, tg_xxxxxzz_xzzzzzzz_1, \
                                         tg_xxxxxzz_yyyyyyy_1, tg_xxxxxzz_yyyyyyyy_0, tg_xxxxxzz_yyyyyyyy_1, \
                                         tg_xxxxxzz_yyyyyyyz_0, tg_xxxxxzz_yyyyyyyz_1, tg_xxxxxzz_yyyyyyz_1, \
                                         tg_xxxxxzz_yyyyyyzz_0, tg_xxxxxzz_yyyyyyzz_1, tg_xxxxxzz_yyyyyzz_1, \
                                         tg_xxxxxzz_yyyyyzzz_0, tg_xxxxxzz_yyyyyzzz_1, tg_xxxxxzz_yyyyzzz_1, \
                                         tg_xxxxxzz_yyyyzzzz_0, tg_xxxxxzz_yyyyzzzz_1, tg_xxxxxzz_yyyzzzz_1, \
                                         tg_xxxxxzz_yyyzzzzz_0, tg_xxxxxzz_yyyzzzzz_1, tg_xxxxxzz_yyzzzzz_1, \
                                         tg_xxxxxzz_yyzzzzzz_0, tg_xxxxxzz_yyzzzzzz_1, tg_xxxxxzz_yzzzzzz_1, \
                                         tg_xxxxxzz_yzzzzzzz_0, tg_xxxxxzz_yzzzzzzz_1, tg_xxxxxzz_zzzzzzz_1, \
                                         tg_xxxxxzz_zzzzzzzz_0, tg_xxxxxzz_zzzzzzzz_1, tg_xxxxyyy_xxxxxxx_1, \
                                         tg_xxxxyyy_xxxxxxxx_0, tg_xxxxyyy_xxxxxxxx_1, tg_xxxxyyy_xxxxxxxy_0, \
                                         tg_xxxxyyy_xxxxxxxy_1, tg_xxxxyyy_xxxxxxxz_0, tg_xxxxyyy_xxxxxxxz_1, \
                                         tg_xxxxyyy_xxxxxxy_1, tg_xxxxyyy_xxxxxxyy_0, tg_xxxxyyy_xxxxxxyy_1, \
                                         tg_xxxxyyy_xxxxxxyz_0, tg_xxxxyyy_xxxxxxyz_1, tg_xxxxyyy_xxxxxxz_1, \
                                         tg_xxxxyyy_xxxxxxzz_0, tg_xxxxyyy_xxxxxxzz_1, tg_xxxxyyy_xxxxxyy_1, \
                                         tg_xxxxyyy_xxxxxyyy_0, tg_xxxxyyy_xxxxxyyy_1, tg_xxxxyyy_xxxxxyyz_0, \
                                         tg_xxxxyyy_xxxxxyyz_1, tg_xxxxyyy_xxxxxyz_1, tg_xxxxyyy_xxxxxyzz_0, \
                                         tg_xxxxyyy_xxxxxyzz_1, tg_xxxxyyy_xxxxxzz_1, tg_xxxxyyy_xxxxxzzz_0, \
                                         tg_xxxxyyy_xxxxxzzz_1, tg_xxxxyyy_xxxxyyy_1, tg_xxxxyyy_xxxxyyyy_0, \
                                         tg_xxxxyyy_xxxxyyyy_1, tg_xxxxyyy_xxxxyyyz_0, tg_xxxxyyy_xxxxyyyz_1, \
                                         tg_xxxxyyy_xxxxyyz_1, tg_xxxxyyy_xxxxyyzz_0, tg_xxxxyyy_xxxxyyzz_1, \
                                         tg_xxxxyyy_xxxxyzz_1, tg_xxxxyyy_xxxxyzzz_0, tg_xxxxyyy_xxxxyzzz_1, \
                                         tg_xxxxyyy_xxxxzzz_1, tg_xxxxyyy_xxxxzzzz_0, tg_xxxxyyy_xxxxzzzz_1, \
                                         tg_xxxxyyy_xxxyyyy_1, tg_xxxxyyy_xxxyyyyy_0, tg_xxxxyyy_xxxyyyyy_1, \
                                         tg_xxxxyyy_xxxyyyyz_0, tg_xxxxyyy_xxxyyyyz_1, tg_xxxxyyy_xxxyyyz_1, \
                                         tg_xxxxyyy_xxxyyyzz_0, tg_xxxxyyy_xxxyyyzz_1, tg_xxxxyyy_xxxyyzz_1, \
                                         tg_xxxxyyy_xxxyyzzz_0, tg_xxxxyyy_xxxyyzzz_1, tg_xxxxyyy_xxxyzzz_1, \
                                         tg_xxxxyyy_xxxyzzzz_0, tg_xxxxyyy_xxxyzzzz_1, tg_xxxxyyy_xxxzzzz_1, \
                                         tg_xxxxyyy_xxxzzzzz_0, tg_xxxxyyy_xxxzzzzz_1, tg_xxxxyyy_xxyyyyy_1, \
                                         tg_xxxxyyy_xxyyyyz_1, tg_xxxxyyy_xxyyyzz_1, tg_xxxxyyy_xxyyzzz_1, tg_xxxxyyy_xxyzzzz_1, \
                                         tg_xxxxyyy_xxzzzzz_1, tg_xxxxyz_xxxxzzzz_0, tg_xxxxyz_xxxxzzzz_1, tg_xxxxyz_xxxyyyyy_0, \
                                         tg_xxxxyz_xxxyyyyy_1, tg_xxxxyz_xxxyyyyz_0, tg_xxxxyz_xxxyyyyz_1, tg_xxxxyz_xxxyyyzz_0, \
                                         tg_xxxxyz_xxxyyyzz_1, tg_xxxxyz_xxxyyzzz_0, tg_xxxxyz_xxxyyzzz_1, tg_xxxxyz_xxxyzzzz_0, \
                                         tg_xxxxyz_xxxyzzzz_1, tg_xxxxyz_xxxzzzzz_0, tg_xxxxyz_xxxzzzzz_1, tg_xxxxyz_xxyyyyyy_0, \
                                         tg_xxxxyz_xxyyyyyy_1, tg_xxxxyz_xxyyyyyz_0, tg_xxxxyz_xxyyyyyz_1, tg_xxxxyz_xxyyyyzz_0, \
                                         tg_xxxxyz_xxyyyyzz_1, tg_xxxxyz_xxyyyzzz_0, tg_xxxxyz_xxyyyzzz_1, tg_xxxxyz_xxyyzzzz_0, \
                                         tg_xxxxyz_xxyyzzzz_1, tg_xxxxyz_xxyzzzzz_0, tg_xxxxyz_xxyzzzzz_1, tg_xxxxyz_xxzzzzzz_0, \
                                         tg_xxxxyz_xxzzzzzz_1, tg_xxxxyz_xyyyyyyy_0, tg_xxxxyz_xyyyyyyy_1, tg_xxxxyz_xyyyyyyz_0, \
                                         tg_xxxxyz_xyyyyyyz_1, tg_xxxxyz_xyyyyyzz_0, tg_xxxxyz_xyyyyyzz_1, tg_xxxxyz_xyyyyzzz_0, \
                                         tg_xxxxyz_xyyyyzzz_1, tg_xxxxyz_xyyyzzzz_0, tg_xxxxyz_xyyyzzzz_1, tg_xxxxyz_xyyzzzzz_0, \
                                         tg_xxxxyz_xyyzzzzz_1, tg_xxxxyz_xyzzzzzz_0, tg_xxxxyz_xyzzzzzz_1, tg_xxxxyz_xzzzzzzz_0, \
                                         tg_xxxxyz_xzzzzzzz_1, tg_xxxxyz_yyyyyyyy_0, tg_xxxxyz_yyyyyyyy_1, tg_xxxxyz_yyyyyyyz_0, \
                                         tg_xxxxyz_yyyyyyyz_1, tg_xxxxyz_yyyyyyzz_0, tg_xxxxyz_yyyyyyzz_1, tg_xxxxyz_yyyyyzzz_0, \
                                         tg_xxxxyz_yyyyyzzz_1, tg_xxxxyz_yyyyzzzz_0, tg_xxxxyz_yyyyzzzz_1, tg_xxxxyz_yyyzzzzz_0, \
                                         tg_xxxxyz_yyyzzzzz_1, tg_xxxxyz_yyzzzzzz_0, tg_xxxxyz_yyzzzzzz_1, tg_xxxxyz_yzzzzzzz_0, \
                                         tg_xxxxyz_yzzzzzzz_1, tg_xxxxyz_zzzzzzzz_0, tg_xxxxyz_zzzzzzzz_1, tg_xxxxzz_xxxxxxxx_0, \
                                         tg_xxxxzz_xxxxxxxx_1, tg_xxxxzz_xxxxxxxy_0, tg_xxxxzz_xxxxxxxy_1, tg_xxxxzz_xxxxxxxz_0, \
                                         tg_xxxxzz_xxxxxxxz_1, tg_xxxxzz_xxxxxxyy_0, tg_xxxxzz_xxxxxxyy_1, tg_xxxxzz_xxxxxxyz_0, \
                                         tg_xxxxzz_xxxxxxyz_1, tg_xxxxzz_xxxxxxzz_0, tg_xxxxzz_xxxxxxzz_1, tg_xxxxzz_xxxxxyyy_0, \
                                         tg_xxxxzz_xxxxxyyy_1, tg_xxxxzz_xxxxxyyz_0, tg_xxxxzz_xxxxxyyz_1, tg_xxxxzz_xxxxxyzz_0, \
                                         tg_xxxxzz_xxxxxyzz_1, tg_xxxxzz_xxxxxzzz_0, tg_xxxxzz_xxxxxzzz_1, tg_xxxxzz_xxxxyyyy_0, \
                                         tg_xxxxzz_xxxxyyyy_1, tg_xxxxzz_xxxxyyyz_0, tg_xxxxzz_xxxxyyyz_1, tg_xxxxzz_xxxxyyzz_0, \
                                         tg_xxxxzz_xxxxyyzz_1, tg_xxxxzz_xxxxyzzz_0, tg_xxxxzz_xxxxyzzz_1, tg_xxxxzz_xxxxzzzz_0, \
                                         tg_xxxxzz_xxxxzzzz_1, tg_xxxxzz_xxxyyyyy_0, tg_xxxxzz_xxxyyyyy_1, tg_xxxxzz_xxxyyyyz_0, \
                                         tg_xxxxzz_xxxyyyyz_1, tg_xxxxzz_xxxyyyzz_0, tg_xxxxzz_xxxyyyzz_1, tg_xxxxzz_xxxyyzzz_0, \
                                         tg_xxxxzz_xxxyyzzz_1, tg_xxxxzz_xxxyzzzz_0, tg_xxxxzz_xxxyzzzz_1, tg_xxxxzz_xxxzzzzz_0, \
                                         tg_xxxxzz_xxxzzzzz_1, tg_xxxxzz_xxyyyyyy_0, tg_xxxxzz_xxyyyyyy_1, tg_xxxxzz_xxyyyyyz_0, \
                                         tg_xxxxzz_xxyyyyyz_1, tg_xxxxzz_xxyyyyzz_0, tg_xxxxzz_xxyyyyzz_1, tg_xxxxzz_xxyyyzzz_0, \
                                         tg_xxxxzz_xxyyyzzz_1, tg_xxxxzz_xxyyzzzz_0, tg_xxxxzz_xxyyzzzz_1, tg_xxxxzz_xxyzzzzz_0, \
                                         tg_xxxxzz_xxyzzzzz_1, tg_xxxxzz_xxzzzzzz_0, tg_xxxxzz_xxzzzzzz_1, tg_xxxxzz_xyyyyyyy_0, \
                                         tg_xxxxzz_xyyyyyyy_1, tg_xxxxzz_xyyyyyyz_0, tg_xxxxzz_xyyyyyyz_1, tg_xxxxzz_xyyyyyzz_0, \
                                         tg_xxxxzz_xyyyyyzz_1, tg_xxxxzz_xyyyyzzz_0, tg_xxxxzz_xyyyyzzz_1, tg_xxxxzz_xyyyzzzz_0, \
                                         tg_xxxxzz_xyyyzzzz_1, tg_xxxxzz_xyyzzzzz_0, tg_xxxxzz_xyyzzzzz_1, tg_xxxxzz_xyzzzzzz_0, \
                                         tg_xxxxzz_xyzzzzzz_1, tg_xxxxzz_xzzzzzzz_0, tg_xxxxzz_xzzzzzzz_1, tg_xxxxzz_yyyyyyyy_0, \
                                         tg_xxxxzz_yyyyyyyy_1, tg_xxxxzz_yyyyyyyz_0, tg_xxxxzz_yyyyyyyz_1, tg_xxxxzz_yyyyyyzz_0, \
                                         tg_xxxxzz_yyyyyyzz_1, tg_xxxxzz_yyyyyzzz_0, tg_xxxxzz_yyyyyzzz_1, tg_xxxxzz_yyyyzzzz_0, \
                                         tg_xxxxzz_yyyyzzzz_1, tg_xxxxzz_yyyzzzzz_0, tg_xxxxzz_yyyzzzzz_1, tg_xxxxzz_yyzzzzzz_0, \
                                         tg_xxxxzz_yyzzzzzz_1, tg_xxxxzz_yzzzzzzz_0, tg_xxxxzz_yzzzzzzz_1, tg_xxxxzz_zzzzzzzz_0, \
                                         tg_xxxxzz_zzzzzzzz_1, tg_xxxyyy_xxxxxxxx_0, tg_xxxyyy_xxxxxxxx_1, tg_xxxyyy_xxxxxxxy_0, \
                                         tg_xxxyyy_xxxxxxxy_1, tg_xxxyyy_xxxxxxxz_0, tg_xxxyyy_xxxxxxxz_1, tg_xxxyyy_xxxxxxyy_0, \
                                         tg_xxxyyy_xxxxxxyy_1, tg_xxxyyy_xxxxxxyz_0, tg_xxxyyy_xxxxxxyz_1, tg_xxxyyy_xxxxxxzz_0, \
                                         tg_xxxyyy_xxxxxxzz_1, tg_xxxyyy_xxxxxyyy_0, tg_xxxyyy_xxxxxyyy_1, tg_xxxyyy_xxxxxyyz_0, \
                                         tg_xxxyyy_xxxxxyyz_1, tg_xxxyyy_xxxxxyzz_0, tg_xxxyyy_xxxxxyzz_1, tg_xxxyyy_xxxxxzzz_0, \
                                         tg_xxxyyy_xxxxxzzz_1, tg_xxxyyy_xxxxyyyy_0, tg_xxxyyy_xxxxyyyy_1, tg_xxxyyy_xxxxyyyz_0, \
                                         tg_xxxyyy_xxxxyyyz_1, tg_xxxyyy_xxxxyyzz_0, tg_xxxyyy_xxxxyyzz_1, tg_xxxyyy_xxxxyzzz_0, \
                                         tg_xxxyyy_xxxxyzzz_1, tg_xxxyyy_xxxxzzzz_0, tg_xxxyyy_xxxxzzzz_1, tg_xxxyyy_xxxyyyyy_0, \
                                         tg_xxxyyy_xxxyyyyy_1, tg_xxxyyy_xxxyyyyz_0, tg_xxxyyy_xxxyyyyz_1, tg_xxxyyy_xxxyyyzz_0, \
                                         tg_xxxyyy_xxxyyyzz_1, tg_xxxyyy_xxxyyzzz_0, tg_xxxyyy_xxxyyzzz_1, tg_xxxyyy_xxxyzzzz_0, \
                                         tg_xxxyyy_xxxyzzzz_1, tg_xxxyyy_xxxzzzzz_0, tg_xxxyyy_xxxzzzzz_1, wp_x: VLX_ALIGN)
                for (int32_t j = 0; j < nKetPrimPairs; j++)
                {
                    double fl1_fx = fx;

                    double fl1_fxn = fxn[j];

                    double fl1_fza = fza[j];

                    double fr = wp_x[j]; 

                    tg_xxxxxxyz_xxxxzzzz_0[j] = pb_x * tg_xxxxxyz_xxxxzzzz_0[j] + fr * tg_xxxxxyz_xxxxzzzz_1[j] + 2.5 * fl1_fx * (tg_xxxxyz_xxxxzzzz_0[j] - tg_xxxxyz_xxxxzzzz_1[j] * fl1_fza) + 2.0 * fl1_fxn * tg_xxxxxyz_xxxzzzz_1[j];

                    tg_xxxxxxyz_xxxyyyyy_0[j] = pb_x * tg_xxxxxyz_xxxyyyyy_0[j] + fr * tg_xxxxxyz_xxxyyyyy_1[j] + 2.5 * fl1_fx * (tg_xxxxyz_xxxyyyyy_0[j] - tg_xxxxyz_xxxyyyyy_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_xxxxxyz_xxyyyyy_1[j];

                    tg_xxxxxxyz_xxxyyyyz_0[j] = pb_x * tg_xxxxxyz_xxxyyyyz_0[j] + fr * tg_xxxxxyz_xxxyyyyz_1[j] + 2.5 * fl1_fx * (tg_xxxxyz_xxxyyyyz_0[j] - tg_xxxxyz_xxxyyyyz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_xxxxxyz_xxyyyyz_1[j];

                    tg_xxxxxxyz_xxxyyyzz_0[j] = pb_x * tg_xxxxxyz_xxxyyyzz_0[j] + fr * tg_xxxxxyz_xxxyyyzz_1[j] + 2.5 * fl1_fx * (tg_xxxxyz_xxxyyyzz_0[j] - tg_xxxxyz_xxxyyyzz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_xxxxxyz_xxyyyzz_1[j];

                    tg_xxxxxxyz_xxxyyzzz_0[j] = pb_x * tg_xxxxxyz_xxxyyzzz_0[j] + fr * tg_xxxxxyz_xxxyyzzz_1[j] + 2.5 * fl1_fx * (tg_xxxxyz_xxxyyzzz_0[j] - tg_xxxxyz_xxxyyzzz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_xxxxxyz_xxyyzzz_1[j];

                    tg_xxxxxxyz_xxxyzzzz_0[j] = pb_x * tg_xxxxxyz_xxxyzzzz_0[j] + fr * tg_xxxxxyz_xxxyzzzz_1[j] + 2.5 * fl1_fx * (tg_xxxxyz_xxxyzzzz_0[j] - tg_xxxxyz_xxxyzzzz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_xxxxxyz_xxyzzzz_1[j];

                    tg_xxxxxxyz_xxxzzzzz_0[j] = pb_x * tg_xxxxxyz_xxxzzzzz_0[j] + fr * tg_xxxxxyz_xxxzzzzz_1[j] + 2.5 * fl1_fx * (tg_xxxxyz_xxxzzzzz_0[j] - tg_xxxxyz_xxxzzzzz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_xxxxxyz_xxzzzzz_1[j];

                    tg_xxxxxxyz_xxyyyyyy_0[j] = pb_x * tg_xxxxxyz_xxyyyyyy_0[j] + fr * tg_xxxxxyz_xxyyyyyy_1[j] + 2.5 * fl1_fx * (tg_xxxxyz_xxyyyyyy_0[j] - tg_xxxxyz_xxyyyyyy_1[j] * fl1_fza) + fl1_fxn * tg_xxxxxyz_xyyyyyy_1[j];

                    tg_xxxxxxyz_xxyyyyyz_0[j] = pb_x * tg_xxxxxyz_xxyyyyyz_0[j] + fr * tg_xxxxxyz_xxyyyyyz_1[j] + 2.5 * fl1_fx * (tg_xxxxyz_xxyyyyyz_0[j] - tg_xxxxyz_xxyyyyyz_1[j] * fl1_fza) + fl1_fxn * tg_xxxxxyz_xyyyyyz_1[j];

                    tg_xxxxxxyz_xxyyyyzz_0[j] = pb_x * tg_xxxxxyz_xxyyyyzz_0[j] + fr * tg_xxxxxyz_xxyyyyzz_1[j] + 2.5 * fl1_fx * (tg_xxxxyz_xxyyyyzz_0[j] - tg_xxxxyz_xxyyyyzz_1[j] * fl1_fza) + fl1_fxn * tg_xxxxxyz_xyyyyzz_1[j];

                    tg_xxxxxxyz_xxyyyzzz_0[j] = pb_x * tg_xxxxxyz_xxyyyzzz_0[j] + fr * tg_xxxxxyz_xxyyyzzz_1[j] + 2.5 * fl1_fx * (tg_xxxxyz_xxyyyzzz_0[j] - tg_xxxxyz_xxyyyzzz_1[j] * fl1_fza) + fl1_fxn * tg_xxxxxyz_xyyyzzz_1[j];

                    tg_xxxxxxyz_xxyyzzzz_0[j] = pb_x * tg_xxxxxyz_xxyyzzzz_0[j] + fr * tg_xxxxxyz_xxyyzzzz_1[j] + 2.5 * fl1_fx * (tg_xxxxyz_xxyyzzzz_0[j] - tg_xxxxyz_xxyyzzzz_1[j] * fl1_fza) + fl1_fxn * tg_xxxxxyz_xyyzzzz_1[j];

                    tg_xxxxxxyz_xxyzzzzz_0[j] = pb_x * tg_xxxxxyz_xxyzzzzz_0[j] + fr * tg_xxxxxyz_xxyzzzzz_1[j] + 2.5 * fl1_fx * (tg_xxxxyz_xxyzzzzz_0[j] - tg_xxxxyz_xxyzzzzz_1[j] * fl1_fza) + fl1_fxn * tg_xxxxxyz_xyzzzzz_1[j];

                    tg_xxxxxxyz_xxzzzzzz_0[j] = pb_x * tg_xxxxxyz_xxzzzzzz_0[j] + fr * tg_xxxxxyz_xxzzzzzz_1[j] + 2.5 * fl1_fx * (tg_xxxxyz_xxzzzzzz_0[j] - tg_xxxxyz_xxzzzzzz_1[j] * fl1_fza) + fl1_fxn * tg_xxxxxyz_xzzzzzz_1[j];

                    tg_xxxxxxyz_xyyyyyyy_0[j] = pb_x * tg_xxxxxyz_xyyyyyyy_0[j] + fr * tg_xxxxxyz_xyyyyyyy_1[j] + 2.5 * fl1_fx * (tg_xxxxyz_xyyyyyyy_0[j] - tg_xxxxyz_xyyyyyyy_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xxxxxyz_yyyyyyy_1[j];

                    tg_xxxxxxyz_xyyyyyyz_0[j] = pb_x * tg_xxxxxyz_xyyyyyyz_0[j] + fr * tg_xxxxxyz_xyyyyyyz_1[j] + 2.5 * fl1_fx * (tg_xxxxyz_xyyyyyyz_0[j] - tg_xxxxyz_xyyyyyyz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xxxxxyz_yyyyyyz_1[j];

                    tg_xxxxxxyz_xyyyyyzz_0[j] = pb_x * tg_xxxxxyz_xyyyyyzz_0[j] + fr * tg_xxxxxyz_xyyyyyzz_1[j] + 2.5 * fl1_fx * (tg_xxxxyz_xyyyyyzz_0[j] - tg_xxxxyz_xyyyyyzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xxxxxyz_yyyyyzz_1[j];

                    tg_xxxxxxyz_xyyyyzzz_0[j] = pb_x * tg_xxxxxyz_xyyyyzzz_0[j] + fr * tg_xxxxxyz_xyyyyzzz_1[j] + 2.5 * fl1_fx * (tg_xxxxyz_xyyyyzzz_0[j] - tg_xxxxyz_xyyyyzzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xxxxxyz_yyyyzzz_1[j];

                    tg_xxxxxxyz_xyyyzzzz_0[j] = pb_x * tg_xxxxxyz_xyyyzzzz_0[j] + fr * tg_xxxxxyz_xyyyzzzz_1[j] + 2.5 * fl1_fx * (tg_xxxxyz_xyyyzzzz_0[j] - tg_xxxxyz_xyyyzzzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xxxxxyz_yyyzzzz_1[j];

                    tg_xxxxxxyz_xyyzzzzz_0[j] = pb_x * tg_xxxxxyz_xyyzzzzz_0[j] + fr * tg_xxxxxyz_xyyzzzzz_1[j] + 2.5 * fl1_fx * (tg_xxxxyz_xyyzzzzz_0[j] - tg_xxxxyz_xyyzzzzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xxxxxyz_yyzzzzz_1[j];

                    tg_xxxxxxyz_xyzzzzzz_0[j] = pb_x * tg_xxxxxyz_xyzzzzzz_0[j] + fr * tg_xxxxxyz_xyzzzzzz_1[j] + 2.5 * fl1_fx * (tg_xxxxyz_xyzzzzzz_0[j] - tg_xxxxyz_xyzzzzzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xxxxxyz_yzzzzzz_1[j];

                    tg_xxxxxxyz_xzzzzzzz_0[j] = pb_x * tg_xxxxxyz_xzzzzzzz_0[j] + fr * tg_xxxxxyz_xzzzzzzz_1[j] + 2.5 * fl1_fx * (tg_xxxxyz_xzzzzzzz_0[j] - tg_xxxxyz_xzzzzzzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xxxxxyz_zzzzzzz_1[j];

                    tg_xxxxxxyz_yyyyyyyy_0[j] = pb_x * tg_xxxxxyz_yyyyyyyy_0[j] + fr * tg_xxxxxyz_yyyyyyyy_1[j] + 2.5 * fl1_fx * (tg_xxxxyz_yyyyyyyy_0[j] - tg_xxxxyz_yyyyyyyy_1[j] * fl1_fza);

                    tg_xxxxxxyz_yyyyyyyz_0[j] = pb_x * tg_xxxxxyz_yyyyyyyz_0[j] + fr * tg_xxxxxyz_yyyyyyyz_1[j] + 2.5 * fl1_fx * (tg_xxxxyz_yyyyyyyz_0[j] - tg_xxxxyz_yyyyyyyz_1[j] * fl1_fza);

                    tg_xxxxxxyz_yyyyyyzz_0[j] = pb_x * tg_xxxxxyz_yyyyyyzz_0[j] + fr * tg_xxxxxyz_yyyyyyzz_1[j] + 2.5 * fl1_fx * (tg_xxxxyz_yyyyyyzz_0[j] - tg_xxxxyz_yyyyyyzz_1[j] * fl1_fza);

                    tg_xxxxxxyz_yyyyyzzz_0[j] = pb_x * tg_xxxxxyz_yyyyyzzz_0[j] + fr * tg_xxxxxyz_yyyyyzzz_1[j] + 2.5 * fl1_fx * (tg_xxxxyz_yyyyyzzz_0[j] - tg_xxxxyz_yyyyyzzz_1[j] * fl1_fza);

                    tg_xxxxxxyz_yyyyzzzz_0[j] = pb_x * tg_xxxxxyz_yyyyzzzz_0[j] + fr * tg_xxxxxyz_yyyyzzzz_1[j] + 2.5 * fl1_fx * (tg_xxxxyz_yyyyzzzz_0[j] - tg_xxxxyz_yyyyzzzz_1[j] * fl1_fza);

                    tg_xxxxxxyz_yyyzzzzz_0[j] = pb_x * tg_xxxxxyz_yyyzzzzz_0[j] + fr * tg_xxxxxyz_yyyzzzzz_1[j] + 2.5 * fl1_fx * (tg_xxxxyz_yyyzzzzz_0[j] - tg_xxxxyz_yyyzzzzz_1[j] * fl1_fza);

                    tg_xxxxxxyz_yyzzzzzz_0[j] = pb_x * tg_xxxxxyz_yyzzzzzz_0[j] + fr * tg_xxxxxyz_yyzzzzzz_1[j] + 2.5 * fl1_fx * (tg_xxxxyz_yyzzzzzz_0[j] - tg_xxxxyz_yyzzzzzz_1[j] * fl1_fza);

                    tg_xxxxxxyz_yzzzzzzz_0[j] = pb_x * tg_xxxxxyz_yzzzzzzz_0[j] + fr * tg_xxxxxyz_yzzzzzzz_1[j] + 2.5 * fl1_fx * (tg_xxxxyz_yzzzzzzz_0[j] - tg_xxxxyz_yzzzzzzz_1[j] * fl1_fza);

                    tg_xxxxxxyz_zzzzzzzz_0[j] = pb_x * tg_xxxxxyz_zzzzzzzz_0[j] + fr * tg_xxxxxyz_zzzzzzzz_1[j] + 2.5 * fl1_fx * (tg_xxxxyz_zzzzzzzz_0[j] - tg_xxxxyz_zzzzzzzz_1[j] * fl1_fza);

                    tg_xxxxxxzz_xxxxxxxx_0[j] = pb_x * tg_xxxxxzz_xxxxxxxx_0[j] + fr * tg_xxxxxzz_xxxxxxxx_1[j] + 2.5 * fl1_fx * (tg_xxxxzz_xxxxxxxx_0[j] - tg_xxxxzz_xxxxxxxx_1[j] * fl1_fza) + 4.0 * fl1_fxn * tg_xxxxxzz_xxxxxxx_1[j];

                    tg_xxxxxxzz_xxxxxxxy_0[j] = pb_x * tg_xxxxxzz_xxxxxxxy_0[j] + fr * tg_xxxxxzz_xxxxxxxy_1[j] + 2.5 * fl1_fx * (tg_xxxxzz_xxxxxxxy_0[j] - tg_xxxxzz_xxxxxxxy_1[j] * fl1_fza) + 3.5 * fl1_fxn * tg_xxxxxzz_xxxxxxy_1[j];

                    tg_xxxxxxzz_xxxxxxxz_0[j] = pb_x * tg_xxxxxzz_xxxxxxxz_0[j] + fr * tg_xxxxxzz_xxxxxxxz_1[j] + 2.5 * fl1_fx * (tg_xxxxzz_xxxxxxxz_0[j] - tg_xxxxzz_xxxxxxxz_1[j] * fl1_fza) + 3.5 * fl1_fxn * tg_xxxxxzz_xxxxxxz_1[j];

                    tg_xxxxxxzz_xxxxxxyy_0[j] = pb_x * tg_xxxxxzz_xxxxxxyy_0[j] + fr * tg_xxxxxzz_xxxxxxyy_1[j] + 2.5 * fl1_fx * (tg_xxxxzz_xxxxxxyy_0[j] - tg_xxxxzz_xxxxxxyy_1[j] * fl1_fza) + 3.0 * fl1_fxn * tg_xxxxxzz_xxxxxyy_1[j];

                    tg_xxxxxxzz_xxxxxxyz_0[j] = pb_x * tg_xxxxxzz_xxxxxxyz_0[j] + fr * tg_xxxxxzz_xxxxxxyz_1[j] + 2.5 * fl1_fx * (tg_xxxxzz_xxxxxxyz_0[j] - tg_xxxxzz_xxxxxxyz_1[j] * fl1_fza) + 3.0 * fl1_fxn * tg_xxxxxzz_xxxxxyz_1[j];

                    tg_xxxxxxzz_xxxxxxzz_0[j] = pb_x * tg_xxxxxzz_xxxxxxzz_0[j] + fr * tg_xxxxxzz_xxxxxxzz_1[j] + 2.5 * fl1_fx * (tg_xxxxzz_xxxxxxzz_0[j] - tg_xxxxzz_xxxxxxzz_1[j] * fl1_fza) + 3.0 * fl1_fxn * tg_xxxxxzz_xxxxxzz_1[j];

                    tg_xxxxxxzz_xxxxxyyy_0[j] = pb_x * tg_xxxxxzz_xxxxxyyy_0[j] + fr * tg_xxxxxzz_xxxxxyyy_1[j] + 2.5 * fl1_fx * (tg_xxxxzz_xxxxxyyy_0[j] - tg_xxxxzz_xxxxxyyy_1[j] * fl1_fza) + 2.5 * fl1_fxn * tg_xxxxxzz_xxxxyyy_1[j];

                    tg_xxxxxxzz_xxxxxyyz_0[j] = pb_x * tg_xxxxxzz_xxxxxyyz_0[j] + fr * tg_xxxxxzz_xxxxxyyz_1[j] + 2.5 * fl1_fx * (tg_xxxxzz_xxxxxyyz_0[j] - tg_xxxxzz_xxxxxyyz_1[j] * fl1_fza) + 2.5 * fl1_fxn * tg_xxxxxzz_xxxxyyz_1[j];

                    tg_xxxxxxzz_xxxxxyzz_0[j] = pb_x * tg_xxxxxzz_xxxxxyzz_0[j] + fr * tg_xxxxxzz_xxxxxyzz_1[j] + 2.5 * fl1_fx * (tg_xxxxzz_xxxxxyzz_0[j] - tg_xxxxzz_xxxxxyzz_1[j] * fl1_fza) + 2.5 * fl1_fxn * tg_xxxxxzz_xxxxyzz_1[j];

                    tg_xxxxxxzz_xxxxxzzz_0[j] = pb_x * tg_xxxxxzz_xxxxxzzz_0[j] + fr * tg_xxxxxzz_xxxxxzzz_1[j] + 2.5 * fl1_fx * (tg_xxxxzz_xxxxxzzz_0[j] - tg_xxxxzz_xxxxxzzz_1[j] * fl1_fza) + 2.5 * fl1_fxn * tg_xxxxxzz_xxxxzzz_1[j];

                    tg_xxxxxxzz_xxxxyyyy_0[j] = pb_x * tg_xxxxxzz_xxxxyyyy_0[j] + fr * tg_xxxxxzz_xxxxyyyy_1[j] + 2.5 * fl1_fx * (tg_xxxxzz_xxxxyyyy_0[j] - tg_xxxxzz_xxxxyyyy_1[j] * fl1_fza) + 2.0 * fl1_fxn * tg_xxxxxzz_xxxyyyy_1[j];

                    tg_xxxxxxzz_xxxxyyyz_0[j] = pb_x * tg_xxxxxzz_xxxxyyyz_0[j] + fr * tg_xxxxxzz_xxxxyyyz_1[j] + 2.5 * fl1_fx * (tg_xxxxzz_xxxxyyyz_0[j] - tg_xxxxzz_xxxxyyyz_1[j] * fl1_fza) + 2.0 * fl1_fxn * tg_xxxxxzz_xxxyyyz_1[j];

                    tg_xxxxxxzz_xxxxyyzz_0[j] = pb_x * tg_xxxxxzz_xxxxyyzz_0[j] + fr * tg_xxxxxzz_xxxxyyzz_1[j] + 2.5 * fl1_fx * (tg_xxxxzz_xxxxyyzz_0[j] - tg_xxxxzz_xxxxyyzz_1[j] * fl1_fza) + 2.0 * fl1_fxn * tg_xxxxxzz_xxxyyzz_1[j];

                    tg_xxxxxxzz_xxxxyzzz_0[j] = pb_x * tg_xxxxxzz_xxxxyzzz_0[j] + fr * tg_xxxxxzz_xxxxyzzz_1[j] + 2.5 * fl1_fx * (tg_xxxxzz_xxxxyzzz_0[j] - tg_xxxxzz_xxxxyzzz_1[j] * fl1_fza) + 2.0 * fl1_fxn * tg_xxxxxzz_xxxyzzz_1[j];

                    tg_xxxxxxzz_xxxxzzzz_0[j] = pb_x * tg_xxxxxzz_xxxxzzzz_0[j] + fr * tg_xxxxxzz_xxxxzzzz_1[j] + 2.5 * fl1_fx * (tg_xxxxzz_xxxxzzzz_0[j] - tg_xxxxzz_xxxxzzzz_1[j] * fl1_fza) + 2.0 * fl1_fxn * tg_xxxxxzz_xxxzzzz_1[j];

                    tg_xxxxxxzz_xxxyyyyy_0[j] = pb_x * tg_xxxxxzz_xxxyyyyy_0[j] + fr * tg_xxxxxzz_xxxyyyyy_1[j] + 2.5 * fl1_fx * (tg_xxxxzz_xxxyyyyy_0[j] - tg_xxxxzz_xxxyyyyy_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_xxxxxzz_xxyyyyy_1[j];

                    tg_xxxxxxzz_xxxyyyyz_0[j] = pb_x * tg_xxxxxzz_xxxyyyyz_0[j] + fr * tg_xxxxxzz_xxxyyyyz_1[j] + 2.5 * fl1_fx * (tg_xxxxzz_xxxyyyyz_0[j] - tg_xxxxzz_xxxyyyyz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_xxxxxzz_xxyyyyz_1[j];

                    tg_xxxxxxzz_xxxyyyzz_0[j] = pb_x * tg_xxxxxzz_xxxyyyzz_0[j] + fr * tg_xxxxxzz_xxxyyyzz_1[j] + 2.5 * fl1_fx * (tg_xxxxzz_xxxyyyzz_0[j] - tg_xxxxzz_xxxyyyzz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_xxxxxzz_xxyyyzz_1[j];

                    tg_xxxxxxzz_xxxyyzzz_0[j] = pb_x * tg_xxxxxzz_xxxyyzzz_0[j] + fr * tg_xxxxxzz_xxxyyzzz_1[j] + 2.5 * fl1_fx * (tg_xxxxzz_xxxyyzzz_0[j] - tg_xxxxzz_xxxyyzzz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_xxxxxzz_xxyyzzz_1[j];

                    tg_xxxxxxzz_xxxyzzzz_0[j] = pb_x * tg_xxxxxzz_xxxyzzzz_0[j] + fr * tg_xxxxxzz_xxxyzzzz_1[j] + 2.5 * fl1_fx * (tg_xxxxzz_xxxyzzzz_0[j] - tg_xxxxzz_xxxyzzzz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_xxxxxzz_xxyzzzz_1[j];

                    tg_xxxxxxzz_xxxzzzzz_0[j] = pb_x * tg_xxxxxzz_xxxzzzzz_0[j] + fr * tg_xxxxxzz_xxxzzzzz_1[j] + 2.5 * fl1_fx * (tg_xxxxzz_xxxzzzzz_0[j] - tg_xxxxzz_xxxzzzzz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_xxxxxzz_xxzzzzz_1[j];

                    tg_xxxxxxzz_xxyyyyyy_0[j] = pb_x * tg_xxxxxzz_xxyyyyyy_0[j] + fr * tg_xxxxxzz_xxyyyyyy_1[j] + 2.5 * fl1_fx * (tg_xxxxzz_xxyyyyyy_0[j] - tg_xxxxzz_xxyyyyyy_1[j] * fl1_fza) + fl1_fxn * tg_xxxxxzz_xyyyyyy_1[j];

                    tg_xxxxxxzz_xxyyyyyz_0[j] = pb_x * tg_xxxxxzz_xxyyyyyz_0[j] + fr * tg_xxxxxzz_xxyyyyyz_1[j] + 2.5 * fl1_fx * (tg_xxxxzz_xxyyyyyz_0[j] - tg_xxxxzz_xxyyyyyz_1[j] * fl1_fza) + fl1_fxn * tg_xxxxxzz_xyyyyyz_1[j];

                    tg_xxxxxxzz_xxyyyyzz_0[j] = pb_x * tg_xxxxxzz_xxyyyyzz_0[j] + fr * tg_xxxxxzz_xxyyyyzz_1[j] + 2.5 * fl1_fx * (tg_xxxxzz_xxyyyyzz_0[j] - tg_xxxxzz_xxyyyyzz_1[j] * fl1_fza) + fl1_fxn * tg_xxxxxzz_xyyyyzz_1[j];

                    tg_xxxxxxzz_xxyyyzzz_0[j] = pb_x * tg_xxxxxzz_xxyyyzzz_0[j] + fr * tg_xxxxxzz_xxyyyzzz_1[j] + 2.5 * fl1_fx * (tg_xxxxzz_xxyyyzzz_0[j] - tg_xxxxzz_xxyyyzzz_1[j] * fl1_fza) + fl1_fxn * tg_xxxxxzz_xyyyzzz_1[j];

                    tg_xxxxxxzz_xxyyzzzz_0[j] = pb_x * tg_xxxxxzz_xxyyzzzz_0[j] + fr * tg_xxxxxzz_xxyyzzzz_1[j] + 2.5 * fl1_fx * (tg_xxxxzz_xxyyzzzz_0[j] - tg_xxxxzz_xxyyzzzz_1[j] * fl1_fza) + fl1_fxn * tg_xxxxxzz_xyyzzzz_1[j];

                    tg_xxxxxxzz_xxyzzzzz_0[j] = pb_x * tg_xxxxxzz_xxyzzzzz_0[j] + fr * tg_xxxxxzz_xxyzzzzz_1[j] + 2.5 * fl1_fx * (tg_xxxxzz_xxyzzzzz_0[j] - tg_xxxxzz_xxyzzzzz_1[j] * fl1_fza) + fl1_fxn * tg_xxxxxzz_xyzzzzz_1[j];

                    tg_xxxxxxzz_xxzzzzzz_0[j] = pb_x * tg_xxxxxzz_xxzzzzzz_0[j] + fr * tg_xxxxxzz_xxzzzzzz_1[j] + 2.5 * fl1_fx * (tg_xxxxzz_xxzzzzzz_0[j] - tg_xxxxzz_xxzzzzzz_1[j] * fl1_fza) + fl1_fxn * tg_xxxxxzz_xzzzzzz_1[j];

                    tg_xxxxxxzz_xyyyyyyy_0[j] = pb_x * tg_xxxxxzz_xyyyyyyy_0[j] + fr * tg_xxxxxzz_xyyyyyyy_1[j] + 2.5 * fl1_fx * (tg_xxxxzz_xyyyyyyy_0[j] - tg_xxxxzz_xyyyyyyy_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xxxxxzz_yyyyyyy_1[j];

                    tg_xxxxxxzz_xyyyyyyz_0[j] = pb_x * tg_xxxxxzz_xyyyyyyz_0[j] + fr * tg_xxxxxzz_xyyyyyyz_1[j] + 2.5 * fl1_fx * (tg_xxxxzz_xyyyyyyz_0[j] - tg_xxxxzz_xyyyyyyz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xxxxxzz_yyyyyyz_1[j];

                    tg_xxxxxxzz_xyyyyyzz_0[j] = pb_x * tg_xxxxxzz_xyyyyyzz_0[j] + fr * tg_xxxxxzz_xyyyyyzz_1[j] + 2.5 * fl1_fx * (tg_xxxxzz_xyyyyyzz_0[j] - tg_xxxxzz_xyyyyyzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xxxxxzz_yyyyyzz_1[j];

                    tg_xxxxxxzz_xyyyyzzz_0[j] = pb_x * tg_xxxxxzz_xyyyyzzz_0[j] + fr * tg_xxxxxzz_xyyyyzzz_1[j] + 2.5 * fl1_fx * (tg_xxxxzz_xyyyyzzz_0[j] - tg_xxxxzz_xyyyyzzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xxxxxzz_yyyyzzz_1[j];

                    tg_xxxxxxzz_xyyyzzzz_0[j] = pb_x * tg_xxxxxzz_xyyyzzzz_0[j] + fr * tg_xxxxxzz_xyyyzzzz_1[j] + 2.5 * fl1_fx * (tg_xxxxzz_xyyyzzzz_0[j] - tg_xxxxzz_xyyyzzzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xxxxxzz_yyyzzzz_1[j];

                    tg_xxxxxxzz_xyyzzzzz_0[j] = pb_x * tg_xxxxxzz_xyyzzzzz_0[j] + fr * tg_xxxxxzz_xyyzzzzz_1[j] + 2.5 * fl1_fx * (tg_xxxxzz_xyyzzzzz_0[j] - tg_xxxxzz_xyyzzzzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xxxxxzz_yyzzzzz_1[j];

                    tg_xxxxxxzz_xyzzzzzz_0[j] = pb_x * tg_xxxxxzz_xyzzzzzz_0[j] + fr * tg_xxxxxzz_xyzzzzzz_1[j] + 2.5 * fl1_fx * (tg_xxxxzz_xyzzzzzz_0[j] - tg_xxxxzz_xyzzzzzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xxxxxzz_yzzzzzz_1[j];

                    tg_xxxxxxzz_xzzzzzzz_0[j] = pb_x * tg_xxxxxzz_xzzzzzzz_0[j] + fr * tg_xxxxxzz_xzzzzzzz_1[j] + 2.5 * fl1_fx * (tg_xxxxzz_xzzzzzzz_0[j] - tg_xxxxzz_xzzzzzzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xxxxxzz_zzzzzzz_1[j];

                    tg_xxxxxxzz_yyyyyyyy_0[j] = pb_x * tg_xxxxxzz_yyyyyyyy_0[j] + fr * tg_xxxxxzz_yyyyyyyy_1[j] + 2.5 * fl1_fx * (tg_xxxxzz_yyyyyyyy_0[j] - tg_xxxxzz_yyyyyyyy_1[j] * fl1_fza);

                    tg_xxxxxxzz_yyyyyyyz_0[j] = pb_x * tg_xxxxxzz_yyyyyyyz_0[j] + fr * tg_xxxxxzz_yyyyyyyz_1[j] + 2.5 * fl1_fx * (tg_xxxxzz_yyyyyyyz_0[j] - tg_xxxxzz_yyyyyyyz_1[j] * fl1_fza);

                    tg_xxxxxxzz_yyyyyyzz_0[j] = pb_x * tg_xxxxxzz_yyyyyyzz_0[j] + fr * tg_xxxxxzz_yyyyyyzz_1[j] + 2.5 * fl1_fx * (tg_xxxxzz_yyyyyyzz_0[j] - tg_xxxxzz_yyyyyyzz_1[j] * fl1_fza);

                    tg_xxxxxxzz_yyyyyzzz_0[j] = pb_x * tg_xxxxxzz_yyyyyzzz_0[j] + fr * tg_xxxxxzz_yyyyyzzz_1[j] + 2.5 * fl1_fx * (tg_xxxxzz_yyyyyzzz_0[j] - tg_xxxxzz_yyyyyzzz_1[j] * fl1_fza);

                    tg_xxxxxxzz_yyyyzzzz_0[j] = pb_x * tg_xxxxxzz_yyyyzzzz_0[j] + fr * tg_xxxxxzz_yyyyzzzz_1[j] + 2.5 * fl1_fx * (tg_xxxxzz_yyyyzzzz_0[j] - tg_xxxxzz_yyyyzzzz_1[j] * fl1_fza);

                    tg_xxxxxxzz_yyyzzzzz_0[j] = pb_x * tg_xxxxxzz_yyyzzzzz_0[j] + fr * tg_xxxxxzz_yyyzzzzz_1[j] + 2.5 * fl1_fx * (tg_xxxxzz_yyyzzzzz_0[j] - tg_xxxxzz_yyyzzzzz_1[j] * fl1_fza);

                    tg_xxxxxxzz_yyzzzzzz_0[j] = pb_x * tg_xxxxxzz_yyzzzzzz_0[j] + fr * tg_xxxxxzz_yyzzzzzz_1[j] + 2.5 * fl1_fx * (tg_xxxxzz_yyzzzzzz_0[j] - tg_xxxxzz_yyzzzzzz_1[j] * fl1_fza);

                    tg_xxxxxxzz_yzzzzzzz_0[j] = pb_x * tg_xxxxxzz_yzzzzzzz_0[j] + fr * tg_xxxxxzz_yzzzzzzz_1[j] + 2.5 * fl1_fx * (tg_xxxxzz_yzzzzzzz_0[j] - tg_xxxxzz_yzzzzzzz_1[j] * fl1_fza);

                    tg_xxxxxxzz_zzzzzzzz_0[j] = pb_x * tg_xxxxxzz_zzzzzzzz_0[j] + fr * tg_xxxxxzz_zzzzzzzz_1[j] + 2.5 * fl1_fx * (tg_xxxxzz_zzzzzzzz_0[j] - tg_xxxxzz_zzzzzzzz_1[j] * fl1_fza);

                    tg_xxxxxyyy_xxxxxxxx_0[j] = pb_x * tg_xxxxyyy_xxxxxxxx_0[j] + fr * tg_xxxxyyy_xxxxxxxx_1[j] + 2.0 * fl1_fx * (tg_xxxyyy_xxxxxxxx_0[j] - tg_xxxyyy_xxxxxxxx_1[j] * fl1_fza) + 4.0 * fl1_fxn * tg_xxxxyyy_xxxxxxx_1[j];

                    tg_xxxxxyyy_xxxxxxxy_0[j] = pb_x * tg_xxxxyyy_xxxxxxxy_0[j] + fr * tg_xxxxyyy_xxxxxxxy_1[j] + 2.0 * fl1_fx * (tg_xxxyyy_xxxxxxxy_0[j] - tg_xxxyyy_xxxxxxxy_1[j] * fl1_fza) + 3.5 * fl1_fxn * tg_xxxxyyy_xxxxxxy_1[j];

                    tg_xxxxxyyy_xxxxxxxz_0[j] = pb_x * tg_xxxxyyy_xxxxxxxz_0[j] + fr * tg_xxxxyyy_xxxxxxxz_1[j] + 2.0 * fl1_fx * (tg_xxxyyy_xxxxxxxz_0[j] - tg_xxxyyy_xxxxxxxz_1[j] * fl1_fza) + 3.5 * fl1_fxn * tg_xxxxyyy_xxxxxxz_1[j];

                    tg_xxxxxyyy_xxxxxxyy_0[j] = pb_x * tg_xxxxyyy_xxxxxxyy_0[j] + fr * tg_xxxxyyy_xxxxxxyy_1[j] + 2.0 * fl1_fx * (tg_xxxyyy_xxxxxxyy_0[j] - tg_xxxyyy_xxxxxxyy_1[j] * fl1_fza) + 3.0 * fl1_fxn * tg_xxxxyyy_xxxxxyy_1[j];

                    tg_xxxxxyyy_xxxxxxyz_0[j] = pb_x * tg_xxxxyyy_xxxxxxyz_0[j] + fr * tg_xxxxyyy_xxxxxxyz_1[j] + 2.0 * fl1_fx * (tg_xxxyyy_xxxxxxyz_0[j] - tg_xxxyyy_xxxxxxyz_1[j] * fl1_fza) + 3.0 * fl1_fxn * tg_xxxxyyy_xxxxxyz_1[j];

                    tg_xxxxxyyy_xxxxxxzz_0[j] = pb_x * tg_xxxxyyy_xxxxxxzz_0[j] + fr * tg_xxxxyyy_xxxxxxzz_1[j] + 2.0 * fl1_fx * (tg_xxxyyy_xxxxxxzz_0[j] - tg_xxxyyy_xxxxxxzz_1[j] * fl1_fza) + 3.0 * fl1_fxn * tg_xxxxyyy_xxxxxzz_1[j];

                    tg_xxxxxyyy_xxxxxyyy_0[j] = pb_x * tg_xxxxyyy_xxxxxyyy_0[j] + fr * tg_xxxxyyy_xxxxxyyy_1[j] + 2.0 * fl1_fx * (tg_xxxyyy_xxxxxyyy_0[j] - tg_xxxyyy_xxxxxyyy_1[j] * fl1_fza) + 2.5 * fl1_fxn * tg_xxxxyyy_xxxxyyy_1[j];

                    tg_xxxxxyyy_xxxxxyyz_0[j] = pb_x * tg_xxxxyyy_xxxxxyyz_0[j] + fr * tg_xxxxyyy_xxxxxyyz_1[j] + 2.0 * fl1_fx * (tg_xxxyyy_xxxxxyyz_0[j] - tg_xxxyyy_xxxxxyyz_1[j] * fl1_fza) + 2.5 * fl1_fxn * tg_xxxxyyy_xxxxyyz_1[j];

                    tg_xxxxxyyy_xxxxxyzz_0[j] = pb_x * tg_xxxxyyy_xxxxxyzz_0[j] + fr * tg_xxxxyyy_xxxxxyzz_1[j] + 2.0 * fl1_fx * (tg_xxxyyy_xxxxxyzz_0[j] - tg_xxxyyy_xxxxxyzz_1[j] * fl1_fza) + 2.5 * fl1_fxn * tg_xxxxyyy_xxxxyzz_1[j];

                    tg_xxxxxyyy_xxxxxzzz_0[j] = pb_x * tg_xxxxyyy_xxxxxzzz_0[j] + fr * tg_xxxxyyy_xxxxxzzz_1[j] + 2.0 * fl1_fx * (tg_xxxyyy_xxxxxzzz_0[j] - tg_xxxyyy_xxxxxzzz_1[j] * fl1_fza) + 2.5 * fl1_fxn * tg_xxxxyyy_xxxxzzz_1[j];

                    tg_xxxxxyyy_xxxxyyyy_0[j] = pb_x * tg_xxxxyyy_xxxxyyyy_0[j] + fr * tg_xxxxyyy_xxxxyyyy_1[j] + 2.0 * fl1_fx * (tg_xxxyyy_xxxxyyyy_0[j] - tg_xxxyyy_xxxxyyyy_1[j] * fl1_fza) + 2.0 * fl1_fxn * tg_xxxxyyy_xxxyyyy_1[j];

                    tg_xxxxxyyy_xxxxyyyz_0[j] = pb_x * tg_xxxxyyy_xxxxyyyz_0[j] + fr * tg_xxxxyyy_xxxxyyyz_1[j] + 2.0 * fl1_fx * (tg_xxxyyy_xxxxyyyz_0[j] - tg_xxxyyy_xxxxyyyz_1[j] * fl1_fza) + 2.0 * fl1_fxn * tg_xxxxyyy_xxxyyyz_1[j];

                    tg_xxxxxyyy_xxxxyyzz_0[j] = pb_x * tg_xxxxyyy_xxxxyyzz_0[j] + fr * tg_xxxxyyy_xxxxyyzz_1[j] + 2.0 * fl1_fx * (tg_xxxyyy_xxxxyyzz_0[j] - tg_xxxyyy_xxxxyyzz_1[j] * fl1_fza) + 2.0 * fl1_fxn * tg_xxxxyyy_xxxyyzz_1[j];

                    tg_xxxxxyyy_xxxxyzzz_0[j] = pb_x * tg_xxxxyyy_xxxxyzzz_0[j] + fr * tg_xxxxyyy_xxxxyzzz_1[j] + 2.0 * fl1_fx * (tg_xxxyyy_xxxxyzzz_0[j] - tg_xxxyyy_xxxxyzzz_1[j] * fl1_fza) + 2.0 * fl1_fxn * tg_xxxxyyy_xxxyzzz_1[j];

                    tg_xxxxxyyy_xxxxzzzz_0[j] = pb_x * tg_xxxxyyy_xxxxzzzz_0[j] + fr * tg_xxxxyyy_xxxxzzzz_1[j] + 2.0 * fl1_fx * (tg_xxxyyy_xxxxzzzz_0[j] - tg_xxxyyy_xxxxzzzz_1[j] * fl1_fza) + 2.0 * fl1_fxn * tg_xxxxyyy_xxxzzzz_1[j];

                    tg_xxxxxyyy_xxxyyyyy_0[j] = pb_x * tg_xxxxyyy_xxxyyyyy_0[j] + fr * tg_xxxxyyy_xxxyyyyy_1[j] + 2.0 * fl1_fx * (tg_xxxyyy_xxxyyyyy_0[j] - tg_xxxyyy_xxxyyyyy_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_xxxxyyy_xxyyyyy_1[j];

                    tg_xxxxxyyy_xxxyyyyz_0[j] = pb_x * tg_xxxxyyy_xxxyyyyz_0[j] + fr * tg_xxxxyyy_xxxyyyyz_1[j] + 2.0 * fl1_fx * (tg_xxxyyy_xxxyyyyz_0[j] - tg_xxxyyy_xxxyyyyz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_xxxxyyy_xxyyyyz_1[j];

                    tg_xxxxxyyy_xxxyyyzz_0[j] = pb_x * tg_xxxxyyy_xxxyyyzz_0[j] + fr * tg_xxxxyyy_xxxyyyzz_1[j] + 2.0 * fl1_fx * (tg_xxxyyy_xxxyyyzz_0[j] - tg_xxxyyy_xxxyyyzz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_xxxxyyy_xxyyyzz_1[j];

                    tg_xxxxxyyy_xxxyyzzz_0[j] = pb_x * tg_xxxxyyy_xxxyyzzz_0[j] + fr * tg_xxxxyyy_xxxyyzzz_1[j] + 2.0 * fl1_fx * (tg_xxxyyy_xxxyyzzz_0[j] - tg_xxxyyy_xxxyyzzz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_xxxxyyy_xxyyzzz_1[j];

                    tg_xxxxxyyy_xxxyzzzz_0[j] = pb_x * tg_xxxxyyy_xxxyzzzz_0[j] + fr * tg_xxxxyyy_xxxyzzzz_1[j] + 2.0 * fl1_fx * (tg_xxxyyy_xxxyzzzz_0[j] - tg_xxxyyy_xxxyzzzz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_xxxxyyy_xxyzzzz_1[j];

                    tg_xxxxxyyy_xxxzzzzz_0[j] = pb_x * tg_xxxxyyy_xxxzzzzz_0[j] + fr * tg_xxxxyyy_xxxzzzzz_1[j] + 2.0 * fl1_fx * (tg_xxxyyy_xxxzzzzz_0[j] - tg_xxxyyy_xxxzzzzz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_xxxxyyy_xxzzzzz_1[j];
                }

                idx++;
            }
        }
    }

    void
    compElectronRepulsionForSLSL_291_388(      CMemBlock2D<double>* primBuffer,
                                         const CRecursionMap&       recursionMap,
                                         const CMemBlock2D<double>& osFactors,
                                         const CMemBlock2D<double>& wpDistances,
                                         const CGtoPairsBlock&      braGtoPairsBlock,
                                         const CGtoPairsBlock&      ketGtoPairsBlock,
                                         const int32_t              nKetPrimPairs,
                                         const int32_t              iContrPair)
    {
        // Batch of Integrals (291,388)

        // set up pointers to primitives data on bra side

        auto spos = braGtoPairsBlock.getStartPositions();

        auto epos = braGtoPairsBlock.getEndPositions();

        // set up pointers to tensor of distance R(PB) = P - B

        auto r_pb_x = braGtoPairsBlock.getDistancesPBX();

        // set up pointers to common Obara-Saika factors

        auto b_fx = braGtoPairsBlock.getFactorsOneOverXi();

        // set up maximum order of integral

        auto mord = recursionMap.getMaxOrder({"Electron Repulsion"},
                                             {8, -1, -1, -1},
                                             {8, -1, -1, -1},
                                             1, 1);

        for (int32_t iord = 0; iord <= mord; iord++)
        {
            // set up index of integral

            auto pidx_g_8_8_m0 = recursionMap.index(CRecursionTerm({"Electron Repulsion"}, 0, true, 
                                                                   {8, -1, -1, -1}, {8, -1, -1, -1}, 
                                                                   1, 1, iord));

            // check if integral is needed in recursion expansion

            if (pidx_g_8_8_m0 == -1) continue;

            // set up indexes of auxilary integral

            auto pidx_g_7_8_m0 = recursionMap.index(CRecursionTerm({"Electron Repulsion"}, 0, true, 
                                                                   {7, -1, -1, -1}, {8, -1, -1, -1}, 
                                                                   1, 1, iord));

            auto pidx_g_7_8_m1 = recursionMap.index(CRecursionTerm({"Electron Repulsion"}, 0, true, 
                                                                   {7, -1, -1, -1}, {8, -1, -1, -1}, 
                                                                   1, 1, iord + 1));

            auto pidx_g_6_8_m0 = recursionMap.index(CRecursionTerm({"Electron Repulsion"}, 0, true, 
                                                                   {6, -1, -1, -1}, {8, -1, -1, -1}, 
                                                                   1, 1, iord));

            auto pidx_g_6_8_m1 = recursionMap.index(CRecursionTerm({"Electron Repulsion"}, 0, true, 
                                                                   {6, -1, -1, -1}, {8, -1, -1, -1}, 
                                                                   1, 1, iord + 1));

            auto pidx_g_7_7_m1 = recursionMap.index(CRecursionTerm({"Electron Repulsion"}, 0, true, 
                                                                   {7, -1, -1, -1}, {7, -1, -1, -1}, 
                                                                   1, 1, iord + 1));

            // loop over contracted GTO on bra side

            int32_t idx = 0;

            for (int32_t i = spos[iContrPair]; i < epos[iContrPair]; i++)
            {
                // set up pointers to Obara-Saika factors

                double fx = b_fx[i];

                auto fza = osFactors.data(4 * idx + 2);

                auto fxn = osFactors.data(4 * idx);

                // set up distances R(PB) = P - B

                auto pb_x = r_pb_x[i];

                // set up pointers to tensors product of distances R(WP) = W - P

                auto wp_x = wpDistances.data(3 * idx);

                // set up pointers to auxilary integrals

                auto tg_xxxxyyy_xxyyyyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 291); 

                auto tg_xxxxyyy_xxyyyyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 292); 

                auto tg_xxxxyyy_xxyyyyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 293); 

                auto tg_xxxxyyy_xxyyyzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 294); 

                auto tg_xxxxyyy_xxyyzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 295); 

                auto tg_xxxxyyy_xxyzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 296); 

                auto tg_xxxxyyy_xxzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 297); 

                auto tg_xxxxyyy_xyyyyyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 298); 

                auto tg_xxxxyyy_xyyyyyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 299); 

                auto tg_xxxxyyy_xyyyyyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 300); 

                auto tg_xxxxyyy_xyyyyzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 301); 

                auto tg_xxxxyyy_xyyyzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 302); 

                auto tg_xxxxyyy_xyyzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 303); 

                auto tg_xxxxyyy_xyzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 304); 

                auto tg_xxxxyyy_xzzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 305); 

                auto tg_xxxxyyy_yyyyyyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 306); 

                auto tg_xxxxyyy_yyyyyyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 307); 

                auto tg_xxxxyyy_yyyyyyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 308); 

                auto tg_xxxxyyy_yyyyyzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 309); 

                auto tg_xxxxyyy_yyyyzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 310); 

                auto tg_xxxxyyy_yyyzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 311); 

                auto tg_xxxxyyy_yyzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 312); 

                auto tg_xxxxyyy_yzzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 313); 

                auto tg_xxxxyyy_zzzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 314); 

                auto tg_xxxxyyz_xxxxxxxx_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 315); 

                auto tg_xxxxyyz_xxxxxxxy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 316); 

                auto tg_xxxxyyz_xxxxxxxz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 317); 

                auto tg_xxxxyyz_xxxxxxyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 318); 

                auto tg_xxxxyyz_xxxxxxyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 319); 

                auto tg_xxxxyyz_xxxxxxzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 320); 

                auto tg_xxxxyyz_xxxxxyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 321); 

                auto tg_xxxxyyz_xxxxxyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 322); 

                auto tg_xxxxyyz_xxxxxyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 323); 

                auto tg_xxxxyyz_xxxxxzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 324); 

                auto tg_xxxxyyz_xxxxyyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 325); 

                auto tg_xxxxyyz_xxxxyyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 326); 

                auto tg_xxxxyyz_xxxxyyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 327); 

                auto tg_xxxxyyz_xxxxyzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 328); 

                auto tg_xxxxyyz_xxxxzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 329); 

                auto tg_xxxxyyz_xxxyyyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 330); 

                auto tg_xxxxyyz_xxxyyyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 331); 

                auto tg_xxxxyyz_xxxyyyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 332); 

                auto tg_xxxxyyz_xxxyyzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 333); 

                auto tg_xxxxyyz_xxxyzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 334); 

                auto tg_xxxxyyz_xxxzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 335); 

                auto tg_xxxxyyz_xxyyyyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 336); 

                auto tg_xxxxyyz_xxyyyyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 337); 

                auto tg_xxxxyyz_xxyyyyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 338); 

                auto tg_xxxxyyz_xxyyyzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 339); 

                auto tg_xxxxyyz_xxyyzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 340); 

                auto tg_xxxxyyz_xxyzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 341); 

                auto tg_xxxxyyz_xxzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 342); 

                auto tg_xxxxyyz_xyyyyyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 343); 

                auto tg_xxxxyyz_xyyyyyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 344); 

                auto tg_xxxxyyz_xyyyyyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 345); 

                auto tg_xxxxyyz_xyyyyzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 346); 

                auto tg_xxxxyyz_xyyyzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 347); 

                auto tg_xxxxyyz_xyyzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 348); 

                auto tg_xxxxyyz_xyzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 349); 

                auto tg_xxxxyyz_xzzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 350); 

                auto tg_xxxxyyz_yyyyyyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 351); 

                auto tg_xxxxyyz_yyyyyyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 352); 

                auto tg_xxxxyyz_yyyyyyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 353); 

                auto tg_xxxxyyz_yyyyyzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 354); 

                auto tg_xxxxyyz_yyyyzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 355); 

                auto tg_xxxxyyz_yyyzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 356); 

                auto tg_xxxxyyz_yyzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 357); 

                auto tg_xxxxyyz_yzzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 358); 

                auto tg_xxxxyyz_zzzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 359); 

                auto tg_xxxxyzz_xxxxxxxx_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 360); 

                auto tg_xxxxyzz_xxxxxxxy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 361); 

                auto tg_xxxxyzz_xxxxxxxz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 362); 

                auto tg_xxxxyzz_xxxxxxyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 363); 

                auto tg_xxxxyzz_xxxxxxyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 364); 

                auto tg_xxxxyzz_xxxxxxzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 365); 

                auto tg_xxxxyzz_xxxxxyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 366); 

                auto tg_xxxxyzz_xxxxxyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 367); 

                auto tg_xxxxyzz_xxxxxyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 368); 

                auto tg_xxxxyzz_xxxxxzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 369); 

                auto tg_xxxxyzz_xxxxyyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 370); 

                auto tg_xxxxyzz_xxxxyyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 371); 

                auto tg_xxxxyzz_xxxxyyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 372); 

                auto tg_xxxxyzz_xxxxyzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 373); 

                auto tg_xxxxyzz_xxxxzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 374); 

                auto tg_xxxxyzz_xxxyyyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 375); 

                auto tg_xxxxyzz_xxxyyyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 376); 

                auto tg_xxxxyzz_xxxyyyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 377); 

                auto tg_xxxxyzz_xxxyyzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 378); 

                auto tg_xxxxyzz_xxxyzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 379); 

                auto tg_xxxxyzz_xxxzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 380); 

                auto tg_xxxxyzz_xxyyyyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 381); 

                auto tg_xxxxyzz_xxyyyyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 382); 

                auto tg_xxxxyzz_xxyyyyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 383); 

                auto tg_xxxxyzz_xxyyyzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 384); 

                auto tg_xxxxyzz_xxyyzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 385); 

                auto tg_xxxxyzz_xxyzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 386); 

                auto tg_xxxxyzz_xxzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 387); 

                auto tg_xxxxyyy_xxyyyyyy_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 291); 

                auto tg_xxxxyyy_xxyyyyyz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 292); 

                auto tg_xxxxyyy_xxyyyyzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 293); 

                auto tg_xxxxyyy_xxyyyzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 294); 

                auto tg_xxxxyyy_xxyyzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 295); 

                auto tg_xxxxyyy_xxyzzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 296); 

                auto tg_xxxxyyy_xxzzzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 297); 

                auto tg_xxxxyyy_xyyyyyyy_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 298); 

                auto tg_xxxxyyy_xyyyyyyz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 299); 

                auto tg_xxxxyyy_xyyyyyzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 300); 

                auto tg_xxxxyyy_xyyyyzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 301); 

                auto tg_xxxxyyy_xyyyzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 302); 

                auto tg_xxxxyyy_xyyzzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 303); 

                auto tg_xxxxyyy_xyzzzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 304); 

                auto tg_xxxxyyy_xzzzzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 305); 

                auto tg_xxxxyyy_yyyyyyyy_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 306); 

                auto tg_xxxxyyy_yyyyyyyz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 307); 

                auto tg_xxxxyyy_yyyyyyzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 308); 

                auto tg_xxxxyyy_yyyyyzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 309); 

                auto tg_xxxxyyy_yyyyzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 310); 

                auto tg_xxxxyyy_yyyzzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 311); 

                auto tg_xxxxyyy_yyzzzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 312); 

                auto tg_xxxxyyy_yzzzzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 313); 

                auto tg_xxxxyyy_zzzzzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 314); 

                auto tg_xxxxyyz_xxxxxxxx_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 315); 

                auto tg_xxxxyyz_xxxxxxxy_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 316); 

                auto tg_xxxxyyz_xxxxxxxz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 317); 

                auto tg_xxxxyyz_xxxxxxyy_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 318); 

                auto tg_xxxxyyz_xxxxxxyz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 319); 

                auto tg_xxxxyyz_xxxxxxzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 320); 

                auto tg_xxxxyyz_xxxxxyyy_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 321); 

                auto tg_xxxxyyz_xxxxxyyz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 322); 

                auto tg_xxxxyyz_xxxxxyzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 323); 

                auto tg_xxxxyyz_xxxxxzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 324); 

                auto tg_xxxxyyz_xxxxyyyy_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 325); 

                auto tg_xxxxyyz_xxxxyyyz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 326); 

                auto tg_xxxxyyz_xxxxyyzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 327); 

                auto tg_xxxxyyz_xxxxyzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 328); 

                auto tg_xxxxyyz_xxxxzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 329); 

                auto tg_xxxxyyz_xxxyyyyy_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 330); 

                auto tg_xxxxyyz_xxxyyyyz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 331); 

                auto tg_xxxxyyz_xxxyyyzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 332); 

                auto tg_xxxxyyz_xxxyyzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 333); 

                auto tg_xxxxyyz_xxxyzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 334); 

                auto tg_xxxxyyz_xxxzzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 335); 

                auto tg_xxxxyyz_xxyyyyyy_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 336); 

                auto tg_xxxxyyz_xxyyyyyz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 337); 

                auto tg_xxxxyyz_xxyyyyzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 338); 

                auto tg_xxxxyyz_xxyyyzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 339); 

                auto tg_xxxxyyz_xxyyzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 340); 

                auto tg_xxxxyyz_xxyzzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 341); 

                auto tg_xxxxyyz_xxzzzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 342); 

                auto tg_xxxxyyz_xyyyyyyy_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 343); 

                auto tg_xxxxyyz_xyyyyyyz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 344); 

                auto tg_xxxxyyz_xyyyyyzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 345); 

                auto tg_xxxxyyz_xyyyyzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 346); 

                auto tg_xxxxyyz_xyyyzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 347); 

                auto tg_xxxxyyz_xyyzzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 348); 

                auto tg_xxxxyyz_xyzzzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 349); 

                auto tg_xxxxyyz_xzzzzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 350); 

                auto tg_xxxxyyz_yyyyyyyy_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 351); 

                auto tg_xxxxyyz_yyyyyyyz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 352); 

                auto tg_xxxxyyz_yyyyyyzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 353); 

                auto tg_xxxxyyz_yyyyyzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 354); 

                auto tg_xxxxyyz_yyyyzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 355); 

                auto tg_xxxxyyz_yyyzzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 356); 

                auto tg_xxxxyyz_yyzzzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 357); 

                auto tg_xxxxyyz_yzzzzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 358); 

                auto tg_xxxxyyz_zzzzzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 359); 

                auto tg_xxxxyzz_xxxxxxxx_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 360); 

                auto tg_xxxxyzz_xxxxxxxy_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 361); 

                auto tg_xxxxyzz_xxxxxxxz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 362); 

                auto tg_xxxxyzz_xxxxxxyy_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 363); 

                auto tg_xxxxyzz_xxxxxxyz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 364); 

                auto tg_xxxxyzz_xxxxxxzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 365); 

                auto tg_xxxxyzz_xxxxxyyy_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 366); 

                auto tg_xxxxyzz_xxxxxyyz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 367); 

                auto tg_xxxxyzz_xxxxxyzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 368); 

                auto tg_xxxxyzz_xxxxxzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 369); 

                auto tg_xxxxyzz_xxxxyyyy_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 370); 

                auto tg_xxxxyzz_xxxxyyyz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 371); 

                auto tg_xxxxyzz_xxxxyyzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 372); 

                auto tg_xxxxyzz_xxxxyzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 373); 

                auto tg_xxxxyzz_xxxxzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 374); 

                auto tg_xxxxyzz_xxxyyyyy_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 375); 

                auto tg_xxxxyzz_xxxyyyyz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 376); 

                auto tg_xxxxyzz_xxxyyyzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 377); 

                auto tg_xxxxyzz_xxxyyzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 378); 

                auto tg_xxxxyzz_xxxyzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 379); 

                auto tg_xxxxyzz_xxxzzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 380); 

                auto tg_xxxxyzz_xxyyyyyy_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 381); 

                auto tg_xxxxyzz_xxyyyyyz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 382); 

                auto tg_xxxxyzz_xxyyyyzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 383); 

                auto tg_xxxxyzz_xxyyyzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 384); 

                auto tg_xxxxyzz_xxyyzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 385); 

                auto tg_xxxxyzz_xxyzzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 386); 

                auto tg_xxxxyzz_xxzzzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 387); 

                auto tg_xxxyyy_xxyyyyyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 291); 

                auto tg_xxxyyy_xxyyyyyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 292); 

                auto tg_xxxyyy_xxyyyyzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 293); 

                auto tg_xxxyyy_xxyyyzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 294); 

                auto tg_xxxyyy_xxyyzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 295); 

                auto tg_xxxyyy_xxyzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 296); 

                auto tg_xxxyyy_xxzzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 297); 

                auto tg_xxxyyy_xyyyyyyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 298); 

                auto tg_xxxyyy_xyyyyyyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 299); 

                auto tg_xxxyyy_xyyyyyzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 300); 

                auto tg_xxxyyy_xyyyyzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 301); 

                auto tg_xxxyyy_xyyyzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 302); 

                auto tg_xxxyyy_xyyzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 303); 

                auto tg_xxxyyy_xyzzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 304); 

                auto tg_xxxyyy_xzzzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 305); 

                auto tg_xxxyyy_yyyyyyyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 306); 

                auto tg_xxxyyy_yyyyyyyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 307); 

                auto tg_xxxyyy_yyyyyyzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 308); 

                auto tg_xxxyyy_yyyyyzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 309); 

                auto tg_xxxyyy_yyyyzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 310); 

                auto tg_xxxyyy_yyyzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 311); 

                auto tg_xxxyyy_yyzzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 312); 

                auto tg_xxxyyy_yzzzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 313); 

                auto tg_xxxyyy_zzzzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 314); 

                auto tg_xxxyyz_xxxxxxxx_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 315); 

                auto tg_xxxyyz_xxxxxxxy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 316); 

                auto tg_xxxyyz_xxxxxxxz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 317); 

                auto tg_xxxyyz_xxxxxxyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 318); 

                auto tg_xxxyyz_xxxxxxyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 319); 

                auto tg_xxxyyz_xxxxxxzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 320); 

                auto tg_xxxyyz_xxxxxyyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 321); 

                auto tg_xxxyyz_xxxxxyyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 322); 

                auto tg_xxxyyz_xxxxxyzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 323); 

                auto tg_xxxyyz_xxxxxzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 324); 

                auto tg_xxxyyz_xxxxyyyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 325); 

                auto tg_xxxyyz_xxxxyyyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 326); 

                auto tg_xxxyyz_xxxxyyzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 327); 

                auto tg_xxxyyz_xxxxyzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 328); 

                auto tg_xxxyyz_xxxxzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 329); 

                auto tg_xxxyyz_xxxyyyyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 330); 

                auto tg_xxxyyz_xxxyyyyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 331); 

                auto tg_xxxyyz_xxxyyyzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 332); 

                auto tg_xxxyyz_xxxyyzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 333); 

                auto tg_xxxyyz_xxxyzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 334); 

                auto tg_xxxyyz_xxxzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 335); 

                auto tg_xxxyyz_xxyyyyyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 336); 

                auto tg_xxxyyz_xxyyyyyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 337); 

                auto tg_xxxyyz_xxyyyyzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 338); 

                auto tg_xxxyyz_xxyyyzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 339); 

                auto tg_xxxyyz_xxyyzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 340); 

                auto tg_xxxyyz_xxyzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 341); 

                auto tg_xxxyyz_xxzzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 342); 

                auto tg_xxxyyz_xyyyyyyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 343); 

                auto tg_xxxyyz_xyyyyyyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 344); 

                auto tg_xxxyyz_xyyyyyzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 345); 

                auto tg_xxxyyz_xyyyyzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 346); 

                auto tg_xxxyyz_xyyyzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 347); 

                auto tg_xxxyyz_xyyzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 348); 

                auto tg_xxxyyz_xyzzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 349); 

                auto tg_xxxyyz_xzzzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 350); 

                auto tg_xxxyyz_yyyyyyyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 351); 

                auto tg_xxxyyz_yyyyyyyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 352); 

                auto tg_xxxyyz_yyyyyyzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 353); 

                auto tg_xxxyyz_yyyyyzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 354); 

                auto tg_xxxyyz_yyyyzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 355); 

                auto tg_xxxyyz_yyyzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 356); 

                auto tg_xxxyyz_yyzzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 357); 

                auto tg_xxxyyz_yzzzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 358); 

                auto tg_xxxyyz_zzzzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 359); 

                auto tg_xxxyzz_xxxxxxxx_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 360); 

                auto tg_xxxyzz_xxxxxxxy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 361); 

                auto tg_xxxyzz_xxxxxxxz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 362); 

                auto tg_xxxyzz_xxxxxxyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 363); 

                auto tg_xxxyzz_xxxxxxyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 364); 

                auto tg_xxxyzz_xxxxxxzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 365); 

                auto tg_xxxyzz_xxxxxyyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 366); 

                auto tg_xxxyzz_xxxxxyyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 367); 

                auto tg_xxxyzz_xxxxxyzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 368); 

                auto tg_xxxyzz_xxxxxzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 369); 

                auto tg_xxxyzz_xxxxyyyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 370); 

                auto tg_xxxyzz_xxxxyyyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 371); 

                auto tg_xxxyzz_xxxxyyzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 372); 

                auto tg_xxxyzz_xxxxyzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 373); 

                auto tg_xxxyzz_xxxxzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 374); 

                auto tg_xxxyzz_xxxyyyyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 375); 

                auto tg_xxxyzz_xxxyyyyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 376); 

                auto tg_xxxyzz_xxxyyyzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 377); 

                auto tg_xxxyzz_xxxyyzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 378); 

                auto tg_xxxyzz_xxxyzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 379); 

                auto tg_xxxyzz_xxxzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 380); 

                auto tg_xxxyzz_xxyyyyyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 381); 

                auto tg_xxxyzz_xxyyyyyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 382); 

                auto tg_xxxyzz_xxyyyyzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 383); 

                auto tg_xxxyzz_xxyyyzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 384); 

                auto tg_xxxyzz_xxyyzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 385); 

                auto tg_xxxyzz_xxyzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 386); 

                auto tg_xxxyzz_xxzzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 387); 

                auto tg_xxxyyy_xxyyyyyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 291); 

                auto tg_xxxyyy_xxyyyyyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 292); 

                auto tg_xxxyyy_xxyyyyzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 293); 

                auto tg_xxxyyy_xxyyyzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 294); 

                auto tg_xxxyyy_xxyyzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 295); 

                auto tg_xxxyyy_xxyzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 296); 

                auto tg_xxxyyy_xxzzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 297); 

                auto tg_xxxyyy_xyyyyyyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 298); 

                auto tg_xxxyyy_xyyyyyyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 299); 

                auto tg_xxxyyy_xyyyyyzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 300); 

                auto tg_xxxyyy_xyyyyzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 301); 

                auto tg_xxxyyy_xyyyzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 302); 

                auto tg_xxxyyy_xyyzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 303); 

                auto tg_xxxyyy_xyzzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 304); 

                auto tg_xxxyyy_xzzzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 305); 

                auto tg_xxxyyy_yyyyyyyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 306); 

                auto tg_xxxyyy_yyyyyyyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 307); 

                auto tg_xxxyyy_yyyyyyzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 308); 

                auto tg_xxxyyy_yyyyyzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 309); 

                auto tg_xxxyyy_yyyyzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 310); 

                auto tg_xxxyyy_yyyzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 311); 

                auto tg_xxxyyy_yyzzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 312); 

                auto tg_xxxyyy_yzzzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 313); 

                auto tg_xxxyyy_zzzzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 314); 

                auto tg_xxxyyz_xxxxxxxx_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 315); 

                auto tg_xxxyyz_xxxxxxxy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 316); 

                auto tg_xxxyyz_xxxxxxxz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 317); 

                auto tg_xxxyyz_xxxxxxyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 318); 

                auto tg_xxxyyz_xxxxxxyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 319); 

                auto tg_xxxyyz_xxxxxxzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 320); 

                auto tg_xxxyyz_xxxxxyyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 321); 

                auto tg_xxxyyz_xxxxxyyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 322); 

                auto tg_xxxyyz_xxxxxyzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 323); 

                auto tg_xxxyyz_xxxxxzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 324); 

                auto tg_xxxyyz_xxxxyyyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 325); 

                auto tg_xxxyyz_xxxxyyyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 326); 

                auto tg_xxxyyz_xxxxyyzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 327); 

                auto tg_xxxyyz_xxxxyzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 328); 

                auto tg_xxxyyz_xxxxzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 329); 

                auto tg_xxxyyz_xxxyyyyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 330); 

                auto tg_xxxyyz_xxxyyyyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 331); 

                auto tg_xxxyyz_xxxyyyzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 332); 

                auto tg_xxxyyz_xxxyyzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 333); 

                auto tg_xxxyyz_xxxyzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 334); 

                auto tg_xxxyyz_xxxzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 335); 

                auto tg_xxxyyz_xxyyyyyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 336); 

                auto tg_xxxyyz_xxyyyyyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 337); 

                auto tg_xxxyyz_xxyyyyzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 338); 

                auto tg_xxxyyz_xxyyyzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 339); 

                auto tg_xxxyyz_xxyyzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 340); 

                auto tg_xxxyyz_xxyzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 341); 

                auto tg_xxxyyz_xxzzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 342); 

                auto tg_xxxyyz_xyyyyyyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 343); 

                auto tg_xxxyyz_xyyyyyyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 344); 

                auto tg_xxxyyz_xyyyyyzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 345); 

                auto tg_xxxyyz_xyyyyzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 346); 

                auto tg_xxxyyz_xyyyzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 347); 

                auto tg_xxxyyz_xyyzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 348); 

                auto tg_xxxyyz_xyzzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 349); 

                auto tg_xxxyyz_xzzzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 350); 

                auto tg_xxxyyz_yyyyyyyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 351); 

                auto tg_xxxyyz_yyyyyyyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 352); 

                auto tg_xxxyyz_yyyyyyzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 353); 

                auto tg_xxxyyz_yyyyyzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 354); 

                auto tg_xxxyyz_yyyyzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 355); 

                auto tg_xxxyyz_yyyzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 356); 

                auto tg_xxxyyz_yyzzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 357); 

                auto tg_xxxyyz_yzzzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 358); 

                auto tg_xxxyyz_zzzzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 359); 

                auto tg_xxxyzz_xxxxxxxx_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 360); 

                auto tg_xxxyzz_xxxxxxxy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 361); 

                auto tg_xxxyzz_xxxxxxxz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 362); 

                auto tg_xxxyzz_xxxxxxyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 363); 

                auto tg_xxxyzz_xxxxxxyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 364); 

                auto tg_xxxyzz_xxxxxxzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 365); 

                auto tg_xxxyzz_xxxxxyyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 366); 

                auto tg_xxxyzz_xxxxxyyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 367); 

                auto tg_xxxyzz_xxxxxyzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 368); 

                auto tg_xxxyzz_xxxxxzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 369); 

                auto tg_xxxyzz_xxxxyyyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 370); 

                auto tg_xxxyzz_xxxxyyyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 371); 

                auto tg_xxxyzz_xxxxyyzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 372); 

                auto tg_xxxyzz_xxxxyzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 373); 

                auto tg_xxxyzz_xxxxzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 374); 

                auto tg_xxxyzz_xxxyyyyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 375); 

                auto tg_xxxyzz_xxxyyyyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 376); 

                auto tg_xxxyzz_xxxyyyzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 377); 

                auto tg_xxxyzz_xxxyyzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 378); 

                auto tg_xxxyzz_xxxyzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 379); 

                auto tg_xxxyzz_xxxzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 380); 

                auto tg_xxxyzz_xxyyyyyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 381); 

                auto tg_xxxyzz_xxyyyyyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 382); 

                auto tg_xxxyzz_xxyyyyzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 383); 

                auto tg_xxxyzz_xxyyyzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 384); 

                auto tg_xxxyzz_xxyyzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 385); 

                auto tg_xxxyzz_xxyzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 386); 

                auto tg_xxxyzz_xxzzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 387); 

                auto tg_xxxxyyy_xyyyyyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 237); 

                auto tg_xxxxyyy_xyyyyyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 238); 

                auto tg_xxxxyyy_xyyyyzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 239); 

                auto tg_xxxxyyy_xyyyzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 240); 

                auto tg_xxxxyyy_xyyzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 241); 

                auto tg_xxxxyyy_xyzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 242); 

                auto tg_xxxxyyy_xzzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 243); 

                auto tg_xxxxyyy_yyyyyyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 244); 

                auto tg_xxxxyyy_yyyyyyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 245); 

                auto tg_xxxxyyy_yyyyyzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 246); 

                auto tg_xxxxyyy_yyyyzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 247); 

                auto tg_xxxxyyy_yyyzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 248); 

                auto tg_xxxxyyy_yyzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 249); 

                auto tg_xxxxyyy_yzzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 250); 

                auto tg_xxxxyyy_zzzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 251); 

                auto tg_xxxxyyz_xxxxxxx_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 252); 

                auto tg_xxxxyyz_xxxxxxy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 253); 

                auto tg_xxxxyyz_xxxxxxz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 254); 

                auto tg_xxxxyyz_xxxxxyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 255); 

                auto tg_xxxxyyz_xxxxxyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 256); 

                auto tg_xxxxyyz_xxxxxzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 257); 

                auto tg_xxxxyyz_xxxxyyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 258); 

                auto tg_xxxxyyz_xxxxyyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 259); 

                auto tg_xxxxyyz_xxxxyzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 260); 

                auto tg_xxxxyyz_xxxxzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 261); 

                auto tg_xxxxyyz_xxxyyyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 262); 

                auto tg_xxxxyyz_xxxyyyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 263); 

                auto tg_xxxxyyz_xxxyyzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 264); 

                auto tg_xxxxyyz_xxxyzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 265); 

                auto tg_xxxxyyz_xxxzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 266); 

                auto tg_xxxxyyz_xxyyyyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 267); 

                auto tg_xxxxyyz_xxyyyyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 268); 

                auto tg_xxxxyyz_xxyyyzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 269); 

                auto tg_xxxxyyz_xxyyzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 270); 

                auto tg_xxxxyyz_xxyzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 271); 

                auto tg_xxxxyyz_xxzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 272); 

                auto tg_xxxxyyz_xyyyyyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 273); 

                auto tg_xxxxyyz_xyyyyyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 274); 

                auto tg_xxxxyyz_xyyyyzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 275); 

                auto tg_xxxxyyz_xyyyzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 276); 

                auto tg_xxxxyyz_xyyzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 277); 

                auto tg_xxxxyyz_xyzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 278); 

                auto tg_xxxxyyz_xzzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 279); 

                auto tg_xxxxyyz_yyyyyyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 280); 

                auto tg_xxxxyyz_yyyyyyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 281); 

                auto tg_xxxxyyz_yyyyyzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 282); 

                auto tg_xxxxyyz_yyyyzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 283); 

                auto tg_xxxxyyz_yyyzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 284); 

                auto tg_xxxxyyz_yyzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 285); 

                auto tg_xxxxyyz_yzzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 286); 

                auto tg_xxxxyyz_zzzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 287); 

                auto tg_xxxxyzz_xxxxxxx_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 288); 

                auto tg_xxxxyzz_xxxxxxy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 289); 

                auto tg_xxxxyzz_xxxxxxz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 290); 

                auto tg_xxxxyzz_xxxxxyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 291); 

                auto tg_xxxxyzz_xxxxxyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 292); 

                auto tg_xxxxyzz_xxxxxzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 293); 

                auto tg_xxxxyzz_xxxxyyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 294); 

                auto tg_xxxxyzz_xxxxyyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 295); 

                auto tg_xxxxyzz_xxxxyzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 296); 

                auto tg_xxxxyzz_xxxxzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 297); 

                auto tg_xxxxyzz_xxxyyyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 298); 

                auto tg_xxxxyzz_xxxyyyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 299); 

                auto tg_xxxxyzz_xxxyyzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 300); 

                auto tg_xxxxyzz_xxxyzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 301); 

                auto tg_xxxxyzz_xxxzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 302); 

                auto tg_xxxxyzz_xxyyyyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 303); 

                auto tg_xxxxyzz_xxyyyyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 304); 

                auto tg_xxxxyzz_xxyyyzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 305); 

                auto tg_xxxxyzz_xxyyzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 306); 

                auto tg_xxxxyzz_xxyzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 307); 

                auto tg_xxxxyzz_xxzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 308); 

                auto tg_xxxxyzz_xyyyyyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 309); 

                auto tg_xxxxyzz_xyyyyyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 310); 

                auto tg_xxxxyzz_xyyyyzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 311); 

                auto tg_xxxxyzz_xyyyzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 312); 

                auto tg_xxxxyzz_xyyzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 313); 

                auto tg_xxxxyzz_xyzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 314); 

                auto tg_xxxxyzz_xzzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 315); 

                // set up pointers to integrals

                auto tg_xxxxxyyy_xxyyyyyy_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 291); 

                auto tg_xxxxxyyy_xxyyyyyz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 292); 

                auto tg_xxxxxyyy_xxyyyyzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 293); 

                auto tg_xxxxxyyy_xxyyyzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 294); 

                auto tg_xxxxxyyy_xxyyzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 295); 

                auto tg_xxxxxyyy_xxyzzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 296); 

                auto tg_xxxxxyyy_xxzzzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 297); 

                auto tg_xxxxxyyy_xyyyyyyy_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 298); 

                auto tg_xxxxxyyy_xyyyyyyz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 299); 

                auto tg_xxxxxyyy_xyyyyyzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 300); 

                auto tg_xxxxxyyy_xyyyyzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 301); 

                auto tg_xxxxxyyy_xyyyzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 302); 

                auto tg_xxxxxyyy_xyyzzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 303); 

                auto tg_xxxxxyyy_xyzzzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 304); 

                auto tg_xxxxxyyy_xzzzzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 305); 

                auto tg_xxxxxyyy_yyyyyyyy_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 306); 

                auto tg_xxxxxyyy_yyyyyyyz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 307); 

                auto tg_xxxxxyyy_yyyyyyzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 308); 

                auto tg_xxxxxyyy_yyyyyzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 309); 

                auto tg_xxxxxyyy_yyyyzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 310); 

                auto tg_xxxxxyyy_yyyzzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 311); 

                auto tg_xxxxxyyy_yyzzzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 312); 

                auto tg_xxxxxyyy_yzzzzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 313); 

                auto tg_xxxxxyyy_zzzzzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 314); 

                auto tg_xxxxxyyz_xxxxxxxx_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 315); 

                auto tg_xxxxxyyz_xxxxxxxy_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 316); 

                auto tg_xxxxxyyz_xxxxxxxz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 317); 

                auto tg_xxxxxyyz_xxxxxxyy_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 318); 

                auto tg_xxxxxyyz_xxxxxxyz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 319); 

                auto tg_xxxxxyyz_xxxxxxzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 320); 

                auto tg_xxxxxyyz_xxxxxyyy_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 321); 

                auto tg_xxxxxyyz_xxxxxyyz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 322); 

                auto tg_xxxxxyyz_xxxxxyzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 323); 

                auto tg_xxxxxyyz_xxxxxzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 324); 

                auto tg_xxxxxyyz_xxxxyyyy_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 325); 

                auto tg_xxxxxyyz_xxxxyyyz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 326); 

                auto tg_xxxxxyyz_xxxxyyzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 327); 

                auto tg_xxxxxyyz_xxxxyzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 328); 

                auto tg_xxxxxyyz_xxxxzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 329); 

                auto tg_xxxxxyyz_xxxyyyyy_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 330); 

                auto tg_xxxxxyyz_xxxyyyyz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 331); 

                auto tg_xxxxxyyz_xxxyyyzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 332); 

                auto tg_xxxxxyyz_xxxyyzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 333); 

                auto tg_xxxxxyyz_xxxyzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 334); 

                auto tg_xxxxxyyz_xxxzzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 335); 

                auto tg_xxxxxyyz_xxyyyyyy_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 336); 

                auto tg_xxxxxyyz_xxyyyyyz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 337); 

                auto tg_xxxxxyyz_xxyyyyzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 338); 

                auto tg_xxxxxyyz_xxyyyzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 339); 

                auto tg_xxxxxyyz_xxyyzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 340); 

                auto tg_xxxxxyyz_xxyzzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 341); 

                auto tg_xxxxxyyz_xxzzzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 342); 

                auto tg_xxxxxyyz_xyyyyyyy_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 343); 

                auto tg_xxxxxyyz_xyyyyyyz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 344); 

                auto tg_xxxxxyyz_xyyyyyzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 345); 

                auto tg_xxxxxyyz_xyyyyzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 346); 

                auto tg_xxxxxyyz_xyyyzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 347); 

                auto tg_xxxxxyyz_xyyzzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 348); 

                auto tg_xxxxxyyz_xyzzzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 349); 

                auto tg_xxxxxyyz_xzzzzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 350); 

                auto tg_xxxxxyyz_yyyyyyyy_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 351); 

                auto tg_xxxxxyyz_yyyyyyyz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 352); 

                auto tg_xxxxxyyz_yyyyyyzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 353); 

                auto tg_xxxxxyyz_yyyyyzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 354); 

                auto tg_xxxxxyyz_yyyyzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 355); 

                auto tg_xxxxxyyz_yyyzzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 356); 

                auto tg_xxxxxyyz_yyzzzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 357); 

                auto tg_xxxxxyyz_yzzzzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 358); 

                auto tg_xxxxxyyz_zzzzzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 359); 

                auto tg_xxxxxyzz_xxxxxxxx_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 360); 

                auto tg_xxxxxyzz_xxxxxxxy_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 361); 

                auto tg_xxxxxyzz_xxxxxxxz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 362); 

                auto tg_xxxxxyzz_xxxxxxyy_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 363); 

                auto tg_xxxxxyzz_xxxxxxyz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 364); 

                auto tg_xxxxxyzz_xxxxxxzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 365); 

                auto tg_xxxxxyzz_xxxxxyyy_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 366); 

                auto tg_xxxxxyzz_xxxxxyyz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 367); 

                auto tg_xxxxxyzz_xxxxxyzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 368); 

                auto tg_xxxxxyzz_xxxxxzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 369); 

                auto tg_xxxxxyzz_xxxxyyyy_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 370); 

                auto tg_xxxxxyzz_xxxxyyyz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 371); 

                auto tg_xxxxxyzz_xxxxyyzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 372); 

                auto tg_xxxxxyzz_xxxxyzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 373); 

                auto tg_xxxxxyzz_xxxxzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 374); 

                auto tg_xxxxxyzz_xxxyyyyy_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 375); 

                auto tg_xxxxxyzz_xxxyyyyz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 376); 

                auto tg_xxxxxyzz_xxxyyyzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 377); 

                auto tg_xxxxxyzz_xxxyyzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 378); 

                auto tg_xxxxxyzz_xxxyzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 379); 

                auto tg_xxxxxyzz_xxxzzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 380); 

                auto tg_xxxxxyzz_xxyyyyyy_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 381); 

                auto tg_xxxxxyzz_xxyyyyyz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 382); 

                auto tg_xxxxxyzz_xxyyyyzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 383); 

                auto tg_xxxxxyzz_xxyyyzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 384); 

                auto tg_xxxxxyzz_xxyyzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 385); 

                auto tg_xxxxxyzz_xxyzzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 386); 

                auto tg_xxxxxyzz_xxzzzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 387); 

                // Batch of Integrals (291,388)

                #pragma omp simd aligned(fxn, fza, tg_xxxxxyyy_xxyyyyyy_0, tg_xxxxxyyy_xxyyyyyz_0, \
                                         tg_xxxxxyyy_xxyyyyzz_0, tg_xxxxxyyy_xxyyyzzz_0, tg_xxxxxyyy_xxyyzzzz_0, \
                                         tg_xxxxxyyy_xxyzzzzz_0, tg_xxxxxyyy_xxzzzzzz_0, tg_xxxxxyyy_xyyyyyyy_0, \
                                         tg_xxxxxyyy_xyyyyyyz_0, tg_xxxxxyyy_xyyyyyzz_0, tg_xxxxxyyy_xyyyyzzz_0, \
                                         tg_xxxxxyyy_xyyyzzzz_0, tg_xxxxxyyy_xyyzzzzz_0, tg_xxxxxyyy_xyzzzzzz_0, \
                                         tg_xxxxxyyy_xzzzzzzz_0, tg_xxxxxyyy_yyyyyyyy_0, tg_xxxxxyyy_yyyyyyyz_0, \
                                         tg_xxxxxyyy_yyyyyyzz_0, tg_xxxxxyyy_yyyyyzzz_0, tg_xxxxxyyy_yyyyzzzz_0, \
                                         tg_xxxxxyyy_yyyzzzzz_0, tg_xxxxxyyy_yyzzzzzz_0, tg_xxxxxyyy_yzzzzzzz_0, \
                                         tg_xxxxxyyy_zzzzzzzz_0, tg_xxxxxyyz_xxxxxxxx_0, tg_xxxxxyyz_xxxxxxxy_0, \
                                         tg_xxxxxyyz_xxxxxxxz_0, tg_xxxxxyyz_xxxxxxyy_0, tg_xxxxxyyz_xxxxxxyz_0, \
                                         tg_xxxxxyyz_xxxxxxzz_0, tg_xxxxxyyz_xxxxxyyy_0, tg_xxxxxyyz_xxxxxyyz_0, \
                                         tg_xxxxxyyz_xxxxxyzz_0, tg_xxxxxyyz_xxxxxzzz_0, tg_xxxxxyyz_xxxxyyyy_0, \
                                         tg_xxxxxyyz_xxxxyyyz_0, tg_xxxxxyyz_xxxxyyzz_0, tg_xxxxxyyz_xxxxyzzz_0, \
                                         tg_xxxxxyyz_xxxxzzzz_0, tg_xxxxxyyz_xxxyyyyy_0, tg_xxxxxyyz_xxxyyyyz_0, \
                                         tg_xxxxxyyz_xxxyyyzz_0, tg_xxxxxyyz_xxxyyzzz_0, tg_xxxxxyyz_xxxyzzzz_0, \
                                         tg_xxxxxyyz_xxxzzzzz_0, tg_xxxxxyyz_xxyyyyyy_0, tg_xxxxxyyz_xxyyyyyz_0, \
                                         tg_xxxxxyyz_xxyyyyzz_0, tg_xxxxxyyz_xxyyyzzz_0, tg_xxxxxyyz_xxyyzzzz_0, \
                                         tg_xxxxxyyz_xxyzzzzz_0, tg_xxxxxyyz_xxzzzzzz_0, tg_xxxxxyyz_xyyyyyyy_0, \
                                         tg_xxxxxyyz_xyyyyyyz_0, tg_xxxxxyyz_xyyyyyzz_0, tg_xxxxxyyz_xyyyyzzz_0, \
                                         tg_xxxxxyyz_xyyyzzzz_0, tg_xxxxxyyz_xyyzzzzz_0, tg_xxxxxyyz_xyzzzzzz_0, \
                                         tg_xxxxxyyz_xzzzzzzz_0, tg_xxxxxyyz_yyyyyyyy_0, tg_xxxxxyyz_yyyyyyyz_0, \
                                         tg_xxxxxyyz_yyyyyyzz_0, tg_xxxxxyyz_yyyyyzzz_0, tg_xxxxxyyz_yyyyzzzz_0, \
                                         tg_xxxxxyyz_yyyzzzzz_0, tg_xxxxxyyz_yyzzzzzz_0, tg_xxxxxyyz_yzzzzzzz_0, \
                                         tg_xxxxxyyz_zzzzzzzz_0, tg_xxxxxyzz_xxxxxxxx_0, tg_xxxxxyzz_xxxxxxxy_0, \
                                         tg_xxxxxyzz_xxxxxxxz_0, tg_xxxxxyzz_xxxxxxyy_0, tg_xxxxxyzz_xxxxxxyz_0, \
                                         tg_xxxxxyzz_xxxxxxzz_0, tg_xxxxxyzz_xxxxxyyy_0, tg_xxxxxyzz_xxxxxyyz_0, \
                                         tg_xxxxxyzz_xxxxxyzz_0, tg_xxxxxyzz_xxxxxzzz_0, tg_xxxxxyzz_xxxxyyyy_0, \
                                         tg_xxxxxyzz_xxxxyyyz_0, tg_xxxxxyzz_xxxxyyzz_0, tg_xxxxxyzz_xxxxyzzz_0, \
                                         tg_xxxxxyzz_xxxxzzzz_0, tg_xxxxxyzz_xxxyyyyy_0, tg_xxxxxyzz_xxxyyyyz_0, \
                                         tg_xxxxxyzz_xxxyyyzz_0, tg_xxxxxyzz_xxxyyzzz_0, tg_xxxxxyzz_xxxyzzzz_0, \
                                         tg_xxxxxyzz_xxxzzzzz_0, tg_xxxxxyzz_xxyyyyyy_0, tg_xxxxxyzz_xxyyyyyz_0, \
                                         tg_xxxxxyzz_xxyyyyzz_0, tg_xxxxxyzz_xxyyyzzz_0, tg_xxxxxyzz_xxyyzzzz_0, \
                                         tg_xxxxxyzz_xxyzzzzz_0, tg_xxxxxyzz_xxzzzzzz_0, tg_xxxxyyy_xxyyyyyy_0, \
                                         tg_xxxxyyy_xxyyyyyy_1, tg_xxxxyyy_xxyyyyyz_0, tg_xxxxyyy_xxyyyyyz_1, \
                                         tg_xxxxyyy_xxyyyyzz_0, tg_xxxxyyy_xxyyyyzz_1, tg_xxxxyyy_xxyyyzzz_0, \
                                         tg_xxxxyyy_xxyyyzzz_1, tg_xxxxyyy_xxyyzzzz_0, tg_xxxxyyy_xxyyzzzz_1, \
                                         tg_xxxxyyy_xxyzzzzz_0, tg_xxxxyyy_xxyzzzzz_1, tg_xxxxyyy_xxzzzzzz_0, \
                                         tg_xxxxyyy_xxzzzzzz_1, tg_xxxxyyy_xyyyyyy_1, tg_xxxxyyy_xyyyyyyy_0, \
                                         tg_xxxxyyy_xyyyyyyy_1, tg_xxxxyyy_xyyyyyyz_0, tg_xxxxyyy_xyyyyyyz_1, \
                                         tg_xxxxyyy_xyyyyyz_1, tg_xxxxyyy_xyyyyyzz_0, tg_xxxxyyy_xyyyyyzz_1, \
                                         tg_xxxxyyy_xyyyyzz_1, tg_xxxxyyy_xyyyyzzz_0, tg_xxxxyyy_xyyyyzzz_1, \
                                         tg_xxxxyyy_xyyyzzz_1, tg_xxxxyyy_xyyyzzzz_0, tg_xxxxyyy_xyyyzzzz_1, \
                                         tg_xxxxyyy_xyyzzzz_1, tg_xxxxyyy_xyyzzzzz_0, tg_xxxxyyy_xyyzzzzz_1, \
                                         tg_xxxxyyy_xyzzzzz_1, tg_xxxxyyy_xyzzzzzz_0, tg_xxxxyyy_xyzzzzzz_1, \
                                         tg_xxxxyyy_xzzzzzz_1, tg_xxxxyyy_xzzzzzzz_0, tg_xxxxyyy_xzzzzzzz_1, \
                                         tg_xxxxyyy_yyyyyyy_1, tg_xxxxyyy_yyyyyyyy_0, tg_xxxxyyy_yyyyyyyy_1, \
                                         tg_xxxxyyy_yyyyyyyz_0, tg_xxxxyyy_yyyyyyyz_1, tg_xxxxyyy_yyyyyyz_1, \
                                         tg_xxxxyyy_yyyyyyzz_0, tg_xxxxyyy_yyyyyyzz_1, tg_xxxxyyy_yyyyyzz_1, \
                                         tg_xxxxyyy_yyyyyzzz_0, tg_xxxxyyy_yyyyyzzz_1, tg_xxxxyyy_yyyyzzz_1, \
                                         tg_xxxxyyy_yyyyzzzz_0, tg_xxxxyyy_yyyyzzzz_1, tg_xxxxyyy_yyyzzzz_1, \
                                         tg_xxxxyyy_yyyzzzzz_0, tg_xxxxyyy_yyyzzzzz_1, tg_xxxxyyy_yyzzzzz_1, \
                                         tg_xxxxyyy_yyzzzzzz_0, tg_xxxxyyy_yyzzzzzz_1, tg_xxxxyyy_yzzzzzz_1, \
                                         tg_xxxxyyy_yzzzzzzz_0, tg_xxxxyyy_yzzzzzzz_1, tg_xxxxyyy_zzzzzzz_1, \
                                         tg_xxxxyyy_zzzzzzzz_0, tg_xxxxyyy_zzzzzzzz_1, tg_xxxxyyz_xxxxxxx_1, \
                                         tg_xxxxyyz_xxxxxxxx_0, tg_xxxxyyz_xxxxxxxx_1, tg_xxxxyyz_xxxxxxxy_0, \
                                         tg_xxxxyyz_xxxxxxxy_1, tg_xxxxyyz_xxxxxxxz_0, tg_xxxxyyz_xxxxxxxz_1, \
                                         tg_xxxxyyz_xxxxxxy_1, tg_xxxxyyz_xxxxxxyy_0, tg_xxxxyyz_xxxxxxyy_1, \
                                         tg_xxxxyyz_xxxxxxyz_0, tg_xxxxyyz_xxxxxxyz_1, tg_xxxxyyz_xxxxxxz_1, \
                                         tg_xxxxyyz_xxxxxxzz_0, tg_xxxxyyz_xxxxxxzz_1, tg_xxxxyyz_xxxxxyy_1, \
                                         tg_xxxxyyz_xxxxxyyy_0, tg_xxxxyyz_xxxxxyyy_1, tg_xxxxyyz_xxxxxyyz_0, \
                                         tg_xxxxyyz_xxxxxyyz_1, tg_xxxxyyz_xxxxxyz_1, tg_xxxxyyz_xxxxxyzz_0, \
                                         tg_xxxxyyz_xxxxxyzz_1, tg_xxxxyyz_xxxxxzz_1, tg_xxxxyyz_xxxxxzzz_0, \
                                         tg_xxxxyyz_xxxxxzzz_1, tg_xxxxyyz_xxxxyyy_1, tg_xxxxyyz_xxxxyyyy_0, \
                                         tg_xxxxyyz_xxxxyyyy_1, tg_xxxxyyz_xxxxyyyz_0, tg_xxxxyyz_xxxxyyyz_1, \
                                         tg_xxxxyyz_xxxxyyz_1, tg_xxxxyyz_xxxxyyzz_0, tg_xxxxyyz_xxxxyyzz_1, \
                                         tg_xxxxyyz_xxxxyzz_1, tg_xxxxyyz_xxxxyzzz_0, tg_xxxxyyz_xxxxyzzz_1, \
                                         tg_xxxxyyz_xxxxzzz_1, tg_xxxxyyz_xxxxzzzz_0, tg_xxxxyyz_xxxxzzzz_1, \
                                         tg_xxxxyyz_xxxyyyy_1, tg_xxxxyyz_xxxyyyyy_0, tg_xxxxyyz_xxxyyyyy_1, \
                                         tg_xxxxyyz_xxxyyyyz_0, tg_xxxxyyz_xxxyyyyz_1, tg_xxxxyyz_xxxyyyz_1, \
                                         tg_xxxxyyz_xxxyyyzz_0, tg_xxxxyyz_xxxyyyzz_1, tg_xxxxyyz_xxxyyzz_1, \
                                         tg_xxxxyyz_xxxyyzzz_0, tg_xxxxyyz_xxxyyzzz_1, tg_xxxxyyz_xxxyzzz_1, \
                                         tg_xxxxyyz_xxxyzzzz_0, tg_xxxxyyz_xxxyzzzz_1, tg_xxxxyyz_xxxzzzz_1, \
                                         tg_xxxxyyz_xxxzzzzz_0, tg_xxxxyyz_xxxzzzzz_1, tg_xxxxyyz_xxyyyyy_1, \
                                         tg_xxxxyyz_xxyyyyyy_0, tg_xxxxyyz_xxyyyyyy_1, tg_xxxxyyz_xxyyyyyz_0, \
                                         tg_xxxxyyz_xxyyyyyz_1, tg_xxxxyyz_xxyyyyz_1, tg_xxxxyyz_xxyyyyzz_0, \
                                         tg_xxxxyyz_xxyyyyzz_1, tg_xxxxyyz_xxyyyzz_1, tg_xxxxyyz_xxyyyzzz_0, \
                                         tg_xxxxyyz_xxyyyzzz_1, tg_xxxxyyz_xxyyzzz_1, tg_xxxxyyz_xxyyzzzz_0, \
                                         tg_xxxxyyz_xxyyzzzz_1, tg_xxxxyyz_xxyzzzz_1, tg_xxxxyyz_xxyzzzzz_0, \
                                         tg_xxxxyyz_xxyzzzzz_1, tg_xxxxyyz_xxzzzzz_1, tg_xxxxyyz_xxzzzzzz_0, \
                                         tg_xxxxyyz_xxzzzzzz_1, tg_xxxxyyz_xyyyyyy_1, tg_xxxxyyz_xyyyyyyy_0, \
                                         tg_xxxxyyz_xyyyyyyy_1, tg_xxxxyyz_xyyyyyyz_0, tg_xxxxyyz_xyyyyyyz_1, \
                                         tg_xxxxyyz_xyyyyyz_1, tg_xxxxyyz_xyyyyyzz_0, tg_xxxxyyz_xyyyyyzz_1, \
                                         tg_xxxxyyz_xyyyyzz_1, tg_xxxxyyz_xyyyyzzz_0, tg_xxxxyyz_xyyyyzzz_1, \
                                         tg_xxxxyyz_xyyyzzz_1, tg_xxxxyyz_xyyyzzzz_0, tg_xxxxyyz_xyyyzzzz_1, \
                                         tg_xxxxyyz_xyyzzzz_1, tg_xxxxyyz_xyyzzzzz_0, tg_xxxxyyz_xyyzzzzz_1, \
                                         tg_xxxxyyz_xyzzzzz_1, tg_xxxxyyz_xyzzzzzz_0, tg_xxxxyyz_xyzzzzzz_1, \
                                         tg_xxxxyyz_xzzzzzz_1, tg_xxxxyyz_xzzzzzzz_0, tg_xxxxyyz_xzzzzzzz_1, \
                                         tg_xxxxyyz_yyyyyyy_1, tg_xxxxyyz_yyyyyyyy_0, tg_xxxxyyz_yyyyyyyy_1, \
                                         tg_xxxxyyz_yyyyyyyz_0, tg_xxxxyyz_yyyyyyyz_1, tg_xxxxyyz_yyyyyyz_1, \
                                         tg_xxxxyyz_yyyyyyzz_0, tg_xxxxyyz_yyyyyyzz_1, tg_xxxxyyz_yyyyyzz_1, \
                                         tg_xxxxyyz_yyyyyzzz_0, tg_xxxxyyz_yyyyyzzz_1, tg_xxxxyyz_yyyyzzz_1, \
                                         tg_xxxxyyz_yyyyzzzz_0, tg_xxxxyyz_yyyyzzzz_1, tg_xxxxyyz_yyyzzzz_1, \
                                         tg_xxxxyyz_yyyzzzzz_0, tg_xxxxyyz_yyyzzzzz_1, tg_xxxxyyz_yyzzzzz_1, \
                                         tg_xxxxyyz_yyzzzzzz_0, tg_xxxxyyz_yyzzzzzz_1, tg_xxxxyyz_yzzzzzz_1, \
                                         tg_xxxxyyz_yzzzzzzz_0, tg_xxxxyyz_yzzzzzzz_1, tg_xxxxyyz_zzzzzzz_1, \
                                         tg_xxxxyyz_zzzzzzzz_0, tg_xxxxyyz_zzzzzzzz_1, tg_xxxxyzz_xxxxxxx_1, \
                                         tg_xxxxyzz_xxxxxxxx_0, tg_xxxxyzz_xxxxxxxx_1, tg_xxxxyzz_xxxxxxxy_0, \
                                         tg_xxxxyzz_xxxxxxxy_1, tg_xxxxyzz_xxxxxxxz_0, tg_xxxxyzz_xxxxxxxz_1, \
                                         tg_xxxxyzz_xxxxxxy_1, tg_xxxxyzz_xxxxxxyy_0, tg_xxxxyzz_xxxxxxyy_1, \
                                         tg_xxxxyzz_xxxxxxyz_0, tg_xxxxyzz_xxxxxxyz_1, tg_xxxxyzz_xxxxxxz_1, \
                                         tg_xxxxyzz_xxxxxxzz_0, tg_xxxxyzz_xxxxxxzz_1, tg_xxxxyzz_xxxxxyy_1, \
                                         tg_xxxxyzz_xxxxxyyy_0, tg_xxxxyzz_xxxxxyyy_1, tg_xxxxyzz_xxxxxyyz_0, \
                                         tg_xxxxyzz_xxxxxyyz_1, tg_xxxxyzz_xxxxxyz_1, tg_xxxxyzz_xxxxxyzz_0, \
                                         tg_xxxxyzz_xxxxxyzz_1, tg_xxxxyzz_xxxxxzz_1, tg_xxxxyzz_xxxxxzzz_0, \
                                         tg_xxxxyzz_xxxxxzzz_1, tg_xxxxyzz_xxxxyyy_1, tg_xxxxyzz_xxxxyyyy_0, \
                                         tg_xxxxyzz_xxxxyyyy_1, tg_xxxxyzz_xxxxyyyz_0, tg_xxxxyzz_xxxxyyyz_1, \
                                         tg_xxxxyzz_xxxxyyz_1, tg_xxxxyzz_xxxxyyzz_0, tg_xxxxyzz_xxxxyyzz_1, \
                                         tg_xxxxyzz_xxxxyzz_1, tg_xxxxyzz_xxxxyzzz_0, tg_xxxxyzz_xxxxyzzz_1, \
                                         tg_xxxxyzz_xxxxzzz_1, tg_xxxxyzz_xxxxzzzz_0, tg_xxxxyzz_xxxxzzzz_1, \
                                         tg_xxxxyzz_xxxyyyy_1, tg_xxxxyzz_xxxyyyyy_0, tg_xxxxyzz_xxxyyyyy_1, \
                                         tg_xxxxyzz_xxxyyyyz_0, tg_xxxxyzz_xxxyyyyz_1, tg_xxxxyzz_xxxyyyz_1, \
                                         tg_xxxxyzz_xxxyyyzz_0, tg_xxxxyzz_xxxyyyzz_1, tg_xxxxyzz_xxxyyzz_1, \
                                         tg_xxxxyzz_xxxyyzzz_0, tg_xxxxyzz_xxxyyzzz_1, tg_xxxxyzz_xxxyzzz_1, \
                                         tg_xxxxyzz_xxxyzzzz_0, tg_xxxxyzz_xxxyzzzz_1, tg_xxxxyzz_xxxzzzz_1, \
                                         tg_xxxxyzz_xxxzzzzz_0, tg_xxxxyzz_xxxzzzzz_1, tg_xxxxyzz_xxyyyyy_1, \
                                         tg_xxxxyzz_xxyyyyyy_0, tg_xxxxyzz_xxyyyyyy_1, tg_xxxxyzz_xxyyyyyz_0, \
                                         tg_xxxxyzz_xxyyyyyz_1, tg_xxxxyzz_xxyyyyz_1, tg_xxxxyzz_xxyyyyzz_0, \
                                         tg_xxxxyzz_xxyyyyzz_1, tg_xxxxyzz_xxyyyzz_1, tg_xxxxyzz_xxyyyzzz_0, \
                                         tg_xxxxyzz_xxyyyzzz_1, tg_xxxxyzz_xxyyzzz_1, tg_xxxxyzz_xxyyzzzz_0, \
                                         tg_xxxxyzz_xxyyzzzz_1, tg_xxxxyzz_xxyzzzz_1, tg_xxxxyzz_xxyzzzzz_0, \
                                         tg_xxxxyzz_xxyzzzzz_1, tg_xxxxyzz_xxzzzzz_1, tg_xxxxyzz_xxzzzzzz_0, \
                                         tg_xxxxyzz_xxzzzzzz_1, tg_xxxxyzz_xyyyyyy_1, tg_xxxxyzz_xyyyyyz_1, tg_xxxxyzz_xyyyyzz_1, \
                                         tg_xxxxyzz_xyyyzzz_1, tg_xxxxyzz_xyyzzzz_1, tg_xxxxyzz_xyzzzzz_1, tg_xxxxyzz_xzzzzzz_1, \
                                         tg_xxxyyy_xxyyyyyy_0, tg_xxxyyy_xxyyyyyy_1, tg_xxxyyy_xxyyyyyz_0, tg_xxxyyy_xxyyyyyz_1, \
                                         tg_xxxyyy_xxyyyyzz_0, tg_xxxyyy_xxyyyyzz_1, tg_xxxyyy_xxyyyzzz_0, tg_xxxyyy_xxyyyzzz_1, \
                                         tg_xxxyyy_xxyyzzzz_0, tg_xxxyyy_xxyyzzzz_1, tg_xxxyyy_xxyzzzzz_0, tg_xxxyyy_xxyzzzzz_1, \
                                         tg_xxxyyy_xxzzzzzz_0, tg_xxxyyy_xxzzzzzz_1, tg_xxxyyy_xyyyyyyy_0, tg_xxxyyy_xyyyyyyy_1, \
                                         tg_xxxyyy_xyyyyyyz_0, tg_xxxyyy_xyyyyyyz_1, tg_xxxyyy_xyyyyyzz_0, tg_xxxyyy_xyyyyyzz_1, \
                                         tg_xxxyyy_xyyyyzzz_0, tg_xxxyyy_xyyyyzzz_1, tg_xxxyyy_xyyyzzzz_0, tg_xxxyyy_xyyyzzzz_1, \
                                         tg_xxxyyy_xyyzzzzz_0, tg_xxxyyy_xyyzzzzz_1, tg_xxxyyy_xyzzzzzz_0, tg_xxxyyy_xyzzzzzz_1, \
                                         tg_xxxyyy_xzzzzzzz_0, tg_xxxyyy_xzzzzzzz_1, tg_xxxyyy_yyyyyyyy_0, tg_xxxyyy_yyyyyyyy_1, \
                                         tg_xxxyyy_yyyyyyyz_0, tg_xxxyyy_yyyyyyyz_1, tg_xxxyyy_yyyyyyzz_0, tg_xxxyyy_yyyyyyzz_1, \
                                         tg_xxxyyy_yyyyyzzz_0, tg_xxxyyy_yyyyyzzz_1, tg_xxxyyy_yyyyzzzz_0, tg_xxxyyy_yyyyzzzz_1, \
                                         tg_xxxyyy_yyyzzzzz_0, tg_xxxyyy_yyyzzzzz_1, tg_xxxyyy_yyzzzzzz_0, tg_xxxyyy_yyzzzzzz_1, \
                                         tg_xxxyyy_yzzzzzzz_0, tg_xxxyyy_yzzzzzzz_1, tg_xxxyyy_zzzzzzzz_0, tg_xxxyyy_zzzzzzzz_1, \
                                         tg_xxxyyz_xxxxxxxx_0, tg_xxxyyz_xxxxxxxx_1, tg_xxxyyz_xxxxxxxy_0, tg_xxxyyz_xxxxxxxy_1, \
                                         tg_xxxyyz_xxxxxxxz_0, tg_xxxyyz_xxxxxxxz_1, tg_xxxyyz_xxxxxxyy_0, tg_xxxyyz_xxxxxxyy_1, \
                                         tg_xxxyyz_xxxxxxyz_0, tg_xxxyyz_xxxxxxyz_1, tg_xxxyyz_xxxxxxzz_0, tg_xxxyyz_xxxxxxzz_1, \
                                         tg_xxxyyz_xxxxxyyy_0, tg_xxxyyz_xxxxxyyy_1, tg_xxxyyz_xxxxxyyz_0, tg_xxxyyz_xxxxxyyz_1, \
                                         tg_xxxyyz_xxxxxyzz_0, tg_xxxyyz_xxxxxyzz_1, tg_xxxyyz_xxxxxzzz_0, tg_xxxyyz_xxxxxzzz_1, \
                                         tg_xxxyyz_xxxxyyyy_0, tg_xxxyyz_xxxxyyyy_1, tg_xxxyyz_xxxxyyyz_0, tg_xxxyyz_xxxxyyyz_1, \
                                         tg_xxxyyz_xxxxyyzz_0, tg_xxxyyz_xxxxyyzz_1, tg_xxxyyz_xxxxyzzz_0, tg_xxxyyz_xxxxyzzz_1, \
                                         tg_xxxyyz_xxxxzzzz_0, tg_xxxyyz_xxxxzzzz_1, tg_xxxyyz_xxxyyyyy_0, tg_xxxyyz_xxxyyyyy_1, \
                                         tg_xxxyyz_xxxyyyyz_0, tg_xxxyyz_xxxyyyyz_1, tg_xxxyyz_xxxyyyzz_0, tg_xxxyyz_xxxyyyzz_1, \
                                         tg_xxxyyz_xxxyyzzz_0, tg_xxxyyz_xxxyyzzz_1, tg_xxxyyz_xxxyzzzz_0, tg_xxxyyz_xxxyzzzz_1, \
                                         tg_xxxyyz_xxxzzzzz_0, tg_xxxyyz_xxxzzzzz_1, tg_xxxyyz_xxyyyyyy_0, tg_xxxyyz_xxyyyyyy_1, \
                                         tg_xxxyyz_xxyyyyyz_0, tg_xxxyyz_xxyyyyyz_1, tg_xxxyyz_xxyyyyzz_0, tg_xxxyyz_xxyyyyzz_1, \
                                         tg_xxxyyz_xxyyyzzz_0, tg_xxxyyz_xxyyyzzz_1, tg_xxxyyz_xxyyzzzz_0, tg_xxxyyz_xxyyzzzz_1, \
                                         tg_xxxyyz_xxyzzzzz_0, tg_xxxyyz_xxyzzzzz_1, tg_xxxyyz_xxzzzzzz_0, tg_xxxyyz_xxzzzzzz_1, \
                                         tg_xxxyyz_xyyyyyyy_0, tg_xxxyyz_xyyyyyyy_1, tg_xxxyyz_xyyyyyyz_0, tg_xxxyyz_xyyyyyyz_1, \
                                         tg_xxxyyz_xyyyyyzz_0, tg_xxxyyz_xyyyyyzz_1, tg_xxxyyz_xyyyyzzz_0, tg_xxxyyz_xyyyyzzz_1, \
                                         tg_xxxyyz_xyyyzzzz_0, tg_xxxyyz_xyyyzzzz_1, tg_xxxyyz_xyyzzzzz_0, tg_xxxyyz_xyyzzzzz_1, \
                                         tg_xxxyyz_xyzzzzzz_0, tg_xxxyyz_xyzzzzzz_1, tg_xxxyyz_xzzzzzzz_0, tg_xxxyyz_xzzzzzzz_1, \
                                         tg_xxxyyz_yyyyyyyy_0, tg_xxxyyz_yyyyyyyy_1, tg_xxxyyz_yyyyyyyz_0, tg_xxxyyz_yyyyyyyz_1, \
                                         tg_xxxyyz_yyyyyyzz_0, tg_xxxyyz_yyyyyyzz_1, tg_xxxyyz_yyyyyzzz_0, tg_xxxyyz_yyyyyzzz_1, \
                                         tg_xxxyyz_yyyyzzzz_0, tg_xxxyyz_yyyyzzzz_1, tg_xxxyyz_yyyzzzzz_0, tg_xxxyyz_yyyzzzzz_1, \
                                         tg_xxxyyz_yyzzzzzz_0, tg_xxxyyz_yyzzzzzz_1, tg_xxxyyz_yzzzzzzz_0, tg_xxxyyz_yzzzzzzz_1, \
                                         tg_xxxyyz_zzzzzzzz_0, tg_xxxyyz_zzzzzzzz_1, tg_xxxyzz_xxxxxxxx_0, tg_xxxyzz_xxxxxxxx_1, \
                                         tg_xxxyzz_xxxxxxxy_0, tg_xxxyzz_xxxxxxxy_1, tg_xxxyzz_xxxxxxxz_0, tg_xxxyzz_xxxxxxxz_1, \
                                         tg_xxxyzz_xxxxxxyy_0, tg_xxxyzz_xxxxxxyy_1, tg_xxxyzz_xxxxxxyz_0, tg_xxxyzz_xxxxxxyz_1, \
                                         tg_xxxyzz_xxxxxxzz_0, tg_xxxyzz_xxxxxxzz_1, tg_xxxyzz_xxxxxyyy_0, tg_xxxyzz_xxxxxyyy_1, \
                                         tg_xxxyzz_xxxxxyyz_0, tg_xxxyzz_xxxxxyyz_1, tg_xxxyzz_xxxxxyzz_0, tg_xxxyzz_xxxxxyzz_1, \
                                         tg_xxxyzz_xxxxxzzz_0, tg_xxxyzz_xxxxxzzz_1, tg_xxxyzz_xxxxyyyy_0, tg_xxxyzz_xxxxyyyy_1, \
                                         tg_xxxyzz_xxxxyyyz_0, tg_xxxyzz_xxxxyyyz_1, tg_xxxyzz_xxxxyyzz_0, tg_xxxyzz_xxxxyyzz_1, \
                                         tg_xxxyzz_xxxxyzzz_0, tg_xxxyzz_xxxxyzzz_1, tg_xxxyzz_xxxxzzzz_0, tg_xxxyzz_xxxxzzzz_1, \
                                         tg_xxxyzz_xxxyyyyy_0, tg_xxxyzz_xxxyyyyy_1, tg_xxxyzz_xxxyyyyz_0, tg_xxxyzz_xxxyyyyz_1, \
                                         tg_xxxyzz_xxxyyyzz_0, tg_xxxyzz_xxxyyyzz_1, tg_xxxyzz_xxxyyzzz_0, tg_xxxyzz_xxxyyzzz_1, \
                                         tg_xxxyzz_xxxyzzzz_0, tg_xxxyzz_xxxyzzzz_1, tg_xxxyzz_xxxzzzzz_0, tg_xxxyzz_xxxzzzzz_1, \
                                         tg_xxxyzz_xxyyyyyy_0, tg_xxxyzz_xxyyyyyy_1, tg_xxxyzz_xxyyyyyz_0, tg_xxxyzz_xxyyyyyz_1, \
                                         tg_xxxyzz_xxyyyyzz_0, tg_xxxyzz_xxyyyyzz_1, tg_xxxyzz_xxyyyzzz_0, tg_xxxyzz_xxyyyzzz_1, \
                                         tg_xxxyzz_xxyyzzzz_0, tg_xxxyzz_xxyyzzzz_1, tg_xxxyzz_xxyzzzzz_0, tg_xxxyzz_xxyzzzzz_1, \
                                         tg_xxxyzz_xxzzzzzz_0, tg_xxxyzz_xxzzzzzz_1, wp_x: VLX_ALIGN)
                for (int32_t j = 0; j < nKetPrimPairs; j++)
                {
                    double fl1_fx = fx;

                    double fl1_fxn = fxn[j];

                    double fl1_fza = fza[j];

                    double fr = wp_x[j]; 

                    tg_xxxxxyyy_xxyyyyyy_0[j] = pb_x * tg_xxxxyyy_xxyyyyyy_0[j] + fr * tg_xxxxyyy_xxyyyyyy_1[j] + 2.0 * fl1_fx * (tg_xxxyyy_xxyyyyyy_0[j] - tg_xxxyyy_xxyyyyyy_1[j] * fl1_fza) + fl1_fxn * tg_xxxxyyy_xyyyyyy_1[j];

                    tg_xxxxxyyy_xxyyyyyz_0[j] = pb_x * tg_xxxxyyy_xxyyyyyz_0[j] + fr * tg_xxxxyyy_xxyyyyyz_1[j] + 2.0 * fl1_fx * (tg_xxxyyy_xxyyyyyz_0[j] - tg_xxxyyy_xxyyyyyz_1[j] * fl1_fza) + fl1_fxn * tg_xxxxyyy_xyyyyyz_1[j];

                    tg_xxxxxyyy_xxyyyyzz_0[j] = pb_x * tg_xxxxyyy_xxyyyyzz_0[j] + fr * tg_xxxxyyy_xxyyyyzz_1[j] + 2.0 * fl1_fx * (tg_xxxyyy_xxyyyyzz_0[j] - tg_xxxyyy_xxyyyyzz_1[j] * fl1_fza) + fl1_fxn * tg_xxxxyyy_xyyyyzz_1[j];

                    tg_xxxxxyyy_xxyyyzzz_0[j] = pb_x * tg_xxxxyyy_xxyyyzzz_0[j] + fr * tg_xxxxyyy_xxyyyzzz_1[j] + 2.0 * fl1_fx * (tg_xxxyyy_xxyyyzzz_0[j] - tg_xxxyyy_xxyyyzzz_1[j] * fl1_fza) + fl1_fxn * tg_xxxxyyy_xyyyzzz_1[j];

                    tg_xxxxxyyy_xxyyzzzz_0[j] = pb_x * tg_xxxxyyy_xxyyzzzz_0[j] + fr * tg_xxxxyyy_xxyyzzzz_1[j] + 2.0 * fl1_fx * (tg_xxxyyy_xxyyzzzz_0[j] - tg_xxxyyy_xxyyzzzz_1[j] * fl1_fza) + fl1_fxn * tg_xxxxyyy_xyyzzzz_1[j];

                    tg_xxxxxyyy_xxyzzzzz_0[j] = pb_x * tg_xxxxyyy_xxyzzzzz_0[j] + fr * tg_xxxxyyy_xxyzzzzz_1[j] + 2.0 * fl1_fx * (tg_xxxyyy_xxyzzzzz_0[j] - tg_xxxyyy_xxyzzzzz_1[j] * fl1_fza) + fl1_fxn * tg_xxxxyyy_xyzzzzz_1[j];

                    tg_xxxxxyyy_xxzzzzzz_0[j] = pb_x * tg_xxxxyyy_xxzzzzzz_0[j] + fr * tg_xxxxyyy_xxzzzzzz_1[j] + 2.0 * fl1_fx * (tg_xxxyyy_xxzzzzzz_0[j] - tg_xxxyyy_xxzzzzzz_1[j] * fl1_fza) + fl1_fxn * tg_xxxxyyy_xzzzzzz_1[j];

                    tg_xxxxxyyy_xyyyyyyy_0[j] = pb_x * tg_xxxxyyy_xyyyyyyy_0[j] + fr * tg_xxxxyyy_xyyyyyyy_1[j] + 2.0 * fl1_fx * (tg_xxxyyy_xyyyyyyy_0[j] - tg_xxxyyy_xyyyyyyy_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xxxxyyy_yyyyyyy_1[j];

                    tg_xxxxxyyy_xyyyyyyz_0[j] = pb_x * tg_xxxxyyy_xyyyyyyz_0[j] + fr * tg_xxxxyyy_xyyyyyyz_1[j] + 2.0 * fl1_fx * (tg_xxxyyy_xyyyyyyz_0[j] - tg_xxxyyy_xyyyyyyz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xxxxyyy_yyyyyyz_1[j];

                    tg_xxxxxyyy_xyyyyyzz_0[j] = pb_x * tg_xxxxyyy_xyyyyyzz_0[j] + fr * tg_xxxxyyy_xyyyyyzz_1[j] + 2.0 * fl1_fx * (tg_xxxyyy_xyyyyyzz_0[j] - tg_xxxyyy_xyyyyyzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xxxxyyy_yyyyyzz_1[j];

                    tg_xxxxxyyy_xyyyyzzz_0[j] = pb_x * tg_xxxxyyy_xyyyyzzz_0[j] + fr * tg_xxxxyyy_xyyyyzzz_1[j] + 2.0 * fl1_fx * (tg_xxxyyy_xyyyyzzz_0[j] - tg_xxxyyy_xyyyyzzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xxxxyyy_yyyyzzz_1[j];

                    tg_xxxxxyyy_xyyyzzzz_0[j] = pb_x * tg_xxxxyyy_xyyyzzzz_0[j] + fr * tg_xxxxyyy_xyyyzzzz_1[j] + 2.0 * fl1_fx * (tg_xxxyyy_xyyyzzzz_0[j] - tg_xxxyyy_xyyyzzzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xxxxyyy_yyyzzzz_1[j];

                    tg_xxxxxyyy_xyyzzzzz_0[j] = pb_x * tg_xxxxyyy_xyyzzzzz_0[j] + fr * tg_xxxxyyy_xyyzzzzz_1[j] + 2.0 * fl1_fx * (tg_xxxyyy_xyyzzzzz_0[j] - tg_xxxyyy_xyyzzzzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xxxxyyy_yyzzzzz_1[j];

                    tg_xxxxxyyy_xyzzzzzz_0[j] = pb_x * tg_xxxxyyy_xyzzzzzz_0[j] + fr * tg_xxxxyyy_xyzzzzzz_1[j] + 2.0 * fl1_fx * (tg_xxxyyy_xyzzzzzz_0[j] - tg_xxxyyy_xyzzzzzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xxxxyyy_yzzzzzz_1[j];

                    tg_xxxxxyyy_xzzzzzzz_0[j] = pb_x * tg_xxxxyyy_xzzzzzzz_0[j] + fr * tg_xxxxyyy_xzzzzzzz_1[j] + 2.0 * fl1_fx * (tg_xxxyyy_xzzzzzzz_0[j] - tg_xxxyyy_xzzzzzzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xxxxyyy_zzzzzzz_1[j];

                    tg_xxxxxyyy_yyyyyyyy_0[j] = pb_x * tg_xxxxyyy_yyyyyyyy_0[j] + fr * tg_xxxxyyy_yyyyyyyy_1[j] + 2.0 * fl1_fx * (tg_xxxyyy_yyyyyyyy_0[j] - tg_xxxyyy_yyyyyyyy_1[j] * fl1_fza);

                    tg_xxxxxyyy_yyyyyyyz_0[j] = pb_x * tg_xxxxyyy_yyyyyyyz_0[j] + fr * tg_xxxxyyy_yyyyyyyz_1[j] + 2.0 * fl1_fx * (tg_xxxyyy_yyyyyyyz_0[j] - tg_xxxyyy_yyyyyyyz_1[j] * fl1_fza);

                    tg_xxxxxyyy_yyyyyyzz_0[j] = pb_x * tg_xxxxyyy_yyyyyyzz_0[j] + fr * tg_xxxxyyy_yyyyyyzz_1[j] + 2.0 * fl1_fx * (tg_xxxyyy_yyyyyyzz_0[j] - tg_xxxyyy_yyyyyyzz_1[j] * fl1_fza);

                    tg_xxxxxyyy_yyyyyzzz_0[j] = pb_x * tg_xxxxyyy_yyyyyzzz_0[j] + fr * tg_xxxxyyy_yyyyyzzz_1[j] + 2.0 * fl1_fx * (tg_xxxyyy_yyyyyzzz_0[j] - tg_xxxyyy_yyyyyzzz_1[j] * fl1_fza);

                    tg_xxxxxyyy_yyyyzzzz_0[j] = pb_x * tg_xxxxyyy_yyyyzzzz_0[j] + fr * tg_xxxxyyy_yyyyzzzz_1[j] + 2.0 * fl1_fx * (tg_xxxyyy_yyyyzzzz_0[j] - tg_xxxyyy_yyyyzzzz_1[j] * fl1_fza);

                    tg_xxxxxyyy_yyyzzzzz_0[j] = pb_x * tg_xxxxyyy_yyyzzzzz_0[j] + fr * tg_xxxxyyy_yyyzzzzz_1[j] + 2.0 * fl1_fx * (tg_xxxyyy_yyyzzzzz_0[j] - tg_xxxyyy_yyyzzzzz_1[j] * fl1_fza);

                    tg_xxxxxyyy_yyzzzzzz_0[j] = pb_x * tg_xxxxyyy_yyzzzzzz_0[j] + fr * tg_xxxxyyy_yyzzzzzz_1[j] + 2.0 * fl1_fx * (tg_xxxyyy_yyzzzzzz_0[j] - tg_xxxyyy_yyzzzzzz_1[j] * fl1_fza);

                    tg_xxxxxyyy_yzzzzzzz_0[j] = pb_x * tg_xxxxyyy_yzzzzzzz_0[j] + fr * tg_xxxxyyy_yzzzzzzz_1[j] + 2.0 * fl1_fx * (tg_xxxyyy_yzzzzzzz_0[j] - tg_xxxyyy_yzzzzzzz_1[j] * fl1_fza);

                    tg_xxxxxyyy_zzzzzzzz_0[j] = pb_x * tg_xxxxyyy_zzzzzzzz_0[j] + fr * tg_xxxxyyy_zzzzzzzz_1[j] + 2.0 * fl1_fx * (tg_xxxyyy_zzzzzzzz_0[j] - tg_xxxyyy_zzzzzzzz_1[j] * fl1_fza);

                    tg_xxxxxyyz_xxxxxxxx_0[j] = pb_x * tg_xxxxyyz_xxxxxxxx_0[j] + fr * tg_xxxxyyz_xxxxxxxx_1[j] + 2.0 * fl1_fx * (tg_xxxyyz_xxxxxxxx_0[j] - tg_xxxyyz_xxxxxxxx_1[j] * fl1_fza) + 4.0 * fl1_fxn * tg_xxxxyyz_xxxxxxx_1[j];

                    tg_xxxxxyyz_xxxxxxxy_0[j] = pb_x * tg_xxxxyyz_xxxxxxxy_0[j] + fr * tg_xxxxyyz_xxxxxxxy_1[j] + 2.0 * fl1_fx * (tg_xxxyyz_xxxxxxxy_0[j] - tg_xxxyyz_xxxxxxxy_1[j] * fl1_fza) + 3.5 * fl1_fxn * tg_xxxxyyz_xxxxxxy_1[j];

                    tg_xxxxxyyz_xxxxxxxz_0[j] = pb_x * tg_xxxxyyz_xxxxxxxz_0[j] + fr * tg_xxxxyyz_xxxxxxxz_1[j] + 2.0 * fl1_fx * (tg_xxxyyz_xxxxxxxz_0[j] - tg_xxxyyz_xxxxxxxz_1[j] * fl1_fza) + 3.5 * fl1_fxn * tg_xxxxyyz_xxxxxxz_1[j];

                    tg_xxxxxyyz_xxxxxxyy_0[j] = pb_x * tg_xxxxyyz_xxxxxxyy_0[j] + fr * tg_xxxxyyz_xxxxxxyy_1[j] + 2.0 * fl1_fx * (tg_xxxyyz_xxxxxxyy_0[j] - tg_xxxyyz_xxxxxxyy_1[j] * fl1_fza) + 3.0 * fl1_fxn * tg_xxxxyyz_xxxxxyy_1[j];

                    tg_xxxxxyyz_xxxxxxyz_0[j] = pb_x * tg_xxxxyyz_xxxxxxyz_0[j] + fr * tg_xxxxyyz_xxxxxxyz_1[j] + 2.0 * fl1_fx * (tg_xxxyyz_xxxxxxyz_0[j] - tg_xxxyyz_xxxxxxyz_1[j] * fl1_fza) + 3.0 * fl1_fxn * tg_xxxxyyz_xxxxxyz_1[j];

                    tg_xxxxxyyz_xxxxxxzz_0[j] = pb_x * tg_xxxxyyz_xxxxxxzz_0[j] + fr * tg_xxxxyyz_xxxxxxzz_1[j] + 2.0 * fl1_fx * (tg_xxxyyz_xxxxxxzz_0[j] - tg_xxxyyz_xxxxxxzz_1[j] * fl1_fza) + 3.0 * fl1_fxn * tg_xxxxyyz_xxxxxzz_1[j];

                    tg_xxxxxyyz_xxxxxyyy_0[j] = pb_x * tg_xxxxyyz_xxxxxyyy_0[j] + fr * tg_xxxxyyz_xxxxxyyy_1[j] + 2.0 * fl1_fx * (tg_xxxyyz_xxxxxyyy_0[j] - tg_xxxyyz_xxxxxyyy_1[j] * fl1_fza) + 2.5 * fl1_fxn * tg_xxxxyyz_xxxxyyy_1[j];

                    tg_xxxxxyyz_xxxxxyyz_0[j] = pb_x * tg_xxxxyyz_xxxxxyyz_0[j] + fr * tg_xxxxyyz_xxxxxyyz_1[j] + 2.0 * fl1_fx * (tg_xxxyyz_xxxxxyyz_0[j] - tg_xxxyyz_xxxxxyyz_1[j] * fl1_fza) + 2.5 * fl1_fxn * tg_xxxxyyz_xxxxyyz_1[j];

                    tg_xxxxxyyz_xxxxxyzz_0[j] = pb_x * tg_xxxxyyz_xxxxxyzz_0[j] + fr * tg_xxxxyyz_xxxxxyzz_1[j] + 2.0 * fl1_fx * (tg_xxxyyz_xxxxxyzz_0[j] - tg_xxxyyz_xxxxxyzz_1[j] * fl1_fza) + 2.5 * fl1_fxn * tg_xxxxyyz_xxxxyzz_1[j];

                    tg_xxxxxyyz_xxxxxzzz_0[j] = pb_x * tg_xxxxyyz_xxxxxzzz_0[j] + fr * tg_xxxxyyz_xxxxxzzz_1[j] + 2.0 * fl1_fx * (tg_xxxyyz_xxxxxzzz_0[j] - tg_xxxyyz_xxxxxzzz_1[j] * fl1_fza) + 2.5 * fl1_fxn * tg_xxxxyyz_xxxxzzz_1[j];

                    tg_xxxxxyyz_xxxxyyyy_0[j] = pb_x * tg_xxxxyyz_xxxxyyyy_0[j] + fr * tg_xxxxyyz_xxxxyyyy_1[j] + 2.0 * fl1_fx * (tg_xxxyyz_xxxxyyyy_0[j] - tg_xxxyyz_xxxxyyyy_1[j] * fl1_fza) + 2.0 * fl1_fxn * tg_xxxxyyz_xxxyyyy_1[j];

                    tg_xxxxxyyz_xxxxyyyz_0[j] = pb_x * tg_xxxxyyz_xxxxyyyz_0[j] + fr * tg_xxxxyyz_xxxxyyyz_1[j] + 2.0 * fl1_fx * (tg_xxxyyz_xxxxyyyz_0[j] - tg_xxxyyz_xxxxyyyz_1[j] * fl1_fza) + 2.0 * fl1_fxn * tg_xxxxyyz_xxxyyyz_1[j];

                    tg_xxxxxyyz_xxxxyyzz_0[j] = pb_x * tg_xxxxyyz_xxxxyyzz_0[j] + fr * tg_xxxxyyz_xxxxyyzz_1[j] + 2.0 * fl1_fx * (tg_xxxyyz_xxxxyyzz_0[j] - tg_xxxyyz_xxxxyyzz_1[j] * fl1_fza) + 2.0 * fl1_fxn * tg_xxxxyyz_xxxyyzz_1[j];

                    tg_xxxxxyyz_xxxxyzzz_0[j] = pb_x * tg_xxxxyyz_xxxxyzzz_0[j] + fr * tg_xxxxyyz_xxxxyzzz_1[j] + 2.0 * fl1_fx * (tg_xxxyyz_xxxxyzzz_0[j] - tg_xxxyyz_xxxxyzzz_1[j] * fl1_fza) + 2.0 * fl1_fxn * tg_xxxxyyz_xxxyzzz_1[j];

                    tg_xxxxxyyz_xxxxzzzz_0[j] = pb_x * tg_xxxxyyz_xxxxzzzz_0[j] + fr * tg_xxxxyyz_xxxxzzzz_1[j] + 2.0 * fl1_fx * (tg_xxxyyz_xxxxzzzz_0[j] - tg_xxxyyz_xxxxzzzz_1[j] * fl1_fza) + 2.0 * fl1_fxn * tg_xxxxyyz_xxxzzzz_1[j];

                    tg_xxxxxyyz_xxxyyyyy_0[j] = pb_x * tg_xxxxyyz_xxxyyyyy_0[j] + fr * tg_xxxxyyz_xxxyyyyy_1[j] + 2.0 * fl1_fx * (tg_xxxyyz_xxxyyyyy_0[j] - tg_xxxyyz_xxxyyyyy_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_xxxxyyz_xxyyyyy_1[j];

                    tg_xxxxxyyz_xxxyyyyz_0[j] = pb_x * tg_xxxxyyz_xxxyyyyz_0[j] + fr * tg_xxxxyyz_xxxyyyyz_1[j] + 2.0 * fl1_fx * (tg_xxxyyz_xxxyyyyz_0[j] - tg_xxxyyz_xxxyyyyz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_xxxxyyz_xxyyyyz_1[j];

                    tg_xxxxxyyz_xxxyyyzz_0[j] = pb_x * tg_xxxxyyz_xxxyyyzz_0[j] + fr * tg_xxxxyyz_xxxyyyzz_1[j] + 2.0 * fl1_fx * (tg_xxxyyz_xxxyyyzz_0[j] - tg_xxxyyz_xxxyyyzz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_xxxxyyz_xxyyyzz_1[j];

                    tg_xxxxxyyz_xxxyyzzz_0[j] = pb_x * tg_xxxxyyz_xxxyyzzz_0[j] + fr * tg_xxxxyyz_xxxyyzzz_1[j] + 2.0 * fl1_fx * (tg_xxxyyz_xxxyyzzz_0[j] - tg_xxxyyz_xxxyyzzz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_xxxxyyz_xxyyzzz_1[j];

                    tg_xxxxxyyz_xxxyzzzz_0[j] = pb_x * tg_xxxxyyz_xxxyzzzz_0[j] + fr * tg_xxxxyyz_xxxyzzzz_1[j] + 2.0 * fl1_fx * (tg_xxxyyz_xxxyzzzz_0[j] - tg_xxxyyz_xxxyzzzz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_xxxxyyz_xxyzzzz_1[j];

                    tg_xxxxxyyz_xxxzzzzz_0[j] = pb_x * tg_xxxxyyz_xxxzzzzz_0[j] + fr * tg_xxxxyyz_xxxzzzzz_1[j] + 2.0 * fl1_fx * (tg_xxxyyz_xxxzzzzz_0[j] - tg_xxxyyz_xxxzzzzz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_xxxxyyz_xxzzzzz_1[j];

                    tg_xxxxxyyz_xxyyyyyy_0[j] = pb_x * tg_xxxxyyz_xxyyyyyy_0[j] + fr * tg_xxxxyyz_xxyyyyyy_1[j] + 2.0 * fl1_fx * (tg_xxxyyz_xxyyyyyy_0[j] - tg_xxxyyz_xxyyyyyy_1[j] * fl1_fza) + fl1_fxn * tg_xxxxyyz_xyyyyyy_1[j];

                    tg_xxxxxyyz_xxyyyyyz_0[j] = pb_x * tg_xxxxyyz_xxyyyyyz_0[j] + fr * tg_xxxxyyz_xxyyyyyz_1[j] + 2.0 * fl1_fx * (tg_xxxyyz_xxyyyyyz_0[j] - tg_xxxyyz_xxyyyyyz_1[j] * fl1_fza) + fl1_fxn * tg_xxxxyyz_xyyyyyz_1[j];

                    tg_xxxxxyyz_xxyyyyzz_0[j] = pb_x * tg_xxxxyyz_xxyyyyzz_0[j] + fr * tg_xxxxyyz_xxyyyyzz_1[j] + 2.0 * fl1_fx * (tg_xxxyyz_xxyyyyzz_0[j] - tg_xxxyyz_xxyyyyzz_1[j] * fl1_fza) + fl1_fxn * tg_xxxxyyz_xyyyyzz_1[j];

                    tg_xxxxxyyz_xxyyyzzz_0[j] = pb_x * tg_xxxxyyz_xxyyyzzz_0[j] + fr * tg_xxxxyyz_xxyyyzzz_1[j] + 2.0 * fl1_fx * (tg_xxxyyz_xxyyyzzz_0[j] - tg_xxxyyz_xxyyyzzz_1[j] * fl1_fza) + fl1_fxn * tg_xxxxyyz_xyyyzzz_1[j];

                    tg_xxxxxyyz_xxyyzzzz_0[j] = pb_x * tg_xxxxyyz_xxyyzzzz_0[j] + fr * tg_xxxxyyz_xxyyzzzz_1[j] + 2.0 * fl1_fx * (tg_xxxyyz_xxyyzzzz_0[j] - tg_xxxyyz_xxyyzzzz_1[j] * fl1_fza) + fl1_fxn * tg_xxxxyyz_xyyzzzz_1[j];

                    tg_xxxxxyyz_xxyzzzzz_0[j] = pb_x * tg_xxxxyyz_xxyzzzzz_0[j] + fr * tg_xxxxyyz_xxyzzzzz_1[j] + 2.0 * fl1_fx * (tg_xxxyyz_xxyzzzzz_0[j] - tg_xxxyyz_xxyzzzzz_1[j] * fl1_fza) + fl1_fxn * tg_xxxxyyz_xyzzzzz_1[j];

                    tg_xxxxxyyz_xxzzzzzz_0[j] = pb_x * tg_xxxxyyz_xxzzzzzz_0[j] + fr * tg_xxxxyyz_xxzzzzzz_1[j] + 2.0 * fl1_fx * (tg_xxxyyz_xxzzzzzz_0[j] - tg_xxxyyz_xxzzzzzz_1[j] * fl1_fza) + fl1_fxn * tg_xxxxyyz_xzzzzzz_1[j];

                    tg_xxxxxyyz_xyyyyyyy_0[j] = pb_x * tg_xxxxyyz_xyyyyyyy_0[j] + fr * tg_xxxxyyz_xyyyyyyy_1[j] + 2.0 * fl1_fx * (tg_xxxyyz_xyyyyyyy_0[j] - tg_xxxyyz_xyyyyyyy_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xxxxyyz_yyyyyyy_1[j];

                    tg_xxxxxyyz_xyyyyyyz_0[j] = pb_x * tg_xxxxyyz_xyyyyyyz_0[j] + fr * tg_xxxxyyz_xyyyyyyz_1[j] + 2.0 * fl1_fx * (tg_xxxyyz_xyyyyyyz_0[j] - tg_xxxyyz_xyyyyyyz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xxxxyyz_yyyyyyz_1[j];

                    tg_xxxxxyyz_xyyyyyzz_0[j] = pb_x * tg_xxxxyyz_xyyyyyzz_0[j] + fr * tg_xxxxyyz_xyyyyyzz_1[j] + 2.0 * fl1_fx * (tg_xxxyyz_xyyyyyzz_0[j] - tg_xxxyyz_xyyyyyzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xxxxyyz_yyyyyzz_1[j];

                    tg_xxxxxyyz_xyyyyzzz_0[j] = pb_x * tg_xxxxyyz_xyyyyzzz_0[j] + fr * tg_xxxxyyz_xyyyyzzz_1[j] + 2.0 * fl1_fx * (tg_xxxyyz_xyyyyzzz_0[j] - tg_xxxyyz_xyyyyzzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xxxxyyz_yyyyzzz_1[j];

                    tg_xxxxxyyz_xyyyzzzz_0[j] = pb_x * tg_xxxxyyz_xyyyzzzz_0[j] + fr * tg_xxxxyyz_xyyyzzzz_1[j] + 2.0 * fl1_fx * (tg_xxxyyz_xyyyzzzz_0[j] - tg_xxxyyz_xyyyzzzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xxxxyyz_yyyzzzz_1[j];

                    tg_xxxxxyyz_xyyzzzzz_0[j] = pb_x * tg_xxxxyyz_xyyzzzzz_0[j] + fr * tg_xxxxyyz_xyyzzzzz_1[j] + 2.0 * fl1_fx * (tg_xxxyyz_xyyzzzzz_0[j] - tg_xxxyyz_xyyzzzzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xxxxyyz_yyzzzzz_1[j];

                    tg_xxxxxyyz_xyzzzzzz_0[j] = pb_x * tg_xxxxyyz_xyzzzzzz_0[j] + fr * tg_xxxxyyz_xyzzzzzz_1[j] + 2.0 * fl1_fx * (tg_xxxyyz_xyzzzzzz_0[j] - tg_xxxyyz_xyzzzzzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xxxxyyz_yzzzzzz_1[j];

                    tg_xxxxxyyz_xzzzzzzz_0[j] = pb_x * tg_xxxxyyz_xzzzzzzz_0[j] + fr * tg_xxxxyyz_xzzzzzzz_1[j] + 2.0 * fl1_fx * (tg_xxxyyz_xzzzzzzz_0[j] - tg_xxxyyz_xzzzzzzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xxxxyyz_zzzzzzz_1[j];

                    tg_xxxxxyyz_yyyyyyyy_0[j] = pb_x * tg_xxxxyyz_yyyyyyyy_0[j] + fr * tg_xxxxyyz_yyyyyyyy_1[j] + 2.0 * fl1_fx * (tg_xxxyyz_yyyyyyyy_0[j] - tg_xxxyyz_yyyyyyyy_1[j] * fl1_fza);

                    tg_xxxxxyyz_yyyyyyyz_0[j] = pb_x * tg_xxxxyyz_yyyyyyyz_0[j] + fr * tg_xxxxyyz_yyyyyyyz_1[j] + 2.0 * fl1_fx * (tg_xxxyyz_yyyyyyyz_0[j] - tg_xxxyyz_yyyyyyyz_1[j] * fl1_fza);

                    tg_xxxxxyyz_yyyyyyzz_0[j] = pb_x * tg_xxxxyyz_yyyyyyzz_0[j] + fr * tg_xxxxyyz_yyyyyyzz_1[j] + 2.0 * fl1_fx * (tg_xxxyyz_yyyyyyzz_0[j] - tg_xxxyyz_yyyyyyzz_1[j] * fl1_fza);

                    tg_xxxxxyyz_yyyyyzzz_0[j] = pb_x * tg_xxxxyyz_yyyyyzzz_0[j] + fr * tg_xxxxyyz_yyyyyzzz_1[j] + 2.0 * fl1_fx * (tg_xxxyyz_yyyyyzzz_0[j] - tg_xxxyyz_yyyyyzzz_1[j] * fl1_fza);

                    tg_xxxxxyyz_yyyyzzzz_0[j] = pb_x * tg_xxxxyyz_yyyyzzzz_0[j] + fr * tg_xxxxyyz_yyyyzzzz_1[j] + 2.0 * fl1_fx * (tg_xxxyyz_yyyyzzzz_0[j] - tg_xxxyyz_yyyyzzzz_1[j] * fl1_fza);

                    tg_xxxxxyyz_yyyzzzzz_0[j] = pb_x * tg_xxxxyyz_yyyzzzzz_0[j] + fr * tg_xxxxyyz_yyyzzzzz_1[j] + 2.0 * fl1_fx * (tg_xxxyyz_yyyzzzzz_0[j] - tg_xxxyyz_yyyzzzzz_1[j] * fl1_fza);

                    tg_xxxxxyyz_yyzzzzzz_0[j] = pb_x * tg_xxxxyyz_yyzzzzzz_0[j] + fr * tg_xxxxyyz_yyzzzzzz_1[j] + 2.0 * fl1_fx * (tg_xxxyyz_yyzzzzzz_0[j] - tg_xxxyyz_yyzzzzzz_1[j] * fl1_fza);

                    tg_xxxxxyyz_yzzzzzzz_0[j] = pb_x * tg_xxxxyyz_yzzzzzzz_0[j] + fr * tg_xxxxyyz_yzzzzzzz_1[j] + 2.0 * fl1_fx * (tg_xxxyyz_yzzzzzzz_0[j] - tg_xxxyyz_yzzzzzzz_1[j] * fl1_fza);

                    tg_xxxxxyyz_zzzzzzzz_0[j] = pb_x * tg_xxxxyyz_zzzzzzzz_0[j] + fr * tg_xxxxyyz_zzzzzzzz_1[j] + 2.0 * fl1_fx * (tg_xxxyyz_zzzzzzzz_0[j] - tg_xxxyyz_zzzzzzzz_1[j] * fl1_fza);

                    tg_xxxxxyzz_xxxxxxxx_0[j] = pb_x * tg_xxxxyzz_xxxxxxxx_0[j] + fr * tg_xxxxyzz_xxxxxxxx_1[j] + 2.0 * fl1_fx * (tg_xxxyzz_xxxxxxxx_0[j] - tg_xxxyzz_xxxxxxxx_1[j] * fl1_fza) + 4.0 * fl1_fxn * tg_xxxxyzz_xxxxxxx_1[j];

                    tg_xxxxxyzz_xxxxxxxy_0[j] = pb_x * tg_xxxxyzz_xxxxxxxy_0[j] + fr * tg_xxxxyzz_xxxxxxxy_1[j] + 2.0 * fl1_fx * (tg_xxxyzz_xxxxxxxy_0[j] - tg_xxxyzz_xxxxxxxy_1[j] * fl1_fza) + 3.5 * fl1_fxn * tg_xxxxyzz_xxxxxxy_1[j];

                    tg_xxxxxyzz_xxxxxxxz_0[j] = pb_x * tg_xxxxyzz_xxxxxxxz_0[j] + fr * tg_xxxxyzz_xxxxxxxz_1[j] + 2.0 * fl1_fx * (tg_xxxyzz_xxxxxxxz_0[j] - tg_xxxyzz_xxxxxxxz_1[j] * fl1_fza) + 3.5 * fl1_fxn * tg_xxxxyzz_xxxxxxz_1[j];

                    tg_xxxxxyzz_xxxxxxyy_0[j] = pb_x * tg_xxxxyzz_xxxxxxyy_0[j] + fr * tg_xxxxyzz_xxxxxxyy_1[j] + 2.0 * fl1_fx * (tg_xxxyzz_xxxxxxyy_0[j] - tg_xxxyzz_xxxxxxyy_1[j] * fl1_fza) + 3.0 * fl1_fxn * tg_xxxxyzz_xxxxxyy_1[j];

                    tg_xxxxxyzz_xxxxxxyz_0[j] = pb_x * tg_xxxxyzz_xxxxxxyz_0[j] + fr * tg_xxxxyzz_xxxxxxyz_1[j] + 2.0 * fl1_fx * (tg_xxxyzz_xxxxxxyz_0[j] - tg_xxxyzz_xxxxxxyz_1[j] * fl1_fza) + 3.0 * fl1_fxn * tg_xxxxyzz_xxxxxyz_1[j];

                    tg_xxxxxyzz_xxxxxxzz_0[j] = pb_x * tg_xxxxyzz_xxxxxxzz_0[j] + fr * tg_xxxxyzz_xxxxxxzz_1[j] + 2.0 * fl1_fx * (tg_xxxyzz_xxxxxxzz_0[j] - tg_xxxyzz_xxxxxxzz_1[j] * fl1_fza) + 3.0 * fl1_fxn * tg_xxxxyzz_xxxxxzz_1[j];

                    tg_xxxxxyzz_xxxxxyyy_0[j] = pb_x * tg_xxxxyzz_xxxxxyyy_0[j] + fr * tg_xxxxyzz_xxxxxyyy_1[j] + 2.0 * fl1_fx * (tg_xxxyzz_xxxxxyyy_0[j] - tg_xxxyzz_xxxxxyyy_1[j] * fl1_fza) + 2.5 * fl1_fxn * tg_xxxxyzz_xxxxyyy_1[j];

                    tg_xxxxxyzz_xxxxxyyz_0[j] = pb_x * tg_xxxxyzz_xxxxxyyz_0[j] + fr * tg_xxxxyzz_xxxxxyyz_1[j] + 2.0 * fl1_fx * (tg_xxxyzz_xxxxxyyz_0[j] - tg_xxxyzz_xxxxxyyz_1[j] * fl1_fza) + 2.5 * fl1_fxn * tg_xxxxyzz_xxxxyyz_1[j];

                    tg_xxxxxyzz_xxxxxyzz_0[j] = pb_x * tg_xxxxyzz_xxxxxyzz_0[j] + fr * tg_xxxxyzz_xxxxxyzz_1[j] + 2.0 * fl1_fx * (tg_xxxyzz_xxxxxyzz_0[j] - tg_xxxyzz_xxxxxyzz_1[j] * fl1_fza) + 2.5 * fl1_fxn * tg_xxxxyzz_xxxxyzz_1[j];

                    tg_xxxxxyzz_xxxxxzzz_0[j] = pb_x * tg_xxxxyzz_xxxxxzzz_0[j] + fr * tg_xxxxyzz_xxxxxzzz_1[j] + 2.0 * fl1_fx * (tg_xxxyzz_xxxxxzzz_0[j] - tg_xxxyzz_xxxxxzzz_1[j] * fl1_fza) + 2.5 * fl1_fxn * tg_xxxxyzz_xxxxzzz_1[j];

                    tg_xxxxxyzz_xxxxyyyy_0[j] = pb_x * tg_xxxxyzz_xxxxyyyy_0[j] + fr * tg_xxxxyzz_xxxxyyyy_1[j] + 2.0 * fl1_fx * (tg_xxxyzz_xxxxyyyy_0[j] - tg_xxxyzz_xxxxyyyy_1[j] * fl1_fza) + 2.0 * fl1_fxn * tg_xxxxyzz_xxxyyyy_1[j];

                    tg_xxxxxyzz_xxxxyyyz_0[j] = pb_x * tg_xxxxyzz_xxxxyyyz_0[j] + fr * tg_xxxxyzz_xxxxyyyz_1[j] + 2.0 * fl1_fx * (tg_xxxyzz_xxxxyyyz_0[j] - tg_xxxyzz_xxxxyyyz_1[j] * fl1_fza) + 2.0 * fl1_fxn * tg_xxxxyzz_xxxyyyz_1[j];

                    tg_xxxxxyzz_xxxxyyzz_0[j] = pb_x * tg_xxxxyzz_xxxxyyzz_0[j] + fr * tg_xxxxyzz_xxxxyyzz_1[j] + 2.0 * fl1_fx * (tg_xxxyzz_xxxxyyzz_0[j] - tg_xxxyzz_xxxxyyzz_1[j] * fl1_fza) + 2.0 * fl1_fxn * tg_xxxxyzz_xxxyyzz_1[j];

                    tg_xxxxxyzz_xxxxyzzz_0[j] = pb_x * tg_xxxxyzz_xxxxyzzz_0[j] + fr * tg_xxxxyzz_xxxxyzzz_1[j] + 2.0 * fl1_fx * (tg_xxxyzz_xxxxyzzz_0[j] - tg_xxxyzz_xxxxyzzz_1[j] * fl1_fza) + 2.0 * fl1_fxn * tg_xxxxyzz_xxxyzzz_1[j];

                    tg_xxxxxyzz_xxxxzzzz_0[j] = pb_x * tg_xxxxyzz_xxxxzzzz_0[j] + fr * tg_xxxxyzz_xxxxzzzz_1[j] + 2.0 * fl1_fx * (tg_xxxyzz_xxxxzzzz_0[j] - tg_xxxyzz_xxxxzzzz_1[j] * fl1_fza) + 2.0 * fl1_fxn * tg_xxxxyzz_xxxzzzz_1[j];

                    tg_xxxxxyzz_xxxyyyyy_0[j] = pb_x * tg_xxxxyzz_xxxyyyyy_0[j] + fr * tg_xxxxyzz_xxxyyyyy_1[j] + 2.0 * fl1_fx * (tg_xxxyzz_xxxyyyyy_0[j] - tg_xxxyzz_xxxyyyyy_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_xxxxyzz_xxyyyyy_1[j];

                    tg_xxxxxyzz_xxxyyyyz_0[j] = pb_x * tg_xxxxyzz_xxxyyyyz_0[j] + fr * tg_xxxxyzz_xxxyyyyz_1[j] + 2.0 * fl1_fx * (tg_xxxyzz_xxxyyyyz_0[j] - tg_xxxyzz_xxxyyyyz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_xxxxyzz_xxyyyyz_1[j];

                    tg_xxxxxyzz_xxxyyyzz_0[j] = pb_x * tg_xxxxyzz_xxxyyyzz_0[j] + fr * tg_xxxxyzz_xxxyyyzz_1[j] + 2.0 * fl1_fx * (tg_xxxyzz_xxxyyyzz_0[j] - tg_xxxyzz_xxxyyyzz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_xxxxyzz_xxyyyzz_1[j];

                    tg_xxxxxyzz_xxxyyzzz_0[j] = pb_x * tg_xxxxyzz_xxxyyzzz_0[j] + fr * tg_xxxxyzz_xxxyyzzz_1[j] + 2.0 * fl1_fx * (tg_xxxyzz_xxxyyzzz_0[j] - tg_xxxyzz_xxxyyzzz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_xxxxyzz_xxyyzzz_1[j];

                    tg_xxxxxyzz_xxxyzzzz_0[j] = pb_x * tg_xxxxyzz_xxxyzzzz_0[j] + fr * tg_xxxxyzz_xxxyzzzz_1[j] + 2.0 * fl1_fx * (tg_xxxyzz_xxxyzzzz_0[j] - tg_xxxyzz_xxxyzzzz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_xxxxyzz_xxyzzzz_1[j];

                    tg_xxxxxyzz_xxxzzzzz_0[j] = pb_x * tg_xxxxyzz_xxxzzzzz_0[j] + fr * tg_xxxxyzz_xxxzzzzz_1[j] + 2.0 * fl1_fx * (tg_xxxyzz_xxxzzzzz_0[j] - tg_xxxyzz_xxxzzzzz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_xxxxyzz_xxzzzzz_1[j];

                    tg_xxxxxyzz_xxyyyyyy_0[j] = pb_x * tg_xxxxyzz_xxyyyyyy_0[j] + fr * tg_xxxxyzz_xxyyyyyy_1[j] + 2.0 * fl1_fx * (tg_xxxyzz_xxyyyyyy_0[j] - tg_xxxyzz_xxyyyyyy_1[j] * fl1_fza) + fl1_fxn * tg_xxxxyzz_xyyyyyy_1[j];

                    tg_xxxxxyzz_xxyyyyyz_0[j] = pb_x * tg_xxxxyzz_xxyyyyyz_0[j] + fr * tg_xxxxyzz_xxyyyyyz_1[j] + 2.0 * fl1_fx * (tg_xxxyzz_xxyyyyyz_0[j] - tg_xxxyzz_xxyyyyyz_1[j] * fl1_fza) + fl1_fxn * tg_xxxxyzz_xyyyyyz_1[j];

                    tg_xxxxxyzz_xxyyyyzz_0[j] = pb_x * tg_xxxxyzz_xxyyyyzz_0[j] + fr * tg_xxxxyzz_xxyyyyzz_1[j] + 2.0 * fl1_fx * (tg_xxxyzz_xxyyyyzz_0[j] - tg_xxxyzz_xxyyyyzz_1[j] * fl1_fza) + fl1_fxn * tg_xxxxyzz_xyyyyzz_1[j];

                    tg_xxxxxyzz_xxyyyzzz_0[j] = pb_x * tg_xxxxyzz_xxyyyzzz_0[j] + fr * tg_xxxxyzz_xxyyyzzz_1[j] + 2.0 * fl1_fx * (tg_xxxyzz_xxyyyzzz_0[j] - tg_xxxyzz_xxyyyzzz_1[j] * fl1_fza) + fl1_fxn * tg_xxxxyzz_xyyyzzz_1[j];

                    tg_xxxxxyzz_xxyyzzzz_0[j] = pb_x * tg_xxxxyzz_xxyyzzzz_0[j] + fr * tg_xxxxyzz_xxyyzzzz_1[j] + 2.0 * fl1_fx * (tg_xxxyzz_xxyyzzzz_0[j] - tg_xxxyzz_xxyyzzzz_1[j] * fl1_fza) + fl1_fxn * tg_xxxxyzz_xyyzzzz_1[j];

                    tg_xxxxxyzz_xxyzzzzz_0[j] = pb_x * tg_xxxxyzz_xxyzzzzz_0[j] + fr * tg_xxxxyzz_xxyzzzzz_1[j] + 2.0 * fl1_fx * (tg_xxxyzz_xxyzzzzz_0[j] - tg_xxxyzz_xxyzzzzz_1[j] * fl1_fza) + fl1_fxn * tg_xxxxyzz_xyzzzzz_1[j];

                    tg_xxxxxyzz_xxzzzzzz_0[j] = pb_x * tg_xxxxyzz_xxzzzzzz_0[j] + fr * tg_xxxxyzz_xxzzzzzz_1[j] + 2.0 * fl1_fx * (tg_xxxyzz_xxzzzzzz_0[j] - tg_xxxyzz_xxzzzzzz_1[j] * fl1_fza) + fl1_fxn * tg_xxxxyzz_xzzzzzz_1[j];
                }

                idx++;
            }
        }
    }

    void
    compElectronRepulsionForSLSL_388_485(      CMemBlock2D<double>* primBuffer,
                                         const CRecursionMap&       recursionMap,
                                         const CMemBlock2D<double>& osFactors,
                                         const CMemBlock2D<double>& wpDistances,
                                         const CGtoPairsBlock&      braGtoPairsBlock,
                                         const CGtoPairsBlock&      ketGtoPairsBlock,
                                         const int32_t              nKetPrimPairs,
                                         const int32_t              iContrPair)
    {
        // Batch of Integrals (388,485)

        // set up pointers to primitives data on bra side

        auto spos = braGtoPairsBlock.getStartPositions();

        auto epos = braGtoPairsBlock.getEndPositions();

        // set up pointers to tensor of distance R(PB) = P - B

        auto r_pb_x = braGtoPairsBlock.getDistancesPBX();

        // set up pointers to common Obara-Saika factors

        auto b_fx = braGtoPairsBlock.getFactorsOneOverXi();

        // set up maximum order of integral

        auto mord = recursionMap.getMaxOrder({"Electron Repulsion"},
                                             {8, -1, -1, -1},
                                             {8, -1, -1, -1},
                                             1, 1);

        for (int32_t iord = 0; iord <= mord; iord++)
        {
            // set up index of integral

            auto pidx_g_8_8_m0 = recursionMap.index(CRecursionTerm({"Electron Repulsion"}, 0, true, 
                                                                   {8, -1, -1, -1}, {8, -1, -1, -1}, 
                                                                   1, 1, iord));

            // check if integral is needed in recursion expansion

            if (pidx_g_8_8_m0 == -1) continue;

            // set up indexes of auxilary integral

            auto pidx_g_7_8_m0 = recursionMap.index(CRecursionTerm({"Electron Repulsion"}, 0, true, 
                                                                   {7, -1, -1, -1}, {8, -1, -1, -1}, 
                                                                   1, 1, iord));

            auto pidx_g_7_8_m1 = recursionMap.index(CRecursionTerm({"Electron Repulsion"}, 0, true, 
                                                                   {7, -1, -1, -1}, {8, -1, -1, -1}, 
                                                                   1, 1, iord + 1));

            auto pidx_g_6_8_m0 = recursionMap.index(CRecursionTerm({"Electron Repulsion"}, 0, true, 
                                                                   {6, -1, -1, -1}, {8, -1, -1, -1}, 
                                                                   1, 1, iord));

            auto pidx_g_6_8_m1 = recursionMap.index(CRecursionTerm({"Electron Repulsion"}, 0, true, 
                                                                   {6, -1, -1, -1}, {8, -1, -1, -1}, 
                                                                   1, 1, iord + 1));

            auto pidx_g_7_7_m1 = recursionMap.index(CRecursionTerm({"Electron Repulsion"}, 0, true, 
                                                                   {7, -1, -1, -1}, {7, -1, -1, -1}, 
                                                                   1, 1, iord + 1));

            // loop over contracted GTO on bra side

            int32_t idx = 0;

            for (int32_t i = spos[iContrPair]; i < epos[iContrPair]; i++)
            {
                // set up pointers to Obara-Saika factors

                double fx = b_fx[i];

                auto fza = osFactors.data(4 * idx + 2);

                auto fxn = osFactors.data(4 * idx);

                // set up distances R(PB) = P - B

                auto pb_x = r_pb_x[i];

                // set up pointers to tensors product of distances R(WP) = W - P

                auto wp_x = wpDistances.data(3 * idx);

                // set up pointers to auxilary integrals

                auto tg_xxxxyzz_xyyyyyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 388); 

                auto tg_xxxxyzz_xyyyyyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 389); 

                auto tg_xxxxyzz_xyyyyyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 390); 

                auto tg_xxxxyzz_xyyyyzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 391); 

                auto tg_xxxxyzz_xyyyzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 392); 

                auto tg_xxxxyzz_xyyzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 393); 

                auto tg_xxxxyzz_xyzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 394); 

                auto tg_xxxxyzz_xzzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 395); 

                auto tg_xxxxyzz_yyyyyyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 396); 

                auto tg_xxxxyzz_yyyyyyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 397); 

                auto tg_xxxxyzz_yyyyyyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 398); 

                auto tg_xxxxyzz_yyyyyzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 399); 

                auto tg_xxxxyzz_yyyyzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 400); 

                auto tg_xxxxyzz_yyyzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 401); 

                auto tg_xxxxyzz_yyzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 402); 

                auto tg_xxxxyzz_yzzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 403); 

                auto tg_xxxxyzz_zzzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 404); 

                auto tg_xxxxzzz_xxxxxxxx_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 405); 

                auto tg_xxxxzzz_xxxxxxxy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 406); 

                auto tg_xxxxzzz_xxxxxxxz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 407); 

                auto tg_xxxxzzz_xxxxxxyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 408); 

                auto tg_xxxxzzz_xxxxxxyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 409); 

                auto tg_xxxxzzz_xxxxxxzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 410); 

                auto tg_xxxxzzz_xxxxxyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 411); 

                auto tg_xxxxzzz_xxxxxyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 412); 

                auto tg_xxxxzzz_xxxxxyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 413); 

                auto tg_xxxxzzz_xxxxxzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 414); 

                auto tg_xxxxzzz_xxxxyyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 415); 

                auto tg_xxxxzzz_xxxxyyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 416); 

                auto tg_xxxxzzz_xxxxyyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 417); 

                auto tg_xxxxzzz_xxxxyzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 418); 

                auto tg_xxxxzzz_xxxxzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 419); 

                auto tg_xxxxzzz_xxxyyyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 420); 

                auto tg_xxxxzzz_xxxyyyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 421); 

                auto tg_xxxxzzz_xxxyyyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 422); 

                auto tg_xxxxzzz_xxxyyzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 423); 

                auto tg_xxxxzzz_xxxyzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 424); 

                auto tg_xxxxzzz_xxxzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 425); 

                auto tg_xxxxzzz_xxyyyyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 426); 

                auto tg_xxxxzzz_xxyyyyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 427); 

                auto tg_xxxxzzz_xxyyyyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 428); 

                auto tg_xxxxzzz_xxyyyzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 429); 

                auto tg_xxxxzzz_xxyyzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 430); 

                auto tg_xxxxzzz_xxyzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 431); 

                auto tg_xxxxzzz_xxzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 432); 

                auto tg_xxxxzzz_xyyyyyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 433); 

                auto tg_xxxxzzz_xyyyyyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 434); 

                auto tg_xxxxzzz_xyyyyyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 435); 

                auto tg_xxxxzzz_xyyyyzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 436); 

                auto tg_xxxxzzz_xyyyzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 437); 

                auto tg_xxxxzzz_xyyzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 438); 

                auto tg_xxxxzzz_xyzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 439); 

                auto tg_xxxxzzz_xzzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 440); 

                auto tg_xxxxzzz_yyyyyyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 441); 

                auto tg_xxxxzzz_yyyyyyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 442); 

                auto tg_xxxxzzz_yyyyyyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 443); 

                auto tg_xxxxzzz_yyyyyzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 444); 

                auto tg_xxxxzzz_yyyyzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 445); 

                auto tg_xxxxzzz_yyyzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 446); 

                auto tg_xxxxzzz_yyzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 447); 

                auto tg_xxxxzzz_yzzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 448); 

                auto tg_xxxxzzz_zzzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 449); 

                auto tg_xxxyyyy_xxxxxxxx_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 450); 

                auto tg_xxxyyyy_xxxxxxxy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 451); 

                auto tg_xxxyyyy_xxxxxxxz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 452); 

                auto tg_xxxyyyy_xxxxxxyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 453); 

                auto tg_xxxyyyy_xxxxxxyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 454); 

                auto tg_xxxyyyy_xxxxxxzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 455); 

                auto tg_xxxyyyy_xxxxxyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 456); 

                auto tg_xxxyyyy_xxxxxyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 457); 

                auto tg_xxxyyyy_xxxxxyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 458); 

                auto tg_xxxyyyy_xxxxxzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 459); 

                auto tg_xxxyyyy_xxxxyyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 460); 

                auto tg_xxxyyyy_xxxxyyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 461); 

                auto tg_xxxyyyy_xxxxyyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 462); 

                auto tg_xxxyyyy_xxxxyzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 463); 

                auto tg_xxxyyyy_xxxxzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 464); 

                auto tg_xxxyyyy_xxxyyyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 465); 

                auto tg_xxxyyyy_xxxyyyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 466); 

                auto tg_xxxyyyy_xxxyyyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 467); 

                auto tg_xxxyyyy_xxxyyzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 468); 

                auto tg_xxxyyyy_xxxyzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 469); 

                auto tg_xxxyyyy_xxxzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 470); 

                auto tg_xxxyyyy_xxyyyyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 471); 

                auto tg_xxxyyyy_xxyyyyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 472); 

                auto tg_xxxyyyy_xxyyyyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 473); 

                auto tg_xxxyyyy_xxyyyzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 474); 

                auto tg_xxxyyyy_xxyyzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 475); 

                auto tg_xxxyyyy_xxyzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 476); 

                auto tg_xxxyyyy_xxzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 477); 

                auto tg_xxxyyyy_xyyyyyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 478); 

                auto tg_xxxyyyy_xyyyyyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 479); 

                auto tg_xxxyyyy_xyyyyyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 480); 

                auto tg_xxxyyyy_xyyyyzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 481); 

                auto tg_xxxyyyy_xyyyzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 482); 

                auto tg_xxxyyyy_xyyzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 483); 

                auto tg_xxxyyyy_xyzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 484); 

                auto tg_xxxxyzz_xyyyyyyy_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 388); 

                auto tg_xxxxyzz_xyyyyyyz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 389); 

                auto tg_xxxxyzz_xyyyyyzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 390); 

                auto tg_xxxxyzz_xyyyyzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 391); 

                auto tg_xxxxyzz_xyyyzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 392); 

                auto tg_xxxxyzz_xyyzzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 393); 

                auto tg_xxxxyzz_xyzzzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 394); 

                auto tg_xxxxyzz_xzzzzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 395); 

                auto tg_xxxxyzz_yyyyyyyy_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 396); 

                auto tg_xxxxyzz_yyyyyyyz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 397); 

                auto tg_xxxxyzz_yyyyyyzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 398); 

                auto tg_xxxxyzz_yyyyyzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 399); 

                auto tg_xxxxyzz_yyyyzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 400); 

                auto tg_xxxxyzz_yyyzzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 401); 

                auto tg_xxxxyzz_yyzzzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 402); 

                auto tg_xxxxyzz_yzzzzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 403); 

                auto tg_xxxxyzz_zzzzzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 404); 

                auto tg_xxxxzzz_xxxxxxxx_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 405); 

                auto tg_xxxxzzz_xxxxxxxy_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 406); 

                auto tg_xxxxzzz_xxxxxxxz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 407); 

                auto tg_xxxxzzz_xxxxxxyy_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 408); 

                auto tg_xxxxzzz_xxxxxxyz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 409); 

                auto tg_xxxxzzz_xxxxxxzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 410); 

                auto tg_xxxxzzz_xxxxxyyy_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 411); 

                auto tg_xxxxzzz_xxxxxyyz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 412); 

                auto tg_xxxxzzz_xxxxxyzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 413); 

                auto tg_xxxxzzz_xxxxxzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 414); 

                auto tg_xxxxzzz_xxxxyyyy_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 415); 

                auto tg_xxxxzzz_xxxxyyyz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 416); 

                auto tg_xxxxzzz_xxxxyyzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 417); 

                auto tg_xxxxzzz_xxxxyzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 418); 

                auto tg_xxxxzzz_xxxxzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 419); 

                auto tg_xxxxzzz_xxxyyyyy_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 420); 

                auto tg_xxxxzzz_xxxyyyyz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 421); 

                auto tg_xxxxzzz_xxxyyyzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 422); 

                auto tg_xxxxzzz_xxxyyzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 423); 

                auto tg_xxxxzzz_xxxyzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 424); 

                auto tg_xxxxzzz_xxxzzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 425); 

                auto tg_xxxxzzz_xxyyyyyy_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 426); 

                auto tg_xxxxzzz_xxyyyyyz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 427); 

                auto tg_xxxxzzz_xxyyyyzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 428); 

                auto tg_xxxxzzz_xxyyyzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 429); 

                auto tg_xxxxzzz_xxyyzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 430); 

                auto tg_xxxxzzz_xxyzzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 431); 

                auto tg_xxxxzzz_xxzzzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 432); 

                auto tg_xxxxzzz_xyyyyyyy_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 433); 

                auto tg_xxxxzzz_xyyyyyyz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 434); 

                auto tg_xxxxzzz_xyyyyyzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 435); 

                auto tg_xxxxzzz_xyyyyzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 436); 

                auto tg_xxxxzzz_xyyyzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 437); 

                auto tg_xxxxzzz_xyyzzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 438); 

                auto tg_xxxxzzz_xyzzzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 439); 

                auto tg_xxxxzzz_xzzzzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 440); 

                auto tg_xxxxzzz_yyyyyyyy_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 441); 

                auto tg_xxxxzzz_yyyyyyyz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 442); 

                auto tg_xxxxzzz_yyyyyyzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 443); 

                auto tg_xxxxzzz_yyyyyzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 444); 

                auto tg_xxxxzzz_yyyyzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 445); 

                auto tg_xxxxzzz_yyyzzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 446); 

                auto tg_xxxxzzz_yyzzzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 447); 

                auto tg_xxxxzzz_yzzzzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 448); 

                auto tg_xxxxzzz_zzzzzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 449); 

                auto tg_xxxyyyy_xxxxxxxx_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 450); 

                auto tg_xxxyyyy_xxxxxxxy_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 451); 

                auto tg_xxxyyyy_xxxxxxxz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 452); 

                auto tg_xxxyyyy_xxxxxxyy_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 453); 

                auto tg_xxxyyyy_xxxxxxyz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 454); 

                auto tg_xxxyyyy_xxxxxxzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 455); 

                auto tg_xxxyyyy_xxxxxyyy_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 456); 

                auto tg_xxxyyyy_xxxxxyyz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 457); 

                auto tg_xxxyyyy_xxxxxyzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 458); 

                auto tg_xxxyyyy_xxxxxzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 459); 

                auto tg_xxxyyyy_xxxxyyyy_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 460); 

                auto tg_xxxyyyy_xxxxyyyz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 461); 

                auto tg_xxxyyyy_xxxxyyzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 462); 

                auto tg_xxxyyyy_xxxxyzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 463); 

                auto tg_xxxyyyy_xxxxzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 464); 

                auto tg_xxxyyyy_xxxyyyyy_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 465); 

                auto tg_xxxyyyy_xxxyyyyz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 466); 

                auto tg_xxxyyyy_xxxyyyzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 467); 

                auto tg_xxxyyyy_xxxyyzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 468); 

                auto tg_xxxyyyy_xxxyzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 469); 

                auto tg_xxxyyyy_xxxzzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 470); 

                auto tg_xxxyyyy_xxyyyyyy_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 471); 

                auto tg_xxxyyyy_xxyyyyyz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 472); 

                auto tg_xxxyyyy_xxyyyyzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 473); 

                auto tg_xxxyyyy_xxyyyzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 474); 

                auto tg_xxxyyyy_xxyyzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 475); 

                auto tg_xxxyyyy_xxyzzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 476); 

                auto tg_xxxyyyy_xxzzzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 477); 

                auto tg_xxxyyyy_xyyyyyyy_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 478); 

                auto tg_xxxyyyy_xyyyyyyz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 479); 

                auto tg_xxxyyyy_xyyyyyzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 480); 

                auto tg_xxxyyyy_xyyyyzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 481); 

                auto tg_xxxyyyy_xyyyzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 482); 

                auto tg_xxxyyyy_xyyzzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 483); 

                auto tg_xxxyyyy_xyzzzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 484); 

                auto tg_xxxyzz_xyyyyyyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 388); 

                auto tg_xxxyzz_xyyyyyyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 389); 

                auto tg_xxxyzz_xyyyyyzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 390); 

                auto tg_xxxyzz_xyyyyzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 391); 

                auto tg_xxxyzz_xyyyzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 392); 

                auto tg_xxxyzz_xyyzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 393); 

                auto tg_xxxyzz_xyzzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 394); 

                auto tg_xxxyzz_xzzzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 395); 

                auto tg_xxxyzz_yyyyyyyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 396); 

                auto tg_xxxyzz_yyyyyyyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 397); 

                auto tg_xxxyzz_yyyyyyzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 398); 

                auto tg_xxxyzz_yyyyyzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 399); 

                auto tg_xxxyzz_yyyyzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 400); 

                auto tg_xxxyzz_yyyzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 401); 

                auto tg_xxxyzz_yyzzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 402); 

                auto tg_xxxyzz_yzzzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 403); 

                auto tg_xxxyzz_zzzzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 404); 

                auto tg_xxxzzz_xxxxxxxx_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 405); 

                auto tg_xxxzzz_xxxxxxxy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 406); 

                auto tg_xxxzzz_xxxxxxxz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 407); 

                auto tg_xxxzzz_xxxxxxyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 408); 

                auto tg_xxxzzz_xxxxxxyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 409); 

                auto tg_xxxzzz_xxxxxxzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 410); 

                auto tg_xxxzzz_xxxxxyyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 411); 

                auto tg_xxxzzz_xxxxxyyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 412); 

                auto tg_xxxzzz_xxxxxyzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 413); 

                auto tg_xxxzzz_xxxxxzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 414); 

                auto tg_xxxzzz_xxxxyyyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 415); 

                auto tg_xxxzzz_xxxxyyyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 416); 

                auto tg_xxxzzz_xxxxyyzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 417); 

                auto tg_xxxzzz_xxxxyzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 418); 

                auto tg_xxxzzz_xxxxzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 419); 

                auto tg_xxxzzz_xxxyyyyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 420); 

                auto tg_xxxzzz_xxxyyyyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 421); 

                auto tg_xxxzzz_xxxyyyzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 422); 

                auto tg_xxxzzz_xxxyyzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 423); 

                auto tg_xxxzzz_xxxyzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 424); 

                auto tg_xxxzzz_xxxzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 425); 

                auto tg_xxxzzz_xxyyyyyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 426); 

                auto tg_xxxzzz_xxyyyyyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 427); 

                auto tg_xxxzzz_xxyyyyzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 428); 

                auto tg_xxxzzz_xxyyyzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 429); 

                auto tg_xxxzzz_xxyyzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 430); 

                auto tg_xxxzzz_xxyzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 431); 

                auto tg_xxxzzz_xxzzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 432); 

                auto tg_xxxzzz_xyyyyyyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 433); 

                auto tg_xxxzzz_xyyyyyyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 434); 

                auto tg_xxxzzz_xyyyyyzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 435); 

                auto tg_xxxzzz_xyyyyzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 436); 

                auto tg_xxxzzz_xyyyzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 437); 

                auto tg_xxxzzz_xyyzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 438); 

                auto tg_xxxzzz_xyzzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 439); 

                auto tg_xxxzzz_xzzzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 440); 

                auto tg_xxxzzz_yyyyyyyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 441); 

                auto tg_xxxzzz_yyyyyyyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 442); 

                auto tg_xxxzzz_yyyyyyzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 443); 

                auto tg_xxxzzz_yyyyyzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 444); 

                auto tg_xxxzzz_yyyyzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 445); 

                auto tg_xxxzzz_yyyzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 446); 

                auto tg_xxxzzz_yyzzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 447); 

                auto tg_xxxzzz_yzzzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 448); 

                auto tg_xxxzzz_zzzzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 449); 

                auto tg_xxyyyy_xxxxxxxx_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 450); 

                auto tg_xxyyyy_xxxxxxxy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 451); 

                auto tg_xxyyyy_xxxxxxxz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 452); 

                auto tg_xxyyyy_xxxxxxyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 453); 

                auto tg_xxyyyy_xxxxxxyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 454); 

                auto tg_xxyyyy_xxxxxxzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 455); 

                auto tg_xxyyyy_xxxxxyyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 456); 

                auto tg_xxyyyy_xxxxxyyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 457); 

                auto tg_xxyyyy_xxxxxyzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 458); 

                auto tg_xxyyyy_xxxxxzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 459); 

                auto tg_xxyyyy_xxxxyyyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 460); 

                auto tg_xxyyyy_xxxxyyyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 461); 

                auto tg_xxyyyy_xxxxyyzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 462); 

                auto tg_xxyyyy_xxxxyzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 463); 

                auto tg_xxyyyy_xxxxzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 464); 

                auto tg_xxyyyy_xxxyyyyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 465); 

                auto tg_xxyyyy_xxxyyyyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 466); 

                auto tg_xxyyyy_xxxyyyzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 467); 

                auto tg_xxyyyy_xxxyyzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 468); 

                auto tg_xxyyyy_xxxyzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 469); 

                auto tg_xxyyyy_xxxzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 470); 

                auto tg_xxyyyy_xxyyyyyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 471); 

                auto tg_xxyyyy_xxyyyyyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 472); 

                auto tg_xxyyyy_xxyyyyzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 473); 

                auto tg_xxyyyy_xxyyyzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 474); 

                auto tg_xxyyyy_xxyyzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 475); 

                auto tg_xxyyyy_xxyzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 476); 

                auto tg_xxyyyy_xxzzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 477); 

                auto tg_xxyyyy_xyyyyyyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 478); 

                auto tg_xxyyyy_xyyyyyyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 479); 

                auto tg_xxyyyy_xyyyyyzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 480); 

                auto tg_xxyyyy_xyyyyzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 481); 

                auto tg_xxyyyy_xyyyzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 482); 

                auto tg_xxyyyy_xyyzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 483); 

                auto tg_xxyyyy_xyzzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 484); 

                auto tg_xxxyzz_xyyyyyyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 388); 

                auto tg_xxxyzz_xyyyyyyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 389); 

                auto tg_xxxyzz_xyyyyyzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 390); 

                auto tg_xxxyzz_xyyyyzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 391); 

                auto tg_xxxyzz_xyyyzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 392); 

                auto tg_xxxyzz_xyyzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 393); 

                auto tg_xxxyzz_xyzzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 394); 

                auto tg_xxxyzz_xzzzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 395); 

                auto tg_xxxyzz_yyyyyyyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 396); 

                auto tg_xxxyzz_yyyyyyyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 397); 

                auto tg_xxxyzz_yyyyyyzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 398); 

                auto tg_xxxyzz_yyyyyzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 399); 

                auto tg_xxxyzz_yyyyzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 400); 

                auto tg_xxxyzz_yyyzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 401); 

                auto tg_xxxyzz_yyzzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 402); 

                auto tg_xxxyzz_yzzzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 403); 

                auto tg_xxxyzz_zzzzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 404); 

                auto tg_xxxzzz_xxxxxxxx_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 405); 

                auto tg_xxxzzz_xxxxxxxy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 406); 

                auto tg_xxxzzz_xxxxxxxz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 407); 

                auto tg_xxxzzz_xxxxxxyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 408); 

                auto tg_xxxzzz_xxxxxxyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 409); 

                auto tg_xxxzzz_xxxxxxzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 410); 

                auto tg_xxxzzz_xxxxxyyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 411); 

                auto tg_xxxzzz_xxxxxyyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 412); 

                auto tg_xxxzzz_xxxxxyzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 413); 

                auto tg_xxxzzz_xxxxxzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 414); 

                auto tg_xxxzzz_xxxxyyyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 415); 

                auto tg_xxxzzz_xxxxyyyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 416); 

                auto tg_xxxzzz_xxxxyyzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 417); 

                auto tg_xxxzzz_xxxxyzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 418); 

                auto tg_xxxzzz_xxxxzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 419); 

                auto tg_xxxzzz_xxxyyyyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 420); 

                auto tg_xxxzzz_xxxyyyyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 421); 

                auto tg_xxxzzz_xxxyyyzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 422); 

                auto tg_xxxzzz_xxxyyzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 423); 

                auto tg_xxxzzz_xxxyzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 424); 

                auto tg_xxxzzz_xxxzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 425); 

                auto tg_xxxzzz_xxyyyyyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 426); 

                auto tg_xxxzzz_xxyyyyyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 427); 

                auto tg_xxxzzz_xxyyyyzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 428); 

                auto tg_xxxzzz_xxyyyzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 429); 

                auto tg_xxxzzz_xxyyzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 430); 

                auto tg_xxxzzz_xxyzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 431); 

                auto tg_xxxzzz_xxzzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 432); 

                auto tg_xxxzzz_xyyyyyyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 433); 

                auto tg_xxxzzz_xyyyyyyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 434); 

                auto tg_xxxzzz_xyyyyyzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 435); 

                auto tg_xxxzzz_xyyyyzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 436); 

                auto tg_xxxzzz_xyyyzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 437); 

                auto tg_xxxzzz_xyyzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 438); 

                auto tg_xxxzzz_xyzzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 439); 

                auto tg_xxxzzz_xzzzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 440); 

                auto tg_xxxzzz_yyyyyyyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 441); 

                auto tg_xxxzzz_yyyyyyyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 442); 

                auto tg_xxxzzz_yyyyyyzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 443); 

                auto tg_xxxzzz_yyyyyzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 444); 

                auto tg_xxxzzz_yyyyzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 445); 

                auto tg_xxxzzz_yyyzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 446); 

                auto tg_xxxzzz_yyzzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 447); 

                auto tg_xxxzzz_yzzzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 448); 

                auto tg_xxxzzz_zzzzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 449); 

                auto tg_xxyyyy_xxxxxxxx_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 450); 

                auto tg_xxyyyy_xxxxxxxy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 451); 

                auto tg_xxyyyy_xxxxxxxz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 452); 

                auto tg_xxyyyy_xxxxxxyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 453); 

                auto tg_xxyyyy_xxxxxxyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 454); 

                auto tg_xxyyyy_xxxxxxzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 455); 

                auto tg_xxyyyy_xxxxxyyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 456); 

                auto tg_xxyyyy_xxxxxyyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 457); 

                auto tg_xxyyyy_xxxxxyzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 458); 

                auto tg_xxyyyy_xxxxxzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 459); 

                auto tg_xxyyyy_xxxxyyyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 460); 

                auto tg_xxyyyy_xxxxyyyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 461); 

                auto tg_xxyyyy_xxxxyyzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 462); 

                auto tg_xxyyyy_xxxxyzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 463); 

                auto tg_xxyyyy_xxxxzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 464); 

                auto tg_xxyyyy_xxxyyyyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 465); 

                auto tg_xxyyyy_xxxyyyyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 466); 

                auto tg_xxyyyy_xxxyyyzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 467); 

                auto tg_xxyyyy_xxxyyzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 468); 

                auto tg_xxyyyy_xxxyzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 469); 

                auto tg_xxyyyy_xxxzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 470); 

                auto tg_xxyyyy_xxyyyyyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 471); 

                auto tg_xxyyyy_xxyyyyyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 472); 

                auto tg_xxyyyy_xxyyyyzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 473); 

                auto tg_xxyyyy_xxyyyzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 474); 

                auto tg_xxyyyy_xxyyzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 475); 

                auto tg_xxyyyy_xxyzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 476); 

                auto tg_xxyyyy_xxzzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 477); 

                auto tg_xxyyyy_xyyyyyyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 478); 

                auto tg_xxyyyy_xyyyyyyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 479); 

                auto tg_xxyyyy_xyyyyyzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 480); 

                auto tg_xxyyyy_xyyyyzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 481); 

                auto tg_xxyyyy_xyyyzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 482); 

                auto tg_xxyyyy_xyyzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 483); 

                auto tg_xxyyyy_xyzzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 484); 

                auto tg_xxxxyzz_yyyyyyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 316); 

                auto tg_xxxxyzz_yyyyyyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 317); 

                auto tg_xxxxyzz_yyyyyzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 318); 

                auto tg_xxxxyzz_yyyyzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 319); 

                auto tg_xxxxyzz_yyyzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 320); 

                auto tg_xxxxyzz_yyzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 321); 

                auto tg_xxxxyzz_yzzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 322); 

                auto tg_xxxxyzz_zzzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 323); 

                auto tg_xxxxzzz_xxxxxxx_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 324); 

                auto tg_xxxxzzz_xxxxxxy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 325); 

                auto tg_xxxxzzz_xxxxxxz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 326); 

                auto tg_xxxxzzz_xxxxxyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 327); 

                auto tg_xxxxzzz_xxxxxyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 328); 

                auto tg_xxxxzzz_xxxxxzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 329); 

                auto tg_xxxxzzz_xxxxyyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 330); 

                auto tg_xxxxzzz_xxxxyyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 331); 

                auto tg_xxxxzzz_xxxxyzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 332); 

                auto tg_xxxxzzz_xxxxzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 333); 

                auto tg_xxxxzzz_xxxyyyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 334); 

                auto tg_xxxxzzz_xxxyyyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 335); 

                auto tg_xxxxzzz_xxxyyzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 336); 

                auto tg_xxxxzzz_xxxyzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 337); 

                auto tg_xxxxzzz_xxxzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 338); 

                auto tg_xxxxzzz_xxyyyyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 339); 

                auto tg_xxxxzzz_xxyyyyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 340); 

                auto tg_xxxxzzz_xxyyyzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 341); 

                auto tg_xxxxzzz_xxyyzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 342); 

                auto tg_xxxxzzz_xxyzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 343); 

                auto tg_xxxxzzz_xxzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 344); 

                auto tg_xxxxzzz_xyyyyyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 345); 

                auto tg_xxxxzzz_xyyyyyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 346); 

                auto tg_xxxxzzz_xyyyyzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 347); 

                auto tg_xxxxzzz_xyyyzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 348); 

                auto tg_xxxxzzz_xyyzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 349); 

                auto tg_xxxxzzz_xyzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 350); 

                auto tg_xxxxzzz_xzzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 351); 

                auto tg_xxxxzzz_yyyyyyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 352); 

                auto tg_xxxxzzz_yyyyyyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 353); 

                auto tg_xxxxzzz_yyyyyzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 354); 

                auto tg_xxxxzzz_yyyyzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 355); 

                auto tg_xxxxzzz_yyyzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 356); 

                auto tg_xxxxzzz_yyzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 357); 

                auto tg_xxxxzzz_yzzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 358); 

                auto tg_xxxxzzz_zzzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 359); 

                auto tg_xxxyyyy_xxxxxxx_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 360); 

                auto tg_xxxyyyy_xxxxxxy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 361); 

                auto tg_xxxyyyy_xxxxxxz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 362); 

                auto tg_xxxyyyy_xxxxxyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 363); 

                auto tg_xxxyyyy_xxxxxyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 364); 

                auto tg_xxxyyyy_xxxxxzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 365); 

                auto tg_xxxyyyy_xxxxyyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 366); 

                auto tg_xxxyyyy_xxxxyyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 367); 

                auto tg_xxxyyyy_xxxxyzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 368); 

                auto tg_xxxyyyy_xxxxzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 369); 

                auto tg_xxxyyyy_xxxyyyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 370); 

                auto tg_xxxyyyy_xxxyyyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 371); 

                auto tg_xxxyyyy_xxxyyzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 372); 

                auto tg_xxxyyyy_xxxyzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 373); 

                auto tg_xxxyyyy_xxxzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 374); 

                auto tg_xxxyyyy_xxyyyyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 375); 

                auto tg_xxxyyyy_xxyyyyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 376); 

                auto tg_xxxyyyy_xxyyyzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 377); 

                auto tg_xxxyyyy_xxyyzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 378); 

                auto tg_xxxyyyy_xxyzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 379); 

                auto tg_xxxyyyy_xxzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 380); 

                auto tg_xxxyyyy_xyyyyyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 381); 

                auto tg_xxxyyyy_xyyyyyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 382); 

                auto tg_xxxyyyy_xyyyyzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 383); 

                auto tg_xxxyyyy_xyyyzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 384); 

                auto tg_xxxyyyy_xyyzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 385); 

                auto tg_xxxyyyy_xyzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 386); 

                auto tg_xxxyyyy_xzzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 387); 

                auto tg_xxxyyyy_yyyyyyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 388); 

                auto tg_xxxyyyy_yyyyyyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 389); 

                auto tg_xxxyyyy_yyyyyzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 390); 

                auto tg_xxxyyyy_yyyyzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 391); 

                auto tg_xxxyyyy_yyyzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 392); 

                auto tg_xxxyyyy_yyzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 393); 

                auto tg_xxxyyyy_yzzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 394); 

                // set up pointers to integrals

                auto tg_xxxxxyzz_xyyyyyyy_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 388); 

                auto tg_xxxxxyzz_xyyyyyyz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 389); 

                auto tg_xxxxxyzz_xyyyyyzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 390); 

                auto tg_xxxxxyzz_xyyyyzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 391); 

                auto tg_xxxxxyzz_xyyyzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 392); 

                auto tg_xxxxxyzz_xyyzzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 393); 

                auto tg_xxxxxyzz_xyzzzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 394); 

                auto tg_xxxxxyzz_xzzzzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 395); 

                auto tg_xxxxxyzz_yyyyyyyy_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 396); 

                auto tg_xxxxxyzz_yyyyyyyz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 397); 

                auto tg_xxxxxyzz_yyyyyyzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 398); 

                auto tg_xxxxxyzz_yyyyyzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 399); 

                auto tg_xxxxxyzz_yyyyzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 400); 

                auto tg_xxxxxyzz_yyyzzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 401); 

                auto tg_xxxxxyzz_yyzzzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 402); 

                auto tg_xxxxxyzz_yzzzzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 403); 

                auto tg_xxxxxyzz_zzzzzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 404); 

                auto tg_xxxxxzzz_xxxxxxxx_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 405); 

                auto tg_xxxxxzzz_xxxxxxxy_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 406); 

                auto tg_xxxxxzzz_xxxxxxxz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 407); 

                auto tg_xxxxxzzz_xxxxxxyy_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 408); 

                auto tg_xxxxxzzz_xxxxxxyz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 409); 

                auto tg_xxxxxzzz_xxxxxxzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 410); 

                auto tg_xxxxxzzz_xxxxxyyy_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 411); 

                auto tg_xxxxxzzz_xxxxxyyz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 412); 

                auto tg_xxxxxzzz_xxxxxyzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 413); 

                auto tg_xxxxxzzz_xxxxxzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 414); 

                auto tg_xxxxxzzz_xxxxyyyy_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 415); 

                auto tg_xxxxxzzz_xxxxyyyz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 416); 

                auto tg_xxxxxzzz_xxxxyyzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 417); 

                auto tg_xxxxxzzz_xxxxyzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 418); 

                auto tg_xxxxxzzz_xxxxzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 419); 

                auto tg_xxxxxzzz_xxxyyyyy_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 420); 

                auto tg_xxxxxzzz_xxxyyyyz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 421); 

                auto tg_xxxxxzzz_xxxyyyzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 422); 

                auto tg_xxxxxzzz_xxxyyzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 423); 

                auto tg_xxxxxzzz_xxxyzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 424); 

                auto tg_xxxxxzzz_xxxzzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 425); 

                auto tg_xxxxxzzz_xxyyyyyy_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 426); 

                auto tg_xxxxxzzz_xxyyyyyz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 427); 

                auto tg_xxxxxzzz_xxyyyyzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 428); 

                auto tg_xxxxxzzz_xxyyyzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 429); 

                auto tg_xxxxxzzz_xxyyzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 430); 

                auto tg_xxxxxzzz_xxyzzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 431); 

                auto tg_xxxxxzzz_xxzzzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 432); 

                auto tg_xxxxxzzz_xyyyyyyy_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 433); 

                auto tg_xxxxxzzz_xyyyyyyz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 434); 

                auto tg_xxxxxzzz_xyyyyyzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 435); 

                auto tg_xxxxxzzz_xyyyyzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 436); 

                auto tg_xxxxxzzz_xyyyzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 437); 

                auto tg_xxxxxzzz_xyyzzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 438); 

                auto tg_xxxxxzzz_xyzzzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 439); 

                auto tg_xxxxxzzz_xzzzzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 440); 

                auto tg_xxxxxzzz_yyyyyyyy_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 441); 

                auto tg_xxxxxzzz_yyyyyyyz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 442); 

                auto tg_xxxxxzzz_yyyyyyzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 443); 

                auto tg_xxxxxzzz_yyyyyzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 444); 

                auto tg_xxxxxzzz_yyyyzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 445); 

                auto tg_xxxxxzzz_yyyzzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 446); 

                auto tg_xxxxxzzz_yyzzzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 447); 

                auto tg_xxxxxzzz_yzzzzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 448); 

                auto tg_xxxxxzzz_zzzzzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 449); 

                auto tg_xxxxyyyy_xxxxxxxx_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 450); 

                auto tg_xxxxyyyy_xxxxxxxy_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 451); 

                auto tg_xxxxyyyy_xxxxxxxz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 452); 

                auto tg_xxxxyyyy_xxxxxxyy_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 453); 

                auto tg_xxxxyyyy_xxxxxxyz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 454); 

                auto tg_xxxxyyyy_xxxxxxzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 455); 

                auto tg_xxxxyyyy_xxxxxyyy_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 456); 

                auto tg_xxxxyyyy_xxxxxyyz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 457); 

                auto tg_xxxxyyyy_xxxxxyzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 458); 

                auto tg_xxxxyyyy_xxxxxzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 459); 

                auto tg_xxxxyyyy_xxxxyyyy_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 460); 

                auto tg_xxxxyyyy_xxxxyyyz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 461); 

                auto tg_xxxxyyyy_xxxxyyzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 462); 

                auto tg_xxxxyyyy_xxxxyzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 463); 

                auto tg_xxxxyyyy_xxxxzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 464); 

                auto tg_xxxxyyyy_xxxyyyyy_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 465); 

                auto tg_xxxxyyyy_xxxyyyyz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 466); 

                auto tg_xxxxyyyy_xxxyyyzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 467); 

                auto tg_xxxxyyyy_xxxyyzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 468); 

                auto tg_xxxxyyyy_xxxyzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 469); 

                auto tg_xxxxyyyy_xxxzzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 470); 

                auto tg_xxxxyyyy_xxyyyyyy_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 471); 

                auto tg_xxxxyyyy_xxyyyyyz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 472); 

                auto tg_xxxxyyyy_xxyyyyzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 473); 

                auto tg_xxxxyyyy_xxyyyzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 474); 

                auto tg_xxxxyyyy_xxyyzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 475); 

                auto tg_xxxxyyyy_xxyzzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 476); 

                auto tg_xxxxyyyy_xxzzzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 477); 

                auto tg_xxxxyyyy_xyyyyyyy_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 478); 

                auto tg_xxxxyyyy_xyyyyyyz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 479); 

                auto tg_xxxxyyyy_xyyyyyzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 480); 

                auto tg_xxxxyyyy_xyyyyzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 481); 

                auto tg_xxxxyyyy_xyyyzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 482); 

                auto tg_xxxxyyyy_xyyzzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 483); 

                auto tg_xxxxyyyy_xyzzzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 484); 

                // Batch of Integrals (388,485)

                #pragma omp simd aligned(fxn, fza, tg_xxxxxyzz_xyyyyyyy_0, tg_xxxxxyzz_xyyyyyyz_0, \
                                         tg_xxxxxyzz_xyyyyyzz_0, tg_xxxxxyzz_xyyyyzzz_0, tg_xxxxxyzz_xyyyzzzz_0, \
                                         tg_xxxxxyzz_xyyzzzzz_0, tg_xxxxxyzz_xyzzzzzz_0, tg_xxxxxyzz_xzzzzzzz_0, \
                                         tg_xxxxxyzz_yyyyyyyy_0, tg_xxxxxyzz_yyyyyyyz_0, tg_xxxxxyzz_yyyyyyzz_0, \
                                         tg_xxxxxyzz_yyyyyzzz_0, tg_xxxxxyzz_yyyyzzzz_0, tg_xxxxxyzz_yyyzzzzz_0, \
                                         tg_xxxxxyzz_yyzzzzzz_0, tg_xxxxxyzz_yzzzzzzz_0, tg_xxxxxyzz_zzzzzzzz_0, \
                                         tg_xxxxxzzz_xxxxxxxx_0, tg_xxxxxzzz_xxxxxxxy_0, tg_xxxxxzzz_xxxxxxxz_0, \
                                         tg_xxxxxzzz_xxxxxxyy_0, tg_xxxxxzzz_xxxxxxyz_0, tg_xxxxxzzz_xxxxxxzz_0, \
                                         tg_xxxxxzzz_xxxxxyyy_0, tg_xxxxxzzz_xxxxxyyz_0, tg_xxxxxzzz_xxxxxyzz_0, \
                                         tg_xxxxxzzz_xxxxxzzz_0, tg_xxxxxzzz_xxxxyyyy_0, tg_xxxxxzzz_xxxxyyyz_0, \
                                         tg_xxxxxzzz_xxxxyyzz_0, tg_xxxxxzzz_xxxxyzzz_0, tg_xxxxxzzz_xxxxzzzz_0, \
                                         tg_xxxxxzzz_xxxyyyyy_0, tg_xxxxxzzz_xxxyyyyz_0, tg_xxxxxzzz_xxxyyyzz_0, \
                                         tg_xxxxxzzz_xxxyyzzz_0, tg_xxxxxzzz_xxxyzzzz_0, tg_xxxxxzzz_xxxzzzzz_0, \
                                         tg_xxxxxzzz_xxyyyyyy_0, tg_xxxxxzzz_xxyyyyyz_0, tg_xxxxxzzz_xxyyyyzz_0, \
                                         tg_xxxxxzzz_xxyyyzzz_0, tg_xxxxxzzz_xxyyzzzz_0, tg_xxxxxzzz_xxyzzzzz_0, \
                                         tg_xxxxxzzz_xxzzzzzz_0, tg_xxxxxzzz_xyyyyyyy_0, tg_xxxxxzzz_xyyyyyyz_0, \
                                         tg_xxxxxzzz_xyyyyyzz_0, tg_xxxxxzzz_xyyyyzzz_0, tg_xxxxxzzz_xyyyzzzz_0, \
                                         tg_xxxxxzzz_xyyzzzzz_0, tg_xxxxxzzz_xyzzzzzz_0, tg_xxxxxzzz_xzzzzzzz_0, \
                                         tg_xxxxxzzz_yyyyyyyy_0, tg_xxxxxzzz_yyyyyyyz_0, tg_xxxxxzzz_yyyyyyzz_0, \
                                         tg_xxxxxzzz_yyyyyzzz_0, tg_xxxxxzzz_yyyyzzzz_0, tg_xxxxxzzz_yyyzzzzz_0, \
                                         tg_xxxxxzzz_yyzzzzzz_0, tg_xxxxxzzz_yzzzzzzz_0, tg_xxxxxzzz_zzzzzzzz_0, \
                                         tg_xxxxyyyy_xxxxxxxx_0, tg_xxxxyyyy_xxxxxxxy_0, tg_xxxxyyyy_xxxxxxxz_0, \
                                         tg_xxxxyyyy_xxxxxxyy_0, tg_xxxxyyyy_xxxxxxyz_0, tg_xxxxyyyy_xxxxxxzz_0, \
                                         tg_xxxxyyyy_xxxxxyyy_0, tg_xxxxyyyy_xxxxxyyz_0, tg_xxxxyyyy_xxxxxyzz_0, \
                                         tg_xxxxyyyy_xxxxxzzz_0, tg_xxxxyyyy_xxxxyyyy_0, tg_xxxxyyyy_xxxxyyyz_0, \
                                         tg_xxxxyyyy_xxxxyyzz_0, tg_xxxxyyyy_xxxxyzzz_0, tg_xxxxyyyy_xxxxzzzz_0, \
                                         tg_xxxxyyyy_xxxyyyyy_0, tg_xxxxyyyy_xxxyyyyz_0, tg_xxxxyyyy_xxxyyyzz_0, \
                                         tg_xxxxyyyy_xxxyyzzz_0, tg_xxxxyyyy_xxxyzzzz_0, tg_xxxxyyyy_xxxzzzzz_0, \
                                         tg_xxxxyyyy_xxyyyyyy_0, tg_xxxxyyyy_xxyyyyyz_0, tg_xxxxyyyy_xxyyyyzz_0, \
                                         tg_xxxxyyyy_xxyyyzzz_0, tg_xxxxyyyy_xxyyzzzz_0, tg_xxxxyyyy_xxyzzzzz_0, \
                                         tg_xxxxyyyy_xxzzzzzz_0, tg_xxxxyyyy_xyyyyyyy_0, tg_xxxxyyyy_xyyyyyyz_0, \
                                         tg_xxxxyyyy_xyyyyyzz_0, tg_xxxxyyyy_xyyyyzzz_0, tg_xxxxyyyy_xyyyzzzz_0, \
                                         tg_xxxxyyyy_xyyzzzzz_0, tg_xxxxyyyy_xyzzzzzz_0, tg_xxxxyzz_xyyyyyyy_0, \
                                         tg_xxxxyzz_xyyyyyyy_1, tg_xxxxyzz_xyyyyyyz_0, tg_xxxxyzz_xyyyyyyz_1, \
                                         tg_xxxxyzz_xyyyyyzz_0, tg_xxxxyzz_xyyyyyzz_1, tg_xxxxyzz_xyyyyzzz_0, \
                                         tg_xxxxyzz_xyyyyzzz_1, tg_xxxxyzz_xyyyzzzz_0, tg_xxxxyzz_xyyyzzzz_1, \
                                         tg_xxxxyzz_xyyzzzzz_0, tg_xxxxyzz_xyyzzzzz_1, tg_xxxxyzz_xyzzzzzz_0, \
                                         tg_xxxxyzz_xyzzzzzz_1, tg_xxxxyzz_xzzzzzzz_0, tg_xxxxyzz_xzzzzzzz_1, \
                                         tg_xxxxyzz_yyyyyyy_1, tg_xxxxyzz_yyyyyyyy_0, tg_xxxxyzz_yyyyyyyy_1, \
                                         tg_xxxxyzz_yyyyyyyz_0, tg_xxxxyzz_yyyyyyyz_1, tg_xxxxyzz_yyyyyyz_1, \
                                         tg_xxxxyzz_yyyyyyzz_0, tg_xxxxyzz_yyyyyyzz_1, tg_xxxxyzz_yyyyyzz_1, \
                                         tg_xxxxyzz_yyyyyzzz_0, tg_xxxxyzz_yyyyyzzz_1, tg_xxxxyzz_yyyyzzz_1, \
                                         tg_xxxxyzz_yyyyzzzz_0, tg_xxxxyzz_yyyyzzzz_1, tg_xxxxyzz_yyyzzzz_1, \
                                         tg_xxxxyzz_yyyzzzzz_0, tg_xxxxyzz_yyyzzzzz_1, tg_xxxxyzz_yyzzzzz_1, \
                                         tg_xxxxyzz_yyzzzzzz_0, tg_xxxxyzz_yyzzzzzz_1, tg_xxxxyzz_yzzzzzz_1, \
                                         tg_xxxxyzz_yzzzzzzz_0, tg_xxxxyzz_yzzzzzzz_1, tg_xxxxyzz_zzzzzzz_1, \
                                         tg_xxxxyzz_zzzzzzzz_0, tg_xxxxyzz_zzzzzzzz_1, tg_xxxxzzz_xxxxxxx_1, \
                                         tg_xxxxzzz_xxxxxxxx_0, tg_xxxxzzz_xxxxxxxx_1, tg_xxxxzzz_xxxxxxxy_0, \
                                         tg_xxxxzzz_xxxxxxxy_1, tg_xxxxzzz_xxxxxxxz_0, tg_xxxxzzz_xxxxxxxz_1, \
                                         tg_xxxxzzz_xxxxxxy_1, tg_xxxxzzz_xxxxxxyy_0, tg_xxxxzzz_xxxxxxyy_1, \
                                         tg_xxxxzzz_xxxxxxyz_0, tg_xxxxzzz_xxxxxxyz_1, tg_xxxxzzz_xxxxxxz_1, \
                                         tg_xxxxzzz_xxxxxxzz_0, tg_xxxxzzz_xxxxxxzz_1, tg_xxxxzzz_xxxxxyy_1, \
                                         tg_xxxxzzz_xxxxxyyy_0, tg_xxxxzzz_xxxxxyyy_1, tg_xxxxzzz_xxxxxyyz_0, \
                                         tg_xxxxzzz_xxxxxyyz_1, tg_xxxxzzz_xxxxxyz_1, tg_xxxxzzz_xxxxxyzz_0, \
                                         tg_xxxxzzz_xxxxxyzz_1, tg_xxxxzzz_xxxxxzz_1, tg_xxxxzzz_xxxxxzzz_0, \
                                         tg_xxxxzzz_xxxxxzzz_1, tg_xxxxzzz_xxxxyyy_1, tg_xxxxzzz_xxxxyyyy_0, \
                                         tg_xxxxzzz_xxxxyyyy_1, tg_xxxxzzz_xxxxyyyz_0, tg_xxxxzzz_xxxxyyyz_1, \
                                         tg_xxxxzzz_xxxxyyz_1, tg_xxxxzzz_xxxxyyzz_0, tg_xxxxzzz_xxxxyyzz_1, \
                                         tg_xxxxzzz_xxxxyzz_1, tg_xxxxzzz_xxxxyzzz_0, tg_xxxxzzz_xxxxyzzz_1, \
                                         tg_xxxxzzz_xxxxzzz_1, tg_xxxxzzz_xxxxzzzz_0, tg_xxxxzzz_xxxxzzzz_1, \
                                         tg_xxxxzzz_xxxyyyy_1, tg_xxxxzzz_xxxyyyyy_0, tg_xxxxzzz_xxxyyyyy_1, \
                                         tg_xxxxzzz_xxxyyyyz_0, tg_xxxxzzz_xxxyyyyz_1, tg_xxxxzzz_xxxyyyz_1, \
                                         tg_xxxxzzz_xxxyyyzz_0, tg_xxxxzzz_xxxyyyzz_1, tg_xxxxzzz_xxxyyzz_1, \
                                         tg_xxxxzzz_xxxyyzzz_0, tg_xxxxzzz_xxxyyzzz_1, tg_xxxxzzz_xxxyzzz_1, \
                                         tg_xxxxzzz_xxxyzzzz_0, tg_xxxxzzz_xxxyzzzz_1, tg_xxxxzzz_xxxzzzz_1, \
                                         tg_xxxxzzz_xxxzzzzz_0, tg_xxxxzzz_xxxzzzzz_1, tg_xxxxzzz_xxyyyyy_1, \
                                         tg_xxxxzzz_xxyyyyyy_0, tg_xxxxzzz_xxyyyyyy_1, tg_xxxxzzz_xxyyyyyz_0, \
                                         tg_xxxxzzz_xxyyyyyz_1, tg_xxxxzzz_xxyyyyz_1, tg_xxxxzzz_xxyyyyzz_0, \
                                         tg_xxxxzzz_xxyyyyzz_1, tg_xxxxzzz_xxyyyzz_1, tg_xxxxzzz_xxyyyzzz_0, \
                                         tg_xxxxzzz_xxyyyzzz_1, tg_xxxxzzz_xxyyzzz_1, tg_xxxxzzz_xxyyzzzz_0, \
                                         tg_xxxxzzz_xxyyzzzz_1, tg_xxxxzzz_xxyzzzz_1, tg_xxxxzzz_xxyzzzzz_0, \
                                         tg_xxxxzzz_xxyzzzzz_1, tg_xxxxzzz_xxzzzzz_1, tg_xxxxzzz_xxzzzzzz_0, \
                                         tg_xxxxzzz_xxzzzzzz_1, tg_xxxxzzz_xyyyyyy_1, tg_xxxxzzz_xyyyyyyy_0, \
                                         tg_xxxxzzz_xyyyyyyy_1, tg_xxxxzzz_xyyyyyyz_0, tg_xxxxzzz_xyyyyyyz_1, \
                                         tg_xxxxzzz_xyyyyyz_1, tg_xxxxzzz_xyyyyyzz_0, tg_xxxxzzz_xyyyyyzz_1, \
                                         tg_xxxxzzz_xyyyyzz_1, tg_xxxxzzz_xyyyyzzz_0, tg_xxxxzzz_xyyyyzzz_1, \
                                         tg_xxxxzzz_xyyyzzz_1, tg_xxxxzzz_xyyyzzzz_0, tg_xxxxzzz_xyyyzzzz_1, \
                                         tg_xxxxzzz_xyyzzzz_1, tg_xxxxzzz_xyyzzzzz_0, tg_xxxxzzz_xyyzzzzz_1, \
                                         tg_xxxxzzz_xyzzzzz_1, tg_xxxxzzz_xyzzzzzz_0, tg_xxxxzzz_xyzzzzzz_1, \
                                         tg_xxxxzzz_xzzzzzz_1, tg_xxxxzzz_xzzzzzzz_0, tg_xxxxzzz_xzzzzzzz_1, \
                                         tg_xxxxzzz_yyyyyyy_1, tg_xxxxzzz_yyyyyyyy_0, tg_xxxxzzz_yyyyyyyy_1, \
                                         tg_xxxxzzz_yyyyyyyz_0, tg_xxxxzzz_yyyyyyyz_1, tg_xxxxzzz_yyyyyyz_1, \
                                         tg_xxxxzzz_yyyyyyzz_0, tg_xxxxzzz_yyyyyyzz_1, tg_xxxxzzz_yyyyyzz_1, \
                                         tg_xxxxzzz_yyyyyzzz_0, tg_xxxxzzz_yyyyyzzz_1, tg_xxxxzzz_yyyyzzz_1, \
                                         tg_xxxxzzz_yyyyzzzz_0, tg_xxxxzzz_yyyyzzzz_1, tg_xxxxzzz_yyyzzzz_1, \
                                         tg_xxxxzzz_yyyzzzzz_0, tg_xxxxzzz_yyyzzzzz_1, tg_xxxxzzz_yyzzzzz_1, \
                                         tg_xxxxzzz_yyzzzzzz_0, tg_xxxxzzz_yyzzzzzz_1, tg_xxxxzzz_yzzzzzz_1, \
                                         tg_xxxxzzz_yzzzzzzz_0, tg_xxxxzzz_yzzzzzzz_1, tg_xxxxzzz_zzzzzzz_1, \
                                         tg_xxxxzzz_zzzzzzzz_0, tg_xxxxzzz_zzzzzzzz_1, tg_xxxyyyy_xxxxxxx_1, \
                                         tg_xxxyyyy_xxxxxxxx_0, tg_xxxyyyy_xxxxxxxx_1, tg_xxxyyyy_xxxxxxxy_0, \
                                         tg_xxxyyyy_xxxxxxxy_1, tg_xxxyyyy_xxxxxxxz_0, tg_xxxyyyy_xxxxxxxz_1, \
                                         tg_xxxyyyy_xxxxxxy_1, tg_xxxyyyy_xxxxxxyy_0, tg_xxxyyyy_xxxxxxyy_1, \
                                         tg_xxxyyyy_xxxxxxyz_0, tg_xxxyyyy_xxxxxxyz_1, tg_xxxyyyy_xxxxxxz_1, \
                                         tg_xxxyyyy_xxxxxxzz_0, tg_xxxyyyy_xxxxxxzz_1, tg_xxxyyyy_xxxxxyy_1, \
                                         tg_xxxyyyy_xxxxxyyy_0, tg_xxxyyyy_xxxxxyyy_1, tg_xxxyyyy_xxxxxyyz_0, \
                                         tg_xxxyyyy_xxxxxyyz_1, tg_xxxyyyy_xxxxxyz_1, tg_xxxyyyy_xxxxxyzz_0, \
                                         tg_xxxyyyy_xxxxxyzz_1, tg_xxxyyyy_xxxxxzz_1, tg_xxxyyyy_xxxxxzzz_0, \
                                         tg_xxxyyyy_xxxxxzzz_1, tg_xxxyyyy_xxxxyyy_1, tg_xxxyyyy_xxxxyyyy_0, \
                                         tg_xxxyyyy_xxxxyyyy_1, tg_xxxyyyy_xxxxyyyz_0, tg_xxxyyyy_xxxxyyyz_1, \
                                         tg_xxxyyyy_xxxxyyz_1, tg_xxxyyyy_xxxxyyzz_0, tg_xxxyyyy_xxxxyyzz_1, \
                                         tg_xxxyyyy_xxxxyzz_1, tg_xxxyyyy_xxxxyzzz_0, tg_xxxyyyy_xxxxyzzz_1, \
                                         tg_xxxyyyy_xxxxzzz_1, tg_xxxyyyy_xxxxzzzz_0, tg_xxxyyyy_xxxxzzzz_1, \
                                         tg_xxxyyyy_xxxyyyy_1, tg_xxxyyyy_xxxyyyyy_0, tg_xxxyyyy_xxxyyyyy_1, \
                                         tg_xxxyyyy_xxxyyyyz_0, tg_xxxyyyy_xxxyyyyz_1, tg_xxxyyyy_xxxyyyz_1, \
                                         tg_xxxyyyy_xxxyyyzz_0, tg_xxxyyyy_xxxyyyzz_1, tg_xxxyyyy_xxxyyzz_1, \
                                         tg_xxxyyyy_xxxyyzzz_0, tg_xxxyyyy_xxxyyzzz_1, tg_xxxyyyy_xxxyzzz_1, \
                                         tg_xxxyyyy_xxxyzzzz_0, tg_xxxyyyy_xxxyzzzz_1, tg_xxxyyyy_xxxzzzz_1, \
                                         tg_xxxyyyy_xxxzzzzz_0, tg_xxxyyyy_xxxzzzzz_1, tg_xxxyyyy_xxyyyyy_1, \
                                         tg_xxxyyyy_xxyyyyyy_0, tg_xxxyyyy_xxyyyyyy_1, tg_xxxyyyy_xxyyyyyz_0, \
                                         tg_xxxyyyy_xxyyyyyz_1, tg_xxxyyyy_xxyyyyz_1, tg_xxxyyyy_xxyyyyzz_0, \
                                         tg_xxxyyyy_xxyyyyzz_1, tg_xxxyyyy_xxyyyzz_1, tg_xxxyyyy_xxyyyzzz_0, \
                                         tg_xxxyyyy_xxyyyzzz_1, tg_xxxyyyy_xxyyzzz_1, tg_xxxyyyy_xxyyzzzz_0, \
                                         tg_xxxyyyy_xxyyzzzz_1, tg_xxxyyyy_xxyzzzz_1, tg_xxxyyyy_xxyzzzzz_0, \
                                         tg_xxxyyyy_xxyzzzzz_1, tg_xxxyyyy_xxzzzzz_1, tg_xxxyyyy_xxzzzzzz_0, \
                                         tg_xxxyyyy_xxzzzzzz_1, tg_xxxyyyy_xyyyyyy_1, tg_xxxyyyy_xyyyyyyy_0, \
                                         tg_xxxyyyy_xyyyyyyy_1, tg_xxxyyyy_xyyyyyyz_0, tg_xxxyyyy_xyyyyyyz_1, \
                                         tg_xxxyyyy_xyyyyyz_1, tg_xxxyyyy_xyyyyyzz_0, tg_xxxyyyy_xyyyyyzz_1, \
                                         tg_xxxyyyy_xyyyyzz_1, tg_xxxyyyy_xyyyyzzz_0, tg_xxxyyyy_xyyyyzzz_1, \
                                         tg_xxxyyyy_xyyyzzz_1, tg_xxxyyyy_xyyyzzzz_0, tg_xxxyyyy_xyyyzzzz_1, \
                                         tg_xxxyyyy_xyyzzzz_1, tg_xxxyyyy_xyyzzzzz_0, tg_xxxyyyy_xyyzzzzz_1, \
                                         tg_xxxyyyy_xyzzzzz_1, tg_xxxyyyy_xyzzzzzz_0, tg_xxxyyyy_xyzzzzzz_1, \
                                         tg_xxxyyyy_xzzzzzz_1, tg_xxxyyyy_yyyyyyy_1, tg_xxxyyyy_yyyyyyz_1, tg_xxxyyyy_yyyyyzz_1, \
                                         tg_xxxyyyy_yyyyzzz_1, tg_xxxyyyy_yyyzzzz_1, tg_xxxyyyy_yyzzzzz_1, tg_xxxyyyy_yzzzzzz_1, \
                                         tg_xxxyzz_xyyyyyyy_0, tg_xxxyzz_xyyyyyyy_1, tg_xxxyzz_xyyyyyyz_0, tg_xxxyzz_xyyyyyyz_1, \
                                         tg_xxxyzz_xyyyyyzz_0, tg_xxxyzz_xyyyyyzz_1, tg_xxxyzz_xyyyyzzz_0, tg_xxxyzz_xyyyyzzz_1, \
                                         tg_xxxyzz_xyyyzzzz_0, tg_xxxyzz_xyyyzzzz_1, tg_xxxyzz_xyyzzzzz_0, tg_xxxyzz_xyyzzzzz_1, \
                                         tg_xxxyzz_xyzzzzzz_0, tg_xxxyzz_xyzzzzzz_1, tg_xxxyzz_xzzzzzzz_0, tg_xxxyzz_xzzzzzzz_1, \
                                         tg_xxxyzz_yyyyyyyy_0, tg_xxxyzz_yyyyyyyy_1, tg_xxxyzz_yyyyyyyz_0, tg_xxxyzz_yyyyyyyz_1, \
                                         tg_xxxyzz_yyyyyyzz_0, tg_xxxyzz_yyyyyyzz_1, tg_xxxyzz_yyyyyzzz_0, tg_xxxyzz_yyyyyzzz_1, \
                                         tg_xxxyzz_yyyyzzzz_0, tg_xxxyzz_yyyyzzzz_1, tg_xxxyzz_yyyzzzzz_0, tg_xxxyzz_yyyzzzzz_1, \
                                         tg_xxxyzz_yyzzzzzz_0, tg_xxxyzz_yyzzzzzz_1, tg_xxxyzz_yzzzzzzz_0, tg_xxxyzz_yzzzzzzz_1, \
                                         tg_xxxyzz_zzzzzzzz_0, tg_xxxyzz_zzzzzzzz_1, tg_xxxzzz_xxxxxxxx_0, tg_xxxzzz_xxxxxxxx_1, \
                                         tg_xxxzzz_xxxxxxxy_0, tg_xxxzzz_xxxxxxxy_1, tg_xxxzzz_xxxxxxxz_0, tg_xxxzzz_xxxxxxxz_1, \
                                         tg_xxxzzz_xxxxxxyy_0, tg_xxxzzz_xxxxxxyy_1, tg_xxxzzz_xxxxxxyz_0, tg_xxxzzz_xxxxxxyz_1, \
                                         tg_xxxzzz_xxxxxxzz_0, tg_xxxzzz_xxxxxxzz_1, tg_xxxzzz_xxxxxyyy_0, tg_xxxzzz_xxxxxyyy_1, \
                                         tg_xxxzzz_xxxxxyyz_0, tg_xxxzzz_xxxxxyyz_1, tg_xxxzzz_xxxxxyzz_0, tg_xxxzzz_xxxxxyzz_1, \
                                         tg_xxxzzz_xxxxxzzz_0, tg_xxxzzz_xxxxxzzz_1, tg_xxxzzz_xxxxyyyy_0, tg_xxxzzz_xxxxyyyy_1, \
                                         tg_xxxzzz_xxxxyyyz_0, tg_xxxzzz_xxxxyyyz_1, tg_xxxzzz_xxxxyyzz_0, tg_xxxzzz_xxxxyyzz_1, \
                                         tg_xxxzzz_xxxxyzzz_0, tg_xxxzzz_xxxxyzzz_1, tg_xxxzzz_xxxxzzzz_0, tg_xxxzzz_xxxxzzzz_1, \
                                         tg_xxxzzz_xxxyyyyy_0, tg_xxxzzz_xxxyyyyy_1, tg_xxxzzz_xxxyyyyz_0, tg_xxxzzz_xxxyyyyz_1, \
                                         tg_xxxzzz_xxxyyyzz_0, tg_xxxzzz_xxxyyyzz_1, tg_xxxzzz_xxxyyzzz_0, tg_xxxzzz_xxxyyzzz_1, \
                                         tg_xxxzzz_xxxyzzzz_0, tg_xxxzzz_xxxyzzzz_1, tg_xxxzzz_xxxzzzzz_0, tg_xxxzzz_xxxzzzzz_1, \
                                         tg_xxxzzz_xxyyyyyy_0, tg_xxxzzz_xxyyyyyy_1, tg_xxxzzz_xxyyyyyz_0, tg_xxxzzz_xxyyyyyz_1, \
                                         tg_xxxzzz_xxyyyyzz_0, tg_xxxzzz_xxyyyyzz_1, tg_xxxzzz_xxyyyzzz_0, tg_xxxzzz_xxyyyzzz_1, \
                                         tg_xxxzzz_xxyyzzzz_0, tg_xxxzzz_xxyyzzzz_1, tg_xxxzzz_xxyzzzzz_0, tg_xxxzzz_xxyzzzzz_1, \
                                         tg_xxxzzz_xxzzzzzz_0, tg_xxxzzz_xxzzzzzz_1, tg_xxxzzz_xyyyyyyy_0, tg_xxxzzz_xyyyyyyy_1, \
                                         tg_xxxzzz_xyyyyyyz_0, tg_xxxzzz_xyyyyyyz_1, tg_xxxzzz_xyyyyyzz_0, tg_xxxzzz_xyyyyyzz_1, \
                                         tg_xxxzzz_xyyyyzzz_0, tg_xxxzzz_xyyyyzzz_1, tg_xxxzzz_xyyyzzzz_0, tg_xxxzzz_xyyyzzzz_1, \
                                         tg_xxxzzz_xyyzzzzz_0, tg_xxxzzz_xyyzzzzz_1, tg_xxxzzz_xyzzzzzz_0, tg_xxxzzz_xyzzzzzz_1, \
                                         tg_xxxzzz_xzzzzzzz_0, tg_xxxzzz_xzzzzzzz_1, tg_xxxzzz_yyyyyyyy_0, tg_xxxzzz_yyyyyyyy_1, \
                                         tg_xxxzzz_yyyyyyyz_0, tg_xxxzzz_yyyyyyyz_1, tg_xxxzzz_yyyyyyzz_0, tg_xxxzzz_yyyyyyzz_1, \
                                         tg_xxxzzz_yyyyyzzz_0, tg_xxxzzz_yyyyyzzz_1, tg_xxxzzz_yyyyzzzz_0, tg_xxxzzz_yyyyzzzz_1, \
                                         tg_xxxzzz_yyyzzzzz_0, tg_xxxzzz_yyyzzzzz_1, tg_xxxzzz_yyzzzzzz_0, tg_xxxzzz_yyzzzzzz_1, \
                                         tg_xxxzzz_yzzzzzzz_0, tg_xxxzzz_yzzzzzzz_1, tg_xxxzzz_zzzzzzzz_0, tg_xxxzzz_zzzzzzzz_1, \
                                         tg_xxyyyy_xxxxxxxx_0, tg_xxyyyy_xxxxxxxx_1, tg_xxyyyy_xxxxxxxy_0, tg_xxyyyy_xxxxxxxy_1, \
                                         tg_xxyyyy_xxxxxxxz_0, tg_xxyyyy_xxxxxxxz_1, tg_xxyyyy_xxxxxxyy_0, tg_xxyyyy_xxxxxxyy_1, \
                                         tg_xxyyyy_xxxxxxyz_0, tg_xxyyyy_xxxxxxyz_1, tg_xxyyyy_xxxxxxzz_0, tg_xxyyyy_xxxxxxzz_1, \
                                         tg_xxyyyy_xxxxxyyy_0, tg_xxyyyy_xxxxxyyy_1, tg_xxyyyy_xxxxxyyz_0, tg_xxyyyy_xxxxxyyz_1, \
                                         tg_xxyyyy_xxxxxyzz_0, tg_xxyyyy_xxxxxyzz_1, tg_xxyyyy_xxxxxzzz_0, tg_xxyyyy_xxxxxzzz_1, \
                                         tg_xxyyyy_xxxxyyyy_0, tg_xxyyyy_xxxxyyyy_1, tg_xxyyyy_xxxxyyyz_0, tg_xxyyyy_xxxxyyyz_1, \
                                         tg_xxyyyy_xxxxyyzz_0, tg_xxyyyy_xxxxyyzz_1, tg_xxyyyy_xxxxyzzz_0, tg_xxyyyy_xxxxyzzz_1, \
                                         tg_xxyyyy_xxxxzzzz_0, tg_xxyyyy_xxxxzzzz_1, tg_xxyyyy_xxxyyyyy_0, tg_xxyyyy_xxxyyyyy_1, \
                                         tg_xxyyyy_xxxyyyyz_0, tg_xxyyyy_xxxyyyyz_1, tg_xxyyyy_xxxyyyzz_0, tg_xxyyyy_xxxyyyzz_1, \
                                         tg_xxyyyy_xxxyyzzz_0, tg_xxyyyy_xxxyyzzz_1, tg_xxyyyy_xxxyzzzz_0, tg_xxyyyy_xxxyzzzz_1, \
                                         tg_xxyyyy_xxxzzzzz_0, tg_xxyyyy_xxxzzzzz_1, tg_xxyyyy_xxyyyyyy_0, tg_xxyyyy_xxyyyyyy_1, \
                                         tg_xxyyyy_xxyyyyyz_0, tg_xxyyyy_xxyyyyyz_1, tg_xxyyyy_xxyyyyzz_0, tg_xxyyyy_xxyyyyzz_1, \
                                         tg_xxyyyy_xxyyyzzz_0, tg_xxyyyy_xxyyyzzz_1, tg_xxyyyy_xxyyzzzz_0, tg_xxyyyy_xxyyzzzz_1, \
                                         tg_xxyyyy_xxyzzzzz_0, tg_xxyyyy_xxyzzzzz_1, tg_xxyyyy_xxzzzzzz_0, tg_xxyyyy_xxzzzzzz_1, \
                                         tg_xxyyyy_xyyyyyyy_0, tg_xxyyyy_xyyyyyyy_1, tg_xxyyyy_xyyyyyyz_0, tg_xxyyyy_xyyyyyyz_1, \
                                         tg_xxyyyy_xyyyyyzz_0, tg_xxyyyy_xyyyyyzz_1, tg_xxyyyy_xyyyyzzz_0, tg_xxyyyy_xyyyyzzz_1, \
                                         tg_xxyyyy_xyyyzzzz_0, tg_xxyyyy_xyyyzzzz_1, tg_xxyyyy_xyyzzzzz_0, tg_xxyyyy_xyyzzzzz_1, \
                                         tg_xxyyyy_xyzzzzzz_0, tg_xxyyyy_xyzzzzzz_1, wp_x: VLX_ALIGN)
                for (int32_t j = 0; j < nKetPrimPairs; j++)
                {
                    double fl1_fx = fx;

                    double fl1_fxn = fxn[j];

                    double fl1_fza = fza[j];

                    double fr = wp_x[j]; 

                    tg_xxxxxyzz_xyyyyyyy_0[j] = pb_x * tg_xxxxyzz_xyyyyyyy_0[j] + fr * tg_xxxxyzz_xyyyyyyy_1[j] + 2.0 * fl1_fx * (tg_xxxyzz_xyyyyyyy_0[j] - tg_xxxyzz_xyyyyyyy_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xxxxyzz_yyyyyyy_1[j];

                    tg_xxxxxyzz_xyyyyyyz_0[j] = pb_x * tg_xxxxyzz_xyyyyyyz_0[j] + fr * tg_xxxxyzz_xyyyyyyz_1[j] + 2.0 * fl1_fx * (tg_xxxyzz_xyyyyyyz_0[j] - tg_xxxyzz_xyyyyyyz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xxxxyzz_yyyyyyz_1[j];

                    tg_xxxxxyzz_xyyyyyzz_0[j] = pb_x * tg_xxxxyzz_xyyyyyzz_0[j] + fr * tg_xxxxyzz_xyyyyyzz_1[j] + 2.0 * fl1_fx * (tg_xxxyzz_xyyyyyzz_0[j] - tg_xxxyzz_xyyyyyzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xxxxyzz_yyyyyzz_1[j];

                    tg_xxxxxyzz_xyyyyzzz_0[j] = pb_x * tg_xxxxyzz_xyyyyzzz_0[j] + fr * tg_xxxxyzz_xyyyyzzz_1[j] + 2.0 * fl1_fx * (tg_xxxyzz_xyyyyzzz_0[j] - tg_xxxyzz_xyyyyzzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xxxxyzz_yyyyzzz_1[j];

                    tg_xxxxxyzz_xyyyzzzz_0[j] = pb_x * tg_xxxxyzz_xyyyzzzz_0[j] + fr * tg_xxxxyzz_xyyyzzzz_1[j] + 2.0 * fl1_fx * (tg_xxxyzz_xyyyzzzz_0[j] - tg_xxxyzz_xyyyzzzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xxxxyzz_yyyzzzz_1[j];

                    tg_xxxxxyzz_xyyzzzzz_0[j] = pb_x * tg_xxxxyzz_xyyzzzzz_0[j] + fr * tg_xxxxyzz_xyyzzzzz_1[j] + 2.0 * fl1_fx * (tg_xxxyzz_xyyzzzzz_0[j] - tg_xxxyzz_xyyzzzzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xxxxyzz_yyzzzzz_1[j];

                    tg_xxxxxyzz_xyzzzzzz_0[j] = pb_x * tg_xxxxyzz_xyzzzzzz_0[j] + fr * tg_xxxxyzz_xyzzzzzz_1[j] + 2.0 * fl1_fx * (tg_xxxyzz_xyzzzzzz_0[j] - tg_xxxyzz_xyzzzzzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xxxxyzz_yzzzzzz_1[j];

                    tg_xxxxxyzz_xzzzzzzz_0[j] = pb_x * tg_xxxxyzz_xzzzzzzz_0[j] + fr * tg_xxxxyzz_xzzzzzzz_1[j] + 2.0 * fl1_fx * (tg_xxxyzz_xzzzzzzz_0[j] - tg_xxxyzz_xzzzzzzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xxxxyzz_zzzzzzz_1[j];

                    tg_xxxxxyzz_yyyyyyyy_0[j] = pb_x * tg_xxxxyzz_yyyyyyyy_0[j] + fr * tg_xxxxyzz_yyyyyyyy_1[j] + 2.0 * fl1_fx * (tg_xxxyzz_yyyyyyyy_0[j] - tg_xxxyzz_yyyyyyyy_1[j] * fl1_fza);

                    tg_xxxxxyzz_yyyyyyyz_0[j] = pb_x * tg_xxxxyzz_yyyyyyyz_0[j] + fr * tg_xxxxyzz_yyyyyyyz_1[j] + 2.0 * fl1_fx * (tg_xxxyzz_yyyyyyyz_0[j] - tg_xxxyzz_yyyyyyyz_1[j] * fl1_fza);

                    tg_xxxxxyzz_yyyyyyzz_0[j] = pb_x * tg_xxxxyzz_yyyyyyzz_0[j] + fr * tg_xxxxyzz_yyyyyyzz_1[j] + 2.0 * fl1_fx * (tg_xxxyzz_yyyyyyzz_0[j] - tg_xxxyzz_yyyyyyzz_1[j] * fl1_fza);

                    tg_xxxxxyzz_yyyyyzzz_0[j] = pb_x * tg_xxxxyzz_yyyyyzzz_0[j] + fr * tg_xxxxyzz_yyyyyzzz_1[j] + 2.0 * fl1_fx * (tg_xxxyzz_yyyyyzzz_0[j] - tg_xxxyzz_yyyyyzzz_1[j] * fl1_fza);

                    tg_xxxxxyzz_yyyyzzzz_0[j] = pb_x * tg_xxxxyzz_yyyyzzzz_0[j] + fr * tg_xxxxyzz_yyyyzzzz_1[j] + 2.0 * fl1_fx * (tg_xxxyzz_yyyyzzzz_0[j] - tg_xxxyzz_yyyyzzzz_1[j] * fl1_fza);

                    tg_xxxxxyzz_yyyzzzzz_0[j] = pb_x * tg_xxxxyzz_yyyzzzzz_0[j] + fr * tg_xxxxyzz_yyyzzzzz_1[j] + 2.0 * fl1_fx * (tg_xxxyzz_yyyzzzzz_0[j] - tg_xxxyzz_yyyzzzzz_1[j] * fl1_fza);

                    tg_xxxxxyzz_yyzzzzzz_0[j] = pb_x * tg_xxxxyzz_yyzzzzzz_0[j] + fr * tg_xxxxyzz_yyzzzzzz_1[j] + 2.0 * fl1_fx * (tg_xxxyzz_yyzzzzzz_0[j] - tg_xxxyzz_yyzzzzzz_1[j] * fl1_fza);

                    tg_xxxxxyzz_yzzzzzzz_0[j] = pb_x * tg_xxxxyzz_yzzzzzzz_0[j] + fr * tg_xxxxyzz_yzzzzzzz_1[j] + 2.0 * fl1_fx * (tg_xxxyzz_yzzzzzzz_0[j] - tg_xxxyzz_yzzzzzzz_1[j] * fl1_fza);

                    tg_xxxxxyzz_zzzzzzzz_0[j] = pb_x * tg_xxxxyzz_zzzzzzzz_0[j] + fr * tg_xxxxyzz_zzzzzzzz_1[j] + 2.0 * fl1_fx * (tg_xxxyzz_zzzzzzzz_0[j] - tg_xxxyzz_zzzzzzzz_1[j] * fl1_fza);

                    tg_xxxxxzzz_xxxxxxxx_0[j] = pb_x * tg_xxxxzzz_xxxxxxxx_0[j] + fr * tg_xxxxzzz_xxxxxxxx_1[j] + 2.0 * fl1_fx * (tg_xxxzzz_xxxxxxxx_0[j] - tg_xxxzzz_xxxxxxxx_1[j] * fl1_fza) + 4.0 * fl1_fxn * tg_xxxxzzz_xxxxxxx_1[j];

                    tg_xxxxxzzz_xxxxxxxy_0[j] = pb_x * tg_xxxxzzz_xxxxxxxy_0[j] + fr * tg_xxxxzzz_xxxxxxxy_1[j] + 2.0 * fl1_fx * (tg_xxxzzz_xxxxxxxy_0[j] - tg_xxxzzz_xxxxxxxy_1[j] * fl1_fza) + 3.5 * fl1_fxn * tg_xxxxzzz_xxxxxxy_1[j];

                    tg_xxxxxzzz_xxxxxxxz_0[j] = pb_x * tg_xxxxzzz_xxxxxxxz_0[j] + fr * tg_xxxxzzz_xxxxxxxz_1[j] + 2.0 * fl1_fx * (tg_xxxzzz_xxxxxxxz_0[j] - tg_xxxzzz_xxxxxxxz_1[j] * fl1_fza) + 3.5 * fl1_fxn * tg_xxxxzzz_xxxxxxz_1[j];

                    tg_xxxxxzzz_xxxxxxyy_0[j] = pb_x * tg_xxxxzzz_xxxxxxyy_0[j] + fr * tg_xxxxzzz_xxxxxxyy_1[j] + 2.0 * fl1_fx * (tg_xxxzzz_xxxxxxyy_0[j] - tg_xxxzzz_xxxxxxyy_1[j] * fl1_fza) + 3.0 * fl1_fxn * tg_xxxxzzz_xxxxxyy_1[j];

                    tg_xxxxxzzz_xxxxxxyz_0[j] = pb_x * tg_xxxxzzz_xxxxxxyz_0[j] + fr * tg_xxxxzzz_xxxxxxyz_1[j] + 2.0 * fl1_fx * (tg_xxxzzz_xxxxxxyz_0[j] - tg_xxxzzz_xxxxxxyz_1[j] * fl1_fza) + 3.0 * fl1_fxn * tg_xxxxzzz_xxxxxyz_1[j];

                    tg_xxxxxzzz_xxxxxxzz_0[j] = pb_x * tg_xxxxzzz_xxxxxxzz_0[j] + fr * tg_xxxxzzz_xxxxxxzz_1[j] + 2.0 * fl1_fx * (tg_xxxzzz_xxxxxxzz_0[j] - tg_xxxzzz_xxxxxxzz_1[j] * fl1_fza) + 3.0 * fl1_fxn * tg_xxxxzzz_xxxxxzz_1[j];

                    tg_xxxxxzzz_xxxxxyyy_0[j] = pb_x * tg_xxxxzzz_xxxxxyyy_0[j] + fr * tg_xxxxzzz_xxxxxyyy_1[j] + 2.0 * fl1_fx * (tg_xxxzzz_xxxxxyyy_0[j] - tg_xxxzzz_xxxxxyyy_1[j] * fl1_fza) + 2.5 * fl1_fxn * tg_xxxxzzz_xxxxyyy_1[j];

                    tg_xxxxxzzz_xxxxxyyz_0[j] = pb_x * tg_xxxxzzz_xxxxxyyz_0[j] + fr * tg_xxxxzzz_xxxxxyyz_1[j] + 2.0 * fl1_fx * (tg_xxxzzz_xxxxxyyz_0[j] - tg_xxxzzz_xxxxxyyz_1[j] * fl1_fza) + 2.5 * fl1_fxn * tg_xxxxzzz_xxxxyyz_1[j];

                    tg_xxxxxzzz_xxxxxyzz_0[j] = pb_x * tg_xxxxzzz_xxxxxyzz_0[j] + fr * tg_xxxxzzz_xxxxxyzz_1[j] + 2.0 * fl1_fx * (tg_xxxzzz_xxxxxyzz_0[j] - tg_xxxzzz_xxxxxyzz_1[j] * fl1_fza) + 2.5 * fl1_fxn * tg_xxxxzzz_xxxxyzz_1[j];

                    tg_xxxxxzzz_xxxxxzzz_0[j] = pb_x * tg_xxxxzzz_xxxxxzzz_0[j] + fr * tg_xxxxzzz_xxxxxzzz_1[j] + 2.0 * fl1_fx * (tg_xxxzzz_xxxxxzzz_0[j] - tg_xxxzzz_xxxxxzzz_1[j] * fl1_fza) + 2.5 * fl1_fxn * tg_xxxxzzz_xxxxzzz_1[j];

                    tg_xxxxxzzz_xxxxyyyy_0[j] = pb_x * tg_xxxxzzz_xxxxyyyy_0[j] + fr * tg_xxxxzzz_xxxxyyyy_1[j] + 2.0 * fl1_fx * (tg_xxxzzz_xxxxyyyy_0[j] - tg_xxxzzz_xxxxyyyy_1[j] * fl1_fza) + 2.0 * fl1_fxn * tg_xxxxzzz_xxxyyyy_1[j];

                    tg_xxxxxzzz_xxxxyyyz_0[j] = pb_x * tg_xxxxzzz_xxxxyyyz_0[j] + fr * tg_xxxxzzz_xxxxyyyz_1[j] + 2.0 * fl1_fx * (tg_xxxzzz_xxxxyyyz_0[j] - tg_xxxzzz_xxxxyyyz_1[j] * fl1_fza) + 2.0 * fl1_fxn * tg_xxxxzzz_xxxyyyz_1[j];

                    tg_xxxxxzzz_xxxxyyzz_0[j] = pb_x * tg_xxxxzzz_xxxxyyzz_0[j] + fr * tg_xxxxzzz_xxxxyyzz_1[j] + 2.0 * fl1_fx * (tg_xxxzzz_xxxxyyzz_0[j] - tg_xxxzzz_xxxxyyzz_1[j] * fl1_fza) + 2.0 * fl1_fxn * tg_xxxxzzz_xxxyyzz_1[j];

                    tg_xxxxxzzz_xxxxyzzz_0[j] = pb_x * tg_xxxxzzz_xxxxyzzz_0[j] + fr * tg_xxxxzzz_xxxxyzzz_1[j] + 2.0 * fl1_fx * (tg_xxxzzz_xxxxyzzz_0[j] - tg_xxxzzz_xxxxyzzz_1[j] * fl1_fza) + 2.0 * fl1_fxn * tg_xxxxzzz_xxxyzzz_1[j];

                    tg_xxxxxzzz_xxxxzzzz_0[j] = pb_x * tg_xxxxzzz_xxxxzzzz_0[j] + fr * tg_xxxxzzz_xxxxzzzz_1[j] + 2.0 * fl1_fx * (tg_xxxzzz_xxxxzzzz_0[j] - tg_xxxzzz_xxxxzzzz_1[j] * fl1_fza) + 2.0 * fl1_fxn * tg_xxxxzzz_xxxzzzz_1[j];

                    tg_xxxxxzzz_xxxyyyyy_0[j] = pb_x * tg_xxxxzzz_xxxyyyyy_0[j] + fr * tg_xxxxzzz_xxxyyyyy_1[j] + 2.0 * fl1_fx * (tg_xxxzzz_xxxyyyyy_0[j] - tg_xxxzzz_xxxyyyyy_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_xxxxzzz_xxyyyyy_1[j];

                    tg_xxxxxzzz_xxxyyyyz_0[j] = pb_x * tg_xxxxzzz_xxxyyyyz_0[j] + fr * tg_xxxxzzz_xxxyyyyz_1[j] + 2.0 * fl1_fx * (tg_xxxzzz_xxxyyyyz_0[j] - tg_xxxzzz_xxxyyyyz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_xxxxzzz_xxyyyyz_1[j];

                    tg_xxxxxzzz_xxxyyyzz_0[j] = pb_x * tg_xxxxzzz_xxxyyyzz_0[j] + fr * tg_xxxxzzz_xxxyyyzz_1[j] + 2.0 * fl1_fx * (tg_xxxzzz_xxxyyyzz_0[j] - tg_xxxzzz_xxxyyyzz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_xxxxzzz_xxyyyzz_1[j];

                    tg_xxxxxzzz_xxxyyzzz_0[j] = pb_x * tg_xxxxzzz_xxxyyzzz_0[j] + fr * tg_xxxxzzz_xxxyyzzz_1[j] + 2.0 * fl1_fx * (tg_xxxzzz_xxxyyzzz_0[j] - tg_xxxzzz_xxxyyzzz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_xxxxzzz_xxyyzzz_1[j];

                    tg_xxxxxzzz_xxxyzzzz_0[j] = pb_x * tg_xxxxzzz_xxxyzzzz_0[j] + fr * tg_xxxxzzz_xxxyzzzz_1[j] + 2.0 * fl1_fx * (tg_xxxzzz_xxxyzzzz_0[j] - tg_xxxzzz_xxxyzzzz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_xxxxzzz_xxyzzzz_1[j];

                    tg_xxxxxzzz_xxxzzzzz_0[j] = pb_x * tg_xxxxzzz_xxxzzzzz_0[j] + fr * tg_xxxxzzz_xxxzzzzz_1[j] + 2.0 * fl1_fx * (tg_xxxzzz_xxxzzzzz_0[j] - tg_xxxzzz_xxxzzzzz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_xxxxzzz_xxzzzzz_1[j];

                    tg_xxxxxzzz_xxyyyyyy_0[j] = pb_x * tg_xxxxzzz_xxyyyyyy_0[j] + fr * tg_xxxxzzz_xxyyyyyy_1[j] + 2.0 * fl1_fx * (tg_xxxzzz_xxyyyyyy_0[j] - tg_xxxzzz_xxyyyyyy_1[j] * fl1_fza) + fl1_fxn * tg_xxxxzzz_xyyyyyy_1[j];

                    tg_xxxxxzzz_xxyyyyyz_0[j] = pb_x * tg_xxxxzzz_xxyyyyyz_0[j] + fr * tg_xxxxzzz_xxyyyyyz_1[j] + 2.0 * fl1_fx * (tg_xxxzzz_xxyyyyyz_0[j] - tg_xxxzzz_xxyyyyyz_1[j] * fl1_fza) + fl1_fxn * tg_xxxxzzz_xyyyyyz_1[j];

                    tg_xxxxxzzz_xxyyyyzz_0[j] = pb_x * tg_xxxxzzz_xxyyyyzz_0[j] + fr * tg_xxxxzzz_xxyyyyzz_1[j] + 2.0 * fl1_fx * (tg_xxxzzz_xxyyyyzz_0[j] - tg_xxxzzz_xxyyyyzz_1[j] * fl1_fza) + fl1_fxn * tg_xxxxzzz_xyyyyzz_1[j];

                    tg_xxxxxzzz_xxyyyzzz_0[j] = pb_x * tg_xxxxzzz_xxyyyzzz_0[j] + fr * tg_xxxxzzz_xxyyyzzz_1[j] + 2.0 * fl1_fx * (tg_xxxzzz_xxyyyzzz_0[j] - tg_xxxzzz_xxyyyzzz_1[j] * fl1_fza) + fl1_fxn * tg_xxxxzzz_xyyyzzz_1[j];

                    tg_xxxxxzzz_xxyyzzzz_0[j] = pb_x * tg_xxxxzzz_xxyyzzzz_0[j] + fr * tg_xxxxzzz_xxyyzzzz_1[j] + 2.0 * fl1_fx * (tg_xxxzzz_xxyyzzzz_0[j] - tg_xxxzzz_xxyyzzzz_1[j] * fl1_fza) + fl1_fxn * tg_xxxxzzz_xyyzzzz_1[j];

                    tg_xxxxxzzz_xxyzzzzz_0[j] = pb_x * tg_xxxxzzz_xxyzzzzz_0[j] + fr * tg_xxxxzzz_xxyzzzzz_1[j] + 2.0 * fl1_fx * (tg_xxxzzz_xxyzzzzz_0[j] - tg_xxxzzz_xxyzzzzz_1[j] * fl1_fza) + fl1_fxn * tg_xxxxzzz_xyzzzzz_1[j];

                    tg_xxxxxzzz_xxzzzzzz_0[j] = pb_x * tg_xxxxzzz_xxzzzzzz_0[j] + fr * tg_xxxxzzz_xxzzzzzz_1[j] + 2.0 * fl1_fx * (tg_xxxzzz_xxzzzzzz_0[j] - tg_xxxzzz_xxzzzzzz_1[j] * fl1_fza) + fl1_fxn * tg_xxxxzzz_xzzzzzz_1[j];

                    tg_xxxxxzzz_xyyyyyyy_0[j] = pb_x * tg_xxxxzzz_xyyyyyyy_0[j] + fr * tg_xxxxzzz_xyyyyyyy_1[j] + 2.0 * fl1_fx * (tg_xxxzzz_xyyyyyyy_0[j] - tg_xxxzzz_xyyyyyyy_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xxxxzzz_yyyyyyy_1[j];

                    tg_xxxxxzzz_xyyyyyyz_0[j] = pb_x * tg_xxxxzzz_xyyyyyyz_0[j] + fr * tg_xxxxzzz_xyyyyyyz_1[j] + 2.0 * fl1_fx * (tg_xxxzzz_xyyyyyyz_0[j] - tg_xxxzzz_xyyyyyyz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xxxxzzz_yyyyyyz_1[j];

                    tg_xxxxxzzz_xyyyyyzz_0[j] = pb_x * tg_xxxxzzz_xyyyyyzz_0[j] + fr * tg_xxxxzzz_xyyyyyzz_1[j] + 2.0 * fl1_fx * (tg_xxxzzz_xyyyyyzz_0[j] - tg_xxxzzz_xyyyyyzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xxxxzzz_yyyyyzz_1[j];

                    tg_xxxxxzzz_xyyyyzzz_0[j] = pb_x * tg_xxxxzzz_xyyyyzzz_0[j] + fr * tg_xxxxzzz_xyyyyzzz_1[j] + 2.0 * fl1_fx * (tg_xxxzzz_xyyyyzzz_0[j] - tg_xxxzzz_xyyyyzzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xxxxzzz_yyyyzzz_1[j];

                    tg_xxxxxzzz_xyyyzzzz_0[j] = pb_x * tg_xxxxzzz_xyyyzzzz_0[j] + fr * tg_xxxxzzz_xyyyzzzz_1[j] + 2.0 * fl1_fx * (tg_xxxzzz_xyyyzzzz_0[j] - tg_xxxzzz_xyyyzzzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xxxxzzz_yyyzzzz_1[j];

                    tg_xxxxxzzz_xyyzzzzz_0[j] = pb_x * tg_xxxxzzz_xyyzzzzz_0[j] + fr * tg_xxxxzzz_xyyzzzzz_1[j] + 2.0 * fl1_fx * (tg_xxxzzz_xyyzzzzz_0[j] - tg_xxxzzz_xyyzzzzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xxxxzzz_yyzzzzz_1[j];

                    tg_xxxxxzzz_xyzzzzzz_0[j] = pb_x * tg_xxxxzzz_xyzzzzzz_0[j] + fr * tg_xxxxzzz_xyzzzzzz_1[j] + 2.0 * fl1_fx * (tg_xxxzzz_xyzzzzzz_0[j] - tg_xxxzzz_xyzzzzzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xxxxzzz_yzzzzzz_1[j];

                    tg_xxxxxzzz_xzzzzzzz_0[j] = pb_x * tg_xxxxzzz_xzzzzzzz_0[j] + fr * tg_xxxxzzz_xzzzzzzz_1[j] + 2.0 * fl1_fx * (tg_xxxzzz_xzzzzzzz_0[j] - tg_xxxzzz_xzzzzzzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xxxxzzz_zzzzzzz_1[j];

                    tg_xxxxxzzz_yyyyyyyy_0[j] = pb_x * tg_xxxxzzz_yyyyyyyy_0[j] + fr * tg_xxxxzzz_yyyyyyyy_1[j] + 2.0 * fl1_fx * (tg_xxxzzz_yyyyyyyy_0[j] - tg_xxxzzz_yyyyyyyy_1[j] * fl1_fza);

                    tg_xxxxxzzz_yyyyyyyz_0[j] = pb_x * tg_xxxxzzz_yyyyyyyz_0[j] + fr * tg_xxxxzzz_yyyyyyyz_1[j] + 2.0 * fl1_fx * (tg_xxxzzz_yyyyyyyz_0[j] - tg_xxxzzz_yyyyyyyz_1[j] * fl1_fza);

                    tg_xxxxxzzz_yyyyyyzz_0[j] = pb_x * tg_xxxxzzz_yyyyyyzz_0[j] + fr * tg_xxxxzzz_yyyyyyzz_1[j] + 2.0 * fl1_fx * (tg_xxxzzz_yyyyyyzz_0[j] - tg_xxxzzz_yyyyyyzz_1[j] * fl1_fza);

                    tg_xxxxxzzz_yyyyyzzz_0[j] = pb_x * tg_xxxxzzz_yyyyyzzz_0[j] + fr * tg_xxxxzzz_yyyyyzzz_1[j] + 2.0 * fl1_fx * (tg_xxxzzz_yyyyyzzz_0[j] - tg_xxxzzz_yyyyyzzz_1[j] * fl1_fza);

                    tg_xxxxxzzz_yyyyzzzz_0[j] = pb_x * tg_xxxxzzz_yyyyzzzz_0[j] + fr * tg_xxxxzzz_yyyyzzzz_1[j] + 2.0 * fl1_fx * (tg_xxxzzz_yyyyzzzz_0[j] - tg_xxxzzz_yyyyzzzz_1[j] * fl1_fza);

                    tg_xxxxxzzz_yyyzzzzz_0[j] = pb_x * tg_xxxxzzz_yyyzzzzz_0[j] + fr * tg_xxxxzzz_yyyzzzzz_1[j] + 2.0 * fl1_fx * (tg_xxxzzz_yyyzzzzz_0[j] - tg_xxxzzz_yyyzzzzz_1[j] * fl1_fza);

                    tg_xxxxxzzz_yyzzzzzz_0[j] = pb_x * tg_xxxxzzz_yyzzzzzz_0[j] + fr * tg_xxxxzzz_yyzzzzzz_1[j] + 2.0 * fl1_fx * (tg_xxxzzz_yyzzzzzz_0[j] - tg_xxxzzz_yyzzzzzz_1[j] * fl1_fza);

                    tg_xxxxxzzz_yzzzzzzz_0[j] = pb_x * tg_xxxxzzz_yzzzzzzz_0[j] + fr * tg_xxxxzzz_yzzzzzzz_1[j] + 2.0 * fl1_fx * (tg_xxxzzz_yzzzzzzz_0[j] - tg_xxxzzz_yzzzzzzz_1[j] * fl1_fza);

                    tg_xxxxxzzz_zzzzzzzz_0[j] = pb_x * tg_xxxxzzz_zzzzzzzz_0[j] + fr * tg_xxxxzzz_zzzzzzzz_1[j] + 2.0 * fl1_fx * (tg_xxxzzz_zzzzzzzz_0[j] - tg_xxxzzz_zzzzzzzz_1[j] * fl1_fza);

                    tg_xxxxyyyy_xxxxxxxx_0[j] = pb_x * tg_xxxyyyy_xxxxxxxx_0[j] + fr * tg_xxxyyyy_xxxxxxxx_1[j] + 1.5 * fl1_fx * (tg_xxyyyy_xxxxxxxx_0[j] - tg_xxyyyy_xxxxxxxx_1[j] * fl1_fza) + 4.0 * fl1_fxn * tg_xxxyyyy_xxxxxxx_1[j];

                    tg_xxxxyyyy_xxxxxxxy_0[j] = pb_x * tg_xxxyyyy_xxxxxxxy_0[j] + fr * tg_xxxyyyy_xxxxxxxy_1[j] + 1.5 * fl1_fx * (tg_xxyyyy_xxxxxxxy_0[j] - tg_xxyyyy_xxxxxxxy_1[j] * fl1_fza) + 3.5 * fl1_fxn * tg_xxxyyyy_xxxxxxy_1[j];

                    tg_xxxxyyyy_xxxxxxxz_0[j] = pb_x * tg_xxxyyyy_xxxxxxxz_0[j] + fr * tg_xxxyyyy_xxxxxxxz_1[j] + 1.5 * fl1_fx * (tg_xxyyyy_xxxxxxxz_0[j] - tg_xxyyyy_xxxxxxxz_1[j] * fl1_fza) + 3.5 * fl1_fxn * tg_xxxyyyy_xxxxxxz_1[j];

                    tg_xxxxyyyy_xxxxxxyy_0[j] = pb_x * tg_xxxyyyy_xxxxxxyy_0[j] + fr * tg_xxxyyyy_xxxxxxyy_1[j] + 1.5 * fl1_fx * (tg_xxyyyy_xxxxxxyy_0[j] - tg_xxyyyy_xxxxxxyy_1[j] * fl1_fza) + 3.0 * fl1_fxn * tg_xxxyyyy_xxxxxyy_1[j];

                    tg_xxxxyyyy_xxxxxxyz_0[j] = pb_x * tg_xxxyyyy_xxxxxxyz_0[j] + fr * tg_xxxyyyy_xxxxxxyz_1[j] + 1.5 * fl1_fx * (tg_xxyyyy_xxxxxxyz_0[j] - tg_xxyyyy_xxxxxxyz_1[j] * fl1_fza) + 3.0 * fl1_fxn * tg_xxxyyyy_xxxxxyz_1[j];

                    tg_xxxxyyyy_xxxxxxzz_0[j] = pb_x * tg_xxxyyyy_xxxxxxzz_0[j] + fr * tg_xxxyyyy_xxxxxxzz_1[j] + 1.5 * fl1_fx * (tg_xxyyyy_xxxxxxzz_0[j] - tg_xxyyyy_xxxxxxzz_1[j] * fl1_fza) + 3.0 * fl1_fxn * tg_xxxyyyy_xxxxxzz_1[j];

                    tg_xxxxyyyy_xxxxxyyy_0[j] = pb_x * tg_xxxyyyy_xxxxxyyy_0[j] + fr * tg_xxxyyyy_xxxxxyyy_1[j] + 1.5 * fl1_fx * (tg_xxyyyy_xxxxxyyy_0[j] - tg_xxyyyy_xxxxxyyy_1[j] * fl1_fza) + 2.5 * fl1_fxn * tg_xxxyyyy_xxxxyyy_1[j];

                    tg_xxxxyyyy_xxxxxyyz_0[j] = pb_x * tg_xxxyyyy_xxxxxyyz_0[j] + fr * tg_xxxyyyy_xxxxxyyz_1[j] + 1.5 * fl1_fx * (tg_xxyyyy_xxxxxyyz_0[j] - tg_xxyyyy_xxxxxyyz_1[j] * fl1_fza) + 2.5 * fl1_fxn * tg_xxxyyyy_xxxxyyz_1[j];

                    tg_xxxxyyyy_xxxxxyzz_0[j] = pb_x * tg_xxxyyyy_xxxxxyzz_0[j] + fr * tg_xxxyyyy_xxxxxyzz_1[j] + 1.5 * fl1_fx * (tg_xxyyyy_xxxxxyzz_0[j] - tg_xxyyyy_xxxxxyzz_1[j] * fl1_fza) + 2.5 * fl1_fxn * tg_xxxyyyy_xxxxyzz_1[j];

                    tg_xxxxyyyy_xxxxxzzz_0[j] = pb_x * tg_xxxyyyy_xxxxxzzz_0[j] + fr * tg_xxxyyyy_xxxxxzzz_1[j] + 1.5 * fl1_fx * (tg_xxyyyy_xxxxxzzz_0[j] - tg_xxyyyy_xxxxxzzz_1[j] * fl1_fza) + 2.5 * fl1_fxn * tg_xxxyyyy_xxxxzzz_1[j];

                    tg_xxxxyyyy_xxxxyyyy_0[j] = pb_x * tg_xxxyyyy_xxxxyyyy_0[j] + fr * tg_xxxyyyy_xxxxyyyy_1[j] + 1.5 * fl1_fx * (tg_xxyyyy_xxxxyyyy_0[j] - tg_xxyyyy_xxxxyyyy_1[j] * fl1_fza) + 2.0 * fl1_fxn * tg_xxxyyyy_xxxyyyy_1[j];

                    tg_xxxxyyyy_xxxxyyyz_0[j] = pb_x * tg_xxxyyyy_xxxxyyyz_0[j] + fr * tg_xxxyyyy_xxxxyyyz_1[j] + 1.5 * fl1_fx * (tg_xxyyyy_xxxxyyyz_0[j] - tg_xxyyyy_xxxxyyyz_1[j] * fl1_fza) + 2.0 * fl1_fxn * tg_xxxyyyy_xxxyyyz_1[j];

                    tg_xxxxyyyy_xxxxyyzz_0[j] = pb_x * tg_xxxyyyy_xxxxyyzz_0[j] + fr * tg_xxxyyyy_xxxxyyzz_1[j] + 1.5 * fl1_fx * (tg_xxyyyy_xxxxyyzz_0[j] - tg_xxyyyy_xxxxyyzz_1[j] * fl1_fza) + 2.0 * fl1_fxn * tg_xxxyyyy_xxxyyzz_1[j];

                    tg_xxxxyyyy_xxxxyzzz_0[j] = pb_x * tg_xxxyyyy_xxxxyzzz_0[j] + fr * tg_xxxyyyy_xxxxyzzz_1[j] + 1.5 * fl1_fx * (tg_xxyyyy_xxxxyzzz_0[j] - tg_xxyyyy_xxxxyzzz_1[j] * fl1_fza) + 2.0 * fl1_fxn * tg_xxxyyyy_xxxyzzz_1[j];

                    tg_xxxxyyyy_xxxxzzzz_0[j] = pb_x * tg_xxxyyyy_xxxxzzzz_0[j] + fr * tg_xxxyyyy_xxxxzzzz_1[j] + 1.5 * fl1_fx * (tg_xxyyyy_xxxxzzzz_0[j] - tg_xxyyyy_xxxxzzzz_1[j] * fl1_fza) + 2.0 * fl1_fxn * tg_xxxyyyy_xxxzzzz_1[j];

                    tg_xxxxyyyy_xxxyyyyy_0[j] = pb_x * tg_xxxyyyy_xxxyyyyy_0[j] + fr * tg_xxxyyyy_xxxyyyyy_1[j] + 1.5 * fl1_fx * (tg_xxyyyy_xxxyyyyy_0[j] - tg_xxyyyy_xxxyyyyy_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_xxxyyyy_xxyyyyy_1[j];

                    tg_xxxxyyyy_xxxyyyyz_0[j] = pb_x * tg_xxxyyyy_xxxyyyyz_0[j] + fr * tg_xxxyyyy_xxxyyyyz_1[j] + 1.5 * fl1_fx * (tg_xxyyyy_xxxyyyyz_0[j] - tg_xxyyyy_xxxyyyyz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_xxxyyyy_xxyyyyz_1[j];

                    tg_xxxxyyyy_xxxyyyzz_0[j] = pb_x * tg_xxxyyyy_xxxyyyzz_0[j] + fr * tg_xxxyyyy_xxxyyyzz_1[j] + 1.5 * fl1_fx * (tg_xxyyyy_xxxyyyzz_0[j] - tg_xxyyyy_xxxyyyzz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_xxxyyyy_xxyyyzz_1[j];

                    tg_xxxxyyyy_xxxyyzzz_0[j] = pb_x * tg_xxxyyyy_xxxyyzzz_0[j] + fr * tg_xxxyyyy_xxxyyzzz_1[j] + 1.5 * fl1_fx * (tg_xxyyyy_xxxyyzzz_0[j] - tg_xxyyyy_xxxyyzzz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_xxxyyyy_xxyyzzz_1[j];

                    tg_xxxxyyyy_xxxyzzzz_0[j] = pb_x * tg_xxxyyyy_xxxyzzzz_0[j] + fr * tg_xxxyyyy_xxxyzzzz_1[j] + 1.5 * fl1_fx * (tg_xxyyyy_xxxyzzzz_0[j] - tg_xxyyyy_xxxyzzzz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_xxxyyyy_xxyzzzz_1[j];

                    tg_xxxxyyyy_xxxzzzzz_0[j] = pb_x * tg_xxxyyyy_xxxzzzzz_0[j] + fr * tg_xxxyyyy_xxxzzzzz_1[j] + 1.5 * fl1_fx * (tg_xxyyyy_xxxzzzzz_0[j] - tg_xxyyyy_xxxzzzzz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_xxxyyyy_xxzzzzz_1[j];

                    tg_xxxxyyyy_xxyyyyyy_0[j] = pb_x * tg_xxxyyyy_xxyyyyyy_0[j] + fr * tg_xxxyyyy_xxyyyyyy_1[j] + 1.5 * fl1_fx * (tg_xxyyyy_xxyyyyyy_0[j] - tg_xxyyyy_xxyyyyyy_1[j] * fl1_fza) + fl1_fxn * tg_xxxyyyy_xyyyyyy_1[j];

                    tg_xxxxyyyy_xxyyyyyz_0[j] = pb_x * tg_xxxyyyy_xxyyyyyz_0[j] + fr * tg_xxxyyyy_xxyyyyyz_1[j] + 1.5 * fl1_fx * (tg_xxyyyy_xxyyyyyz_0[j] - tg_xxyyyy_xxyyyyyz_1[j] * fl1_fza) + fl1_fxn * tg_xxxyyyy_xyyyyyz_1[j];

                    tg_xxxxyyyy_xxyyyyzz_0[j] = pb_x * tg_xxxyyyy_xxyyyyzz_0[j] + fr * tg_xxxyyyy_xxyyyyzz_1[j] + 1.5 * fl1_fx * (tg_xxyyyy_xxyyyyzz_0[j] - tg_xxyyyy_xxyyyyzz_1[j] * fl1_fza) + fl1_fxn * tg_xxxyyyy_xyyyyzz_1[j];

                    tg_xxxxyyyy_xxyyyzzz_0[j] = pb_x * tg_xxxyyyy_xxyyyzzz_0[j] + fr * tg_xxxyyyy_xxyyyzzz_1[j] + 1.5 * fl1_fx * (tg_xxyyyy_xxyyyzzz_0[j] - tg_xxyyyy_xxyyyzzz_1[j] * fl1_fza) + fl1_fxn * tg_xxxyyyy_xyyyzzz_1[j];

                    tg_xxxxyyyy_xxyyzzzz_0[j] = pb_x * tg_xxxyyyy_xxyyzzzz_0[j] + fr * tg_xxxyyyy_xxyyzzzz_1[j] + 1.5 * fl1_fx * (tg_xxyyyy_xxyyzzzz_0[j] - tg_xxyyyy_xxyyzzzz_1[j] * fl1_fza) + fl1_fxn * tg_xxxyyyy_xyyzzzz_1[j];

                    tg_xxxxyyyy_xxyzzzzz_0[j] = pb_x * tg_xxxyyyy_xxyzzzzz_0[j] + fr * tg_xxxyyyy_xxyzzzzz_1[j] + 1.5 * fl1_fx * (tg_xxyyyy_xxyzzzzz_0[j] - tg_xxyyyy_xxyzzzzz_1[j] * fl1_fza) + fl1_fxn * tg_xxxyyyy_xyzzzzz_1[j];

                    tg_xxxxyyyy_xxzzzzzz_0[j] = pb_x * tg_xxxyyyy_xxzzzzzz_0[j] + fr * tg_xxxyyyy_xxzzzzzz_1[j] + 1.5 * fl1_fx * (tg_xxyyyy_xxzzzzzz_0[j] - tg_xxyyyy_xxzzzzzz_1[j] * fl1_fza) + fl1_fxn * tg_xxxyyyy_xzzzzzz_1[j];

                    tg_xxxxyyyy_xyyyyyyy_0[j] = pb_x * tg_xxxyyyy_xyyyyyyy_0[j] + fr * tg_xxxyyyy_xyyyyyyy_1[j] + 1.5 * fl1_fx * (tg_xxyyyy_xyyyyyyy_0[j] - tg_xxyyyy_xyyyyyyy_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xxxyyyy_yyyyyyy_1[j];

                    tg_xxxxyyyy_xyyyyyyz_0[j] = pb_x * tg_xxxyyyy_xyyyyyyz_0[j] + fr * tg_xxxyyyy_xyyyyyyz_1[j] + 1.5 * fl1_fx * (tg_xxyyyy_xyyyyyyz_0[j] - tg_xxyyyy_xyyyyyyz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xxxyyyy_yyyyyyz_1[j];

                    tg_xxxxyyyy_xyyyyyzz_0[j] = pb_x * tg_xxxyyyy_xyyyyyzz_0[j] + fr * tg_xxxyyyy_xyyyyyzz_1[j] + 1.5 * fl1_fx * (tg_xxyyyy_xyyyyyzz_0[j] - tg_xxyyyy_xyyyyyzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xxxyyyy_yyyyyzz_1[j];

                    tg_xxxxyyyy_xyyyyzzz_0[j] = pb_x * tg_xxxyyyy_xyyyyzzz_0[j] + fr * tg_xxxyyyy_xyyyyzzz_1[j] + 1.5 * fl1_fx * (tg_xxyyyy_xyyyyzzz_0[j] - tg_xxyyyy_xyyyyzzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xxxyyyy_yyyyzzz_1[j];

                    tg_xxxxyyyy_xyyyzzzz_0[j] = pb_x * tg_xxxyyyy_xyyyzzzz_0[j] + fr * tg_xxxyyyy_xyyyzzzz_1[j] + 1.5 * fl1_fx * (tg_xxyyyy_xyyyzzzz_0[j] - tg_xxyyyy_xyyyzzzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xxxyyyy_yyyzzzz_1[j];

                    tg_xxxxyyyy_xyyzzzzz_0[j] = pb_x * tg_xxxyyyy_xyyzzzzz_0[j] + fr * tg_xxxyyyy_xyyzzzzz_1[j] + 1.5 * fl1_fx * (tg_xxyyyy_xyyzzzzz_0[j] - tg_xxyyyy_xyyzzzzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xxxyyyy_yyzzzzz_1[j];

                    tg_xxxxyyyy_xyzzzzzz_0[j] = pb_x * tg_xxxyyyy_xyzzzzzz_0[j] + fr * tg_xxxyyyy_xyzzzzzz_1[j] + 1.5 * fl1_fx * (tg_xxyyyy_xyzzzzzz_0[j] - tg_xxyyyy_xyzzzzzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xxxyyyy_yzzzzzz_1[j];
                }

                idx++;
            }
        }
    }

    void
    compElectronRepulsionForSLSL_485_582(      CMemBlock2D<double>* primBuffer,
                                         const CRecursionMap&       recursionMap,
                                         const CMemBlock2D<double>& osFactors,
                                         const CMemBlock2D<double>& wpDistances,
                                         const CGtoPairsBlock&      braGtoPairsBlock,
                                         const CGtoPairsBlock&      ketGtoPairsBlock,
                                         const int32_t              nKetPrimPairs,
                                         const int32_t              iContrPair)
    {
        // Batch of Integrals (485,582)

        // set up pointers to primitives data on bra side

        auto spos = braGtoPairsBlock.getStartPositions();

        auto epos = braGtoPairsBlock.getEndPositions();

        // set up pointers to tensor of distance R(PB) = P - B

        auto r_pb_x = braGtoPairsBlock.getDistancesPBX();

        // set up pointers to common Obara-Saika factors

        auto b_fx = braGtoPairsBlock.getFactorsOneOverXi();

        // set up maximum order of integral

        auto mord = recursionMap.getMaxOrder({"Electron Repulsion"},
                                             {8, -1, -1, -1},
                                             {8, -1, -1, -1},
                                             1, 1);

        for (int32_t iord = 0; iord <= mord; iord++)
        {
            // set up index of integral

            auto pidx_g_8_8_m0 = recursionMap.index(CRecursionTerm({"Electron Repulsion"}, 0, true, 
                                                                   {8, -1, -1, -1}, {8, -1, -1, -1}, 
                                                                   1, 1, iord));

            // check if integral is needed in recursion expansion

            if (pidx_g_8_8_m0 == -1) continue;

            // set up indexes of auxilary integral

            auto pidx_g_7_8_m0 = recursionMap.index(CRecursionTerm({"Electron Repulsion"}, 0, true, 
                                                                   {7, -1, -1, -1}, {8, -1, -1, -1}, 
                                                                   1, 1, iord));

            auto pidx_g_7_8_m1 = recursionMap.index(CRecursionTerm({"Electron Repulsion"}, 0, true, 
                                                                   {7, -1, -1, -1}, {8, -1, -1, -1}, 
                                                                   1, 1, iord + 1));

            auto pidx_g_6_8_m0 = recursionMap.index(CRecursionTerm({"Electron Repulsion"}, 0, true, 
                                                                   {6, -1, -1, -1}, {8, -1, -1, -1}, 
                                                                   1, 1, iord));

            auto pidx_g_6_8_m1 = recursionMap.index(CRecursionTerm({"Electron Repulsion"}, 0, true, 
                                                                   {6, -1, -1, -1}, {8, -1, -1, -1}, 
                                                                   1, 1, iord + 1));

            auto pidx_g_7_7_m1 = recursionMap.index(CRecursionTerm({"Electron Repulsion"}, 0, true, 
                                                                   {7, -1, -1, -1}, {7, -1, -1, -1}, 
                                                                   1, 1, iord + 1));

            // loop over contracted GTO on bra side

            int32_t idx = 0;

            for (int32_t i = spos[iContrPair]; i < epos[iContrPair]; i++)
            {
                // set up pointers to Obara-Saika factors

                double fx = b_fx[i];

                auto fza = osFactors.data(4 * idx + 2);

                auto fxn = osFactors.data(4 * idx);

                // set up distances R(PB) = P - B

                auto pb_x = r_pb_x[i];

                // set up pointers to tensors product of distances R(WP) = W - P

                auto wp_x = wpDistances.data(3 * idx);

                // set up pointers to auxilary integrals

                auto tg_xxxyyyy_xzzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 485); 

                auto tg_xxxyyyy_yyyyyyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 486); 

                auto tg_xxxyyyy_yyyyyyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 487); 

                auto tg_xxxyyyy_yyyyyyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 488); 

                auto tg_xxxyyyy_yyyyyzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 489); 

                auto tg_xxxyyyy_yyyyzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 490); 

                auto tg_xxxyyyy_yyyzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 491); 

                auto tg_xxxyyyy_yyzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 492); 

                auto tg_xxxyyyy_yzzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 493); 

                auto tg_xxxyyyy_zzzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 494); 

                auto tg_xxxyyyz_xxxxxxxx_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 495); 

                auto tg_xxxyyyz_xxxxxxxy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 496); 

                auto tg_xxxyyyz_xxxxxxxz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 497); 

                auto tg_xxxyyyz_xxxxxxyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 498); 

                auto tg_xxxyyyz_xxxxxxyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 499); 

                auto tg_xxxyyyz_xxxxxxzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 500); 

                auto tg_xxxyyyz_xxxxxyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 501); 

                auto tg_xxxyyyz_xxxxxyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 502); 

                auto tg_xxxyyyz_xxxxxyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 503); 

                auto tg_xxxyyyz_xxxxxzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 504); 

                auto tg_xxxyyyz_xxxxyyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 505); 

                auto tg_xxxyyyz_xxxxyyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 506); 

                auto tg_xxxyyyz_xxxxyyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 507); 

                auto tg_xxxyyyz_xxxxyzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 508); 

                auto tg_xxxyyyz_xxxxzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 509); 

                auto tg_xxxyyyz_xxxyyyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 510); 

                auto tg_xxxyyyz_xxxyyyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 511); 

                auto tg_xxxyyyz_xxxyyyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 512); 

                auto tg_xxxyyyz_xxxyyzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 513); 

                auto tg_xxxyyyz_xxxyzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 514); 

                auto tg_xxxyyyz_xxxzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 515); 

                auto tg_xxxyyyz_xxyyyyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 516); 

                auto tg_xxxyyyz_xxyyyyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 517); 

                auto tg_xxxyyyz_xxyyyyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 518); 

                auto tg_xxxyyyz_xxyyyzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 519); 

                auto tg_xxxyyyz_xxyyzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 520); 

                auto tg_xxxyyyz_xxyzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 521); 

                auto tg_xxxyyyz_xxzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 522); 

                auto tg_xxxyyyz_xyyyyyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 523); 

                auto tg_xxxyyyz_xyyyyyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 524); 

                auto tg_xxxyyyz_xyyyyyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 525); 

                auto tg_xxxyyyz_xyyyyzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 526); 

                auto tg_xxxyyyz_xyyyzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 527); 

                auto tg_xxxyyyz_xyyzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 528); 

                auto tg_xxxyyyz_xyzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 529); 

                auto tg_xxxyyyz_xzzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 530); 

                auto tg_xxxyyyz_yyyyyyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 531); 

                auto tg_xxxyyyz_yyyyyyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 532); 

                auto tg_xxxyyyz_yyyyyyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 533); 

                auto tg_xxxyyyz_yyyyyzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 534); 

                auto tg_xxxyyyz_yyyyzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 535); 

                auto tg_xxxyyyz_yyyzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 536); 

                auto tg_xxxyyyz_yyzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 537); 

                auto tg_xxxyyyz_yzzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 538); 

                auto tg_xxxyyyz_zzzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 539); 

                auto tg_xxxyyzz_xxxxxxxx_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 540); 

                auto tg_xxxyyzz_xxxxxxxy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 541); 

                auto tg_xxxyyzz_xxxxxxxz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 542); 

                auto tg_xxxyyzz_xxxxxxyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 543); 

                auto tg_xxxyyzz_xxxxxxyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 544); 

                auto tg_xxxyyzz_xxxxxxzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 545); 

                auto tg_xxxyyzz_xxxxxyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 546); 

                auto tg_xxxyyzz_xxxxxyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 547); 

                auto tg_xxxyyzz_xxxxxyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 548); 

                auto tg_xxxyyzz_xxxxxzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 549); 

                auto tg_xxxyyzz_xxxxyyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 550); 

                auto tg_xxxyyzz_xxxxyyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 551); 

                auto tg_xxxyyzz_xxxxyyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 552); 

                auto tg_xxxyyzz_xxxxyzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 553); 

                auto tg_xxxyyzz_xxxxzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 554); 

                auto tg_xxxyyzz_xxxyyyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 555); 

                auto tg_xxxyyzz_xxxyyyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 556); 

                auto tg_xxxyyzz_xxxyyyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 557); 

                auto tg_xxxyyzz_xxxyyzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 558); 

                auto tg_xxxyyzz_xxxyzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 559); 

                auto tg_xxxyyzz_xxxzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 560); 

                auto tg_xxxyyzz_xxyyyyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 561); 

                auto tg_xxxyyzz_xxyyyyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 562); 

                auto tg_xxxyyzz_xxyyyyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 563); 

                auto tg_xxxyyzz_xxyyyzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 564); 

                auto tg_xxxyyzz_xxyyzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 565); 

                auto tg_xxxyyzz_xxyzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 566); 

                auto tg_xxxyyzz_xxzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 567); 

                auto tg_xxxyyzz_xyyyyyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 568); 

                auto tg_xxxyyzz_xyyyyyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 569); 

                auto tg_xxxyyzz_xyyyyyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 570); 

                auto tg_xxxyyzz_xyyyyzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 571); 

                auto tg_xxxyyzz_xyyyzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 572); 

                auto tg_xxxyyzz_xyyzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 573); 

                auto tg_xxxyyzz_xyzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 574); 

                auto tg_xxxyyzz_xzzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 575); 

                auto tg_xxxyyzz_yyyyyyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 576); 

                auto tg_xxxyyzz_yyyyyyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 577); 

                auto tg_xxxyyzz_yyyyyyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 578); 

                auto tg_xxxyyzz_yyyyyzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 579); 

                auto tg_xxxyyzz_yyyyzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 580); 

                auto tg_xxxyyzz_yyyzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 581); 

                auto tg_xxxyyyy_xzzzzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 485); 

                auto tg_xxxyyyy_yyyyyyyy_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 486); 

                auto tg_xxxyyyy_yyyyyyyz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 487); 

                auto tg_xxxyyyy_yyyyyyzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 488); 

                auto tg_xxxyyyy_yyyyyzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 489); 

                auto tg_xxxyyyy_yyyyzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 490); 

                auto tg_xxxyyyy_yyyzzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 491); 

                auto tg_xxxyyyy_yyzzzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 492); 

                auto tg_xxxyyyy_yzzzzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 493); 

                auto tg_xxxyyyy_zzzzzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 494); 

                auto tg_xxxyyyz_xxxxxxxx_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 495); 

                auto tg_xxxyyyz_xxxxxxxy_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 496); 

                auto tg_xxxyyyz_xxxxxxxz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 497); 

                auto tg_xxxyyyz_xxxxxxyy_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 498); 

                auto tg_xxxyyyz_xxxxxxyz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 499); 

                auto tg_xxxyyyz_xxxxxxzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 500); 

                auto tg_xxxyyyz_xxxxxyyy_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 501); 

                auto tg_xxxyyyz_xxxxxyyz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 502); 

                auto tg_xxxyyyz_xxxxxyzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 503); 

                auto tg_xxxyyyz_xxxxxzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 504); 

                auto tg_xxxyyyz_xxxxyyyy_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 505); 

                auto tg_xxxyyyz_xxxxyyyz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 506); 

                auto tg_xxxyyyz_xxxxyyzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 507); 

                auto tg_xxxyyyz_xxxxyzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 508); 

                auto tg_xxxyyyz_xxxxzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 509); 

                auto tg_xxxyyyz_xxxyyyyy_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 510); 

                auto tg_xxxyyyz_xxxyyyyz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 511); 

                auto tg_xxxyyyz_xxxyyyzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 512); 

                auto tg_xxxyyyz_xxxyyzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 513); 

                auto tg_xxxyyyz_xxxyzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 514); 

                auto tg_xxxyyyz_xxxzzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 515); 

                auto tg_xxxyyyz_xxyyyyyy_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 516); 

                auto tg_xxxyyyz_xxyyyyyz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 517); 

                auto tg_xxxyyyz_xxyyyyzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 518); 

                auto tg_xxxyyyz_xxyyyzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 519); 

                auto tg_xxxyyyz_xxyyzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 520); 

                auto tg_xxxyyyz_xxyzzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 521); 

                auto tg_xxxyyyz_xxzzzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 522); 

                auto tg_xxxyyyz_xyyyyyyy_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 523); 

                auto tg_xxxyyyz_xyyyyyyz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 524); 

                auto tg_xxxyyyz_xyyyyyzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 525); 

                auto tg_xxxyyyz_xyyyyzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 526); 

                auto tg_xxxyyyz_xyyyzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 527); 

                auto tg_xxxyyyz_xyyzzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 528); 

                auto tg_xxxyyyz_xyzzzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 529); 

                auto tg_xxxyyyz_xzzzzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 530); 

                auto tg_xxxyyyz_yyyyyyyy_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 531); 

                auto tg_xxxyyyz_yyyyyyyz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 532); 

                auto tg_xxxyyyz_yyyyyyzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 533); 

                auto tg_xxxyyyz_yyyyyzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 534); 

                auto tg_xxxyyyz_yyyyzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 535); 

                auto tg_xxxyyyz_yyyzzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 536); 

                auto tg_xxxyyyz_yyzzzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 537); 

                auto tg_xxxyyyz_yzzzzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 538); 

                auto tg_xxxyyyz_zzzzzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 539); 

                auto tg_xxxyyzz_xxxxxxxx_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 540); 

                auto tg_xxxyyzz_xxxxxxxy_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 541); 

                auto tg_xxxyyzz_xxxxxxxz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 542); 

                auto tg_xxxyyzz_xxxxxxyy_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 543); 

                auto tg_xxxyyzz_xxxxxxyz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 544); 

                auto tg_xxxyyzz_xxxxxxzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 545); 

                auto tg_xxxyyzz_xxxxxyyy_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 546); 

                auto tg_xxxyyzz_xxxxxyyz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 547); 

                auto tg_xxxyyzz_xxxxxyzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 548); 

                auto tg_xxxyyzz_xxxxxzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 549); 

                auto tg_xxxyyzz_xxxxyyyy_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 550); 

                auto tg_xxxyyzz_xxxxyyyz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 551); 

                auto tg_xxxyyzz_xxxxyyzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 552); 

                auto tg_xxxyyzz_xxxxyzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 553); 

                auto tg_xxxyyzz_xxxxzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 554); 

                auto tg_xxxyyzz_xxxyyyyy_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 555); 

                auto tg_xxxyyzz_xxxyyyyz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 556); 

                auto tg_xxxyyzz_xxxyyyzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 557); 

                auto tg_xxxyyzz_xxxyyzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 558); 

                auto tg_xxxyyzz_xxxyzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 559); 

                auto tg_xxxyyzz_xxxzzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 560); 

                auto tg_xxxyyzz_xxyyyyyy_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 561); 

                auto tg_xxxyyzz_xxyyyyyz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 562); 

                auto tg_xxxyyzz_xxyyyyzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 563); 

                auto tg_xxxyyzz_xxyyyzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 564); 

                auto tg_xxxyyzz_xxyyzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 565); 

                auto tg_xxxyyzz_xxyzzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 566); 

                auto tg_xxxyyzz_xxzzzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 567); 

                auto tg_xxxyyzz_xyyyyyyy_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 568); 

                auto tg_xxxyyzz_xyyyyyyz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 569); 

                auto tg_xxxyyzz_xyyyyyzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 570); 

                auto tg_xxxyyzz_xyyyyzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 571); 

                auto tg_xxxyyzz_xyyyzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 572); 

                auto tg_xxxyyzz_xyyzzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 573); 

                auto tg_xxxyyzz_xyzzzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 574); 

                auto tg_xxxyyzz_xzzzzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 575); 

                auto tg_xxxyyzz_yyyyyyyy_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 576); 

                auto tg_xxxyyzz_yyyyyyyz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 577); 

                auto tg_xxxyyzz_yyyyyyzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 578); 

                auto tg_xxxyyzz_yyyyyzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 579); 

                auto tg_xxxyyzz_yyyyzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 580); 

                auto tg_xxxyyzz_yyyzzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 581); 

                auto tg_xxyyyy_xzzzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 485); 

                auto tg_xxyyyy_yyyyyyyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 486); 

                auto tg_xxyyyy_yyyyyyyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 487); 

                auto tg_xxyyyy_yyyyyyzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 488); 

                auto tg_xxyyyy_yyyyyzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 489); 

                auto tg_xxyyyy_yyyyzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 490); 

                auto tg_xxyyyy_yyyzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 491); 

                auto tg_xxyyyy_yyzzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 492); 

                auto tg_xxyyyy_yzzzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 493); 

                auto tg_xxyyyy_zzzzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 494); 

                auto tg_xxyyyz_xxxxxxxx_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 495); 

                auto tg_xxyyyz_xxxxxxxy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 496); 

                auto tg_xxyyyz_xxxxxxxz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 497); 

                auto tg_xxyyyz_xxxxxxyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 498); 

                auto tg_xxyyyz_xxxxxxyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 499); 

                auto tg_xxyyyz_xxxxxxzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 500); 

                auto tg_xxyyyz_xxxxxyyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 501); 

                auto tg_xxyyyz_xxxxxyyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 502); 

                auto tg_xxyyyz_xxxxxyzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 503); 

                auto tg_xxyyyz_xxxxxzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 504); 

                auto tg_xxyyyz_xxxxyyyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 505); 

                auto tg_xxyyyz_xxxxyyyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 506); 

                auto tg_xxyyyz_xxxxyyzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 507); 

                auto tg_xxyyyz_xxxxyzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 508); 

                auto tg_xxyyyz_xxxxzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 509); 

                auto tg_xxyyyz_xxxyyyyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 510); 

                auto tg_xxyyyz_xxxyyyyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 511); 

                auto tg_xxyyyz_xxxyyyzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 512); 

                auto tg_xxyyyz_xxxyyzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 513); 

                auto tg_xxyyyz_xxxyzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 514); 

                auto tg_xxyyyz_xxxzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 515); 

                auto tg_xxyyyz_xxyyyyyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 516); 

                auto tg_xxyyyz_xxyyyyyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 517); 

                auto tg_xxyyyz_xxyyyyzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 518); 

                auto tg_xxyyyz_xxyyyzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 519); 

                auto tg_xxyyyz_xxyyzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 520); 

                auto tg_xxyyyz_xxyzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 521); 

                auto tg_xxyyyz_xxzzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 522); 

                auto tg_xxyyyz_xyyyyyyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 523); 

                auto tg_xxyyyz_xyyyyyyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 524); 

                auto tg_xxyyyz_xyyyyyzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 525); 

                auto tg_xxyyyz_xyyyyzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 526); 

                auto tg_xxyyyz_xyyyzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 527); 

                auto tg_xxyyyz_xyyzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 528); 

                auto tg_xxyyyz_xyzzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 529); 

                auto tg_xxyyyz_xzzzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 530); 

                auto tg_xxyyyz_yyyyyyyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 531); 

                auto tg_xxyyyz_yyyyyyyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 532); 

                auto tg_xxyyyz_yyyyyyzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 533); 

                auto tg_xxyyyz_yyyyyzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 534); 

                auto tg_xxyyyz_yyyyzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 535); 

                auto tg_xxyyyz_yyyzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 536); 

                auto tg_xxyyyz_yyzzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 537); 

                auto tg_xxyyyz_yzzzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 538); 

                auto tg_xxyyyz_zzzzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 539); 

                auto tg_xxyyzz_xxxxxxxx_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 540); 

                auto tg_xxyyzz_xxxxxxxy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 541); 

                auto tg_xxyyzz_xxxxxxxz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 542); 

                auto tg_xxyyzz_xxxxxxyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 543); 

                auto tg_xxyyzz_xxxxxxyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 544); 

                auto tg_xxyyzz_xxxxxxzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 545); 

                auto tg_xxyyzz_xxxxxyyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 546); 

                auto tg_xxyyzz_xxxxxyyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 547); 

                auto tg_xxyyzz_xxxxxyzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 548); 

                auto tg_xxyyzz_xxxxxzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 549); 

                auto tg_xxyyzz_xxxxyyyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 550); 

                auto tg_xxyyzz_xxxxyyyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 551); 

                auto tg_xxyyzz_xxxxyyzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 552); 

                auto tg_xxyyzz_xxxxyzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 553); 

                auto tg_xxyyzz_xxxxzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 554); 

                auto tg_xxyyzz_xxxyyyyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 555); 

                auto tg_xxyyzz_xxxyyyyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 556); 

                auto tg_xxyyzz_xxxyyyzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 557); 

                auto tg_xxyyzz_xxxyyzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 558); 

                auto tg_xxyyzz_xxxyzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 559); 

                auto tg_xxyyzz_xxxzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 560); 

                auto tg_xxyyzz_xxyyyyyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 561); 

                auto tg_xxyyzz_xxyyyyyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 562); 

                auto tg_xxyyzz_xxyyyyzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 563); 

                auto tg_xxyyzz_xxyyyzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 564); 

                auto tg_xxyyzz_xxyyzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 565); 

                auto tg_xxyyzz_xxyzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 566); 

                auto tg_xxyyzz_xxzzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 567); 

                auto tg_xxyyzz_xyyyyyyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 568); 

                auto tg_xxyyzz_xyyyyyyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 569); 

                auto tg_xxyyzz_xyyyyyzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 570); 

                auto tg_xxyyzz_xyyyyzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 571); 

                auto tg_xxyyzz_xyyyzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 572); 

                auto tg_xxyyzz_xyyzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 573); 

                auto tg_xxyyzz_xyzzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 574); 

                auto tg_xxyyzz_xzzzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 575); 

                auto tg_xxyyzz_yyyyyyyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 576); 

                auto tg_xxyyzz_yyyyyyyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 577); 

                auto tg_xxyyzz_yyyyyyzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 578); 

                auto tg_xxyyzz_yyyyyzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 579); 

                auto tg_xxyyzz_yyyyzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 580); 

                auto tg_xxyyzz_yyyzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 581); 

                auto tg_xxyyyy_xzzzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 485); 

                auto tg_xxyyyy_yyyyyyyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 486); 

                auto tg_xxyyyy_yyyyyyyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 487); 

                auto tg_xxyyyy_yyyyyyzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 488); 

                auto tg_xxyyyy_yyyyyzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 489); 

                auto tg_xxyyyy_yyyyzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 490); 

                auto tg_xxyyyy_yyyzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 491); 

                auto tg_xxyyyy_yyzzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 492); 

                auto tg_xxyyyy_yzzzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 493); 

                auto tg_xxyyyy_zzzzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 494); 

                auto tg_xxyyyz_xxxxxxxx_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 495); 

                auto tg_xxyyyz_xxxxxxxy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 496); 

                auto tg_xxyyyz_xxxxxxxz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 497); 

                auto tg_xxyyyz_xxxxxxyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 498); 

                auto tg_xxyyyz_xxxxxxyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 499); 

                auto tg_xxyyyz_xxxxxxzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 500); 

                auto tg_xxyyyz_xxxxxyyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 501); 

                auto tg_xxyyyz_xxxxxyyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 502); 

                auto tg_xxyyyz_xxxxxyzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 503); 

                auto tg_xxyyyz_xxxxxzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 504); 

                auto tg_xxyyyz_xxxxyyyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 505); 

                auto tg_xxyyyz_xxxxyyyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 506); 

                auto tg_xxyyyz_xxxxyyzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 507); 

                auto tg_xxyyyz_xxxxyzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 508); 

                auto tg_xxyyyz_xxxxzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 509); 

                auto tg_xxyyyz_xxxyyyyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 510); 

                auto tg_xxyyyz_xxxyyyyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 511); 

                auto tg_xxyyyz_xxxyyyzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 512); 

                auto tg_xxyyyz_xxxyyzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 513); 

                auto tg_xxyyyz_xxxyzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 514); 

                auto tg_xxyyyz_xxxzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 515); 

                auto tg_xxyyyz_xxyyyyyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 516); 

                auto tg_xxyyyz_xxyyyyyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 517); 

                auto tg_xxyyyz_xxyyyyzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 518); 

                auto tg_xxyyyz_xxyyyzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 519); 

                auto tg_xxyyyz_xxyyzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 520); 

                auto tg_xxyyyz_xxyzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 521); 

                auto tg_xxyyyz_xxzzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 522); 

                auto tg_xxyyyz_xyyyyyyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 523); 

                auto tg_xxyyyz_xyyyyyyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 524); 

                auto tg_xxyyyz_xyyyyyzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 525); 

                auto tg_xxyyyz_xyyyyzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 526); 

                auto tg_xxyyyz_xyyyzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 527); 

                auto tg_xxyyyz_xyyzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 528); 

                auto tg_xxyyyz_xyzzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 529); 

                auto tg_xxyyyz_xzzzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 530); 

                auto tg_xxyyyz_yyyyyyyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 531); 

                auto tg_xxyyyz_yyyyyyyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 532); 

                auto tg_xxyyyz_yyyyyyzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 533); 

                auto tg_xxyyyz_yyyyyzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 534); 

                auto tg_xxyyyz_yyyyzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 535); 

                auto tg_xxyyyz_yyyzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 536); 

                auto tg_xxyyyz_yyzzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 537); 

                auto tg_xxyyyz_yzzzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 538); 

                auto tg_xxyyyz_zzzzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 539); 

                auto tg_xxyyzz_xxxxxxxx_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 540); 

                auto tg_xxyyzz_xxxxxxxy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 541); 

                auto tg_xxyyzz_xxxxxxxz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 542); 

                auto tg_xxyyzz_xxxxxxyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 543); 

                auto tg_xxyyzz_xxxxxxyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 544); 

                auto tg_xxyyzz_xxxxxxzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 545); 

                auto tg_xxyyzz_xxxxxyyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 546); 

                auto tg_xxyyzz_xxxxxyyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 547); 

                auto tg_xxyyzz_xxxxxyzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 548); 

                auto tg_xxyyzz_xxxxxzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 549); 

                auto tg_xxyyzz_xxxxyyyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 550); 

                auto tg_xxyyzz_xxxxyyyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 551); 

                auto tg_xxyyzz_xxxxyyzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 552); 

                auto tg_xxyyzz_xxxxyzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 553); 

                auto tg_xxyyzz_xxxxzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 554); 

                auto tg_xxyyzz_xxxyyyyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 555); 

                auto tg_xxyyzz_xxxyyyyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 556); 

                auto tg_xxyyzz_xxxyyyzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 557); 

                auto tg_xxyyzz_xxxyyzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 558); 

                auto tg_xxyyzz_xxxyzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 559); 

                auto tg_xxyyzz_xxxzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 560); 

                auto tg_xxyyzz_xxyyyyyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 561); 

                auto tg_xxyyzz_xxyyyyyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 562); 

                auto tg_xxyyzz_xxyyyyzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 563); 

                auto tg_xxyyzz_xxyyyzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 564); 

                auto tg_xxyyzz_xxyyzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 565); 

                auto tg_xxyyzz_xxyzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 566); 

                auto tg_xxyyzz_xxzzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 567); 

                auto tg_xxyyzz_xyyyyyyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 568); 

                auto tg_xxyyzz_xyyyyyyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 569); 

                auto tg_xxyyzz_xyyyyyzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 570); 

                auto tg_xxyyzz_xyyyyzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 571); 

                auto tg_xxyyzz_xyyyzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 572); 

                auto tg_xxyyzz_xyyzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 573); 

                auto tg_xxyyzz_xyzzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 574); 

                auto tg_xxyyzz_xzzzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 575); 

                auto tg_xxyyzz_yyyyyyyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 576); 

                auto tg_xxyyzz_yyyyyyyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 577); 

                auto tg_xxyyzz_yyyyyyzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 578); 

                auto tg_xxyyzz_yyyyyzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 579); 

                auto tg_xxyyzz_yyyyzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 580); 

                auto tg_xxyyzz_yyyzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 581); 

                auto tg_xxxyyyy_zzzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 395); 

                auto tg_xxxyyyz_xxxxxxx_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 396); 

                auto tg_xxxyyyz_xxxxxxy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 397); 

                auto tg_xxxyyyz_xxxxxxz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 398); 

                auto tg_xxxyyyz_xxxxxyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 399); 

                auto tg_xxxyyyz_xxxxxyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 400); 

                auto tg_xxxyyyz_xxxxxzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 401); 

                auto tg_xxxyyyz_xxxxyyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 402); 

                auto tg_xxxyyyz_xxxxyyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 403); 

                auto tg_xxxyyyz_xxxxyzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 404); 

                auto tg_xxxyyyz_xxxxzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 405); 

                auto tg_xxxyyyz_xxxyyyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 406); 

                auto tg_xxxyyyz_xxxyyyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 407); 

                auto tg_xxxyyyz_xxxyyzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 408); 

                auto tg_xxxyyyz_xxxyzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 409); 

                auto tg_xxxyyyz_xxxzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 410); 

                auto tg_xxxyyyz_xxyyyyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 411); 

                auto tg_xxxyyyz_xxyyyyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 412); 

                auto tg_xxxyyyz_xxyyyzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 413); 

                auto tg_xxxyyyz_xxyyzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 414); 

                auto tg_xxxyyyz_xxyzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 415); 

                auto tg_xxxyyyz_xxzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 416); 

                auto tg_xxxyyyz_xyyyyyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 417); 

                auto tg_xxxyyyz_xyyyyyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 418); 

                auto tg_xxxyyyz_xyyyyzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 419); 

                auto tg_xxxyyyz_xyyyzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 420); 

                auto tg_xxxyyyz_xyyzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 421); 

                auto tg_xxxyyyz_xyzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 422); 

                auto tg_xxxyyyz_xzzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 423); 

                auto tg_xxxyyyz_yyyyyyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 424); 

                auto tg_xxxyyyz_yyyyyyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 425); 

                auto tg_xxxyyyz_yyyyyzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 426); 

                auto tg_xxxyyyz_yyyyzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 427); 

                auto tg_xxxyyyz_yyyzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 428); 

                auto tg_xxxyyyz_yyzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 429); 

                auto tg_xxxyyyz_yzzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 430); 

                auto tg_xxxyyyz_zzzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 431); 

                auto tg_xxxyyzz_xxxxxxx_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 432); 

                auto tg_xxxyyzz_xxxxxxy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 433); 

                auto tg_xxxyyzz_xxxxxxz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 434); 

                auto tg_xxxyyzz_xxxxxyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 435); 

                auto tg_xxxyyzz_xxxxxyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 436); 

                auto tg_xxxyyzz_xxxxxzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 437); 

                auto tg_xxxyyzz_xxxxyyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 438); 

                auto tg_xxxyyzz_xxxxyyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 439); 

                auto tg_xxxyyzz_xxxxyzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 440); 

                auto tg_xxxyyzz_xxxxzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 441); 

                auto tg_xxxyyzz_xxxyyyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 442); 

                auto tg_xxxyyzz_xxxyyyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 443); 

                auto tg_xxxyyzz_xxxyyzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 444); 

                auto tg_xxxyyzz_xxxyzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 445); 

                auto tg_xxxyyzz_xxxzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 446); 

                auto tg_xxxyyzz_xxyyyyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 447); 

                auto tg_xxxyyzz_xxyyyyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 448); 

                auto tg_xxxyyzz_xxyyyzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 449); 

                auto tg_xxxyyzz_xxyyzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 450); 

                auto tg_xxxyyzz_xxyzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 451); 

                auto tg_xxxyyzz_xxzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 452); 

                auto tg_xxxyyzz_xyyyyyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 453); 

                auto tg_xxxyyzz_xyyyyyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 454); 

                auto tg_xxxyyzz_xyyyyzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 455); 

                auto tg_xxxyyzz_xyyyzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 456); 

                auto tg_xxxyyzz_xyyzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 457); 

                auto tg_xxxyyzz_xyzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 458); 

                auto tg_xxxyyzz_xzzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 459); 

                auto tg_xxxyyzz_yyyyyyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 460); 

                auto tg_xxxyyzz_yyyyyyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 461); 

                auto tg_xxxyyzz_yyyyyzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 462); 

                auto tg_xxxyyzz_yyyyzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 463); 

                auto tg_xxxyyzz_yyyzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 464); 

                auto tg_xxxyyzz_yyzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 465); 

                auto tg_xxxyyzz_yzzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 466); 

                auto tg_xxxyyzz_zzzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 467); 

                // set up pointers to integrals

                auto tg_xxxxyyyy_xzzzzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 485); 

                auto tg_xxxxyyyy_yyyyyyyy_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 486); 

                auto tg_xxxxyyyy_yyyyyyyz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 487); 

                auto tg_xxxxyyyy_yyyyyyzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 488); 

                auto tg_xxxxyyyy_yyyyyzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 489); 

                auto tg_xxxxyyyy_yyyyzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 490); 

                auto tg_xxxxyyyy_yyyzzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 491); 

                auto tg_xxxxyyyy_yyzzzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 492); 

                auto tg_xxxxyyyy_yzzzzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 493); 

                auto tg_xxxxyyyy_zzzzzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 494); 

                auto tg_xxxxyyyz_xxxxxxxx_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 495); 

                auto tg_xxxxyyyz_xxxxxxxy_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 496); 

                auto tg_xxxxyyyz_xxxxxxxz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 497); 

                auto tg_xxxxyyyz_xxxxxxyy_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 498); 

                auto tg_xxxxyyyz_xxxxxxyz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 499); 

                auto tg_xxxxyyyz_xxxxxxzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 500); 

                auto tg_xxxxyyyz_xxxxxyyy_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 501); 

                auto tg_xxxxyyyz_xxxxxyyz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 502); 

                auto tg_xxxxyyyz_xxxxxyzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 503); 

                auto tg_xxxxyyyz_xxxxxzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 504); 

                auto tg_xxxxyyyz_xxxxyyyy_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 505); 

                auto tg_xxxxyyyz_xxxxyyyz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 506); 

                auto tg_xxxxyyyz_xxxxyyzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 507); 

                auto tg_xxxxyyyz_xxxxyzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 508); 

                auto tg_xxxxyyyz_xxxxzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 509); 

                auto tg_xxxxyyyz_xxxyyyyy_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 510); 

                auto tg_xxxxyyyz_xxxyyyyz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 511); 

                auto tg_xxxxyyyz_xxxyyyzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 512); 

                auto tg_xxxxyyyz_xxxyyzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 513); 

                auto tg_xxxxyyyz_xxxyzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 514); 

                auto tg_xxxxyyyz_xxxzzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 515); 

                auto tg_xxxxyyyz_xxyyyyyy_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 516); 

                auto tg_xxxxyyyz_xxyyyyyz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 517); 

                auto tg_xxxxyyyz_xxyyyyzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 518); 

                auto tg_xxxxyyyz_xxyyyzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 519); 

                auto tg_xxxxyyyz_xxyyzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 520); 

                auto tg_xxxxyyyz_xxyzzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 521); 

                auto tg_xxxxyyyz_xxzzzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 522); 

                auto tg_xxxxyyyz_xyyyyyyy_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 523); 

                auto tg_xxxxyyyz_xyyyyyyz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 524); 

                auto tg_xxxxyyyz_xyyyyyzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 525); 

                auto tg_xxxxyyyz_xyyyyzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 526); 

                auto tg_xxxxyyyz_xyyyzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 527); 

                auto tg_xxxxyyyz_xyyzzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 528); 

                auto tg_xxxxyyyz_xyzzzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 529); 

                auto tg_xxxxyyyz_xzzzzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 530); 

                auto tg_xxxxyyyz_yyyyyyyy_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 531); 

                auto tg_xxxxyyyz_yyyyyyyz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 532); 

                auto tg_xxxxyyyz_yyyyyyzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 533); 

                auto tg_xxxxyyyz_yyyyyzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 534); 

                auto tg_xxxxyyyz_yyyyzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 535); 

                auto tg_xxxxyyyz_yyyzzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 536); 

                auto tg_xxxxyyyz_yyzzzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 537); 

                auto tg_xxxxyyyz_yzzzzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 538); 

                auto tg_xxxxyyyz_zzzzzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 539); 

                auto tg_xxxxyyzz_xxxxxxxx_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 540); 

                auto tg_xxxxyyzz_xxxxxxxy_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 541); 

                auto tg_xxxxyyzz_xxxxxxxz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 542); 

                auto tg_xxxxyyzz_xxxxxxyy_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 543); 

                auto tg_xxxxyyzz_xxxxxxyz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 544); 

                auto tg_xxxxyyzz_xxxxxxzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 545); 

                auto tg_xxxxyyzz_xxxxxyyy_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 546); 

                auto tg_xxxxyyzz_xxxxxyyz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 547); 

                auto tg_xxxxyyzz_xxxxxyzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 548); 

                auto tg_xxxxyyzz_xxxxxzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 549); 

                auto tg_xxxxyyzz_xxxxyyyy_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 550); 

                auto tg_xxxxyyzz_xxxxyyyz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 551); 

                auto tg_xxxxyyzz_xxxxyyzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 552); 

                auto tg_xxxxyyzz_xxxxyzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 553); 

                auto tg_xxxxyyzz_xxxxzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 554); 

                auto tg_xxxxyyzz_xxxyyyyy_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 555); 

                auto tg_xxxxyyzz_xxxyyyyz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 556); 

                auto tg_xxxxyyzz_xxxyyyzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 557); 

                auto tg_xxxxyyzz_xxxyyzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 558); 

                auto tg_xxxxyyzz_xxxyzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 559); 

                auto tg_xxxxyyzz_xxxzzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 560); 

                auto tg_xxxxyyzz_xxyyyyyy_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 561); 

                auto tg_xxxxyyzz_xxyyyyyz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 562); 

                auto tg_xxxxyyzz_xxyyyyzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 563); 

                auto tg_xxxxyyzz_xxyyyzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 564); 

                auto tg_xxxxyyzz_xxyyzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 565); 

                auto tg_xxxxyyzz_xxyzzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 566); 

                auto tg_xxxxyyzz_xxzzzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 567); 

                auto tg_xxxxyyzz_xyyyyyyy_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 568); 

                auto tg_xxxxyyzz_xyyyyyyz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 569); 

                auto tg_xxxxyyzz_xyyyyyzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 570); 

                auto tg_xxxxyyzz_xyyyyzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 571); 

                auto tg_xxxxyyzz_xyyyzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 572); 

                auto tg_xxxxyyzz_xyyzzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 573); 

                auto tg_xxxxyyzz_xyzzzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 574); 

                auto tg_xxxxyyzz_xzzzzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 575); 

                auto tg_xxxxyyzz_yyyyyyyy_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 576); 

                auto tg_xxxxyyzz_yyyyyyyz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 577); 

                auto tg_xxxxyyzz_yyyyyyzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 578); 

                auto tg_xxxxyyzz_yyyyyzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 579); 

                auto tg_xxxxyyzz_yyyyzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 580); 

                auto tg_xxxxyyzz_yyyzzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 581); 

                // Batch of Integrals (485,582)

                #pragma omp simd aligned(fxn, fza, tg_xxxxyyyy_xzzzzzzz_0, tg_xxxxyyyy_yyyyyyyy_0, \
                                         tg_xxxxyyyy_yyyyyyyz_0, tg_xxxxyyyy_yyyyyyzz_0, tg_xxxxyyyy_yyyyyzzz_0, \
                                         tg_xxxxyyyy_yyyyzzzz_0, tg_xxxxyyyy_yyyzzzzz_0, tg_xxxxyyyy_yyzzzzzz_0, \
                                         tg_xxxxyyyy_yzzzzzzz_0, tg_xxxxyyyy_zzzzzzzz_0, tg_xxxxyyyz_xxxxxxxx_0, \
                                         tg_xxxxyyyz_xxxxxxxy_0, tg_xxxxyyyz_xxxxxxxz_0, tg_xxxxyyyz_xxxxxxyy_0, \
                                         tg_xxxxyyyz_xxxxxxyz_0, tg_xxxxyyyz_xxxxxxzz_0, tg_xxxxyyyz_xxxxxyyy_0, \
                                         tg_xxxxyyyz_xxxxxyyz_0, tg_xxxxyyyz_xxxxxyzz_0, tg_xxxxyyyz_xxxxxzzz_0, \
                                         tg_xxxxyyyz_xxxxyyyy_0, tg_xxxxyyyz_xxxxyyyz_0, tg_xxxxyyyz_xxxxyyzz_0, \
                                         tg_xxxxyyyz_xxxxyzzz_0, tg_xxxxyyyz_xxxxzzzz_0, tg_xxxxyyyz_xxxyyyyy_0, \
                                         tg_xxxxyyyz_xxxyyyyz_0, tg_xxxxyyyz_xxxyyyzz_0, tg_xxxxyyyz_xxxyyzzz_0, \
                                         tg_xxxxyyyz_xxxyzzzz_0, tg_xxxxyyyz_xxxzzzzz_0, tg_xxxxyyyz_xxyyyyyy_0, \
                                         tg_xxxxyyyz_xxyyyyyz_0, tg_xxxxyyyz_xxyyyyzz_0, tg_xxxxyyyz_xxyyyzzz_0, \
                                         tg_xxxxyyyz_xxyyzzzz_0, tg_xxxxyyyz_xxyzzzzz_0, tg_xxxxyyyz_xxzzzzzz_0, \
                                         tg_xxxxyyyz_xyyyyyyy_0, tg_xxxxyyyz_xyyyyyyz_0, tg_xxxxyyyz_xyyyyyzz_0, \
                                         tg_xxxxyyyz_xyyyyzzz_0, tg_xxxxyyyz_xyyyzzzz_0, tg_xxxxyyyz_xyyzzzzz_0, \
                                         tg_xxxxyyyz_xyzzzzzz_0, tg_xxxxyyyz_xzzzzzzz_0, tg_xxxxyyyz_yyyyyyyy_0, \
                                         tg_xxxxyyyz_yyyyyyyz_0, tg_xxxxyyyz_yyyyyyzz_0, tg_xxxxyyyz_yyyyyzzz_0, \
                                         tg_xxxxyyyz_yyyyzzzz_0, tg_xxxxyyyz_yyyzzzzz_0, tg_xxxxyyyz_yyzzzzzz_0, \
                                         tg_xxxxyyyz_yzzzzzzz_0, tg_xxxxyyyz_zzzzzzzz_0, tg_xxxxyyzz_xxxxxxxx_0, \
                                         tg_xxxxyyzz_xxxxxxxy_0, tg_xxxxyyzz_xxxxxxxz_0, tg_xxxxyyzz_xxxxxxyy_0, \
                                         tg_xxxxyyzz_xxxxxxyz_0, tg_xxxxyyzz_xxxxxxzz_0, tg_xxxxyyzz_xxxxxyyy_0, \
                                         tg_xxxxyyzz_xxxxxyyz_0, tg_xxxxyyzz_xxxxxyzz_0, tg_xxxxyyzz_xxxxxzzz_0, \
                                         tg_xxxxyyzz_xxxxyyyy_0, tg_xxxxyyzz_xxxxyyyz_0, tg_xxxxyyzz_xxxxyyzz_0, \
                                         tg_xxxxyyzz_xxxxyzzz_0, tg_xxxxyyzz_xxxxzzzz_0, tg_xxxxyyzz_xxxyyyyy_0, \
                                         tg_xxxxyyzz_xxxyyyyz_0, tg_xxxxyyzz_xxxyyyzz_0, tg_xxxxyyzz_xxxyyzzz_0, \
                                         tg_xxxxyyzz_xxxyzzzz_0, tg_xxxxyyzz_xxxzzzzz_0, tg_xxxxyyzz_xxyyyyyy_0, \
                                         tg_xxxxyyzz_xxyyyyyz_0, tg_xxxxyyzz_xxyyyyzz_0, tg_xxxxyyzz_xxyyyzzz_0, \
                                         tg_xxxxyyzz_xxyyzzzz_0, tg_xxxxyyzz_xxyzzzzz_0, tg_xxxxyyzz_xxzzzzzz_0, \
                                         tg_xxxxyyzz_xyyyyyyy_0, tg_xxxxyyzz_xyyyyyyz_0, tg_xxxxyyzz_xyyyyyzz_0, \
                                         tg_xxxxyyzz_xyyyyzzz_0, tg_xxxxyyzz_xyyyzzzz_0, tg_xxxxyyzz_xyyzzzzz_0, \
                                         tg_xxxxyyzz_xyzzzzzz_0, tg_xxxxyyzz_xzzzzzzz_0, tg_xxxxyyzz_yyyyyyyy_0, \
                                         tg_xxxxyyzz_yyyyyyyz_0, tg_xxxxyyzz_yyyyyyzz_0, tg_xxxxyyzz_yyyyyzzz_0, \
                                         tg_xxxxyyzz_yyyyzzzz_0, tg_xxxxyyzz_yyyzzzzz_0, tg_xxxyyyy_xzzzzzzz_0, \
                                         tg_xxxyyyy_xzzzzzzz_1, tg_xxxyyyy_yyyyyyyy_0, tg_xxxyyyy_yyyyyyyy_1, \
                                         tg_xxxyyyy_yyyyyyyz_0, tg_xxxyyyy_yyyyyyyz_1, tg_xxxyyyy_yyyyyyzz_0, \
                                         tg_xxxyyyy_yyyyyyzz_1, tg_xxxyyyy_yyyyyzzz_0, tg_xxxyyyy_yyyyyzzz_1, \
                                         tg_xxxyyyy_yyyyzzzz_0, tg_xxxyyyy_yyyyzzzz_1, tg_xxxyyyy_yyyzzzzz_0, \
                                         tg_xxxyyyy_yyyzzzzz_1, tg_xxxyyyy_yyzzzzzz_0, tg_xxxyyyy_yyzzzzzz_1, \
                                         tg_xxxyyyy_yzzzzzzz_0, tg_xxxyyyy_yzzzzzzz_1, tg_xxxyyyy_zzzzzzz_1, \
                                         tg_xxxyyyy_zzzzzzzz_0, tg_xxxyyyy_zzzzzzzz_1, tg_xxxyyyz_xxxxxxx_1, \
                                         tg_xxxyyyz_xxxxxxxx_0, tg_xxxyyyz_xxxxxxxx_1, tg_xxxyyyz_xxxxxxxy_0, \
                                         tg_xxxyyyz_xxxxxxxy_1, tg_xxxyyyz_xxxxxxxz_0, tg_xxxyyyz_xxxxxxxz_1, \
                                         tg_xxxyyyz_xxxxxxy_1, tg_xxxyyyz_xxxxxxyy_0, tg_xxxyyyz_xxxxxxyy_1, \
                                         tg_xxxyyyz_xxxxxxyz_0, tg_xxxyyyz_xxxxxxyz_1, tg_xxxyyyz_xxxxxxz_1, \
                                         tg_xxxyyyz_xxxxxxzz_0, tg_xxxyyyz_xxxxxxzz_1, tg_xxxyyyz_xxxxxyy_1, \
                                         tg_xxxyyyz_xxxxxyyy_0, tg_xxxyyyz_xxxxxyyy_1, tg_xxxyyyz_xxxxxyyz_0, \
                                         tg_xxxyyyz_xxxxxyyz_1, tg_xxxyyyz_xxxxxyz_1, tg_xxxyyyz_xxxxxyzz_0, \
                                         tg_xxxyyyz_xxxxxyzz_1, tg_xxxyyyz_xxxxxzz_1, tg_xxxyyyz_xxxxxzzz_0, \
                                         tg_xxxyyyz_xxxxxzzz_1, tg_xxxyyyz_xxxxyyy_1, tg_xxxyyyz_xxxxyyyy_0, \
                                         tg_xxxyyyz_xxxxyyyy_1, tg_xxxyyyz_xxxxyyyz_0, tg_xxxyyyz_xxxxyyyz_1, \
                                         tg_xxxyyyz_xxxxyyz_1, tg_xxxyyyz_xxxxyyzz_0, tg_xxxyyyz_xxxxyyzz_1, \
                                         tg_xxxyyyz_xxxxyzz_1, tg_xxxyyyz_xxxxyzzz_0, tg_xxxyyyz_xxxxyzzz_1, \
                                         tg_xxxyyyz_xxxxzzz_1, tg_xxxyyyz_xxxxzzzz_0, tg_xxxyyyz_xxxxzzzz_1, \
                                         tg_xxxyyyz_xxxyyyy_1, tg_xxxyyyz_xxxyyyyy_0, tg_xxxyyyz_xxxyyyyy_1, \
                                         tg_xxxyyyz_xxxyyyyz_0, tg_xxxyyyz_xxxyyyyz_1, tg_xxxyyyz_xxxyyyz_1, \
                                         tg_xxxyyyz_xxxyyyzz_0, tg_xxxyyyz_xxxyyyzz_1, tg_xxxyyyz_xxxyyzz_1, \
                                         tg_xxxyyyz_xxxyyzzz_0, tg_xxxyyyz_xxxyyzzz_1, tg_xxxyyyz_xxxyzzz_1, \
                                         tg_xxxyyyz_xxxyzzzz_0, tg_xxxyyyz_xxxyzzzz_1, tg_xxxyyyz_xxxzzzz_1, \
                                         tg_xxxyyyz_xxxzzzzz_0, tg_xxxyyyz_xxxzzzzz_1, tg_xxxyyyz_xxyyyyy_1, \
                                         tg_xxxyyyz_xxyyyyyy_0, tg_xxxyyyz_xxyyyyyy_1, tg_xxxyyyz_xxyyyyyz_0, \
                                         tg_xxxyyyz_xxyyyyyz_1, tg_xxxyyyz_xxyyyyz_1, tg_xxxyyyz_xxyyyyzz_0, \
                                         tg_xxxyyyz_xxyyyyzz_1, tg_xxxyyyz_xxyyyzz_1, tg_xxxyyyz_xxyyyzzz_0, \
                                         tg_xxxyyyz_xxyyyzzz_1, tg_xxxyyyz_xxyyzzz_1, tg_xxxyyyz_xxyyzzzz_0, \
                                         tg_xxxyyyz_xxyyzzzz_1, tg_xxxyyyz_xxyzzzz_1, tg_xxxyyyz_xxyzzzzz_0, \
                                         tg_xxxyyyz_xxyzzzzz_1, tg_xxxyyyz_xxzzzzz_1, tg_xxxyyyz_xxzzzzzz_0, \
                                         tg_xxxyyyz_xxzzzzzz_1, tg_xxxyyyz_xyyyyyy_1, tg_xxxyyyz_xyyyyyyy_0, \
                                         tg_xxxyyyz_xyyyyyyy_1, tg_xxxyyyz_xyyyyyyz_0, tg_xxxyyyz_xyyyyyyz_1, \
                                         tg_xxxyyyz_xyyyyyz_1, tg_xxxyyyz_xyyyyyzz_0, tg_xxxyyyz_xyyyyyzz_1, \
                                         tg_xxxyyyz_xyyyyzz_1, tg_xxxyyyz_xyyyyzzz_0, tg_xxxyyyz_xyyyyzzz_1, \
                                         tg_xxxyyyz_xyyyzzz_1, tg_xxxyyyz_xyyyzzzz_0, tg_xxxyyyz_xyyyzzzz_1, \
                                         tg_xxxyyyz_xyyzzzz_1, tg_xxxyyyz_xyyzzzzz_0, tg_xxxyyyz_xyyzzzzz_1, \
                                         tg_xxxyyyz_xyzzzzz_1, tg_xxxyyyz_xyzzzzzz_0, tg_xxxyyyz_xyzzzzzz_1, \
                                         tg_xxxyyyz_xzzzzzz_1, tg_xxxyyyz_xzzzzzzz_0, tg_xxxyyyz_xzzzzzzz_1, \
                                         tg_xxxyyyz_yyyyyyy_1, tg_xxxyyyz_yyyyyyyy_0, tg_xxxyyyz_yyyyyyyy_1, \
                                         tg_xxxyyyz_yyyyyyyz_0, tg_xxxyyyz_yyyyyyyz_1, tg_xxxyyyz_yyyyyyz_1, \
                                         tg_xxxyyyz_yyyyyyzz_0, tg_xxxyyyz_yyyyyyzz_1, tg_xxxyyyz_yyyyyzz_1, \
                                         tg_xxxyyyz_yyyyyzzz_0, tg_xxxyyyz_yyyyyzzz_1, tg_xxxyyyz_yyyyzzz_1, \
                                         tg_xxxyyyz_yyyyzzzz_0, tg_xxxyyyz_yyyyzzzz_1, tg_xxxyyyz_yyyzzzz_1, \
                                         tg_xxxyyyz_yyyzzzzz_0, tg_xxxyyyz_yyyzzzzz_1, tg_xxxyyyz_yyzzzzz_1, \
                                         tg_xxxyyyz_yyzzzzzz_0, tg_xxxyyyz_yyzzzzzz_1, tg_xxxyyyz_yzzzzzz_1, \
                                         tg_xxxyyyz_yzzzzzzz_0, tg_xxxyyyz_yzzzzzzz_1, tg_xxxyyyz_zzzzzzz_1, \
                                         tg_xxxyyyz_zzzzzzzz_0, tg_xxxyyyz_zzzzzzzz_1, tg_xxxyyzz_xxxxxxx_1, \
                                         tg_xxxyyzz_xxxxxxxx_0, tg_xxxyyzz_xxxxxxxx_1, tg_xxxyyzz_xxxxxxxy_0, \
                                         tg_xxxyyzz_xxxxxxxy_1, tg_xxxyyzz_xxxxxxxz_0, tg_xxxyyzz_xxxxxxxz_1, \
                                         tg_xxxyyzz_xxxxxxy_1, tg_xxxyyzz_xxxxxxyy_0, tg_xxxyyzz_xxxxxxyy_1, \
                                         tg_xxxyyzz_xxxxxxyz_0, tg_xxxyyzz_xxxxxxyz_1, tg_xxxyyzz_xxxxxxz_1, \
                                         tg_xxxyyzz_xxxxxxzz_0, tg_xxxyyzz_xxxxxxzz_1, tg_xxxyyzz_xxxxxyy_1, \
                                         tg_xxxyyzz_xxxxxyyy_0, tg_xxxyyzz_xxxxxyyy_1, tg_xxxyyzz_xxxxxyyz_0, \
                                         tg_xxxyyzz_xxxxxyyz_1, tg_xxxyyzz_xxxxxyz_1, tg_xxxyyzz_xxxxxyzz_0, \
                                         tg_xxxyyzz_xxxxxyzz_1, tg_xxxyyzz_xxxxxzz_1, tg_xxxyyzz_xxxxxzzz_0, \
                                         tg_xxxyyzz_xxxxxzzz_1, tg_xxxyyzz_xxxxyyy_1, tg_xxxyyzz_xxxxyyyy_0, \
                                         tg_xxxyyzz_xxxxyyyy_1, tg_xxxyyzz_xxxxyyyz_0, tg_xxxyyzz_xxxxyyyz_1, \
                                         tg_xxxyyzz_xxxxyyz_1, tg_xxxyyzz_xxxxyyzz_0, tg_xxxyyzz_xxxxyyzz_1, \
                                         tg_xxxyyzz_xxxxyzz_1, tg_xxxyyzz_xxxxyzzz_0, tg_xxxyyzz_xxxxyzzz_1, \
                                         tg_xxxyyzz_xxxxzzz_1, tg_xxxyyzz_xxxxzzzz_0, tg_xxxyyzz_xxxxzzzz_1, \
                                         tg_xxxyyzz_xxxyyyy_1, tg_xxxyyzz_xxxyyyyy_0, tg_xxxyyzz_xxxyyyyy_1, \
                                         tg_xxxyyzz_xxxyyyyz_0, tg_xxxyyzz_xxxyyyyz_1, tg_xxxyyzz_xxxyyyz_1, \
                                         tg_xxxyyzz_xxxyyyzz_0, tg_xxxyyzz_xxxyyyzz_1, tg_xxxyyzz_xxxyyzz_1, \
                                         tg_xxxyyzz_xxxyyzzz_0, tg_xxxyyzz_xxxyyzzz_1, tg_xxxyyzz_xxxyzzz_1, \
                                         tg_xxxyyzz_xxxyzzzz_0, tg_xxxyyzz_xxxyzzzz_1, tg_xxxyyzz_xxxzzzz_1, \
                                         tg_xxxyyzz_xxxzzzzz_0, tg_xxxyyzz_xxxzzzzz_1, tg_xxxyyzz_xxyyyyy_1, \
                                         tg_xxxyyzz_xxyyyyyy_0, tg_xxxyyzz_xxyyyyyy_1, tg_xxxyyzz_xxyyyyyz_0, \
                                         tg_xxxyyzz_xxyyyyyz_1, tg_xxxyyzz_xxyyyyz_1, tg_xxxyyzz_xxyyyyzz_0, \
                                         tg_xxxyyzz_xxyyyyzz_1, tg_xxxyyzz_xxyyyzz_1, tg_xxxyyzz_xxyyyzzz_0, \
                                         tg_xxxyyzz_xxyyyzzz_1, tg_xxxyyzz_xxyyzzz_1, tg_xxxyyzz_xxyyzzzz_0, \
                                         tg_xxxyyzz_xxyyzzzz_1, tg_xxxyyzz_xxyzzzz_1, tg_xxxyyzz_xxyzzzzz_0, \
                                         tg_xxxyyzz_xxyzzzzz_1, tg_xxxyyzz_xxzzzzz_1, tg_xxxyyzz_xxzzzzzz_0, \
                                         tg_xxxyyzz_xxzzzzzz_1, tg_xxxyyzz_xyyyyyy_1, tg_xxxyyzz_xyyyyyyy_0, \
                                         tg_xxxyyzz_xyyyyyyy_1, tg_xxxyyzz_xyyyyyyz_0, tg_xxxyyzz_xyyyyyyz_1, \
                                         tg_xxxyyzz_xyyyyyz_1, tg_xxxyyzz_xyyyyyzz_0, tg_xxxyyzz_xyyyyyzz_1, \
                                         tg_xxxyyzz_xyyyyzz_1, tg_xxxyyzz_xyyyyzzz_0, tg_xxxyyzz_xyyyyzzz_1, \
                                         tg_xxxyyzz_xyyyzzz_1, tg_xxxyyzz_xyyyzzzz_0, tg_xxxyyzz_xyyyzzzz_1, \
                                         tg_xxxyyzz_xyyzzzz_1, tg_xxxyyzz_xyyzzzzz_0, tg_xxxyyzz_xyyzzzzz_1, \
                                         tg_xxxyyzz_xyzzzzz_1, tg_xxxyyzz_xyzzzzzz_0, tg_xxxyyzz_xyzzzzzz_1, \
                                         tg_xxxyyzz_xzzzzzz_1, tg_xxxyyzz_xzzzzzzz_0, tg_xxxyyzz_xzzzzzzz_1, \
                                         tg_xxxyyzz_yyyyyyy_1, tg_xxxyyzz_yyyyyyyy_0, tg_xxxyyzz_yyyyyyyy_1, \
                                         tg_xxxyyzz_yyyyyyyz_0, tg_xxxyyzz_yyyyyyyz_1, tg_xxxyyzz_yyyyyyz_1, \
                                         tg_xxxyyzz_yyyyyyzz_0, tg_xxxyyzz_yyyyyyzz_1, tg_xxxyyzz_yyyyyzz_1, \
                                         tg_xxxyyzz_yyyyyzzz_0, tg_xxxyyzz_yyyyyzzz_1, tg_xxxyyzz_yyyyzzz_1, \
                                         tg_xxxyyzz_yyyyzzzz_0, tg_xxxyyzz_yyyyzzzz_1, tg_xxxyyzz_yyyzzzz_1, \
                                         tg_xxxyyzz_yyyzzzzz_0, tg_xxxyyzz_yyyzzzzz_1, tg_xxxyyzz_yyzzzzz_1, \
                                         tg_xxxyyzz_yzzzzzz_1, tg_xxxyyzz_zzzzzzz_1, tg_xxyyyy_xzzzzzzz_0, tg_xxyyyy_xzzzzzzz_1, \
                                         tg_xxyyyy_yyyyyyyy_0, tg_xxyyyy_yyyyyyyy_1, tg_xxyyyy_yyyyyyyz_0, tg_xxyyyy_yyyyyyyz_1, \
                                         tg_xxyyyy_yyyyyyzz_0, tg_xxyyyy_yyyyyyzz_1, tg_xxyyyy_yyyyyzzz_0, tg_xxyyyy_yyyyyzzz_1, \
                                         tg_xxyyyy_yyyyzzzz_0, tg_xxyyyy_yyyyzzzz_1, tg_xxyyyy_yyyzzzzz_0, tg_xxyyyy_yyyzzzzz_1, \
                                         tg_xxyyyy_yyzzzzzz_0, tg_xxyyyy_yyzzzzzz_1, tg_xxyyyy_yzzzzzzz_0, tg_xxyyyy_yzzzzzzz_1, \
                                         tg_xxyyyy_zzzzzzzz_0, tg_xxyyyy_zzzzzzzz_1, tg_xxyyyz_xxxxxxxx_0, tg_xxyyyz_xxxxxxxx_1, \
                                         tg_xxyyyz_xxxxxxxy_0, tg_xxyyyz_xxxxxxxy_1, tg_xxyyyz_xxxxxxxz_0, tg_xxyyyz_xxxxxxxz_1, \
                                         tg_xxyyyz_xxxxxxyy_0, tg_xxyyyz_xxxxxxyy_1, tg_xxyyyz_xxxxxxyz_0, tg_xxyyyz_xxxxxxyz_1, \
                                         tg_xxyyyz_xxxxxxzz_0, tg_xxyyyz_xxxxxxzz_1, tg_xxyyyz_xxxxxyyy_0, tg_xxyyyz_xxxxxyyy_1, \
                                         tg_xxyyyz_xxxxxyyz_0, tg_xxyyyz_xxxxxyyz_1, tg_xxyyyz_xxxxxyzz_0, tg_xxyyyz_xxxxxyzz_1, \
                                         tg_xxyyyz_xxxxxzzz_0, tg_xxyyyz_xxxxxzzz_1, tg_xxyyyz_xxxxyyyy_0, tg_xxyyyz_xxxxyyyy_1, \
                                         tg_xxyyyz_xxxxyyyz_0, tg_xxyyyz_xxxxyyyz_1, tg_xxyyyz_xxxxyyzz_0, tg_xxyyyz_xxxxyyzz_1, \
                                         tg_xxyyyz_xxxxyzzz_0, tg_xxyyyz_xxxxyzzz_1, tg_xxyyyz_xxxxzzzz_0, tg_xxyyyz_xxxxzzzz_1, \
                                         tg_xxyyyz_xxxyyyyy_0, tg_xxyyyz_xxxyyyyy_1, tg_xxyyyz_xxxyyyyz_0, tg_xxyyyz_xxxyyyyz_1, \
                                         tg_xxyyyz_xxxyyyzz_0, tg_xxyyyz_xxxyyyzz_1, tg_xxyyyz_xxxyyzzz_0, tg_xxyyyz_xxxyyzzz_1, \
                                         tg_xxyyyz_xxxyzzzz_0, tg_xxyyyz_xxxyzzzz_1, tg_xxyyyz_xxxzzzzz_0, tg_xxyyyz_xxxzzzzz_1, \
                                         tg_xxyyyz_xxyyyyyy_0, tg_xxyyyz_xxyyyyyy_1, tg_xxyyyz_xxyyyyyz_0, tg_xxyyyz_xxyyyyyz_1, \
                                         tg_xxyyyz_xxyyyyzz_0, tg_xxyyyz_xxyyyyzz_1, tg_xxyyyz_xxyyyzzz_0, tg_xxyyyz_xxyyyzzz_1, \
                                         tg_xxyyyz_xxyyzzzz_0, tg_xxyyyz_xxyyzzzz_1, tg_xxyyyz_xxyzzzzz_0, tg_xxyyyz_xxyzzzzz_1, \
                                         tg_xxyyyz_xxzzzzzz_0, tg_xxyyyz_xxzzzzzz_1, tg_xxyyyz_xyyyyyyy_0, tg_xxyyyz_xyyyyyyy_1, \
                                         tg_xxyyyz_xyyyyyyz_0, tg_xxyyyz_xyyyyyyz_1, tg_xxyyyz_xyyyyyzz_0, tg_xxyyyz_xyyyyyzz_1, \
                                         tg_xxyyyz_xyyyyzzz_0, tg_xxyyyz_xyyyyzzz_1, tg_xxyyyz_xyyyzzzz_0, tg_xxyyyz_xyyyzzzz_1, \
                                         tg_xxyyyz_xyyzzzzz_0, tg_xxyyyz_xyyzzzzz_1, tg_xxyyyz_xyzzzzzz_0, tg_xxyyyz_xyzzzzzz_1, \
                                         tg_xxyyyz_xzzzzzzz_0, tg_xxyyyz_xzzzzzzz_1, tg_xxyyyz_yyyyyyyy_0, tg_xxyyyz_yyyyyyyy_1, \
                                         tg_xxyyyz_yyyyyyyz_0, tg_xxyyyz_yyyyyyyz_1, tg_xxyyyz_yyyyyyzz_0, tg_xxyyyz_yyyyyyzz_1, \
                                         tg_xxyyyz_yyyyyzzz_0, tg_xxyyyz_yyyyyzzz_1, tg_xxyyyz_yyyyzzzz_0, tg_xxyyyz_yyyyzzzz_1, \
                                         tg_xxyyyz_yyyzzzzz_0, tg_xxyyyz_yyyzzzzz_1, tg_xxyyyz_yyzzzzzz_0, tg_xxyyyz_yyzzzzzz_1, \
                                         tg_xxyyyz_yzzzzzzz_0, tg_xxyyyz_yzzzzzzz_1, tg_xxyyyz_zzzzzzzz_0, tg_xxyyyz_zzzzzzzz_1, \
                                         tg_xxyyzz_xxxxxxxx_0, tg_xxyyzz_xxxxxxxx_1, tg_xxyyzz_xxxxxxxy_0, tg_xxyyzz_xxxxxxxy_1, \
                                         tg_xxyyzz_xxxxxxxz_0, tg_xxyyzz_xxxxxxxz_1, tg_xxyyzz_xxxxxxyy_0, tg_xxyyzz_xxxxxxyy_1, \
                                         tg_xxyyzz_xxxxxxyz_0, tg_xxyyzz_xxxxxxyz_1, tg_xxyyzz_xxxxxxzz_0, tg_xxyyzz_xxxxxxzz_1, \
                                         tg_xxyyzz_xxxxxyyy_0, tg_xxyyzz_xxxxxyyy_1, tg_xxyyzz_xxxxxyyz_0, tg_xxyyzz_xxxxxyyz_1, \
                                         tg_xxyyzz_xxxxxyzz_0, tg_xxyyzz_xxxxxyzz_1, tg_xxyyzz_xxxxxzzz_0, tg_xxyyzz_xxxxxzzz_1, \
                                         tg_xxyyzz_xxxxyyyy_0, tg_xxyyzz_xxxxyyyy_1, tg_xxyyzz_xxxxyyyz_0, tg_xxyyzz_xxxxyyyz_1, \
                                         tg_xxyyzz_xxxxyyzz_0, tg_xxyyzz_xxxxyyzz_1, tg_xxyyzz_xxxxyzzz_0, tg_xxyyzz_xxxxyzzz_1, \
                                         tg_xxyyzz_xxxxzzzz_0, tg_xxyyzz_xxxxzzzz_1, tg_xxyyzz_xxxyyyyy_0, tg_xxyyzz_xxxyyyyy_1, \
                                         tg_xxyyzz_xxxyyyyz_0, tg_xxyyzz_xxxyyyyz_1, tg_xxyyzz_xxxyyyzz_0, tg_xxyyzz_xxxyyyzz_1, \
                                         tg_xxyyzz_xxxyyzzz_0, tg_xxyyzz_xxxyyzzz_1, tg_xxyyzz_xxxyzzzz_0, tg_xxyyzz_xxxyzzzz_1, \
                                         tg_xxyyzz_xxxzzzzz_0, tg_xxyyzz_xxxzzzzz_1, tg_xxyyzz_xxyyyyyy_0, tg_xxyyzz_xxyyyyyy_1, \
                                         tg_xxyyzz_xxyyyyyz_0, tg_xxyyzz_xxyyyyyz_1, tg_xxyyzz_xxyyyyzz_0, tg_xxyyzz_xxyyyyzz_1, \
                                         tg_xxyyzz_xxyyyzzz_0, tg_xxyyzz_xxyyyzzz_1, tg_xxyyzz_xxyyzzzz_0, tg_xxyyzz_xxyyzzzz_1, \
                                         tg_xxyyzz_xxyzzzzz_0, tg_xxyyzz_xxyzzzzz_1, tg_xxyyzz_xxzzzzzz_0, tg_xxyyzz_xxzzzzzz_1, \
                                         tg_xxyyzz_xyyyyyyy_0, tg_xxyyzz_xyyyyyyy_1, tg_xxyyzz_xyyyyyyz_0, tg_xxyyzz_xyyyyyyz_1, \
                                         tg_xxyyzz_xyyyyyzz_0, tg_xxyyzz_xyyyyyzz_1, tg_xxyyzz_xyyyyzzz_0, tg_xxyyzz_xyyyyzzz_1, \
                                         tg_xxyyzz_xyyyzzzz_0, tg_xxyyzz_xyyyzzzz_1, tg_xxyyzz_xyyzzzzz_0, tg_xxyyzz_xyyzzzzz_1, \
                                         tg_xxyyzz_xyzzzzzz_0, tg_xxyyzz_xyzzzzzz_1, tg_xxyyzz_xzzzzzzz_0, tg_xxyyzz_xzzzzzzz_1, \
                                         tg_xxyyzz_yyyyyyyy_0, tg_xxyyzz_yyyyyyyy_1, tg_xxyyzz_yyyyyyyz_0, tg_xxyyzz_yyyyyyyz_1, \
                                         tg_xxyyzz_yyyyyyzz_0, tg_xxyyzz_yyyyyyzz_1, tg_xxyyzz_yyyyyzzz_0, tg_xxyyzz_yyyyyzzz_1, \
                                         tg_xxyyzz_yyyyzzzz_0, tg_xxyyzz_yyyyzzzz_1, tg_xxyyzz_yyyzzzzz_0, tg_xxyyzz_yyyzzzzz_1, \
                                         wp_x: VLX_ALIGN)
                for (int32_t j = 0; j < nKetPrimPairs; j++)
                {
                    double fl1_fx = fx;

                    double fl1_fxn = fxn[j];

                    double fl1_fza = fza[j];

                    double fr = wp_x[j]; 

                    tg_xxxxyyyy_xzzzzzzz_0[j] = pb_x * tg_xxxyyyy_xzzzzzzz_0[j] + fr * tg_xxxyyyy_xzzzzzzz_1[j] + 1.5 * fl1_fx * (tg_xxyyyy_xzzzzzzz_0[j] - tg_xxyyyy_xzzzzzzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xxxyyyy_zzzzzzz_1[j];

                    tg_xxxxyyyy_yyyyyyyy_0[j] = pb_x * tg_xxxyyyy_yyyyyyyy_0[j] + fr * tg_xxxyyyy_yyyyyyyy_1[j] + 1.5 * fl1_fx * (tg_xxyyyy_yyyyyyyy_0[j] - tg_xxyyyy_yyyyyyyy_1[j] * fl1_fza);

                    tg_xxxxyyyy_yyyyyyyz_0[j] = pb_x * tg_xxxyyyy_yyyyyyyz_0[j] + fr * tg_xxxyyyy_yyyyyyyz_1[j] + 1.5 * fl1_fx * (tg_xxyyyy_yyyyyyyz_0[j] - tg_xxyyyy_yyyyyyyz_1[j] * fl1_fza);

                    tg_xxxxyyyy_yyyyyyzz_0[j] = pb_x * tg_xxxyyyy_yyyyyyzz_0[j] + fr * tg_xxxyyyy_yyyyyyzz_1[j] + 1.5 * fl1_fx * (tg_xxyyyy_yyyyyyzz_0[j] - tg_xxyyyy_yyyyyyzz_1[j] * fl1_fza);

                    tg_xxxxyyyy_yyyyyzzz_0[j] = pb_x * tg_xxxyyyy_yyyyyzzz_0[j] + fr * tg_xxxyyyy_yyyyyzzz_1[j] + 1.5 * fl1_fx * (tg_xxyyyy_yyyyyzzz_0[j] - tg_xxyyyy_yyyyyzzz_1[j] * fl1_fza);

                    tg_xxxxyyyy_yyyyzzzz_0[j] = pb_x * tg_xxxyyyy_yyyyzzzz_0[j] + fr * tg_xxxyyyy_yyyyzzzz_1[j] + 1.5 * fl1_fx * (tg_xxyyyy_yyyyzzzz_0[j] - tg_xxyyyy_yyyyzzzz_1[j] * fl1_fza);

                    tg_xxxxyyyy_yyyzzzzz_0[j] = pb_x * tg_xxxyyyy_yyyzzzzz_0[j] + fr * tg_xxxyyyy_yyyzzzzz_1[j] + 1.5 * fl1_fx * (tg_xxyyyy_yyyzzzzz_0[j] - tg_xxyyyy_yyyzzzzz_1[j] * fl1_fza);

                    tg_xxxxyyyy_yyzzzzzz_0[j] = pb_x * tg_xxxyyyy_yyzzzzzz_0[j] + fr * tg_xxxyyyy_yyzzzzzz_1[j] + 1.5 * fl1_fx * (tg_xxyyyy_yyzzzzzz_0[j] - tg_xxyyyy_yyzzzzzz_1[j] * fl1_fza);

                    tg_xxxxyyyy_yzzzzzzz_0[j] = pb_x * tg_xxxyyyy_yzzzzzzz_0[j] + fr * tg_xxxyyyy_yzzzzzzz_1[j] + 1.5 * fl1_fx * (tg_xxyyyy_yzzzzzzz_0[j] - tg_xxyyyy_yzzzzzzz_1[j] * fl1_fza);

                    tg_xxxxyyyy_zzzzzzzz_0[j] = pb_x * tg_xxxyyyy_zzzzzzzz_0[j] + fr * tg_xxxyyyy_zzzzzzzz_1[j] + 1.5 * fl1_fx * (tg_xxyyyy_zzzzzzzz_0[j] - tg_xxyyyy_zzzzzzzz_1[j] * fl1_fza);

                    tg_xxxxyyyz_xxxxxxxx_0[j] = pb_x * tg_xxxyyyz_xxxxxxxx_0[j] + fr * tg_xxxyyyz_xxxxxxxx_1[j] + 1.5 * fl1_fx * (tg_xxyyyz_xxxxxxxx_0[j] - tg_xxyyyz_xxxxxxxx_1[j] * fl1_fza) + 4.0 * fl1_fxn * tg_xxxyyyz_xxxxxxx_1[j];

                    tg_xxxxyyyz_xxxxxxxy_0[j] = pb_x * tg_xxxyyyz_xxxxxxxy_0[j] + fr * tg_xxxyyyz_xxxxxxxy_1[j] + 1.5 * fl1_fx * (tg_xxyyyz_xxxxxxxy_0[j] - tg_xxyyyz_xxxxxxxy_1[j] * fl1_fza) + 3.5 * fl1_fxn * tg_xxxyyyz_xxxxxxy_1[j];

                    tg_xxxxyyyz_xxxxxxxz_0[j] = pb_x * tg_xxxyyyz_xxxxxxxz_0[j] + fr * tg_xxxyyyz_xxxxxxxz_1[j] + 1.5 * fl1_fx * (tg_xxyyyz_xxxxxxxz_0[j] - tg_xxyyyz_xxxxxxxz_1[j] * fl1_fza) + 3.5 * fl1_fxn * tg_xxxyyyz_xxxxxxz_1[j];

                    tg_xxxxyyyz_xxxxxxyy_0[j] = pb_x * tg_xxxyyyz_xxxxxxyy_0[j] + fr * tg_xxxyyyz_xxxxxxyy_1[j] + 1.5 * fl1_fx * (tg_xxyyyz_xxxxxxyy_0[j] - tg_xxyyyz_xxxxxxyy_1[j] * fl1_fza) + 3.0 * fl1_fxn * tg_xxxyyyz_xxxxxyy_1[j];

                    tg_xxxxyyyz_xxxxxxyz_0[j] = pb_x * tg_xxxyyyz_xxxxxxyz_0[j] + fr * tg_xxxyyyz_xxxxxxyz_1[j] + 1.5 * fl1_fx * (tg_xxyyyz_xxxxxxyz_0[j] - tg_xxyyyz_xxxxxxyz_1[j] * fl1_fza) + 3.0 * fl1_fxn * tg_xxxyyyz_xxxxxyz_1[j];

                    tg_xxxxyyyz_xxxxxxzz_0[j] = pb_x * tg_xxxyyyz_xxxxxxzz_0[j] + fr * tg_xxxyyyz_xxxxxxzz_1[j] + 1.5 * fl1_fx * (tg_xxyyyz_xxxxxxzz_0[j] - tg_xxyyyz_xxxxxxzz_1[j] * fl1_fza) + 3.0 * fl1_fxn * tg_xxxyyyz_xxxxxzz_1[j];

                    tg_xxxxyyyz_xxxxxyyy_0[j] = pb_x * tg_xxxyyyz_xxxxxyyy_0[j] + fr * tg_xxxyyyz_xxxxxyyy_1[j] + 1.5 * fl1_fx * (tg_xxyyyz_xxxxxyyy_0[j] - tg_xxyyyz_xxxxxyyy_1[j] * fl1_fza) + 2.5 * fl1_fxn * tg_xxxyyyz_xxxxyyy_1[j];

                    tg_xxxxyyyz_xxxxxyyz_0[j] = pb_x * tg_xxxyyyz_xxxxxyyz_0[j] + fr * tg_xxxyyyz_xxxxxyyz_1[j] + 1.5 * fl1_fx * (tg_xxyyyz_xxxxxyyz_0[j] - tg_xxyyyz_xxxxxyyz_1[j] * fl1_fza) + 2.5 * fl1_fxn * tg_xxxyyyz_xxxxyyz_1[j];

                    tg_xxxxyyyz_xxxxxyzz_0[j] = pb_x * tg_xxxyyyz_xxxxxyzz_0[j] + fr * tg_xxxyyyz_xxxxxyzz_1[j] + 1.5 * fl1_fx * (tg_xxyyyz_xxxxxyzz_0[j] - tg_xxyyyz_xxxxxyzz_1[j] * fl1_fza) + 2.5 * fl1_fxn * tg_xxxyyyz_xxxxyzz_1[j];

                    tg_xxxxyyyz_xxxxxzzz_0[j] = pb_x * tg_xxxyyyz_xxxxxzzz_0[j] + fr * tg_xxxyyyz_xxxxxzzz_1[j] + 1.5 * fl1_fx * (tg_xxyyyz_xxxxxzzz_0[j] - tg_xxyyyz_xxxxxzzz_1[j] * fl1_fza) + 2.5 * fl1_fxn * tg_xxxyyyz_xxxxzzz_1[j];

                    tg_xxxxyyyz_xxxxyyyy_0[j] = pb_x * tg_xxxyyyz_xxxxyyyy_0[j] + fr * tg_xxxyyyz_xxxxyyyy_1[j] + 1.5 * fl1_fx * (tg_xxyyyz_xxxxyyyy_0[j] - tg_xxyyyz_xxxxyyyy_1[j] * fl1_fza) + 2.0 * fl1_fxn * tg_xxxyyyz_xxxyyyy_1[j];

                    tg_xxxxyyyz_xxxxyyyz_0[j] = pb_x * tg_xxxyyyz_xxxxyyyz_0[j] + fr * tg_xxxyyyz_xxxxyyyz_1[j] + 1.5 * fl1_fx * (tg_xxyyyz_xxxxyyyz_0[j] - tg_xxyyyz_xxxxyyyz_1[j] * fl1_fza) + 2.0 * fl1_fxn * tg_xxxyyyz_xxxyyyz_1[j];

                    tg_xxxxyyyz_xxxxyyzz_0[j] = pb_x * tg_xxxyyyz_xxxxyyzz_0[j] + fr * tg_xxxyyyz_xxxxyyzz_1[j] + 1.5 * fl1_fx * (tg_xxyyyz_xxxxyyzz_0[j] - tg_xxyyyz_xxxxyyzz_1[j] * fl1_fza) + 2.0 * fl1_fxn * tg_xxxyyyz_xxxyyzz_1[j];

                    tg_xxxxyyyz_xxxxyzzz_0[j] = pb_x * tg_xxxyyyz_xxxxyzzz_0[j] + fr * tg_xxxyyyz_xxxxyzzz_1[j] + 1.5 * fl1_fx * (tg_xxyyyz_xxxxyzzz_0[j] - tg_xxyyyz_xxxxyzzz_1[j] * fl1_fza) + 2.0 * fl1_fxn * tg_xxxyyyz_xxxyzzz_1[j];

                    tg_xxxxyyyz_xxxxzzzz_0[j] = pb_x * tg_xxxyyyz_xxxxzzzz_0[j] + fr * tg_xxxyyyz_xxxxzzzz_1[j] + 1.5 * fl1_fx * (tg_xxyyyz_xxxxzzzz_0[j] - tg_xxyyyz_xxxxzzzz_1[j] * fl1_fza) + 2.0 * fl1_fxn * tg_xxxyyyz_xxxzzzz_1[j];

                    tg_xxxxyyyz_xxxyyyyy_0[j] = pb_x * tg_xxxyyyz_xxxyyyyy_0[j] + fr * tg_xxxyyyz_xxxyyyyy_1[j] + 1.5 * fl1_fx * (tg_xxyyyz_xxxyyyyy_0[j] - tg_xxyyyz_xxxyyyyy_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_xxxyyyz_xxyyyyy_1[j];

                    tg_xxxxyyyz_xxxyyyyz_0[j] = pb_x * tg_xxxyyyz_xxxyyyyz_0[j] + fr * tg_xxxyyyz_xxxyyyyz_1[j] + 1.5 * fl1_fx * (tg_xxyyyz_xxxyyyyz_0[j] - tg_xxyyyz_xxxyyyyz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_xxxyyyz_xxyyyyz_1[j];

                    tg_xxxxyyyz_xxxyyyzz_0[j] = pb_x * tg_xxxyyyz_xxxyyyzz_0[j] + fr * tg_xxxyyyz_xxxyyyzz_1[j] + 1.5 * fl1_fx * (tg_xxyyyz_xxxyyyzz_0[j] - tg_xxyyyz_xxxyyyzz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_xxxyyyz_xxyyyzz_1[j];

                    tg_xxxxyyyz_xxxyyzzz_0[j] = pb_x * tg_xxxyyyz_xxxyyzzz_0[j] + fr * tg_xxxyyyz_xxxyyzzz_1[j] + 1.5 * fl1_fx * (tg_xxyyyz_xxxyyzzz_0[j] - tg_xxyyyz_xxxyyzzz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_xxxyyyz_xxyyzzz_1[j];

                    tg_xxxxyyyz_xxxyzzzz_0[j] = pb_x * tg_xxxyyyz_xxxyzzzz_0[j] + fr * tg_xxxyyyz_xxxyzzzz_1[j] + 1.5 * fl1_fx * (tg_xxyyyz_xxxyzzzz_0[j] - tg_xxyyyz_xxxyzzzz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_xxxyyyz_xxyzzzz_1[j];

                    tg_xxxxyyyz_xxxzzzzz_0[j] = pb_x * tg_xxxyyyz_xxxzzzzz_0[j] + fr * tg_xxxyyyz_xxxzzzzz_1[j] + 1.5 * fl1_fx * (tg_xxyyyz_xxxzzzzz_0[j] - tg_xxyyyz_xxxzzzzz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_xxxyyyz_xxzzzzz_1[j];

                    tg_xxxxyyyz_xxyyyyyy_0[j] = pb_x * tg_xxxyyyz_xxyyyyyy_0[j] + fr * tg_xxxyyyz_xxyyyyyy_1[j] + 1.5 * fl1_fx * (tg_xxyyyz_xxyyyyyy_0[j] - tg_xxyyyz_xxyyyyyy_1[j] * fl1_fza) + fl1_fxn * tg_xxxyyyz_xyyyyyy_1[j];

                    tg_xxxxyyyz_xxyyyyyz_0[j] = pb_x * tg_xxxyyyz_xxyyyyyz_0[j] + fr * tg_xxxyyyz_xxyyyyyz_1[j] + 1.5 * fl1_fx * (tg_xxyyyz_xxyyyyyz_0[j] - tg_xxyyyz_xxyyyyyz_1[j] * fl1_fza) + fl1_fxn * tg_xxxyyyz_xyyyyyz_1[j];

                    tg_xxxxyyyz_xxyyyyzz_0[j] = pb_x * tg_xxxyyyz_xxyyyyzz_0[j] + fr * tg_xxxyyyz_xxyyyyzz_1[j] + 1.5 * fl1_fx * (tg_xxyyyz_xxyyyyzz_0[j] - tg_xxyyyz_xxyyyyzz_1[j] * fl1_fza) + fl1_fxn * tg_xxxyyyz_xyyyyzz_1[j];

                    tg_xxxxyyyz_xxyyyzzz_0[j] = pb_x * tg_xxxyyyz_xxyyyzzz_0[j] + fr * tg_xxxyyyz_xxyyyzzz_1[j] + 1.5 * fl1_fx * (tg_xxyyyz_xxyyyzzz_0[j] - tg_xxyyyz_xxyyyzzz_1[j] * fl1_fza) + fl1_fxn * tg_xxxyyyz_xyyyzzz_1[j];

                    tg_xxxxyyyz_xxyyzzzz_0[j] = pb_x * tg_xxxyyyz_xxyyzzzz_0[j] + fr * tg_xxxyyyz_xxyyzzzz_1[j] + 1.5 * fl1_fx * (tg_xxyyyz_xxyyzzzz_0[j] - tg_xxyyyz_xxyyzzzz_1[j] * fl1_fza) + fl1_fxn * tg_xxxyyyz_xyyzzzz_1[j];

                    tg_xxxxyyyz_xxyzzzzz_0[j] = pb_x * tg_xxxyyyz_xxyzzzzz_0[j] + fr * tg_xxxyyyz_xxyzzzzz_1[j] + 1.5 * fl1_fx * (tg_xxyyyz_xxyzzzzz_0[j] - tg_xxyyyz_xxyzzzzz_1[j] * fl1_fza) + fl1_fxn * tg_xxxyyyz_xyzzzzz_1[j];

                    tg_xxxxyyyz_xxzzzzzz_0[j] = pb_x * tg_xxxyyyz_xxzzzzzz_0[j] + fr * tg_xxxyyyz_xxzzzzzz_1[j] + 1.5 * fl1_fx * (tg_xxyyyz_xxzzzzzz_0[j] - tg_xxyyyz_xxzzzzzz_1[j] * fl1_fza) + fl1_fxn * tg_xxxyyyz_xzzzzzz_1[j];

                    tg_xxxxyyyz_xyyyyyyy_0[j] = pb_x * tg_xxxyyyz_xyyyyyyy_0[j] + fr * tg_xxxyyyz_xyyyyyyy_1[j] + 1.5 * fl1_fx * (tg_xxyyyz_xyyyyyyy_0[j] - tg_xxyyyz_xyyyyyyy_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xxxyyyz_yyyyyyy_1[j];

                    tg_xxxxyyyz_xyyyyyyz_0[j] = pb_x * tg_xxxyyyz_xyyyyyyz_0[j] + fr * tg_xxxyyyz_xyyyyyyz_1[j] + 1.5 * fl1_fx * (tg_xxyyyz_xyyyyyyz_0[j] - tg_xxyyyz_xyyyyyyz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xxxyyyz_yyyyyyz_1[j];

                    tg_xxxxyyyz_xyyyyyzz_0[j] = pb_x * tg_xxxyyyz_xyyyyyzz_0[j] + fr * tg_xxxyyyz_xyyyyyzz_1[j] + 1.5 * fl1_fx * (tg_xxyyyz_xyyyyyzz_0[j] - tg_xxyyyz_xyyyyyzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xxxyyyz_yyyyyzz_1[j];

                    tg_xxxxyyyz_xyyyyzzz_0[j] = pb_x * tg_xxxyyyz_xyyyyzzz_0[j] + fr * tg_xxxyyyz_xyyyyzzz_1[j] + 1.5 * fl1_fx * (tg_xxyyyz_xyyyyzzz_0[j] - tg_xxyyyz_xyyyyzzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xxxyyyz_yyyyzzz_1[j];

                    tg_xxxxyyyz_xyyyzzzz_0[j] = pb_x * tg_xxxyyyz_xyyyzzzz_0[j] + fr * tg_xxxyyyz_xyyyzzzz_1[j] + 1.5 * fl1_fx * (tg_xxyyyz_xyyyzzzz_0[j] - tg_xxyyyz_xyyyzzzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xxxyyyz_yyyzzzz_1[j];

                    tg_xxxxyyyz_xyyzzzzz_0[j] = pb_x * tg_xxxyyyz_xyyzzzzz_0[j] + fr * tg_xxxyyyz_xyyzzzzz_1[j] + 1.5 * fl1_fx * (tg_xxyyyz_xyyzzzzz_0[j] - tg_xxyyyz_xyyzzzzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xxxyyyz_yyzzzzz_1[j];

                    tg_xxxxyyyz_xyzzzzzz_0[j] = pb_x * tg_xxxyyyz_xyzzzzzz_0[j] + fr * tg_xxxyyyz_xyzzzzzz_1[j] + 1.5 * fl1_fx * (tg_xxyyyz_xyzzzzzz_0[j] - tg_xxyyyz_xyzzzzzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xxxyyyz_yzzzzzz_1[j];

                    tg_xxxxyyyz_xzzzzzzz_0[j] = pb_x * tg_xxxyyyz_xzzzzzzz_0[j] + fr * tg_xxxyyyz_xzzzzzzz_1[j] + 1.5 * fl1_fx * (tg_xxyyyz_xzzzzzzz_0[j] - tg_xxyyyz_xzzzzzzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xxxyyyz_zzzzzzz_1[j];

                    tg_xxxxyyyz_yyyyyyyy_0[j] = pb_x * tg_xxxyyyz_yyyyyyyy_0[j] + fr * tg_xxxyyyz_yyyyyyyy_1[j] + 1.5 * fl1_fx * (tg_xxyyyz_yyyyyyyy_0[j] - tg_xxyyyz_yyyyyyyy_1[j] * fl1_fza);

                    tg_xxxxyyyz_yyyyyyyz_0[j] = pb_x * tg_xxxyyyz_yyyyyyyz_0[j] + fr * tg_xxxyyyz_yyyyyyyz_1[j] + 1.5 * fl1_fx * (tg_xxyyyz_yyyyyyyz_0[j] - tg_xxyyyz_yyyyyyyz_1[j] * fl1_fza);

                    tg_xxxxyyyz_yyyyyyzz_0[j] = pb_x * tg_xxxyyyz_yyyyyyzz_0[j] + fr * tg_xxxyyyz_yyyyyyzz_1[j] + 1.5 * fl1_fx * (tg_xxyyyz_yyyyyyzz_0[j] - tg_xxyyyz_yyyyyyzz_1[j] * fl1_fza);

                    tg_xxxxyyyz_yyyyyzzz_0[j] = pb_x * tg_xxxyyyz_yyyyyzzz_0[j] + fr * tg_xxxyyyz_yyyyyzzz_1[j] + 1.5 * fl1_fx * (tg_xxyyyz_yyyyyzzz_0[j] - tg_xxyyyz_yyyyyzzz_1[j] * fl1_fza);

                    tg_xxxxyyyz_yyyyzzzz_0[j] = pb_x * tg_xxxyyyz_yyyyzzzz_0[j] + fr * tg_xxxyyyz_yyyyzzzz_1[j] + 1.5 * fl1_fx * (tg_xxyyyz_yyyyzzzz_0[j] - tg_xxyyyz_yyyyzzzz_1[j] * fl1_fza);

                    tg_xxxxyyyz_yyyzzzzz_0[j] = pb_x * tg_xxxyyyz_yyyzzzzz_0[j] + fr * tg_xxxyyyz_yyyzzzzz_1[j] + 1.5 * fl1_fx * (tg_xxyyyz_yyyzzzzz_0[j] - tg_xxyyyz_yyyzzzzz_1[j] * fl1_fza);

                    tg_xxxxyyyz_yyzzzzzz_0[j] = pb_x * tg_xxxyyyz_yyzzzzzz_0[j] + fr * tg_xxxyyyz_yyzzzzzz_1[j] + 1.5 * fl1_fx * (tg_xxyyyz_yyzzzzzz_0[j] - tg_xxyyyz_yyzzzzzz_1[j] * fl1_fza);

                    tg_xxxxyyyz_yzzzzzzz_0[j] = pb_x * tg_xxxyyyz_yzzzzzzz_0[j] + fr * tg_xxxyyyz_yzzzzzzz_1[j] + 1.5 * fl1_fx * (tg_xxyyyz_yzzzzzzz_0[j] - tg_xxyyyz_yzzzzzzz_1[j] * fl1_fza);

                    tg_xxxxyyyz_zzzzzzzz_0[j] = pb_x * tg_xxxyyyz_zzzzzzzz_0[j] + fr * tg_xxxyyyz_zzzzzzzz_1[j] + 1.5 * fl1_fx * (tg_xxyyyz_zzzzzzzz_0[j] - tg_xxyyyz_zzzzzzzz_1[j] * fl1_fza);

                    tg_xxxxyyzz_xxxxxxxx_0[j] = pb_x * tg_xxxyyzz_xxxxxxxx_0[j] + fr * tg_xxxyyzz_xxxxxxxx_1[j] + 1.5 * fl1_fx * (tg_xxyyzz_xxxxxxxx_0[j] - tg_xxyyzz_xxxxxxxx_1[j] * fl1_fza) + 4.0 * fl1_fxn * tg_xxxyyzz_xxxxxxx_1[j];

                    tg_xxxxyyzz_xxxxxxxy_0[j] = pb_x * tg_xxxyyzz_xxxxxxxy_0[j] + fr * tg_xxxyyzz_xxxxxxxy_1[j] + 1.5 * fl1_fx * (tg_xxyyzz_xxxxxxxy_0[j] - tg_xxyyzz_xxxxxxxy_1[j] * fl1_fza) + 3.5 * fl1_fxn * tg_xxxyyzz_xxxxxxy_1[j];

                    tg_xxxxyyzz_xxxxxxxz_0[j] = pb_x * tg_xxxyyzz_xxxxxxxz_0[j] + fr * tg_xxxyyzz_xxxxxxxz_1[j] + 1.5 * fl1_fx * (tg_xxyyzz_xxxxxxxz_0[j] - tg_xxyyzz_xxxxxxxz_1[j] * fl1_fza) + 3.5 * fl1_fxn * tg_xxxyyzz_xxxxxxz_1[j];

                    tg_xxxxyyzz_xxxxxxyy_0[j] = pb_x * tg_xxxyyzz_xxxxxxyy_0[j] + fr * tg_xxxyyzz_xxxxxxyy_1[j] + 1.5 * fl1_fx * (tg_xxyyzz_xxxxxxyy_0[j] - tg_xxyyzz_xxxxxxyy_1[j] * fl1_fza) + 3.0 * fl1_fxn * tg_xxxyyzz_xxxxxyy_1[j];

                    tg_xxxxyyzz_xxxxxxyz_0[j] = pb_x * tg_xxxyyzz_xxxxxxyz_0[j] + fr * tg_xxxyyzz_xxxxxxyz_1[j] + 1.5 * fl1_fx * (tg_xxyyzz_xxxxxxyz_0[j] - tg_xxyyzz_xxxxxxyz_1[j] * fl1_fza) + 3.0 * fl1_fxn * tg_xxxyyzz_xxxxxyz_1[j];

                    tg_xxxxyyzz_xxxxxxzz_0[j] = pb_x * tg_xxxyyzz_xxxxxxzz_0[j] + fr * tg_xxxyyzz_xxxxxxzz_1[j] + 1.5 * fl1_fx * (tg_xxyyzz_xxxxxxzz_0[j] - tg_xxyyzz_xxxxxxzz_1[j] * fl1_fza) + 3.0 * fl1_fxn * tg_xxxyyzz_xxxxxzz_1[j];

                    tg_xxxxyyzz_xxxxxyyy_0[j] = pb_x * tg_xxxyyzz_xxxxxyyy_0[j] + fr * tg_xxxyyzz_xxxxxyyy_1[j] + 1.5 * fl1_fx * (tg_xxyyzz_xxxxxyyy_0[j] - tg_xxyyzz_xxxxxyyy_1[j] * fl1_fza) + 2.5 * fl1_fxn * tg_xxxyyzz_xxxxyyy_1[j];

                    tg_xxxxyyzz_xxxxxyyz_0[j] = pb_x * tg_xxxyyzz_xxxxxyyz_0[j] + fr * tg_xxxyyzz_xxxxxyyz_1[j] + 1.5 * fl1_fx * (tg_xxyyzz_xxxxxyyz_0[j] - tg_xxyyzz_xxxxxyyz_1[j] * fl1_fza) + 2.5 * fl1_fxn * tg_xxxyyzz_xxxxyyz_1[j];

                    tg_xxxxyyzz_xxxxxyzz_0[j] = pb_x * tg_xxxyyzz_xxxxxyzz_0[j] + fr * tg_xxxyyzz_xxxxxyzz_1[j] + 1.5 * fl1_fx * (tg_xxyyzz_xxxxxyzz_0[j] - tg_xxyyzz_xxxxxyzz_1[j] * fl1_fza) + 2.5 * fl1_fxn * tg_xxxyyzz_xxxxyzz_1[j];

                    tg_xxxxyyzz_xxxxxzzz_0[j] = pb_x * tg_xxxyyzz_xxxxxzzz_0[j] + fr * tg_xxxyyzz_xxxxxzzz_1[j] + 1.5 * fl1_fx * (tg_xxyyzz_xxxxxzzz_0[j] - tg_xxyyzz_xxxxxzzz_1[j] * fl1_fza) + 2.5 * fl1_fxn * tg_xxxyyzz_xxxxzzz_1[j];

                    tg_xxxxyyzz_xxxxyyyy_0[j] = pb_x * tg_xxxyyzz_xxxxyyyy_0[j] + fr * tg_xxxyyzz_xxxxyyyy_1[j] + 1.5 * fl1_fx * (tg_xxyyzz_xxxxyyyy_0[j] - tg_xxyyzz_xxxxyyyy_1[j] * fl1_fza) + 2.0 * fl1_fxn * tg_xxxyyzz_xxxyyyy_1[j];

                    tg_xxxxyyzz_xxxxyyyz_0[j] = pb_x * tg_xxxyyzz_xxxxyyyz_0[j] + fr * tg_xxxyyzz_xxxxyyyz_1[j] + 1.5 * fl1_fx * (tg_xxyyzz_xxxxyyyz_0[j] - tg_xxyyzz_xxxxyyyz_1[j] * fl1_fza) + 2.0 * fl1_fxn * tg_xxxyyzz_xxxyyyz_1[j];

                    tg_xxxxyyzz_xxxxyyzz_0[j] = pb_x * tg_xxxyyzz_xxxxyyzz_0[j] + fr * tg_xxxyyzz_xxxxyyzz_1[j] + 1.5 * fl1_fx * (tg_xxyyzz_xxxxyyzz_0[j] - tg_xxyyzz_xxxxyyzz_1[j] * fl1_fza) + 2.0 * fl1_fxn * tg_xxxyyzz_xxxyyzz_1[j];

                    tg_xxxxyyzz_xxxxyzzz_0[j] = pb_x * tg_xxxyyzz_xxxxyzzz_0[j] + fr * tg_xxxyyzz_xxxxyzzz_1[j] + 1.5 * fl1_fx * (tg_xxyyzz_xxxxyzzz_0[j] - tg_xxyyzz_xxxxyzzz_1[j] * fl1_fza) + 2.0 * fl1_fxn * tg_xxxyyzz_xxxyzzz_1[j];

                    tg_xxxxyyzz_xxxxzzzz_0[j] = pb_x * tg_xxxyyzz_xxxxzzzz_0[j] + fr * tg_xxxyyzz_xxxxzzzz_1[j] + 1.5 * fl1_fx * (tg_xxyyzz_xxxxzzzz_0[j] - tg_xxyyzz_xxxxzzzz_1[j] * fl1_fza) + 2.0 * fl1_fxn * tg_xxxyyzz_xxxzzzz_1[j];

                    tg_xxxxyyzz_xxxyyyyy_0[j] = pb_x * tg_xxxyyzz_xxxyyyyy_0[j] + fr * tg_xxxyyzz_xxxyyyyy_1[j] + 1.5 * fl1_fx * (tg_xxyyzz_xxxyyyyy_0[j] - tg_xxyyzz_xxxyyyyy_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_xxxyyzz_xxyyyyy_1[j];

                    tg_xxxxyyzz_xxxyyyyz_0[j] = pb_x * tg_xxxyyzz_xxxyyyyz_0[j] + fr * tg_xxxyyzz_xxxyyyyz_1[j] + 1.5 * fl1_fx * (tg_xxyyzz_xxxyyyyz_0[j] - tg_xxyyzz_xxxyyyyz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_xxxyyzz_xxyyyyz_1[j];

                    tg_xxxxyyzz_xxxyyyzz_0[j] = pb_x * tg_xxxyyzz_xxxyyyzz_0[j] + fr * tg_xxxyyzz_xxxyyyzz_1[j] + 1.5 * fl1_fx * (tg_xxyyzz_xxxyyyzz_0[j] - tg_xxyyzz_xxxyyyzz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_xxxyyzz_xxyyyzz_1[j];

                    tg_xxxxyyzz_xxxyyzzz_0[j] = pb_x * tg_xxxyyzz_xxxyyzzz_0[j] + fr * tg_xxxyyzz_xxxyyzzz_1[j] + 1.5 * fl1_fx * (tg_xxyyzz_xxxyyzzz_0[j] - tg_xxyyzz_xxxyyzzz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_xxxyyzz_xxyyzzz_1[j];

                    tg_xxxxyyzz_xxxyzzzz_0[j] = pb_x * tg_xxxyyzz_xxxyzzzz_0[j] + fr * tg_xxxyyzz_xxxyzzzz_1[j] + 1.5 * fl1_fx * (tg_xxyyzz_xxxyzzzz_0[j] - tg_xxyyzz_xxxyzzzz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_xxxyyzz_xxyzzzz_1[j];

                    tg_xxxxyyzz_xxxzzzzz_0[j] = pb_x * tg_xxxyyzz_xxxzzzzz_0[j] + fr * tg_xxxyyzz_xxxzzzzz_1[j] + 1.5 * fl1_fx * (tg_xxyyzz_xxxzzzzz_0[j] - tg_xxyyzz_xxxzzzzz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_xxxyyzz_xxzzzzz_1[j];

                    tg_xxxxyyzz_xxyyyyyy_0[j] = pb_x * tg_xxxyyzz_xxyyyyyy_0[j] + fr * tg_xxxyyzz_xxyyyyyy_1[j] + 1.5 * fl1_fx * (tg_xxyyzz_xxyyyyyy_0[j] - tg_xxyyzz_xxyyyyyy_1[j] * fl1_fza) + fl1_fxn * tg_xxxyyzz_xyyyyyy_1[j];

                    tg_xxxxyyzz_xxyyyyyz_0[j] = pb_x * tg_xxxyyzz_xxyyyyyz_0[j] + fr * tg_xxxyyzz_xxyyyyyz_1[j] + 1.5 * fl1_fx * (tg_xxyyzz_xxyyyyyz_0[j] - tg_xxyyzz_xxyyyyyz_1[j] * fl1_fza) + fl1_fxn * tg_xxxyyzz_xyyyyyz_1[j];

                    tg_xxxxyyzz_xxyyyyzz_0[j] = pb_x * tg_xxxyyzz_xxyyyyzz_0[j] + fr * tg_xxxyyzz_xxyyyyzz_1[j] + 1.5 * fl1_fx * (tg_xxyyzz_xxyyyyzz_0[j] - tg_xxyyzz_xxyyyyzz_1[j] * fl1_fza) + fl1_fxn * tg_xxxyyzz_xyyyyzz_1[j];

                    tg_xxxxyyzz_xxyyyzzz_0[j] = pb_x * tg_xxxyyzz_xxyyyzzz_0[j] + fr * tg_xxxyyzz_xxyyyzzz_1[j] + 1.5 * fl1_fx * (tg_xxyyzz_xxyyyzzz_0[j] - tg_xxyyzz_xxyyyzzz_1[j] * fl1_fza) + fl1_fxn * tg_xxxyyzz_xyyyzzz_1[j];

                    tg_xxxxyyzz_xxyyzzzz_0[j] = pb_x * tg_xxxyyzz_xxyyzzzz_0[j] + fr * tg_xxxyyzz_xxyyzzzz_1[j] + 1.5 * fl1_fx * (tg_xxyyzz_xxyyzzzz_0[j] - tg_xxyyzz_xxyyzzzz_1[j] * fl1_fza) + fl1_fxn * tg_xxxyyzz_xyyzzzz_1[j];

                    tg_xxxxyyzz_xxyzzzzz_0[j] = pb_x * tg_xxxyyzz_xxyzzzzz_0[j] + fr * tg_xxxyyzz_xxyzzzzz_1[j] + 1.5 * fl1_fx * (tg_xxyyzz_xxyzzzzz_0[j] - tg_xxyyzz_xxyzzzzz_1[j] * fl1_fza) + fl1_fxn * tg_xxxyyzz_xyzzzzz_1[j];

                    tg_xxxxyyzz_xxzzzzzz_0[j] = pb_x * tg_xxxyyzz_xxzzzzzz_0[j] + fr * tg_xxxyyzz_xxzzzzzz_1[j] + 1.5 * fl1_fx * (tg_xxyyzz_xxzzzzzz_0[j] - tg_xxyyzz_xxzzzzzz_1[j] * fl1_fza) + fl1_fxn * tg_xxxyyzz_xzzzzzz_1[j];

                    tg_xxxxyyzz_xyyyyyyy_0[j] = pb_x * tg_xxxyyzz_xyyyyyyy_0[j] + fr * tg_xxxyyzz_xyyyyyyy_1[j] + 1.5 * fl1_fx * (tg_xxyyzz_xyyyyyyy_0[j] - tg_xxyyzz_xyyyyyyy_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xxxyyzz_yyyyyyy_1[j];

                    tg_xxxxyyzz_xyyyyyyz_0[j] = pb_x * tg_xxxyyzz_xyyyyyyz_0[j] + fr * tg_xxxyyzz_xyyyyyyz_1[j] + 1.5 * fl1_fx * (tg_xxyyzz_xyyyyyyz_0[j] - tg_xxyyzz_xyyyyyyz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xxxyyzz_yyyyyyz_1[j];

                    tg_xxxxyyzz_xyyyyyzz_0[j] = pb_x * tg_xxxyyzz_xyyyyyzz_0[j] + fr * tg_xxxyyzz_xyyyyyzz_1[j] + 1.5 * fl1_fx * (tg_xxyyzz_xyyyyyzz_0[j] - tg_xxyyzz_xyyyyyzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xxxyyzz_yyyyyzz_1[j];

                    tg_xxxxyyzz_xyyyyzzz_0[j] = pb_x * tg_xxxyyzz_xyyyyzzz_0[j] + fr * tg_xxxyyzz_xyyyyzzz_1[j] + 1.5 * fl1_fx * (tg_xxyyzz_xyyyyzzz_0[j] - tg_xxyyzz_xyyyyzzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xxxyyzz_yyyyzzz_1[j];

                    tg_xxxxyyzz_xyyyzzzz_0[j] = pb_x * tg_xxxyyzz_xyyyzzzz_0[j] + fr * tg_xxxyyzz_xyyyzzzz_1[j] + 1.5 * fl1_fx * (tg_xxyyzz_xyyyzzzz_0[j] - tg_xxyyzz_xyyyzzzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xxxyyzz_yyyzzzz_1[j];

                    tg_xxxxyyzz_xyyzzzzz_0[j] = pb_x * tg_xxxyyzz_xyyzzzzz_0[j] + fr * tg_xxxyyzz_xyyzzzzz_1[j] + 1.5 * fl1_fx * (tg_xxyyzz_xyyzzzzz_0[j] - tg_xxyyzz_xyyzzzzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xxxyyzz_yyzzzzz_1[j];

                    tg_xxxxyyzz_xyzzzzzz_0[j] = pb_x * tg_xxxyyzz_xyzzzzzz_0[j] + fr * tg_xxxyyzz_xyzzzzzz_1[j] + 1.5 * fl1_fx * (tg_xxyyzz_xyzzzzzz_0[j] - tg_xxyyzz_xyzzzzzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xxxyyzz_yzzzzzz_1[j];

                    tg_xxxxyyzz_xzzzzzzz_0[j] = pb_x * tg_xxxyyzz_xzzzzzzz_0[j] + fr * tg_xxxyyzz_xzzzzzzz_1[j] + 1.5 * fl1_fx * (tg_xxyyzz_xzzzzzzz_0[j] - tg_xxyyzz_xzzzzzzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xxxyyzz_zzzzzzz_1[j];

                    tg_xxxxyyzz_yyyyyyyy_0[j] = pb_x * tg_xxxyyzz_yyyyyyyy_0[j] + fr * tg_xxxyyzz_yyyyyyyy_1[j] + 1.5 * fl1_fx * (tg_xxyyzz_yyyyyyyy_0[j] - tg_xxyyzz_yyyyyyyy_1[j] * fl1_fza);

                    tg_xxxxyyzz_yyyyyyyz_0[j] = pb_x * tg_xxxyyzz_yyyyyyyz_0[j] + fr * tg_xxxyyzz_yyyyyyyz_1[j] + 1.5 * fl1_fx * (tg_xxyyzz_yyyyyyyz_0[j] - tg_xxyyzz_yyyyyyyz_1[j] * fl1_fza);

                    tg_xxxxyyzz_yyyyyyzz_0[j] = pb_x * tg_xxxyyzz_yyyyyyzz_0[j] + fr * tg_xxxyyzz_yyyyyyzz_1[j] + 1.5 * fl1_fx * (tg_xxyyzz_yyyyyyzz_0[j] - tg_xxyyzz_yyyyyyzz_1[j] * fl1_fza);

                    tg_xxxxyyzz_yyyyyzzz_0[j] = pb_x * tg_xxxyyzz_yyyyyzzz_0[j] + fr * tg_xxxyyzz_yyyyyzzz_1[j] + 1.5 * fl1_fx * (tg_xxyyzz_yyyyyzzz_0[j] - tg_xxyyzz_yyyyyzzz_1[j] * fl1_fza);

                    tg_xxxxyyzz_yyyyzzzz_0[j] = pb_x * tg_xxxyyzz_yyyyzzzz_0[j] + fr * tg_xxxyyzz_yyyyzzzz_1[j] + 1.5 * fl1_fx * (tg_xxyyzz_yyyyzzzz_0[j] - tg_xxyyzz_yyyyzzzz_1[j] * fl1_fza);

                    tg_xxxxyyzz_yyyzzzzz_0[j] = pb_x * tg_xxxyyzz_yyyzzzzz_0[j] + fr * tg_xxxyyzz_yyyzzzzz_1[j] + 1.5 * fl1_fx * (tg_xxyyzz_yyyzzzzz_0[j] - tg_xxyyzz_yyyzzzzz_1[j] * fl1_fza);
                }

                idx++;
            }
        }
    }

    void
    compElectronRepulsionForSLSL_582_679(      CMemBlock2D<double>* primBuffer,
                                         const CRecursionMap&       recursionMap,
                                         const CMemBlock2D<double>& osFactors,
                                         const CMemBlock2D<double>& wpDistances,
                                         const CGtoPairsBlock&      braGtoPairsBlock,
                                         const CGtoPairsBlock&      ketGtoPairsBlock,
                                         const int32_t              nKetPrimPairs,
                                         const int32_t              iContrPair)
    {
        // Batch of Integrals (582,679)

        // set up pointers to primitives data on bra side

        auto spos = braGtoPairsBlock.getStartPositions();

        auto epos = braGtoPairsBlock.getEndPositions();

        // set up pointers to tensor of distance R(PB) = P - B

        auto r_pb_x = braGtoPairsBlock.getDistancesPBX();

        // set up pointers to common Obara-Saika factors

        auto b_fx = braGtoPairsBlock.getFactorsOneOverXi();

        // set up maximum order of integral

        auto mord = recursionMap.getMaxOrder({"Electron Repulsion"},
                                             {8, -1, -1, -1},
                                             {8, -1, -1, -1},
                                             1, 1);

        for (int32_t iord = 0; iord <= mord; iord++)
        {
            // set up index of integral

            auto pidx_g_8_8_m0 = recursionMap.index(CRecursionTerm({"Electron Repulsion"}, 0, true, 
                                                                   {8, -1, -1, -1}, {8, -1, -1, -1}, 
                                                                   1, 1, iord));

            // check if integral is needed in recursion expansion

            if (pidx_g_8_8_m0 == -1) continue;

            // set up indexes of auxilary integral

            auto pidx_g_7_8_m0 = recursionMap.index(CRecursionTerm({"Electron Repulsion"}, 0, true, 
                                                                   {7, -1, -1, -1}, {8, -1, -1, -1}, 
                                                                   1, 1, iord));

            auto pidx_g_7_8_m1 = recursionMap.index(CRecursionTerm({"Electron Repulsion"}, 0, true, 
                                                                   {7, -1, -1, -1}, {8, -1, -1, -1}, 
                                                                   1, 1, iord + 1));

            auto pidx_g_6_8_m0 = recursionMap.index(CRecursionTerm({"Electron Repulsion"}, 0, true, 
                                                                   {6, -1, -1, -1}, {8, -1, -1, -1}, 
                                                                   1, 1, iord));

            auto pidx_g_6_8_m1 = recursionMap.index(CRecursionTerm({"Electron Repulsion"}, 0, true, 
                                                                   {6, -1, -1, -1}, {8, -1, -1, -1}, 
                                                                   1, 1, iord + 1));

            auto pidx_g_7_7_m1 = recursionMap.index(CRecursionTerm({"Electron Repulsion"}, 0, true, 
                                                                   {7, -1, -1, -1}, {7, -1, -1, -1}, 
                                                                   1, 1, iord + 1));

            // loop over contracted GTO on bra side

            int32_t idx = 0;

            for (int32_t i = spos[iContrPair]; i < epos[iContrPair]; i++)
            {
                // set up pointers to Obara-Saika factors

                double fx = b_fx[i];

                auto fza = osFactors.data(4 * idx + 2);

                auto fxn = osFactors.data(4 * idx);

                // set up distances R(PB) = P - B

                auto pb_x = r_pb_x[i];

                // set up pointers to tensors product of distances R(WP) = W - P

                auto wp_x = wpDistances.data(3 * idx);

                // set up pointers to auxilary integrals

                auto tg_xxxyyzz_yyzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 582); 

                auto tg_xxxyyzz_yzzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 583); 

                auto tg_xxxyyzz_zzzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 584); 

                auto tg_xxxyzzz_xxxxxxxx_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 585); 

                auto tg_xxxyzzz_xxxxxxxy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 586); 

                auto tg_xxxyzzz_xxxxxxxz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 587); 

                auto tg_xxxyzzz_xxxxxxyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 588); 

                auto tg_xxxyzzz_xxxxxxyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 589); 

                auto tg_xxxyzzz_xxxxxxzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 590); 

                auto tg_xxxyzzz_xxxxxyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 591); 

                auto tg_xxxyzzz_xxxxxyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 592); 

                auto tg_xxxyzzz_xxxxxyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 593); 

                auto tg_xxxyzzz_xxxxxzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 594); 

                auto tg_xxxyzzz_xxxxyyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 595); 

                auto tg_xxxyzzz_xxxxyyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 596); 

                auto tg_xxxyzzz_xxxxyyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 597); 

                auto tg_xxxyzzz_xxxxyzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 598); 

                auto tg_xxxyzzz_xxxxzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 599); 

                auto tg_xxxyzzz_xxxyyyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 600); 

                auto tg_xxxyzzz_xxxyyyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 601); 

                auto tg_xxxyzzz_xxxyyyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 602); 

                auto tg_xxxyzzz_xxxyyzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 603); 

                auto tg_xxxyzzz_xxxyzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 604); 

                auto tg_xxxyzzz_xxxzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 605); 

                auto tg_xxxyzzz_xxyyyyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 606); 

                auto tg_xxxyzzz_xxyyyyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 607); 

                auto tg_xxxyzzz_xxyyyyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 608); 

                auto tg_xxxyzzz_xxyyyzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 609); 

                auto tg_xxxyzzz_xxyyzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 610); 

                auto tg_xxxyzzz_xxyzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 611); 

                auto tg_xxxyzzz_xxzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 612); 

                auto tg_xxxyzzz_xyyyyyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 613); 

                auto tg_xxxyzzz_xyyyyyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 614); 

                auto tg_xxxyzzz_xyyyyyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 615); 

                auto tg_xxxyzzz_xyyyyzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 616); 

                auto tg_xxxyzzz_xyyyzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 617); 

                auto tg_xxxyzzz_xyyzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 618); 

                auto tg_xxxyzzz_xyzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 619); 

                auto tg_xxxyzzz_xzzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 620); 

                auto tg_xxxyzzz_yyyyyyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 621); 

                auto tg_xxxyzzz_yyyyyyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 622); 

                auto tg_xxxyzzz_yyyyyyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 623); 

                auto tg_xxxyzzz_yyyyyzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 624); 

                auto tg_xxxyzzz_yyyyzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 625); 

                auto tg_xxxyzzz_yyyzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 626); 

                auto tg_xxxyzzz_yyzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 627); 

                auto tg_xxxyzzz_yzzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 628); 

                auto tg_xxxyzzz_zzzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 629); 

                auto tg_xxxzzzz_xxxxxxxx_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 630); 

                auto tg_xxxzzzz_xxxxxxxy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 631); 

                auto tg_xxxzzzz_xxxxxxxz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 632); 

                auto tg_xxxzzzz_xxxxxxyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 633); 

                auto tg_xxxzzzz_xxxxxxyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 634); 

                auto tg_xxxzzzz_xxxxxxzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 635); 

                auto tg_xxxzzzz_xxxxxyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 636); 

                auto tg_xxxzzzz_xxxxxyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 637); 

                auto tg_xxxzzzz_xxxxxyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 638); 

                auto tg_xxxzzzz_xxxxxzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 639); 

                auto tg_xxxzzzz_xxxxyyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 640); 

                auto tg_xxxzzzz_xxxxyyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 641); 

                auto tg_xxxzzzz_xxxxyyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 642); 

                auto tg_xxxzzzz_xxxxyzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 643); 

                auto tg_xxxzzzz_xxxxzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 644); 

                auto tg_xxxzzzz_xxxyyyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 645); 

                auto tg_xxxzzzz_xxxyyyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 646); 

                auto tg_xxxzzzz_xxxyyyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 647); 

                auto tg_xxxzzzz_xxxyyzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 648); 

                auto tg_xxxzzzz_xxxyzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 649); 

                auto tg_xxxzzzz_xxxzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 650); 

                auto tg_xxxzzzz_xxyyyyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 651); 

                auto tg_xxxzzzz_xxyyyyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 652); 

                auto tg_xxxzzzz_xxyyyyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 653); 

                auto tg_xxxzzzz_xxyyyzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 654); 

                auto tg_xxxzzzz_xxyyzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 655); 

                auto tg_xxxzzzz_xxyzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 656); 

                auto tg_xxxzzzz_xxzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 657); 

                auto tg_xxxzzzz_xyyyyyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 658); 

                auto tg_xxxzzzz_xyyyyyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 659); 

                auto tg_xxxzzzz_xyyyyyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 660); 

                auto tg_xxxzzzz_xyyyyzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 661); 

                auto tg_xxxzzzz_xyyyzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 662); 

                auto tg_xxxzzzz_xyyzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 663); 

                auto tg_xxxzzzz_xyzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 664); 

                auto tg_xxxzzzz_xzzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 665); 

                auto tg_xxxzzzz_yyyyyyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 666); 

                auto tg_xxxzzzz_yyyyyyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 667); 

                auto tg_xxxzzzz_yyyyyyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 668); 

                auto tg_xxxzzzz_yyyyyzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 669); 

                auto tg_xxxzzzz_yyyyzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 670); 

                auto tg_xxxzzzz_yyyzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 671); 

                auto tg_xxxzzzz_yyzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 672); 

                auto tg_xxxzzzz_yzzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 673); 

                auto tg_xxxzzzz_zzzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 674); 

                auto tg_xxyyyyy_xxxxxxxx_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 675); 

                auto tg_xxyyyyy_xxxxxxxy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 676); 

                auto tg_xxyyyyy_xxxxxxxz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 677); 

                auto tg_xxyyyyy_xxxxxxyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 678); 

                auto tg_xxxyyzz_yyzzzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 582); 

                auto tg_xxxyyzz_yzzzzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 583); 

                auto tg_xxxyyzz_zzzzzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 584); 

                auto tg_xxxyzzz_xxxxxxxx_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 585); 

                auto tg_xxxyzzz_xxxxxxxy_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 586); 

                auto tg_xxxyzzz_xxxxxxxz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 587); 

                auto tg_xxxyzzz_xxxxxxyy_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 588); 

                auto tg_xxxyzzz_xxxxxxyz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 589); 

                auto tg_xxxyzzz_xxxxxxzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 590); 

                auto tg_xxxyzzz_xxxxxyyy_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 591); 

                auto tg_xxxyzzz_xxxxxyyz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 592); 

                auto tg_xxxyzzz_xxxxxyzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 593); 

                auto tg_xxxyzzz_xxxxxzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 594); 

                auto tg_xxxyzzz_xxxxyyyy_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 595); 

                auto tg_xxxyzzz_xxxxyyyz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 596); 

                auto tg_xxxyzzz_xxxxyyzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 597); 

                auto tg_xxxyzzz_xxxxyzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 598); 

                auto tg_xxxyzzz_xxxxzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 599); 

                auto tg_xxxyzzz_xxxyyyyy_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 600); 

                auto tg_xxxyzzz_xxxyyyyz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 601); 

                auto tg_xxxyzzz_xxxyyyzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 602); 

                auto tg_xxxyzzz_xxxyyzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 603); 

                auto tg_xxxyzzz_xxxyzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 604); 

                auto tg_xxxyzzz_xxxzzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 605); 

                auto tg_xxxyzzz_xxyyyyyy_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 606); 

                auto tg_xxxyzzz_xxyyyyyz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 607); 

                auto tg_xxxyzzz_xxyyyyzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 608); 

                auto tg_xxxyzzz_xxyyyzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 609); 

                auto tg_xxxyzzz_xxyyzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 610); 

                auto tg_xxxyzzz_xxyzzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 611); 

                auto tg_xxxyzzz_xxzzzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 612); 

                auto tg_xxxyzzz_xyyyyyyy_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 613); 

                auto tg_xxxyzzz_xyyyyyyz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 614); 

                auto tg_xxxyzzz_xyyyyyzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 615); 

                auto tg_xxxyzzz_xyyyyzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 616); 

                auto tg_xxxyzzz_xyyyzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 617); 

                auto tg_xxxyzzz_xyyzzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 618); 

                auto tg_xxxyzzz_xyzzzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 619); 

                auto tg_xxxyzzz_xzzzzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 620); 

                auto tg_xxxyzzz_yyyyyyyy_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 621); 

                auto tg_xxxyzzz_yyyyyyyz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 622); 

                auto tg_xxxyzzz_yyyyyyzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 623); 

                auto tg_xxxyzzz_yyyyyzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 624); 

                auto tg_xxxyzzz_yyyyzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 625); 

                auto tg_xxxyzzz_yyyzzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 626); 

                auto tg_xxxyzzz_yyzzzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 627); 

                auto tg_xxxyzzz_yzzzzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 628); 

                auto tg_xxxyzzz_zzzzzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 629); 

                auto tg_xxxzzzz_xxxxxxxx_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 630); 

                auto tg_xxxzzzz_xxxxxxxy_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 631); 

                auto tg_xxxzzzz_xxxxxxxz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 632); 

                auto tg_xxxzzzz_xxxxxxyy_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 633); 

                auto tg_xxxzzzz_xxxxxxyz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 634); 

                auto tg_xxxzzzz_xxxxxxzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 635); 

                auto tg_xxxzzzz_xxxxxyyy_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 636); 

                auto tg_xxxzzzz_xxxxxyyz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 637); 

                auto tg_xxxzzzz_xxxxxyzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 638); 

                auto tg_xxxzzzz_xxxxxzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 639); 

                auto tg_xxxzzzz_xxxxyyyy_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 640); 

                auto tg_xxxzzzz_xxxxyyyz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 641); 

                auto tg_xxxzzzz_xxxxyyzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 642); 

                auto tg_xxxzzzz_xxxxyzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 643); 

                auto tg_xxxzzzz_xxxxzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 644); 

                auto tg_xxxzzzz_xxxyyyyy_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 645); 

                auto tg_xxxzzzz_xxxyyyyz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 646); 

                auto tg_xxxzzzz_xxxyyyzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 647); 

                auto tg_xxxzzzz_xxxyyzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 648); 

                auto tg_xxxzzzz_xxxyzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 649); 

                auto tg_xxxzzzz_xxxzzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 650); 

                auto tg_xxxzzzz_xxyyyyyy_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 651); 

                auto tg_xxxzzzz_xxyyyyyz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 652); 

                auto tg_xxxzzzz_xxyyyyzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 653); 

                auto tg_xxxzzzz_xxyyyzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 654); 

                auto tg_xxxzzzz_xxyyzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 655); 

                auto tg_xxxzzzz_xxyzzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 656); 

                auto tg_xxxzzzz_xxzzzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 657); 

                auto tg_xxxzzzz_xyyyyyyy_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 658); 

                auto tg_xxxzzzz_xyyyyyyz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 659); 

                auto tg_xxxzzzz_xyyyyyzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 660); 

                auto tg_xxxzzzz_xyyyyzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 661); 

                auto tg_xxxzzzz_xyyyzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 662); 

                auto tg_xxxzzzz_xyyzzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 663); 

                auto tg_xxxzzzz_xyzzzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 664); 

                auto tg_xxxzzzz_xzzzzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 665); 

                auto tg_xxxzzzz_yyyyyyyy_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 666); 

                auto tg_xxxzzzz_yyyyyyyz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 667); 

                auto tg_xxxzzzz_yyyyyyzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 668); 

                auto tg_xxxzzzz_yyyyyzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 669); 

                auto tg_xxxzzzz_yyyyzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 670); 

                auto tg_xxxzzzz_yyyzzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 671); 

                auto tg_xxxzzzz_yyzzzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 672); 

                auto tg_xxxzzzz_yzzzzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 673); 

                auto tg_xxxzzzz_zzzzzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 674); 

                auto tg_xxyyyyy_xxxxxxxx_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 675); 

                auto tg_xxyyyyy_xxxxxxxy_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 676); 

                auto tg_xxyyyyy_xxxxxxxz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 677); 

                auto tg_xxyyyyy_xxxxxxyy_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 678); 

                auto tg_xxyyzz_yyzzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 582); 

                auto tg_xxyyzz_yzzzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 583); 

                auto tg_xxyyzz_zzzzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 584); 

                auto tg_xxyzzz_xxxxxxxx_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 585); 

                auto tg_xxyzzz_xxxxxxxy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 586); 

                auto tg_xxyzzz_xxxxxxxz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 587); 

                auto tg_xxyzzz_xxxxxxyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 588); 

                auto tg_xxyzzz_xxxxxxyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 589); 

                auto tg_xxyzzz_xxxxxxzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 590); 

                auto tg_xxyzzz_xxxxxyyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 591); 

                auto tg_xxyzzz_xxxxxyyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 592); 

                auto tg_xxyzzz_xxxxxyzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 593); 

                auto tg_xxyzzz_xxxxxzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 594); 

                auto tg_xxyzzz_xxxxyyyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 595); 

                auto tg_xxyzzz_xxxxyyyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 596); 

                auto tg_xxyzzz_xxxxyyzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 597); 

                auto tg_xxyzzz_xxxxyzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 598); 

                auto tg_xxyzzz_xxxxzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 599); 

                auto tg_xxyzzz_xxxyyyyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 600); 

                auto tg_xxyzzz_xxxyyyyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 601); 

                auto tg_xxyzzz_xxxyyyzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 602); 

                auto tg_xxyzzz_xxxyyzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 603); 

                auto tg_xxyzzz_xxxyzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 604); 

                auto tg_xxyzzz_xxxzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 605); 

                auto tg_xxyzzz_xxyyyyyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 606); 

                auto tg_xxyzzz_xxyyyyyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 607); 

                auto tg_xxyzzz_xxyyyyzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 608); 

                auto tg_xxyzzz_xxyyyzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 609); 

                auto tg_xxyzzz_xxyyzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 610); 

                auto tg_xxyzzz_xxyzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 611); 

                auto tg_xxyzzz_xxzzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 612); 

                auto tg_xxyzzz_xyyyyyyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 613); 

                auto tg_xxyzzz_xyyyyyyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 614); 

                auto tg_xxyzzz_xyyyyyzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 615); 

                auto tg_xxyzzz_xyyyyzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 616); 

                auto tg_xxyzzz_xyyyzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 617); 

                auto tg_xxyzzz_xyyzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 618); 

                auto tg_xxyzzz_xyzzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 619); 

                auto tg_xxyzzz_xzzzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 620); 

                auto tg_xxyzzz_yyyyyyyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 621); 

                auto tg_xxyzzz_yyyyyyyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 622); 

                auto tg_xxyzzz_yyyyyyzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 623); 

                auto tg_xxyzzz_yyyyyzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 624); 

                auto tg_xxyzzz_yyyyzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 625); 

                auto tg_xxyzzz_yyyzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 626); 

                auto tg_xxyzzz_yyzzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 627); 

                auto tg_xxyzzz_yzzzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 628); 

                auto tg_xxyzzz_zzzzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 629); 

                auto tg_xxzzzz_xxxxxxxx_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 630); 

                auto tg_xxzzzz_xxxxxxxy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 631); 

                auto tg_xxzzzz_xxxxxxxz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 632); 

                auto tg_xxzzzz_xxxxxxyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 633); 

                auto tg_xxzzzz_xxxxxxyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 634); 

                auto tg_xxzzzz_xxxxxxzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 635); 

                auto tg_xxzzzz_xxxxxyyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 636); 

                auto tg_xxzzzz_xxxxxyyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 637); 

                auto tg_xxzzzz_xxxxxyzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 638); 

                auto tg_xxzzzz_xxxxxzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 639); 

                auto tg_xxzzzz_xxxxyyyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 640); 

                auto tg_xxzzzz_xxxxyyyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 641); 

                auto tg_xxzzzz_xxxxyyzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 642); 

                auto tg_xxzzzz_xxxxyzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 643); 

                auto tg_xxzzzz_xxxxzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 644); 

                auto tg_xxzzzz_xxxyyyyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 645); 

                auto tg_xxzzzz_xxxyyyyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 646); 

                auto tg_xxzzzz_xxxyyyzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 647); 

                auto tg_xxzzzz_xxxyyzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 648); 

                auto tg_xxzzzz_xxxyzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 649); 

                auto tg_xxzzzz_xxxzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 650); 

                auto tg_xxzzzz_xxyyyyyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 651); 

                auto tg_xxzzzz_xxyyyyyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 652); 

                auto tg_xxzzzz_xxyyyyzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 653); 

                auto tg_xxzzzz_xxyyyzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 654); 

                auto tg_xxzzzz_xxyyzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 655); 

                auto tg_xxzzzz_xxyzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 656); 

                auto tg_xxzzzz_xxzzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 657); 

                auto tg_xxzzzz_xyyyyyyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 658); 

                auto tg_xxzzzz_xyyyyyyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 659); 

                auto tg_xxzzzz_xyyyyyzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 660); 

                auto tg_xxzzzz_xyyyyzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 661); 

                auto tg_xxzzzz_xyyyzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 662); 

                auto tg_xxzzzz_xyyzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 663); 

                auto tg_xxzzzz_xyzzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 664); 

                auto tg_xxzzzz_xzzzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 665); 

                auto tg_xxzzzz_yyyyyyyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 666); 

                auto tg_xxzzzz_yyyyyyyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 667); 

                auto tg_xxzzzz_yyyyyyzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 668); 

                auto tg_xxzzzz_yyyyyzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 669); 

                auto tg_xxzzzz_yyyyzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 670); 

                auto tg_xxzzzz_yyyzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 671); 

                auto tg_xxzzzz_yyzzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 672); 

                auto tg_xxzzzz_yzzzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 673); 

                auto tg_xxzzzz_zzzzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 674); 

                auto tg_xyyyyy_xxxxxxxx_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 675); 

                auto tg_xyyyyy_xxxxxxxy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 676); 

                auto tg_xyyyyy_xxxxxxxz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 677); 

                auto tg_xyyyyy_xxxxxxyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 678); 

                auto tg_xxyyzz_yyzzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 582); 

                auto tg_xxyyzz_yzzzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 583); 

                auto tg_xxyyzz_zzzzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 584); 

                auto tg_xxyzzz_xxxxxxxx_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 585); 

                auto tg_xxyzzz_xxxxxxxy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 586); 

                auto tg_xxyzzz_xxxxxxxz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 587); 

                auto tg_xxyzzz_xxxxxxyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 588); 

                auto tg_xxyzzz_xxxxxxyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 589); 

                auto tg_xxyzzz_xxxxxxzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 590); 

                auto tg_xxyzzz_xxxxxyyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 591); 

                auto tg_xxyzzz_xxxxxyyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 592); 

                auto tg_xxyzzz_xxxxxyzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 593); 

                auto tg_xxyzzz_xxxxxzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 594); 

                auto tg_xxyzzz_xxxxyyyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 595); 

                auto tg_xxyzzz_xxxxyyyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 596); 

                auto tg_xxyzzz_xxxxyyzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 597); 

                auto tg_xxyzzz_xxxxyzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 598); 

                auto tg_xxyzzz_xxxxzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 599); 

                auto tg_xxyzzz_xxxyyyyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 600); 

                auto tg_xxyzzz_xxxyyyyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 601); 

                auto tg_xxyzzz_xxxyyyzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 602); 

                auto tg_xxyzzz_xxxyyzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 603); 

                auto tg_xxyzzz_xxxyzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 604); 

                auto tg_xxyzzz_xxxzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 605); 

                auto tg_xxyzzz_xxyyyyyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 606); 

                auto tg_xxyzzz_xxyyyyyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 607); 

                auto tg_xxyzzz_xxyyyyzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 608); 

                auto tg_xxyzzz_xxyyyzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 609); 

                auto tg_xxyzzz_xxyyzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 610); 

                auto tg_xxyzzz_xxyzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 611); 

                auto tg_xxyzzz_xxzzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 612); 

                auto tg_xxyzzz_xyyyyyyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 613); 

                auto tg_xxyzzz_xyyyyyyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 614); 

                auto tg_xxyzzz_xyyyyyzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 615); 

                auto tg_xxyzzz_xyyyyzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 616); 

                auto tg_xxyzzz_xyyyzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 617); 

                auto tg_xxyzzz_xyyzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 618); 

                auto tg_xxyzzz_xyzzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 619); 

                auto tg_xxyzzz_xzzzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 620); 

                auto tg_xxyzzz_yyyyyyyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 621); 

                auto tg_xxyzzz_yyyyyyyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 622); 

                auto tg_xxyzzz_yyyyyyzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 623); 

                auto tg_xxyzzz_yyyyyzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 624); 

                auto tg_xxyzzz_yyyyzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 625); 

                auto tg_xxyzzz_yyyzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 626); 

                auto tg_xxyzzz_yyzzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 627); 

                auto tg_xxyzzz_yzzzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 628); 

                auto tg_xxyzzz_zzzzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 629); 

                auto tg_xxzzzz_xxxxxxxx_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 630); 

                auto tg_xxzzzz_xxxxxxxy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 631); 

                auto tg_xxzzzz_xxxxxxxz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 632); 

                auto tg_xxzzzz_xxxxxxyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 633); 

                auto tg_xxzzzz_xxxxxxyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 634); 

                auto tg_xxzzzz_xxxxxxzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 635); 

                auto tg_xxzzzz_xxxxxyyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 636); 

                auto tg_xxzzzz_xxxxxyyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 637); 

                auto tg_xxzzzz_xxxxxyzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 638); 

                auto tg_xxzzzz_xxxxxzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 639); 

                auto tg_xxzzzz_xxxxyyyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 640); 

                auto tg_xxzzzz_xxxxyyyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 641); 

                auto tg_xxzzzz_xxxxyyzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 642); 

                auto tg_xxzzzz_xxxxyzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 643); 

                auto tg_xxzzzz_xxxxzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 644); 

                auto tg_xxzzzz_xxxyyyyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 645); 

                auto tg_xxzzzz_xxxyyyyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 646); 

                auto tg_xxzzzz_xxxyyyzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 647); 

                auto tg_xxzzzz_xxxyyzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 648); 

                auto tg_xxzzzz_xxxyzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 649); 

                auto tg_xxzzzz_xxxzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 650); 

                auto tg_xxzzzz_xxyyyyyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 651); 

                auto tg_xxzzzz_xxyyyyyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 652); 

                auto tg_xxzzzz_xxyyyyzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 653); 

                auto tg_xxzzzz_xxyyyzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 654); 

                auto tg_xxzzzz_xxyyzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 655); 

                auto tg_xxzzzz_xxyzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 656); 

                auto tg_xxzzzz_xxzzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 657); 

                auto tg_xxzzzz_xyyyyyyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 658); 

                auto tg_xxzzzz_xyyyyyyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 659); 

                auto tg_xxzzzz_xyyyyyzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 660); 

                auto tg_xxzzzz_xyyyyzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 661); 

                auto tg_xxzzzz_xyyyzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 662); 

                auto tg_xxzzzz_xyyzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 663); 

                auto tg_xxzzzz_xyzzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 664); 

                auto tg_xxzzzz_xzzzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 665); 

                auto tg_xxzzzz_yyyyyyyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 666); 

                auto tg_xxzzzz_yyyyyyyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 667); 

                auto tg_xxzzzz_yyyyyyzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 668); 

                auto tg_xxzzzz_yyyyyzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 669); 

                auto tg_xxzzzz_yyyyzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 670); 

                auto tg_xxzzzz_yyyzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 671); 

                auto tg_xxzzzz_yyzzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 672); 

                auto tg_xxzzzz_yzzzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 673); 

                auto tg_xxzzzz_zzzzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 674); 

                auto tg_xyyyyy_xxxxxxxx_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 675); 

                auto tg_xyyyyy_xxxxxxxy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 676); 

                auto tg_xyyyyy_xxxxxxxz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 677); 

                auto tg_xyyyyy_xxxxxxyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 678); 

                auto tg_xxxyzzz_xxxxxxx_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 468); 

                auto tg_xxxyzzz_xxxxxxy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 469); 

                auto tg_xxxyzzz_xxxxxxz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 470); 

                auto tg_xxxyzzz_xxxxxyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 471); 

                auto tg_xxxyzzz_xxxxxyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 472); 

                auto tg_xxxyzzz_xxxxxzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 473); 

                auto tg_xxxyzzz_xxxxyyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 474); 

                auto tg_xxxyzzz_xxxxyyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 475); 

                auto tg_xxxyzzz_xxxxyzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 476); 

                auto tg_xxxyzzz_xxxxzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 477); 

                auto tg_xxxyzzz_xxxyyyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 478); 

                auto tg_xxxyzzz_xxxyyyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 479); 

                auto tg_xxxyzzz_xxxyyzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 480); 

                auto tg_xxxyzzz_xxxyzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 481); 

                auto tg_xxxyzzz_xxxzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 482); 

                auto tg_xxxyzzz_xxyyyyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 483); 

                auto tg_xxxyzzz_xxyyyyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 484); 

                auto tg_xxxyzzz_xxyyyzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 485); 

                auto tg_xxxyzzz_xxyyzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 486); 

                auto tg_xxxyzzz_xxyzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 487); 

                auto tg_xxxyzzz_xxzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 488); 

                auto tg_xxxyzzz_xyyyyyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 489); 

                auto tg_xxxyzzz_xyyyyyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 490); 

                auto tg_xxxyzzz_xyyyyzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 491); 

                auto tg_xxxyzzz_xyyyzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 492); 

                auto tg_xxxyzzz_xyyzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 493); 

                auto tg_xxxyzzz_xyzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 494); 

                auto tg_xxxyzzz_xzzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 495); 

                auto tg_xxxyzzz_yyyyyyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 496); 

                auto tg_xxxyzzz_yyyyyyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 497); 

                auto tg_xxxyzzz_yyyyyzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 498); 

                auto tg_xxxyzzz_yyyyzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 499); 

                auto tg_xxxyzzz_yyyzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 500); 

                auto tg_xxxyzzz_yyzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 501); 

                auto tg_xxxyzzz_yzzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 502); 

                auto tg_xxxyzzz_zzzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 503); 

                auto tg_xxxzzzz_xxxxxxx_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 504); 

                auto tg_xxxzzzz_xxxxxxy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 505); 

                auto tg_xxxzzzz_xxxxxxz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 506); 

                auto tg_xxxzzzz_xxxxxyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 507); 

                auto tg_xxxzzzz_xxxxxyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 508); 

                auto tg_xxxzzzz_xxxxxzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 509); 

                auto tg_xxxzzzz_xxxxyyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 510); 

                auto tg_xxxzzzz_xxxxyyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 511); 

                auto tg_xxxzzzz_xxxxyzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 512); 

                auto tg_xxxzzzz_xxxxzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 513); 

                auto tg_xxxzzzz_xxxyyyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 514); 

                auto tg_xxxzzzz_xxxyyyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 515); 

                auto tg_xxxzzzz_xxxyyzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 516); 

                auto tg_xxxzzzz_xxxyzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 517); 

                auto tg_xxxzzzz_xxxzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 518); 

                auto tg_xxxzzzz_xxyyyyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 519); 

                auto tg_xxxzzzz_xxyyyyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 520); 

                auto tg_xxxzzzz_xxyyyzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 521); 

                auto tg_xxxzzzz_xxyyzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 522); 

                auto tg_xxxzzzz_xxyzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 523); 

                auto tg_xxxzzzz_xxzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 524); 

                auto tg_xxxzzzz_xyyyyyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 525); 

                auto tg_xxxzzzz_xyyyyyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 526); 

                auto tg_xxxzzzz_xyyyyzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 527); 

                auto tg_xxxzzzz_xyyyzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 528); 

                auto tg_xxxzzzz_xyyzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 529); 

                auto tg_xxxzzzz_xyzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 530); 

                auto tg_xxxzzzz_xzzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 531); 

                auto tg_xxxzzzz_yyyyyyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 532); 

                auto tg_xxxzzzz_yyyyyyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 533); 

                auto tg_xxxzzzz_yyyyyzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 534); 

                auto tg_xxxzzzz_yyyyzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 535); 

                auto tg_xxxzzzz_yyyzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 536); 

                auto tg_xxxzzzz_yyzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 537); 

                auto tg_xxxzzzz_yzzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 538); 

                auto tg_xxxzzzz_zzzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 539); 

                auto tg_xxyyyyy_xxxxxxx_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 540); 

                auto tg_xxyyyyy_xxxxxxy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 541); 

                auto tg_xxyyyyy_xxxxxxz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 542); 

                auto tg_xxyyyyy_xxxxxyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 543); 

                // set up pointers to integrals

                auto tg_xxxxyyzz_yyzzzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 582); 

                auto tg_xxxxyyzz_yzzzzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 583); 

                auto tg_xxxxyyzz_zzzzzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 584); 

                auto tg_xxxxyzzz_xxxxxxxx_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 585); 

                auto tg_xxxxyzzz_xxxxxxxy_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 586); 

                auto tg_xxxxyzzz_xxxxxxxz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 587); 

                auto tg_xxxxyzzz_xxxxxxyy_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 588); 

                auto tg_xxxxyzzz_xxxxxxyz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 589); 

                auto tg_xxxxyzzz_xxxxxxzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 590); 

                auto tg_xxxxyzzz_xxxxxyyy_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 591); 

                auto tg_xxxxyzzz_xxxxxyyz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 592); 

                auto tg_xxxxyzzz_xxxxxyzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 593); 

                auto tg_xxxxyzzz_xxxxxzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 594); 

                auto tg_xxxxyzzz_xxxxyyyy_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 595); 

                auto tg_xxxxyzzz_xxxxyyyz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 596); 

                auto tg_xxxxyzzz_xxxxyyzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 597); 

                auto tg_xxxxyzzz_xxxxyzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 598); 

                auto tg_xxxxyzzz_xxxxzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 599); 

                auto tg_xxxxyzzz_xxxyyyyy_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 600); 

                auto tg_xxxxyzzz_xxxyyyyz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 601); 

                auto tg_xxxxyzzz_xxxyyyzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 602); 

                auto tg_xxxxyzzz_xxxyyzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 603); 

                auto tg_xxxxyzzz_xxxyzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 604); 

                auto tg_xxxxyzzz_xxxzzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 605); 

                auto tg_xxxxyzzz_xxyyyyyy_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 606); 

                auto tg_xxxxyzzz_xxyyyyyz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 607); 

                auto tg_xxxxyzzz_xxyyyyzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 608); 

                auto tg_xxxxyzzz_xxyyyzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 609); 

                auto tg_xxxxyzzz_xxyyzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 610); 

                auto tg_xxxxyzzz_xxyzzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 611); 

                auto tg_xxxxyzzz_xxzzzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 612); 

                auto tg_xxxxyzzz_xyyyyyyy_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 613); 

                auto tg_xxxxyzzz_xyyyyyyz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 614); 

                auto tg_xxxxyzzz_xyyyyyzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 615); 

                auto tg_xxxxyzzz_xyyyyzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 616); 

                auto tg_xxxxyzzz_xyyyzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 617); 

                auto tg_xxxxyzzz_xyyzzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 618); 

                auto tg_xxxxyzzz_xyzzzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 619); 

                auto tg_xxxxyzzz_xzzzzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 620); 

                auto tg_xxxxyzzz_yyyyyyyy_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 621); 

                auto tg_xxxxyzzz_yyyyyyyz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 622); 

                auto tg_xxxxyzzz_yyyyyyzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 623); 

                auto tg_xxxxyzzz_yyyyyzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 624); 

                auto tg_xxxxyzzz_yyyyzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 625); 

                auto tg_xxxxyzzz_yyyzzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 626); 

                auto tg_xxxxyzzz_yyzzzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 627); 

                auto tg_xxxxyzzz_yzzzzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 628); 

                auto tg_xxxxyzzz_zzzzzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 629); 

                auto tg_xxxxzzzz_xxxxxxxx_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 630); 

                auto tg_xxxxzzzz_xxxxxxxy_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 631); 

                auto tg_xxxxzzzz_xxxxxxxz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 632); 

                auto tg_xxxxzzzz_xxxxxxyy_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 633); 

                auto tg_xxxxzzzz_xxxxxxyz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 634); 

                auto tg_xxxxzzzz_xxxxxxzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 635); 

                auto tg_xxxxzzzz_xxxxxyyy_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 636); 

                auto tg_xxxxzzzz_xxxxxyyz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 637); 

                auto tg_xxxxzzzz_xxxxxyzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 638); 

                auto tg_xxxxzzzz_xxxxxzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 639); 

                auto tg_xxxxzzzz_xxxxyyyy_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 640); 

                auto tg_xxxxzzzz_xxxxyyyz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 641); 

                auto tg_xxxxzzzz_xxxxyyzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 642); 

                auto tg_xxxxzzzz_xxxxyzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 643); 

                auto tg_xxxxzzzz_xxxxzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 644); 

                auto tg_xxxxzzzz_xxxyyyyy_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 645); 

                auto tg_xxxxzzzz_xxxyyyyz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 646); 

                auto tg_xxxxzzzz_xxxyyyzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 647); 

                auto tg_xxxxzzzz_xxxyyzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 648); 

                auto tg_xxxxzzzz_xxxyzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 649); 

                auto tg_xxxxzzzz_xxxzzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 650); 

                auto tg_xxxxzzzz_xxyyyyyy_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 651); 

                auto tg_xxxxzzzz_xxyyyyyz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 652); 

                auto tg_xxxxzzzz_xxyyyyzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 653); 

                auto tg_xxxxzzzz_xxyyyzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 654); 

                auto tg_xxxxzzzz_xxyyzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 655); 

                auto tg_xxxxzzzz_xxyzzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 656); 

                auto tg_xxxxzzzz_xxzzzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 657); 

                auto tg_xxxxzzzz_xyyyyyyy_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 658); 

                auto tg_xxxxzzzz_xyyyyyyz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 659); 

                auto tg_xxxxzzzz_xyyyyyzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 660); 

                auto tg_xxxxzzzz_xyyyyzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 661); 

                auto tg_xxxxzzzz_xyyyzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 662); 

                auto tg_xxxxzzzz_xyyzzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 663); 

                auto tg_xxxxzzzz_xyzzzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 664); 

                auto tg_xxxxzzzz_xzzzzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 665); 

                auto tg_xxxxzzzz_yyyyyyyy_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 666); 

                auto tg_xxxxzzzz_yyyyyyyz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 667); 

                auto tg_xxxxzzzz_yyyyyyzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 668); 

                auto tg_xxxxzzzz_yyyyyzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 669); 

                auto tg_xxxxzzzz_yyyyzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 670); 

                auto tg_xxxxzzzz_yyyzzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 671); 

                auto tg_xxxxzzzz_yyzzzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 672); 

                auto tg_xxxxzzzz_yzzzzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 673); 

                auto tg_xxxxzzzz_zzzzzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 674); 

                auto tg_xxxyyyyy_xxxxxxxx_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 675); 

                auto tg_xxxyyyyy_xxxxxxxy_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 676); 

                auto tg_xxxyyyyy_xxxxxxxz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 677); 

                auto tg_xxxyyyyy_xxxxxxyy_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 678); 

                // Batch of Integrals (582,679)

                #pragma omp simd aligned(fxn, fza, tg_xxxxyyzz_yyzzzzzz_0, tg_xxxxyyzz_yzzzzzzz_0, \
                                         tg_xxxxyyzz_zzzzzzzz_0, tg_xxxxyzzz_xxxxxxxx_0, tg_xxxxyzzz_xxxxxxxy_0, \
                                         tg_xxxxyzzz_xxxxxxxz_0, tg_xxxxyzzz_xxxxxxyy_0, tg_xxxxyzzz_xxxxxxyz_0, \
                                         tg_xxxxyzzz_xxxxxxzz_0, tg_xxxxyzzz_xxxxxyyy_0, tg_xxxxyzzz_xxxxxyyz_0, \
                                         tg_xxxxyzzz_xxxxxyzz_0, tg_xxxxyzzz_xxxxxzzz_0, tg_xxxxyzzz_xxxxyyyy_0, \
                                         tg_xxxxyzzz_xxxxyyyz_0, tg_xxxxyzzz_xxxxyyzz_0, tg_xxxxyzzz_xxxxyzzz_0, \
                                         tg_xxxxyzzz_xxxxzzzz_0, tg_xxxxyzzz_xxxyyyyy_0, tg_xxxxyzzz_xxxyyyyz_0, \
                                         tg_xxxxyzzz_xxxyyyzz_0, tg_xxxxyzzz_xxxyyzzz_0, tg_xxxxyzzz_xxxyzzzz_0, \
                                         tg_xxxxyzzz_xxxzzzzz_0, tg_xxxxyzzz_xxyyyyyy_0, tg_xxxxyzzz_xxyyyyyz_0, \
                                         tg_xxxxyzzz_xxyyyyzz_0, tg_xxxxyzzz_xxyyyzzz_0, tg_xxxxyzzz_xxyyzzzz_0, \
                                         tg_xxxxyzzz_xxyzzzzz_0, tg_xxxxyzzz_xxzzzzzz_0, tg_xxxxyzzz_xyyyyyyy_0, \
                                         tg_xxxxyzzz_xyyyyyyz_0, tg_xxxxyzzz_xyyyyyzz_0, tg_xxxxyzzz_xyyyyzzz_0, \
                                         tg_xxxxyzzz_xyyyzzzz_0, tg_xxxxyzzz_xyyzzzzz_0, tg_xxxxyzzz_xyzzzzzz_0, \
                                         tg_xxxxyzzz_xzzzzzzz_0, tg_xxxxyzzz_yyyyyyyy_0, tg_xxxxyzzz_yyyyyyyz_0, \
                                         tg_xxxxyzzz_yyyyyyzz_0, tg_xxxxyzzz_yyyyyzzz_0, tg_xxxxyzzz_yyyyzzzz_0, \
                                         tg_xxxxyzzz_yyyzzzzz_0, tg_xxxxyzzz_yyzzzzzz_0, tg_xxxxyzzz_yzzzzzzz_0, \
                                         tg_xxxxyzzz_zzzzzzzz_0, tg_xxxxzzzz_xxxxxxxx_0, tg_xxxxzzzz_xxxxxxxy_0, \
                                         tg_xxxxzzzz_xxxxxxxz_0, tg_xxxxzzzz_xxxxxxyy_0, tg_xxxxzzzz_xxxxxxyz_0, \
                                         tg_xxxxzzzz_xxxxxxzz_0, tg_xxxxzzzz_xxxxxyyy_0, tg_xxxxzzzz_xxxxxyyz_0, \
                                         tg_xxxxzzzz_xxxxxyzz_0, tg_xxxxzzzz_xxxxxzzz_0, tg_xxxxzzzz_xxxxyyyy_0, \
                                         tg_xxxxzzzz_xxxxyyyz_0, tg_xxxxzzzz_xxxxyyzz_0, tg_xxxxzzzz_xxxxyzzz_0, \
                                         tg_xxxxzzzz_xxxxzzzz_0, tg_xxxxzzzz_xxxyyyyy_0, tg_xxxxzzzz_xxxyyyyz_0, \
                                         tg_xxxxzzzz_xxxyyyzz_0, tg_xxxxzzzz_xxxyyzzz_0, tg_xxxxzzzz_xxxyzzzz_0, \
                                         tg_xxxxzzzz_xxxzzzzz_0, tg_xxxxzzzz_xxyyyyyy_0, tg_xxxxzzzz_xxyyyyyz_0, \
                                         tg_xxxxzzzz_xxyyyyzz_0, tg_xxxxzzzz_xxyyyzzz_0, tg_xxxxzzzz_xxyyzzzz_0, \
                                         tg_xxxxzzzz_xxyzzzzz_0, tg_xxxxzzzz_xxzzzzzz_0, tg_xxxxzzzz_xyyyyyyy_0, \
                                         tg_xxxxzzzz_xyyyyyyz_0, tg_xxxxzzzz_xyyyyyzz_0, tg_xxxxzzzz_xyyyyzzz_0, \
                                         tg_xxxxzzzz_xyyyzzzz_0, tg_xxxxzzzz_xyyzzzzz_0, tg_xxxxzzzz_xyzzzzzz_0, \
                                         tg_xxxxzzzz_xzzzzzzz_0, tg_xxxxzzzz_yyyyyyyy_0, tg_xxxxzzzz_yyyyyyyz_0, \
                                         tg_xxxxzzzz_yyyyyyzz_0, tg_xxxxzzzz_yyyyyzzz_0, tg_xxxxzzzz_yyyyzzzz_0, \
                                         tg_xxxxzzzz_yyyzzzzz_0, tg_xxxxzzzz_yyzzzzzz_0, tg_xxxxzzzz_yzzzzzzz_0, \
                                         tg_xxxxzzzz_zzzzzzzz_0, tg_xxxyyyyy_xxxxxxxx_0, tg_xxxyyyyy_xxxxxxxy_0, \
                                         tg_xxxyyyyy_xxxxxxxz_0, tg_xxxyyyyy_xxxxxxyy_0, tg_xxxyyzz_yyzzzzzz_0, \
                                         tg_xxxyyzz_yyzzzzzz_1, tg_xxxyyzz_yzzzzzzz_0, tg_xxxyyzz_yzzzzzzz_1, \
                                         tg_xxxyyzz_zzzzzzzz_0, tg_xxxyyzz_zzzzzzzz_1, tg_xxxyzzz_xxxxxxx_1, \
                                         tg_xxxyzzz_xxxxxxxx_0, tg_xxxyzzz_xxxxxxxx_1, tg_xxxyzzz_xxxxxxxy_0, \
                                         tg_xxxyzzz_xxxxxxxy_1, tg_xxxyzzz_xxxxxxxz_0, tg_xxxyzzz_xxxxxxxz_1, \
                                         tg_xxxyzzz_xxxxxxy_1, tg_xxxyzzz_xxxxxxyy_0, tg_xxxyzzz_xxxxxxyy_1, \
                                         tg_xxxyzzz_xxxxxxyz_0, tg_xxxyzzz_xxxxxxyz_1, tg_xxxyzzz_xxxxxxz_1, \
                                         tg_xxxyzzz_xxxxxxzz_0, tg_xxxyzzz_xxxxxxzz_1, tg_xxxyzzz_xxxxxyy_1, \
                                         tg_xxxyzzz_xxxxxyyy_0, tg_xxxyzzz_xxxxxyyy_1, tg_xxxyzzz_xxxxxyyz_0, \
                                         tg_xxxyzzz_xxxxxyyz_1, tg_xxxyzzz_xxxxxyz_1, tg_xxxyzzz_xxxxxyzz_0, \
                                         tg_xxxyzzz_xxxxxyzz_1, tg_xxxyzzz_xxxxxzz_1, tg_xxxyzzz_xxxxxzzz_0, \
                                         tg_xxxyzzz_xxxxxzzz_1, tg_xxxyzzz_xxxxyyy_1, tg_xxxyzzz_xxxxyyyy_0, \
                                         tg_xxxyzzz_xxxxyyyy_1, tg_xxxyzzz_xxxxyyyz_0, tg_xxxyzzz_xxxxyyyz_1, \
                                         tg_xxxyzzz_xxxxyyz_1, tg_xxxyzzz_xxxxyyzz_0, tg_xxxyzzz_xxxxyyzz_1, \
                                         tg_xxxyzzz_xxxxyzz_1, tg_xxxyzzz_xxxxyzzz_0, tg_xxxyzzz_xxxxyzzz_1, \
                                         tg_xxxyzzz_xxxxzzz_1, tg_xxxyzzz_xxxxzzzz_0, tg_xxxyzzz_xxxxzzzz_1, \
                                         tg_xxxyzzz_xxxyyyy_1, tg_xxxyzzz_xxxyyyyy_0, tg_xxxyzzz_xxxyyyyy_1, \
                                         tg_xxxyzzz_xxxyyyyz_0, tg_xxxyzzz_xxxyyyyz_1, tg_xxxyzzz_xxxyyyz_1, \
                                         tg_xxxyzzz_xxxyyyzz_0, tg_xxxyzzz_xxxyyyzz_1, tg_xxxyzzz_xxxyyzz_1, \
                                         tg_xxxyzzz_xxxyyzzz_0, tg_xxxyzzz_xxxyyzzz_1, tg_xxxyzzz_xxxyzzz_1, \
                                         tg_xxxyzzz_xxxyzzzz_0, tg_xxxyzzz_xxxyzzzz_1, tg_xxxyzzz_xxxzzzz_1, \
                                         tg_xxxyzzz_xxxzzzzz_0, tg_xxxyzzz_xxxzzzzz_1, tg_xxxyzzz_xxyyyyy_1, \
                                         tg_xxxyzzz_xxyyyyyy_0, tg_xxxyzzz_xxyyyyyy_1, tg_xxxyzzz_xxyyyyyz_0, \
                                         tg_xxxyzzz_xxyyyyyz_1, tg_xxxyzzz_xxyyyyz_1, tg_xxxyzzz_xxyyyyzz_0, \
                                         tg_xxxyzzz_xxyyyyzz_1, tg_xxxyzzz_xxyyyzz_1, tg_xxxyzzz_xxyyyzzz_0, \
                                         tg_xxxyzzz_xxyyyzzz_1, tg_xxxyzzz_xxyyzzz_1, tg_xxxyzzz_xxyyzzzz_0, \
                                         tg_xxxyzzz_xxyyzzzz_1, tg_xxxyzzz_xxyzzzz_1, tg_xxxyzzz_xxyzzzzz_0, \
                                         tg_xxxyzzz_xxyzzzzz_1, tg_xxxyzzz_xxzzzzz_1, tg_xxxyzzz_xxzzzzzz_0, \
                                         tg_xxxyzzz_xxzzzzzz_1, tg_xxxyzzz_xyyyyyy_1, tg_xxxyzzz_xyyyyyyy_0, \
                                         tg_xxxyzzz_xyyyyyyy_1, tg_xxxyzzz_xyyyyyyz_0, tg_xxxyzzz_xyyyyyyz_1, \
                                         tg_xxxyzzz_xyyyyyz_1, tg_xxxyzzz_xyyyyyzz_0, tg_xxxyzzz_xyyyyyzz_1, \
                                         tg_xxxyzzz_xyyyyzz_1, tg_xxxyzzz_xyyyyzzz_0, tg_xxxyzzz_xyyyyzzz_1, \
                                         tg_xxxyzzz_xyyyzzz_1, tg_xxxyzzz_xyyyzzzz_0, tg_xxxyzzz_xyyyzzzz_1, \
                                         tg_xxxyzzz_xyyzzzz_1, tg_xxxyzzz_xyyzzzzz_0, tg_xxxyzzz_xyyzzzzz_1, \
                                         tg_xxxyzzz_xyzzzzz_1, tg_xxxyzzz_xyzzzzzz_0, tg_xxxyzzz_xyzzzzzz_1, \
                                         tg_xxxyzzz_xzzzzzz_1, tg_xxxyzzz_xzzzzzzz_0, tg_xxxyzzz_xzzzzzzz_1, \
                                         tg_xxxyzzz_yyyyyyy_1, tg_xxxyzzz_yyyyyyyy_0, tg_xxxyzzz_yyyyyyyy_1, \
                                         tg_xxxyzzz_yyyyyyyz_0, tg_xxxyzzz_yyyyyyyz_1, tg_xxxyzzz_yyyyyyz_1, \
                                         tg_xxxyzzz_yyyyyyzz_0, tg_xxxyzzz_yyyyyyzz_1, tg_xxxyzzz_yyyyyzz_1, \
                                         tg_xxxyzzz_yyyyyzzz_0, tg_xxxyzzz_yyyyyzzz_1, tg_xxxyzzz_yyyyzzz_1, \
                                         tg_xxxyzzz_yyyyzzzz_0, tg_xxxyzzz_yyyyzzzz_1, tg_xxxyzzz_yyyzzzz_1, \
                                         tg_xxxyzzz_yyyzzzzz_0, tg_xxxyzzz_yyyzzzzz_1, tg_xxxyzzz_yyzzzzz_1, \
                                         tg_xxxyzzz_yyzzzzzz_0, tg_xxxyzzz_yyzzzzzz_1, tg_xxxyzzz_yzzzzzz_1, \
                                         tg_xxxyzzz_yzzzzzzz_0, tg_xxxyzzz_yzzzzzzz_1, tg_xxxyzzz_zzzzzzz_1, \
                                         tg_xxxyzzz_zzzzzzzz_0, tg_xxxyzzz_zzzzzzzz_1, tg_xxxzzzz_xxxxxxx_1, \
                                         tg_xxxzzzz_xxxxxxxx_0, tg_xxxzzzz_xxxxxxxx_1, tg_xxxzzzz_xxxxxxxy_0, \
                                         tg_xxxzzzz_xxxxxxxy_1, tg_xxxzzzz_xxxxxxxz_0, tg_xxxzzzz_xxxxxxxz_1, \
                                         tg_xxxzzzz_xxxxxxy_1, tg_xxxzzzz_xxxxxxyy_0, tg_xxxzzzz_xxxxxxyy_1, \
                                         tg_xxxzzzz_xxxxxxyz_0, tg_xxxzzzz_xxxxxxyz_1, tg_xxxzzzz_xxxxxxz_1, \
                                         tg_xxxzzzz_xxxxxxzz_0, tg_xxxzzzz_xxxxxxzz_1, tg_xxxzzzz_xxxxxyy_1, \
                                         tg_xxxzzzz_xxxxxyyy_0, tg_xxxzzzz_xxxxxyyy_1, tg_xxxzzzz_xxxxxyyz_0, \
                                         tg_xxxzzzz_xxxxxyyz_1, tg_xxxzzzz_xxxxxyz_1, tg_xxxzzzz_xxxxxyzz_0, \
                                         tg_xxxzzzz_xxxxxyzz_1, tg_xxxzzzz_xxxxxzz_1, tg_xxxzzzz_xxxxxzzz_0, \
                                         tg_xxxzzzz_xxxxxzzz_1, tg_xxxzzzz_xxxxyyy_1, tg_xxxzzzz_xxxxyyyy_0, \
                                         tg_xxxzzzz_xxxxyyyy_1, tg_xxxzzzz_xxxxyyyz_0, tg_xxxzzzz_xxxxyyyz_1, \
                                         tg_xxxzzzz_xxxxyyz_1, tg_xxxzzzz_xxxxyyzz_0, tg_xxxzzzz_xxxxyyzz_1, \
                                         tg_xxxzzzz_xxxxyzz_1, tg_xxxzzzz_xxxxyzzz_0, tg_xxxzzzz_xxxxyzzz_1, \
                                         tg_xxxzzzz_xxxxzzz_1, tg_xxxzzzz_xxxxzzzz_0, tg_xxxzzzz_xxxxzzzz_1, \
                                         tg_xxxzzzz_xxxyyyy_1, tg_xxxzzzz_xxxyyyyy_0, tg_xxxzzzz_xxxyyyyy_1, \
                                         tg_xxxzzzz_xxxyyyyz_0, tg_xxxzzzz_xxxyyyyz_1, tg_xxxzzzz_xxxyyyz_1, \
                                         tg_xxxzzzz_xxxyyyzz_0, tg_xxxzzzz_xxxyyyzz_1, tg_xxxzzzz_xxxyyzz_1, \
                                         tg_xxxzzzz_xxxyyzzz_0, tg_xxxzzzz_xxxyyzzz_1, tg_xxxzzzz_xxxyzzz_1, \
                                         tg_xxxzzzz_xxxyzzzz_0, tg_xxxzzzz_xxxyzzzz_1, tg_xxxzzzz_xxxzzzz_1, \
                                         tg_xxxzzzz_xxxzzzzz_0, tg_xxxzzzz_xxxzzzzz_1, tg_xxxzzzz_xxyyyyy_1, \
                                         tg_xxxzzzz_xxyyyyyy_0, tg_xxxzzzz_xxyyyyyy_1, tg_xxxzzzz_xxyyyyyz_0, \
                                         tg_xxxzzzz_xxyyyyyz_1, tg_xxxzzzz_xxyyyyz_1, tg_xxxzzzz_xxyyyyzz_0, \
                                         tg_xxxzzzz_xxyyyyzz_1, tg_xxxzzzz_xxyyyzz_1, tg_xxxzzzz_xxyyyzzz_0, \
                                         tg_xxxzzzz_xxyyyzzz_1, tg_xxxzzzz_xxyyzzz_1, tg_xxxzzzz_xxyyzzzz_0, \
                                         tg_xxxzzzz_xxyyzzzz_1, tg_xxxzzzz_xxyzzzz_1, tg_xxxzzzz_xxyzzzzz_0, \
                                         tg_xxxzzzz_xxyzzzzz_1, tg_xxxzzzz_xxzzzzz_1, tg_xxxzzzz_xxzzzzzz_0, \
                                         tg_xxxzzzz_xxzzzzzz_1, tg_xxxzzzz_xyyyyyy_1, tg_xxxzzzz_xyyyyyyy_0, \
                                         tg_xxxzzzz_xyyyyyyy_1, tg_xxxzzzz_xyyyyyyz_0, tg_xxxzzzz_xyyyyyyz_1, \
                                         tg_xxxzzzz_xyyyyyz_1, tg_xxxzzzz_xyyyyyzz_0, tg_xxxzzzz_xyyyyyzz_1, \
                                         tg_xxxzzzz_xyyyyzz_1, tg_xxxzzzz_xyyyyzzz_0, tg_xxxzzzz_xyyyyzzz_1, \
                                         tg_xxxzzzz_xyyyzzz_1, tg_xxxzzzz_xyyyzzzz_0, tg_xxxzzzz_xyyyzzzz_1, \
                                         tg_xxxzzzz_xyyzzzz_1, tg_xxxzzzz_xyyzzzzz_0, tg_xxxzzzz_xyyzzzzz_1, \
                                         tg_xxxzzzz_xyzzzzz_1, tg_xxxzzzz_xyzzzzzz_0, tg_xxxzzzz_xyzzzzzz_1, \
                                         tg_xxxzzzz_xzzzzzz_1, tg_xxxzzzz_xzzzzzzz_0, tg_xxxzzzz_xzzzzzzz_1, \
                                         tg_xxxzzzz_yyyyyyy_1, tg_xxxzzzz_yyyyyyyy_0, tg_xxxzzzz_yyyyyyyy_1, \
                                         tg_xxxzzzz_yyyyyyyz_0, tg_xxxzzzz_yyyyyyyz_1, tg_xxxzzzz_yyyyyyz_1, \
                                         tg_xxxzzzz_yyyyyyzz_0, tg_xxxzzzz_yyyyyyzz_1, tg_xxxzzzz_yyyyyzz_1, \
                                         tg_xxxzzzz_yyyyyzzz_0, tg_xxxzzzz_yyyyyzzz_1, tg_xxxzzzz_yyyyzzz_1, \
                                         tg_xxxzzzz_yyyyzzzz_0, tg_xxxzzzz_yyyyzzzz_1, tg_xxxzzzz_yyyzzzz_1, \
                                         tg_xxxzzzz_yyyzzzzz_0, tg_xxxzzzz_yyyzzzzz_1, tg_xxxzzzz_yyzzzzz_1, \
                                         tg_xxxzzzz_yyzzzzzz_0, tg_xxxzzzz_yyzzzzzz_1, tg_xxxzzzz_yzzzzzz_1, \
                                         tg_xxxzzzz_yzzzzzzz_0, tg_xxxzzzz_yzzzzzzz_1, tg_xxxzzzz_zzzzzzz_1, \
                                         tg_xxxzzzz_zzzzzzzz_0, tg_xxxzzzz_zzzzzzzz_1, tg_xxyyyyy_xxxxxxx_1, \
                                         tg_xxyyyyy_xxxxxxxx_0, tg_xxyyyyy_xxxxxxxx_1, tg_xxyyyyy_xxxxxxxy_0, \
                                         tg_xxyyyyy_xxxxxxxy_1, tg_xxyyyyy_xxxxxxxz_0, tg_xxyyyyy_xxxxxxxz_1, \
                                         tg_xxyyyyy_xxxxxxy_1, tg_xxyyyyy_xxxxxxyy_0, tg_xxyyyyy_xxxxxxyy_1, \
                                         tg_xxyyyyy_xxxxxxz_1, tg_xxyyyyy_xxxxxyy_1, tg_xxyyzz_yyzzzzzz_0, tg_xxyyzz_yyzzzzzz_1, \
                                         tg_xxyyzz_yzzzzzzz_0, tg_xxyyzz_yzzzzzzz_1, tg_xxyyzz_zzzzzzzz_0, tg_xxyyzz_zzzzzzzz_1, \
                                         tg_xxyzzz_xxxxxxxx_0, tg_xxyzzz_xxxxxxxx_1, tg_xxyzzz_xxxxxxxy_0, tg_xxyzzz_xxxxxxxy_1, \
                                         tg_xxyzzz_xxxxxxxz_0, tg_xxyzzz_xxxxxxxz_1, tg_xxyzzz_xxxxxxyy_0, tg_xxyzzz_xxxxxxyy_1, \
                                         tg_xxyzzz_xxxxxxyz_0, tg_xxyzzz_xxxxxxyz_1, tg_xxyzzz_xxxxxxzz_0, tg_xxyzzz_xxxxxxzz_1, \
                                         tg_xxyzzz_xxxxxyyy_0, tg_xxyzzz_xxxxxyyy_1, tg_xxyzzz_xxxxxyyz_0, tg_xxyzzz_xxxxxyyz_1, \
                                         tg_xxyzzz_xxxxxyzz_0, tg_xxyzzz_xxxxxyzz_1, tg_xxyzzz_xxxxxzzz_0, tg_xxyzzz_xxxxxzzz_1, \
                                         tg_xxyzzz_xxxxyyyy_0, tg_xxyzzz_xxxxyyyy_1, tg_xxyzzz_xxxxyyyz_0, tg_xxyzzz_xxxxyyyz_1, \
                                         tg_xxyzzz_xxxxyyzz_0, tg_xxyzzz_xxxxyyzz_1, tg_xxyzzz_xxxxyzzz_0, tg_xxyzzz_xxxxyzzz_1, \
                                         tg_xxyzzz_xxxxzzzz_0, tg_xxyzzz_xxxxzzzz_1, tg_xxyzzz_xxxyyyyy_0, tg_xxyzzz_xxxyyyyy_1, \
                                         tg_xxyzzz_xxxyyyyz_0, tg_xxyzzz_xxxyyyyz_1, tg_xxyzzz_xxxyyyzz_0, tg_xxyzzz_xxxyyyzz_1, \
                                         tg_xxyzzz_xxxyyzzz_0, tg_xxyzzz_xxxyyzzz_1, tg_xxyzzz_xxxyzzzz_0, tg_xxyzzz_xxxyzzzz_1, \
                                         tg_xxyzzz_xxxzzzzz_0, tg_xxyzzz_xxxzzzzz_1, tg_xxyzzz_xxyyyyyy_0, tg_xxyzzz_xxyyyyyy_1, \
                                         tg_xxyzzz_xxyyyyyz_0, tg_xxyzzz_xxyyyyyz_1, tg_xxyzzz_xxyyyyzz_0, tg_xxyzzz_xxyyyyzz_1, \
                                         tg_xxyzzz_xxyyyzzz_0, tg_xxyzzz_xxyyyzzz_1, tg_xxyzzz_xxyyzzzz_0, tg_xxyzzz_xxyyzzzz_1, \
                                         tg_xxyzzz_xxyzzzzz_0, tg_xxyzzz_xxyzzzzz_1, tg_xxyzzz_xxzzzzzz_0, tg_xxyzzz_xxzzzzzz_1, \
                                         tg_xxyzzz_xyyyyyyy_0, tg_xxyzzz_xyyyyyyy_1, tg_xxyzzz_xyyyyyyz_0, tg_xxyzzz_xyyyyyyz_1, \
                                         tg_xxyzzz_xyyyyyzz_0, tg_xxyzzz_xyyyyyzz_1, tg_xxyzzz_xyyyyzzz_0, tg_xxyzzz_xyyyyzzz_1, \
                                         tg_xxyzzz_xyyyzzzz_0, tg_xxyzzz_xyyyzzzz_1, tg_xxyzzz_xyyzzzzz_0, tg_xxyzzz_xyyzzzzz_1, \
                                         tg_xxyzzz_xyzzzzzz_0, tg_xxyzzz_xyzzzzzz_1, tg_xxyzzz_xzzzzzzz_0, tg_xxyzzz_xzzzzzzz_1, \
                                         tg_xxyzzz_yyyyyyyy_0, tg_xxyzzz_yyyyyyyy_1, tg_xxyzzz_yyyyyyyz_0, tg_xxyzzz_yyyyyyyz_1, \
                                         tg_xxyzzz_yyyyyyzz_0, tg_xxyzzz_yyyyyyzz_1, tg_xxyzzz_yyyyyzzz_0, tg_xxyzzz_yyyyyzzz_1, \
                                         tg_xxyzzz_yyyyzzzz_0, tg_xxyzzz_yyyyzzzz_1, tg_xxyzzz_yyyzzzzz_0, tg_xxyzzz_yyyzzzzz_1, \
                                         tg_xxyzzz_yyzzzzzz_0, tg_xxyzzz_yyzzzzzz_1, tg_xxyzzz_yzzzzzzz_0, tg_xxyzzz_yzzzzzzz_1, \
                                         tg_xxyzzz_zzzzzzzz_0, tg_xxyzzz_zzzzzzzz_1, tg_xxzzzz_xxxxxxxx_0, tg_xxzzzz_xxxxxxxx_1, \
                                         tg_xxzzzz_xxxxxxxy_0, tg_xxzzzz_xxxxxxxy_1, tg_xxzzzz_xxxxxxxz_0, tg_xxzzzz_xxxxxxxz_1, \
                                         tg_xxzzzz_xxxxxxyy_0, tg_xxzzzz_xxxxxxyy_1, tg_xxzzzz_xxxxxxyz_0, tg_xxzzzz_xxxxxxyz_1, \
                                         tg_xxzzzz_xxxxxxzz_0, tg_xxzzzz_xxxxxxzz_1, tg_xxzzzz_xxxxxyyy_0, tg_xxzzzz_xxxxxyyy_1, \
                                         tg_xxzzzz_xxxxxyyz_0, tg_xxzzzz_xxxxxyyz_1, tg_xxzzzz_xxxxxyzz_0, tg_xxzzzz_xxxxxyzz_1, \
                                         tg_xxzzzz_xxxxxzzz_0, tg_xxzzzz_xxxxxzzz_1, tg_xxzzzz_xxxxyyyy_0, tg_xxzzzz_xxxxyyyy_1, \
                                         tg_xxzzzz_xxxxyyyz_0, tg_xxzzzz_xxxxyyyz_1, tg_xxzzzz_xxxxyyzz_0, tg_xxzzzz_xxxxyyzz_1, \
                                         tg_xxzzzz_xxxxyzzz_0, tg_xxzzzz_xxxxyzzz_1, tg_xxzzzz_xxxxzzzz_0, tg_xxzzzz_xxxxzzzz_1, \
                                         tg_xxzzzz_xxxyyyyy_0, tg_xxzzzz_xxxyyyyy_1, tg_xxzzzz_xxxyyyyz_0, tg_xxzzzz_xxxyyyyz_1, \
                                         tg_xxzzzz_xxxyyyzz_0, tg_xxzzzz_xxxyyyzz_1, tg_xxzzzz_xxxyyzzz_0, tg_xxzzzz_xxxyyzzz_1, \
                                         tg_xxzzzz_xxxyzzzz_0, tg_xxzzzz_xxxyzzzz_1, tg_xxzzzz_xxxzzzzz_0, tg_xxzzzz_xxxzzzzz_1, \
                                         tg_xxzzzz_xxyyyyyy_0, tg_xxzzzz_xxyyyyyy_1, tg_xxzzzz_xxyyyyyz_0, tg_xxzzzz_xxyyyyyz_1, \
                                         tg_xxzzzz_xxyyyyzz_0, tg_xxzzzz_xxyyyyzz_1, tg_xxzzzz_xxyyyzzz_0, tg_xxzzzz_xxyyyzzz_1, \
                                         tg_xxzzzz_xxyyzzzz_0, tg_xxzzzz_xxyyzzzz_1, tg_xxzzzz_xxyzzzzz_0, tg_xxzzzz_xxyzzzzz_1, \
                                         tg_xxzzzz_xxzzzzzz_0, tg_xxzzzz_xxzzzzzz_1, tg_xxzzzz_xyyyyyyy_0, tg_xxzzzz_xyyyyyyy_1, \
                                         tg_xxzzzz_xyyyyyyz_0, tg_xxzzzz_xyyyyyyz_1, tg_xxzzzz_xyyyyyzz_0, tg_xxzzzz_xyyyyyzz_1, \
                                         tg_xxzzzz_xyyyyzzz_0, tg_xxzzzz_xyyyyzzz_1, tg_xxzzzz_xyyyzzzz_0, tg_xxzzzz_xyyyzzzz_1, \
                                         tg_xxzzzz_xyyzzzzz_0, tg_xxzzzz_xyyzzzzz_1, tg_xxzzzz_xyzzzzzz_0, tg_xxzzzz_xyzzzzzz_1, \
                                         tg_xxzzzz_xzzzzzzz_0, tg_xxzzzz_xzzzzzzz_1, tg_xxzzzz_yyyyyyyy_0, tg_xxzzzz_yyyyyyyy_1, \
                                         tg_xxzzzz_yyyyyyyz_0, tg_xxzzzz_yyyyyyyz_1, tg_xxzzzz_yyyyyyzz_0, tg_xxzzzz_yyyyyyzz_1, \
                                         tg_xxzzzz_yyyyyzzz_0, tg_xxzzzz_yyyyyzzz_1, tg_xxzzzz_yyyyzzzz_0, tg_xxzzzz_yyyyzzzz_1, \
                                         tg_xxzzzz_yyyzzzzz_0, tg_xxzzzz_yyyzzzzz_1, tg_xxzzzz_yyzzzzzz_0, tg_xxzzzz_yyzzzzzz_1, \
                                         tg_xxzzzz_yzzzzzzz_0, tg_xxzzzz_yzzzzzzz_1, tg_xxzzzz_zzzzzzzz_0, tg_xxzzzz_zzzzzzzz_1, \
                                         tg_xyyyyy_xxxxxxxx_0, tg_xyyyyy_xxxxxxxx_1, tg_xyyyyy_xxxxxxxy_0, tg_xyyyyy_xxxxxxxy_1, \
                                         tg_xyyyyy_xxxxxxxz_0, tg_xyyyyy_xxxxxxxz_1, tg_xyyyyy_xxxxxxyy_0, tg_xyyyyy_xxxxxxyy_1, \
                                         wp_x: VLX_ALIGN)
                for (int32_t j = 0; j < nKetPrimPairs; j++)
                {
                    double fl1_fx = fx;

                    double fl1_fxn = fxn[j];

                    double fl1_fza = fza[j];

                    double fr = wp_x[j]; 

                    tg_xxxxyyzz_yyzzzzzz_0[j] = pb_x * tg_xxxyyzz_yyzzzzzz_0[j] + fr * tg_xxxyyzz_yyzzzzzz_1[j] + 1.5 * fl1_fx * (tg_xxyyzz_yyzzzzzz_0[j] - tg_xxyyzz_yyzzzzzz_1[j] * fl1_fza);

                    tg_xxxxyyzz_yzzzzzzz_0[j] = pb_x * tg_xxxyyzz_yzzzzzzz_0[j] + fr * tg_xxxyyzz_yzzzzzzz_1[j] + 1.5 * fl1_fx * (tg_xxyyzz_yzzzzzzz_0[j] - tg_xxyyzz_yzzzzzzz_1[j] * fl1_fza);

                    tg_xxxxyyzz_zzzzzzzz_0[j] = pb_x * tg_xxxyyzz_zzzzzzzz_0[j] + fr * tg_xxxyyzz_zzzzzzzz_1[j] + 1.5 * fl1_fx * (tg_xxyyzz_zzzzzzzz_0[j] - tg_xxyyzz_zzzzzzzz_1[j] * fl1_fza);

                    tg_xxxxyzzz_xxxxxxxx_0[j] = pb_x * tg_xxxyzzz_xxxxxxxx_0[j] + fr * tg_xxxyzzz_xxxxxxxx_1[j] + 1.5 * fl1_fx * (tg_xxyzzz_xxxxxxxx_0[j] - tg_xxyzzz_xxxxxxxx_1[j] * fl1_fza) + 4.0 * fl1_fxn * tg_xxxyzzz_xxxxxxx_1[j];

                    tg_xxxxyzzz_xxxxxxxy_0[j] = pb_x * tg_xxxyzzz_xxxxxxxy_0[j] + fr * tg_xxxyzzz_xxxxxxxy_1[j] + 1.5 * fl1_fx * (tg_xxyzzz_xxxxxxxy_0[j] - tg_xxyzzz_xxxxxxxy_1[j] * fl1_fza) + 3.5 * fl1_fxn * tg_xxxyzzz_xxxxxxy_1[j];

                    tg_xxxxyzzz_xxxxxxxz_0[j] = pb_x * tg_xxxyzzz_xxxxxxxz_0[j] + fr * tg_xxxyzzz_xxxxxxxz_1[j] + 1.5 * fl1_fx * (tg_xxyzzz_xxxxxxxz_0[j] - tg_xxyzzz_xxxxxxxz_1[j] * fl1_fza) + 3.5 * fl1_fxn * tg_xxxyzzz_xxxxxxz_1[j];

                    tg_xxxxyzzz_xxxxxxyy_0[j] = pb_x * tg_xxxyzzz_xxxxxxyy_0[j] + fr * tg_xxxyzzz_xxxxxxyy_1[j] + 1.5 * fl1_fx * (tg_xxyzzz_xxxxxxyy_0[j] - tg_xxyzzz_xxxxxxyy_1[j] * fl1_fza) + 3.0 * fl1_fxn * tg_xxxyzzz_xxxxxyy_1[j];

                    tg_xxxxyzzz_xxxxxxyz_0[j] = pb_x * tg_xxxyzzz_xxxxxxyz_0[j] + fr * tg_xxxyzzz_xxxxxxyz_1[j] + 1.5 * fl1_fx * (tg_xxyzzz_xxxxxxyz_0[j] - tg_xxyzzz_xxxxxxyz_1[j] * fl1_fza) + 3.0 * fl1_fxn * tg_xxxyzzz_xxxxxyz_1[j];

                    tg_xxxxyzzz_xxxxxxzz_0[j] = pb_x * tg_xxxyzzz_xxxxxxzz_0[j] + fr * tg_xxxyzzz_xxxxxxzz_1[j] + 1.5 * fl1_fx * (tg_xxyzzz_xxxxxxzz_0[j] - tg_xxyzzz_xxxxxxzz_1[j] * fl1_fza) + 3.0 * fl1_fxn * tg_xxxyzzz_xxxxxzz_1[j];

                    tg_xxxxyzzz_xxxxxyyy_0[j] = pb_x * tg_xxxyzzz_xxxxxyyy_0[j] + fr * tg_xxxyzzz_xxxxxyyy_1[j] + 1.5 * fl1_fx * (tg_xxyzzz_xxxxxyyy_0[j] - tg_xxyzzz_xxxxxyyy_1[j] * fl1_fza) + 2.5 * fl1_fxn * tg_xxxyzzz_xxxxyyy_1[j];

                    tg_xxxxyzzz_xxxxxyyz_0[j] = pb_x * tg_xxxyzzz_xxxxxyyz_0[j] + fr * tg_xxxyzzz_xxxxxyyz_1[j] + 1.5 * fl1_fx * (tg_xxyzzz_xxxxxyyz_0[j] - tg_xxyzzz_xxxxxyyz_1[j] * fl1_fza) + 2.5 * fl1_fxn * tg_xxxyzzz_xxxxyyz_1[j];

                    tg_xxxxyzzz_xxxxxyzz_0[j] = pb_x * tg_xxxyzzz_xxxxxyzz_0[j] + fr * tg_xxxyzzz_xxxxxyzz_1[j] + 1.5 * fl1_fx * (tg_xxyzzz_xxxxxyzz_0[j] - tg_xxyzzz_xxxxxyzz_1[j] * fl1_fza) + 2.5 * fl1_fxn * tg_xxxyzzz_xxxxyzz_1[j];

                    tg_xxxxyzzz_xxxxxzzz_0[j] = pb_x * tg_xxxyzzz_xxxxxzzz_0[j] + fr * tg_xxxyzzz_xxxxxzzz_1[j] + 1.5 * fl1_fx * (tg_xxyzzz_xxxxxzzz_0[j] - tg_xxyzzz_xxxxxzzz_1[j] * fl1_fza) + 2.5 * fl1_fxn * tg_xxxyzzz_xxxxzzz_1[j];

                    tg_xxxxyzzz_xxxxyyyy_0[j] = pb_x * tg_xxxyzzz_xxxxyyyy_0[j] + fr * tg_xxxyzzz_xxxxyyyy_1[j] + 1.5 * fl1_fx * (tg_xxyzzz_xxxxyyyy_0[j] - tg_xxyzzz_xxxxyyyy_1[j] * fl1_fza) + 2.0 * fl1_fxn * tg_xxxyzzz_xxxyyyy_1[j];

                    tg_xxxxyzzz_xxxxyyyz_0[j] = pb_x * tg_xxxyzzz_xxxxyyyz_0[j] + fr * tg_xxxyzzz_xxxxyyyz_1[j] + 1.5 * fl1_fx * (tg_xxyzzz_xxxxyyyz_0[j] - tg_xxyzzz_xxxxyyyz_1[j] * fl1_fza) + 2.0 * fl1_fxn * tg_xxxyzzz_xxxyyyz_1[j];

                    tg_xxxxyzzz_xxxxyyzz_0[j] = pb_x * tg_xxxyzzz_xxxxyyzz_0[j] + fr * tg_xxxyzzz_xxxxyyzz_1[j] + 1.5 * fl1_fx * (tg_xxyzzz_xxxxyyzz_0[j] - tg_xxyzzz_xxxxyyzz_1[j] * fl1_fza) + 2.0 * fl1_fxn * tg_xxxyzzz_xxxyyzz_1[j];

                    tg_xxxxyzzz_xxxxyzzz_0[j] = pb_x * tg_xxxyzzz_xxxxyzzz_0[j] + fr * tg_xxxyzzz_xxxxyzzz_1[j] + 1.5 * fl1_fx * (tg_xxyzzz_xxxxyzzz_0[j] - tg_xxyzzz_xxxxyzzz_1[j] * fl1_fza) + 2.0 * fl1_fxn * tg_xxxyzzz_xxxyzzz_1[j];

                    tg_xxxxyzzz_xxxxzzzz_0[j] = pb_x * tg_xxxyzzz_xxxxzzzz_0[j] + fr * tg_xxxyzzz_xxxxzzzz_1[j] + 1.5 * fl1_fx * (tg_xxyzzz_xxxxzzzz_0[j] - tg_xxyzzz_xxxxzzzz_1[j] * fl1_fza) + 2.0 * fl1_fxn * tg_xxxyzzz_xxxzzzz_1[j];

                    tg_xxxxyzzz_xxxyyyyy_0[j] = pb_x * tg_xxxyzzz_xxxyyyyy_0[j] + fr * tg_xxxyzzz_xxxyyyyy_1[j] + 1.5 * fl1_fx * (tg_xxyzzz_xxxyyyyy_0[j] - tg_xxyzzz_xxxyyyyy_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_xxxyzzz_xxyyyyy_1[j];

                    tg_xxxxyzzz_xxxyyyyz_0[j] = pb_x * tg_xxxyzzz_xxxyyyyz_0[j] + fr * tg_xxxyzzz_xxxyyyyz_1[j] + 1.5 * fl1_fx * (tg_xxyzzz_xxxyyyyz_0[j] - tg_xxyzzz_xxxyyyyz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_xxxyzzz_xxyyyyz_1[j];

                    tg_xxxxyzzz_xxxyyyzz_0[j] = pb_x * tg_xxxyzzz_xxxyyyzz_0[j] + fr * tg_xxxyzzz_xxxyyyzz_1[j] + 1.5 * fl1_fx * (tg_xxyzzz_xxxyyyzz_0[j] - tg_xxyzzz_xxxyyyzz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_xxxyzzz_xxyyyzz_1[j];

                    tg_xxxxyzzz_xxxyyzzz_0[j] = pb_x * tg_xxxyzzz_xxxyyzzz_0[j] + fr * tg_xxxyzzz_xxxyyzzz_1[j] + 1.5 * fl1_fx * (tg_xxyzzz_xxxyyzzz_0[j] - tg_xxyzzz_xxxyyzzz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_xxxyzzz_xxyyzzz_1[j];

                    tg_xxxxyzzz_xxxyzzzz_0[j] = pb_x * tg_xxxyzzz_xxxyzzzz_0[j] + fr * tg_xxxyzzz_xxxyzzzz_1[j] + 1.5 * fl1_fx * (tg_xxyzzz_xxxyzzzz_0[j] - tg_xxyzzz_xxxyzzzz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_xxxyzzz_xxyzzzz_1[j];

                    tg_xxxxyzzz_xxxzzzzz_0[j] = pb_x * tg_xxxyzzz_xxxzzzzz_0[j] + fr * tg_xxxyzzz_xxxzzzzz_1[j] + 1.5 * fl1_fx * (tg_xxyzzz_xxxzzzzz_0[j] - tg_xxyzzz_xxxzzzzz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_xxxyzzz_xxzzzzz_1[j];

                    tg_xxxxyzzz_xxyyyyyy_0[j] = pb_x * tg_xxxyzzz_xxyyyyyy_0[j] + fr * tg_xxxyzzz_xxyyyyyy_1[j] + 1.5 * fl1_fx * (tg_xxyzzz_xxyyyyyy_0[j] - tg_xxyzzz_xxyyyyyy_1[j] * fl1_fza) + fl1_fxn * tg_xxxyzzz_xyyyyyy_1[j];

                    tg_xxxxyzzz_xxyyyyyz_0[j] = pb_x * tg_xxxyzzz_xxyyyyyz_0[j] + fr * tg_xxxyzzz_xxyyyyyz_1[j] + 1.5 * fl1_fx * (tg_xxyzzz_xxyyyyyz_0[j] - tg_xxyzzz_xxyyyyyz_1[j] * fl1_fza) + fl1_fxn * tg_xxxyzzz_xyyyyyz_1[j];

                    tg_xxxxyzzz_xxyyyyzz_0[j] = pb_x * tg_xxxyzzz_xxyyyyzz_0[j] + fr * tg_xxxyzzz_xxyyyyzz_1[j] + 1.5 * fl1_fx * (tg_xxyzzz_xxyyyyzz_0[j] - tg_xxyzzz_xxyyyyzz_1[j] * fl1_fza) + fl1_fxn * tg_xxxyzzz_xyyyyzz_1[j];

                    tg_xxxxyzzz_xxyyyzzz_0[j] = pb_x * tg_xxxyzzz_xxyyyzzz_0[j] + fr * tg_xxxyzzz_xxyyyzzz_1[j] + 1.5 * fl1_fx * (tg_xxyzzz_xxyyyzzz_0[j] - tg_xxyzzz_xxyyyzzz_1[j] * fl1_fza) + fl1_fxn * tg_xxxyzzz_xyyyzzz_1[j];

                    tg_xxxxyzzz_xxyyzzzz_0[j] = pb_x * tg_xxxyzzz_xxyyzzzz_0[j] + fr * tg_xxxyzzz_xxyyzzzz_1[j] + 1.5 * fl1_fx * (tg_xxyzzz_xxyyzzzz_0[j] - tg_xxyzzz_xxyyzzzz_1[j] * fl1_fza) + fl1_fxn * tg_xxxyzzz_xyyzzzz_1[j];

                    tg_xxxxyzzz_xxyzzzzz_0[j] = pb_x * tg_xxxyzzz_xxyzzzzz_0[j] + fr * tg_xxxyzzz_xxyzzzzz_1[j] + 1.5 * fl1_fx * (tg_xxyzzz_xxyzzzzz_0[j] - tg_xxyzzz_xxyzzzzz_1[j] * fl1_fza) + fl1_fxn * tg_xxxyzzz_xyzzzzz_1[j];

                    tg_xxxxyzzz_xxzzzzzz_0[j] = pb_x * tg_xxxyzzz_xxzzzzzz_0[j] + fr * tg_xxxyzzz_xxzzzzzz_1[j] + 1.5 * fl1_fx * (tg_xxyzzz_xxzzzzzz_0[j] - tg_xxyzzz_xxzzzzzz_1[j] * fl1_fza) + fl1_fxn * tg_xxxyzzz_xzzzzzz_1[j];

                    tg_xxxxyzzz_xyyyyyyy_0[j] = pb_x * tg_xxxyzzz_xyyyyyyy_0[j] + fr * tg_xxxyzzz_xyyyyyyy_1[j] + 1.5 * fl1_fx * (tg_xxyzzz_xyyyyyyy_0[j] - tg_xxyzzz_xyyyyyyy_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xxxyzzz_yyyyyyy_1[j];

                    tg_xxxxyzzz_xyyyyyyz_0[j] = pb_x * tg_xxxyzzz_xyyyyyyz_0[j] + fr * tg_xxxyzzz_xyyyyyyz_1[j] + 1.5 * fl1_fx * (tg_xxyzzz_xyyyyyyz_0[j] - tg_xxyzzz_xyyyyyyz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xxxyzzz_yyyyyyz_1[j];

                    tg_xxxxyzzz_xyyyyyzz_0[j] = pb_x * tg_xxxyzzz_xyyyyyzz_0[j] + fr * tg_xxxyzzz_xyyyyyzz_1[j] + 1.5 * fl1_fx * (tg_xxyzzz_xyyyyyzz_0[j] - tg_xxyzzz_xyyyyyzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xxxyzzz_yyyyyzz_1[j];

                    tg_xxxxyzzz_xyyyyzzz_0[j] = pb_x * tg_xxxyzzz_xyyyyzzz_0[j] + fr * tg_xxxyzzz_xyyyyzzz_1[j] + 1.5 * fl1_fx * (tg_xxyzzz_xyyyyzzz_0[j] - tg_xxyzzz_xyyyyzzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xxxyzzz_yyyyzzz_1[j];

                    tg_xxxxyzzz_xyyyzzzz_0[j] = pb_x * tg_xxxyzzz_xyyyzzzz_0[j] + fr * tg_xxxyzzz_xyyyzzzz_1[j] + 1.5 * fl1_fx * (tg_xxyzzz_xyyyzzzz_0[j] - tg_xxyzzz_xyyyzzzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xxxyzzz_yyyzzzz_1[j];

                    tg_xxxxyzzz_xyyzzzzz_0[j] = pb_x * tg_xxxyzzz_xyyzzzzz_0[j] + fr * tg_xxxyzzz_xyyzzzzz_1[j] + 1.5 * fl1_fx * (tg_xxyzzz_xyyzzzzz_0[j] - tg_xxyzzz_xyyzzzzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xxxyzzz_yyzzzzz_1[j];

                    tg_xxxxyzzz_xyzzzzzz_0[j] = pb_x * tg_xxxyzzz_xyzzzzzz_0[j] + fr * tg_xxxyzzz_xyzzzzzz_1[j] + 1.5 * fl1_fx * (tg_xxyzzz_xyzzzzzz_0[j] - tg_xxyzzz_xyzzzzzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xxxyzzz_yzzzzzz_1[j];

                    tg_xxxxyzzz_xzzzzzzz_0[j] = pb_x * tg_xxxyzzz_xzzzzzzz_0[j] + fr * tg_xxxyzzz_xzzzzzzz_1[j] + 1.5 * fl1_fx * (tg_xxyzzz_xzzzzzzz_0[j] - tg_xxyzzz_xzzzzzzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xxxyzzz_zzzzzzz_1[j];

                    tg_xxxxyzzz_yyyyyyyy_0[j] = pb_x * tg_xxxyzzz_yyyyyyyy_0[j] + fr * tg_xxxyzzz_yyyyyyyy_1[j] + 1.5 * fl1_fx * (tg_xxyzzz_yyyyyyyy_0[j] - tg_xxyzzz_yyyyyyyy_1[j] * fl1_fza);

                    tg_xxxxyzzz_yyyyyyyz_0[j] = pb_x * tg_xxxyzzz_yyyyyyyz_0[j] + fr * tg_xxxyzzz_yyyyyyyz_1[j] + 1.5 * fl1_fx * (tg_xxyzzz_yyyyyyyz_0[j] - tg_xxyzzz_yyyyyyyz_1[j] * fl1_fza);

                    tg_xxxxyzzz_yyyyyyzz_0[j] = pb_x * tg_xxxyzzz_yyyyyyzz_0[j] + fr * tg_xxxyzzz_yyyyyyzz_1[j] + 1.5 * fl1_fx * (tg_xxyzzz_yyyyyyzz_0[j] - tg_xxyzzz_yyyyyyzz_1[j] * fl1_fza);

                    tg_xxxxyzzz_yyyyyzzz_0[j] = pb_x * tg_xxxyzzz_yyyyyzzz_0[j] + fr * tg_xxxyzzz_yyyyyzzz_1[j] + 1.5 * fl1_fx * (tg_xxyzzz_yyyyyzzz_0[j] - tg_xxyzzz_yyyyyzzz_1[j] * fl1_fza);

                    tg_xxxxyzzz_yyyyzzzz_0[j] = pb_x * tg_xxxyzzz_yyyyzzzz_0[j] + fr * tg_xxxyzzz_yyyyzzzz_1[j] + 1.5 * fl1_fx * (tg_xxyzzz_yyyyzzzz_0[j] - tg_xxyzzz_yyyyzzzz_1[j] * fl1_fza);

                    tg_xxxxyzzz_yyyzzzzz_0[j] = pb_x * tg_xxxyzzz_yyyzzzzz_0[j] + fr * tg_xxxyzzz_yyyzzzzz_1[j] + 1.5 * fl1_fx * (tg_xxyzzz_yyyzzzzz_0[j] - tg_xxyzzz_yyyzzzzz_1[j] * fl1_fza);

                    tg_xxxxyzzz_yyzzzzzz_0[j] = pb_x * tg_xxxyzzz_yyzzzzzz_0[j] + fr * tg_xxxyzzz_yyzzzzzz_1[j] + 1.5 * fl1_fx * (tg_xxyzzz_yyzzzzzz_0[j] - tg_xxyzzz_yyzzzzzz_1[j] * fl1_fza);

                    tg_xxxxyzzz_yzzzzzzz_0[j] = pb_x * tg_xxxyzzz_yzzzzzzz_0[j] + fr * tg_xxxyzzz_yzzzzzzz_1[j] + 1.5 * fl1_fx * (tg_xxyzzz_yzzzzzzz_0[j] - tg_xxyzzz_yzzzzzzz_1[j] * fl1_fza);

                    tg_xxxxyzzz_zzzzzzzz_0[j] = pb_x * tg_xxxyzzz_zzzzzzzz_0[j] + fr * tg_xxxyzzz_zzzzzzzz_1[j] + 1.5 * fl1_fx * (tg_xxyzzz_zzzzzzzz_0[j] - tg_xxyzzz_zzzzzzzz_1[j] * fl1_fza);

                    tg_xxxxzzzz_xxxxxxxx_0[j] = pb_x * tg_xxxzzzz_xxxxxxxx_0[j] + fr * tg_xxxzzzz_xxxxxxxx_1[j] + 1.5 * fl1_fx * (tg_xxzzzz_xxxxxxxx_0[j] - tg_xxzzzz_xxxxxxxx_1[j] * fl1_fza) + 4.0 * fl1_fxn * tg_xxxzzzz_xxxxxxx_1[j];

                    tg_xxxxzzzz_xxxxxxxy_0[j] = pb_x * tg_xxxzzzz_xxxxxxxy_0[j] + fr * tg_xxxzzzz_xxxxxxxy_1[j] + 1.5 * fl1_fx * (tg_xxzzzz_xxxxxxxy_0[j] - tg_xxzzzz_xxxxxxxy_1[j] * fl1_fza) + 3.5 * fl1_fxn * tg_xxxzzzz_xxxxxxy_1[j];

                    tg_xxxxzzzz_xxxxxxxz_0[j] = pb_x * tg_xxxzzzz_xxxxxxxz_0[j] + fr * tg_xxxzzzz_xxxxxxxz_1[j] + 1.5 * fl1_fx * (tg_xxzzzz_xxxxxxxz_0[j] - tg_xxzzzz_xxxxxxxz_1[j] * fl1_fza) + 3.5 * fl1_fxn * tg_xxxzzzz_xxxxxxz_1[j];

                    tg_xxxxzzzz_xxxxxxyy_0[j] = pb_x * tg_xxxzzzz_xxxxxxyy_0[j] + fr * tg_xxxzzzz_xxxxxxyy_1[j] + 1.5 * fl1_fx * (tg_xxzzzz_xxxxxxyy_0[j] - tg_xxzzzz_xxxxxxyy_1[j] * fl1_fza) + 3.0 * fl1_fxn * tg_xxxzzzz_xxxxxyy_1[j];

                    tg_xxxxzzzz_xxxxxxyz_0[j] = pb_x * tg_xxxzzzz_xxxxxxyz_0[j] + fr * tg_xxxzzzz_xxxxxxyz_1[j] + 1.5 * fl1_fx * (tg_xxzzzz_xxxxxxyz_0[j] - tg_xxzzzz_xxxxxxyz_1[j] * fl1_fza) + 3.0 * fl1_fxn * tg_xxxzzzz_xxxxxyz_1[j];

                    tg_xxxxzzzz_xxxxxxzz_0[j] = pb_x * tg_xxxzzzz_xxxxxxzz_0[j] + fr * tg_xxxzzzz_xxxxxxzz_1[j] + 1.5 * fl1_fx * (tg_xxzzzz_xxxxxxzz_0[j] - tg_xxzzzz_xxxxxxzz_1[j] * fl1_fza) + 3.0 * fl1_fxn * tg_xxxzzzz_xxxxxzz_1[j];

                    tg_xxxxzzzz_xxxxxyyy_0[j] = pb_x * tg_xxxzzzz_xxxxxyyy_0[j] + fr * tg_xxxzzzz_xxxxxyyy_1[j] + 1.5 * fl1_fx * (tg_xxzzzz_xxxxxyyy_0[j] - tg_xxzzzz_xxxxxyyy_1[j] * fl1_fza) + 2.5 * fl1_fxn * tg_xxxzzzz_xxxxyyy_1[j];

                    tg_xxxxzzzz_xxxxxyyz_0[j] = pb_x * tg_xxxzzzz_xxxxxyyz_0[j] + fr * tg_xxxzzzz_xxxxxyyz_1[j] + 1.5 * fl1_fx * (tg_xxzzzz_xxxxxyyz_0[j] - tg_xxzzzz_xxxxxyyz_1[j] * fl1_fza) + 2.5 * fl1_fxn * tg_xxxzzzz_xxxxyyz_1[j];

                    tg_xxxxzzzz_xxxxxyzz_0[j] = pb_x * tg_xxxzzzz_xxxxxyzz_0[j] + fr * tg_xxxzzzz_xxxxxyzz_1[j] + 1.5 * fl1_fx * (tg_xxzzzz_xxxxxyzz_0[j] - tg_xxzzzz_xxxxxyzz_1[j] * fl1_fza) + 2.5 * fl1_fxn * tg_xxxzzzz_xxxxyzz_1[j];

                    tg_xxxxzzzz_xxxxxzzz_0[j] = pb_x * tg_xxxzzzz_xxxxxzzz_0[j] + fr * tg_xxxzzzz_xxxxxzzz_1[j] + 1.5 * fl1_fx * (tg_xxzzzz_xxxxxzzz_0[j] - tg_xxzzzz_xxxxxzzz_1[j] * fl1_fza) + 2.5 * fl1_fxn * tg_xxxzzzz_xxxxzzz_1[j];

                    tg_xxxxzzzz_xxxxyyyy_0[j] = pb_x * tg_xxxzzzz_xxxxyyyy_0[j] + fr * tg_xxxzzzz_xxxxyyyy_1[j] + 1.5 * fl1_fx * (tg_xxzzzz_xxxxyyyy_0[j] - tg_xxzzzz_xxxxyyyy_1[j] * fl1_fza) + 2.0 * fl1_fxn * tg_xxxzzzz_xxxyyyy_1[j];

                    tg_xxxxzzzz_xxxxyyyz_0[j] = pb_x * tg_xxxzzzz_xxxxyyyz_0[j] + fr * tg_xxxzzzz_xxxxyyyz_1[j] + 1.5 * fl1_fx * (tg_xxzzzz_xxxxyyyz_0[j] - tg_xxzzzz_xxxxyyyz_1[j] * fl1_fza) + 2.0 * fl1_fxn * tg_xxxzzzz_xxxyyyz_1[j];

                    tg_xxxxzzzz_xxxxyyzz_0[j] = pb_x * tg_xxxzzzz_xxxxyyzz_0[j] + fr * tg_xxxzzzz_xxxxyyzz_1[j] + 1.5 * fl1_fx * (tg_xxzzzz_xxxxyyzz_0[j] - tg_xxzzzz_xxxxyyzz_1[j] * fl1_fza) + 2.0 * fl1_fxn * tg_xxxzzzz_xxxyyzz_1[j];

                    tg_xxxxzzzz_xxxxyzzz_0[j] = pb_x * tg_xxxzzzz_xxxxyzzz_0[j] + fr * tg_xxxzzzz_xxxxyzzz_1[j] + 1.5 * fl1_fx * (tg_xxzzzz_xxxxyzzz_0[j] - tg_xxzzzz_xxxxyzzz_1[j] * fl1_fza) + 2.0 * fl1_fxn * tg_xxxzzzz_xxxyzzz_1[j];

                    tg_xxxxzzzz_xxxxzzzz_0[j] = pb_x * tg_xxxzzzz_xxxxzzzz_0[j] + fr * tg_xxxzzzz_xxxxzzzz_1[j] + 1.5 * fl1_fx * (tg_xxzzzz_xxxxzzzz_0[j] - tg_xxzzzz_xxxxzzzz_1[j] * fl1_fza) + 2.0 * fl1_fxn * tg_xxxzzzz_xxxzzzz_1[j];

                    tg_xxxxzzzz_xxxyyyyy_0[j] = pb_x * tg_xxxzzzz_xxxyyyyy_0[j] + fr * tg_xxxzzzz_xxxyyyyy_1[j] + 1.5 * fl1_fx * (tg_xxzzzz_xxxyyyyy_0[j] - tg_xxzzzz_xxxyyyyy_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_xxxzzzz_xxyyyyy_1[j];

                    tg_xxxxzzzz_xxxyyyyz_0[j] = pb_x * tg_xxxzzzz_xxxyyyyz_0[j] + fr * tg_xxxzzzz_xxxyyyyz_1[j] + 1.5 * fl1_fx * (tg_xxzzzz_xxxyyyyz_0[j] - tg_xxzzzz_xxxyyyyz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_xxxzzzz_xxyyyyz_1[j];

                    tg_xxxxzzzz_xxxyyyzz_0[j] = pb_x * tg_xxxzzzz_xxxyyyzz_0[j] + fr * tg_xxxzzzz_xxxyyyzz_1[j] + 1.5 * fl1_fx * (tg_xxzzzz_xxxyyyzz_0[j] - tg_xxzzzz_xxxyyyzz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_xxxzzzz_xxyyyzz_1[j];

                    tg_xxxxzzzz_xxxyyzzz_0[j] = pb_x * tg_xxxzzzz_xxxyyzzz_0[j] + fr * tg_xxxzzzz_xxxyyzzz_1[j] + 1.5 * fl1_fx * (tg_xxzzzz_xxxyyzzz_0[j] - tg_xxzzzz_xxxyyzzz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_xxxzzzz_xxyyzzz_1[j];

                    tg_xxxxzzzz_xxxyzzzz_0[j] = pb_x * tg_xxxzzzz_xxxyzzzz_0[j] + fr * tg_xxxzzzz_xxxyzzzz_1[j] + 1.5 * fl1_fx * (tg_xxzzzz_xxxyzzzz_0[j] - tg_xxzzzz_xxxyzzzz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_xxxzzzz_xxyzzzz_1[j];

                    tg_xxxxzzzz_xxxzzzzz_0[j] = pb_x * tg_xxxzzzz_xxxzzzzz_0[j] + fr * tg_xxxzzzz_xxxzzzzz_1[j] + 1.5 * fl1_fx * (tg_xxzzzz_xxxzzzzz_0[j] - tg_xxzzzz_xxxzzzzz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_xxxzzzz_xxzzzzz_1[j];

                    tg_xxxxzzzz_xxyyyyyy_0[j] = pb_x * tg_xxxzzzz_xxyyyyyy_0[j] + fr * tg_xxxzzzz_xxyyyyyy_1[j] + 1.5 * fl1_fx * (tg_xxzzzz_xxyyyyyy_0[j] - tg_xxzzzz_xxyyyyyy_1[j] * fl1_fza) + fl1_fxn * tg_xxxzzzz_xyyyyyy_1[j];

                    tg_xxxxzzzz_xxyyyyyz_0[j] = pb_x * tg_xxxzzzz_xxyyyyyz_0[j] + fr * tg_xxxzzzz_xxyyyyyz_1[j] + 1.5 * fl1_fx * (tg_xxzzzz_xxyyyyyz_0[j] - tg_xxzzzz_xxyyyyyz_1[j] * fl1_fza) + fl1_fxn * tg_xxxzzzz_xyyyyyz_1[j];

                    tg_xxxxzzzz_xxyyyyzz_0[j] = pb_x * tg_xxxzzzz_xxyyyyzz_0[j] + fr * tg_xxxzzzz_xxyyyyzz_1[j] + 1.5 * fl1_fx * (tg_xxzzzz_xxyyyyzz_0[j] - tg_xxzzzz_xxyyyyzz_1[j] * fl1_fza) + fl1_fxn * tg_xxxzzzz_xyyyyzz_1[j];

                    tg_xxxxzzzz_xxyyyzzz_0[j] = pb_x * tg_xxxzzzz_xxyyyzzz_0[j] + fr * tg_xxxzzzz_xxyyyzzz_1[j] + 1.5 * fl1_fx * (tg_xxzzzz_xxyyyzzz_0[j] - tg_xxzzzz_xxyyyzzz_1[j] * fl1_fza) + fl1_fxn * tg_xxxzzzz_xyyyzzz_1[j];

                    tg_xxxxzzzz_xxyyzzzz_0[j] = pb_x * tg_xxxzzzz_xxyyzzzz_0[j] + fr * tg_xxxzzzz_xxyyzzzz_1[j] + 1.5 * fl1_fx * (tg_xxzzzz_xxyyzzzz_0[j] - tg_xxzzzz_xxyyzzzz_1[j] * fl1_fza) + fl1_fxn * tg_xxxzzzz_xyyzzzz_1[j];

                    tg_xxxxzzzz_xxyzzzzz_0[j] = pb_x * tg_xxxzzzz_xxyzzzzz_0[j] + fr * tg_xxxzzzz_xxyzzzzz_1[j] + 1.5 * fl1_fx * (tg_xxzzzz_xxyzzzzz_0[j] - tg_xxzzzz_xxyzzzzz_1[j] * fl1_fza) + fl1_fxn * tg_xxxzzzz_xyzzzzz_1[j];

                    tg_xxxxzzzz_xxzzzzzz_0[j] = pb_x * tg_xxxzzzz_xxzzzzzz_0[j] + fr * tg_xxxzzzz_xxzzzzzz_1[j] + 1.5 * fl1_fx * (tg_xxzzzz_xxzzzzzz_0[j] - tg_xxzzzz_xxzzzzzz_1[j] * fl1_fza) + fl1_fxn * tg_xxxzzzz_xzzzzzz_1[j];

                    tg_xxxxzzzz_xyyyyyyy_0[j] = pb_x * tg_xxxzzzz_xyyyyyyy_0[j] + fr * tg_xxxzzzz_xyyyyyyy_1[j] + 1.5 * fl1_fx * (tg_xxzzzz_xyyyyyyy_0[j] - tg_xxzzzz_xyyyyyyy_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xxxzzzz_yyyyyyy_1[j];

                    tg_xxxxzzzz_xyyyyyyz_0[j] = pb_x * tg_xxxzzzz_xyyyyyyz_0[j] + fr * tg_xxxzzzz_xyyyyyyz_1[j] + 1.5 * fl1_fx * (tg_xxzzzz_xyyyyyyz_0[j] - tg_xxzzzz_xyyyyyyz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xxxzzzz_yyyyyyz_1[j];

                    tg_xxxxzzzz_xyyyyyzz_0[j] = pb_x * tg_xxxzzzz_xyyyyyzz_0[j] + fr * tg_xxxzzzz_xyyyyyzz_1[j] + 1.5 * fl1_fx * (tg_xxzzzz_xyyyyyzz_0[j] - tg_xxzzzz_xyyyyyzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xxxzzzz_yyyyyzz_1[j];

                    tg_xxxxzzzz_xyyyyzzz_0[j] = pb_x * tg_xxxzzzz_xyyyyzzz_0[j] + fr * tg_xxxzzzz_xyyyyzzz_1[j] + 1.5 * fl1_fx * (tg_xxzzzz_xyyyyzzz_0[j] - tg_xxzzzz_xyyyyzzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xxxzzzz_yyyyzzz_1[j];

                    tg_xxxxzzzz_xyyyzzzz_0[j] = pb_x * tg_xxxzzzz_xyyyzzzz_0[j] + fr * tg_xxxzzzz_xyyyzzzz_1[j] + 1.5 * fl1_fx * (tg_xxzzzz_xyyyzzzz_0[j] - tg_xxzzzz_xyyyzzzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xxxzzzz_yyyzzzz_1[j];

                    tg_xxxxzzzz_xyyzzzzz_0[j] = pb_x * tg_xxxzzzz_xyyzzzzz_0[j] + fr * tg_xxxzzzz_xyyzzzzz_1[j] + 1.5 * fl1_fx * (tg_xxzzzz_xyyzzzzz_0[j] - tg_xxzzzz_xyyzzzzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xxxzzzz_yyzzzzz_1[j];

                    tg_xxxxzzzz_xyzzzzzz_0[j] = pb_x * tg_xxxzzzz_xyzzzzzz_0[j] + fr * tg_xxxzzzz_xyzzzzzz_1[j] + 1.5 * fl1_fx * (tg_xxzzzz_xyzzzzzz_0[j] - tg_xxzzzz_xyzzzzzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xxxzzzz_yzzzzzz_1[j];

                    tg_xxxxzzzz_xzzzzzzz_0[j] = pb_x * tg_xxxzzzz_xzzzzzzz_0[j] + fr * tg_xxxzzzz_xzzzzzzz_1[j] + 1.5 * fl1_fx * (tg_xxzzzz_xzzzzzzz_0[j] - tg_xxzzzz_xzzzzzzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xxxzzzz_zzzzzzz_1[j];

                    tg_xxxxzzzz_yyyyyyyy_0[j] = pb_x * tg_xxxzzzz_yyyyyyyy_0[j] + fr * tg_xxxzzzz_yyyyyyyy_1[j] + 1.5 * fl1_fx * (tg_xxzzzz_yyyyyyyy_0[j] - tg_xxzzzz_yyyyyyyy_1[j] * fl1_fza);

                    tg_xxxxzzzz_yyyyyyyz_0[j] = pb_x * tg_xxxzzzz_yyyyyyyz_0[j] + fr * tg_xxxzzzz_yyyyyyyz_1[j] + 1.5 * fl1_fx * (tg_xxzzzz_yyyyyyyz_0[j] - tg_xxzzzz_yyyyyyyz_1[j] * fl1_fza);

                    tg_xxxxzzzz_yyyyyyzz_0[j] = pb_x * tg_xxxzzzz_yyyyyyzz_0[j] + fr * tg_xxxzzzz_yyyyyyzz_1[j] + 1.5 * fl1_fx * (tg_xxzzzz_yyyyyyzz_0[j] - tg_xxzzzz_yyyyyyzz_1[j] * fl1_fza);

                    tg_xxxxzzzz_yyyyyzzz_0[j] = pb_x * tg_xxxzzzz_yyyyyzzz_0[j] + fr * tg_xxxzzzz_yyyyyzzz_1[j] + 1.5 * fl1_fx * (tg_xxzzzz_yyyyyzzz_0[j] - tg_xxzzzz_yyyyyzzz_1[j] * fl1_fza);

                    tg_xxxxzzzz_yyyyzzzz_0[j] = pb_x * tg_xxxzzzz_yyyyzzzz_0[j] + fr * tg_xxxzzzz_yyyyzzzz_1[j] + 1.5 * fl1_fx * (tg_xxzzzz_yyyyzzzz_0[j] - tg_xxzzzz_yyyyzzzz_1[j] * fl1_fza);

                    tg_xxxxzzzz_yyyzzzzz_0[j] = pb_x * tg_xxxzzzz_yyyzzzzz_0[j] + fr * tg_xxxzzzz_yyyzzzzz_1[j] + 1.5 * fl1_fx * (tg_xxzzzz_yyyzzzzz_0[j] - tg_xxzzzz_yyyzzzzz_1[j] * fl1_fza);

                    tg_xxxxzzzz_yyzzzzzz_0[j] = pb_x * tg_xxxzzzz_yyzzzzzz_0[j] + fr * tg_xxxzzzz_yyzzzzzz_1[j] + 1.5 * fl1_fx * (tg_xxzzzz_yyzzzzzz_0[j] - tg_xxzzzz_yyzzzzzz_1[j] * fl1_fza);

                    tg_xxxxzzzz_yzzzzzzz_0[j] = pb_x * tg_xxxzzzz_yzzzzzzz_0[j] + fr * tg_xxxzzzz_yzzzzzzz_1[j] + 1.5 * fl1_fx * (tg_xxzzzz_yzzzzzzz_0[j] - tg_xxzzzz_yzzzzzzz_1[j] * fl1_fza);

                    tg_xxxxzzzz_zzzzzzzz_0[j] = pb_x * tg_xxxzzzz_zzzzzzzz_0[j] + fr * tg_xxxzzzz_zzzzzzzz_1[j] + 1.5 * fl1_fx * (tg_xxzzzz_zzzzzzzz_0[j] - tg_xxzzzz_zzzzzzzz_1[j] * fl1_fza);

                    tg_xxxyyyyy_xxxxxxxx_0[j] = pb_x * tg_xxyyyyy_xxxxxxxx_0[j] + fr * tg_xxyyyyy_xxxxxxxx_1[j] + fl1_fx * (tg_xyyyyy_xxxxxxxx_0[j] - tg_xyyyyy_xxxxxxxx_1[j] * fl1_fza) + 4.0 * fl1_fxn * tg_xxyyyyy_xxxxxxx_1[j];

                    tg_xxxyyyyy_xxxxxxxy_0[j] = pb_x * tg_xxyyyyy_xxxxxxxy_0[j] + fr * tg_xxyyyyy_xxxxxxxy_1[j] + fl1_fx * (tg_xyyyyy_xxxxxxxy_0[j] - tg_xyyyyy_xxxxxxxy_1[j] * fl1_fza) + 3.5 * fl1_fxn * tg_xxyyyyy_xxxxxxy_1[j];

                    tg_xxxyyyyy_xxxxxxxz_0[j] = pb_x * tg_xxyyyyy_xxxxxxxz_0[j] + fr * tg_xxyyyyy_xxxxxxxz_1[j] + fl1_fx * (tg_xyyyyy_xxxxxxxz_0[j] - tg_xyyyyy_xxxxxxxz_1[j] * fl1_fza) + 3.5 * fl1_fxn * tg_xxyyyyy_xxxxxxz_1[j];

                    tg_xxxyyyyy_xxxxxxyy_0[j] = pb_x * tg_xxyyyyy_xxxxxxyy_0[j] + fr * tg_xxyyyyy_xxxxxxyy_1[j] + fl1_fx * (tg_xyyyyy_xxxxxxyy_0[j] - tg_xyyyyy_xxxxxxyy_1[j] * fl1_fza) + 3.0 * fl1_fxn * tg_xxyyyyy_xxxxxyy_1[j];
                }

                idx++;
            }
        }
    }

    void
    compElectronRepulsionForSLSL_679_776(      CMemBlock2D<double>* primBuffer,
                                         const CRecursionMap&       recursionMap,
                                         const CMemBlock2D<double>& osFactors,
                                         const CMemBlock2D<double>& wpDistances,
                                         const CGtoPairsBlock&      braGtoPairsBlock,
                                         const CGtoPairsBlock&      ketGtoPairsBlock,
                                         const int32_t              nKetPrimPairs,
                                         const int32_t              iContrPair)
    {
        // Batch of Integrals (679,776)

        // set up pointers to primitives data on bra side

        auto spos = braGtoPairsBlock.getStartPositions();

        auto epos = braGtoPairsBlock.getEndPositions();

        // set up pointers to tensor of distance R(PB) = P - B

        auto r_pb_x = braGtoPairsBlock.getDistancesPBX();

        // set up pointers to common Obara-Saika factors

        auto b_fx = braGtoPairsBlock.getFactorsOneOverXi();

        // set up maximum order of integral

        auto mord = recursionMap.getMaxOrder({"Electron Repulsion"},
                                             {8, -1, -1, -1},
                                             {8, -1, -1, -1},
                                             1, 1);

        for (int32_t iord = 0; iord <= mord; iord++)
        {
            // set up index of integral

            auto pidx_g_8_8_m0 = recursionMap.index(CRecursionTerm({"Electron Repulsion"}, 0, true, 
                                                                   {8, -1, -1, -1}, {8, -1, -1, -1}, 
                                                                   1, 1, iord));

            // check if integral is needed in recursion expansion

            if (pidx_g_8_8_m0 == -1) continue;

            // set up indexes of auxilary integral

            auto pidx_g_7_8_m0 = recursionMap.index(CRecursionTerm({"Electron Repulsion"}, 0, true, 
                                                                   {7, -1, -1, -1}, {8, -1, -1, -1}, 
                                                                   1, 1, iord));

            auto pidx_g_7_8_m1 = recursionMap.index(CRecursionTerm({"Electron Repulsion"}, 0, true, 
                                                                   {7, -1, -1, -1}, {8, -1, -1, -1}, 
                                                                   1, 1, iord + 1));

            auto pidx_g_6_8_m0 = recursionMap.index(CRecursionTerm({"Electron Repulsion"}, 0, true, 
                                                                   {6, -1, -1, -1}, {8, -1, -1, -1}, 
                                                                   1, 1, iord));

            auto pidx_g_6_8_m1 = recursionMap.index(CRecursionTerm({"Electron Repulsion"}, 0, true, 
                                                                   {6, -1, -1, -1}, {8, -1, -1, -1}, 
                                                                   1, 1, iord + 1));

            auto pidx_g_7_7_m1 = recursionMap.index(CRecursionTerm({"Electron Repulsion"}, 0, true, 
                                                                   {7, -1, -1, -1}, {7, -1, -1, -1}, 
                                                                   1, 1, iord + 1));

            // loop over contracted GTO on bra side

            int32_t idx = 0;

            for (int32_t i = spos[iContrPair]; i < epos[iContrPair]; i++)
            {
                // set up pointers to Obara-Saika factors

                double fx = b_fx[i];

                auto fza = osFactors.data(4 * idx + 2);

                auto fxn = osFactors.data(4 * idx);

                // set up distances R(PB) = P - B

                auto pb_x = r_pb_x[i];

                // set up pointers to tensors product of distances R(WP) = W - P

                auto wp_x = wpDistances.data(3 * idx);

                // set up pointers to auxilary integrals

                auto tg_xxyyyyy_xxxxxxyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 679); 

                auto tg_xxyyyyy_xxxxxxzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 680); 

                auto tg_xxyyyyy_xxxxxyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 681); 

                auto tg_xxyyyyy_xxxxxyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 682); 

                auto tg_xxyyyyy_xxxxxyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 683); 

                auto tg_xxyyyyy_xxxxxzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 684); 

                auto tg_xxyyyyy_xxxxyyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 685); 

                auto tg_xxyyyyy_xxxxyyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 686); 

                auto tg_xxyyyyy_xxxxyyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 687); 

                auto tg_xxyyyyy_xxxxyzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 688); 

                auto tg_xxyyyyy_xxxxzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 689); 

                auto tg_xxyyyyy_xxxyyyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 690); 

                auto tg_xxyyyyy_xxxyyyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 691); 

                auto tg_xxyyyyy_xxxyyyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 692); 

                auto tg_xxyyyyy_xxxyyzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 693); 

                auto tg_xxyyyyy_xxxyzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 694); 

                auto tg_xxyyyyy_xxxzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 695); 

                auto tg_xxyyyyy_xxyyyyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 696); 

                auto tg_xxyyyyy_xxyyyyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 697); 

                auto tg_xxyyyyy_xxyyyyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 698); 

                auto tg_xxyyyyy_xxyyyzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 699); 

                auto tg_xxyyyyy_xxyyzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 700); 

                auto tg_xxyyyyy_xxyzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 701); 

                auto tg_xxyyyyy_xxzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 702); 

                auto tg_xxyyyyy_xyyyyyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 703); 

                auto tg_xxyyyyy_xyyyyyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 704); 

                auto tg_xxyyyyy_xyyyyyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 705); 

                auto tg_xxyyyyy_xyyyyzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 706); 

                auto tg_xxyyyyy_xyyyzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 707); 

                auto tg_xxyyyyy_xyyzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 708); 

                auto tg_xxyyyyy_xyzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 709); 

                auto tg_xxyyyyy_xzzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 710); 

                auto tg_xxyyyyy_yyyyyyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 711); 

                auto tg_xxyyyyy_yyyyyyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 712); 

                auto tg_xxyyyyy_yyyyyyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 713); 

                auto tg_xxyyyyy_yyyyyzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 714); 

                auto tg_xxyyyyy_yyyyzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 715); 

                auto tg_xxyyyyy_yyyzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 716); 

                auto tg_xxyyyyy_yyzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 717); 

                auto tg_xxyyyyy_yzzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 718); 

                auto tg_xxyyyyy_zzzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 719); 

                auto tg_xxyyyyz_xxxxxxxx_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 720); 

                auto tg_xxyyyyz_xxxxxxxy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 721); 

                auto tg_xxyyyyz_xxxxxxxz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 722); 

                auto tg_xxyyyyz_xxxxxxyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 723); 

                auto tg_xxyyyyz_xxxxxxyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 724); 

                auto tg_xxyyyyz_xxxxxxzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 725); 

                auto tg_xxyyyyz_xxxxxyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 726); 

                auto tg_xxyyyyz_xxxxxyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 727); 

                auto tg_xxyyyyz_xxxxxyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 728); 

                auto tg_xxyyyyz_xxxxxzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 729); 

                auto tg_xxyyyyz_xxxxyyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 730); 

                auto tg_xxyyyyz_xxxxyyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 731); 

                auto tg_xxyyyyz_xxxxyyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 732); 

                auto tg_xxyyyyz_xxxxyzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 733); 

                auto tg_xxyyyyz_xxxxzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 734); 

                auto tg_xxyyyyz_xxxyyyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 735); 

                auto tg_xxyyyyz_xxxyyyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 736); 

                auto tg_xxyyyyz_xxxyyyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 737); 

                auto tg_xxyyyyz_xxxyyzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 738); 

                auto tg_xxyyyyz_xxxyzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 739); 

                auto tg_xxyyyyz_xxxzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 740); 

                auto tg_xxyyyyz_xxyyyyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 741); 

                auto tg_xxyyyyz_xxyyyyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 742); 

                auto tg_xxyyyyz_xxyyyyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 743); 

                auto tg_xxyyyyz_xxyyyzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 744); 

                auto tg_xxyyyyz_xxyyzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 745); 

                auto tg_xxyyyyz_xxyzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 746); 

                auto tg_xxyyyyz_xxzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 747); 

                auto tg_xxyyyyz_xyyyyyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 748); 

                auto tg_xxyyyyz_xyyyyyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 749); 

                auto tg_xxyyyyz_xyyyyyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 750); 

                auto tg_xxyyyyz_xyyyyzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 751); 

                auto tg_xxyyyyz_xyyyzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 752); 

                auto tg_xxyyyyz_xyyzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 753); 

                auto tg_xxyyyyz_xyzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 754); 

                auto tg_xxyyyyz_xzzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 755); 

                auto tg_xxyyyyz_yyyyyyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 756); 

                auto tg_xxyyyyz_yyyyyyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 757); 

                auto tg_xxyyyyz_yyyyyyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 758); 

                auto tg_xxyyyyz_yyyyyzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 759); 

                auto tg_xxyyyyz_yyyyzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 760); 

                auto tg_xxyyyyz_yyyzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 761); 

                auto tg_xxyyyyz_yyzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 762); 

                auto tg_xxyyyyz_yzzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 763); 

                auto tg_xxyyyyz_zzzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 764); 

                auto tg_xxyyyzz_xxxxxxxx_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 765); 

                auto tg_xxyyyzz_xxxxxxxy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 766); 

                auto tg_xxyyyzz_xxxxxxxz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 767); 

                auto tg_xxyyyzz_xxxxxxyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 768); 

                auto tg_xxyyyzz_xxxxxxyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 769); 

                auto tg_xxyyyzz_xxxxxxzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 770); 

                auto tg_xxyyyzz_xxxxxyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 771); 

                auto tg_xxyyyzz_xxxxxyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 772); 

                auto tg_xxyyyzz_xxxxxyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 773); 

                auto tg_xxyyyzz_xxxxxzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 774); 

                auto tg_xxyyyzz_xxxxyyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 775); 

                auto tg_xxyyyyy_xxxxxxyz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 679); 

                auto tg_xxyyyyy_xxxxxxzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 680); 

                auto tg_xxyyyyy_xxxxxyyy_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 681); 

                auto tg_xxyyyyy_xxxxxyyz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 682); 

                auto tg_xxyyyyy_xxxxxyzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 683); 

                auto tg_xxyyyyy_xxxxxzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 684); 

                auto tg_xxyyyyy_xxxxyyyy_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 685); 

                auto tg_xxyyyyy_xxxxyyyz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 686); 

                auto tg_xxyyyyy_xxxxyyzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 687); 

                auto tg_xxyyyyy_xxxxyzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 688); 

                auto tg_xxyyyyy_xxxxzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 689); 

                auto tg_xxyyyyy_xxxyyyyy_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 690); 

                auto tg_xxyyyyy_xxxyyyyz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 691); 

                auto tg_xxyyyyy_xxxyyyzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 692); 

                auto tg_xxyyyyy_xxxyyzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 693); 

                auto tg_xxyyyyy_xxxyzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 694); 

                auto tg_xxyyyyy_xxxzzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 695); 

                auto tg_xxyyyyy_xxyyyyyy_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 696); 

                auto tg_xxyyyyy_xxyyyyyz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 697); 

                auto tg_xxyyyyy_xxyyyyzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 698); 

                auto tg_xxyyyyy_xxyyyzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 699); 

                auto tg_xxyyyyy_xxyyzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 700); 

                auto tg_xxyyyyy_xxyzzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 701); 

                auto tg_xxyyyyy_xxzzzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 702); 

                auto tg_xxyyyyy_xyyyyyyy_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 703); 

                auto tg_xxyyyyy_xyyyyyyz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 704); 

                auto tg_xxyyyyy_xyyyyyzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 705); 

                auto tg_xxyyyyy_xyyyyzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 706); 

                auto tg_xxyyyyy_xyyyzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 707); 

                auto tg_xxyyyyy_xyyzzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 708); 

                auto tg_xxyyyyy_xyzzzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 709); 

                auto tg_xxyyyyy_xzzzzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 710); 

                auto tg_xxyyyyy_yyyyyyyy_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 711); 

                auto tg_xxyyyyy_yyyyyyyz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 712); 

                auto tg_xxyyyyy_yyyyyyzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 713); 

                auto tg_xxyyyyy_yyyyyzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 714); 

                auto tg_xxyyyyy_yyyyzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 715); 

                auto tg_xxyyyyy_yyyzzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 716); 

                auto tg_xxyyyyy_yyzzzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 717); 

                auto tg_xxyyyyy_yzzzzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 718); 

                auto tg_xxyyyyy_zzzzzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 719); 

                auto tg_xxyyyyz_xxxxxxxx_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 720); 

                auto tg_xxyyyyz_xxxxxxxy_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 721); 

                auto tg_xxyyyyz_xxxxxxxz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 722); 

                auto tg_xxyyyyz_xxxxxxyy_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 723); 

                auto tg_xxyyyyz_xxxxxxyz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 724); 

                auto tg_xxyyyyz_xxxxxxzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 725); 

                auto tg_xxyyyyz_xxxxxyyy_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 726); 

                auto tg_xxyyyyz_xxxxxyyz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 727); 

                auto tg_xxyyyyz_xxxxxyzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 728); 

                auto tg_xxyyyyz_xxxxxzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 729); 

                auto tg_xxyyyyz_xxxxyyyy_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 730); 

                auto tg_xxyyyyz_xxxxyyyz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 731); 

                auto tg_xxyyyyz_xxxxyyzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 732); 

                auto tg_xxyyyyz_xxxxyzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 733); 

                auto tg_xxyyyyz_xxxxzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 734); 

                auto tg_xxyyyyz_xxxyyyyy_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 735); 

                auto tg_xxyyyyz_xxxyyyyz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 736); 

                auto tg_xxyyyyz_xxxyyyzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 737); 

                auto tg_xxyyyyz_xxxyyzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 738); 

                auto tg_xxyyyyz_xxxyzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 739); 

                auto tg_xxyyyyz_xxxzzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 740); 

                auto tg_xxyyyyz_xxyyyyyy_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 741); 

                auto tg_xxyyyyz_xxyyyyyz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 742); 

                auto tg_xxyyyyz_xxyyyyzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 743); 

                auto tg_xxyyyyz_xxyyyzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 744); 

                auto tg_xxyyyyz_xxyyzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 745); 

                auto tg_xxyyyyz_xxyzzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 746); 

                auto tg_xxyyyyz_xxzzzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 747); 

                auto tg_xxyyyyz_xyyyyyyy_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 748); 

                auto tg_xxyyyyz_xyyyyyyz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 749); 

                auto tg_xxyyyyz_xyyyyyzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 750); 

                auto tg_xxyyyyz_xyyyyzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 751); 

                auto tg_xxyyyyz_xyyyzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 752); 

                auto tg_xxyyyyz_xyyzzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 753); 

                auto tg_xxyyyyz_xyzzzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 754); 

                auto tg_xxyyyyz_xzzzzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 755); 

                auto tg_xxyyyyz_yyyyyyyy_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 756); 

                auto tg_xxyyyyz_yyyyyyyz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 757); 

                auto tg_xxyyyyz_yyyyyyzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 758); 

                auto tg_xxyyyyz_yyyyyzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 759); 

                auto tg_xxyyyyz_yyyyzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 760); 

                auto tg_xxyyyyz_yyyzzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 761); 

                auto tg_xxyyyyz_yyzzzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 762); 

                auto tg_xxyyyyz_yzzzzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 763); 

                auto tg_xxyyyyz_zzzzzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 764); 

                auto tg_xxyyyzz_xxxxxxxx_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 765); 

                auto tg_xxyyyzz_xxxxxxxy_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 766); 

                auto tg_xxyyyzz_xxxxxxxz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 767); 

                auto tg_xxyyyzz_xxxxxxyy_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 768); 

                auto tg_xxyyyzz_xxxxxxyz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 769); 

                auto tg_xxyyyzz_xxxxxxzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 770); 

                auto tg_xxyyyzz_xxxxxyyy_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 771); 

                auto tg_xxyyyzz_xxxxxyyz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 772); 

                auto tg_xxyyyzz_xxxxxyzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 773); 

                auto tg_xxyyyzz_xxxxxzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 774); 

                auto tg_xxyyyzz_xxxxyyyy_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 775); 

                auto tg_xyyyyy_xxxxxxyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 679); 

                auto tg_xyyyyy_xxxxxxzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 680); 

                auto tg_xyyyyy_xxxxxyyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 681); 

                auto tg_xyyyyy_xxxxxyyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 682); 

                auto tg_xyyyyy_xxxxxyzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 683); 

                auto tg_xyyyyy_xxxxxzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 684); 

                auto tg_xyyyyy_xxxxyyyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 685); 

                auto tg_xyyyyy_xxxxyyyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 686); 

                auto tg_xyyyyy_xxxxyyzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 687); 

                auto tg_xyyyyy_xxxxyzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 688); 

                auto tg_xyyyyy_xxxxzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 689); 

                auto tg_xyyyyy_xxxyyyyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 690); 

                auto tg_xyyyyy_xxxyyyyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 691); 

                auto tg_xyyyyy_xxxyyyzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 692); 

                auto tg_xyyyyy_xxxyyzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 693); 

                auto tg_xyyyyy_xxxyzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 694); 

                auto tg_xyyyyy_xxxzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 695); 

                auto tg_xyyyyy_xxyyyyyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 696); 

                auto tg_xyyyyy_xxyyyyyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 697); 

                auto tg_xyyyyy_xxyyyyzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 698); 

                auto tg_xyyyyy_xxyyyzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 699); 

                auto tg_xyyyyy_xxyyzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 700); 

                auto tg_xyyyyy_xxyzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 701); 

                auto tg_xyyyyy_xxzzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 702); 

                auto tg_xyyyyy_xyyyyyyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 703); 

                auto tg_xyyyyy_xyyyyyyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 704); 

                auto tg_xyyyyy_xyyyyyzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 705); 

                auto tg_xyyyyy_xyyyyzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 706); 

                auto tg_xyyyyy_xyyyzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 707); 

                auto tg_xyyyyy_xyyzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 708); 

                auto tg_xyyyyy_xyzzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 709); 

                auto tg_xyyyyy_xzzzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 710); 

                auto tg_xyyyyy_yyyyyyyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 711); 

                auto tg_xyyyyy_yyyyyyyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 712); 

                auto tg_xyyyyy_yyyyyyzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 713); 

                auto tg_xyyyyy_yyyyyzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 714); 

                auto tg_xyyyyy_yyyyzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 715); 

                auto tg_xyyyyy_yyyzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 716); 

                auto tg_xyyyyy_yyzzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 717); 

                auto tg_xyyyyy_yzzzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 718); 

                auto tg_xyyyyy_zzzzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 719); 

                auto tg_xyyyyz_xxxxxxxx_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 720); 

                auto tg_xyyyyz_xxxxxxxy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 721); 

                auto tg_xyyyyz_xxxxxxxz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 722); 

                auto tg_xyyyyz_xxxxxxyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 723); 

                auto tg_xyyyyz_xxxxxxyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 724); 

                auto tg_xyyyyz_xxxxxxzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 725); 

                auto tg_xyyyyz_xxxxxyyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 726); 

                auto tg_xyyyyz_xxxxxyyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 727); 

                auto tg_xyyyyz_xxxxxyzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 728); 

                auto tg_xyyyyz_xxxxxzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 729); 

                auto tg_xyyyyz_xxxxyyyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 730); 

                auto tg_xyyyyz_xxxxyyyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 731); 

                auto tg_xyyyyz_xxxxyyzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 732); 

                auto tg_xyyyyz_xxxxyzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 733); 

                auto tg_xyyyyz_xxxxzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 734); 

                auto tg_xyyyyz_xxxyyyyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 735); 

                auto tg_xyyyyz_xxxyyyyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 736); 

                auto tg_xyyyyz_xxxyyyzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 737); 

                auto tg_xyyyyz_xxxyyzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 738); 

                auto tg_xyyyyz_xxxyzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 739); 

                auto tg_xyyyyz_xxxzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 740); 

                auto tg_xyyyyz_xxyyyyyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 741); 

                auto tg_xyyyyz_xxyyyyyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 742); 

                auto tg_xyyyyz_xxyyyyzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 743); 

                auto tg_xyyyyz_xxyyyzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 744); 

                auto tg_xyyyyz_xxyyzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 745); 

                auto tg_xyyyyz_xxyzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 746); 

                auto tg_xyyyyz_xxzzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 747); 

                auto tg_xyyyyz_xyyyyyyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 748); 

                auto tg_xyyyyz_xyyyyyyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 749); 

                auto tg_xyyyyz_xyyyyyzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 750); 

                auto tg_xyyyyz_xyyyyzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 751); 

                auto tg_xyyyyz_xyyyzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 752); 

                auto tg_xyyyyz_xyyzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 753); 

                auto tg_xyyyyz_xyzzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 754); 

                auto tg_xyyyyz_xzzzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 755); 

                auto tg_xyyyyz_yyyyyyyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 756); 

                auto tg_xyyyyz_yyyyyyyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 757); 

                auto tg_xyyyyz_yyyyyyzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 758); 

                auto tg_xyyyyz_yyyyyzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 759); 

                auto tg_xyyyyz_yyyyzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 760); 

                auto tg_xyyyyz_yyyzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 761); 

                auto tg_xyyyyz_yyzzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 762); 

                auto tg_xyyyyz_yzzzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 763); 

                auto tg_xyyyyz_zzzzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 764); 

                auto tg_xyyyzz_xxxxxxxx_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 765); 

                auto tg_xyyyzz_xxxxxxxy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 766); 

                auto tg_xyyyzz_xxxxxxxz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 767); 

                auto tg_xyyyzz_xxxxxxyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 768); 

                auto tg_xyyyzz_xxxxxxyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 769); 

                auto tg_xyyyzz_xxxxxxzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 770); 

                auto tg_xyyyzz_xxxxxyyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 771); 

                auto tg_xyyyzz_xxxxxyyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 772); 

                auto tg_xyyyzz_xxxxxyzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 773); 

                auto tg_xyyyzz_xxxxxzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 774); 

                auto tg_xyyyzz_xxxxyyyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 775); 

                auto tg_xyyyyy_xxxxxxyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 679); 

                auto tg_xyyyyy_xxxxxxzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 680); 

                auto tg_xyyyyy_xxxxxyyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 681); 

                auto tg_xyyyyy_xxxxxyyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 682); 

                auto tg_xyyyyy_xxxxxyzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 683); 

                auto tg_xyyyyy_xxxxxzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 684); 

                auto tg_xyyyyy_xxxxyyyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 685); 

                auto tg_xyyyyy_xxxxyyyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 686); 

                auto tg_xyyyyy_xxxxyyzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 687); 

                auto tg_xyyyyy_xxxxyzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 688); 

                auto tg_xyyyyy_xxxxzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 689); 

                auto tg_xyyyyy_xxxyyyyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 690); 

                auto tg_xyyyyy_xxxyyyyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 691); 

                auto tg_xyyyyy_xxxyyyzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 692); 

                auto tg_xyyyyy_xxxyyzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 693); 

                auto tg_xyyyyy_xxxyzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 694); 

                auto tg_xyyyyy_xxxzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 695); 

                auto tg_xyyyyy_xxyyyyyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 696); 

                auto tg_xyyyyy_xxyyyyyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 697); 

                auto tg_xyyyyy_xxyyyyzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 698); 

                auto tg_xyyyyy_xxyyyzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 699); 

                auto tg_xyyyyy_xxyyzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 700); 

                auto tg_xyyyyy_xxyzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 701); 

                auto tg_xyyyyy_xxzzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 702); 

                auto tg_xyyyyy_xyyyyyyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 703); 

                auto tg_xyyyyy_xyyyyyyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 704); 

                auto tg_xyyyyy_xyyyyyzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 705); 

                auto tg_xyyyyy_xyyyyzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 706); 

                auto tg_xyyyyy_xyyyzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 707); 

                auto tg_xyyyyy_xyyzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 708); 

                auto tg_xyyyyy_xyzzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 709); 

                auto tg_xyyyyy_xzzzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 710); 

                auto tg_xyyyyy_yyyyyyyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 711); 

                auto tg_xyyyyy_yyyyyyyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 712); 

                auto tg_xyyyyy_yyyyyyzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 713); 

                auto tg_xyyyyy_yyyyyzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 714); 

                auto tg_xyyyyy_yyyyzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 715); 

                auto tg_xyyyyy_yyyzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 716); 

                auto tg_xyyyyy_yyzzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 717); 

                auto tg_xyyyyy_yzzzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 718); 

                auto tg_xyyyyy_zzzzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 719); 

                auto tg_xyyyyz_xxxxxxxx_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 720); 

                auto tg_xyyyyz_xxxxxxxy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 721); 

                auto tg_xyyyyz_xxxxxxxz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 722); 

                auto tg_xyyyyz_xxxxxxyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 723); 

                auto tg_xyyyyz_xxxxxxyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 724); 

                auto tg_xyyyyz_xxxxxxzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 725); 

                auto tg_xyyyyz_xxxxxyyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 726); 

                auto tg_xyyyyz_xxxxxyyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 727); 

                auto tg_xyyyyz_xxxxxyzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 728); 

                auto tg_xyyyyz_xxxxxzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 729); 

                auto tg_xyyyyz_xxxxyyyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 730); 

                auto tg_xyyyyz_xxxxyyyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 731); 

                auto tg_xyyyyz_xxxxyyzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 732); 

                auto tg_xyyyyz_xxxxyzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 733); 

                auto tg_xyyyyz_xxxxzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 734); 

                auto tg_xyyyyz_xxxyyyyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 735); 

                auto tg_xyyyyz_xxxyyyyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 736); 

                auto tg_xyyyyz_xxxyyyzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 737); 

                auto tg_xyyyyz_xxxyyzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 738); 

                auto tg_xyyyyz_xxxyzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 739); 

                auto tg_xyyyyz_xxxzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 740); 

                auto tg_xyyyyz_xxyyyyyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 741); 

                auto tg_xyyyyz_xxyyyyyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 742); 

                auto tg_xyyyyz_xxyyyyzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 743); 

                auto tg_xyyyyz_xxyyyzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 744); 

                auto tg_xyyyyz_xxyyzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 745); 

                auto tg_xyyyyz_xxyzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 746); 

                auto tg_xyyyyz_xxzzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 747); 

                auto tg_xyyyyz_xyyyyyyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 748); 

                auto tg_xyyyyz_xyyyyyyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 749); 

                auto tg_xyyyyz_xyyyyyzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 750); 

                auto tg_xyyyyz_xyyyyzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 751); 

                auto tg_xyyyyz_xyyyzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 752); 

                auto tg_xyyyyz_xyyzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 753); 

                auto tg_xyyyyz_xyzzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 754); 

                auto tg_xyyyyz_xzzzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 755); 

                auto tg_xyyyyz_yyyyyyyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 756); 

                auto tg_xyyyyz_yyyyyyyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 757); 

                auto tg_xyyyyz_yyyyyyzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 758); 

                auto tg_xyyyyz_yyyyyzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 759); 

                auto tg_xyyyyz_yyyyzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 760); 

                auto tg_xyyyyz_yyyzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 761); 

                auto tg_xyyyyz_yyzzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 762); 

                auto tg_xyyyyz_yzzzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 763); 

                auto tg_xyyyyz_zzzzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 764); 

                auto tg_xyyyzz_xxxxxxxx_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 765); 

                auto tg_xyyyzz_xxxxxxxy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 766); 

                auto tg_xyyyzz_xxxxxxxz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 767); 

                auto tg_xyyyzz_xxxxxxyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 768); 

                auto tg_xyyyzz_xxxxxxyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 769); 

                auto tg_xyyyzz_xxxxxxzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 770); 

                auto tg_xyyyzz_xxxxxyyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 771); 

                auto tg_xyyyzz_xxxxxyyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 772); 

                auto tg_xyyyzz_xxxxxyzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 773); 

                auto tg_xyyyzz_xxxxxzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 774); 

                auto tg_xyyyzz_xxxxyyyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 775); 

                auto tg_xxyyyyy_xxxxxyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 544); 

                auto tg_xxyyyyy_xxxxxzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 545); 

                auto tg_xxyyyyy_xxxxyyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 546); 

                auto tg_xxyyyyy_xxxxyyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 547); 

                auto tg_xxyyyyy_xxxxyzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 548); 

                auto tg_xxyyyyy_xxxxzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 549); 

                auto tg_xxyyyyy_xxxyyyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 550); 

                auto tg_xxyyyyy_xxxyyyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 551); 

                auto tg_xxyyyyy_xxxyyzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 552); 

                auto tg_xxyyyyy_xxxyzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 553); 

                auto tg_xxyyyyy_xxxzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 554); 

                auto tg_xxyyyyy_xxyyyyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 555); 

                auto tg_xxyyyyy_xxyyyyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 556); 

                auto tg_xxyyyyy_xxyyyzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 557); 

                auto tg_xxyyyyy_xxyyzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 558); 

                auto tg_xxyyyyy_xxyzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 559); 

                auto tg_xxyyyyy_xxzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 560); 

                auto tg_xxyyyyy_xyyyyyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 561); 

                auto tg_xxyyyyy_xyyyyyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 562); 

                auto tg_xxyyyyy_xyyyyzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 563); 

                auto tg_xxyyyyy_xyyyzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 564); 

                auto tg_xxyyyyy_xyyzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 565); 

                auto tg_xxyyyyy_xyzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 566); 

                auto tg_xxyyyyy_xzzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 567); 

                auto tg_xxyyyyy_yyyyyyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 568); 

                auto tg_xxyyyyy_yyyyyyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 569); 

                auto tg_xxyyyyy_yyyyyzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 570); 

                auto tg_xxyyyyy_yyyyzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 571); 

                auto tg_xxyyyyy_yyyzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 572); 

                auto tg_xxyyyyy_yyzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 573); 

                auto tg_xxyyyyy_yzzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 574); 

                auto tg_xxyyyyy_zzzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 575); 

                auto tg_xxyyyyz_xxxxxxx_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 576); 

                auto tg_xxyyyyz_xxxxxxy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 577); 

                auto tg_xxyyyyz_xxxxxxz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 578); 

                auto tg_xxyyyyz_xxxxxyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 579); 

                auto tg_xxyyyyz_xxxxxyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 580); 

                auto tg_xxyyyyz_xxxxxzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 581); 

                auto tg_xxyyyyz_xxxxyyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 582); 

                auto tg_xxyyyyz_xxxxyyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 583); 

                auto tg_xxyyyyz_xxxxyzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 584); 

                auto tg_xxyyyyz_xxxxzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 585); 

                auto tg_xxyyyyz_xxxyyyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 586); 

                auto tg_xxyyyyz_xxxyyyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 587); 

                auto tg_xxyyyyz_xxxyyzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 588); 

                auto tg_xxyyyyz_xxxyzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 589); 

                auto tg_xxyyyyz_xxxzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 590); 

                auto tg_xxyyyyz_xxyyyyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 591); 

                auto tg_xxyyyyz_xxyyyyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 592); 

                auto tg_xxyyyyz_xxyyyzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 593); 

                auto tg_xxyyyyz_xxyyzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 594); 

                auto tg_xxyyyyz_xxyzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 595); 

                auto tg_xxyyyyz_xxzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 596); 

                auto tg_xxyyyyz_xyyyyyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 597); 

                auto tg_xxyyyyz_xyyyyyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 598); 

                auto tg_xxyyyyz_xyyyyzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 599); 

                auto tg_xxyyyyz_xyyyzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 600); 

                auto tg_xxyyyyz_xyyzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 601); 

                auto tg_xxyyyyz_xyzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 602); 

                auto tg_xxyyyyz_xzzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 603); 

                auto tg_xxyyyyz_yyyyyyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 604); 

                auto tg_xxyyyyz_yyyyyyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 605); 

                auto tg_xxyyyyz_yyyyyzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 606); 

                auto tg_xxyyyyz_yyyyzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 607); 

                auto tg_xxyyyyz_yyyzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 608); 

                auto tg_xxyyyyz_yyzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 609); 

                auto tg_xxyyyyz_yzzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 610); 

                auto tg_xxyyyyz_zzzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 611); 

                auto tg_xxyyyzz_xxxxxxx_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 612); 

                auto tg_xxyyyzz_xxxxxxy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 613); 

                auto tg_xxyyyzz_xxxxxxz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 614); 

                auto tg_xxyyyzz_xxxxxyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 615); 

                auto tg_xxyyyzz_xxxxxyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 616); 

                auto tg_xxyyyzz_xxxxxzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 617); 

                auto tg_xxyyyzz_xxxxyyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 618); 

                auto tg_xxyyyzz_xxxxyyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 619); 

                auto tg_xxyyyzz_xxxxyzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 620); 

                auto tg_xxyyyzz_xxxxzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 621); 

                auto tg_xxyyyzz_xxxyyyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 622); 

                // set up pointers to integrals

                auto tg_xxxyyyyy_xxxxxxyz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 679); 

                auto tg_xxxyyyyy_xxxxxxzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 680); 

                auto tg_xxxyyyyy_xxxxxyyy_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 681); 

                auto tg_xxxyyyyy_xxxxxyyz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 682); 

                auto tg_xxxyyyyy_xxxxxyzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 683); 

                auto tg_xxxyyyyy_xxxxxzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 684); 

                auto tg_xxxyyyyy_xxxxyyyy_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 685); 

                auto tg_xxxyyyyy_xxxxyyyz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 686); 

                auto tg_xxxyyyyy_xxxxyyzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 687); 

                auto tg_xxxyyyyy_xxxxyzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 688); 

                auto tg_xxxyyyyy_xxxxzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 689); 

                auto tg_xxxyyyyy_xxxyyyyy_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 690); 

                auto tg_xxxyyyyy_xxxyyyyz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 691); 

                auto tg_xxxyyyyy_xxxyyyzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 692); 

                auto tg_xxxyyyyy_xxxyyzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 693); 

                auto tg_xxxyyyyy_xxxyzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 694); 

                auto tg_xxxyyyyy_xxxzzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 695); 

                auto tg_xxxyyyyy_xxyyyyyy_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 696); 

                auto tg_xxxyyyyy_xxyyyyyz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 697); 

                auto tg_xxxyyyyy_xxyyyyzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 698); 

                auto tg_xxxyyyyy_xxyyyzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 699); 

                auto tg_xxxyyyyy_xxyyzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 700); 

                auto tg_xxxyyyyy_xxyzzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 701); 

                auto tg_xxxyyyyy_xxzzzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 702); 

                auto tg_xxxyyyyy_xyyyyyyy_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 703); 

                auto tg_xxxyyyyy_xyyyyyyz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 704); 

                auto tg_xxxyyyyy_xyyyyyzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 705); 

                auto tg_xxxyyyyy_xyyyyzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 706); 

                auto tg_xxxyyyyy_xyyyzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 707); 

                auto tg_xxxyyyyy_xyyzzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 708); 

                auto tg_xxxyyyyy_xyzzzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 709); 

                auto tg_xxxyyyyy_xzzzzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 710); 

                auto tg_xxxyyyyy_yyyyyyyy_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 711); 

                auto tg_xxxyyyyy_yyyyyyyz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 712); 

                auto tg_xxxyyyyy_yyyyyyzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 713); 

                auto tg_xxxyyyyy_yyyyyzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 714); 

                auto tg_xxxyyyyy_yyyyzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 715); 

                auto tg_xxxyyyyy_yyyzzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 716); 

                auto tg_xxxyyyyy_yyzzzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 717); 

                auto tg_xxxyyyyy_yzzzzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 718); 

                auto tg_xxxyyyyy_zzzzzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 719); 

                auto tg_xxxyyyyz_xxxxxxxx_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 720); 

                auto tg_xxxyyyyz_xxxxxxxy_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 721); 

                auto tg_xxxyyyyz_xxxxxxxz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 722); 

                auto tg_xxxyyyyz_xxxxxxyy_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 723); 

                auto tg_xxxyyyyz_xxxxxxyz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 724); 

                auto tg_xxxyyyyz_xxxxxxzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 725); 

                auto tg_xxxyyyyz_xxxxxyyy_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 726); 

                auto tg_xxxyyyyz_xxxxxyyz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 727); 

                auto tg_xxxyyyyz_xxxxxyzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 728); 

                auto tg_xxxyyyyz_xxxxxzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 729); 

                auto tg_xxxyyyyz_xxxxyyyy_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 730); 

                auto tg_xxxyyyyz_xxxxyyyz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 731); 

                auto tg_xxxyyyyz_xxxxyyzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 732); 

                auto tg_xxxyyyyz_xxxxyzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 733); 

                auto tg_xxxyyyyz_xxxxzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 734); 

                auto tg_xxxyyyyz_xxxyyyyy_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 735); 

                auto tg_xxxyyyyz_xxxyyyyz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 736); 

                auto tg_xxxyyyyz_xxxyyyzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 737); 

                auto tg_xxxyyyyz_xxxyyzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 738); 

                auto tg_xxxyyyyz_xxxyzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 739); 

                auto tg_xxxyyyyz_xxxzzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 740); 

                auto tg_xxxyyyyz_xxyyyyyy_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 741); 

                auto tg_xxxyyyyz_xxyyyyyz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 742); 

                auto tg_xxxyyyyz_xxyyyyzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 743); 

                auto tg_xxxyyyyz_xxyyyzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 744); 

                auto tg_xxxyyyyz_xxyyzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 745); 

                auto tg_xxxyyyyz_xxyzzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 746); 

                auto tg_xxxyyyyz_xxzzzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 747); 

                auto tg_xxxyyyyz_xyyyyyyy_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 748); 

                auto tg_xxxyyyyz_xyyyyyyz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 749); 

                auto tg_xxxyyyyz_xyyyyyzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 750); 

                auto tg_xxxyyyyz_xyyyyzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 751); 

                auto tg_xxxyyyyz_xyyyzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 752); 

                auto tg_xxxyyyyz_xyyzzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 753); 

                auto tg_xxxyyyyz_xyzzzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 754); 

                auto tg_xxxyyyyz_xzzzzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 755); 

                auto tg_xxxyyyyz_yyyyyyyy_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 756); 

                auto tg_xxxyyyyz_yyyyyyyz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 757); 

                auto tg_xxxyyyyz_yyyyyyzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 758); 

                auto tg_xxxyyyyz_yyyyyzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 759); 

                auto tg_xxxyyyyz_yyyyzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 760); 

                auto tg_xxxyyyyz_yyyzzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 761); 

                auto tg_xxxyyyyz_yyzzzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 762); 

                auto tg_xxxyyyyz_yzzzzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 763); 

                auto tg_xxxyyyyz_zzzzzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 764); 

                auto tg_xxxyyyzz_xxxxxxxx_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 765); 

                auto tg_xxxyyyzz_xxxxxxxy_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 766); 

                auto tg_xxxyyyzz_xxxxxxxz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 767); 

                auto tg_xxxyyyzz_xxxxxxyy_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 768); 

                auto tg_xxxyyyzz_xxxxxxyz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 769); 

                auto tg_xxxyyyzz_xxxxxxzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 770); 

                auto tg_xxxyyyzz_xxxxxyyy_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 771); 

                auto tg_xxxyyyzz_xxxxxyyz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 772); 

                auto tg_xxxyyyzz_xxxxxyzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 773); 

                auto tg_xxxyyyzz_xxxxxzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 774); 

                auto tg_xxxyyyzz_xxxxyyyy_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 775); 

                // Batch of Integrals (679,776)

                #pragma omp simd aligned(fxn, fza, tg_xxxyyyyy_xxxxxxyz_0, tg_xxxyyyyy_xxxxxxzz_0, \
                                         tg_xxxyyyyy_xxxxxyyy_0, tg_xxxyyyyy_xxxxxyyz_0, tg_xxxyyyyy_xxxxxyzz_0, \
                                         tg_xxxyyyyy_xxxxxzzz_0, tg_xxxyyyyy_xxxxyyyy_0, tg_xxxyyyyy_xxxxyyyz_0, \
                                         tg_xxxyyyyy_xxxxyyzz_0, tg_xxxyyyyy_xxxxyzzz_0, tg_xxxyyyyy_xxxxzzzz_0, \
                                         tg_xxxyyyyy_xxxyyyyy_0, tg_xxxyyyyy_xxxyyyyz_0, tg_xxxyyyyy_xxxyyyzz_0, \
                                         tg_xxxyyyyy_xxxyyzzz_0, tg_xxxyyyyy_xxxyzzzz_0, tg_xxxyyyyy_xxxzzzzz_0, \
                                         tg_xxxyyyyy_xxyyyyyy_0, tg_xxxyyyyy_xxyyyyyz_0, tg_xxxyyyyy_xxyyyyzz_0, \
                                         tg_xxxyyyyy_xxyyyzzz_0, tg_xxxyyyyy_xxyyzzzz_0, tg_xxxyyyyy_xxyzzzzz_0, \
                                         tg_xxxyyyyy_xxzzzzzz_0, tg_xxxyyyyy_xyyyyyyy_0, tg_xxxyyyyy_xyyyyyyz_0, \
                                         tg_xxxyyyyy_xyyyyyzz_0, tg_xxxyyyyy_xyyyyzzz_0, tg_xxxyyyyy_xyyyzzzz_0, \
                                         tg_xxxyyyyy_xyyzzzzz_0, tg_xxxyyyyy_xyzzzzzz_0, tg_xxxyyyyy_xzzzzzzz_0, \
                                         tg_xxxyyyyy_yyyyyyyy_0, tg_xxxyyyyy_yyyyyyyz_0, tg_xxxyyyyy_yyyyyyzz_0, \
                                         tg_xxxyyyyy_yyyyyzzz_0, tg_xxxyyyyy_yyyyzzzz_0, tg_xxxyyyyy_yyyzzzzz_0, \
                                         tg_xxxyyyyy_yyzzzzzz_0, tg_xxxyyyyy_yzzzzzzz_0, tg_xxxyyyyy_zzzzzzzz_0, \
                                         tg_xxxyyyyz_xxxxxxxx_0, tg_xxxyyyyz_xxxxxxxy_0, tg_xxxyyyyz_xxxxxxxz_0, \
                                         tg_xxxyyyyz_xxxxxxyy_0, tg_xxxyyyyz_xxxxxxyz_0, tg_xxxyyyyz_xxxxxxzz_0, \
                                         tg_xxxyyyyz_xxxxxyyy_0, tg_xxxyyyyz_xxxxxyyz_0, tg_xxxyyyyz_xxxxxyzz_0, \
                                         tg_xxxyyyyz_xxxxxzzz_0, tg_xxxyyyyz_xxxxyyyy_0, tg_xxxyyyyz_xxxxyyyz_0, \
                                         tg_xxxyyyyz_xxxxyyzz_0, tg_xxxyyyyz_xxxxyzzz_0, tg_xxxyyyyz_xxxxzzzz_0, \
                                         tg_xxxyyyyz_xxxyyyyy_0, tg_xxxyyyyz_xxxyyyyz_0, tg_xxxyyyyz_xxxyyyzz_0, \
                                         tg_xxxyyyyz_xxxyyzzz_0, tg_xxxyyyyz_xxxyzzzz_0, tg_xxxyyyyz_xxxzzzzz_0, \
                                         tg_xxxyyyyz_xxyyyyyy_0, tg_xxxyyyyz_xxyyyyyz_0, tg_xxxyyyyz_xxyyyyzz_0, \
                                         tg_xxxyyyyz_xxyyyzzz_0, tg_xxxyyyyz_xxyyzzzz_0, tg_xxxyyyyz_xxyzzzzz_0, \
                                         tg_xxxyyyyz_xxzzzzzz_0, tg_xxxyyyyz_xyyyyyyy_0, tg_xxxyyyyz_xyyyyyyz_0, \
                                         tg_xxxyyyyz_xyyyyyzz_0, tg_xxxyyyyz_xyyyyzzz_0, tg_xxxyyyyz_xyyyzzzz_0, \
                                         tg_xxxyyyyz_xyyzzzzz_0, tg_xxxyyyyz_xyzzzzzz_0, tg_xxxyyyyz_xzzzzzzz_0, \
                                         tg_xxxyyyyz_yyyyyyyy_0, tg_xxxyyyyz_yyyyyyyz_0, tg_xxxyyyyz_yyyyyyzz_0, \
                                         tg_xxxyyyyz_yyyyyzzz_0, tg_xxxyyyyz_yyyyzzzz_0, tg_xxxyyyyz_yyyzzzzz_0, \
                                         tg_xxxyyyyz_yyzzzzzz_0, tg_xxxyyyyz_yzzzzzzz_0, tg_xxxyyyyz_zzzzzzzz_0, \
                                         tg_xxxyyyzz_xxxxxxxx_0, tg_xxxyyyzz_xxxxxxxy_0, tg_xxxyyyzz_xxxxxxxz_0, \
                                         tg_xxxyyyzz_xxxxxxyy_0, tg_xxxyyyzz_xxxxxxyz_0, tg_xxxyyyzz_xxxxxxzz_0, \
                                         tg_xxxyyyzz_xxxxxyyy_0, tg_xxxyyyzz_xxxxxyyz_0, tg_xxxyyyzz_xxxxxyzz_0, \
                                         tg_xxxyyyzz_xxxxxzzz_0, tg_xxxyyyzz_xxxxyyyy_0, tg_xxyyyyy_xxxxxxyz_0, \
                                         tg_xxyyyyy_xxxxxxyz_1, tg_xxyyyyy_xxxxxxzz_0, tg_xxyyyyy_xxxxxxzz_1, \
                                         tg_xxyyyyy_xxxxxyyy_0, tg_xxyyyyy_xxxxxyyy_1, tg_xxyyyyy_xxxxxyyz_0, \
                                         tg_xxyyyyy_xxxxxyyz_1, tg_xxyyyyy_xxxxxyz_1, tg_xxyyyyy_xxxxxyzz_0, \
                                         tg_xxyyyyy_xxxxxyzz_1, tg_xxyyyyy_xxxxxzz_1, tg_xxyyyyy_xxxxxzzz_0, \
                                         tg_xxyyyyy_xxxxxzzz_1, tg_xxyyyyy_xxxxyyy_1, tg_xxyyyyy_xxxxyyyy_0, \
                                         tg_xxyyyyy_xxxxyyyy_1, tg_xxyyyyy_xxxxyyyz_0, tg_xxyyyyy_xxxxyyyz_1, \
                                         tg_xxyyyyy_xxxxyyz_1, tg_xxyyyyy_xxxxyyzz_0, tg_xxyyyyy_xxxxyyzz_1, \
                                         tg_xxyyyyy_xxxxyzz_1, tg_xxyyyyy_xxxxyzzz_0, tg_xxyyyyy_xxxxyzzz_1, \
                                         tg_xxyyyyy_xxxxzzz_1, tg_xxyyyyy_xxxxzzzz_0, tg_xxyyyyy_xxxxzzzz_1, \
                                         tg_xxyyyyy_xxxyyyy_1, tg_xxyyyyy_xxxyyyyy_0, tg_xxyyyyy_xxxyyyyy_1, \
                                         tg_xxyyyyy_xxxyyyyz_0, tg_xxyyyyy_xxxyyyyz_1, tg_xxyyyyy_xxxyyyz_1, \
                                         tg_xxyyyyy_xxxyyyzz_0, tg_xxyyyyy_xxxyyyzz_1, tg_xxyyyyy_xxxyyzz_1, \
                                         tg_xxyyyyy_xxxyyzzz_0, tg_xxyyyyy_xxxyyzzz_1, tg_xxyyyyy_xxxyzzz_1, \
                                         tg_xxyyyyy_xxxyzzzz_0, tg_xxyyyyy_xxxyzzzz_1, tg_xxyyyyy_xxxzzzz_1, \
                                         tg_xxyyyyy_xxxzzzzz_0, tg_xxyyyyy_xxxzzzzz_1, tg_xxyyyyy_xxyyyyy_1, \
                                         tg_xxyyyyy_xxyyyyyy_0, tg_xxyyyyy_xxyyyyyy_1, tg_xxyyyyy_xxyyyyyz_0, \
                                         tg_xxyyyyy_xxyyyyyz_1, tg_xxyyyyy_xxyyyyz_1, tg_xxyyyyy_xxyyyyzz_0, \
                                         tg_xxyyyyy_xxyyyyzz_1, tg_xxyyyyy_xxyyyzz_1, tg_xxyyyyy_xxyyyzzz_0, \
                                         tg_xxyyyyy_xxyyyzzz_1, tg_xxyyyyy_xxyyzzz_1, tg_xxyyyyy_xxyyzzzz_0, \
                                         tg_xxyyyyy_xxyyzzzz_1, tg_xxyyyyy_xxyzzzz_1, tg_xxyyyyy_xxyzzzzz_0, \
                                         tg_xxyyyyy_xxyzzzzz_1, tg_xxyyyyy_xxzzzzz_1, tg_xxyyyyy_xxzzzzzz_0, \
                                         tg_xxyyyyy_xxzzzzzz_1, tg_xxyyyyy_xyyyyyy_1, tg_xxyyyyy_xyyyyyyy_0, \
                                         tg_xxyyyyy_xyyyyyyy_1, tg_xxyyyyy_xyyyyyyz_0, tg_xxyyyyy_xyyyyyyz_1, \
                                         tg_xxyyyyy_xyyyyyz_1, tg_xxyyyyy_xyyyyyzz_0, tg_xxyyyyy_xyyyyyzz_1, \
                                         tg_xxyyyyy_xyyyyzz_1, tg_xxyyyyy_xyyyyzzz_0, tg_xxyyyyy_xyyyyzzz_1, \
                                         tg_xxyyyyy_xyyyzzz_1, tg_xxyyyyy_xyyyzzzz_0, tg_xxyyyyy_xyyyzzzz_1, \
                                         tg_xxyyyyy_xyyzzzz_1, tg_xxyyyyy_xyyzzzzz_0, tg_xxyyyyy_xyyzzzzz_1, \
                                         tg_xxyyyyy_xyzzzzz_1, tg_xxyyyyy_xyzzzzzz_0, tg_xxyyyyy_xyzzzzzz_1, \
                                         tg_xxyyyyy_xzzzzzz_1, tg_xxyyyyy_xzzzzzzz_0, tg_xxyyyyy_xzzzzzzz_1, \
                                         tg_xxyyyyy_yyyyyyy_1, tg_xxyyyyy_yyyyyyyy_0, tg_xxyyyyy_yyyyyyyy_1, \
                                         tg_xxyyyyy_yyyyyyyz_0, tg_xxyyyyy_yyyyyyyz_1, tg_xxyyyyy_yyyyyyz_1, \
                                         tg_xxyyyyy_yyyyyyzz_0, tg_xxyyyyy_yyyyyyzz_1, tg_xxyyyyy_yyyyyzz_1, \
                                         tg_xxyyyyy_yyyyyzzz_0, tg_xxyyyyy_yyyyyzzz_1, tg_xxyyyyy_yyyyzzz_1, \
                                         tg_xxyyyyy_yyyyzzzz_0, tg_xxyyyyy_yyyyzzzz_1, tg_xxyyyyy_yyyzzzz_1, \
                                         tg_xxyyyyy_yyyzzzzz_0, tg_xxyyyyy_yyyzzzzz_1, tg_xxyyyyy_yyzzzzz_1, \
                                         tg_xxyyyyy_yyzzzzzz_0, tg_xxyyyyy_yyzzzzzz_1, tg_xxyyyyy_yzzzzzz_1, \
                                         tg_xxyyyyy_yzzzzzzz_0, tg_xxyyyyy_yzzzzzzz_1, tg_xxyyyyy_zzzzzzz_1, \
                                         tg_xxyyyyy_zzzzzzzz_0, tg_xxyyyyy_zzzzzzzz_1, tg_xxyyyyz_xxxxxxx_1, \
                                         tg_xxyyyyz_xxxxxxxx_0, tg_xxyyyyz_xxxxxxxx_1, tg_xxyyyyz_xxxxxxxy_0, \
                                         tg_xxyyyyz_xxxxxxxy_1, tg_xxyyyyz_xxxxxxxz_0, tg_xxyyyyz_xxxxxxxz_1, \
                                         tg_xxyyyyz_xxxxxxy_1, tg_xxyyyyz_xxxxxxyy_0, tg_xxyyyyz_xxxxxxyy_1, \
                                         tg_xxyyyyz_xxxxxxyz_0, tg_xxyyyyz_xxxxxxyz_1, tg_xxyyyyz_xxxxxxz_1, \
                                         tg_xxyyyyz_xxxxxxzz_0, tg_xxyyyyz_xxxxxxzz_1, tg_xxyyyyz_xxxxxyy_1, \
                                         tg_xxyyyyz_xxxxxyyy_0, tg_xxyyyyz_xxxxxyyy_1, tg_xxyyyyz_xxxxxyyz_0, \
                                         tg_xxyyyyz_xxxxxyyz_1, tg_xxyyyyz_xxxxxyz_1, tg_xxyyyyz_xxxxxyzz_0, \
                                         tg_xxyyyyz_xxxxxyzz_1, tg_xxyyyyz_xxxxxzz_1, tg_xxyyyyz_xxxxxzzz_0, \
                                         tg_xxyyyyz_xxxxxzzz_1, tg_xxyyyyz_xxxxyyy_1, tg_xxyyyyz_xxxxyyyy_0, \
                                         tg_xxyyyyz_xxxxyyyy_1, tg_xxyyyyz_xxxxyyyz_0, tg_xxyyyyz_xxxxyyyz_1, \
                                         tg_xxyyyyz_xxxxyyz_1, tg_xxyyyyz_xxxxyyzz_0, tg_xxyyyyz_xxxxyyzz_1, \
                                         tg_xxyyyyz_xxxxyzz_1, tg_xxyyyyz_xxxxyzzz_0, tg_xxyyyyz_xxxxyzzz_1, \
                                         tg_xxyyyyz_xxxxzzz_1, tg_xxyyyyz_xxxxzzzz_0, tg_xxyyyyz_xxxxzzzz_1, \
                                         tg_xxyyyyz_xxxyyyy_1, tg_xxyyyyz_xxxyyyyy_0, tg_xxyyyyz_xxxyyyyy_1, \
                                         tg_xxyyyyz_xxxyyyyz_0, tg_xxyyyyz_xxxyyyyz_1, tg_xxyyyyz_xxxyyyz_1, \
                                         tg_xxyyyyz_xxxyyyzz_0, tg_xxyyyyz_xxxyyyzz_1, tg_xxyyyyz_xxxyyzz_1, \
                                         tg_xxyyyyz_xxxyyzzz_0, tg_xxyyyyz_xxxyyzzz_1, tg_xxyyyyz_xxxyzzz_1, \
                                         tg_xxyyyyz_xxxyzzzz_0, tg_xxyyyyz_xxxyzzzz_1, tg_xxyyyyz_xxxzzzz_1, \
                                         tg_xxyyyyz_xxxzzzzz_0, tg_xxyyyyz_xxxzzzzz_1, tg_xxyyyyz_xxyyyyy_1, \
                                         tg_xxyyyyz_xxyyyyyy_0, tg_xxyyyyz_xxyyyyyy_1, tg_xxyyyyz_xxyyyyyz_0, \
                                         tg_xxyyyyz_xxyyyyyz_1, tg_xxyyyyz_xxyyyyz_1, tg_xxyyyyz_xxyyyyzz_0, \
                                         tg_xxyyyyz_xxyyyyzz_1, tg_xxyyyyz_xxyyyzz_1, tg_xxyyyyz_xxyyyzzz_0, \
                                         tg_xxyyyyz_xxyyyzzz_1, tg_xxyyyyz_xxyyzzz_1, tg_xxyyyyz_xxyyzzzz_0, \
                                         tg_xxyyyyz_xxyyzzzz_1, tg_xxyyyyz_xxyzzzz_1, tg_xxyyyyz_xxyzzzzz_0, \
                                         tg_xxyyyyz_xxyzzzzz_1, tg_xxyyyyz_xxzzzzz_1, tg_xxyyyyz_xxzzzzzz_0, \
                                         tg_xxyyyyz_xxzzzzzz_1, tg_xxyyyyz_xyyyyyy_1, tg_xxyyyyz_xyyyyyyy_0, \
                                         tg_xxyyyyz_xyyyyyyy_1, tg_xxyyyyz_xyyyyyyz_0, tg_xxyyyyz_xyyyyyyz_1, \
                                         tg_xxyyyyz_xyyyyyz_1, tg_xxyyyyz_xyyyyyzz_0, tg_xxyyyyz_xyyyyyzz_1, \
                                         tg_xxyyyyz_xyyyyzz_1, tg_xxyyyyz_xyyyyzzz_0, tg_xxyyyyz_xyyyyzzz_1, \
                                         tg_xxyyyyz_xyyyzzz_1, tg_xxyyyyz_xyyyzzzz_0, tg_xxyyyyz_xyyyzzzz_1, \
                                         tg_xxyyyyz_xyyzzzz_1, tg_xxyyyyz_xyyzzzzz_0, tg_xxyyyyz_xyyzzzzz_1, \
                                         tg_xxyyyyz_xyzzzzz_1, tg_xxyyyyz_xyzzzzzz_0, tg_xxyyyyz_xyzzzzzz_1, \
                                         tg_xxyyyyz_xzzzzzz_1, tg_xxyyyyz_xzzzzzzz_0, tg_xxyyyyz_xzzzzzzz_1, \
                                         tg_xxyyyyz_yyyyyyy_1, tg_xxyyyyz_yyyyyyyy_0, tg_xxyyyyz_yyyyyyyy_1, \
                                         tg_xxyyyyz_yyyyyyyz_0, tg_xxyyyyz_yyyyyyyz_1, tg_xxyyyyz_yyyyyyz_1, \
                                         tg_xxyyyyz_yyyyyyzz_0, tg_xxyyyyz_yyyyyyzz_1, tg_xxyyyyz_yyyyyzz_1, \
                                         tg_xxyyyyz_yyyyyzzz_0, tg_xxyyyyz_yyyyyzzz_1, tg_xxyyyyz_yyyyzzz_1, \
                                         tg_xxyyyyz_yyyyzzzz_0, tg_xxyyyyz_yyyyzzzz_1, tg_xxyyyyz_yyyzzzz_1, \
                                         tg_xxyyyyz_yyyzzzzz_0, tg_xxyyyyz_yyyzzzzz_1, tg_xxyyyyz_yyzzzzz_1, \
                                         tg_xxyyyyz_yyzzzzzz_0, tg_xxyyyyz_yyzzzzzz_1, tg_xxyyyyz_yzzzzzz_1, \
                                         tg_xxyyyyz_yzzzzzzz_0, tg_xxyyyyz_yzzzzzzz_1, tg_xxyyyyz_zzzzzzz_1, \
                                         tg_xxyyyyz_zzzzzzzz_0, tg_xxyyyyz_zzzzzzzz_1, tg_xxyyyzz_xxxxxxx_1, \
                                         tg_xxyyyzz_xxxxxxxx_0, tg_xxyyyzz_xxxxxxxx_1, tg_xxyyyzz_xxxxxxxy_0, \
                                         tg_xxyyyzz_xxxxxxxy_1, tg_xxyyyzz_xxxxxxxz_0, tg_xxyyyzz_xxxxxxxz_1, \
                                         tg_xxyyyzz_xxxxxxy_1, tg_xxyyyzz_xxxxxxyy_0, tg_xxyyyzz_xxxxxxyy_1, \
                                         tg_xxyyyzz_xxxxxxyz_0, tg_xxyyyzz_xxxxxxyz_1, tg_xxyyyzz_xxxxxxz_1, \
                                         tg_xxyyyzz_xxxxxxzz_0, tg_xxyyyzz_xxxxxxzz_1, tg_xxyyyzz_xxxxxyy_1, \
                                         tg_xxyyyzz_xxxxxyyy_0, tg_xxyyyzz_xxxxxyyy_1, tg_xxyyyzz_xxxxxyyz_0, \
                                         tg_xxyyyzz_xxxxxyyz_1, tg_xxyyyzz_xxxxxyz_1, tg_xxyyyzz_xxxxxyzz_0, \
                                         tg_xxyyyzz_xxxxxyzz_1, tg_xxyyyzz_xxxxxzz_1, tg_xxyyyzz_xxxxxzzz_0, \
                                         tg_xxyyyzz_xxxxxzzz_1, tg_xxyyyzz_xxxxyyy_1, tg_xxyyyzz_xxxxyyyy_0, \
                                         tg_xxyyyzz_xxxxyyyy_1, tg_xxyyyzz_xxxxyyz_1, tg_xxyyyzz_xxxxyzz_1, tg_xxyyyzz_xxxxzzz_1, \
                                         tg_xxyyyzz_xxxyyyy_1, tg_xyyyyy_xxxxxxyz_0, tg_xyyyyy_xxxxxxyz_1, tg_xyyyyy_xxxxxxzz_0, \
                                         tg_xyyyyy_xxxxxxzz_1, tg_xyyyyy_xxxxxyyy_0, tg_xyyyyy_xxxxxyyy_1, tg_xyyyyy_xxxxxyyz_0, \
                                         tg_xyyyyy_xxxxxyyz_1, tg_xyyyyy_xxxxxyzz_0, tg_xyyyyy_xxxxxyzz_1, tg_xyyyyy_xxxxxzzz_0, \
                                         tg_xyyyyy_xxxxxzzz_1, tg_xyyyyy_xxxxyyyy_0, tg_xyyyyy_xxxxyyyy_1, tg_xyyyyy_xxxxyyyz_0, \
                                         tg_xyyyyy_xxxxyyyz_1, tg_xyyyyy_xxxxyyzz_0, tg_xyyyyy_xxxxyyzz_1, tg_xyyyyy_xxxxyzzz_0, \
                                         tg_xyyyyy_xxxxyzzz_1, tg_xyyyyy_xxxxzzzz_0, tg_xyyyyy_xxxxzzzz_1, tg_xyyyyy_xxxyyyyy_0, \
                                         tg_xyyyyy_xxxyyyyy_1, tg_xyyyyy_xxxyyyyz_0, tg_xyyyyy_xxxyyyyz_1, tg_xyyyyy_xxxyyyzz_0, \
                                         tg_xyyyyy_xxxyyyzz_1, tg_xyyyyy_xxxyyzzz_0, tg_xyyyyy_xxxyyzzz_1, tg_xyyyyy_xxxyzzzz_0, \
                                         tg_xyyyyy_xxxyzzzz_1, tg_xyyyyy_xxxzzzzz_0, tg_xyyyyy_xxxzzzzz_1, tg_xyyyyy_xxyyyyyy_0, \
                                         tg_xyyyyy_xxyyyyyy_1, tg_xyyyyy_xxyyyyyz_0, tg_xyyyyy_xxyyyyyz_1, tg_xyyyyy_xxyyyyzz_0, \
                                         tg_xyyyyy_xxyyyyzz_1, tg_xyyyyy_xxyyyzzz_0, tg_xyyyyy_xxyyyzzz_1, tg_xyyyyy_xxyyzzzz_0, \
                                         tg_xyyyyy_xxyyzzzz_1, tg_xyyyyy_xxyzzzzz_0, tg_xyyyyy_xxyzzzzz_1, tg_xyyyyy_xxzzzzzz_0, \
                                         tg_xyyyyy_xxzzzzzz_1, tg_xyyyyy_xyyyyyyy_0, tg_xyyyyy_xyyyyyyy_1, tg_xyyyyy_xyyyyyyz_0, \
                                         tg_xyyyyy_xyyyyyyz_1, tg_xyyyyy_xyyyyyzz_0, tg_xyyyyy_xyyyyyzz_1, tg_xyyyyy_xyyyyzzz_0, \
                                         tg_xyyyyy_xyyyyzzz_1, tg_xyyyyy_xyyyzzzz_0, tg_xyyyyy_xyyyzzzz_1, tg_xyyyyy_xyyzzzzz_0, \
                                         tg_xyyyyy_xyyzzzzz_1, tg_xyyyyy_xyzzzzzz_0, tg_xyyyyy_xyzzzzzz_1, tg_xyyyyy_xzzzzzzz_0, \
                                         tg_xyyyyy_xzzzzzzz_1, tg_xyyyyy_yyyyyyyy_0, tg_xyyyyy_yyyyyyyy_1, tg_xyyyyy_yyyyyyyz_0, \
                                         tg_xyyyyy_yyyyyyyz_1, tg_xyyyyy_yyyyyyzz_0, tg_xyyyyy_yyyyyyzz_1, tg_xyyyyy_yyyyyzzz_0, \
                                         tg_xyyyyy_yyyyyzzz_1, tg_xyyyyy_yyyyzzzz_0, tg_xyyyyy_yyyyzzzz_1, tg_xyyyyy_yyyzzzzz_0, \
                                         tg_xyyyyy_yyyzzzzz_1, tg_xyyyyy_yyzzzzzz_0, tg_xyyyyy_yyzzzzzz_1, tg_xyyyyy_yzzzzzzz_0, \
                                         tg_xyyyyy_yzzzzzzz_1, tg_xyyyyy_zzzzzzzz_0, tg_xyyyyy_zzzzzzzz_1, tg_xyyyyz_xxxxxxxx_0, \
                                         tg_xyyyyz_xxxxxxxx_1, tg_xyyyyz_xxxxxxxy_0, tg_xyyyyz_xxxxxxxy_1, tg_xyyyyz_xxxxxxxz_0, \
                                         tg_xyyyyz_xxxxxxxz_1, tg_xyyyyz_xxxxxxyy_0, tg_xyyyyz_xxxxxxyy_1, tg_xyyyyz_xxxxxxyz_0, \
                                         tg_xyyyyz_xxxxxxyz_1, tg_xyyyyz_xxxxxxzz_0, tg_xyyyyz_xxxxxxzz_1, tg_xyyyyz_xxxxxyyy_0, \
                                         tg_xyyyyz_xxxxxyyy_1, tg_xyyyyz_xxxxxyyz_0, tg_xyyyyz_xxxxxyyz_1, tg_xyyyyz_xxxxxyzz_0, \
                                         tg_xyyyyz_xxxxxyzz_1, tg_xyyyyz_xxxxxzzz_0, tg_xyyyyz_xxxxxzzz_1, tg_xyyyyz_xxxxyyyy_0, \
                                         tg_xyyyyz_xxxxyyyy_1, tg_xyyyyz_xxxxyyyz_0, tg_xyyyyz_xxxxyyyz_1, tg_xyyyyz_xxxxyyzz_0, \
                                         tg_xyyyyz_xxxxyyzz_1, tg_xyyyyz_xxxxyzzz_0, tg_xyyyyz_xxxxyzzz_1, tg_xyyyyz_xxxxzzzz_0, \
                                         tg_xyyyyz_xxxxzzzz_1, tg_xyyyyz_xxxyyyyy_0, tg_xyyyyz_xxxyyyyy_1, tg_xyyyyz_xxxyyyyz_0, \
                                         tg_xyyyyz_xxxyyyyz_1, tg_xyyyyz_xxxyyyzz_0, tg_xyyyyz_xxxyyyzz_1, tg_xyyyyz_xxxyyzzz_0, \
                                         tg_xyyyyz_xxxyyzzz_1, tg_xyyyyz_xxxyzzzz_0, tg_xyyyyz_xxxyzzzz_1, tg_xyyyyz_xxxzzzzz_0, \
                                         tg_xyyyyz_xxxzzzzz_1, tg_xyyyyz_xxyyyyyy_0, tg_xyyyyz_xxyyyyyy_1, tg_xyyyyz_xxyyyyyz_0, \
                                         tg_xyyyyz_xxyyyyyz_1, tg_xyyyyz_xxyyyyzz_0, tg_xyyyyz_xxyyyyzz_1, tg_xyyyyz_xxyyyzzz_0, \
                                         tg_xyyyyz_xxyyyzzz_1, tg_xyyyyz_xxyyzzzz_0, tg_xyyyyz_xxyyzzzz_1, tg_xyyyyz_xxyzzzzz_0, \
                                         tg_xyyyyz_xxyzzzzz_1, tg_xyyyyz_xxzzzzzz_0, tg_xyyyyz_xxzzzzzz_1, tg_xyyyyz_xyyyyyyy_0, \
                                         tg_xyyyyz_xyyyyyyy_1, tg_xyyyyz_xyyyyyyz_0, tg_xyyyyz_xyyyyyyz_1, tg_xyyyyz_xyyyyyzz_0, \
                                         tg_xyyyyz_xyyyyyzz_1, tg_xyyyyz_xyyyyzzz_0, tg_xyyyyz_xyyyyzzz_1, tg_xyyyyz_xyyyzzzz_0, \
                                         tg_xyyyyz_xyyyzzzz_1, tg_xyyyyz_xyyzzzzz_0, tg_xyyyyz_xyyzzzzz_1, tg_xyyyyz_xyzzzzzz_0, \
                                         tg_xyyyyz_xyzzzzzz_1, tg_xyyyyz_xzzzzzzz_0, tg_xyyyyz_xzzzzzzz_1, tg_xyyyyz_yyyyyyyy_0, \
                                         tg_xyyyyz_yyyyyyyy_1, tg_xyyyyz_yyyyyyyz_0, tg_xyyyyz_yyyyyyyz_1, tg_xyyyyz_yyyyyyzz_0, \
                                         tg_xyyyyz_yyyyyyzz_1, tg_xyyyyz_yyyyyzzz_0, tg_xyyyyz_yyyyyzzz_1, tg_xyyyyz_yyyyzzzz_0, \
                                         tg_xyyyyz_yyyyzzzz_1, tg_xyyyyz_yyyzzzzz_0, tg_xyyyyz_yyyzzzzz_1, tg_xyyyyz_yyzzzzzz_0, \
                                         tg_xyyyyz_yyzzzzzz_1, tg_xyyyyz_yzzzzzzz_0, tg_xyyyyz_yzzzzzzz_1, tg_xyyyyz_zzzzzzzz_0, \
                                         tg_xyyyyz_zzzzzzzz_1, tg_xyyyzz_xxxxxxxx_0, tg_xyyyzz_xxxxxxxx_1, tg_xyyyzz_xxxxxxxy_0, \
                                         tg_xyyyzz_xxxxxxxy_1, tg_xyyyzz_xxxxxxxz_0, tg_xyyyzz_xxxxxxxz_1, tg_xyyyzz_xxxxxxyy_0, \
                                         tg_xyyyzz_xxxxxxyy_1, tg_xyyyzz_xxxxxxyz_0, tg_xyyyzz_xxxxxxyz_1, tg_xyyyzz_xxxxxxzz_0, \
                                         tg_xyyyzz_xxxxxxzz_1, tg_xyyyzz_xxxxxyyy_0, tg_xyyyzz_xxxxxyyy_1, tg_xyyyzz_xxxxxyyz_0, \
                                         tg_xyyyzz_xxxxxyyz_1, tg_xyyyzz_xxxxxyzz_0, tg_xyyyzz_xxxxxyzz_1, tg_xyyyzz_xxxxxzzz_0, \
                                         tg_xyyyzz_xxxxxzzz_1, tg_xyyyzz_xxxxyyyy_0, tg_xyyyzz_xxxxyyyy_1, wp_x: VLX_ALIGN)
                for (int32_t j = 0; j < nKetPrimPairs; j++)
                {
                    double fl1_fx = fx;

                    double fl1_fxn = fxn[j];

                    double fl1_fza = fza[j];

                    double fr = wp_x[j]; 

                    tg_xxxyyyyy_xxxxxxyz_0[j] = pb_x * tg_xxyyyyy_xxxxxxyz_0[j] + fr * tg_xxyyyyy_xxxxxxyz_1[j] + fl1_fx * (tg_xyyyyy_xxxxxxyz_0[j] - tg_xyyyyy_xxxxxxyz_1[j] * fl1_fza) + 3.0 * fl1_fxn * tg_xxyyyyy_xxxxxyz_1[j];

                    tg_xxxyyyyy_xxxxxxzz_0[j] = pb_x * tg_xxyyyyy_xxxxxxzz_0[j] + fr * tg_xxyyyyy_xxxxxxzz_1[j] + fl1_fx * (tg_xyyyyy_xxxxxxzz_0[j] - tg_xyyyyy_xxxxxxzz_1[j] * fl1_fza) + 3.0 * fl1_fxn * tg_xxyyyyy_xxxxxzz_1[j];

                    tg_xxxyyyyy_xxxxxyyy_0[j] = pb_x * tg_xxyyyyy_xxxxxyyy_0[j] + fr * tg_xxyyyyy_xxxxxyyy_1[j] + fl1_fx * (tg_xyyyyy_xxxxxyyy_0[j] - tg_xyyyyy_xxxxxyyy_1[j] * fl1_fza) + 2.5 * fl1_fxn * tg_xxyyyyy_xxxxyyy_1[j];

                    tg_xxxyyyyy_xxxxxyyz_0[j] = pb_x * tg_xxyyyyy_xxxxxyyz_0[j] + fr * tg_xxyyyyy_xxxxxyyz_1[j] + fl1_fx * (tg_xyyyyy_xxxxxyyz_0[j] - tg_xyyyyy_xxxxxyyz_1[j] * fl1_fza) + 2.5 * fl1_fxn * tg_xxyyyyy_xxxxyyz_1[j];

                    tg_xxxyyyyy_xxxxxyzz_0[j] = pb_x * tg_xxyyyyy_xxxxxyzz_0[j] + fr * tg_xxyyyyy_xxxxxyzz_1[j] + fl1_fx * (tg_xyyyyy_xxxxxyzz_0[j] - tg_xyyyyy_xxxxxyzz_1[j] * fl1_fza) + 2.5 * fl1_fxn * tg_xxyyyyy_xxxxyzz_1[j];

                    tg_xxxyyyyy_xxxxxzzz_0[j] = pb_x * tg_xxyyyyy_xxxxxzzz_0[j] + fr * tg_xxyyyyy_xxxxxzzz_1[j] + fl1_fx * (tg_xyyyyy_xxxxxzzz_0[j] - tg_xyyyyy_xxxxxzzz_1[j] * fl1_fza) + 2.5 * fl1_fxn * tg_xxyyyyy_xxxxzzz_1[j];

                    tg_xxxyyyyy_xxxxyyyy_0[j] = pb_x * tg_xxyyyyy_xxxxyyyy_0[j] + fr * tg_xxyyyyy_xxxxyyyy_1[j] + fl1_fx * (tg_xyyyyy_xxxxyyyy_0[j] - tg_xyyyyy_xxxxyyyy_1[j] * fl1_fza) + 2.0 * fl1_fxn * tg_xxyyyyy_xxxyyyy_1[j];

                    tg_xxxyyyyy_xxxxyyyz_0[j] = pb_x * tg_xxyyyyy_xxxxyyyz_0[j] + fr * tg_xxyyyyy_xxxxyyyz_1[j] + fl1_fx * (tg_xyyyyy_xxxxyyyz_0[j] - tg_xyyyyy_xxxxyyyz_1[j] * fl1_fza) + 2.0 * fl1_fxn * tg_xxyyyyy_xxxyyyz_1[j];

                    tg_xxxyyyyy_xxxxyyzz_0[j] = pb_x * tg_xxyyyyy_xxxxyyzz_0[j] + fr * tg_xxyyyyy_xxxxyyzz_1[j] + fl1_fx * (tg_xyyyyy_xxxxyyzz_0[j] - tg_xyyyyy_xxxxyyzz_1[j] * fl1_fza) + 2.0 * fl1_fxn * tg_xxyyyyy_xxxyyzz_1[j];

                    tg_xxxyyyyy_xxxxyzzz_0[j] = pb_x * tg_xxyyyyy_xxxxyzzz_0[j] + fr * tg_xxyyyyy_xxxxyzzz_1[j] + fl1_fx * (tg_xyyyyy_xxxxyzzz_0[j] - tg_xyyyyy_xxxxyzzz_1[j] * fl1_fza) + 2.0 * fl1_fxn * tg_xxyyyyy_xxxyzzz_1[j];

                    tg_xxxyyyyy_xxxxzzzz_0[j] = pb_x * tg_xxyyyyy_xxxxzzzz_0[j] + fr * tg_xxyyyyy_xxxxzzzz_1[j] + fl1_fx * (tg_xyyyyy_xxxxzzzz_0[j] - tg_xyyyyy_xxxxzzzz_1[j] * fl1_fza) + 2.0 * fl1_fxn * tg_xxyyyyy_xxxzzzz_1[j];

                    tg_xxxyyyyy_xxxyyyyy_0[j] = pb_x * tg_xxyyyyy_xxxyyyyy_0[j] + fr * tg_xxyyyyy_xxxyyyyy_1[j] + fl1_fx * (tg_xyyyyy_xxxyyyyy_0[j] - tg_xyyyyy_xxxyyyyy_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_xxyyyyy_xxyyyyy_1[j];

                    tg_xxxyyyyy_xxxyyyyz_0[j] = pb_x * tg_xxyyyyy_xxxyyyyz_0[j] + fr * tg_xxyyyyy_xxxyyyyz_1[j] + fl1_fx * (tg_xyyyyy_xxxyyyyz_0[j] - tg_xyyyyy_xxxyyyyz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_xxyyyyy_xxyyyyz_1[j];

                    tg_xxxyyyyy_xxxyyyzz_0[j] = pb_x * tg_xxyyyyy_xxxyyyzz_0[j] + fr * tg_xxyyyyy_xxxyyyzz_1[j] + fl1_fx * (tg_xyyyyy_xxxyyyzz_0[j] - tg_xyyyyy_xxxyyyzz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_xxyyyyy_xxyyyzz_1[j];

                    tg_xxxyyyyy_xxxyyzzz_0[j] = pb_x * tg_xxyyyyy_xxxyyzzz_0[j] + fr * tg_xxyyyyy_xxxyyzzz_1[j] + fl1_fx * (tg_xyyyyy_xxxyyzzz_0[j] - tg_xyyyyy_xxxyyzzz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_xxyyyyy_xxyyzzz_1[j];

                    tg_xxxyyyyy_xxxyzzzz_0[j] = pb_x * tg_xxyyyyy_xxxyzzzz_0[j] + fr * tg_xxyyyyy_xxxyzzzz_1[j] + fl1_fx * (tg_xyyyyy_xxxyzzzz_0[j] - tg_xyyyyy_xxxyzzzz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_xxyyyyy_xxyzzzz_1[j];

                    tg_xxxyyyyy_xxxzzzzz_0[j] = pb_x * tg_xxyyyyy_xxxzzzzz_0[j] + fr * tg_xxyyyyy_xxxzzzzz_1[j] + fl1_fx * (tg_xyyyyy_xxxzzzzz_0[j] - tg_xyyyyy_xxxzzzzz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_xxyyyyy_xxzzzzz_1[j];

                    tg_xxxyyyyy_xxyyyyyy_0[j] = pb_x * tg_xxyyyyy_xxyyyyyy_0[j] + fr * tg_xxyyyyy_xxyyyyyy_1[j] + fl1_fx * (tg_xyyyyy_xxyyyyyy_0[j] - tg_xyyyyy_xxyyyyyy_1[j] * fl1_fza) + fl1_fxn * tg_xxyyyyy_xyyyyyy_1[j];

                    tg_xxxyyyyy_xxyyyyyz_0[j] = pb_x * tg_xxyyyyy_xxyyyyyz_0[j] + fr * tg_xxyyyyy_xxyyyyyz_1[j] + fl1_fx * (tg_xyyyyy_xxyyyyyz_0[j] - tg_xyyyyy_xxyyyyyz_1[j] * fl1_fza) + fl1_fxn * tg_xxyyyyy_xyyyyyz_1[j];

                    tg_xxxyyyyy_xxyyyyzz_0[j] = pb_x * tg_xxyyyyy_xxyyyyzz_0[j] + fr * tg_xxyyyyy_xxyyyyzz_1[j] + fl1_fx * (tg_xyyyyy_xxyyyyzz_0[j] - tg_xyyyyy_xxyyyyzz_1[j] * fl1_fza) + fl1_fxn * tg_xxyyyyy_xyyyyzz_1[j];

                    tg_xxxyyyyy_xxyyyzzz_0[j] = pb_x * tg_xxyyyyy_xxyyyzzz_0[j] + fr * tg_xxyyyyy_xxyyyzzz_1[j] + fl1_fx * (tg_xyyyyy_xxyyyzzz_0[j] - tg_xyyyyy_xxyyyzzz_1[j] * fl1_fza) + fl1_fxn * tg_xxyyyyy_xyyyzzz_1[j];

                    tg_xxxyyyyy_xxyyzzzz_0[j] = pb_x * tg_xxyyyyy_xxyyzzzz_0[j] + fr * tg_xxyyyyy_xxyyzzzz_1[j] + fl1_fx * (tg_xyyyyy_xxyyzzzz_0[j] - tg_xyyyyy_xxyyzzzz_1[j] * fl1_fza) + fl1_fxn * tg_xxyyyyy_xyyzzzz_1[j];

                    tg_xxxyyyyy_xxyzzzzz_0[j] = pb_x * tg_xxyyyyy_xxyzzzzz_0[j] + fr * tg_xxyyyyy_xxyzzzzz_1[j] + fl1_fx * (tg_xyyyyy_xxyzzzzz_0[j] - tg_xyyyyy_xxyzzzzz_1[j] * fl1_fza) + fl1_fxn * tg_xxyyyyy_xyzzzzz_1[j];

                    tg_xxxyyyyy_xxzzzzzz_0[j] = pb_x * tg_xxyyyyy_xxzzzzzz_0[j] + fr * tg_xxyyyyy_xxzzzzzz_1[j] + fl1_fx * (tg_xyyyyy_xxzzzzzz_0[j] - tg_xyyyyy_xxzzzzzz_1[j] * fl1_fza) + fl1_fxn * tg_xxyyyyy_xzzzzzz_1[j];

                    tg_xxxyyyyy_xyyyyyyy_0[j] = pb_x * tg_xxyyyyy_xyyyyyyy_0[j] + fr * tg_xxyyyyy_xyyyyyyy_1[j] + fl1_fx * (tg_xyyyyy_xyyyyyyy_0[j] - tg_xyyyyy_xyyyyyyy_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xxyyyyy_yyyyyyy_1[j];

                    tg_xxxyyyyy_xyyyyyyz_0[j] = pb_x * tg_xxyyyyy_xyyyyyyz_0[j] + fr * tg_xxyyyyy_xyyyyyyz_1[j] + fl1_fx * (tg_xyyyyy_xyyyyyyz_0[j] - tg_xyyyyy_xyyyyyyz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xxyyyyy_yyyyyyz_1[j];

                    tg_xxxyyyyy_xyyyyyzz_0[j] = pb_x * tg_xxyyyyy_xyyyyyzz_0[j] + fr * tg_xxyyyyy_xyyyyyzz_1[j] + fl1_fx * (tg_xyyyyy_xyyyyyzz_0[j] - tg_xyyyyy_xyyyyyzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xxyyyyy_yyyyyzz_1[j];

                    tg_xxxyyyyy_xyyyyzzz_0[j] = pb_x * tg_xxyyyyy_xyyyyzzz_0[j] + fr * tg_xxyyyyy_xyyyyzzz_1[j] + fl1_fx * (tg_xyyyyy_xyyyyzzz_0[j] - tg_xyyyyy_xyyyyzzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xxyyyyy_yyyyzzz_1[j];

                    tg_xxxyyyyy_xyyyzzzz_0[j] = pb_x * tg_xxyyyyy_xyyyzzzz_0[j] + fr * tg_xxyyyyy_xyyyzzzz_1[j] + fl1_fx * (tg_xyyyyy_xyyyzzzz_0[j] - tg_xyyyyy_xyyyzzzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xxyyyyy_yyyzzzz_1[j];

                    tg_xxxyyyyy_xyyzzzzz_0[j] = pb_x * tg_xxyyyyy_xyyzzzzz_0[j] + fr * tg_xxyyyyy_xyyzzzzz_1[j] + fl1_fx * (tg_xyyyyy_xyyzzzzz_0[j] - tg_xyyyyy_xyyzzzzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xxyyyyy_yyzzzzz_1[j];

                    tg_xxxyyyyy_xyzzzzzz_0[j] = pb_x * tg_xxyyyyy_xyzzzzzz_0[j] + fr * tg_xxyyyyy_xyzzzzzz_1[j] + fl1_fx * (tg_xyyyyy_xyzzzzzz_0[j] - tg_xyyyyy_xyzzzzzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xxyyyyy_yzzzzzz_1[j];

                    tg_xxxyyyyy_xzzzzzzz_0[j] = pb_x * tg_xxyyyyy_xzzzzzzz_0[j] + fr * tg_xxyyyyy_xzzzzzzz_1[j] + fl1_fx * (tg_xyyyyy_xzzzzzzz_0[j] - tg_xyyyyy_xzzzzzzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xxyyyyy_zzzzzzz_1[j];

                    tg_xxxyyyyy_yyyyyyyy_0[j] = pb_x * tg_xxyyyyy_yyyyyyyy_0[j] + fr * tg_xxyyyyy_yyyyyyyy_1[j] + fl1_fx * (tg_xyyyyy_yyyyyyyy_0[j] - tg_xyyyyy_yyyyyyyy_1[j] * fl1_fza);

                    tg_xxxyyyyy_yyyyyyyz_0[j] = pb_x * tg_xxyyyyy_yyyyyyyz_0[j] + fr * tg_xxyyyyy_yyyyyyyz_1[j] + fl1_fx * (tg_xyyyyy_yyyyyyyz_0[j] - tg_xyyyyy_yyyyyyyz_1[j] * fl1_fza);

                    tg_xxxyyyyy_yyyyyyzz_0[j] = pb_x * tg_xxyyyyy_yyyyyyzz_0[j] + fr * tg_xxyyyyy_yyyyyyzz_1[j] + fl1_fx * (tg_xyyyyy_yyyyyyzz_0[j] - tg_xyyyyy_yyyyyyzz_1[j] * fl1_fza);

                    tg_xxxyyyyy_yyyyyzzz_0[j] = pb_x * tg_xxyyyyy_yyyyyzzz_0[j] + fr * tg_xxyyyyy_yyyyyzzz_1[j] + fl1_fx * (tg_xyyyyy_yyyyyzzz_0[j] - tg_xyyyyy_yyyyyzzz_1[j] * fl1_fza);

                    tg_xxxyyyyy_yyyyzzzz_0[j] = pb_x * tg_xxyyyyy_yyyyzzzz_0[j] + fr * tg_xxyyyyy_yyyyzzzz_1[j] + fl1_fx * (tg_xyyyyy_yyyyzzzz_0[j] - tg_xyyyyy_yyyyzzzz_1[j] * fl1_fza);

                    tg_xxxyyyyy_yyyzzzzz_0[j] = pb_x * tg_xxyyyyy_yyyzzzzz_0[j] + fr * tg_xxyyyyy_yyyzzzzz_1[j] + fl1_fx * (tg_xyyyyy_yyyzzzzz_0[j] - tg_xyyyyy_yyyzzzzz_1[j] * fl1_fza);

                    tg_xxxyyyyy_yyzzzzzz_0[j] = pb_x * tg_xxyyyyy_yyzzzzzz_0[j] + fr * tg_xxyyyyy_yyzzzzzz_1[j] + fl1_fx * (tg_xyyyyy_yyzzzzzz_0[j] - tg_xyyyyy_yyzzzzzz_1[j] * fl1_fza);

                    tg_xxxyyyyy_yzzzzzzz_0[j] = pb_x * tg_xxyyyyy_yzzzzzzz_0[j] + fr * tg_xxyyyyy_yzzzzzzz_1[j] + fl1_fx * (tg_xyyyyy_yzzzzzzz_0[j] - tg_xyyyyy_yzzzzzzz_1[j] * fl1_fza);

                    tg_xxxyyyyy_zzzzzzzz_0[j] = pb_x * tg_xxyyyyy_zzzzzzzz_0[j] + fr * tg_xxyyyyy_zzzzzzzz_1[j] + fl1_fx * (tg_xyyyyy_zzzzzzzz_0[j] - tg_xyyyyy_zzzzzzzz_1[j] * fl1_fza);

                    tg_xxxyyyyz_xxxxxxxx_0[j] = pb_x * tg_xxyyyyz_xxxxxxxx_0[j] + fr * tg_xxyyyyz_xxxxxxxx_1[j] + fl1_fx * (tg_xyyyyz_xxxxxxxx_0[j] - tg_xyyyyz_xxxxxxxx_1[j] * fl1_fza) + 4.0 * fl1_fxn * tg_xxyyyyz_xxxxxxx_1[j];

                    tg_xxxyyyyz_xxxxxxxy_0[j] = pb_x * tg_xxyyyyz_xxxxxxxy_0[j] + fr * tg_xxyyyyz_xxxxxxxy_1[j] + fl1_fx * (tg_xyyyyz_xxxxxxxy_0[j] - tg_xyyyyz_xxxxxxxy_1[j] * fl1_fza) + 3.5 * fl1_fxn * tg_xxyyyyz_xxxxxxy_1[j];

                    tg_xxxyyyyz_xxxxxxxz_0[j] = pb_x * tg_xxyyyyz_xxxxxxxz_0[j] + fr * tg_xxyyyyz_xxxxxxxz_1[j] + fl1_fx * (tg_xyyyyz_xxxxxxxz_0[j] - tg_xyyyyz_xxxxxxxz_1[j] * fl1_fza) + 3.5 * fl1_fxn * tg_xxyyyyz_xxxxxxz_1[j];

                    tg_xxxyyyyz_xxxxxxyy_0[j] = pb_x * tg_xxyyyyz_xxxxxxyy_0[j] + fr * tg_xxyyyyz_xxxxxxyy_1[j] + fl1_fx * (tg_xyyyyz_xxxxxxyy_0[j] - tg_xyyyyz_xxxxxxyy_1[j] * fl1_fza) + 3.0 * fl1_fxn * tg_xxyyyyz_xxxxxyy_1[j];

                    tg_xxxyyyyz_xxxxxxyz_0[j] = pb_x * tg_xxyyyyz_xxxxxxyz_0[j] + fr * tg_xxyyyyz_xxxxxxyz_1[j] + fl1_fx * (tg_xyyyyz_xxxxxxyz_0[j] - tg_xyyyyz_xxxxxxyz_1[j] * fl1_fza) + 3.0 * fl1_fxn * tg_xxyyyyz_xxxxxyz_1[j];

                    tg_xxxyyyyz_xxxxxxzz_0[j] = pb_x * tg_xxyyyyz_xxxxxxzz_0[j] + fr * tg_xxyyyyz_xxxxxxzz_1[j] + fl1_fx * (tg_xyyyyz_xxxxxxzz_0[j] - tg_xyyyyz_xxxxxxzz_1[j] * fl1_fza) + 3.0 * fl1_fxn * tg_xxyyyyz_xxxxxzz_1[j];

                    tg_xxxyyyyz_xxxxxyyy_0[j] = pb_x * tg_xxyyyyz_xxxxxyyy_0[j] + fr * tg_xxyyyyz_xxxxxyyy_1[j] + fl1_fx * (tg_xyyyyz_xxxxxyyy_0[j] - tg_xyyyyz_xxxxxyyy_1[j] * fl1_fza) + 2.5 * fl1_fxn * tg_xxyyyyz_xxxxyyy_1[j];

                    tg_xxxyyyyz_xxxxxyyz_0[j] = pb_x * tg_xxyyyyz_xxxxxyyz_0[j] + fr * tg_xxyyyyz_xxxxxyyz_1[j] + fl1_fx * (tg_xyyyyz_xxxxxyyz_0[j] - tg_xyyyyz_xxxxxyyz_1[j] * fl1_fza) + 2.5 * fl1_fxn * tg_xxyyyyz_xxxxyyz_1[j];

                    tg_xxxyyyyz_xxxxxyzz_0[j] = pb_x * tg_xxyyyyz_xxxxxyzz_0[j] + fr * tg_xxyyyyz_xxxxxyzz_1[j] + fl1_fx * (tg_xyyyyz_xxxxxyzz_0[j] - tg_xyyyyz_xxxxxyzz_1[j] * fl1_fza) + 2.5 * fl1_fxn * tg_xxyyyyz_xxxxyzz_1[j];

                    tg_xxxyyyyz_xxxxxzzz_0[j] = pb_x * tg_xxyyyyz_xxxxxzzz_0[j] + fr * tg_xxyyyyz_xxxxxzzz_1[j] + fl1_fx * (tg_xyyyyz_xxxxxzzz_0[j] - tg_xyyyyz_xxxxxzzz_1[j] * fl1_fza) + 2.5 * fl1_fxn * tg_xxyyyyz_xxxxzzz_1[j];

                    tg_xxxyyyyz_xxxxyyyy_0[j] = pb_x * tg_xxyyyyz_xxxxyyyy_0[j] + fr * tg_xxyyyyz_xxxxyyyy_1[j] + fl1_fx * (tg_xyyyyz_xxxxyyyy_0[j] - tg_xyyyyz_xxxxyyyy_1[j] * fl1_fza) + 2.0 * fl1_fxn * tg_xxyyyyz_xxxyyyy_1[j];

                    tg_xxxyyyyz_xxxxyyyz_0[j] = pb_x * tg_xxyyyyz_xxxxyyyz_0[j] + fr * tg_xxyyyyz_xxxxyyyz_1[j] + fl1_fx * (tg_xyyyyz_xxxxyyyz_0[j] - tg_xyyyyz_xxxxyyyz_1[j] * fl1_fza) + 2.0 * fl1_fxn * tg_xxyyyyz_xxxyyyz_1[j];

                    tg_xxxyyyyz_xxxxyyzz_0[j] = pb_x * tg_xxyyyyz_xxxxyyzz_0[j] + fr * tg_xxyyyyz_xxxxyyzz_1[j] + fl1_fx * (tg_xyyyyz_xxxxyyzz_0[j] - tg_xyyyyz_xxxxyyzz_1[j] * fl1_fza) + 2.0 * fl1_fxn * tg_xxyyyyz_xxxyyzz_1[j];

                    tg_xxxyyyyz_xxxxyzzz_0[j] = pb_x * tg_xxyyyyz_xxxxyzzz_0[j] + fr * tg_xxyyyyz_xxxxyzzz_1[j] + fl1_fx * (tg_xyyyyz_xxxxyzzz_0[j] - tg_xyyyyz_xxxxyzzz_1[j] * fl1_fza) + 2.0 * fl1_fxn * tg_xxyyyyz_xxxyzzz_1[j];

                    tg_xxxyyyyz_xxxxzzzz_0[j] = pb_x * tg_xxyyyyz_xxxxzzzz_0[j] + fr * tg_xxyyyyz_xxxxzzzz_1[j] + fl1_fx * (tg_xyyyyz_xxxxzzzz_0[j] - tg_xyyyyz_xxxxzzzz_1[j] * fl1_fza) + 2.0 * fl1_fxn * tg_xxyyyyz_xxxzzzz_1[j];

                    tg_xxxyyyyz_xxxyyyyy_0[j] = pb_x * tg_xxyyyyz_xxxyyyyy_0[j] + fr * tg_xxyyyyz_xxxyyyyy_1[j] + fl1_fx * (tg_xyyyyz_xxxyyyyy_0[j] - tg_xyyyyz_xxxyyyyy_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_xxyyyyz_xxyyyyy_1[j];

                    tg_xxxyyyyz_xxxyyyyz_0[j] = pb_x * tg_xxyyyyz_xxxyyyyz_0[j] + fr * tg_xxyyyyz_xxxyyyyz_1[j] + fl1_fx * (tg_xyyyyz_xxxyyyyz_0[j] - tg_xyyyyz_xxxyyyyz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_xxyyyyz_xxyyyyz_1[j];

                    tg_xxxyyyyz_xxxyyyzz_0[j] = pb_x * tg_xxyyyyz_xxxyyyzz_0[j] + fr * tg_xxyyyyz_xxxyyyzz_1[j] + fl1_fx * (tg_xyyyyz_xxxyyyzz_0[j] - tg_xyyyyz_xxxyyyzz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_xxyyyyz_xxyyyzz_1[j];

                    tg_xxxyyyyz_xxxyyzzz_0[j] = pb_x * tg_xxyyyyz_xxxyyzzz_0[j] + fr * tg_xxyyyyz_xxxyyzzz_1[j] + fl1_fx * (tg_xyyyyz_xxxyyzzz_0[j] - tg_xyyyyz_xxxyyzzz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_xxyyyyz_xxyyzzz_1[j];

                    tg_xxxyyyyz_xxxyzzzz_0[j] = pb_x * tg_xxyyyyz_xxxyzzzz_0[j] + fr * tg_xxyyyyz_xxxyzzzz_1[j] + fl1_fx * (tg_xyyyyz_xxxyzzzz_0[j] - tg_xyyyyz_xxxyzzzz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_xxyyyyz_xxyzzzz_1[j];

                    tg_xxxyyyyz_xxxzzzzz_0[j] = pb_x * tg_xxyyyyz_xxxzzzzz_0[j] + fr * tg_xxyyyyz_xxxzzzzz_1[j] + fl1_fx * (tg_xyyyyz_xxxzzzzz_0[j] - tg_xyyyyz_xxxzzzzz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_xxyyyyz_xxzzzzz_1[j];

                    tg_xxxyyyyz_xxyyyyyy_0[j] = pb_x * tg_xxyyyyz_xxyyyyyy_0[j] + fr * tg_xxyyyyz_xxyyyyyy_1[j] + fl1_fx * (tg_xyyyyz_xxyyyyyy_0[j] - tg_xyyyyz_xxyyyyyy_1[j] * fl1_fza) + fl1_fxn * tg_xxyyyyz_xyyyyyy_1[j];

                    tg_xxxyyyyz_xxyyyyyz_0[j] = pb_x * tg_xxyyyyz_xxyyyyyz_0[j] + fr * tg_xxyyyyz_xxyyyyyz_1[j] + fl1_fx * (tg_xyyyyz_xxyyyyyz_0[j] - tg_xyyyyz_xxyyyyyz_1[j] * fl1_fza) + fl1_fxn * tg_xxyyyyz_xyyyyyz_1[j];

                    tg_xxxyyyyz_xxyyyyzz_0[j] = pb_x * tg_xxyyyyz_xxyyyyzz_0[j] + fr * tg_xxyyyyz_xxyyyyzz_1[j] + fl1_fx * (tg_xyyyyz_xxyyyyzz_0[j] - tg_xyyyyz_xxyyyyzz_1[j] * fl1_fza) + fl1_fxn * tg_xxyyyyz_xyyyyzz_1[j];

                    tg_xxxyyyyz_xxyyyzzz_0[j] = pb_x * tg_xxyyyyz_xxyyyzzz_0[j] + fr * tg_xxyyyyz_xxyyyzzz_1[j] + fl1_fx * (tg_xyyyyz_xxyyyzzz_0[j] - tg_xyyyyz_xxyyyzzz_1[j] * fl1_fza) + fl1_fxn * tg_xxyyyyz_xyyyzzz_1[j];

                    tg_xxxyyyyz_xxyyzzzz_0[j] = pb_x * tg_xxyyyyz_xxyyzzzz_0[j] + fr * tg_xxyyyyz_xxyyzzzz_1[j] + fl1_fx * (tg_xyyyyz_xxyyzzzz_0[j] - tg_xyyyyz_xxyyzzzz_1[j] * fl1_fza) + fl1_fxn * tg_xxyyyyz_xyyzzzz_1[j];

                    tg_xxxyyyyz_xxyzzzzz_0[j] = pb_x * tg_xxyyyyz_xxyzzzzz_0[j] + fr * tg_xxyyyyz_xxyzzzzz_1[j] + fl1_fx * (tg_xyyyyz_xxyzzzzz_0[j] - tg_xyyyyz_xxyzzzzz_1[j] * fl1_fza) + fl1_fxn * tg_xxyyyyz_xyzzzzz_1[j];

                    tg_xxxyyyyz_xxzzzzzz_0[j] = pb_x * tg_xxyyyyz_xxzzzzzz_0[j] + fr * tg_xxyyyyz_xxzzzzzz_1[j] + fl1_fx * (tg_xyyyyz_xxzzzzzz_0[j] - tg_xyyyyz_xxzzzzzz_1[j] * fl1_fza) + fl1_fxn * tg_xxyyyyz_xzzzzzz_1[j];

                    tg_xxxyyyyz_xyyyyyyy_0[j] = pb_x * tg_xxyyyyz_xyyyyyyy_0[j] + fr * tg_xxyyyyz_xyyyyyyy_1[j] + fl1_fx * (tg_xyyyyz_xyyyyyyy_0[j] - tg_xyyyyz_xyyyyyyy_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xxyyyyz_yyyyyyy_1[j];

                    tg_xxxyyyyz_xyyyyyyz_0[j] = pb_x * tg_xxyyyyz_xyyyyyyz_0[j] + fr * tg_xxyyyyz_xyyyyyyz_1[j] + fl1_fx * (tg_xyyyyz_xyyyyyyz_0[j] - tg_xyyyyz_xyyyyyyz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xxyyyyz_yyyyyyz_1[j];

                    tg_xxxyyyyz_xyyyyyzz_0[j] = pb_x * tg_xxyyyyz_xyyyyyzz_0[j] + fr * tg_xxyyyyz_xyyyyyzz_1[j] + fl1_fx * (tg_xyyyyz_xyyyyyzz_0[j] - tg_xyyyyz_xyyyyyzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xxyyyyz_yyyyyzz_1[j];

                    tg_xxxyyyyz_xyyyyzzz_0[j] = pb_x * tg_xxyyyyz_xyyyyzzz_0[j] + fr * tg_xxyyyyz_xyyyyzzz_1[j] + fl1_fx * (tg_xyyyyz_xyyyyzzz_0[j] - tg_xyyyyz_xyyyyzzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xxyyyyz_yyyyzzz_1[j];

                    tg_xxxyyyyz_xyyyzzzz_0[j] = pb_x * tg_xxyyyyz_xyyyzzzz_0[j] + fr * tg_xxyyyyz_xyyyzzzz_1[j] + fl1_fx * (tg_xyyyyz_xyyyzzzz_0[j] - tg_xyyyyz_xyyyzzzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xxyyyyz_yyyzzzz_1[j];

                    tg_xxxyyyyz_xyyzzzzz_0[j] = pb_x * tg_xxyyyyz_xyyzzzzz_0[j] + fr * tg_xxyyyyz_xyyzzzzz_1[j] + fl1_fx * (tg_xyyyyz_xyyzzzzz_0[j] - tg_xyyyyz_xyyzzzzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xxyyyyz_yyzzzzz_1[j];

                    tg_xxxyyyyz_xyzzzzzz_0[j] = pb_x * tg_xxyyyyz_xyzzzzzz_0[j] + fr * tg_xxyyyyz_xyzzzzzz_1[j] + fl1_fx * (tg_xyyyyz_xyzzzzzz_0[j] - tg_xyyyyz_xyzzzzzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xxyyyyz_yzzzzzz_1[j];

                    tg_xxxyyyyz_xzzzzzzz_0[j] = pb_x * tg_xxyyyyz_xzzzzzzz_0[j] + fr * tg_xxyyyyz_xzzzzzzz_1[j] + fl1_fx * (tg_xyyyyz_xzzzzzzz_0[j] - tg_xyyyyz_xzzzzzzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xxyyyyz_zzzzzzz_1[j];

                    tg_xxxyyyyz_yyyyyyyy_0[j] = pb_x * tg_xxyyyyz_yyyyyyyy_0[j] + fr * tg_xxyyyyz_yyyyyyyy_1[j] + fl1_fx * (tg_xyyyyz_yyyyyyyy_0[j] - tg_xyyyyz_yyyyyyyy_1[j] * fl1_fza);

                    tg_xxxyyyyz_yyyyyyyz_0[j] = pb_x * tg_xxyyyyz_yyyyyyyz_0[j] + fr * tg_xxyyyyz_yyyyyyyz_1[j] + fl1_fx * (tg_xyyyyz_yyyyyyyz_0[j] - tg_xyyyyz_yyyyyyyz_1[j] * fl1_fza);

                    tg_xxxyyyyz_yyyyyyzz_0[j] = pb_x * tg_xxyyyyz_yyyyyyzz_0[j] + fr * tg_xxyyyyz_yyyyyyzz_1[j] + fl1_fx * (tg_xyyyyz_yyyyyyzz_0[j] - tg_xyyyyz_yyyyyyzz_1[j] * fl1_fza);

                    tg_xxxyyyyz_yyyyyzzz_0[j] = pb_x * tg_xxyyyyz_yyyyyzzz_0[j] + fr * tg_xxyyyyz_yyyyyzzz_1[j] + fl1_fx * (tg_xyyyyz_yyyyyzzz_0[j] - tg_xyyyyz_yyyyyzzz_1[j] * fl1_fza);

                    tg_xxxyyyyz_yyyyzzzz_0[j] = pb_x * tg_xxyyyyz_yyyyzzzz_0[j] + fr * tg_xxyyyyz_yyyyzzzz_1[j] + fl1_fx * (tg_xyyyyz_yyyyzzzz_0[j] - tg_xyyyyz_yyyyzzzz_1[j] * fl1_fza);

                    tg_xxxyyyyz_yyyzzzzz_0[j] = pb_x * tg_xxyyyyz_yyyzzzzz_0[j] + fr * tg_xxyyyyz_yyyzzzzz_1[j] + fl1_fx * (tg_xyyyyz_yyyzzzzz_0[j] - tg_xyyyyz_yyyzzzzz_1[j] * fl1_fza);

                    tg_xxxyyyyz_yyzzzzzz_0[j] = pb_x * tg_xxyyyyz_yyzzzzzz_0[j] + fr * tg_xxyyyyz_yyzzzzzz_1[j] + fl1_fx * (tg_xyyyyz_yyzzzzzz_0[j] - tg_xyyyyz_yyzzzzzz_1[j] * fl1_fza);

                    tg_xxxyyyyz_yzzzzzzz_0[j] = pb_x * tg_xxyyyyz_yzzzzzzz_0[j] + fr * tg_xxyyyyz_yzzzzzzz_1[j] + fl1_fx * (tg_xyyyyz_yzzzzzzz_0[j] - tg_xyyyyz_yzzzzzzz_1[j] * fl1_fza);

                    tg_xxxyyyyz_zzzzzzzz_0[j] = pb_x * tg_xxyyyyz_zzzzzzzz_0[j] + fr * tg_xxyyyyz_zzzzzzzz_1[j] + fl1_fx * (tg_xyyyyz_zzzzzzzz_0[j] - tg_xyyyyz_zzzzzzzz_1[j] * fl1_fza);

                    tg_xxxyyyzz_xxxxxxxx_0[j] = pb_x * tg_xxyyyzz_xxxxxxxx_0[j] + fr * tg_xxyyyzz_xxxxxxxx_1[j] + fl1_fx * (tg_xyyyzz_xxxxxxxx_0[j] - tg_xyyyzz_xxxxxxxx_1[j] * fl1_fza) + 4.0 * fl1_fxn * tg_xxyyyzz_xxxxxxx_1[j];

                    tg_xxxyyyzz_xxxxxxxy_0[j] = pb_x * tg_xxyyyzz_xxxxxxxy_0[j] + fr * tg_xxyyyzz_xxxxxxxy_1[j] + fl1_fx * (tg_xyyyzz_xxxxxxxy_0[j] - tg_xyyyzz_xxxxxxxy_1[j] * fl1_fza) + 3.5 * fl1_fxn * tg_xxyyyzz_xxxxxxy_1[j];

                    tg_xxxyyyzz_xxxxxxxz_0[j] = pb_x * tg_xxyyyzz_xxxxxxxz_0[j] + fr * tg_xxyyyzz_xxxxxxxz_1[j] + fl1_fx * (tg_xyyyzz_xxxxxxxz_0[j] - tg_xyyyzz_xxxxxxxz_1[j] * fl1_fza) + 3.5 * fl1_fxn * tg_xxyyyzz_xxxxxxz_1[j];

                    tg_xxxyyyzz_xxxxxxyy_0[j] = pb_x * tg_xxyyyzz_xxxxxxyy_0[j] + fr * tg_xxyyyzz_xxxxxxyy_1[j] + fl1_fx * (tg_xyyyzz_xxxxxxyy_0[j] - tg_xyyyzz_xxxxxxyy_1[j] * fl1_fza) + 3.0 * fl1_fxn * tg_xxyyyzz_xxxxxyy_1[j];

                    tg_xxxyyyzz_xxxxxxyz_0[j] = pb_x * tg_xxyyyzz_xxxxxxyz_0[j] + fr * tg_xxyyyzz_xxxxxxyz_1[j] + fl1_fx * (tg_xyyyzz_xxxxxxyz_0[j] - tg_xyyyzz_xxxxxxyz_1[j] * fl1_fza) + 3.0 * fl1_fxn * tg_xxyyyzz_xxxxxyz_1[j];

                    tg_xxxyyyzz_xxxxxxzz_0[j] = pb_x * tg_xxyyyzz_xxxxxxzz_0[j] + fr * tg_xxyyyzz_xxxxxxzz_1[j] + fl1_fx * (tg_xyyyzz_xxxxxxzz_0[j] - tg_xyyyzz_xxxxxxzz_1[j] * fl1_fza) + 3.0 * fl1_fxn * tg_xxyyyzz_xxxxxzz_1[j];

                    tg_xxxyyyzz_xxxxxyyy_0[j] = pb_x * tg_xxyyyzz_xxxxxyyy_0[j] + fr * tg_xxyyyzz_xxxxxyyy_1[j] + fl1_fx * (tg_xyyyzz_xxxxxyyy_0[j] - tg_xyyyzz_xxxxxyyy_1[j] * fl1_fza) + 2.5 * fl1_fxn * tg_xxyyyzz_xxxxyyy_1[j];

                    tg_xxxyyyzz_xxxxxyyz_0[j] = pb_x * tg_xxyyyzz_xxxxxyyz_0[j] + fr * tg_xxyyyzz_xxxxxyyz_1[j] + fl1_fx * (tg_xyyyzz_xxxxxyyz_0[j] - tg_xyyyzz_xxxxxyyz_1[j] * fl1_fza) + 2.5 * fl1_fxn * tg_xxyyyzz_xxxxyyz_1[j];

                    tg_xxxyyyzz_xxxxxyzz_0[j] = pb_x * tg_xxyyyzz_xxxxxyzz_0[j] + fr * tg_xxyyyzz_xxxxxyzz_1[j] + fl1_fx * (tg_xyyyzz_xxxxxyzz_0[j] - tg_xyyyzz_xxxxxyzz_1[j] * fl1_fza) + 2.5 * fl1_fxn * tg_xxyyyzz_xxxxyzz_1[j];

                    tg_xxxyyyzz_xxxxxzzz_0[j] = pb_x * tg_xxyyyzz_xxxxxzzz_0[j] + fr * tg_xxyyyzz_xxxxxzzz_1[j] + fl1_fx * (tg_xyyyzz_xxxxxzzz_0[j] - tg_xyyyzz_xxxxxzzz_1[j] * fl1_fza) + 2.5 * fl1_fxn * tg_xxyyyzz_xxxxzzz_1[j];

                    tg_xxxyyyzz_xxxxyyyy_0[j] = pb_x * tg_xxyyyzz_xxxxyyyy_0[j] + fr * tg_xxyyyzz_xxxxyyyy_1[j] + fl1_fx * (tg_xyyyzz_xxxxyyyy_0[j] - tg_xyyyzz_xxxxyyyy_1[j] * fl1_fza) + 2.0 * fl1_fxn * tg_xxyyyzz_xxxyyyy_1[j];
                }

                idx++;
            }
        }
    }

    void
    compElectronRepulsionForSLSL_776_873(      CMemBlock2D<double>* primBuffer,
                                         const CRecursionMap&       recursionMap,
                                         const CMemBlock2D<double>& osFactors,
                                         const CMemBlock2D<double>& wpDistances,
                                         const CGtoPairsBlock&      braGtoPairsBlock,
                                         const CGtoPairsBlock&      ketGtoPairsBlock,
                                         const int32_t              nKetPrimPairs,
                                         const int32_t              iContrPair)
    {
        // Batch of Integrals (776,873)

        // set up pointers to primitives data on bra side

        auto spos = braGtoPairsBlock.getStartPositions();

        auto epos = braGtoPairsBlock.getEndPositions();

        // set up pointers to tensor of distance R(PB) = P - B

        auto r_pb_x = braGtoPairsBlock.getDistancesPBX();

        // set up pointers to common Obara-Saika factors

        auto b_fx = braGtoPairsBlock.getFactorsOneOverXi();

        // set up maximum order of integral

        auto mord = recursionMap.getMaxOrder({"Electron Repulsion"},
                                             {8, -1, -1, -1},
                                             {8, -1, -1, -1},
                                             1, 1);

        for (int32_t iord = 0; iord <= mord; iord++)
        {
            // set up index of integral

            auto pidx_g_8_8_m0 = recursionMap.index(CRecursionTerm({"Electron Repulsion"}, 0, true, 
                                                                   {8, -1, -1, -1}, {8, -1, -1, -1}, 
                                                                   1, 1, iord));

            // check if integral is needed in recursion expansion

            if (pidx_g_8_8_m0 == -1) continue;

            // set up indexes of auxilary integral

            auto pidx_g_7_8_m0 = recursionMap.index(CRecursionTerm({"Electron Repulsion"}, 0, true, 
                                                                   {7, -1, -1, -1}, {8, -1, -1, -1}, 
                                                                   1, 1, iord));

            auto pidx_g_7_8_m1 = recursionMap.index(CRecursionTerm({"Electron Repulsion"}, 0, true, 
                                                                   {7, -1, -1, -1}, {8, -1, -1, -1}, 
                                                                   1, 1, iord + 1));

            auto pidx_g_6_8_m0 = recursionMap.index(CRecursionTerm({"Electron Repulsion"}, 0, true, 
                                                                   {6, -1, -1, -1}, {8, -1, -1, -1}, 
                                                                   1, 1, iord));

            auto pidx_g_6_8_m1 = recursionMap.index(CRecursionTerm({"Electron Repulsion"}, 0, true, 
                                                                   {6, -1, -1, -1}, {8, -1, -1, -1}, 
                                                                   1, 1, iord + 1));

            auto pidx_g_7_7_m1 = recursionMap.index(CRecursionTerm({"Electron Repulsion"}, 0, true, 
                                                                   {7, -1, -1, -1}, {7, -1, -1, -1}, 
                                                                   1, 1, iord + 1));

            // loop over contracted GTO on bra side

            int32_t idx = 0;

            for (int32_t i = spos[iContrPair]; i < epos[iContrPair]; i++)
            {
                // set up pointers to Obara-Saika factors

                double fx = b_fx[i];

                auto fza = osFactors.data(4 * idx + 2);

                auto fxn = osFactors.data(4 * idx);

                // set up distances R(PB) = P - B

                auto pb_x = r_pb_x[i];

                // set up pointers to tensors product of distances R(WP) = W - P

                auto wp_x = wpDistances.data(3 * idx);

                // set up pointers to auxilary integrals

                auto tg_xxyyyzz_xxxxyyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 776); 

                auto tg_xxyyyzz_xxxxyyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 777); 

                auto tg_xxyyyzz_xxxxyzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 778); 

                auto tg_xxyyyzz_xxxxzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 779); 

                auto tg_xxyyyzz_xxxyyyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 780); 

                auto tg_xxyyyzz_xxxyyyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 781); 

                auto tg_xxyyyzz_xxxyyyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 782); 

                auto tg_xxyyyzz_xxxyyzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 783); 

                auto tg_xxyyyzz_xxxyzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 784); 

                auto tg_xxyyyzz_xxxzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 785); 

                auto tg_xxyyyzz_xxyyyyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 786); 

                auto tg_xxyyyzz_xxyyyyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 787); 

                auto tg_xxyyyzz_xxyyyyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 788); 

                auto tg_xxyyyzz_xxyyyzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 789); 

                auto tg_xxyyyzz_xxyyzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 790); 

                auto tg_xxyyyzz_xxyzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 791); 

                auto tg_xxyyyzz_xxzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 792); 

                auto tg_xxyyyzz_xyyyyyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 793); 

                auto tg_xxyyyzz_xyyyyyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 794); 

                auto tg_xxyyyzz_xyyyyyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 795); 

                auto tg_xxyyyzz_xyyyyzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 796); 

                auto tg_xxyyyzz_xyyyzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 797); 

                auto tg_xxyyyzz_xyyzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 798); 

                auto tg_xxyyyzz_xyzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 799); 

                auto tg_xxyyyzz_xzzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 800); 

                auto tg_xxyyyzz_yyyyyyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 801); 

                auto tg_xxyyyzz_yyyyyyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 802); 

                auto tg_xxyyyzz_yyyyyyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 803); 

                auto tg_xxyyyzz_yyyyyzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 804); 

                auto tg_xxyyyzz_yyyyzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 805); 

                auto tg_xxyyyzz_yyyzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 806); 

                auto tg_xxyyyzz_yyzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 807); 

                auto tg_xxyyyzz_yzzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 808); 

                auto tg_xxyyyzz_zzzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 809); 

                auto tg_xxyyzzz_xxxxxxxx_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 810); 

                auto tg_xxyyzzz_xxxxxxxy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 811); 

                auto tg_xxyyzzz_xxxxxxxz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 812); 

                auto tg_xxyyzzz_xxxxxxyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 813); 

                auto tg_xxyyzzz_xxxxxxyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 814); 

                auto tg_xxyyzzz_xxxxxxzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 815); 

                auto tg_xxyyzzz_xxxxxyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 816); 

                auto tg_xxyyzzz_xxxxxyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 817); 

                auto tg_xxyyzzz_xxxxxyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 818); 

                auto tg_xxyyzzz_xxxxxzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 819); 

                auto tg_xxyyzzz_xxxxyyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 820); 

                auto tg_xxyyzzz_xxxxyyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 821); 

                auto tg_xxyyzzz_xxxxyyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 822); 

                auto tg_xxyyzzz_xxxxyzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 823); 

                auto tg_xxyyzzz_xxxxzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 824); 

                auto tg_xxyyzzz_xxxyyyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 825); 

                auto tg_xxyyzzz_xxxyyyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 826); 

                auto tg_xxyyzzz_xxxyyyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 827); 

                auto tg_xxyyzzz_xxxyyzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 828); 

                auto tg_xxyyzzz_xxxyzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 829); 

                auto tg_xxyyzzz_xxxzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 830); 

                auto tg_xxyyzzz_xxyyyyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 831); 

                auto tg_xxyyzzz_xxyyyyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 832); 

                auto tg_xxyyzzz_xxyyyyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 833); 

                auto tg_xxyyzzz_xxyyyzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 834); 

                auto tg_xxyyzzz_xxyyzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 835); 

                auto tg_xxyyzzz_xxyzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 836); 

                auto tg_xxyyzzz_xxzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 837); 

                auto tg_xxyyzzz_xyyyyyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 838); 

                auto tg_xxyyzzz_xyyyyyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 839); 

                auto tg_xxyyzzz_xyyyyyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 840); 

                auto tg_xxyyzzz_xyyyyzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 841); 

                auto tg_xxyyzzz_xyyyzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 842); 

                auto tg_xxyyzzz_xyyzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 843); 

                auto tg_xxyyzzz_xyzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 844); 

                auto tg_xxyyzzz_xzzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 845); 

                auto tg_xxyyzzz_yyyyyyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 846); 

                auto tg_xxyyzzz_yyyyyyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 847); 

                auto tg_xxyyzzz_yyyyyyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 848); 

                auto tg_xxyyzzz_yyyyyzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 849); 

                auto tg_xxyyzzz_yyyyzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 850); 

                auto tg_xxyyzzz_yyyzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 851); 

                auto tg_xxyyzzz_yyzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 852); 

                auto tg_xxyyzzz_yzzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 853); 

                auto tg_xxyyzzz_zzzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 854); 

                auto tg_xxyzzzz_xxxxxxxx_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 855); 

                auto tg_xxyzzzz_xxxxxxxy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 856); 

                auto tg_xxyzzzz_xxxxxxxz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 857); 

                auto tg_xxyzzzz_xxxxxxyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 858); 

                auto tg_xxyzzzz_xxxxxxyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 859); 

                auto tg_xxyzzzz_xxxxxxzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 860); 

                auto tg_xxyzzzz_xxxxxyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 861); 

                auto tg_xxyzzzz_xxxxxyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 862); 

                auto tg_xxyzzzz_xxxxxyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 863); 

                auto tg_xxyzzzz_xxxxxzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 864); 

                auto tg_xxyzzzz_xxxxyyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 865); 

                auto tg_xxyzzzz_xxxxyyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 866); 

                auto tg_xxyzzzz_xxxxyyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 867); 

                auto tg_xxyzzzz_xxxxyzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 868); 

                auto tg_xxyzzzz_xxxxzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 869); 

                auto tg_xxyzzzz_xxxyyyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 870); 

                auto tg_xxyzzzz_xxxyyyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 871); 

                auto tg_xxyzzzz_xxxyyyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 872); 

                auto tg_xxyyyzz_xxxxyyyz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 776); 

                auto tg_xxyyyzz_xxxxyyzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 777); 

                auto tg_xxyyyzz_xxxxyzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 778); 

                auto tg_xxyyyzz_xxxxzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 779); 

                auto tg_xxyyyzz_xxxyyyyy_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 780); 

                auto tg_xxyyyzz_xxxyyyyz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 781); 

                auto tg_xxyyyzz_xxxyyyzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 782); 

                auto tg_xxyyyzz_xxxyyzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 783); 

                auto tg_xxyyyzz_xxxyzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 784); 

                auto tg_xxyyyzz_xxxzzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 785); 

                auto tg_xxyyyzz_xxyyyyyy_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 786); 

                auto tg_xxyyyzz_xxyyyyyz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 787); 

                auto tg_xxyyyzz_xxyyyyzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 788); 

                auto tg_xxyyyzz_xxyyyzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 789); 

                auto tg_xxyyyzz_xxyyzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 790); 

                auto tg_xxyyyzz_xxyzzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 791); 

                auto tg_xxyyyzz_xxzzzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 792); 

                auto tg_xxyyyzz_xyyyyyyy_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 793); 

                auto tg_xxyyyzz_xyyyyyyz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 794); 

                auto tg_xxyyyzz_xyyyyyzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 795); 

                auto tg_xxyyyzz_xyyyyzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 796); 

                auto tg_xxyyyzz_xyyyzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 797); 

                auto tg_xxyyyzz_xyyzzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 798); 

                auto tg_xxyyyzz_xyzzzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 799); 

                auto tg_xxyyyzz_xzzzzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 800); 

                auto tg_xxyyyzz_yyyyyyyy_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 801); 

                auto tg_xxyyyzz_yyyyyyyz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 802); 

                auto tg_xxyyyzz_yyyyyyzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 803); 

                auto tg_xxyyyzz_yyyyyzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 804); 

                auto tg_xxyyyzz_yyyyzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 805); 

                auto tg_xxyyyzz_yyyzzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 806); 

                auto tg_xxyyyzz_yyzzzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 807); 

                auto tg_xxyyyzz_yzzzzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 808); 

                auto tg_xxyyyzz_zzzzzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 809); 

                auto tg_xxyyzzz_xxxxxxxx_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 810); 

                auto tg_xxyyzzz_xxxxxxxy_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 811); 

                auto tg_xxyyzzz_xxxxxxxz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 812); 

                auto tg_xxyyzzz_xxxxxxyy_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 813); 

                auto tg_xxyyzzz_xxxxxxyz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 814); 

                auto tg_xxyyzzz_xxxxxxzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 815); 

                auto tg_xxyyzzz_xxxxxyyy_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 816); 

                auto tg_xxyyzzz_xxxxxyyz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 817); 

                auto tg_xxyyzzz_xxxxxyzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 818); 

                auto tg_xxyyzzz_xxxxxzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 819); 

                auto tg_xxyyzzz_xxxxyyyy_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 820); 

                auto tg_xxyyzzz_xxxxyyyz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 821); 

                auto tg_xxyyzzz_xxxxyyzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 822); 

                auto tg_xxyyzzz_xxxxyzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 823); 

                auto tg_xxyyzzz_xxxxzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 824); 

                auto tg_xxyyzzz_xxxyyyyy_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 825); 

                auto tg_xxyyzzz_xxxyyyyz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 826); 

                auto tg_xxyyzzz_xxxyyyzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 827); 

                auto tg_xxyyzzz_xxxyyzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 828); 

                auto tg_xxyyzzz_xxxyzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 829); 

                auto tg_xxyyzzz_xxxzzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 830); 

                auto tg_xxyyzzz_xxyyyyyy_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 831); 

                auto tg_xxyyzzz_xxyyyyyz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 832); 

                auto tg_xxyyzzz_xxyyyyzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 833); 

                auto tg_xxyyzzz_xxyyyzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 834); 

                auto tg_xxyyzzz_xxyyzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 835); 

                auto tg_xxyyzzz_xxyzzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 836); 

                auto tg_xxyyzzz_xxzzzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 837); 

                auto tg_xxyyzzz_xyyyyyyy_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 838); 

                auto tg_xxyyzzz_xyyyyyyz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 839); 

                auto tg_xxyyzzz_xyyyyyzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 840); 

                auto tg_xxyyzzz_xyyyyzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 841); 

                auto tg_xxyyzzz_xyyyzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 842); 

                auto tg_xxyyzzz_xyyzzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 843); 

                auto tg_xxyyzzz_xyzzzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 844); 

                auto tg_xxyyzzz_xzzzzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 845); 

                auto tg_xxyyzzz_yyyyyyyy_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 846); 

                auto tg_xxyyzzz_yyyyyyyz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 847); 

                auto tg_xxyyzzz_yyyyyyzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 848); 

                auto tg_xxyyzzz_yyyyyzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 849); 

                auto tg_xxyyzzz_yyyyzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 850); 

                auto tg_xxyyzzz_yyyzzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 851); 

                auto tg_xxyyzzz_yyzzzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 852); 

                auto tg_xxyyzzz_yzzzzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 853); 

                auto tg_xxyyzzz_zzzzzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 854); 

                auto tg_xxyzzzz_xxxxxxxx_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 855); 

                auto tg_xxyzzzz_xxxxxxxy_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 856); 

                auto tg_xxyzzzz_xxxxxxxz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 857); 

                auto tg_xxyzzzz_xxxxxxyy_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 858); 

                auto tg_xxyzzzz_xxxxxxyz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 859); 

                auto tg_xxyzzzz_xxxxxxzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 860); 

                auto tg_xxyzzzz_xxxxxyyy_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 861); 

                auto tg_xxyzzzz_xxxxxyyz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 862); 

                auto tg_xxyzzzz_xxxxxyzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 863); 

                auto tg_xxyzzzz_xxxxxzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 864); 

                auto tg_xxyzzzz_xxxxyyyy_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 865); 

                auto tg_xxyzzzz_xxxxyyyz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 866); 

                auto tg_xxyzzzz_xxxxyyzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 867); 

                auto tg_xxyzzzz_xxxxyzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 868); 

                auto tg_xxyzzzz_xxxxzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 869); 

                auto tg_xxyzzzz_xxxyyyyy_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 870); 

                auto tg_xxyzzzz_xxxyyyyz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 871); 

                auto tg_xxyzzzz_xxxyyyzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 872); 

                auto tg_xyyyzz_xxxxyyyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 776); 

                auto tg_xyyyzz_xxxxyyzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 777); 

                auto tg_xyyyzz_xxxxyzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 778); 

                auto tg_xyyyzz_xxxxzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 779); 

                auto tg_xyyyzz_xxxyyyyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 780); 

                auto tg_xyyyzz_xxxyyyyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 781); 

                auto tg_xyyyzz_xxxyyyzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 782); 

                auto tg_xyyyzz_xxxyyzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 783); 

                auto tg_xyyyzz_xxxyzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 784); 

                auto tg_xyyyzz_xxxzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 785); 

                auto tg_xyyyzz_xxyyyyyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 786); 

                auto tg_xyyyzz_xxyyyyyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 787); 

                auto tg_xyyyzz_xxyyyyzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 788); 

                auto tg_xyyyzz_xxyyyzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 789); 

                auto tg_xyyyzz_xxyyzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 790); 

                auto tg_xyyyzz_xxyzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 791); 

                auto tg_xyyyzz_xxzzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 792); 

                auto tg_xyyyzz_xyyyyyyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 793); 

                auto tg_xyyyzz_xyyyyyyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 794); 

                auto tg_xyyyzz_xyyyyyzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 795); 

                auto tg_xyyyzz_xyyyyzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 796); 

                auto tg_xyyyzz_xyyyzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 797); 

                auto tg_xyyyzz_xyyzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 798); 

                auto tg_xyyyzz_xyzzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 799); 

                auto tg_xyyyzz_xzzzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 800); 

                auto tg_xyyyzz_yyyyyyyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 801); 

                auto tg_xyyyzz_yyyyyyyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 802); 

                auto tg_xyyyzz_yyyyyyzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 803); 

                auto tg_xyyyzz_yyyyyzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 804); 

                auto tg_xyyyzz_yyyyzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 805); 

                auto tg_xyyyzz_yyyzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 806); 

                auto tg_xyyyzz_yyzzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 807); 

                auto tg_xyyyzz_yzzzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 808); 

                auto tg_xyyyzz_zzzzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 809); 

                auto tg_xyyzzz_xxxxxxxx_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 810); 

                auto tg_xyyzzz_xxxxxxxy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 811); 

                auto tg_xyyzzz_xxxxxxxz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 812); 

                auto tg_xyyzzz_xxxxxxyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 813); 

                auto tg_xyyzzz_xxxxxxyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 814); 

                auto tg_xyyzzz_xxxxxxzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 815); 

                auto tg_xyyzzz_xxxxxyyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 816); 

                auto tg_xyyzzz_xxxxxyyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 817); 

                auto tg_xyyzzz_xxxxxyzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 818); 

                auto tg_xyyzzz_xxxxxzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 819); 

                auto tg_xyyzzz_xxxxyyyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 820); 

                auto tg_xyyzzz_xxxxyyyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 821); 

                auto tg_xyyzzz_xxxxyyzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 822); 

                auto tg_xyyzzz_xxxxyzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 823); 

                auto tg_xyyzzz_xxxxzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 824); 

                auto tg_xyyzzz_xxxyyyyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 825); 

                auto tg_xyyzzz_xxxyyyyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 826); 

                auto tg_xyyzzz_xxxyyyzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 827); 

                auto tg_xyyzzz_xxxyyzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 828); 

                auto tg_xyyzzz_xxxyzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 829); 

                auto tg_xyyzzz_xxxzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 830); 

                auto tg_xyyzzz_xxyyyyyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 831); 

                auto tg_xyyzzz_xxyyyyyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 832); 

                auto tg_xyyzzz_xxyyyyzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 833); 

                auto tg_xyyzzz_xxyyyzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 834); 

                auto tg_xyyzzz_xxyyzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 835); 

                auto tg_xyyzzz_xxyzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 836); 

                auto tg_xyyzzz_xxzzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 837); 

                auto tg_xyyzzz_xyyyyyyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 838); 

                auto tg_xyyzzz_xyyyyyyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 839); 

                auto tg_xyyzzz_xyyyyyzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 840); 

                auto tg_xyyzzz_xyyyyzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 841); 

                auto tg_xyyzzz_xyyyzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 842); 

                auto tg_xyyzzz_xyyzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 843); 

                auto tg_xyyzzz_xyzzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 844); 

                auto tg_xyyzzz_xzzzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 845); 

                auto tg_xyyzzz_yyyyyyyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 846); 

                auto tg_xyyzzz_yyyyyyyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 847); 

                auto tg_xyyzzz_yyyyyyzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 848); 

                auto tg_xyyzzz_yyyyyzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 849); 

                auto tg_xyyzzz_yyyyzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 850); 

                auto tg_xyyzzz_yyyzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 851); 

                auto tg_xyyzzz_yyzzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 852); 

                auto tg_xyyzzz_yzzzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 853); 

                auto tg_xyyzzz_zzzzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 854); 

                auto tg_xyzzzz_xxxxxxxx_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 855); 

                auto tg_xyzzzz_xxxxxxxy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 856); 

                auto tg_xyzzzz_xxxxxxxz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 857); 

                auto tg_xyzzzz_xxxxxxyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 858); 

                auto tg_xyzzzz_xxxxxxyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 859); 

                auto tg_xyzzzz_xxxxxxzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 860); 

                auto tg_xyzzzz_xxxxxyyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 861); 

                auto tg_xyzzzz_xxxxxyyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 862); 

                auto tg_xyzzzz_xxxxxyzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 863); 

                auto tg_xyzzzz_xxxxxzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 864); 

                auto tg_xyzzzz_xxxxyyyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 865); 

                auto tg_xyzzzz_xxxxyyyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 866); 

                auto tg_xyzzzz_xxxxyyzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 867); 

                auto tg_xyzzzz_xxxxyzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 868); 

                auto tg_xyzzzz_xxxxzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 869); 

                auto tg_xyzzzz_xxxyyyyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 870); 

                auto tg_xyzzzz_xxxyyyyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 871); 

                auto tg_xyzzzz_xxxyyyzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 872); 

                auto tg_xyyyzz_xxxxyyyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 776); 

                auto tg_xyyyzz_xxxxyyzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 777); 

                auto tg_xyyyzz_xxxxyzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 778); 

                auto tg_xyyyzz_xxxxzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 779); 

                auto tg_xyyyzz_xxxyyyyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 780); 

                auto tg_xyyyzz_xxxyyyyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 781); 

                auto tg_xyyyzz_xxxyyyzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 782); 

                auto tg_xyyyzz_xxxyyzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 783); 

                auto tg_xyyyzz_xxxyzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 784); 

                auto tg_xyyyzz_xxxzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 785); 

                auto tg_xyyyzz_xxyyyyyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 786); 

                auto tg_xyyyzz_xxyyyyyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 787); 

                auto tg_xyyyzz_xxyyyyzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 788); 

                auto tg_xyyyzz_xxyyyzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 789); 

                auto tg_xyyyzz_xxyyzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 790); 

                auto tg_xyyyzz_xxyzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 791); 

                auto tg_xyyyzz_xxzzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 792); 

                auto tg_xyyyzz_xyyyyyyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 793); 

                auto tg_xyyyzz_xyyyyyyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 794); 

                auto tg_xyyyzz_xyyyyyzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 795); 

                auto tg_xyyyzz_xyyyyzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 796); 

                auto tg_xyyyzz_xyyyzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 797); 

                auto tg_xyyyzz_xyyzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 798); 

                auto tg_xyyyzz_xyzzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 799); 

                auto tg_xyyyzz_xzzzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 800); 

                auto tg_xyyyzz_yyyyyyyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 801); 

                auto tg_xyyyzz_yyyyyyyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 802); 

                auto tg_xyyyzz_yyyyyyzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 803); 

                auto tg_xyyyzz_yyyyyzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 804); 

                auto tg_xyyyzz_yyyyzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 805); 

                auto tg_xyyyzz_yyyzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 806); 

                auto tg_xyyyzz_yyzzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 807); 

                auto tg_xyyyzz_yzzzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 808); 

                auto tg_xyyyzz_zzzzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 809); 

                auto tg_xyyzzz_xxxxxxxx_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 810); 

                auto tg_xyyzzz_xxxxxxxy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 811); 

                auto tg_xyyzzz_xxxxxxxz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 812); 

                auto tg_xyyzzz_xxxxxxyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 813); 

                auto tg_xyyzzz_xxxxxxyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 814); 

                auto tg_xyyzzz_xxxxxxzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 815); 

                auto tg_xyyzzz_xxxxxyyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 816); 

                auto tg_xyyzzz_xxxxxyyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 817); 

                auto tg_xyyzzz_xxxxxyzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 818); 

                auto tg_xyyzzz_xxxxxzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 819); 

                auto tg_xyyzzz_xxxxyyyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 820); 

                auto tg_xyyzzz_xxxxyyyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 821); 

                auto tg_xyyzzz_xxxxyyzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 822); 

                auto tg_xyyzzz_xxxxyzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 823); 

                auto tg_xyyzzz_xxxxzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 824); 

                auto tg_xyyzzz_xxxyyyyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 825); 

                auto tg_xyyzzz_xxxyyyyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 826); 

                auto tg_xyyzzz_xxxyyyzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 827); 

                auto tg_xyyzzz_xxxyyzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 828); 

                auto tg_xyyzzz_xxxyzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 829); 

                auto tg_xyyzzz_xxxzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 830); 

                auto tg_xyyzzz_xxyyyyyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 831); 

                auto tg_xyyzzz_xxyyyyyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 832); 

                auto tg_xyyzzz_xxyyyyzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 833); 

                auto tg_xyyzzz_xxyyyzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 834); 

                auto tg_xyyzzz_xxyyzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 835); 

                auto tg_xyyzzz_xxyzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 836); 

                auto tg_xyyzzz_xxzzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 837); 

                auto tg_xyyzzz_xyyyyyyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 838); 

                auto tg_xyyzzz_xyyyyyyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 839); 

                auto tg_xyyzzz_xyyyyyzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 840); 

                auto tg_xyyzzz_xyyyyzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 841); 

                auto tg_xyyzzz_xyyyzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 842); 

                auto tg_xyyzzz_xyyzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 843); 

                auto tg_xyyzzz_xyzzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 844); 

                auto tg_xyyzzz_xzzzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 845); 

                auto tg_xyyzzz_yyyyyyyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 846); 

                auto tg_xyyzzz_yyyyyyyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 847); 

                auto tg_xyyzzz_yyyyyyzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 848); 

                auto tg_xyyzzz_yyyyyzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 849); 

                auto tg_xyyzzz_yyyyzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 850); 

                auto tg_xyyzzz_yyyzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 851); 

                auto tg_xyyzzz_yyzzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 852); 

                auto tg_xyyzzz_yzzzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 853); 

                auto tg_xyyzzz_zzzzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 854); 

                auto tg_xyzzzz_xxxxxxxx_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 855); 

                auto tg_xyzzzz_xxxxxxxy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 856); 

                auto tg_xyzzzz_xxxxxxxz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 857); 

                auto tg_xyzzzz_xxxxxxyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 858); 

                auto tg_xyzzzz_xxxxxxyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 859); 

                auto tg_xyzzzz_xxxxxxzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 860); 

                auto tg_xyzzzz_xxxxxyyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 861); 

                auto tg_xyzzzz_xxxxxyyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 862); 

                auto tg_xyzzzz_xxxxxyzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 863); 

                auto tg_xyzzzz_xxxxxzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 864); 

                auto tg_xyzzzz_xxxxyyyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 865); 

                auto tg_xyzzzz_xxxxyyyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 866); 

                auto tg_xyzzzz_xxxxyyzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 867); 

                auto tg_xyzzzz_xxxxyzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 868); 

                auto tg_xyzzzz_xxxxzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 869); 

                auto tg_xyzzzz_xxxyyyyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 870); 

                auto tg_xyzzzz_xxxyyyyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 871); 

                auto tg_xyzzzz_xxxyyyzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 872); 

                auto tg_xxyyyzz_xxxyyyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 623); 

                auto tg_xxyyyzz_xxxyyzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 624); 

                auto tg_xxyyyzz_xxxyzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 625); 

                auto tg_xxyyyzz_xxxzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 626); 

                auto tg_xxyyyzz_xxyyyyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 627); 

                auto tg_xxyyyzz_xxyyyyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 628); 

                auto tg_xxyyyzz_xxyyyzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 629); 

                auto tg_xxyyyzz_xxyyzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 630); 

                auto tg_xxyyyzz_xxyzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 631); 

                auto tg_xxyyyzz_xxzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 632); 

                auto tg_xxyyyzz_xyyyyyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 633); 

                auto tg_xxyyyzz_xyyyyyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 634); 

                auto tg_xxyyyzz_xyyyyzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 635); 

                auto tg_xxyyyzz_xyyyzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 636); 

                auto tg_xxyyyzz_xyyzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 637); 

                auto tg_xxyyyzz_xyzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 638); 

                auto tg_xxyyyzz_xzzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 639); 

                auto tg_xxyyyzz_yyyyyyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 640); 

                auto tg_xxyyyzz_yyyyyyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 641); 

                auto tg_xxyyyzz_yyyyyzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 642); 

                auto tg_xxyyyzz_yyyyzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 643); 

                auto tg_xxyyyzz_yyyzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 644); 

                auto tg_xxyyyzz_yyzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 645); 

                auto tg_xxyyyzz_yzzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 646); 

                auto tg_xxyyyzz_zzzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 647); 

                auto tg_xxyyzzz_xxxxxxx_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 648); 

                auto tg_xxyyzzz_xxxxxxy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 649); 

                auto tg_xxyyzzz_xxxxxxz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 650); 

                auto tg_xxyyzzz_xxxxxyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 651); 

                auto tg_xxyyzzz_xxxxxyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 652); 

                auto tg_xxyyzzz_xxxxxzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 653); 

                auto tg_xxyyzzz_xxxxyyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 654); 

                auto tg_xxyyzzz_xxxxyyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 655); 

                auto tg_xxyyzzz_xxxxyzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 656); 

                auto tg_xxyyzzz_xxxxzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 657); 

                auto tg_xxyyzzz_xxxyyyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 658); 

                auto tg_xxyyzzz_xxxyyyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 659); 

                auto tg_xxyyzzz_xxxyyzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 660); 

                auto tg_xxyyzzz_xxxyzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 661); 

                auto tg_xxyyzzz_xxxzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 662); 

                auto tg_xxyyzzz_xxyyyyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 663); 

                auto tg_xxyyzzz_xxyyyyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 664); 

                auto tg_xxyyzzz_xxyyyzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 665); 

                auto tg_xxyyzzz_xxyyzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 666); 

                auto tg_xxyyzzz_xxyzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 667); 

                auto tg_xxyyzzz_xxzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 668); 

                auto tg_xxyyzzz_xyyyyyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 669); 

                auto tg_xxyyzzz_xyyyyyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 670); 

                auto tg_xxyyzzz_xyyyyzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 671); 

                auto tg_xxyyzzz_xyyyzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 672); 

                auto tg_xxyyzzz_xyyzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 673); 

                auto tg_xxyyzzz_xyzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 674); 

                auto tg_xxyyzzz_xzzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 675); 

                auto tg_xxyyzzz_yyyyyyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 676); 

                auto tg_xxyyzzz_yyyyyyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 677); 

                auto tg_xxyyzzz_yyyyyzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 678); 

                auto tg_xxyyzzz_yyyyzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 679); 

                auto tg_xxyyzzz_yyyzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 680); 

                auto tg_xxyyzzz_yyzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 681); 

                auto tg_xxyyzzz_yzzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 682); 

                auto tg_xxyyzzz_zzzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 683); 

                auto tg_xxyzzzz_xxxxxxx_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 684); 

                auto tg_xxyzzzz_xxxxxxy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 685); 

                auto tg_xxyzzzz_xxxxxxz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 686); 

                auto tg_xxyzzzz_xxxxxyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 687); 

                auto tg_xxyzzzz_xxxxxyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 688); 

                auto tg_xxyzzzz_xxxxxzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 689); 

                auto tg_xxyzzzz_xxxxyyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 690); 

                auto tg_xxyzzzz_xxxxyyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 691); 

                auto tg_xxyzzzz_xxxxyzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 692); 

                auto tg_xxyzzzz_xxxxzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 693); 

                auto tg_xxyzzzz_xxxyyyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 694); 

                auto tg_xxyzzzz_xxxyyyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 695); 

                auto tg_xxyzzzz_xxxyyzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 696); 

                auto tg_xxyzzzz_xxxyzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 697); 

                auto tg_xxyzzzz_xxxzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 698); 

                auto tg_xxyzzzz_xxyyyyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 699); 

                auto tg_xxyzzzz_xxyyyyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 700); 

                auto tg_xxyzzzz_xxyyyzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 701); 

                // set up pointers to integrals

                auto tg_xxxyyyzz_xxxxyyyz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 776); 

                auto tg_xxxyyyzz_xxxxyyzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 777); 

                auto tg_xxxyyyzz_xxxxyzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 778); 

                auto tg_xxxyyyzz_xxxxzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 779); 

                auto tg_xxxyyyzz_xxxyyyyy_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 780); 

                auto tg_xxxyyyzz_xxxyyyyz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 781); 

                auto tg_xxxyyyzz_xxxyyyzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 782); 

                auto tg_xxxyyyzz_xxxyyzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 783); 

                auto tg_xxxyyyzz_xxxyzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 784); 

                auto tg_xxxyyyzz_xxxzzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 785); 

                auto tg_xxxyyyzz_xxyyyyyy_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 786); 

                auto tg_xxxyyyzz_xxyyyyyz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 787); 

                auto tg_xxxyyyzz_xxyyyyzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 788); 

                auto tg_xxxyyyzz_xxyyyzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 789); 

                auto tg_xxxyyyzz_xxyyzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 790); 

                auto tg_xxxyyyzz_xxyzzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 791); 

                auto tg_xxxyyyzz_xxzzzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 792); 

                auto tg_xxxyyyzz_xyyyyyyy_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 793); 

                auto tg_xxxyyyzz_xyyyyyyz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 794); 

                auto tg_xxxyyyzz_xyyyyyzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 795); 

                auto tg_xxxyyyzz_xyyyyzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 796); 

                auto tg_xxxyyyzz_xyyyzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 797); 

                auto tg_xxxyyyzz_xyyzzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 798); 

                auto tg_xxxyyyzz_xyzzzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 799); 

                auto tg_xxxyyyzz_xzzzzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 800); 

                auto tg_xxxyyyzz_yyyyyyyy_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 801); 

                auto tg_xxxyyyzz_yyyyyyyz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 802); 

                auto tg_xxxyyyzz_yyyyyyzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 803); 

                auto tg_xxxyyyzz_yyyyyzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 804); 

                auto tg_xxxyyyzz_yyyyzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 805); 

                auto tg_xxxyyyzz_yyyzzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 806); 

                auto tg_xxxyyyzz_yyzzzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 807); 

                auto tg_xxxyyyzz_yzzzzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 808); 

                auto tg_xxxyyyzz_zzzzzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 809); 

                auto tg_xxxyyzzz_xxxxxxxx_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 810); 

                auto tg_xxxyyzzz_xxxxxxxy_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 811); 

                auto tg_xxxyyzzz_xxxxxxxz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 812); 

                auto tg_xxxyyzzz_xxxxxxyy_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 813); 

                auto tg_xxxyyzzz_xxxxxxyz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 814); 

                auto tg_xxxyyzzz_xxxxxxzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 815); 

                auto tg_xxxyyzzz_xxxxxyyy_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 816); 

                auto tg_xxxyyzzz_xxxxxyyz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 817); 

                auto tg_xxxyyzzz_xxxxxyzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 818); 

                auto tg_xxxyyzzz_xxxxxzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 819); 

                auto tg_xxxyyzzz_xxxxyyyy_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 820); 

                auto tg_xxxyyzzz_xxxxyyyz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 821); 

                auto tg_xxxyyzzz_xxxxyyzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 822); 

                auto tg_xxxyyzzz_xxxxyzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 823); 

                auto tg_xxxyyzzz_xxxxzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 824); 

                auto tg_xxxyyzzz_xxxyyyyy_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 825); 

                auto tg_xxxyyzzz_xxxyyyyz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 826); 

                auto tg_xxxyyzzz_xxxyyyzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 827); 

                auto tg_xxxyyzzz_xxxyyzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 828); 

                auto tg_xxxyyzzz_xxxyzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 829); 

                auto tg_xxxyyzzz_xxxzzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 830); 

                auto tg_xxxyyzzz_xxyyyyyy_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 831); 

                auto tg_xxxyyzzz_xxyyyyyz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 832); 

                auto tg_xxxyyzzz_xxyyyyzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 833); 

                auto tg_xxxyyzzz_xxyyyzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 834); 

                auto tg_xxxyyzzz_xxyyzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 835); 

                auto tg_xxxyyzzz_xxyzzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 836); 

                auto tg_xxxyyzzz_xxzzzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 837); 

                auto tg_xxxyyzzz_xyyyyyyy_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 838); 

                auto tg_xxxyyzzz_xyyyyyyz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 839); 

                auto tg_xxxyyzzz_xyyyyyzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 840); 

                auto tg_xxxyyzzz_xyyyyzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 841); 

                auto tg_xxxyyzzz_xyyyzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 842); 

                auto tg_xxxyyzzz_xyyzzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 843); 

                auto tg_xxxyyzzz_xyzzzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 844); 

                auto tg_xxxyyzzz_xzzzzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 845); 

                auto tg_xxxyyzzz_yyyyyyyy_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 846); 

                auto tg_xxxyyzzz_yyyyyyyz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 847); 

                auto tg_xxxyyzzz_yyyyyyzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 848); 

                auto tg_xxxyyzzz_yyyyyzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 849); 

                auto tg_xxxyyzzz_yyyyzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 850); 

                auto tg_xxxyyzzz_yyyzzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 851); 

                auto tg_xxxyyzzz_yyzzzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 852); 

                auto tg_xxxyyzzz_yzzzzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 853); 

                auto tg_xxxyyzzz_zzzzzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 854); 

                auto tg_xxxyzzzz_xxxxxxxx_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 855); 

                auto tg_xxxyzzzz_xxxxxxxy_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 856); 

                auto tg_xxxyzzzz_xxxxxxxz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 857); 

                auto tg_xxxyzzzz_xxxxxxyy_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 858); 

                auto tg_xxxyzzzz_xxxxxxyz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 859); 

                auto tg_xxxyzzzz_xxxxxxzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 860); 

                auto tg_xxxyzzzz_xxxxxyyy_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 861); 

                auto tg_xxxyzzzz_xxxxxyyz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 862); 

                auto tg_xxxyzzzz_xxxxxyzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 863); 

                auto tg_xxxyzzzz_xxxxxzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 864); 

                auto tg_xxxyzzzz_xxxxyyyy_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 865); 

                auto tg_xxxyzzzz_xxxxyyyz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 866); 

                auto tg_xxxyzzzz_xxxxyyzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 867); 

                auto tg_xxxyzzzz_xxxxyzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 868); 

                auto tg_xxxyzzzz_xxxxzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 869); 

                auto tg_xxxyzzzz_xxxyyyyy_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 870); 

                auto tg_xxxyzzzz_xxxyyyyz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 871); 

                auto tg_xxxyzzzz_xxxyyyzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 872); 

                // Batch of Integrals (776,873)

                #pragma omp simd aligned(fxn, fza, tg_xxxyyyzz_xxxxyyyz_0, tg_xxxyyyzz_xxxxyyzz_0, \
                                         tg_xxxyyyzz_xxxxyzzz_0, tg_xxxyyyzz_xxxxzzzz_0, tg_xxxyyyzz_xxxyyyyy_0, \
                                         tg_xxxyyyzz_xxxyyyyz_0, tg_xxxyyyzz_xxxyyyzz_0, tg_xxxyyyzz_xxxyyzzz_0, \
                                         tg_xxxyyyzz_xxxyzzzz_0, tg_xxxyyyzz_xxxzzzzz_0, tg_xxxyyyzz_xxyyyyyy_0, \
                                         tg_xxxyyyzz_xxyyyyyz_0, tg_xxxyyyzz_xxyyyyzz_0, tg_xxxyyyzz_xxyyyzzz_0, \
                                         tg_xxxyyyzz_xxyyzzzz_0, tg_xxxyyyzz_xxyzzzzz_0, tg_xxxyyyzz_xxzzzzzz_0, \
                                         tg_xxxyyyzz_xyyyyyyy_0, tg_xxxyyyzz_xyyyyyyz_0, tg_xxxyyyzz_xyyyyyzz_0, \
                                         tg_xxxyyyzz_xyyyyzzz_0, tg_xxxyyyzz_xyyyzzzz_0, tg_xxxyyyzz_xyyzzzzz_0, \
                                         tg_xxxyyyzz_xyzzzzzz_0, tg_xxxyyyzz_xzzzzzzz_0, tg_xxxyyyzz_yyyyyyyy_0, \
                                         tg_xxxyyyzz_yyyyyyyz_0, tg_xxxyyyzz_yyyyyyzz_0, tg_xxxyyyzz_yyyyyzzz_0, \
                                         tg_xxxyyyzz_yyyyzzzz_0, tg_xxxyyyzz_yyyzzzzz_0, tg_xxxyyyzz_yyzzzzzz_0, \
                                         tg_xxxyyyzz_yzzzzzzz_0, tg_xxxyyyzz_zzzzzzzz_0, tg_xxxyyzzz_xxxxxxxx_0, \
                                         tg_xxxyyzzz_xxxxxxxy_0, tg_xxxyyzzz_xxxxxxxz_0, tg_xxxyyzzz_xxxxxxyy_0, \
                                         tg_xxxyyzzz_xxxxxxyz_0, tg_xxxyyzzz_xxxxxxzz_0, tg_xxxyyzzz_xxxxxyyy_0, \
                                         tg_xxxyyzzz_xxxxxyyz_0, tg_xxxyyzzz_xxxxxyzz_0, tg_xxxyyzzz_xxxxxzzz_0, \
                                         tg_xxxyyzzz_xxxxyyyy_0, tg_xxxyyzzz_xxxxyyyz_0, tg_xxxyyzzz_xxxxyyzz_0, \
                                         tg_xxxyyzzz_xxxxyzzz_0, tg_xxxyyzzz_xxxxzzzz_0, tg_xxxyyzzz_xxxyyyyy_0, \
                                         tg_xxxyyzzz_xxxyyyyz_0, tg_xxxyyzzz_xxxyyyzz_0, tg_xxxyyzzz_xxxyyzzz_0, \
                                         tg_xxxyyzzz_xxxyzzzz_0, tg_xxxyyzzz_xxxzzzzz_0, tg_xxxyyzzz_xxyyyyyy_0, \
                                         tg_xxxyyzzz_xxyyyyyz_0, tg_xxxyyzzz_xxyyyyzz_0, tg_xxxyyzzz_xxyyyzzz_0, \
                                         tg_xxxyyzzz_xxyyzzzz_0, tg_xxxyyzzz_xxyzzzzz_0, tg_xxxyyzzz_xxzzzzzz_0, \
                                         tg_xxxyyzzz_xyyyyyyy_0, tg_xxxyyzzz_xyyyyyyz_0, tg_xxxyyzzz_xyyyyyzz_0, \
                                         tg_xxxyyzzz_xyyyyzzz_0, tg_xxxyyzzz_xyyyzzzz_0, tg_xxxyyzzz_xyyzzzzz_0, \
                                         tg_xxxyyzzz_xyzzzzzz_0, tg_xxxyyzzz_xzzzzzzz_0, tg_xxxyyzzz_yyyyyyyy_0, \
                                         tg_xxxyyzzz_yyyyyyyz_0, tg_xxxyyzzz_yyyyyyzz_0, tg_xxxyyzzz_yyyyyzzz_0, \
                                         tg_xxxyyzzz_yyyyzzzz_0, tg_xxxyyzzz_yyyzzzzz_0, tg_xxxyyzzz_yyzzzzzz_0, \
                                         tg_xxxyyzzz_yzzzzzzz_0, tg_xxxyyzzz_zzzzzzzz_0, tg_xxxyzzzz_xxxxxxxx_0, \
                                         tg_xxxyzzzz_xxxxxxxy_0, tg_xxxyzzzz_xxxxxxxz_0, tg_xxxyzzzz_xxxxxxyy_0, \
                                         tg_xxxyzzzz_xxxxxxyz_0, tg_xxxyzzzz_xxxxxxzz_0, tg_xxxyzzzz_xxxxxyyy_0, \
                                         tg_xxxyzzzz_xxxxxyyz_0, tg_xxxyzzzz_xxxxxyzz_0, tg_xxxyzzzz_xxxxxzzz_0, \
                                         tg_xxxyzzzz_xxxxyyyy_0, tg_xxxyzzzz_xxxxyyyz_0, tg_xxxyzzzz_xxxxyyzz_0, \
                                         tg_xxxyzzzz_xxxxyzzz_0, tg_xxxyzzzz_xxxxzzzz_0, tg_xxxyzzzz_xxxyyyyy_0, \
                                         tg_xxxyzzzz_xxxyyyyz_0, tg_xxxyzzzz_xxxyyyzz_0, tg_xxyyyzz_xxxxyyyz_0, \
                                         tg_xxyyyzz_xxxxyyyz_1, tg_xxyyyzz_xxxxyyzz_0, tg_xxyyyzz_xxxxyyzz_1, \
                                         tg_xxyyyzz_xxxxyzzz_0, tg_xxyyyzz_xxxxyzzz_1, tg_xxyyyzz_xxxxzzzz_0, \
                                         tg_xxyyyzz_xxxxzzzz_1, tg_xxyyyzz_xxxyyyyy_0, tg_xxyyyzz_xxxyyyyy_1, \
                                         tg_xxyyyzz_xxxyyyyz_0, tg_xxyyyzz_xxxyyyyz_1, tg_xxyyyzz_xxxyyyz_1, \
                                         tg_xxyyyzz_xxxyyyzz_0, tg_xxyyyzz_xxxyyyzz_1, tg_xxyyyzz_xxxyyzz_1, \
                                         tg_xxyyyzz_xxxyyzzz_0, tg_xxyyyzz_xxxyyzzz_1, tg_xxyyyzz_xxxyzzz_1, \
                                         tg_xxyyyzz_xxxyzzzz_0, tg_xxyyyzz_xxxyzzzz_1, tg_xxyyyzz_xxxzzzz_1, \
                                         tg_xxyyyzz_xxxzzzzz_0, tg_xxyyyzz_xxxzzzzz_1, tg_xxyyyzz_xxyyyyy_1, \
                                         tg_xxyyyzz_xxyyyyyy_0, tg_xxyyyzz_xxyyyyyy_1, tg_xxyyyzz_xxyyyyyz_0, \
                                         tg_xxyyyzz_xxyyyyyz_1, tg_xxyyyzz_xxyyyyz_1, tg_xxyyyzz_xxyyyyzz_0, \
                                         tg_xxyyyzz_xxyyyyzz_1, tg_xxyyyzz_xxyyyzz_1, tg_xxyyyzz_xxyyyzzz_0, \
                                         tg_xxyyyzz_xxyyyzzz_1, tg_xxyyyzz_xxyyzzz_1, tg_xxyyyzz_xxyyzzzz_0, \
                                         tg_xxyyyzz_xxyyzzzz_1, tg_xxyyyzz_xxyzzzz_1, tg_xxyyyzz_xxyzzzzz_0, \
                                         tg_xxyyyzz_xxyzzzzz_1, tg_xxyyyzz_xxzzzzz_1, tg_xxyyyzz_xxzzzzzz_0, \
                                         tg_xxyyyzz_xxzzzzzz_1, tg_xxyyyzz_xyyyyyy_1, tg_xxyyyzz_xyyyyyyy_0, \
                                         tg_xxyyyzz_xyyyyyyy_1, tg_xxyyyzz_xyyyyyyz_0, tg_xxyyyzz_xyyyyyyz_1, \
                                         tg_xxyyyzz_xyyyyyz_1, tg_xxyyyzz_xyyyyyzz_0, tg_xxyyyzz_xyyyyyzz_1, \
                                         tg_xxyyyzz_xyyyyzz_1, tg_xxyyyzz_xyyyyzzz_0, tg_xxyyyzz_xyyyyzzz_1, \
                                         tg_xxyyyzz_xyyyzzz_1, tg_xxyyyzz_xyyyzzzz_0, tg_xxyyyzz_xyyyzzzz_1, \
                                         tg_xxyyyzz_xyyzzzz_1, tg_xxyyyzz_xyyzzzzz_0, tg_xxyyyzz_xyyzzzzz_1, \
                                         tg_xxyyyzz_xyzzzzz_1, tg_xxyyyzz_xyzzzzzz_0, tg_xxyyyzz_xyzzzzzz_1, \
                                         tg_xxyyyzz_xzzzzzz_1, tg_xxyyyzz_xzzzzzzz_0, tg_xxyyyzz_xzzzzzzz_1, \
                                         tg_xxyyyzz_yyyyyyy_1, tg_xxyyyzz_yyyyyyyy_0, tg_xxyyyzz_yyyyyyyy_1, \
                                         tg_xxyyyzz_yyyyyyyz_0, tg_xxyyyzz_yyyyyyyz_1, tg_xxyyyzz_yyyyyyz_1, \
                                         tg_xxyyyzz_yyyyyyzz_0, tg_xxyyyzz_yyyyyyzz_1, tg_xxyyyzz_yyyyyzz_1, \
                                         tg_xxyyyzz_yyyyyzzz_0, tg_xxyyyzz_yyyyyzzz_1, tg_xxyyyzz_yyyyzzz_1, \
                                         tg_xxyyyzz_yyyyzzzz_0, tg_xxyyyzz_yyyyzzzz_1, tg_xxyyyzz_yyyzzzz_1, \
                                         tg_xxyyyzz_yyyzzzzz_0, tg_xxyyyzz_yyyzzzzz_1, tg_xxyyyzz_yyzzzzz_1, \
                                         tg_xxyyyzz_yyzzzzzz_0, tg_xxyyyzz_yyzzzzzz_1, tg_xxyyyzz_yzzzzzz_1, \
                                         tg_xxyyyzz_yzzzzzzz_0, tg_xxyyyzz_yzzzzzzz_1, tg_xxyyyzz_zzzzzzz_1, \
                                         tg_xxyyyzz_zzzzzzzz_0, tg_xxyyyzz_zzzzzzzz_1, tg_xxyyzzz_xxxxxxx_1, \
                                         tg_xxyyzzz_xxxxxxxx_0, tg_xxyyzzz_xxxxxxxx_1, tg_xxyyzzz_xxxxxxxy_0, \
                                         tg_xxyyzzz_xxxxxxxy_1, tg_xxyyzzz_xxxxxxxz_0, tg_xxyyzzz_xxxxxxxz_1, \
                                         tg_xxyyzzz_xxxxxxy_1, tg_xxyyzzz_xxxxxxyy_0, tg_xxyyzzz_xxxxxxyy_1, \
                                         tg_xxyyzzz_xxxxxxyz_0, tg_xxyyzzz_xxxxxxyz_1, tg_xxyyzzz_xxxxxxz_1, \
                                         tg_xxyyzzz_xxxxxxzz_0, tg_xxyyzzz_xxxxxxzz_1, tg_xxyyzzz_xxxxxyy_1, \
                                         tg_xxyyzzz_xxxxxyyy_0, tg_xxyyzzz_xxxxxyyy_1, tg_xxyyzzz_xxxxxyyz_0, \
                                         tg_xxyyzzz_xxxxxyyz_1, tg_xxyyzzz_xxxxxyz_1, tg_xxyyzzz_xxxxxyzz_0, \
                                         tg_xxyyzzz_xxxxxyzz_1, tg_xxyyzzz_xxxxxzz_1, tg_xxyyzzz_xxxxxzzz_0, \
                                         tg_xxyyzzz_xxxxxzzz_1, tg_xxyyzzz_xxxxyyy_1, tg_xxyyzzz_xxxxyyyy_0, \
                                         tg_xxyyzzz_xxxxyyyy_1, tg_xxyyzzz_xxxxyyyz_0, tg_xxyyzzz_xxxxyyyz_1, \
                                         tg_xxyyzzz_xxxxyyz_1, tg_xxyyzzz_xxxxyyzz_0, tg_xxyyzzz_xxxxyyzz_1, \
                                         tg_xxyyzzz_xxxxyzz_1, tg_xxyyzzz_xxxxyzzz_0, tg_xxyyzzz_xxxxyzzz_1, \
                                         tg_xxyyzzz_xxxxzzz_1, tg_xxyyzzz_xxxxzzzz_0, tg_xxyyzzz_xxxxzzzz_1, \
                                         tg_xxyyzzz_xxxyyyy_1, tg_xxyyzzz_xxxyyyyy_0, tg_xxyyzzz_xxxyyyyy_1, \
                                         tg_xxyyzzz_xxxyyyyz_0, tg_xxyyzzz_xxxyyyyz_1, tg_xxyyzzz_xxxyyyz_1, \
                                         tg_xxyyzzz_xxxyyyzz_0, tg_xxyyzzz_xxxyyyzz_1, tg_xxyyzzz_xxxyyzz_1, \
                                         tg_xxyyzzz_xxxyyzzz_0, tg_xxyyzzz_xxxyyzzz_1, tg_xxyyzzz_xxxyzzz_1, \
                                         tg_xxyyzzz_xxxyzzzz_0, tg_xxyyzzz_xxxyzzzz_1, tg_xxyyzzz_xxxzzzz_1, \
                                         tg_xxyyzzz_xxxzzzzz_0, tg_xxyyzzz_xxxzzzzz_1, tg_xxyyzzz_xxyyyyy_1, \
                                         tg_xxyyzzz_xxyyyyyy_0, tg_xxyyzzz_xxyyyyyy_1, tg_xxyyzzz_xxyyyyyz_0, \
                                         tg_xxyyzzz_xxyyyyyz_1, tg_xxyyzzz_xxyyyyz_1, tg_xxyyzzz_xxyyyyzz_0, \
                                         tg_xxyyzzz_xxyyyyzz_1, tg_xxyyzzz_xxyyyzz_1, tg_xxyyzzz_xxyyyzzz_0, \
                                         tg_xxyyzzz_xxyyyzzz_1, tg_xxyyzzz_xxyyzzz_1, tg_xxyyzzz_xxyyzzzz_0, \
                                         tg_xxyyzzz_xxyyzzzz_1, tg_xxyyzzz_xxyzzzz_1, tg_xxyyzzz_xxyzzzzz_0, \
                                         tg_xxyyzzz_xxyzzzzz_1, tg_xxyyzzz_xxzzzzz_1, tg_xxyyzzz_xxzzzzzz_0, \
                                         tg_xxyyzzz_xxzzzzzz_1, tg_xxyyzzz_xyyyyyy_1, tg_xxyyzzz_xyyyyyyy_0, \
                                         tg_xxyyzzz_xyyyyyyy_1, tg_xxyyzzz_xyyyyyyz_0, tg_xxyyzzz_xyyyyyyz_1, \
                                         tg_xxyyzzz_xyyyyyz_1, tg_xxyyzzz_xyyyyyzz_0, tg_xxyyzzz_xyyyyyzz_1, \
                                         tg_xxyyzzz_xyyyyzz_1, tg_xxyyzzz_xyyyyzzz_0, tg_xxyyzzz_xyyyyzzz_1, \
                                         tg_xxyyzzz_xyyyzzz_1, tg_xxyyzzz_xyyyzzzz_0, tg_xxyyzzz_xyyyzzzz_1, \
                                         tg_xxyyzzz_xyyzzzz_1, tg_xxyyzzz_xyyzzzzz_0, tg_xxyyzzz_xyyzzzzz_1, \
                                         tg_xxyyzzz_xyzzzzz_1, tg_xxyyzzz_xyzzzzzz_0, tg_xxyyzzz_xyzzzzzz_1, \
                                         tg_xxyyzzz_xzzzzzz_1, tg_xxyyzzz_xzzzzzzz_0, tg_xxyyzzz_xzzzzzzz_1, \
                                         tg_xxyyzzz_yyyyyyy_1, tg_xxyyzzz_yyyyyyyy_0, tg_xxyyzzz_yyyyyyyy_1, \
                                         tg_xxyyzzz_yyyyyyyz_0, tg_xxyyzzz_yyyyyyyz_1, tg_xxyyzzz_yyyyyyz_1, \
                                         tg_xxyyzzz_yyyyyyzz_0, tg_xxyyzzz_yyyyyyzz_1, tg_xxyyzzz_yyyyyzz_1, \
                                         tg_xxyyzzz_yyyyyzzz_0, tg_xxyyzzz_yyyyyzzz_1, tg_xxyyzzz_yyyyzzz_1, \
                                         tg_xxyyzzz_yyyyzzzz_0, tg_xxyyzzz_yyyyzzzz_1, tg_xxyyzzz_yyyzzzz_1, \
                                         tg_xxyyzzz_yyyzzzzz_0, tg_xxyyzzz_yyyzzzzz_1, tg_xxyyzzz_yyzzzzz_1, \
                                         tg_xxyyzzz_yyzzzzzz_0, tg_xxyyzzz_yyzzzzzz_1, tg_xxyyzzz_yzzzzzz_1, \
                                         tg_xxyyzzz_yzzzzzzz_0, tg_xxyyzzz_yzzzzzzz_1, tg_xxyyzzz_zzzzzzz_1, \
                                         tg_xxyyzzz_zzzzzzzz_0, tg_xxyyzzz_zzzzzzzz_1, tg_xxyzzzz_xxxxxxx_1, \
                                         tg_xxyzzzz_xxxxxxxx_0, tg_xxyzzzz_xxxxxxxx_1, tg_xxyzzzz_xxxxxxxy_0, \
                                         tg_xxyzzzz_xxxxxxxy_1, tg_xxyzzzz_xxxxxxxz_0, tg_xxyzzzz_xxxxxxxz_1, \
                                         tg_xxyzzzz_xxxxxxy_1, tg_xxyzzzz_xxxxxxyy_0, tg_xxyzzzz_xxxxxxyy_1, \
                                         tg_xxyzzzz_xxxxxxyz_0, tg_xxyzzzz_xxxxxxyz_1, tg_xxyzzzz_xxxxxxz_1, \
                                         tg_xxyzzzz_xxxxxxzz_0, tg_xxyzzzz_xxxxxxzz_1, tg_xxyzzzz_xxxxxyy_1, \
                                         tg_xxyzzzz_xxxxxyyy_0, tg_xxyzzzz_xxxxxyyy_1, tg_xxyzzzz_xxxxxyyz_0, \
                                         tg_xxyzzzz_xxxxxyyz_1, tg_xxyzzzz_xxxxxyz_1, tg_xxyzzzz_xxxxxyzz_0, \
                                         tg_xxyzzzz_xxxxxyzz_1, tg_xxyzzzz_xxxxxzz_1, tg_xxyzzzz_xxxxxzzz_0, \
                                         tg_xxyzzzz_xxxxxzzz_1, tg_xxyzzzz_xxxxyyy_1, tg_xxyzzzz_xxxxyyyy_0, \
                                         tg_xxyzzzz_xxxxyyyy_1, tg_xxyzzzz_xxxxyyyz_0, tg_xxyzzzz_xxxxyyyz_1, \
                                         tg_xxyzzzz_xxxxyyz_1, tg_xxyzzzz_xxxxyyzz_0, tg_xxyzzzz_xxxxyyzz_1, \
                                         tg_xxyzzzz_xxxxyzz_1, tg_xxyzzzz_xxxxyzzz_0, tg_xxyzzzz_xxxxyzzz_1, \
                                         tg_xxyzzzz_xxxxzzz_1, tg_xxyzzzz_xxxxzzzz_0, tg_xxyzzzz_xxxxzzzz_1, \
                                         tg_xxyzzzz_xxxyyyy_1, tg_xxyzzzz_xxxyyyyy_0, tg_xxyzzzz_xxxyyyyy_1, \
                                         tg_xxyzzzz_xxxyyyyz_0, tg_xxyzzzz_xxxyyyyz_1, tg_xxyzzzz_xxxyyyz_1, \
                                         tg_xxyzzzz_xxxyyyzz_0, tg_xxyzzzz_xxxyyyzz_1, tg_xxyzzzz_xxxyyzz_1, \
                                         tg_xxyzzzz_xxxyzzz_1, tg_xxyzzzz_xxxzzzz_1, tg_xxyzzzz_xxyyyyy_1, tg_xxyzzzz_xxyyyyz_1, \
                                         tg_xxyzzzz_xxyyyzz_1, tg_xyyyzz_xxxxyyyz_0, tg_xyyyzz_xxxxyyyz_1, tg_xyyyzz_xxxxyyzz_0, \
                                         tg_xyyyzz_xxxxyyzz_1, tg_xyyyzz_xxxxyzzz_0, tg_xyyyzz_xxxxyzzz_1, tg_xyyyzz_xxxxzzzz_0, \
                                         tg_xyyyzz_xxxxzzzz_1, tg_xyyyzz_xxxyyyyy_0, tg_xyyyzz_xxxyyyyy_1, tg_xyyyzz_xxxyyyyz_0, \
                                         tg_xyyyzz_xxxyyyyz_1, tg_xyyyzz_xxxyyyzz_0, tg_xyyyzz_xxxyyyzz_1, tg_xyyyzz_xxxyyzzz_0, \
                                         tg_xyyyzz_xxxyyzzz_1, tg_xyyyzz_xxxyzzzz_0, tg_xyyyzz_xxxyzzzz_1, tg_xyyyzz_xxxzzzzz_0, \
                                         tg_xyyyzz_xxxzzzzz_1, tg_xyyyzz_xxyyyyyy_0, tg_xyyyzz_xxyyyyyy_1, tg_xyyyzz_xxyyyyyz_0, \
                                         tg_xyyyzz_xxyyyyyz_1, tg_xyyyzz_xxyyyyzz_0, tg_xyyyzz_xxyyyyzz_1, tg_xyyyzz_xxyyyzzz_0, \
                                         tg_xyyyzz_xxyyyzzz_1, tg_xyyyzz_xxyyzzzz_0, tg_xyyyzz_xxyyzzzz_1, tg_xyyyzz_xxyzzzzz_0, \
                                         tg_xyyyzz_xxyzzzzz_1, tg_xyyyzz_xxzzzzzz_0, tg_xyyyzz_xxzzzzzz_1, tg_xyyyzz_xyyyyyyy_0, \
                                         tg_xyyyzz_xyyyyyyy_1, tg_xyyyzz_xyyyyyyz_0, tg_xyyyzz_xyyyyyyz_1, tg_xyyyzz_xyyyyyzz_0, \
                                         tg_xyyyzz_xyyyyyzz_1, tg_xyyyzz_xyyyyzzz_0, tg_xyyyzz_xyyyyzzz_1, tg_xyyyzz_xyyyzzzz_0, \
                                         tg_xyyyzz_xyyyzzzz_1, tg_xyyyzz_xyyzzzzz_0, tg_xyyyzz_xyyzzzzz_1, tg_xyyyzz_xyzzzzzz_0, \
                                         tg_xyyyzz_xyzzzzzz_1, tg_xyyyzz_xzzzzzzz_0, tg_xyyyzz_xzzzzzzz_1, tg_xyyyzz_yyyyyyyy_0, \
                                         tg_xyyyzz_yyyyyyyy_1, tg_xyyyzz_yyyyyyyz_0, tg_xyyyzz_yyyyyyyz_1, tg_xyyyzz_yyyyyyzz_0, \
                                         tg_xyyyzz_yyyyyyzz_1, tg_xyyyzz_yyyyyzzz_0, tg_xyyyzz_yyyyyzzz_1, tg_xyyyzz_yyyyzzzz_0, \
                                         tg_xyyyzz_yyyyzzzz_1, tg_xyyyzz_yyyzzzzz_0, tg_xyyyzz_yyyzzzzz_1, tg_xyyyzz_yyzzzzzz_0, \
                                         tg_xyyyzz_yyzzzzzz_1, tg_xyyyzz_yzzzzzzz_0, tg_xyyyzz_yzzzzzzz_1, tg_xyyyzz_zzzzzzzz_0, \
                                         tg_xyyyzz_zzzzzzzz_1, tg_xyyzzz_xxxxxxxx_0, tg_xyyzzz_xxxxxxxx_1, tg_xyyzzz_xxxxxxxy_0, \
                                         tg_xyyzzz_xxxxxxxy_1, tg_xyyzzz_xxxxxxxz_0, tg_xyyzzz_xxxxxxxz_1, tg_xyyzzz_xxxxxxyy_0, \
                                         tg_xyyzzz_xxxxxxyy_1, tg_xyyzzz_xxxxxxyz_0, tg_xyyzzz_xxxxxxyz_1, tg_xyyzzz_xxxxxxzz_0, \
                                         tg_xyyzzz_xxxxxxzz_1, tg_xyyzzz_xxxxxyyy_0, tg_xyyzzz_xxxxxyyy_1, tg_xyyzzz_xxxxxyyz_0, \
                                         tg_xyyzzz_xxxxxyyz_1, tg_xyyzzz_xxxxxyzz_0, tg_xyyzzz_xxxxxyzz_1, tg_xyyzzz_xxxxxzzz_0, \
                                         tg_xyyzzz_xxxxxzzz_1, tg_xyyzzz_xxxxyyyy_0, tg_xyyzzz_xxxxyyyy_1, tg_xyyzzz_xxxxyyyz_0, \
                                         tg_xyyzzz_xxxxyyyz_1, tg_xyyzzz_xxxxyyzz_0, tg_xyyzzz_xxxxyyzz_1, tg_xyyzzz_xxxxyzzz_0, \
                                         tg_xyyzzz_xxxxyzzz_1, tg_xyyzzz_xxxxzzzz_0, tg_xyyzzz_xxxxzzzz_1, tg_xyyzzz_xxxyyyyy_0, \
                                         tg_xyyzzz_xxxyyyyy_1, tg_xyyzzz_xxxyyyyz_0, tg_xyyzzz_xxxyyyyz_1, tg_xyyzzz_xxxyyyzz_0, \
                                         tg_xyyzzz_xxxyyyzz_1, tg_xyyzzz_xxxyyzzz_0, tg_xyyzzz_xxxyyzzz_1, tg_xyyzzz_xxxyzzzz_0, \
                                         tg_xyyzzz_xxxyzzzz_1, tg_xyyzzz_xxxzzzzz_0, tg_xyyzzz_xxxzzzzz_1, tg_xyyzzz_xxyyyyyy_0, \
                                         tg_xyyzzz_xxyyyyyy_1, tg_xyyzzz_xxyyyyyz_0, tg_xyyzzz_xxyyyyyz_1, tg_xyyzzz_xxyyyyzz_0, \
                                         tg_xyyzzz_xxyyyyzz_1, tg_xyyzzz_xxyyyzzz_0, tg_xyyzzz_xxyyyzzz_1, tg_xyyzzz_xxyyzzzz_0, \
                                         tg_xyyzzz_xxyyzzzz_1, tg_xyyzzz_xxyzzzzz_0, tg_xyyzzz_xxyzzzzz_1, tg_xyyzzz_xxzzzzzz_0, \
                                         tg_xyyzzz_xxzzzzzz_1, tg_xyyzzz_xyyyyyyy_0, tg_xyyzzz_xyyyyyyy_1, tg_xyyzzz_xyyyyyyz_0, \
                                         tg_xyyzzz_xyyyyyyz_1, tg_xyyzzz_xyyyyyzz_0, tg_xyyzzz_xyyyyyzz_1, tg_xyyzzz_xyyyyzzz_0, \
                                         tg_xyyzzz_xyyyyzzz_1, tg_xyyzzz_xyyyzzzz_0, tg_xyyzzz_xyyyzzzz_1, tg_xyyzzz_xyyzzzzz_0, \
                                         tg_xyyzzz_xyyzzzzz_1, tg_xyyzzz_xyzzzzzz_0, tg_xyyzzz_xyzzzzzz_1, tg_xyyzzz_xzzzzzzz_0, \
                                         tg_xyyzzz_xzzzzzzz_1, tg_xyyzzz_yyyyyyyy_0, tg_xyyzzz_yyyyyyyy_1, tg_xyyzzz_yyyyyyyz_0, \
                                         tg_xyyzzz_yyyyyyyz_1, tg_xyyzzz_yyyyyyzz_0, tg_xyyzzz_yyyyyyzz_1, tg_xyyzzz_yyyyyzzz_0, \
                                         tg_xyyzzz_yyyyyzzz_1, tg_xyyzzz_yyyyzzzz_0, tg_xyyzzz_yyyyzzzz_1, tg_xyyzzz_yyyzzzzz_0, \
                                         tg_xyyzzz_yyyzzzzz_1, tg_xyyzzz_yyzzzzzz_0, tg_xyyzzz_yyzzzzzz_1, tg_xyyzzz_yzzzzzzz_0, \
                                         tg_xyyzzz_yzzzzzzz_1, tg_xyyzzz_zzzzzzzz_0, tg_xyyzzz_zzzzzzzz_1, tg_xyzzzz_xxxxxxxx_0, \
                                         tg_xyzzzz_xxxxxxxx_1, tg_xyzzzz_xxxxxxxy_0, tg_xyzzzz_xxxxxxxy_1, tg_xyzzzz_xxxxxxxz_0, \
                                         tg_xyzzzz_xxxxxxxz_1, tg_xyzzzz_xxxxxxyy_0, tg_xyzzzz_xxxxxxyy_1, tg_xyzzzz_xxxxxxyz_0, \
                                         tg_xyzzzz_xxxxxxyz_1, tg_xyzzzz_xxxxxxzz_0, tg_xyzzzz_xxxxxxzz_1, tg_xyzzzz_xxxxxyyy_0, \
                                         tg_xyzzzz_xxxxxyyy_1, tg_xyzzzz_xxxxxyyz_0, tg_xyzzzz_xxxxxyyz_1, tg_xyzzzz_xxxxxyzz_0, \
                                         tg_xyzzzz_xxxxxyzz_1, tg_xyzzzz_xxxxxzzz_0, tg_xyzzzz_xxxxxzzz_1, tg_xyzzzz_xxxxyyyy_0, \
                                         tg_xyzzzz_xxxxyyyy_1, tg_xyzzzz_xxxxyyyz_0, tg_xyzzzz_xxxxyyyz_1, tg_xyzzzz_xxxxyyzz_0, \
                                         tg_xyzzzz_xxxxyyzz_1, tg_xyzzzz_xxxxyzzz_0, tg_xyzzzz_xxxxyzzz_1, tg_xyzzzz_xxxxzzzz_0, \
                                         tg_xyzzzz_xxxxzzzz_1, tg_xyzzzz_xxxyyyyy_0, tg_xyzzzz_xxxyyyyy_1, tg_xyzzzz_xxxyyyyz_0, \
                                         tg_xyzzzz_xxxyyyyz_1, tg_xyzzzz_xxxyyyzz_0, tg_xyzzzz_xxxyyyzz_1, wp_x: VLX_ALIGN)
                for (int32_t j = 0; j < nKetPrimPairs; j++)
                {
                    double fl1_fx = fx;

                    double fl1_fxn = fxn[j];

                    double fl1_fza = fza[j];

                    double fr = wp_x[j]; 

                    tg_xxxyyyzz_xxxxyyyz_0[j] = pb_x * tg_xxyyyzz_xxxxyyyz_0[j] + fr * tg_xxyyyzz_xxxxyyyz_1[j] + fl1_fx * (tg_xyyyzz_xxxxyyyz_0[j] - tg_xyyyzz_xxxxyyyz_1[j] * fl1_fza) + 2.0 * fl1_fxn * tg_xxyyyzz_xxxyyyz_1[j];

                    tg_xxxyyyzz_xxxxyyzz_0[j] = pb_x * tg_xxyyyzz_xxxxyyzz_0[j] + fr * tg_xxyyyzz_xxxxyyzz_1[j] + fl1_fx * (tg_xyyyzz_xxxxyyzz_0[j] - tg_xyyyzz_xxxxyyzz_1[j] * fl1_fza) + 2.0 * fl1_fxn * tg_xxyyyzz_xxxyyzz_1[j];

                    tg_xxxyyyzz_xxxxyzzz_0[j] = pb_x * tg_xxyyyzz_xxxxyzzz_0[j] + fr * tg_xxyyyzz_xxxxyzzz_1[j] + fl1_fx * (tg_xyyyzz_xxxxyzzz_0[j] - tg_xyyyzz_xxxxyzzz_1[j] * fl1_fza) + 2.0 * fl1_fxn * tg_xxyyyzz_xxxyzzz_1[j];

                    tg_xxxyyyzz_xxxxzzzz_0[j] = pb_x * tg_xxyyyzz_xxxxzzzz_0[j] + fr * tg_xxyyyzz_xxxxzzzz_1[j] + fl1_fx * (tg_xyyyzz_xxxxzzzz_0[j] - tg_xyyyzz_xxxxzzzz_1[j] * fl1_fza) + 2.0 * fl1_fxn * tg_xxyyyzz_xxxzzzz_1[j];

                    tg_xxxyyyzz_xxxyyyyy_0[j] = pb_x * tg_xxyyyzz_xxxyyyyy_0[j] + fr * tg_xxyyyzz_xxxyyyyy_1[j] + fl1_fx * (tg_xyyyzz_xxxyyyyy_0[j] - tg_xyyyzz_xxxyyyyy_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_xxyyyzz_xxyyyyy_1[j];

                    tg_xxxyyyzz_xxxyyyyz_0[j] = pb_x * tg_xxyyyzz_xxxyyyyz_0[j] + fr * tg_xxyyyzz_xxxyyyyz_1[j] + fl1_fx * (tg_xyyyzz_xxxyyyyz_0[j] - tg_xyyyzz_xxxyyyyz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_xxyyyzz_xxyyyyz_1[j];

                    tg_xxxyyyzz_xxxyyyzz_0[j] = pb_x * tg_xxyyyzz_xxxyyyzz_0[j] + fr * tg_xxyyyzz_xxxyyyzz_1[j] + fl1_fx * (tg_xyyyzz_xxxyyyzz_0[j] - tg_xyyyzz_xxxyyyzz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_xxyyyzz_xxyyyzz_1[j];

                    tg_xxxyyyzz_xxxyyzzz_0[j] = pb_x * tg_xxyyyzz_xxxyyzzz_0[j] + fr * tg_xxyyyzz_xxxyyzzz_1[j] + fl1_fx * (tg_xyyyzz_xxxyyzzz_0[j] - tg_xyyyzz_xxxyyzzz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_xxyyyzz_xxyyzzz_1[j];

                    tg_xxxyyyzz_xxxyzzzz_0[j] = pb_x * tg_xxyyyzz_xxxyzzzz_0[j] + fr * tg_xxyyyzz_xxxyzzzz_1[j] + fl1_fx * (tg_xyyyzz_xxxyzzzz_0[j] - tg_xyyyzz_xxxyzzzz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_xxyyyzz_xxyzzzz_1[j];

                    tg_xxxyyyzz_xxxzzzzz_0[j] = pb_x * tg_xxyyyzz_xxxzzzzz_0[j] + fr * tg_xxyyyzz_xxxzzzzz_1[j] + fl1_fx * (tg_xyyyzz_xxxzzzzz_0[j] - tg_xyyyzz_xxxzzzzz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_xxyyyzz_xxzzzzz_1[j];

                    tg_xxxyyyzz_xxyyyyyy_0[j] = pb_x * tg_xxyyyzz_xxyyyyyy_0[j] + fr * tg_xxyyyzz_xxyyyyyy_1[j] + fl1_fx * (tg_xyyyzz_xxyyyyyy_0[j] - tg_xyyyzz_xxyyyyyy_1[j] * fl1_fza) + fl1_fxn * tg_xxyyyzz_xyyyyyy_1[j];

                    tg_xxxyyyzz_xxyyyyyz_0[j] = pb_x * tg_xxyyyzz_xxyyyyyz_0[j] + fr * tg_xxyyyzz_xxyyyyyz_1[j] + fl1_fx * (tg_xyyyzz_xxyyyyyz_0[j] - tg_xyyyzz_xxyyyyyz_1[j] * fl1_fza) + fl1_fxn * tg_xxyyyzz_xyyyyyz_1[j];

                    tg_xxxyyyzz_xxyyyyzz_0[j] = pb_x * tg_xxyyyzz_xxyyyyzz_0[j] + fr * tg_xxyyyzz_xxyyyyzz_1[j] + fl1_fx * (tg_xyyyzz_xxyyyyzz_0[j] - tg_xyyyzz_xxyyyyzz_1[j] * fl1_fza) + fl1_fxn * tg_xxyyyzz_xyyyyzz_1[j];

                    tg_xxxyyyzz_xxyyyzzz_0[j] = pb_x * tg_xxyyyzz_xxyyyzzz_0[j] + fr * tg_xxyyyzz_xxyyyzzz_1[j] + fl1_fx * (tg_xyyyzz_xxyyyzzz_0[j] - tg_xyyyzz_xxyyyzzz_1[j] * fl1_fza) + fl1_fxn * tg_xxyyyzz_xyyyzzz_1[j];

                    tg_xxxyyyzz_xxyyzzzz_0[j] = pb_x * tg_xxyyyzz_xxyyzzzz_0[j] + fr * tg_xxyyyzz_xxyyzzzz_1[j] + fl1_fx * (tg_xyyyzz_xxyyzzzz_0[j] - tg_xyyyzz_xxyyzzzz_1[j] * fl1_fza) + fl1_fxn * tg_xxyyyzz_xyyzzzz_1[j];

                    tg_xxxyyyzz_xxyzzzzz_0[j] = pb_x * tg_xxyyyzz_xxyzzzzz_0[j] + fr * tg_xxyyyzz_xxyzzzzz_1[j] + fl1_fx * (tg_xyyyzz_xxyzzzzz_0[j] - tg_xyyyzz_xxyzzzzz_1[j] * fl1_fza) + fl1_fxn * tg_xxyyyzz_xyzzzzz_1[j];

                    tg_xxxyyyzz_xxzzzzzz_0[j] = pb_x * tg_xxyyyzz_xxzzzzzz_0[j] + fr * tg_xxyyyzz_xxzzzzzz_1[j] + fl1_fx * (tg_xyyyzz_xxzzzzzz_0[j] - tg_xyyyzz_xxzzzzzz_1[j] * fl1_fza) + fl1_fxn * tg_xxyyyzz_xzzzzzz_1[j];

                    tg_xxxyyyzz_xyyyyyyy_0[j] = pb_x * tg_xxyyyzz_xyyyyyyy_0[j] + fr * tg_xxyyyzz_xyyyyyyy_1[j] + fl1_fx * (tg_xyyyzz_xyyyyyyy_0[j] - tg_xyyyzz_xyyyyyyy_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xxyyyzz_yyyyyyy_1[j];

                    tg_xxxyyyzz_xyyyyyyz_0[j] = pb_x * tg_xxyyyzz_xyyyyyyz_0[j] + fr * tg_xxyyyzz_xyyyyyyz_1[j] + fl1_fx * (tg_xyyyzz_xyyyyyyz_0[j] - tg_xyyyzz_xyyyyyyz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xxyyyzz_yyyyyyz_1[j];

                    tg_xxxyyyzz_xyyyyyzz_0[j] = pb_x * tg_xxyyyzz_xyyyyyzz_0[j] + fr * tg_xxyyyzz_xyyyyyzz_1[j] + fl1_fx * (tg_xyyyzz_xyyyyyzz_0[j] - tg_xyyyzz_xyyyyyzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xxyyyzz_yyyyyzz_1[j];

                    tg_xxxyyyzz_xyyyyzzz_0[j] = pb_x * tg_xxyyyzz_xyyyyzzz_0[j] + fr * tg_xxyyyzz_xyyyyzzz_1[j] + fl1_fx * (tg_xyyyzz_xyyyyzzz_0[j] - tg_xyyyzz_xyyyyzzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xxyyyzz_yyyyzzz_1[j];

                    tg_xxxyyyzz_xyyyzzzz_0[j] = pb_x * tg_xxyyyzz_xyyyzzzz_0[j] + fr * tg_xxyyyzz_xyyyzzzz_1[j] + fl1_fx * (tg_xyyyzz_xyyyzzzz_0[j] - tg_xyyyzz_xyyyzzzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xxyyyzz_yyyzzzz_1[j];

                    tg_xxxyyyzz_xyyzzzzz_0[j] = pb_x * tg_xxyyyzz_xyyzzzzz_0[j] + fr * tg_xxyyyzz_xyyzzzzz_1[j] + fl1_fx * (tg_xyyyzz_xyyzzzzz_0[j] - tg_xyyyzz_xyyzzzzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xxyyyzz_yyzzzzz_1[j];

                    tg_xxxyyyzz_xyzzzzzz_0[j] = pb_x * tg_xxyyyzz_xyzzzzzz_0[j] + fr * tg_xxyyyzz_xyzzzzzz_1[j] + fl1_fx * (tg_xyyyzz_xyzzzzzz_0[j] - tg_xyyyzz_xyzzzzzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xxyyyzz_yzzzzzz_1[j];

                    tg_xxxyyyzz_xzzzzzzz_0[j] = pb_x * tg_xxyyyzz_xzzzzzzz_0[j] + fr * tg_xxyyyzz_xzzzzzzz_1[j] + fl1_fx * (tg_xyyyzz_xzzzzzzz_0[j] - tg_xyyyzz_xzzzzzzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xxyyyzz_zzzzzzz_1[j];

                    tg_xxxyyyzz_yyyyyyyy_0[j] = pb_x * tg_xxyyyzz_yyyyyyyy_0[j] + fr * tg_xxyyyzz_yyyyyyyy_1[j] + fl1_fx * (tg_xyyyzz_yyyyyyyy_0[j] - tg_xyyyzz_yyyyyyyy_1[j] * fl1_fza);

                    tg_xxxyyyzz_yyyyyyyz_0[j] = pb_x * tg_xxyyyzz_yyyyyyyz_0[j] + fr * tg_xxyyyzz_yyyyyyyz_1[j] + fl1_fx * (tg_xyyyzz_yyyyyyyz_0[j] - tg_xyyyzz_yyyyyyyz_1[j] * fl1_fza);

                    tg_xxxyyyzz_yyyyyyzz_0[j] = pb_x * tg_xxyyyzz_yyyyyyzz_0[j] + fr * tg_xxyyyzz_yyyyyyzz_1[j] + fl1_fx * (tg_xyyyzz_yyyyyyzz_0[j] - tg_xyyyzz_yyyyyyzz_1[j] * fl1_fza);

                    tg_xxxyyyzz_yyyyyzzz_0[j] = pb_x * tg_xxyyyzz_yyyyyzzz_0[j] + fr * tg_xxyyyzz_yyyyyzzz_1[j] + fl1_fx * (tg_xyyyzz_yyyyyzzz_0[j] - tg_xyyyzz_yyyyyzzz_1[j] * fl1_fza);

                    tg_xxxyyyzz_yyyyzzzz_0[j] = pb_x * tg_xxyyyzz_yyyyzzzz_0[j] + fr * tg_xxyyyzz_yyyyzzzz_1[j] + fl1_fx * (tg_xyyyzz_yyyyzzzz_0[j] - tg_xyyyzz_yyyyzzzz_1[j] * fl1_fza);

                    tg_xxxyyyzz_yyyzzzzz_0[j] = pb_x * tg_xxyyyzz_yyyzzzzz_0[j] + fr * tg_xxyyyzz_yyyzzzzz_1[j] + fl1_fx * (tg_xyyyzz_yyyzzzzz_0[j] - tg_xyyyzz_yyyzzzzz_1[j] * fl1_fza);

                    tg_xxxyyyzz_yyzzzzzz_0[j] = pb_x * tg_xxyyyzz_yyzzzzzz_0[j] + fr * tg_xxyyyzz_yyzzzzzz_1[j] + fl1_fx * (tg_xyyyzz_yyzzzzzz_0[j] - tg_xyyyzz_yyzzzzzz_1[j] * fl1_fza);

                    tg_xxxyyyzz_yzzzzzzz_0[j] = pb_x * tg_xxyyyzz_yzzzzzzz_0[j] + fr * tg_xxyyyzz_yzzzzzzz_1[j] + fl1_fx * (tg_xyyyzz_yzzzzzzz_0[j] - tg_xyyyzz_yzzzzzzz_1[j] * fl1_fza);

                    tg_xxxyyyzz_zzzzzzzz_0[j] = pb_x * tg_xxyyyzz_zzzzzzzz_0[j] + fr * tg_xxyyyzz_zzzzzzzz_1[j] + fl1_fx * (tg_xyyyzz_zzzzzzzz_0[j] - tg_xyyyzz_zzzzzzzz_1[j] * fl1_fza);

                    tg_xxxyyzzz_xxxxxxxx_0[j] = pb_x * tg_xxyyzzz_xxxxxxxx_0[j] + fr * tg_xxyyzzz_xxxxxxxx_1[j] + fl1_fx * (tg_xyyzzz_xxxxxxxx_0[j] - tg_xyyzzz_xxxxxxxx_1[j] * fl1_fza) + 4.0 * fl1_fxn * tg_xxyyzzz_xxxxxxx_1[j];

                    tg_xxxyyzzz_xxxxxxxy_0[j] = pb_x * tg_xxyyzzz_xxxxxxxy_0[j] + fr * tg_xxyyzzz_xxxxxxxy_1[j] + fl1_fx * (tg_xyyzzz_xxxxxxxy_0[j] - tg_xyyzzz_xxxxxxxy_1[j] * fl1_fza) + 3.5 * fl1_fxn * tg_xxyyzzz_xxxxxxy_1[j];

                    tg_xxxyyzzz_xxxxxxxz_0[j] = pb_x * tg_xxyyzzz_xxxxxxxz_0[j] + fr * tg_xxyyzzz_xxxxxxxz_1[j] + fl1_fx * (tg_xyyzzz_xxxxxxxz_0[j] - tg_xyyzzz_xxxxxxxz_1[j] * fl1_fza) + 3.5 * fl1_fxn * tg_xxyyzzz_xxxxxxz_1[j];

                    tg_xxxyyzzz_xxxxxxyy_0[j] = pb_x * tg_xxyyzzz_xxxxxxyy_0[j] + fr * tg_xxyyzzz_xxxxxxyy_1[j] + fl1_fx * (tg_xyyzzz_xxxxxxyy_0[j] - tg_xyyzzz_xxxxxxyy_1[j] * fl1_fza) + 3.0 * fl1_fxn * tg_xxyyzzz_xxxxxyy_1[j];

                    tg_xxxyyzzz_xxxxxxyz_0[j] = pb_x * tg_xxyyzzz_xxxxxxyz_0[j] + fr * tg_xxyyzzz_xxxxxxyz_1[j] + fl1_fx * (tg_xyyzzz_xxxxxxyz_0[j] - tg_xyyzzz_xxxxxxyz_1[j] * fl1_fza) + 3.0 * fl1_fxn * tg_xxyyzzz_xxxxxyz_1[j];

                    tg_xxxyyzzz_xxxxxxzz_0[j] = pb_x * tg_xxyyzzz_xxxxxxzz_0[j] + fr * tg_xxyyzzz_xxxxxxzz_1[j] + fl1_fx * (tg_xyyzzz_xxxxxxzz_0[j] - tg_xyyzzz_xxxxxxzz_1[j] * fl1_fza) + 3.0 * fl1_fxn * tg_xxyyzzz_xxxxxzz_1[j];

                    tg_xxxyyzzz_xxxxxyyy_0[j] = pb_x * tg_xxyyzzz_xxxxxyyy_0[j] + fr * tg_xxyyzzz_xxxxxyyy_1[j] + fl1_fx * (tg_xyyzzz_xxxxxyyy_0[j] - tg_xyyzzz_xxxxxyyy_1[j] * fl1_fza) + 2.5 * fl1_fxn * tg_xxyyzzz_xxxxyyy_1[j];

                    tg_xxxyyzzz_xxxxxyyz_0[j] = pb_x * tg_xxyyzzz_xxxxxyyz_0[j] + fr * tg_xxyyzzz_xxxxxyyz_1[j] + fl1_fx * (tg_xyyzzz_xxxxxyyz_0[j] - tg_xyyzzz_xxxxxyyz_1[j] * fl1_fza) + 2.5 * fl1_fxn * tg_xxyyzzz_xxxxyyz_1[j];

                    tg_xxxyyzzz_xxxxxyzz_0[j] = pb_x * tg_xxyyzzz_xxxxxyzz_0[j] + fr * tg_xxyyzzz_xxxxxyzz_1[j] + fl1_fx * (tg_xyyzzz_xxxxxyzz_0[j] - tg_xyyzzz_xxxxxyzz_1[j] * fl1_fza) + 2.5 * fl1_fxn * tg_xxyyzzz_xxxxyzz_1[j];

                    tg_xxxyyzzz_xxxxxzzz_0[j] = pb_x * tg_xxyyzzz_xxxxxzzz_0[j] + fr * tg_xxyyzzz_xxxxxzzz_1[j] + fl1_fx * (tg_xyyzzz_xxxxxzzz_0[j] - tg_xyyzzz_xxxxxzzz_1[j] * fl1_fza) + 2.5 * fl1_fxn * tg_xxyyzzz_xxxxzzz_1[j];

                    tg_xxxyyzzz_xxxxyyyy_0[j] = pb_x * tg_xxyyzzz_xxxxyyyy_0[j] + fr * tg_xxyyzzz_xxxxyyyy_1[j] + fl1_fx * (tg_xyyzzz_xxxxyyyy_0[j] - tg_xyyzzz_xxxxyyyy_1[j] * fl1_fza) + 2.0 * fl1_fxn * tg_xxyyzzz_xxxyyyy_1[j];

                    tg_xxxyyzzz_xxxxyyyz_0[j] = pb_x * tg_xxyyzzz_xxxxyyyz_0[j] + fr * tg_xxyyzzz_xxxxyyyz_1[j] + fl1_fx * (tg_xyyzzz_xxxxyyyz_0[j] - tg_xyyzzz_xxxxyyyz_1[j] * fl1_fza) + 2.0 * fl1_fxn * tg_xxyyzzz_xxxyyyz_1[j];

                    tg_xxxyyzzz_xxxxyyzz_0[j] = pb_x * tg_xxyyzzz_xxxxyyzz_0[j] + fr * tg_xxyyzzz_xxxxyyzz_1[j] + fl1_fx * (tg_xyyzzz_xxxxyyzz_0[j] - tg_xyyzzz_xxxxyyzz_1[j] * fl1_fza) + 2.0 * fl1_fxn * tg_xxyyzzz_xxxyyzz_1[j];

                    tg_xxxyyzzz_xxxxyzzz_0[j] = pb_x * tg_xxyyzzz_xxxxyzzz_0[j] + fr * tg_xxyyzzz_xxxxyzzz_1[j] + fl1_fx * (tg_xyyzzz_xxxxyzzz_0[j] - tg_xyyzzz_xxxxyzzz_1[j] * fl1_fza) + 2.0 * fl1_fxn * tg_xxyyzzz_xxxyzzz_1[j];

                    tg_xxxyyzzz_xxxxzzzz_0[j] = pb_x * tg_xxyyzzz_xxxxzzzz_0[j] + fr * tg_xxyyzzz_xxxxzzzz_1[j] + fl1_fx * (tg_xyyzzz_xxxxzzzz_0[j] - tg_xyyzzz_xxxxzzzz_1[j] * fl1_fza) + 2.0 * fl1_fxn * tg_xxyyzzz_xxxzzzz_1[j];

                    tg_xxxyyzzz_xxxyyyyy_0[j] = pb_x * tg_xxyyzzz_xxxyyyyy_0[j] + fr * tg_xxyyzzz_xxxyyyyy_1[j] + fl1_fx * (tg_xyyzzz_xxxyyyyy_0[j] - tg_xyyzzz_xxxyyyyy_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_xxyyzzz_xxyyyyy_1[j];

                    tg_xxxyyzzz_xxxyyyyz_0[j] = pb_x * tg_xxyyzzz_xxxyyyyz_0[j] + fr * tg_xxyyzzz_xxxyyyyz_1[j] + fl1_fx * (tg_xyyzzz_xxxyyyyz_0[j] - tg_xyyzzz_xxxyyyyz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_xxyyzzz_xxyyyyz_1[j];

                    tg_xxxyyzzz_xxxyyyzz_0[j] = pb_x * tg_xxyyzzz_xxxyyyzz_0[j] + fr * tg_xxyyzzz_xxxyyyzz_1[j] + fl1_fx * (tg_xyyzzz_xxxyyyzz_0[j] - tg_xyyzzz_xxxyyyzz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_xxyyzzz_xxyyyzz_1[j];

                    tg_xxxyyzzz_xxxyyzzz_0[j] = pb_x * tg_xxyyzzz_xxxyyzzz_0[j] + fr * tg_xxyyzzz_xxxyyzzz_1[j] + fl1_fx * (tg_xyyzzz_xxxyyzzz_0[j] - tg_xyyzzz_xxxyyzzz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_xxyyzzz_xxyyzzz_1[j];

                    tg_xxxyyzzz_xxxyzzzz_0[j] = pb_x * tg_xxyyzzz_xxxyzzzz_0[j] + fr * tg_xxyyzzz_xxxyzzzz_1[j] + fl1_fx * (tg_xyyzzz_xxxyzzzz_0[j] - tg_xyyzzz_xxxyzzzz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_xxyyzzz_xxyzzzz_1[j];

                    tg_xxxyyzzz_xxxzzzzz_0[j] = pb_x * tg_xxyyzzz_xxxzzzzz_0[j] + fr * tg_xxyyzzz_xxxzzzzz_1[j] + fl1_fx * (tg_xyyzzz_xxxzzzzz_0[j] - tg_xyyzzz_xxxzzzzz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_xxyyzzz_xxzzzzz_1[j];

                    tg_xxxyyzzz_xxyyyyyy_0[j] = pb_x * tg_xxyyzzz_xxyyyyyy_0[j] + fr * tg_xxyyzzz_xxyyyyyy_1[j] + fl1_fx * (tg_xyyzzz_xxyyyyyy_0[j] - tg_xyyzzz_xxyyyyyy_1[j] * fl1_fza) + fl1_fxn * tg_xxyyzzz_xyyyyyy_1[j];

                    tg_xxxyyzzz_xxyyyyyz_0[j] = pb_x * tg_xxyyzzz_xxyyyyyz_0[j] + fr * tg_xxyyzzz_xxyyyyyz_1[j] + fl1_fx * (tg_xyyzzz_xxyyyyyz_0[j] - tg_xyyzzz_xxyyyyyz_1[j] * fl1_fza) + fl1_fxn * tg_xxyyzzz_xyyyyyz_1[j];

                    tg_xxxyyzzz_xxyyyyzz_0[j] = pb_x * tg_xxyyzzz_xxyyyyzz_0[j] + fr * tg_xxyyzzz_xxyyyyzz_1[j] + fl1_fx * (tg_xyyzzz_xxyyyyzz_0[j] - tg_xyyzzz_xxyyyyzz_1[j] * fl1_fza) + fl1_fxn * tg_xxyyzzz_xyyyyzz_1[j];

                    tg_xxxyyzzz_xxyyyzzz_0[j] = pb_x * tg_xxyyzzz_xxyyyzzz_0[j] + fr * tg_xxyyzzz_xxyyyzzz_1[j] + fl1_fx * (tg_xyyzzz_xxyyyzzz_0[j] - tg_xyyzzz_xxyyyzzz_1[j] * fl1_fza) + fl1_fxn * tg_xxyyzzz_xyyyzzz_1[j];

                    tg_xxxyyzzz_xxyyzzzz_0[j] = pb_x * tg_xxyyzzz_xxyyzzzz_0[j] + fr * tg_xxyyzzz_xxyyzzzz_1[j] + fl1_fx * (tg_xyyzzz_xxyyzzzz_0[j] - tg_xyyzzz_xxyyzzzz_1[j] * fl1_fza) + fl1_fxn * tg_xxyyzzz_xyyzzzz_1[j];

                    tg_xxxyyzzz_xxyzzzzz_0[j] = pb_x * tg_xxyyzzz_xxyzzzzz_0[j] + fr * tg_xxyyzzz_xxyzzzzz_1[j] + fl1_fx * (tg_xyyzzz_xxyzzzzz_0[j] - tg_xyyzzz_xxyzzzzz_1[j] * fl1_fza) + fl1_fxn * tg_xxyyzzz_xyzzzzz_1[j];

                    tg_xxxyyzzz_xxzzzzzz_0[j] = pb_x * tg_xxyyzzz_xxzzzzzz_0[j] + fr * tg_xxyyzzz_xxzzzzzz_1[j] + fl1_fx * (tg_xyyzzz_xxzzzzzz_0[j] - tg_xyyzzz_xxzzzzzz_1[j] * fl1_fza) + fl1_fxn * tg_xxyyzzz_xzzzzzz_1[j];

                    tg_xxxyyzzz_xyyyyyyy_0[j] = pb_x * tg_xxyyzzz_xyyyyyyy_0[j] + fr * tg_xxyyzzz_xyyyyyyy_1[j] + fl1_fx * (tg_xyyzzz_xyyyyyyy_0[j] - tg_xyyzzz_xyyyyyyy_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xxyyzzz_yyyyyyy_1[j];

                    tg_xxxyyzzz_xyyyyyyz_0[j] = pb_x * tg_xxyyzzz_xyyyyyyz_0[j] + fr * tg_xxyyzzz_xyyyyyyz_1[j] + fl1_fx * (tg_xyyzzz_xyyyyyyz_0[j] - tg_xyyzzz_xyyyyyyz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xxyyzzz_yyyyyyz_1[j];

                    tg_xxxyyzzz_xyyyyyzz_0[j] = pb_x * tg_xxyyzzz_xyyyyyzz_0[j] + fr * tg_xxyyzzz_xyyyyyzz_1[j] + fl1_fx * (tg_xyyzzz_xyyyyyzz_0[j] - tg_xyyzzz_xyyyyyzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xxyyzzz_yyyyyzz_1[j];

                    tg_xxxyyzzz_xyyyyzzz_0[j] = pb_x * tg_xxyyzzz_xyyyyzzz_0[j] + fr * tg_xxyyzzz_xyyyyzzz_1[j] + fl1_fx * (tg_xyyzzz_xyyyyzzz_0[j] - tg_xyyzzz_xyyyyzzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xxyyzzz_yyyyzzz_1[j];

                    tg_xxxyyzzz_xyyyzzzz_0[j] = pb_x * tg_xxyyzzz_xyyyzzzz_0[j] + fr * tg_xxyyzzz_xyyyzzzz_1[j] + fl1_fx * (tg_xyyzzz_xyyyzzzz_0[j] - tg_xyyzzz_xyyyzzzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xxyyzzz_yyyzzzz_1[j];

                    tg_xxxyyzzz_xyyzzzzz_0[j] = pb_x * tg_xxyyzzz_xyyzzzzz_0[j] + fr * tg_xxyyzzz_xyyzzzzz_1[j] + fl1_fx * (tg_xyyzzz_xyyzzzzz_0[j] - tg_xyyzzz_xyyzzzzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xxyyzzz_yyzzzzz_1[j];

                    tg_xxxyyzzz_xyzzzzzz_0[j] = pb_x * tg_xxyyzzz_xyzzzzzz_0[j] + fr * tg_xxyyzzz_xyzzzzzz_1[j] + fl1_fx * (tg_xyyzzz_xyzzzzzz_0[j] - tg_xyyzzz_xyzzzzzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xxyyzzz_yzzzzzz_1[j];

                    tg_xxxyyzzz_xzzzzzzz_0[j] = pb_x * tg_xxyyzzz_xzzzzzzz_0[j] + fr * tg_xxyyzzz_xzzzzzzz_1[j] + fl1_fx * (tg_xyyzzz_xzzzzzzz_0[j] - tg_xyyzzz_xzzzzzzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xxyyzzz_zzzzzzz_1[j];

                    tg_xxxyyzzz_yyyyyyyy_0[j] = pb_x * tg_xxyyzzz_yyyyyyyy_0[j] + fr * tg_xxyyzzz_yyyyyyyy_1[j] + fl1_fx * (tg_xyyzzz_yyyyyyyy_0[j] - tg_xyyzzz_yyyyyyyy_1[j] * fl1_fza);

                    tg_xxxyyzzz_yyyyyyyz_0[j] = pb_x * tg_xxyyzzz_yyyyyyyz_0[j] + fr * tg_xxyyzzz_yyyyyyyz_1[j] + fl1_fx * (tg_xyyzzz_yyyyyyyz_0[j] - tg_xyyzzz_yyyyyyyz_1[j] * fl1_fza);

                    tg_xxxyyzzz_yyyyyyzz_0[j] = pb_x * tg_xxyyzzz_yyyyyyzz_0[j] + fr * tg_xxyyzzz_yyyyyyzz_1[j] + fl1_fx * (tg_xyyzzz_yyyyyyzz_0[j] - tg_xyyzzz_yyyyyyzz_1[j] * fl1_fza);

                    tg_xxxyyzzz_yyyyyzzz_0[j] = pb_x * tg_xxyyzzz_yyyyyzzz_0[j] + fr * tg_xxyyzzz_yyyyyzzz_1[j] + fl1_fx * (tg_xyyzzz_yyyyyzzz_0[j] - tg_xyyzzz_yyyyyzzz_1[j] * fl1_fza);

                    tg_xxxyyzzz_yyyyzzzz_0[j] = pb_x * tg_xxyyzzz_yyyyzzzz_0[j] + fr * tg_xxyyzzz_yyyyzzzz_1[j] + fl1_fx * (tg_xyyzzz_yyyyzzzz_0[j] - tg_xyyzzz_yyyyzzzz_1[j] * fl1_fza);

                    tg_xxxyyzzz_yyyzzzzz_0[j] = pb_x * tg_xxyyzzz_yyyzzzzz_0[j] + fr * tg_xxyyzzz_yyyzzzzz_1[j] + fl1_fx * (tg_xyyzzz_yyyzzzzz_0[j] - tg_xyyzzz_yyyzzzzz_1[j] * fl1_fza);

                    tg_xxxyyzzz_yyzzzzzz_0[j] = pb_x * tg_xxyyzzz_yyzzzzzz_0[j] + fr * tg_xxyyzzz_yyzzzzzz_1[j] + fl1_fx * (tg_xyyzzz_yyzzzzzz_0[j] - tg_xyyzzz_yyzzzzzz_1[j] * fl1_fza);

                    tg_xxxyyzzz_yzzzzzzz_0[j] = pb_x * tg_xxyyzzz_yzzzzzzz_0[j] + fr * tg_xxyyzzz_yzzzzzzz_1[j] + fl1_fx * (tg_xyyzzz_yzzzzzzz_0[j] - tg_xyyzzz_yzzzzzzz_1[j] * fl1_fza);

                    tg_xxxyyzzz_zzzzzzzz_0[j] = pb_x * tg_xxyyzzz_zzzzzzzz_0[j] + fr * tg_xxyyzzz_zzzzzzzz_1[j] + fl1_fx * (tg_xyyzzz_zzzzzzzz_0[j] - tg_xyyzzz_zzzzzzzz_1[j] * fl1_fza);

                    tg_xxxyzzzz_xxxxxxxx_0[j] = pb_x * tg_xxyzzzz_xxxxxxxx_0[j] + fr * tg_xxyzzzz_xxxxxxxx_1[j] + fl1_fx * (tg_xyzzzz_xxxxxxxx_0[j] - tg_xyzzzz_xxxxxxxx_1[j] * fl1_fza) + 4.0 * fl1_fxn * tg_xxyzzzz_xxxxxxx_1[j];

                    tg_xxxyzzzz_xxxxxxxy_0[j] = pb_x * tg_xxyzzzz_xxxxxxxy_0[j] + fr * tg_xxyzzzz_xxxxxxxy_1[j] + fl1_fx * (tg_xyzzzz_xxxxxxxy_0[j] - tg_xyzzzz_xxxxxxxy_1[j] * fl1_fza) + 3.5 * fl1_fxn * tg_xxyzzzz_xxxxxxy_1[j];

                    tg_xxxyzzzz_xxxxxxxz_0[j] = pb_x * tg_xxyzzzz_xxxxxxxz_0[j] + fr * tg_xxyzzzz_xxxxxxxz_1[j] + fl1_fx * (tg_xyzzzz_xxxxxxxz_0[j] - tg_xyzzzz_xxxxxxxz_1[j] * fl1_fza) + 3.5 * fl1_fxn * tg_xxyzzzz_xxxxxxz_1[j];

                    tg_xxxyzzzz_xxxxxxyy_0[j] = pb_x * tg_xxyzzzz_xxxxxxyy_0[j] + fr * tg_xxyzzzz_xxxxxxyy_1[j] + fl1_fx * (tg_xyzzzz_xxxxxxyy_0[j] - tg_xyzzzz_xxxxxxyy_1[j] * fl1_fza) + 3.0 * fl1_fxn * tg_xxyzzzz_xxxxxyy_1[j];

                    tg_xxxyzzzz_xxxxxxyz_0[j] = pb_x * tg_xxyzzzz_xxxxxxyz_0[j] + fr * tg_xxyzzzz_xxxxxxyz_1[j] + fl1_fx * (tg_xyzzzz_xxxxxxyz_0[j] - tg_xyzzzz_xxxxxxyz_1[j] * fl1_fza) + 3.0 * fl1_fxn * tg_xxyzzzz_xxxxxyz_1[j];

                    tg_xxxyzzzz_xxxxxxzz_0[j] = pb_x * tg_xxyzzzz_xxxxxxzz_0[j] + fr * tg_xxyzzzz_xxxxxxzz_1[j] + fl1_fx * (tg_xyzzzz_xxxxxxzz_0[j] - tg_xyzzzz_xxxxxxzz_1[j] * fl1_fza) + 3.0 * fl1_fxn * tg_xxyzzzz_xxxxxzz_1[j];

                    tg_xxxyzzzz_xxxxxyyy_0[j] = pb_x * tg_xxyzzzz_xxxxxyyy_0[j] + fr * tg_xxyzzzz_xxxxxyyy_1[j] + fl1_fx * (tg_xyzzzz_xxxxxyyy_0[j] - tg_xyzzzz_xxxxxyyy_1[j] * fl1_fza) + 2.5 * fl1_fxn * tg_xxyzzzz_xxxxyyy_1[j];

                    tg_xxxyzzzz_xxxxxyyz_0[j] = pb_x * tg_xxyzzzz_xxxxxyyz_0[j] + fr * tg_xxyzzzz_xxxxxyyz_1[j] + fl1_fx * (tg_xyzzzz_xxxxxyyz_0[j] - tg_xyzzzz_xxxxxyyz_1[j] * fl1_fza) + 2.5 * fl1_fxn * tg_xxyzzzz_xxxxyyz_1[j];

                    tg_xxxyzzzz_xxxxxyzz_0[j] = pb_x * tg_xxyzzzz_xxxxxyzz_0[j] + fr * tg_xxyzzzz_xxxxxyzz_1[j] + fl1_fx * (tg_xyzzzz_xxxxxyzz_0[j] - tg_xyzzzz_xxxxxyzz_1[j] * fl1_fza) + 2.5 * fl1_fxn * tg_xxyzzzz_xxxxyzz_1[j];

                    tg_xxxyzzzz_xxxxxzzz_0[j] = pb_x * tg_xxyzzzz_xxxxxzzz_0[j] + fr * tg_xxyzzzz_xxxxxzzz_1[j] + fl1_fx * (tg_xyzzzz_xxxxxzzz_0[j] - tg_xyzzzz_xxxxxzzz_1[j] * fl1_fza) + 2.5 * fl1_fxn * tg_xxyzzzz_xxxxzzz_1[j];

                    tg_xxxyzzzz_xxxxyyyy_0[j] = pb_x * tg_xxyzzzz_xxxxyyyy_0[j] + fr * tg_xxyzzzz_xxxxyyyy_1[j] + fl1_fx * (tg_xyzzzz_xxxxyyyy_0[j] - tg_xyzzzz_xxxxyyyy_1[j] * fl1_fza) + 2.0 * fl1_fxn * tg_xxyzzzz_xxxyyyy_1[j];

                    tg_xxxyzzzz_xxxxyyyz_0[j] = pb_x * tg_xxyzzzz_xxxxyyyz_0[j] + fr * tg_xxyzzzz_xxxxyyyz_1[j] + fl1_fx * (tg_xyzzzz_xxxxyyyz_0[j] - tg_xyzzzz_xxxxyyyz_1[j] * fl1_fza) + 2.0 * fl1_fxn * tg_xxyzzzz_xxxyyyz_1[j];

                    tg_xxxyzzzz_xxxxyyzz_0[j] = pb_x * tg_xxyzzzz_xxxxyyzz_0[j] + fr * tg_xxyzzzz_xxxxyyzz_1[j] + fl1_fx * (tg_xyzzzz_xxxxyyzz_0[j] - tg_xyzzzz_xxxxyyzz_1[j] * fl1_fza) + 2.0 * fl1_fxn * tg_xxyzzzz_xxxyyzz_1[j];

                    tg_xxxyzzzz_xxxxyzzz_0[j] = pb_x * tg_xxyzzzz_xxxxyzzz_0[j] + fr * tg_xxyzzzz_xxxxyzzz_1[j] + fl1_fx * (tg_xyzzzz_xxxxyzzz_0[j] - tg_xyzzzz_xxxxyzzz_1[j] * fl1_fza) + 2.0 * fl1_fxn * tg_xxyzzzz_xxxyzzz_1[j];

                    tg_xxxyzzzz_xxxxzzzz_0[j] = pb_x * tg_xxyzzzz_xxxxzzzz_0[j] + fr * tg_xxyzzzz_xxxxzzzz_1[j] + fl1_fx * (tg_xyzzzz_xxxxzzzz_0[j] - tg_xyzzzz_xxxxzzzz_1[j] * fl1_fza) + 2.0 * fl1_fxn * tg_xxyzzzz_xxxzzzz_1[j];

                    tg_xxxyzzzz_xxxyyyyy_0[j] = pb_x * tg_xxyzzzz_xxxyyyyy_0[j] + fr * tg_xxyzzzz_xxxyyyyy_1[j] + fl1_fx * (tg_xyzzzz_xxxyyyyy_0[j] - tg_xyzzzz_xxxyyyyy_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_xxyzzzz_xxyyyyy_1[j];

                    tg_xxxyzzzz_xxxyyyyz_0[j] = pb_x * tg_xxyzzzz_xxxyyyyz_0[j] + fr * tg_xxyzzzz_xxxyyyyz_1[j] + fl1_fx * (tg_xyzzzz_xxxyyyyz_0[j] - tg_xyzzzz_xxxyyyyz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_xxyzzzz_xxyyyyz_1[j];

                    tg_xxxyzzzz_xxxyyyzz_0[j] = pb_x * tg_xxyzzzz_xxxyyyzz_0[j] + fr * tg_xxyzzzz_xxxyyyzz_1[j] + fl1_fx * (tg_xyzzzz_xxxyyyzz_0[j] - tg_xyzzzz_xxxyyyzz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_xxyzzzz_xxyyyzz_1[j];
                }

                idx++;
            }
        }
    }

    void
    compElectronRepulsionForSLSL_873_969(      CMemBlock2D<double>* primBuffer,
                                         const CRecursionMap&       recursionMap,
                                         const CMemBlock2D<double>& osFactors,
                                         const CMemBlock2D<double>& wpDistances,
                                         const CGtoPairsBlock&      braGtoPairsBlock,
                                         const CGtoPairsBlock&      ketGtoPairsBlock,
                                         const int32_t              nKetPrimPairs,
                                         const int32_t              iContrPair)
    {
        // Batch of Integrals (873,969)

        // set up pointers to primitives data on bra side

        auto spos = braGtoPairsBlock.getStartPositions();

        auto epos = braGtoPairsBlock.getEndPositions();

        // set up pointers to tensor of distance R(PB) = P - B

        auto r_pb_x = braGtoPairsBlock.getDistancesPBX();

        // set up pointers to common Obara-Saika factors

        auto b_fx = braGtoPairsBlock.getFactorsOneOverXi();

        // set up maximum order of integral

        auto mord = recursionMap.getMaxOrder({"Electron Repulsion"},
                                             {8, -1, -1, -1},
                                             {8, -1, -1, -1},
                                             1, 1);

        for (int32_t iord = 0; iord <= mord; iord++)
        {
            // set up index of integral

            auto pidx_g_8_8_m0 = recursionMap.index(CRecursionTerm({"Electron Repulsion"}, 0, true, 
                                                                   {8, -1, -1, -1}, {8, -1, -1, -1}, 
                                                                   1, 1, iord));

            // check if integral is needed in recursion expansion

            if (pidx_g_8_8_m0 == -1) continue;

            // set up indexes of auxilary integral

            auto pidx_g_7_8_m0 = recursionMap.index(CRecursionTerm({"Electron Repulsion"}, 0, true, 
                                                                   {7, -1, -1, -1}, {8, -1, -1, -1}, 
                                                                   1, 1, iord));

            auto pidx_g_7_8_m1 = recursionMap.index(CRecursionTerm({"Electron Repulsion"}, 0, true, 
                                                                   {7, -1, -1, -1}, {8, -1, -1, -1}, 
                                                                   1, 1, iord + 1));

            auto pidx_g_6_8_m0 = recursionMap.index(CRecursionTerm({"Electron Repulsion"}, 0, true, 
                                                                   {6, -1, -1, -1}, {8, -1, -1, -1}, 
                                                                   1, 1, iord));

            auto pidx_g_6_8_m1 = recursionMap.index(CRecursionTerm({"Electron Repulsion"}, 0, true, 
                                                                   {6, -1, -1, -1}, {8, -1, -1, -1}, 
                                                                   1, 1, iord + 1));

            auto pidx_g_7_7_m1 = recursionMap.index(CRecursionTerm({"Electron Repulsion"}, 0, true, 
                                                                   {7, -1, -1, -1}, {7, -1, -1, -1}, 
                                                                   1, 1, iord + 1));

            // loop over contracted GTO on bra side

            int32_t idx = 0;

            for (int32_t i = spos[iContrPair]; i < epos[iContrPair]; i++)
            {
                // set up pointers to Obara-Saika factors

                double fx = b_fx[i];

                auto fza = osFactors.data(4 * idx + 2);

                auto fxn = osFactors.data(4 * idx);

                // set up distances R(PB) = P - B

                auto pb_x = r_pb_x[i];

                // set up pointers to tensors product of distances R(WP) = W - P

                auto wp_x = wpDistances.data(3 * idx);

                // set up pointers to auxilary integrals

                auto tg_xxyzzzz_xxxyyzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 873); 

                auto tg_xxyzzzz_xxxyzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 874); 

                auto tg_xxyzzzz_xxxzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 875); 

                auto tg_xxyzzzz_xxyyyyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 876); 

                auto tg_xxyzzzz_xxyyyyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 877); 

                auto tg_xxyzzzz_xxyyyyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 878); 

                auto tg_xxyzzzz_xxyyyzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 879); 

                auto tg_xxyzzzz_xxyyzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 880); 

                auto tg_xxyzzzz_xxyzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 881); 

                auto tg_xxyzzzz_xxzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 882); 

                auto tg_xxyzzzz_xyyyyyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 883); 

                auto tg_xxyzzzz_xyyyyyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 884); 

                auto tg_xxyzzzz_xyyyyyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 885); 

                auto tg_xxyzzzz_xyyyyzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 886); 

                auto tg_xxyzzzz_xyyyzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 887); 

                auto tg_xxyzzzz_xyyzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 888); 

                auto tg_xxyzzzz_xyzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 889); 

                auto tg_xxyzzzz_xzzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 890); 

                auto tg_xxyzzzz_yyyyyyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 891); 

                auto tg_xxyzzzz_yyyyyyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 892); 

                auto tg_xxyzzzz_yyyyyyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 893); 

                auto tg_xxyzzzz_yyyyyzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 894); 

                auto tg_xxyzzzz_yyyyzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 895); 

                auto tg_xxyzzzz_yyyzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 896); 

                auto tg_xxyzzzz_yyzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 897); 

                auto tg_xxyzzzz_yzzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 898); 

                auto tg_xxyzzzz_zzzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 899); 

                auto tg_xxzzzzz_xxxxxxxx_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 900); 

                auto tg_xxzzzzz_xxxxxxxy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 901); 

                auto tg_xxzzzzz_xxxxxxxz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 902); 

                auto tg_xxzzzzz_xxxxxxyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 903); 

                auto tg_xxzzzzz_xxxxxxyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 904); 

                auto tg_xxzzzzz_xxxxxxzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 905); 

                auto tg_xxzzzzz_xxxxxyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 906); 

                auto tg_xxzzzzz_xxxxxyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 907); 

                auto tg_xxzzzzz_xxxxxyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 908); 

                auto tg_xxzzzzz_xxxxxzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 909); 

                auto tg_xxzzzzz_xxxxyyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 910); 

                auto tg_xxzzzzz_xxxxyyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 911); 

                auto tg_xxzzzzz_xxxxyyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 912); 

                auto tg_xxzzzzz_xxxxyzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 913); 

                auto tg_xxzzzzz_xxxxzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 914); 

                auto tg_xxzzzzz_xxxyyyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 915); 

                auto tg_xxzzzzz_xxxyyyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 916); 

                auto tg_xxzzzzz_xxxyyyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 917); 

                auto tg_xxzzzzz_xxxyyzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 918); 

                auto tg_xxzzzzz_xxxyzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 919); 

                auto tg_xxzzzzz_xxxzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 920); 

                auto tg_xxzzzzz_xxyyyyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 921); 

                auto tg_xxzzzzz_xxyyyyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 922); 

                auto tg_xxzzzzz_xxyyyyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 923); 

                auto tg_xxzzzzz_xxyyyzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 924); 

                auto tg_xxzzzzz_xxyyzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 925); 

                auto tg_xxzzzzz_xxyzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 926); 

                auto tg_xxzzzzz_xxzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 927); 

                auto tg_xxzzzzz_xyyyyyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 928); 

                auto tg_xxzzzzz_xyyyyyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 929); 

                auto tg_xxzzzzz_xyyyyyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 930); 

                auto tg_xxzzzzz_xyyyyzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 931); 

                auto tg_xxzzzzz_xyyyzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 932); 

                auto tg_xxzzzzz_xyyzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 933); 

                auto tg_xxzzzzz_xyzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 934); 

                auto tg_xxzzzzz_xzzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 935); 

                auto tg_xxzzzzz_yyyyyyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 936); 

                auto tg_xxzzzzz_yyyyyyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 937); 

                auto tg_xxzzzzz_yyyyyyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 938); 

                auto tg_xxzzzzz_yyyyyzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 939); 

                auto tg_xxzzzzz_yyyyzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 940); 

                auto tg_xxzzzzz_yyyzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 941); 

                auto tg_xxzzzzz_yyzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 942); 

                auto tg_xxzzzzz_yzzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 943); 

                auto tg_xxzzzzz_zzzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 944); 

                auto tg_xyyyyyy_xxxxxxxx_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 945); 

                auto tg_xyyyyyy_xxxxxxxy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 946); 

                auto tg_xyyyyyy_xxxxxxxz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 947); 

                auto tg_xyyyyyy_xxxxxxyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 948); 

                auto tg_xyyyyyy_xxxxxxyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 949); 

                auto tg_xyyyyyy_xxxxxxzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 950); 

                auto tg_xyyyyyy_xxxxxyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 951); 

                auto tg_xyyyyyy_xxxxxyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 952); 

                auto tg_xyyyyyy_xxxxxyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 953); 

                auto tg_xyyyyyy_xxxxxzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 954); 

                auto tg_xyyyyyy_xxxxyyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 955); 

                auto tg_xyyyyyy_xxxxyyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 956); 

                auto tg_xyyyyyy_xxxxyyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 957); 

                auto tg_xyyyyyy_xxxxyzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 958); 

                auto tg_xyyyyyy_xxxxzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 959); 

                auto tg_xyyyyyy_xxxyyyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 960); 

                auto tg_xyyyyyy_xxxyyyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 961); 

                auto tg_xyyyyyy_xxxyyyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 962); 

                auto tg_xyyyyyy_xxxyyzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 963); 

                auto tg_xyyyyyy_xxxyzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 964); 

                auto tg_xyyyyyy_xxxzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 965); 

                auto tg_xyyyyyy_xxyyyyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 966); 

                auto tg_xyyyyyy_xxyyyyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 967); 

                auto tg_xyyyyyy_xxyyyyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 968); 

                auto tg_xxyzzzz_xxxyyzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 873); 

                auto tg_xxyzzzz_xxxyzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 874); 

                auto tg_xxyzzzz_xxxzzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 875); 

                auto tg_xxyzzzz_xxyyyyyy_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 876); 

                auto tg_xxyzzzz_xxyyyyyz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 877); 

                auto tg_xxyzzzz_xxyyyyzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 878); 

                auto tg_xxyzzzz_xxyyyzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 879); 

                auto tg_xxyzzzz_xxyyzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 880); 

                auto tg_xxyzzzz_xxyzzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 881); 

                auto tg_xxyzzzz_xxzzzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 882); 

                auto tg_xxyzzzz_xyyyyyyy_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 883); 

                auto tg_xxyzzzz_xyyyyyyz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 884); 

                auto tg_xxyzzzz_xyyyyyzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 885); 

                auto tg_xxyzzzz_xyyyyzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 886); 

                auto tg_xxyzzzz_xyyyzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 887); 

                auto tg_xxyzzzz_xyyzzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 888); 

                auto tg_xxyzzzz_xyzzzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 889); 

                auto tg_xxyzzzz_xzzzzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 890); 

                auto tg_xxyzzzz_yyyyyyyy_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 891); 

                auto tg_xxyzzzz_yyyyyyyz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 892); 

                auto tg_xxyzzzz_yyyyyyzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 893); 

                auto tg_xxyzzzz_yyyyyzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 894); 

                auto tg_xxyzzzz_yyyyzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 895); 

                auto tg_xxyzzzz_yyyzzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 896); 

                auto tg_xxyzzzz_yyzzzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 897); 

                auto tg_xxyzzzz_yzzzzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 898); 

                auto tg_xxyzzzz_zzzzzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 899); 

                auto tg_xxzzzzz_xxxxxxxx_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 900); 

                auto tg_xxzzzzz_xxxxxxxy_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 901); 

                auto tg_xxzzzzz_xxxxxxxz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 902); 

                auto tg_xxzzzzz_xxxxxxyy_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 903); 

                auto tg_xxzzzzz_xxxxxxyz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 904); 

                auto tg_xxzzzzz_xxxxxxzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 905); 

                auto tg_xxzzzzz_xxxxxyyy_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 906); 

                auto tg_xxzzzzz_xxxxxyyz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 907); 

                auto tg_xxzzzzz_xxxxxyzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 908); 

                auto tg_xxzzzzz_xxxxxzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 909); 

                auto tg_xxzzzzz_xxxxyyyy_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 910); 

                auto tg_xxzzzzz_xxxxyyyz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 911); 

                auto tg_xxzzzzz_xxxxyyzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 912); 

                auto tg_xxzzzzz_xxxxyzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 913); 

                auto tg_xxzzzzz_xxxxzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 914); 

                auto tg_xxzzzzz_xxxyyyyy_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 915); 

                auto tg_xxzzzzz_xxxyyyyz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 916); 

                auto tg_xxzzzzz_xxxyyyzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 917); 

                auto tg_xxzzzzz_xxxyyzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 918); 

                auto tg_xxzzzzz_xxxyzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 919); 

                auto tg_xxzzzzz_xxxzzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 920); 

                auto tg_xxzzzzz_xxyyyyyy_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 921); 

                auto tg_xxzzzzz_xxyyyyyz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 922); 

                auto tg_xxzzzzz_xxyyyyzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 923); 

                auto tg_xxzzzzz_xxyyyzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 924); 

                auto tg_xxzzzzz_xxyyzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 925); 

                auto tg_xxzzzzz_xxyzzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 926); 

                auto tg_xxzzzzz_xxzzzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 927); 

                auto tg_xxzzzzz_xyyyyyyy_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 928); 

                auto tg_xxzzzzz_xyyyyyyz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 929); 

                auto tg_xxzzzzz_xyyyyyzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 930); 

                auto tg_xxzzzzz_xyyyyzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 931); 

                auto tg_xxzzzzz_xyyyzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 932); 

                auto tg_xxzzzzz_xyyzzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 933); 

                auto tg_xxzzzzz_xyzzzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 934); 

                auto tg_xxzzzzz_xzzzzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 935); 

                auto tg_xxzzzzz_yyyyyyyy_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 936); 

                auto tg_xxzzzzz_yyyyyyyz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 937); 

                auto tg_xxzzzzz_yyyyyyzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 938); 

                auto tg_xxzzzzz_yyyyyzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 939); 

                auto tg_xxzzzzz_yyyyzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 940); 

                auto tg_xxzzzzz_yyyzzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 941); 

                auto tg_xxzzzzz_yyzzzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 942); 

                auto tg_xxzzzzz_yzzzzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 943); 

                auto tg_xxzzzzz_zzzzzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 944); 

                auto tg_xyyyyyy_xxxxxxxx_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 945); 

                auto tg_xyyyyyy_xxxxxxxy_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 946); 

                auto tg_xyyyyyy_xxxxxxxz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 947); 

                auto tg_xyyyyyy_xxxxxxyy_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 948); 

                auto tg_xyyyyyy_xxxxxxyz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 949); 

                auto tg_xyyyyyy_xxxxxxzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 950); 

                auto tg_xyyyyyy_xxxxxyyy_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 951); 

                auto tg_xyyyyyy_xxxxxyyz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 952); 

                auto tg_xyyyyyy_xxxxxyzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 953); 

                auto tg_xyyyyyy_xxxxxzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 954); 

                auto tg_xyyyyyy_xxxxyyyy_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 955); 

                auto tg_xyyyyyy_xxxxyyyz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 956); 

                auto tg_xyyyyyy_xxxxyyzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 957); 

                auto tg_xyyyyyy_xxxxyzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 958); 

                auto tg_xyyyyyy_xxxxzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 959); 

                auto tg_xyyyyyy_xxxyyyyy_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 960); 

                auto tg_xyyyyyy_xxxyyyyz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 961); 

                auto tg_xyyyyyy_xxxyyyzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 962); 

                auto tg_xyyyyyy_xxxyyzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 963); 

                auto tg_xyyyyyy_xxxyzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 964); 

                auto tg_xyyyyyy_xxxzzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 965); 

                auto tg_xyyyyyy_xxyyyyyy_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 966); 

                auto tg_xyyyyyy_xxyyyyyz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 967); 

                auto tg_xyyyyyy_xxyyyyzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 968); 

                auto tg_xyzzzz_xxxyyzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 873); 

                auto tg_xyzzzz_xxxyzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 874); 

                auto tg_xyzzzz_xxxzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 875); 

                auto tg_xyzzzz_xxyyyyyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 876); 

                auto tg_xyzzzz_xxyyyyyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 877); 

                auto tg_xyzzzz_xxyyyyzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 878); 

                auto tg_xyzzzz_xxyyyzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 879); 

                auto tg_xyzzzz_xxyyzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 880); 

                auto tg_xyzzzz_xxyzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 881); 

                auto tg_xyzzzz_xxzzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 882); 

                auto tg_xyzzzz_xyyyyyyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 883); 

                auto tg_xyzzzz_xyyyyyyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 884); 

                auto tg_xyzzzz_xyyyyyzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 885); 

                auto tg_xyzzzz_xyyyyzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 886); 

                auto tg_xyzzzz_xyyyzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 887); 

                auto tg_xyzzzz_xyyzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 888); 

                auto tg_xyzzzz_xyzzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 889); 

                auto tg_xyzzzz_xzzzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 890); 

                auto tg_xyzzzz_yyyyyyyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 891); 

                auto tg_xyzzzz_yyyyyyyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 892); 

                auto tg_xyzzzz_yyyyyyzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 893); 

                auto tg_xyzzzz_yyyyyzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 894); 

                auto tg_xyzzzz_yyyyzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 895); 

                auto tg_xyzzzz_yyyzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 896); 

                auto tg_xyzzzz_yyzzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 897); 

                auto tg_xyzzzz_yzzzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 898); 

                auto tg_xyzzzz_zzzzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 899); 

                auto tg_xzzzzz_xxxxxxxx_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 900); 

                auto tg_xzzzzz_xxxxxxxy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 901); 

                auto tg_xzzzzz_xxxxxxxz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 902); 

                auto tg_xzzzzz_xxxxxxyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 903); 

                auto tg_xzzzzz_xxxxxxyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 904); 

                auto tg_xzzzzz_xxxxxxzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 905); 

                auto tg_xzzzzz_xxxxxyyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 906); 

                auto tg_xzzzzz_xxxxxyyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 907); 

                auto tg_xzzzzz_xxxxxyzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 908); 

                auto tg_xzzzzz_xxxxxzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 909); 

                auto tg_xzzzzz_xxxxyyyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 910); 

                auto tg_xzzzzz_xxxxyyyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 911); 

                auto tg_xzzzzz_xxxxyyzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 912); 

                auto tg_xzzzzz_xxxxyzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 913); 

                auto tg_xzzzzz_xxxxzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 914); 

                auto tg_xzzzzz_xxxyyyyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 915); 

                auto tg_xzzzzz_xxxyyyyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 916); 

                auto tg_xzzzzz_xxxyyyzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 917); 

                auto tg_xzzzzz_xxxyyzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 918); 

                auto tg_xzzzzz_xxxyzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 919); 

                auto tg_xzzzzz_xxxzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 920); 

                auto tg_xzzzzz_xxyyyyyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 921); 

                auto tg_xzzzzz_xxyyyyyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 922); 

                auto tg_xzzzzz_xxyyyyzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 923); 

                auto tg_xzzzzz_xxyyyzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 924); 

                auto tg_xzzzzz_xxyyzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 925); 

                auto tg_xzzzzz_xxyzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 926); 

                auto tg_xzzzzz_xxzzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 927); 

                auto tg_xzzzzz_xyyyyyyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 928); 

                auto tg_xzzzzz_xyyyyyyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 929); 

                auto tg_xzzzzz_xyyyyyzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 930); 

                auto tg_xzzzzz_xyyyyzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 931); 

                auto tg_xzzzzz_xyyyzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 932); 

                auto tg_xzzzzz_xyyzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 933); 

                auto tg_xzzzzz_xyzzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 934); 

                auto tg_xzzzzz_xzzzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 935); 

                auto tg_xzzzzz_yyyyyyyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 936); 

                auto tg_xzzzzz_yyyyyyyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 937); 

                auto tg_xzzzzz_yyyyyyzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 938); 

                auto tg_xzzzzz_yyyyyzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 939); 

                auto tg_xzzzzz_yyyyzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 940); 

                auto tg_xzzzzz_yyyzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 941); 

                auto tg_xzzzzz_yyzzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 942); 

                auto tg_xzzzzz_yzzzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 943); 

                auto tg_xzzzzz_zzzzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 944); 

                auto tg_yyyyyy_xxxxxxxx_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 945); 

                auto tg_yyyyyy_xxxxxxxy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 946); 

                auto tg_yyyyyy_xxxxxxxz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 947); 

                auto tg_yyyyyy_xxxxxxyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 948); 

                auto tg_yyyyyy_xxxxxxyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 949); 

                auto tg_yyyyyy_xxxxxxzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 950); 

                auto tg_yyyyyy_xxxxxyyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 951); 

                auto tg_yyyyyy_xxxxxyyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 952); 

                auto tg_yyyyyy_xxxxxyzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 953); 

                auto tg_yyyyyy_xxxxxzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 954); 

                auto tg_yyyyyy_xxxxyyyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 955); 

                auto tg_yyyyyy_xxxxyyyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 956); 

                auto tg_yyyyyy_xxxxyyzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 957); 

                auto tg_yyyyyy_xxxxyzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 958); 

                auto tg_yyyyyy_xxxxzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 959); 

                auto tg_yyyyyy_xxxyyyyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 960); 

                auto tg_yyyyyy_xxxyyyyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 961); 

                auto tg_yyyyyy_xxxyyyzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 962); 

                auto tg_yyyyyy_xxxyyzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 963); 

                auto tg_yyyyyy_xxxyzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 964); 

                auto tg_yyyyyy_xxxzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 965); 

                auto tg_yyyyyy_xxyyyyyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 966); 

                auto tg_yyyyyy_xxyyyyyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 967); 

                auto tg_yyyyyy_xxyyyyzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 968); 

                auto tg_xyzzzz_xxxyyzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 873); 

                auto tg_xyzzzz_xxxyzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 874); 

                auto tg_xyzzzz_xxxzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 875); 

                auto tg_xyzzzz_xxyyyyyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 876); 

                auto tg_xyzzzz_xxyyyyyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 877); 

                auto tg_xyzzzz_xxyyyyzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 878); 

                auto tg_xyzzzz_xxyyyzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 879); 

                auto tg_xyzzzz_xxyyzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 880); 

                auto tg_xyzzzz_xxyzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 881); 

                auto tg_xyzzzz_xxzzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 882); 

                auto tg_xyzzzz_xyyyyyyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 883); 

                auto tg_xyzzzz_xyyyyyyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 884); 

                auto tg_xyzzzz_xyyyyyzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 885); 

                auto tg_xyzzzz_xyyyyzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 886); 

                auto tg_xyzzzz_xyyyzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 887); 

                auto tg_xyzzzz_xyyzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 888); 

                auto tg_xyzzzz_xyzzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 889); 

                auto tg_xyzzzz_xzzzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 890); 

                auto tg_xyzzzz_yyyyyyyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 891); 

                auto tg_xyzzzz_yyyyyyyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 892); 

                auto tg_xyzzzz_yyyyyyzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 893); 

                auto tg_xyzzzz_yyyyyzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 894); 

                auto tg_xyzzzz_yyyyzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 895); 

                auto tg_xyzzzz_yyyzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 896); 

                auto tg_xyzzzz_yyzzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 897); 

                auto tg_xyzzzz_yzzzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 898); 

                auto tg_xyzzzz_zzzzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 899); 

                auto tg_xzzzzz_xxxxxxxx_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 900); 

                auto tg_xzzzzz_xxxxxxxy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 901); 

                auto tg_xzzzzz_xxxxxxxz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 902); 

                auto tg_xzzzzz_xxxxxxyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 903); 

                auto tg_xzzzzz_xxxxxxyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 904); 

                auto tg_xzzzzz_xxxxxxzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 905); 

                auto tg_xzzzzz_xxxxxyyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 906); 

                auto tg_xzzzzz_xxxxxyyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 907); 

                auto tg_xzzzzz_xxxxxyzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 908); 

                auto tg_xzzzzz_xxxxxzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 909); 

                auto tg_xzzzzz_xxxxyyyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 910); 

                auto tg_xzzzzz_xxxxyyyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 911); 

                auto tg_xzzzzz_xxxxyyzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 912); 

                auto tg_xzzzzz_xxxxyzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 913); 

                auto tg_xzzzzz_xxxxzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 914); 

                auto tg_xzzzzz_xxxyyyyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 915); 

                auto tg_xzzzzz_xxxyyyyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 916); 

                auto tg_xzzzzz_xxxyyyzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 917); 

                auto tg_xzzzzz_xxxyyzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 918); 

                auto tg_xzzzzz_xxxyzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 919); 

                auto tg_xzzzzz_xxxzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 920); 

                auto tg_xzzzzz_xxyyyyyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 921); 

                auto tg_xzzzzz_xxyyyyyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 922); 

                auto tg_xzzzzz_xxyyyyzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 923); 

                auto tg_xzzzzz_xxyyyzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 924); 

                auto tg_xzzzzz_xxyyzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 925); 

                auto tg_xzzzzz_xxyzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 926); 

                auto tg_xzzzzz_xxzzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 927); 

                auto tg_xzzzzz_xyyyyyyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 928); 

                auto tg_xzzzzz_xyyyyyyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 929); 

                auto tg_xzzzzz_xyyyyyzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 930); 

                auto tg_xzzzzz_xyyyyzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 931); 

                auto tg_xzzzzz_xyyyzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 932); 

                auto tg_xzzzzz_xyyzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 933); 

                auto tg_xzzzzz_xyzzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 934); 

                auto tg_xzzzzz_xzzzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 935); 

                auto tg_xzzzzz_yyyyyyyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 936); 

                auto tg_xzzzzz_yyyyyyyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 937); 

                auto tg_xzzzzz_yyyyyyzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 938); 

                auto tg_xzzzzz_yyyyyzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 939); 

                auto tg_xzzzzz_yyyyzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 940); 

                auto tg_xzzzzz_yyyzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 941); 

                auto tg_xzzzzz_yyzzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 942); 

                auto tg_xzzzzz_yzzzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 943); 

                auto tg_xzzzzz_zzzzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 944); 

                auto tg_yyyyyy_xxxxxxxx_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 945); 

                auto tg_yyyyyy_xxxxxxxy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 946); 

                auto tg_yyyyyy_xxxxxxxz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 947); 

                auto tg_yyyyyy_xxxxxxyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 948); 

                auto tg_yyyyyy_xxxxxxyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 949); 

                auto tg_yyyyyy_xxxxxxzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 950); 

                auto tg_yyyyyy_xxxxxyyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 951); 

                auto tg_yyyyyy_xxxxxyyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 952); 

                auto tg_yyyyyy_xxxxxyzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 953); 

                auto tg_yyyyyy_xxxxxzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 954); 

                auto tg_yyyyyy_xxxxyyyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 955); 

                auto tg_yyyyyy_xxxxyyyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 956); 

                auto tg_yyyyyy_xxxxyyzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 957); 

                auto tg_yyyyyy_xxxxyzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 958); 

                auto tg_yyyyyy_xxxxzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 959); 

                auto tg_yyyyyy_xxxyyyyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 960); 

                auto tg_yyyyyy_xxxyyyyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 961); 

                auto tg_yyyyyy_xxxyyyzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 962); 

                auto tg_yyyyyy_xxxyyzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 963); 

                auto tg_yyyyyy_xxxyzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 964); 

                auto tg_yyyyyy_xxxzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 965); 

                auto tg_yyyyyy_xxyyyyyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 966); 

                auto tg_yyyyyy_xxyyyyyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 967); 

                auto tg_yyyyyy_xxyyyyzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 968); 

                auto tg_xxyzzzz_xxyyzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 702); 

                auto tg_xxyzzzz_xxyzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 703); 

                auto tg_xxyzzzz_xxzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 704); 

                auto tg_xxyzzzz_xyyyyyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 705); 

                auto tg_xxyzzzz_xyyyyyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 706); 

                auto tg_xxyzzzz_xyyyyzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 707); 

                auto tg_xxyzzzz_xyyyzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 708); 

                auto tg_xxyzzzz_xyyzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 709); 

                auto tg_xxyzzzz_xyzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 710); 

                auto tg_xxyzzzz_xzzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 711); 

                auto tg_xxyzzzz_yyyyyyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 712); 

                auto tg_xxyzzzz_yyyyyyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 713); 

                auto tg_xxyzzzz_yyyyyzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 714); 

                auto tg_xxyzzzz_yyyyzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 715); 

                auto tg_xxyzzzz_yyyzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 716); 

                auto tg_xxyzzzz_yyzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 717); 

                auto tg_xxyzzzz_yzzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 718); 

                auto tg_xxyzzzz_zzzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 719); 

                auto tg_xxzzzzz_xxxxxxx_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 720); 

                auto tg_xxzzzzz_xxxxxxy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 721); 

                auto tg_xxzzzzz_xxxxxxz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 722); 

                auto tg_xxzzzzz_xxxxxyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 723); 

                auto tg_xxzzzzz_xxxxxyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 724); 

                auto tg_xxzzzzz_xxxxxzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 725); 

                auto tg_xxzzzzz_xxxxyyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 726); 

                auto tg_xxzzzzz_xxxxyyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 727); 

                auto tg_xxzzzzz_xxxxyzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 728); 

                auto tg_xxzzzzz_xxxxzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 729); 

                auto tg_xxzzzzz_xxxyyyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 730); 

                auto tg_xxzzzzz_xxxyyyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 731); 

                auto tg_xxzzzzz_xxxyyzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 732); 

                auto tg_xxzzzzz_xxxyzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 733); 

                auto tg_xxzzzzz_xxxzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 734); 

                auto tg_xxzzzzz_xxyyyyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 735); 

                auto tg_xxzzzzz_xxyyyyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 736); 

                auto tg_xxzzzzz_xxyyyzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 737); 

                auto tg_xxzzzzz_xxyyzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 738); 

                auto tg_xxzzzzz_xxyzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 739); 

                auto tg_xxzzzzz_xxzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 740); 

                auto tg_xxzzzzz_xyyyyyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 741); 

                auto tg_xxzzzzz_xyyyyyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 742); 

                auto tg_xxzzzzz_xyyyyzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 743); 

                auto tg_xxzzzzz_xyyyzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 744); 

                auto tg_xxzzzzz_xyyzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 745); 

                auto tg_xxzzzzz_xyzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 746); 

                auto tg_xxzzzzz_xzzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 747); 

                auto tg_xxzzzzz_yyyyyyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 748); 

                auto tg_xxzzzzz_yyyyyyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 749); 

                auto tg_xxzzzzz_yyyyyzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 750); 

                auto tg_xxzzzzz_yyyyzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 751); 

                auto tg_xxzzzzz_yyyzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 752); 

                auto tg_xxzzzzz_yyzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 753); 

                auto tg_xxzzzzz_yzzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 754); 

                auto tg_xxzzzzz_zzzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 755); 

                auto tg_xyyyyyy_xxxxxxx_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 756); 

                auto tg_xyyyyyy_xxxxxxy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 757); 

                auto tg_xyyyyyy_xxxxxxz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 758); 

                auto tg_xyyyyyy_xxxxxyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 759); 

                auto tg_xyyyyyy_xxxxxyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 760); 

                auto tg_xyyyyyy_xxxxxzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 761); 

                auto tg_xyyyyyy_xxxxyyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 762); 

                auto tg_xyyyyyy_xxxxyyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 763); 

                auto tg_xyyyyyy_xxxxyzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 764); 

                auto tg_xyyyyyy_xxxxzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 765); 

                auto tg_xyyyyyy_xxxyyyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 766); 

                auto tg_xyyyyyy_xxxyyyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 767); 

                auto tg_xyyyyyy_xxxyyzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 768); 

                auto tg_xyyyyyy_xxxyzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 769); 

                auto tg_xyyyyyy_xxxzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 770); 

                auto tg_xyyyyyy_xxyyyyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 771); 

                auto tg_xyyyyyy_xxyyyyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 772); 

                auto tg_xyyyyyy_xxyyyzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 773); 

                auto tg_xyyyyyy_xxyyzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 774); 

                auto tg_xyyyyyy_xxyzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 775); 

                auto tg_xyyyyyy_xxzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 776); 

                auto tg_xyyyyyy_xyyyyyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 777); 

                auto tg_xyyyyyy_xyyyyyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 778); 

                auto tg_xyyyyyy_xyyyyzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 779); 

                // set up pointers to integrals

                auto tg_xxxyzzzz_xxxyyzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 873); 

                auto tg_xxxyzzzz_xxxyzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 874); 

                auto tg_xxxyzzzz_xxxzzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 875); 

                auto tg_xxxyzzzz_xxyyyyyy_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 876); 

                auto tg_xxxyzzzz_xxyyyyyz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 877); 

                auto tg_xxxyzzzz_xxyyyyzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 878); 

                auto tg_xxxyzzzz_xxyyyzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 879); 

                auto tg_xxxyzzzz_xxyyzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 880); 

                auto tg_xxxyzzzz_xxyzzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 881); 

                auto tg_xxxyzzzz_xxzzzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 882); 

                auto tg_xxxyzzzz_xyyyyyyy_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 883); 

                auto tg_xxxyzzzz_xyyyyyyz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 884); 

                auto tg_xxxyzzzz_xyyyyyzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 885); 

                auto tg_xxxyzzzz_xyyyyzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 886); 

                auto tg_xxxyzzzz_xyyyzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 887); 

                auto tg_xxxyzzzz_xyyzzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 888); 

                auto tg_xxxyzzzz_xyzzzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 889); 

                auto tg_xxxyzzzz_xzzzzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 890); 

                auto tg_xxxyzzzz_yyyyyyyy_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 891); 

                auto tg_xxxyzzzz_yyyyyyyz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 892); 

                auto tg_xxxyzzzz_yyyyyyzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 893); 

                auto tg_xxxyzzzz_yyyyyzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 894); 

                auto tg_xxxyzzzz_yyyyzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 895); 

                auto tg_xxxyzzzz_yyyzzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 896); 

                auto tg_xxxyzzzz_yyzzzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 897); 

                auto tg_xxxyzzzz_yzzzzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 898); 

                auto tg_xxxyzzzz_zzzzzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 899); 

                auto tg_xxxzzzzz_xxxxxxxx_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 900); 

                auto tg_xxxzzzzz_xxxxxxxy_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 901); 

                auto tg_xxxzzzzz_xxxxxxxz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 902); 

                auto tg_xxxzzzzz_xxxxxxyy_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 903); 

                auto tg_xxxzzzzz_xxxxxxyz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 904); 

                auto tg_xxxzzzzz_xxxxxxzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 905); 

                auto tg_xxxzzzzz_xxxxxyyy_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 906); 

                auto tg_xxxzzzzz_xxxxxyyz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 907); 

                auto tg_xxxzzzzz_xxxxxyzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 908); 

                auto tg_xxxzzzzz_xxxxxzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 909); 

                auto tg_xxxzzzzz_xxxxyyyy_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 910); 

                auto tg_xxxzzzzz_xxxxyyyz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 911); 

                auto tg_xxxzzzzz_xxxxyyzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 912); 

                auto tg_xxxzzzzz_xxxxyzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 913); 

                auto tg_xxxzzzzz_xxxxzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 914); 

                auto tg_xxxzzzzz_xxxyyyyy_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 915); 

                auto tg_xxxzzzzz_xxxyyyyz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 916); 

                auto tg_xxxzzzzz_xxxyyyzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 917); 

                auto tg_xxxzzzzz_xxxyyzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 918); 

                auto tg_xxxzzzzz_xxxyzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 919); 

                auto tg_xxxzzzzz_xxxzzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 920); 

                auto tg_xxxzzzzz_xxyyyyyy_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 921); 

                auto tg_xxxzzzzz_xxyyyyyz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 922); 

                auto tg_xxxzzzzz_xxyyyyzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 923); 

                auto tg_xxxzzzzz_xxyyyzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 924); 

                auto tg_xxxzzzzz_xxyyzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 925); 

                auto tg_xxxzzzzz_xxyzzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 926); 

                auto tg_xxxzzzzz_xxzzzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 927); 

                auto tg_xxxzzzzz_xyyyyyyy_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 928); 

                auto tg_xxxzzzzz_xyyyyyyz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 929); 

                auto tg_xxxzzzzz_xyyyyyzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 930); 

                auto tg_xxxzzzzz_xyyyyzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 931); 

                auto tg_xxxzzzzz_xyyyzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 932); 

                auto tg_xxxzzzzz_xyyzzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 933); 

                auto tg_xxxzzzzz_xyzzzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 934); 

                auto tg_xxxzzzzz_xzzzzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 935); 

                auto tg_xxxzzzzz_yyyyyyyy_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 936); 

                auto tg_xxxzzzzz_yyyyyyyz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 937); 

                auto tg_xxxzzzzz_yyyyyyzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 938); 

                auto tg_xxxzzzzz_yyyyyzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 939); 

                auto tg_xxxzzzzz_yyyyzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 940); 

                auto tg_xxxzzzzz_yyyzzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 941); 

                auto tg_xxxzzzzz_yyzzzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 942); 

                auto tg_xxxzzzzz_yzzzzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 943); 

                auto tg_xxxzzzzz_zzzzzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 944); 

                auto tg_xxyyyyyy_xxxxxxxx_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 945); 

                auto tg_xxyyyyyy_xxxxxxxy_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 946); 

                auto tg_xxyyyyyy_xxxxxxxz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 947); 

                auto tg_xxyyyyyy_xxxxxxyy_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 948); 

                auto tg_xxyyyyyy_xxxxxxyz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 949); 

                auto tg_xxyyyyyy_xxxxxxzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 950); 

                auto tg_xxyyyyyy_xxxxxyyy_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 951); 

                auto tg_xxyyyyyy_xxxxxyyz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 952); 

                auto tg_xxyyyyyy_xxxxxyzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 953); 

                auto tg_xxyyyyyy_xxxxxzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 954); 

                auto tg_xxyyyyyy_xxxxyyyy_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 955); 

                auto tg_xxyyyyyy_xxxxyyyz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 956); 

                auto tg_xxyyyyyy_xxxxyyzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 957); 

                auto tg_xxyyyyyy_xxxxyzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 958); 

                auto tg_xxyyyyyy_xxxxzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 959); 

                auto tg_xxyyyyyy_xxxyyyyy_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 960); 

                auto tg_xxyyyyyy_xxxyyyyz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 961); 

                auto tg_xxyyyyyy_xxxyyyzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 962); 

                auto tg_xxyyyyyy_xxxyyzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 963); 

                auto tg_xxyyyyyy_xxxyzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 964); 

                auto tg_xxyyyyyy_xxxzzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 965); 

                auto tg_xxyyyyyy_xxyyyyyy_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 966); 

                auto tg_xxyyyyyy_xxyyyyyz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 967); 

                auto tg_xxyyyyyy_xxyyyyzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 968); 

                // Batch of Integrals (873,969)

                #pragma omp simd aligned(fxn, fza, tg_xxxyzzzz_xxxyyzzz_0, tg_xxxyzzzz_xxxyzzzz_0, \
                                         tg_xxxyzzzz_xxxzzzzz_0, tg_xxxyzzzz_xxyyyyyy_0, tg_xxxyzzzz_xxyyyyyz_0, \
                                         tg_xxxyzzzz_xxyyyyzz_0, tg_xxxyzzzz_xxyyyzzz_0, tg_xxxyzzzz_xxyyzzzz_0, \
                                         tg_xxxyzzzz_xxyzzzzz_0, tg_xxxyzzzz_xxzzzzzz_0, tg_xxxyzzzz_xyyyyyyy_0, \
                                         tg_xxxyzzzz_xyyyyyyz_0, tg_xxxyzzzz_xyyyyyzz_0, tg_xxxyzzzz_xyyyyzzz_0, \
                                         tg_xxxyzzzz_xyyyzzzz_0, tg_xxxyzzzz_xyyzzzzz_0, tg_xxxyzzzz_xyzzzzzz_0, \
                                         tg_xxxyzzzz_xzzzzzzz_0, tg_xxxyzzzz_yyyyyyyy_0, tg_xxxyzzzz_yyyyyyyz_0, \
                                         tg_xxxyzzzz_yyyyyyzz_0, tg_xxxyzzzz_yyyyyzzz_0, tg_xxxyzzzz_yyyyzzzz_0, \
                                         tg_xxxyzzzz_yyyzzzzz_0, tg_xxxyzzzz_yyzzzzzz_0, tg_xxxyzzzz_yzzzzzzz_0, \
                                         tg_xxxyzzzz_zzzzzzzz_0, tg_xxxzzzzz_xxxxxxxx_0, tg_xxxzzzzz_xxxxxxxy_0, \
                                         tg_xxxzzzzz_xxxxxxxz_0, tg_xxxzzzzz_xxxxxxyy_0, tg_xxxzzzzz_xxxxxxyz_0, \
                                         tg_xxxzzzzz_xxxxxxzz_0, tg_xxxzzzzz_xxxxxyyy_0, tg_xxxzzzzz_xxxxxyyz_0, \
                                         tg_xxxzzzzz_xxxxxyzz_0, tg_xxxzzzzz_xxxxxzzz_0, tg_xxxzzzzz_xxxxyyyy_0, \
                                         tg_xxxzzzzz_xxxxyyyz_0, tg_xxxzzzzz_xxxxyyzz_0, tg_xxxzzzzz_xxxxyzzz_0, \
                                         tg_xxxzzzzz_xxxxzzzz_0, tg_xxxzzzzz_xxxyyyyy_0, tg_xxxzzzzz_xxxyyyyz_0, \
                                         tg_xxxzzzzz_xxxyyyzz_0, tg_xxxzzzzz_xxxyyzzz_0, tg_xxxzzzzz_xxxyzzzz_0, \
                                         tg_xxxzzzzz_xxxzzzzz_0, tg_xxxzzzzz_xxyyyyyy_0, tg_xxxzzzzz_xxyyyyyz_0, \
                                         tg_xxxzzzzz_xxyyyyzz_0, tg_xxxzzzzz_xxyyyzzz_0, tg_xxxzzzzz_xxyyzzzz_0, \
                                         tg_xxxzzzzz_xxyzzzzz_0, tg_xxxzzzzz_xxzzzzzz_0, tg_xxxzzzzz_xyyyyyyy_0, \
                                         tg_xxxzzzzz_xyyyyyyz_0, tg_xxxzzzzz_xyyyyyzz_0, tg_xxxzzzzz_xyyyyzzz_0, \
                                         tg_xxxzzzzz_xyyyzzzz_0, tg_xxxzzzzz_xyyzzzzz_0, tg_xxxzzzzz_xyzzzzzz_0, \
                                         tg_xxxzzzzz_xzzzzzzz_0, tg_xxxzzzzz_yyyyyyyy_0, tg_xxxzzzzz_yyyyyyyz_0, \
                                         tg_xxxzzzzz_yyyyyyzz_0, tg_xxxzzzzz_yyyyyzzz_0, tg_xxxzzzzz_yyyyzzzz_0, \
                                         tg_xxxzzzzz_yyyzzzzz_0, tg_xxxzzzzz_yyzzzzzz_0, tg_xxxzzzzz_yzzzzzzz_0, \
                                         tg_xxxzzzzz_zzzzzzzz_0, tg_xxyyyyyy_xxxxxxxx_0, tg_xxyyyyyy_xxxxxxxy_0, \
                                         tg_xxyyyyyy_xxxxxxxz_0, tg_xxyyyyyy_xxxxxxyy_0, tg_xxyyyyyy_xxxxxxyz_0, \
                                         tg_xxyyyyyy_xxxxxxzz_0, tg_xxyyyyyy_xxxxxyyy_0, tg_xxyyyyyy_xxxxxyyz_0, \
                                         tg_xxyyyyyy_xxxxxyzz_0, tg_xxyyyyyy_xxxxxzzz_0, tg_xxyyyyyy_xxxxyyyy_0, \
                                         tg_xxyyyyyy_xxxxyyyz_0, tg_xxyyyyyy_xxxxyyzz_0, tg_xxyyyyyy_xxxxyzzz_0, \
                                         tg_xxyyyyyy_xxxxzzzz_0, tg_xxyyyyyy_xxxyyyyy_0, tg_xxyyyyyy_xxxyyyyz_0, \
                                         tg_xxyyyyyy_xxxyyyzz_0, tg_xxyyyyyy_xxxyyzzz_0, tg_xxyyyyyy_xxxyzzzz_0, \
                                         tg_xxyyyyyy_xxxzzzzz_0, tg_xxyyyyyy_xxyyyyyy_0, tg_xxyyyyyy_xxyyyyyz_0, \
                                         tg_xxyyyyyy_xxyyyyzz_0, tg_xxyzzzz_xxxyyzzz_0, tg_xxyzzzz_xxxyyzzz_1, \
                                         tg_xxyzzzz_xxxyzzzz_0, tg_xxyzzzz_xxxyzzzz_1, tg_xxyzzzz_xxxzzzzz_0, \
                                         tg_xxyzzzz_xxxzzzzz_1, tg_xxyzzzz_xxyyyyyy_0, tg_xxyzzzz_xxyyyyyy_1, \
                                         tg_xxyzzzz_xxyyyyyz_0, tg_xxyzzzz_xxyyyyyz_1, tg_xxyzzzz_xxyyyyzz_0, \
                                         tg_xxyzzzz_xxyyyyzz_1, tg_xxyzzzz_xxyyyzzz_0, tg_xxyzzzz_xxyyyzzz_1, \
                                         tg_xxyzzzz_xxyyzzz_1, tg_xxyzzzz_xxyyzzzz_0, tg_xxyzzzz_xxyyzzzz_1, \
                                         tg_xxyzzzz_xxyzzzz_1, tg_xxyzzzz_xxyzzzzz_0, tg_xxyzzzz_xxyzzzzz_1, \
                                         tg_xxyzzzz_xxzzzzz_1, tg_xxyzzzz_xxzzzzzz_0, tg_xxyzzzz_xxzzzzzz_1, \
                                         tg_xxyzzzz_xyyyyyy_1, tg_xxyzzzz_xyyyyyyy_0, tg_xxyzzzz_xyyyyyyy_1, \
                                         tg_xxyzzzz_xyyyyyyz_0, tg_xxyzzzz_xyyyyyyz_1, tg_xxyzzzz_xyyyyyz_1, \
                                         tg_xxyzzzz_xyyyyyzz_0, tg_xxyzzzz_xyyyyyzz_1, tg_xxyzzzz_xyyyyzz_1, \
                                         tg_xxyzzzz_xyyyyzzz_0, tg_xxyzzzz_xyyyyzzz_1, tg_xxyzzzz_xyyyzzz_1, \
                                         tg_xxyzzzz_xyyyzzzz_0, tg_xxyzzzz_xyyyzzzz_1, tg_xxyzzzz_xyyzzzz_1, \
                                         tg_xxyzzzz_xyyzzzzz_0, tg_xxyzzzz_xyyzzzzz_1, tg_xxyzzzz_xyzzzzz_1, \
                                         tg_xxyzzzz_xyzzzzzz_0, tg_xxyzzzz_xyzzzzzz_1, tg_xxyzzzz_xzzzzzz_1, \
                                         tg_xxyzzzz_xzzzzzzz_0, tg_xxyzzzz_xzzzzzzz_1, tg_xxyzzzz_yyyyyyy_1, \
                                         tg_xxyzzzz_yyyyyyyy_0, tg_xxyzzzz_yyyyyyyy_1, tg_xxyzzzz_yyyyyyyz_0, \
                                         tg_xxyzzzz_yyyyyyyz_1, tg_xxyzzzz_yyyyyyz_1, tg_xxyzzzz_yyyyyyzz_0, \
                                         tg_xxyzzzz_yyyyyyzz_1, tg_xxyzzzz_yyyyyzz_1, tg_xxyzzzz_yyyyyzzz_0, \
                                         tg_xxyzzzz_yyyyyzzz_1, tg_xxyzzzz_yyyyzzz_1, tg_xxyzzzz_yyyyzzzz_0, \
                                         tg_xxyzzzz_yyyyzzzz_1, tg_xxyzzzz_yyyzzzz_1, tg_xxyzzzz_yyyzzzzz_0, \
                                         tg_xxyzzzz_yyyzzzzz_1, tg_xxyzzzz_yyzzzzz_1, tg_xxyzzzz_yyzzzzzz_0, \
                                         tg_xxyzzzz_yyzzzzzz_1, tg_xxyzzzz_yzzzzzz_1, tg_xxyzzzz_yzzzzzzz_0, \
                                         tg_xxyzzzz_yzzzzzzz_1, tg_xxyzzzz_zzzzzzz_1, tg_xxyzzzz_zzzzzzzz_0, \
                                         tg_xxyzzzz_zzzzzzzz_1, tg_xxzzzzz_xxxxxxx_1, tg_xxzzzzz_xxxxxxxx_0, \
                                         tg_xxzzzzz_xxxxxxxx_1, tg_xxzzzzz_xxxxxxxy_0, tg_xxzzzzz_xxxxxxxy_1, \
                                         tg_xxzzzzz_xxxxxxxz_0, tg_xxzzzzz_xxxxxxxz_1, tg_xxzzzzz_xxxxxxy_1, \
                                         tg_xxzzzzz_xxxxxxyy_0, tg_xxzzzzz_xxxxxxyy_1, tg_xxzzzzz_xxxxxxyz_0, \
                                         tg_xxzzzzz_xxxxxxyz_1, tg_xxzzzzz_xxxxxxz_1, tg_xxzzzzz_xxxxxxzz_0, \
                                         tg_xxzzzzz_xxxxxxzz_1, tg_xxzzzzz_xxxxxyy_1, tg_xxzzzzz_xxxxxyyy_0, \
                                         tg_xxzzzzz_xxxxxyyy_1, tg_xxzzzzz_xxxxxyyz_0, tg_xxzzzzz_xxxxxyyz_1, \
                                         tg_xxzzzzz_xxxxxyz_1, tg_xxzzzzz_xxxxxyzz_0, tg_xxzzzzz_xxxxxyzz_1, \
                                         tg_xxzzzzz_xxxxxzz_1, tg_xxzzzzz_xxxxxzzz_0, tg_xxzzzzz_xxxxxzzz_1, \
                                         tg_xxzzzzz_xxxxyyy_1, tg_xxzzzzz_xxxxyyyy_0, tg_xxzzzzz_xxxxyyyy_1, \
                                         tg_xxzzzzz_xxxxyyyz_0, tg_xxzzzzz_xxxxyyyz_1, tg_xxzzzzz_xxxxyyz_1, \
                                         tg_xxzzzzz_xxxxyyzz_0, tg_xxzzzzz_xxxxyyzz_1, tg_xxzzzzz_xxxxyzz_1, \
                                         tg_xxzzzzz_xxxxyzzz_0, tg_xxzzzzz_xxxxyzzz_1, tg_xxzzzzz_xxxxzzz_1, \
                                         tg_xxzzzzz_xxxxzzzz_0, tg_xxzzzzz_xxxxzzzz_1, tg_xxzzzzz_xxxyyyy_1, \
                                         tg_xxzzzzz_xxxyyyyy_0, tg_xxzzzzz_xxxyyyyy_1, tg_xxzzzzz_xxxyyyyz_0, \
                                         tg_xxzzzzz_xxxyyyyz_1, tg_xxzzzzz_xxxyyyz_1, tg_xxzzzzz_xxxyyyzz_0, \
                                         tg_xxzzzzz_xxxyyyzz_1, tg_xxzzzzz_xxxyyzz_1, tg_xxzzzzz_xxxyyzzz_0, \
                                         tg_xxzzzzz_xxxyyzzz_1, tg_xxzzzzz_xxxyzzz_1, tg_xxzzzzz_xxxyzzzz_0, \
                                         tg_xxzzzzz_xxxyzzzz_1, tg_xxzzzzz_xxxzzzz_1, tg_xxzzzzz_xxxzzzzz_0, \
                                         tg_xxzzzzz_xxxzzzzz_1, tg_xxzzzzz_xxyyyyy_1, tg_xxzzzzz_xxyyyyyy_0, \
                                         tg_xxzzzzz_xxyyyyyy_1, tg_xxzzzzz_xxyyyyyz_0, tg_xxzzzzz_xxyyyyyz_1, \
                                         tg_xxzzzzz_xxyyyyz_1, tg_xxzzzzz_xxyyyyzz_0, tg_xxzzzzz_xxyyyyzz_1, \
                                         tg_xxzzzzz_xxyyyzz_1, tg_xxzzzzz_xxyyyzzz_0, tg_xxzzzzz_xxyyyzzz_1, \
                                         tg_xxzzzzz_xxyyzzz_1, tg_xxzzzzz_xxyyzzzz_0, tg_xxzzzzz_xxyyzzzz_1, \
                                         tg_xxzzzzz_xxyzzzz_1, tg_xxzzzzz_xxyzzzzz_0, tg_xxzzzzz_xxyzzzzz_1, \
                                         tg_xxzzzzz_xxzzzzz_1, tg_xxzzzzz_xxzzzzzz_0, tg_xxzzzzz_xxzzzzzz_1, \
                                         tg_xxzzzzz_xyyyyyy_1, tg_xxzzzzz_xyyyyyyy_0, tg_xxzzzzz_xyyyyyyy_1, \
                                         tg_xxzzzzz_xyyyyyyz_0, tg_xxzzzzz_xyyyyyyz_1, tg_xxzzzzz_xyyyyyz_1, \
                                         tg_xxzzzzz_xyyyyyzz_0, tg_xxzzzzz_xyyyyyzz_1, tg_xxzzzzz_xyyyyzz_1, \
                                         tg_xxzzzzz_xyyyyzzz_0, tg_xxzzzzz_xyyyyzzz_1, tg_xxzzzzz_xyyyzzz_1, \
                                         tg_xxzzzzz_xyyyzzzz_0, tg_xxzzzzz_xyyyzzzz_1, tg_xxzzzzz_xyyzzzz_1, \
                                         tg_xxzzzzz_xyyzzzzz_0, tg_xxzzzzz_xyyzzzzz_1, tg_xxzzzzz_xyzzzzz_1, \
                                         tg_xxzzzzz_xyzzzzzz_0, tg_xxzzzzz_xyzzzzzz_1, tg_xxzzzzz_xzzzzzz_1, \
                                         tg_xxzzzzz_xzzzzzzz_0, tg_xxzzzzz_xzzzzzzz_1, tg_xxzzzzz_yyyyyyy_1, \
                                         tg_xxzzzzz_yyyyyyyy_0, tg_xxzzzzz_yyyyyyyy_1, tg_xxzzzzz_yyyyyyyz_0, \
                                         tg_xxzzzzz_yyyyyyyz_1, tg_xxzzzzz_yyyyyyz_1, tg_xxzzzzz_yyyyyyzz_0, \
                                         tg_xxzzzzz_yyyyyyzz_1, tg_xxzzzzz_yyyyyzz_1, tg_xxzzzzz_yyyyyzzz_0, \
                                         tg_xxzzzzz_yyyyyzzz_1, tg_xxzzzzz_yyyyzzz_1, tg_xxzzzzz_yyyyzzzz_0, \
                                         tg_xxzzzzz_yyyyzzzz_1, tg_xxzzzzz_yyyzzzz_1, tg_xxzzzzz_yyyzzzzz_0, \
                                         tg_xxzzzzz_yyyzzzzz_1, tg_xxzzzzz_yyzzzzz_1, tg_xxzzzzz_yyzzzzzz_0, \
                                         tg_xxzzzzz_yyzzzzzz_1, tg_xxzzzzz_yzzzzzz_1, tg_xxzzzzz_yzzzzzzz_0, \
                                         tg_xxzzzzz_yzzzzzzz_1, tg_xxzzzzz_zzzzzzz_1, tg_xxzzzzz_zzzzzzzz_0, \
                                         tg_xxzzzzz_zzzzzzzz_1, tg_xyyyyyy_xxxxxxx_1, tg_xyyyyyy_xxxxxxxx_0, \
                                         tg_xyyyyyy_xxxxxxxx_1, tg_xyyyyyy_xxxxxxxy_0, tg_xyyyyyy_xxxxxxxy_1, \
                                         tg_xyyyyyy_xxxxxxxz_0, tg_xyyyyyy_xxxxxxxz_1, tg_xyyyyyy_xxxxxxy_1, \
                                         tg_xyyyyyy_xxxxxxyy_0, tg_xyyyyyy_xxxxxxyy_1, tg_xyyyyyy_xxxxxxyz_0, \
                                         tg_xyyyyyy_xxxxxxyz_1, tg_xyyyyyy_xxxxxxz_1, tg_xyyyyyy_xxxxxxzz_0, \
                                         tg_xyyyyyy_xxxxxxzz_1, tg_xyyyyyy_xxxxxyy_1, tg_xyyyyyy_xxxxxyyy_0, \
                                         tg_xyyyyyy_xxxxxyyy_1, tg_xyyyyyy_xxxxxyyz_0, tg_xyyyyyy_xxxxxyyz_1, \
                                         tg_xyyyyyy_xxxxxyz_1, tg_xyyyyyy_xxxxxyzz_0, tg_xyyyyyy_xxxxxyzz_1, \
                                         tg_xyyyyyy_xxxxxzz_1, tg_xyyyyyy_xxxxxzzz_0, tg_xyyyyyy_xxxxxzzz_1, \
                                         tg_xyyyyyy_xxxxyyy_1, tg_xyyyyyy_xxxxyyyy_0, tg_xyyyyyy_xxxxyyyy_1, \
                                         tg_xyyyyyy_xxxxyyyz_0, tg_xyyyyyy_xxxxyyyz_1, tg_xyyyyyy_xxxxyyz_1, \
                                         tg_xyyyyyy_xxxxyyzz_0, tg_xyyyyyy_xxxxyyzz_1, tg_xyyyyyy_xxxxyzz_1, \
                                         tg_xyyyyyy_xxxxyzzz_0, tg_xyyyyyy_xxxxyzzz_1, tg_xyyyyyy_xxxxzzz_1, \
                                         tg_xyyyyyy_xxxxzzzz_0, tg_xyyyyyy_xxxxzzzz_1, tg_xyyyyyy_xxxyyyy_1, \
                                         tg_xyyyyyy_xxxyyyyy_0, tg_xyyyyyy_xxxyyyyy_1, tg_xyyyyyy_xxxyyyyz_0, \
                                         tg_xyyyyyy_xxxyyyyz_1, tg_xyyyyyy_xxxyyyz_1, tg_xyyyyyy_xxxyyyzz_0, \
                                         tg_xyyyyyy_xxxyyyzz_1, tg_xyyyyyy_xxxyyzz_1, tg_xyyyyyy_xxxyyzzz_0, \
                                         tg_xyyyyyy_xxxyyzzz_1, tg_xyyyyyy_xxxyzzz_1, tg_xyyyyyy_xxxyzzzz_0, \
                                         tg_xyyyyyy_xxxyzzzz_1, tg_xyyyyyy_xxxzzzz_1, tg_xyyyyyy_xxxzzzzz_0, \
                                         tg_xyyyyyy_xxxzzzzz_1, tg_xyyyyyy_xxyyyyy_1, tg_xyyyyyy_xxyyyyyy_0, \
                                         tg_xyyyyyy_xxyyyyyy_1, tg_xyyyyyy_xxyyyyyz_0, tg_xyyyyyy_xxyyyyyz_1, \
                                         tg_xyyyyyy_xxyyyyz_1, tg_xyyyyyy_xxyyyyzz_0, tg_xyyyyyy_xxyyyyzz_1, \
                                         tg_xyyyyyy_xxyyyzz_1, tg_xyyyyyy_xxyyzzz_1, tg_xyyyyyy_xxyzzzz_1, tg_xyyyyyy_xxzzzzz_1, \
                                         tg_xyyyyyy_xyyyyyy_1, tg_xyyyyyy_xyyyyyz_1, tg_xyyyyyy_xyyyyzz_1, tg_xyzzzz_xxxyyzzz_0, \
                                         tg_xyzzzz_xxxyyzzz_1, tg_xyzzzz_xxxyzzzz_0, tg_xyzzzz_xxxyzzzz_1, tg_xyzzzz_xxxzzzzz_0, \
                                         tg_xyzzzz_xxxzzzzz_1, tg_xyzzzz_xxyyyyyy_0, tg_xyzzzz_xxyyyyyy_1, tg_xyzzzz_xxyyyyyz_0, \
                                         tg_xyzzzz_xxyyyyyz_1, tg_xyzzzz_xxyyyyzz_0, tg_xyzzzz_xxyyyyzz_1, tg_xyzzzz_xxyyyzzz_0, \
                                         tg_xyzzzz_xxyyyzzz_1, tg_xyzzzz_xxyyzzzz_0, tg_xyzzzz_xxyyzzzz_1, tg_xyzzzz_xxyzzzzz_0, \
                                         tg_xyzzzz_xxyzzzzz_1, tg_xyzzzz_xxzzzzzz_0, tg_xyzzzz_xxzzzzzz_1, tg_xyzzzz_xyyyyyyy_0, \
                                         tg_xyzzzz_xyyyyyyy_1, tg_xyzzzz_xyyyyyyz_0, tg_xyzzzz_xyyyyyyz_1, tg_xyzzzz_xyyyyyzz_0, \
                                         tg_xyzzzz_xyyyyyzz_1, tg_xyzzzz_xyyyyzzz_0, tg_xyzzzz_xyyyyzzz_1, tg_xyzzzz_xyyyzzzz_0, \
                                         tg_xyzzzz_xyyyzzzz_1, tg_xyzzzz_xyyzzzzz_0, tg_xyzzzz_xyyzzzzz_1, tg_xyzzzz_xyzzzzzz_0, \
                                         tg_xyzzzz_xyzzzzzz_1, tg_xyzzzz_xzzzzzzz_0, tg_xyzzzz_xzzzzzzz_1, tg_xyzzzz_yyyyyyyy_0, \
                                         tg_xyzzzz_yyyyyyyy_1, tg_xyzzzz_yyyyyyyz_0, tg_xyzzzz_yyyyyyyz_1, tg_xyzzzz_yyyyyyzz_0, \
                                         tg_xyzzzz_yyyyyyzz_1, tg_xyzzzz_yyyyyzzz_0, tg_xyzzzz_yyyyyzzz_1, tg_xyzzzz_yyyyzzzz_0, \
                                         tg_xyzzzz_yyyyzzzz_1, tg_xyzzzz_yyyzzzzz_0, tg_xyzzzz_yyyzzzzz_1, tg_xyzzzz_yyzzzzzz_0, \
                                         tg_xyzzzz_yyzzzzzz_1, tg_xyzzzz_yzzzzzzz_0, tg_xyzzzz_yzzzzzzz_1, tg_xyzzzz_zzzzzzzz_0, \
                                         tg_xyzzzz_zzzzzzzz_1, tg_xzzzzz_xxxxxxxx_0, tg_xzzzzz_xxxxxxxx_1, tg_xzzzzz_xxxxxxxy_0, \
                                         tg_xzzzzz_xxxxxxxy_1, tg_xzzzzz_xxxxxxxz_0, tg_xzzzzz_xxxxxxxz_1, tg_xzzzzz_xxxxxxyy_0, \
                                         tg_xzzzzz_xxxxxxyy_1, tg_xzzzzz_xxxxxxyz_0, tg_xzzzzz_xxxxxxyz_1, tg_xzzzzz_xxxxxxzz_0, \
                                         tg_xzzzzz_xxxxxxzz_1, tg_xzzzzz_xxxxxyyy_0, tg_xzzzzz_xxxxxyyy_1, tg_xzzzzz_xxxxxyyz_0, \
                                         tg_xzzzzz_xxxxxyyz_1, tg_xzzzzz_xxxxxyzz_0, tg_xzzzzz_xxxxxyzz_1, tg_xzzzzz_xxxxxzzz_0, \
                                         tg_xzzzzz_xxxxxzzz_1, tg_xzzzzz_xxxxyyyy_0, tg_xzzzzz_xxxxyyyy_1, tg_xzzzzz_xxxxyyyz_0, \
                                         tg_xzzzzz_xxxxyyyz_1, tg_xzzzzz_xxxxyyzz_0, tg_xzzzzz_xxxxyyzz_1, tg_xzzzzz_xxxxyzzz_0, \
                                         tg_xzzzzz_xxxxyzzz_1, tg_xzzzzz_xxxxzzzz_0, tg_xzzzzz_xxxxzzzz_1, tg_xzzzzz_xxxyyyyy_0, \
                                         tg_xzzzzz_xxxyyyyy_1, tg_xzzzzz_xxxyyyyz_0, tg_xzzzzz_xxxyyyyz_1, tg_xzzzzz_xxxyyyzz_0, \
                                         tg_xzzzzz_xxxyyyzz_1, tg_xzzzzz_xxxyyzzz_0, tg_xzzzzz_xxxyyzzz_1, tg_xzzzzz_xxxyzzzz_0, \
                                         tg_xzzzzz_xxxyzzzz_1, tg_xzzzzz_xxxzzzzz_0, tg_xzzzzz_xxxzzzzz_1, tg_xzzzzz_xxyyyyyy_0, \
                                         tg_xzzzzz_xxyyyyyy_1, tg_xzzzzz_xxyyyyyz_0, tg_xzzzzz_xxyyyyyz_1, tg_xzzzzz_xxyyyyzz_0, \
                                         tg_xzzzzz_xxyyyyzz_1, tg_xzzzzz_xxyyyzzz_0, tg_xzzzzz_xxyyyzzz_1, tg_xzzzzz_xxyyzzzz_0, \
                                         tg_xzzzzz_xxyyzzzz_1, tg_xzzzzz_xxyzzzzz_0, tg_xzzzzz_xxyzzzzz_1, tg_xzzzzz_xxzzzzzz_0, \
                                         tg_xzzzzz_xxzzzzzz_1, tg_xzzzzz_xyyyyyyy_0, tg_xzzzzz_xyyyyyyy_1, tg_xzzzzz_xyyyyyyz_0, \
                                         tg_xzzzzz_xyyyyyyz_1, tg_xzzzzz_xyyyyyzz_0, tg_xzzzzz_xyyyyyzz_1, tg_xzzzzz_xyyyyzzz_0, \
                                         tg_xzzzzz_xyyyyzzz_1, tg_xzzzzz_xyyyzzzz_0, tg_xzzzzz_xyyyzzzz_1, tg_xzzzzz_xyyzzzzz_0, \
                                         tg_xzzzzz_xyyzzzzz_1, tg_xzzzzz_xyzzzzzz_0, tg_xzzzzz_xyzzzzzz_1, tg_xzzzzz_xzzzzzzz_0, \
                                         tg_xzzzzz_xzzzzzzz_1, tg_xzzzzz_yyyyyyyy_0, tg_xzzzzz_yyyyyyyy_1, tg_xzzzzz_yyyyyyyz_0, \
                                         tg_xzzzzz_yyyyyyyz_1, tg_xzzzzz_yyyyyyzz_0, tg_xzzzzz_yyyyyyzz_1, tg_xzzzzz_yyyyyzzz_0, \
                                         tg_xzzzzz_yyyyyzzz_1, tg_xzzzzz_yyyyzzzz_0, tg_xzzzzz_yyyyzzzz_1, tg_xzzzzz_yyyzzzzz_0, \
                                         tg_xzzzzz_yyyzzzzz_1, tg_xzzzzz_yyzzzzzz_0, tg_xzzzzz_yyzzzzzz_1, tg_xzzzzz_yzzzzzzz_0, \
                                         tg_xzzzzz_yzzzzzzz_1, tg_xzzzzz_zzzzzzzz_0, tg_xzzzzz_zzzzzzzz_1, tg_yyyyyy_xxxxxxxx_0, \
                                         tg_yyyyyy_xxxxxxxx_1, tg_yyyyyy_xxxxxxxy_0, tg_yyyyyy_xxxxxxxy_1, tg_yyyyyy_xxxxxxxz_0, \
                                         tg_yyyyyy_xxxxxxxz_1, tg_yyyyyy_xxxxxxyy_0, tg_yyyyyy_xxxxxxyy_1, tg_yyyyyy_xxxxxxyz_0, \
                                         tg_yyyyyy_xxxxxxyz_1, tg_yyyyyy_xxxxxxzz_0, tg_yyyyyy_xxxxxxzz_1, tg_yyyyyy_xxxxxyyy_0, \
                                         tg_yyyyyy_xxxxxyyy_1, tg_yyyyyy_xxxxxyyz_0, tg_yyyyyy_xxxxxyyz_1, tg_yyyyyy_xxxxxyzz_0, \
                                         tg_yyyyyy_xxxxxyzz_1, tg_yyyyyy_xxxxxzzz_0, tg_yyyyyy_xxxxxzzz_1, tg_yyyyyy_xxxxyyyy_0, \
                                         tg_yyyyyy_xxxxyyyy_1, tg_yyyyyy_xxxxyyyz_0, tg_yyyyyy_xxxxyyyz_1, tg_yyyyyy_xxxxyyzz_0, \
                                         tg_yyyyyy_xxxxyyzz_1, tg_yyyyyy_xxxxyzzz_0, tg_yyyyyy_xxxxyzzz_1, tg_yyyyyy_xxxxzzzz_0, \
                                         tg_yyyyyy_xxxxzzzz_1, tg_yyyyyy_xxxyyyyy_0, tg_yyyyyy_xxxyyyyy_1, tg_yyyyyy_xxxyyyyz_0, \
                                         tg_yyyyyy_xxxyyyyz_1, tg_yyyyyy_xxxyyyzz_0, tg_yyyyyy_xxxyyyzz_1, tg_yyyyyy_xxxyyzzz_0, \
                                         tg_yyyyyy_xxxyyzzz_1, tg_yyyyyy_xxxyzzzz_0, tg_yyyyyy_xxxyzzzz_1, tg_yyyyyy_xxxzzzzz_0, \
                                         tg_yyyyyy_xxxzzzzz_1, tg_yyyyyy_xxyyyyyy_0, tg_yyyyyy_xxyyyyyy_1, tg_yyyyyy_xxyyyyyz_0, \
                                         tg_yyyyyy_xxyyyyyz_1, tg_yyyyyy_xxyyyyzz_0, tg_yyyyyy_xxyyyyzz_1, wp_x: VLX_ALIGN)
                for (int32_t j = 0; j < nKetPrimPairs; j++)
                {
                    double fl1_fx = fx;

                    double fl1_fxn = fxn[j];

                    double fl1_fza = fza[j];

                    double fr = wp_x[j]; 

                    tg_xxxyzzzz_xxxyyzzz_0[j] = pb_x * tg_xxyzzzz_xxxyyzzz_0[j] + fr * tg_xxyzzzz_xxxyyzzz_1[j] + fl1_fx * (tg_xyzzzz_xxxyyzzz_0[j] - tg_xyzzzz_xxxyyzzz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_xxyzzzz_xxyyzzz_1[j];

                    tg_xxxyzzzz_xxxyzzzz_0[j] = pb_x * tg_xxyzzzz_xxxyzzzz_0[j] + fr * tg_xxyzzzz_xxxyzzzz_1[j] + fl1_fx * (tg_xyzzzz_xxxyzzzz_0[j] - tg_xyzzzz_xxxyzzzz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_xxyzzzz_xxyzzzz_1[j];

                    tg_xxxyzzzz_xxxzzzzz_0[j] = pb_x * tg_xxyzzzz_xxxzzzzz_0[j] + fr * tg_xxyzzzz_xxxzzzzz_1[j] + fl1_fx * (tg_xyzzzz_xxxzzzzz_0[j] - tg_xyzzzz_xxxzzzzz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_xxyzzzz_xxzzzzz_1[j];

                    tg_xxxyzzzz_xxyyyyyy_0[j] = pb_x * tg_xxyzzzz_xxyyyyyy_0[j] + fr * tg_xxyzzzz_xxyyyyyy_1[j] + fl1_fx * (tg_xyzzzz_xxyyyyyy_0[j] - tg_xyzzzz_xxyyyyyy_1[j] * fl1_fza) + fl1_fxn * tg_xxyzzzz_xyyyyyy_1[j];

                    tg_xxxyzzzz_xxyyyyyz_0[j] = pb_x * tg_xxyzzzz_xxyyyyyz_0[j] + fr * tg_xxyzzzz_xxyyyyyz_1[j] + fl1_fx * (tg_xyzzzz_xxyyyyyz_0[j] - tg_xyzzzz_xxyyyyyz_1[j] * fl1_fza) + fl1_fxn * tg_xxyzzzz_xyyyyyz_1[j];

                    tg_xxxyzzzz_xxyyyyzz_0[j] = pb_x * tg_xxyzzzz_xxyyyyzz_0[j] + fr * tg_xxyzzzz_xxyyyyzz_1[j] + fl1_fx * (tg_xyzzzz_xxyyyyzz_0[j] - tg_xyzzzz_xxyyyyzz_1[j] * fl1_fza) + fl1_fxn * tg_xxyzzzz_xyyyyzz_1[j];

                    tg_xxxyzzzz_xxyyyzzz_0[j] = pb_x * tg_xxyzzzz_xxyyyzzz_0[j] + fr * tg_xxyzzzz_xxyyyzzz_1[j] + fl1_fx * (tg_xyzzzz_xxyyyzzz_0[j] - tg_xyzzzz_xxyyyzzz_1[j] * fl1_fza) + fl1_fxn * tg_xxyzzzz_xyyyzzz_1[j];

                    tg_xxxyzzzz_xxyyzzzz_0[j] = pb_x * tg_xxyzzzz_xxyyzzzz_0[j] + fr * tg_xxyzzzz_xxyyzzzz_1[j] + fl1_fx * (tg_xyzzzz_xxyyzzzz_0[j] - tg_xyzzzz_xxyyzzzz_1[j] * fl1_fza) + fl1_fxn * tg_xxyzzzz_xyyzzzz_1[j];

                    tg_xxxyzzzz_xxyzzzzz_0[j] = pb_x * tg_xxyzzzz_xxyzzzzz_0[j] + fr * tg_xxyzzzz_xxyzzzzz_1[j] + fl1_fx * (tg_xyzzzz_xxyzzzzz_0[j] - tg_xyzzzz_xxyzzzzz_1[j] * fl1_fza) + fl1_fxn * tg_xxyzzzz_xyzzzzz_1[j];

                    tg_xxxyzzzz_xxzzzzzz_0[j] = pb_x * tg_xxyzzzz_xxzzzzzz_0[j] + fr * tg_xxyzzzz_xxzzzzzz_1[j] + fl1_fx * (tg_xyzzzz_xxzzzzzz_0[j] - tg_xyzzzz_xxzzzzzz_1[j] * fl1_fza) + fl1_fxn * tg_xxyzzzz_xzzzzzz_1[j];

                    tg_xxxyzzzz_xyyyyyyy_0[j] = pb_x * tg_xxyzzzz_xyyyyyyy_0[j] + fr * tg_xxyzzzz_xyyyyyyy_1[j] + fl1_fx * (tg_xyzzzz_xyyyyyyy_0[j] - tg_xyzzzz_xyyyyyyy_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xxyzzzz_yyyyyyy_1[j];

                    tg_xxxyzzzz_xyyyyyyz_0[j] = pb_x * tg_xxyzzzz_xyyyyyyz_0[j] + fr * tg_xxyzzzz_xyyyyyyz_1[j] + fl1_fx * (tg_xyzzzz_xyyyyyyz_0[j] - tg_xyzzzz_xyyyyyyz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xxyzzzz_yyyyyyz_1[j];

                    tg_xxxyzzzz_xyyyyyzz_0[j] = pb_x * tg_xxyzzzz_xyyyyyzz_0[j] + fr * tg_xxyzzzz_xyyyyyzz_1[j] + fl1_fx * (tg_xyzzzz_xyyyyyzz_0[j] - tg_xyzzzz_xyyyyyzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xxyzzzz_yyyyyzz_1[j];

                    tg_xxxyzzzz_xyyyyzzz_0[j] = pb_x * tg_xxyzzzz_xyyyyzzz_0[j] + fr * tg_xxyzzzz_xyyyyzzz_1[j] + fl1_fx * (tg_xyzzzz_xyyyyzzz_0[j] - tg_xyzzzz_xyyyyzzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xxyzzzz_yyyyzzz_1[j];

                    tg_xxxyzzzz_xyyyzzzz_0[j] = pb_x * tg_xxyzzzz_xyyyzzzz_0[j] + fr * tg_xxyzzzz_xyyyzzzz_1[j] + fl1_fx * (tg_xyzzzz_xyyyzzzz_0[j] - tg_xyzzzz_xyyyzzzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xxyzzzz_yyyzzzz_1[j];

                    tg_xxxyzzzz_xyyzzzzz_0[j] = pb_x * tg_xxyzzzz_xyyzzzzz_0[j] + fr * tg_xxyzzzz_xyyzzzzz_1[j] + fl1_fx * (tg_xyzzzz_xyyzzzzz_0[j] - tg_xyzzzz_xyyzzzzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xxyzzzz_yyzzzzz_1[j];

                    tg_xxxyzzzz_xyzzzzzz_0[j] = pb_x * tg_xxyzzzz_xyzzzzzz_0[j] + fr * tg_xxyzzzz_xyzzzzzz_1[j] + fl1_fx * (tg_xyzzzz_xyzzzzzz_0[j] - tg_xyzzzz_xyzzzzzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xxyzzzz_yzzzzzz_1[j];

                    tg_xxxyzzzz_xzzzzzzz_0[j] = pb_x * tg_xxyzzzz_xzzzzzzz_0[j] + fr * tg_xxyzzzz_xzzzzzzz_1[j] + fl1_fx * (tg_xyzzzz_xzzzzzzz_0[j] - tg_xyzzzz_xzzzzzzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xxyzzzz_zzzzzzz_1[j];

                    tg_xxxyzzzz_yyyyyyyy_0[j] = pb_x * tg_xxyzzzz_yyyyyyyy_0[j] + fr * tg_xxyzzzz_yyyyyyyy_1[j] + fl1_fx * (tg_xyzzzz_yyyyyyyy_0[j] - tg_xyzzzz_yyyyyyyy_1[j] * fl1_fza);

                    tg_xxxyzzzz_yyyyyyyz_0[j] = pb_x * tg_xxyzzzz_yyyyyyyz_0[j] + fr * tg_xxyzzzz_yyyyyyyz_1[j] + fl1_fx * (tg_xyzzzz_yyyyyyyz_0[j] - tg_xyzzzz_yyyyyyyz_1[j] * fl1_fza);

                    tg_xxxyzzzz_yyyyyyzz_0[j] = pb_x * tg_xxyzzzz_yyyyyyzz_0[j] + fr * tg_xxyzzzz_yyyyyyzz_1[j] + fl1_fx * (tg_xyzzzz_yyyyyyzz_0[j] - tg_xyzzzz_yyyyyyzz_1[j] * fl1_fza);

                    tg_xxxyzzzz_yyyyyzzz_0[j] = pb_x * tg_xxyzzzz_yyyyyzzz_0[j] + fr * tg_xxyzzzz_yyyyyzzz_1[j] + fl1_fx * (tg_xyzzzz_yyyyyzzz_0[j] - tg_xyzzzz_yyyyyzzz_1[j] * fl1_fza);

                    tg_xxxyzzzz_yyyyzzzz_0[j] = pb_x * tg_xxyzzzz_yyyyzzzz_0[j] + fr * tg_xxyzzzz_yyyyzzzz_1[j] + fl1_fx * (tg_xyzzzz_yyyyzzzz_0[j] - tg_xyzzzz_yyyyzzzz_1[j] * fl1_fza);

                    tg_xxxyzzzz_yyyzzzzz_0[j] = pb_x * tg_xxyzzzz_yyyzzzzz_0[j] + fr * tg_xxyzzzz_yyyzzzzz_1[j] + fl1_fx * (tg_xyzzzz_yyyzzzzz_0[j] - tg_xyzzzz_yyyzzzzz_1[j] * fl1_fza);

                    tg_xxxyzzzz_yyzzzzzz_0[j] = pb_x * tg_xxyzzzz_yyzzzzzz_0[j] + fr * tg_xxyzzzz_yyzzzzzz_1[j] + fl1_fx * (tg_xyzzzz_yyzzzzzz_0[j] - tg_xyzzzz_yyzzzzzz_1[j] * fl1_fza);

                    tg_xxxyzzzz_yzzzzzzz_0[j] = pb_x * tg_xxyzzzz_yzzzzzzz_0[j] + fr * tg_xxyzzzz_yzzzzzzz_1[j] + fl1_fx * (tg_xyzzzz_yzzzzzzz_0[j] - tg_xyzzzz_yzzzzzzz_1[j] * fl1_fza);

                    tg_xxxyzzzz_zzzzzzzz_0[j] = pb_x * tg_xxyzzzz_zzzzzzzz_0[j] + fr * tg_xxyzzzz_zzzzzzzz_1[j] + fl1_fx * (tg_xyzzzz_zzzzzzzz_0[j] - tg_xyzzzz_zzzzzzzz_1[j] * fl1_fza);

                    tg_xxxzzzzz_xxxxxxxx_0[j] = pb_x * tg_xxzzzzz_xxxxxxxx_0[j] + fr * tg_xxzzzzz_xxxxxxxx_1[j] + fl1_fx * (tg_xzzzzz_xxxxxxxx_0[j] - tg_xzzzzz_xxxxxxxx_1[j] * fl1_fza) + 4.0 * fl1_fxn * tg_xxzzzzz_xxxxxxx_1[j];

                    tg_xxxzzzzz_xxxxxxxy_0[j] = pb_x * tg_xxzzzzz_xxxxxxxy_0[j] + fr * tg_xxzzzzz_xxxxxxxy_1[j] + fl1_fx * (tg_xzzzzz_xxxxxxxy_0[j] - tg_xzzzzz_xxxxxxxy_1[j] * fl1_fza) + 3.5 * fl1_fxn * tg_xxzzzzz_xxxxxxy_1[j];

                    tg_xxxzzzzz_xxxxxxxz_0[j] = pb_x * tg_xxzzzzz_xxxxxxxz_0[j] + fr * tg_xxzzzzz_xxxxxxxz_1[j] + fl1_fx * (tg_xzzzzz_xxxxxxxz_0[j] - tg_xzzzzz_xxxxxxxz_1[j] * fl1_fza) + 3.5 * fl1_fxn * tg_xxzzzzz_xxxxxxz_1[j];

                    tg_xxxzzzzz_xxxxxxyy_0[j] = pb_x * tg_xxzzzzz_xxxxxxyy_0[j] + fr * tg_xxzzzzz_xxxxxxyy_1[j] + fl1_fx * (tg_xzzzzz_xxxxxxyy_0[j] - tg_xzzzzz_xxxxxxyy_1[j] * fl1_fza) + 3.0 * fl1_fxn * tg_xxzzzzz_xxxxxyy_1[j];

                    tg_xxxzzzzz_xxxxxxyz_0[j] = pb_x * tg_xxzzzzz_xxxxxxyz_0[j] + fr * tg_xxzzzzz_xxxxxxyz_1[j] + fl1_fx * (tg_xzzzzz_xxxxxxyz_0[j] - tg_xzzzzz_xxxxxxyz_1[j] * fl1_fza) + 3.0 * fl1_fxn * tg_xxzzzzz_xxxxxyz_1[j];

                    tg_xxxzzzzz_xxxxxxzz_0[j] = pb_x * tg_xxzzzzz_xxxxxxzz_0[j] + fr * tg_xxzzzzz_xxxxxxzz_1[j] + fl1_fx * (tg_xzzzzz_xxxxxxzz_0[j] - tg_xzzzzz_xxxxxxzz_1[j] * fl1_fza) + 3.0 * fl1_fxn * tg_xxzzzzz_xxxxxzz_1[j];

                    tg_xxxzzzzz_xxxxxyyy_0[j] = pb_x * tg_xxzzzzz_xxxxxyyy_0[j] + fr * tg_xxzzzzz_xxxxxyyy_1[j] + fl1_fx * (tg_xzzzzz_xxxxxyyy_0[j] - tg_xzzzzz_xxxxxyyy_1[j] * fl1_fza) + 2.5 * fl1_fxn * tg_xxzzzzz_xxxxyyy_1[j];

                    tg_xxxzzzzz_xxxxxyyz_0[j] = pb_x * tg_xxzzzzz_xxxxxyyz_0[j] + fr * tg_xxzzzzz_xxxxxyyz_1[j] + fl1_fx * (tg_xzzzzz_xxxxxyyz_0[j] - tg_xzzzzz_xxxxxyyz_1[j] * fl1_fza) + 2.5 * fl1_fxn * tg_xxzzzzz_xxxxyyz_1[j];

                    tg_xxxzzzzz_xxxxxyzz_0[j] = pb_x * tg_xxzzzzz_xxxxxyzz_0[j] + fr * tg_xxzzzzz_xxxxxyzz_1[j] + fl1_fx * (tg_xzzzzz_xxxxxyzz_0[j] - tg_xzzzzz_xxxxxyzz_1[j] * fl1_fza) + 2.5 * fl1_fxn * tg_xxzzzzz_xxxxyzz_1[j];

                    tg_xxxzzzzz_xxxxxzzz_0[j] = pb_x * tg_xxzzzzz_xxxxxzzz_0[j] + fr * tg_xxzzzzz_xxxxxzzz_1[j] + fl1_fx * (tg_xzzzzz_xxxxxzzz_0[j] - tg_xzzzzz_xxxxxzzz_1[j] * fl1_fza) + 2.5 * fl1_fxn * tg_xxzzzzz_xxxxzzz_1[j];

                    tg_xxxzzzzz_xxxxyyyy_0[j] = pb_x * tg_xxzzzzz_xxxxyyyy_0[j] + fr * tg_xxzzzzz_xxxxyyyy_1[j] + fl1_fx * (tg_xzzzzz_xxxxyyyy_0[j] - tg_xzzzzz_xxxxyyyy_1[j] * fl1_fza) + 2.0 * fl1_fxn * tg_xxzzzzz_xxxyyyy_1[j];

                    tg_xxxzzzzz_xxxxyyyz_0[j] = pb_x * tg_xxzzzzz_xxxxyyyz_0[j] + fr * tg_xxzzzzz_xxxxyyyz_1[j] + fl1_fx * (tg_xzzzzz_xxxxyyyz_0[j] - tg_xzzzzz_xxxxyyyz_1[j] * fl1_fza) + 2.0 * fl1_fxn * tg_xxzzzzz_xxxyyyz_1[j];

                    tg_xxxzzzzz_xxxxyyzz_0[j] = pb_x * tg_xxzzzzz_xxxxyyzz_0[j] + fr * tg_xxzzzzz_xxxxyyzz_1[j] + fl1_fx * (tg_xzzzzz_xxxxyyzz_0[j] - tg_xzzzzz_xxxxyyzz_1[j] * fl1_fza) + 2.0 * fl1_fxn * tg_xxzzzzz_xxxyyzz_1[j];

                    tg_xxxzzzzz_xxxxyzzz_0[j] = pb_x * tg_xxzzzzz_xxxxyzzz_0[j] + fr * tg_xxzzzzz_xxxxyzzz_1[j] + fl1_fx * (tg_xzzzzz_xxxxyzzz_0[j] - tg_xzzzzz_xxxxyzzz_1[j] * fl1_fza) + 2.0 * fl1_fxn * tg_xxzzzzz_xxxyzzz_1[j];

                    tg_xxxzzzzz_xxxxzzzz_0[j] = pb_x * tg_xxzzzzz_xxxxzzzz_0[j] + fr * tg_xxzzzzz_xxxxzzzz_1[j] + fl1_fx * (tg_xzzzzz_xxxxzzzz_0[j] - tg_xzzzzz_xxxxzzzz_1[j] * fl1_fza) + 2.0 * fl1_fxn * tg_xxzzzzz_xxxzzzz_1[j];

                    tg_xxxzzzzz_xxxyyyyy_0[j] = pb_x * tg_xxzzzzz_xxxyyyyy_0[j] + fr * tg_xxzzzzz_xxxyyyyy_1[j] + fl1_fx * (tg_xzzzzz_xxxyyyyy_0[j] - tg_xzzzzz_xxxyyyyy_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_xxzzzzz_xxyyyyy_1[j];

                    tg_xxxzzzzz_xxxyyyyz_0[j] = pb_x * tg_xxzzzzz_xxxyyyyz_0[j] + fr * tg_xxzzzzz_xxxyyyyz_1[j] + fl1_fx * (tg_xzzzzz_xxxyyyyz_0[j] - tg_xzzzzz_xxxyyyyz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_xxzzzzz_xxyyyyz_1[j];

                    tg_xxxzzzzz_xxxyyyzz_0[j] = pb_x * tg_xxzzzzz_xxxyyyzz_0[j] + fr * tg_xxzzzzz_xxxyyyzz_1[j] + fl1_fx * (tg_xzzzzz_xxxyyyzz_0[j] - tg_xzzzzz_xxxyyyzz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_xxzzzzz_xxyyyzz_1[j];

                    tg_xxxzzzzz_xxxyyzzz_0[j] = pb_x * tg_xxzzzzz_xxxyyzzz_0[j] + fr * tg_xxzzzzz_xxxyyzzz_1[j] + fl1_fx * (tg_xzzzzz_xxxyyzzz_0[j] - tg_xzzzzz_xxxyyzzz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_xxzzzzz_xxyyzzz_1[j];

                    tg_xxxzzzzz_xxxyzzzz_0[j] = pb_x * tg_xxzzzzz_xxxyzzzz_0[j] + fr * tg_xxzzzzz_xxxyzzzz_1[j] + fl1_fx * (tg_xzzzzz_xxxyzzzz_0[j] - tg_xzzzzz_xxxyzzzz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_xxzzzzz_xxyzzzz_1[j];

                    tg_xxxzzzzz_xxxzzzzz_0[j] = pb_x * tg_xxzzzzz_xxxzzzzz_0[j] + fr * tg_xxzzzzz_xxxzzzzz_1[j] + fl1_fx * (tg_xzzzzz_xxxzzzzz_0[j] - tg_xzzzzz_xxxzzzzz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_xxzzzzz_xxzzzzz_1[j];

                    tg_xxxzzzzz_xxyyyyyy_0[j] = pb_x * tg_xxzzzzz_xxyyyyyy_0[j] + fr * tg_xxzzzzz_xxyyyyyy_1[j] + fl1_fx * (tg_xzzzzz_xxyyyyyy_0[j] - tg_xzzzzz_xxyyyyyy_1[j] * fl1_fza) + fl1_fxn * tg_xxzzzzz_xyyyyyy_1[j];

                    tg_xxxzzzzz_xxyyyyyz_0[j] = pb_x * tg_xxzzzzz_xxyyyyyz_0[j] + fr * tg_xxzzzzz_xxyyyyyz_1[j] + fl1_fx * (tg_xzzzzz_xxyyyyyz_0[j] - tg_xzzzzz_xxyyyyyz_1[j] * fl1_fza) + fl1_fxn * tg_xxzzzzz_xyyyyyz_1[j];

                    tg_xxxzzzzz_xxyyyyzz_0[j] = pb_x * tg_xxzzzzz_xxyyyyzz_0[j] + fr * tg_xxzzzzz_xxyyyyzz_1[j] + fl1_fx * (tg_xzzzzz_xxyyyyzz_0[j] - tg_xzzzzz_xxyyyyzz_1[j] * fl1_fza) + fl1_fxn * tg_xxzzzzz_xyyyyzz_1[j];

                    tg_xxxzzzzz_xxyyyzzz_0[j] = pb_x * tg_xxzzzzz_xxyyyzzz_0[j] + fr * tg_xxzzzzz_xxyyyzzz_1[j] + fl1_fx * (tg_xzzzzz_xxyyyzzz_0[j] - tg_xzzzzz_xxyyyzzz_1[j] * fl1_fza) + fl1_fxn * tg_xxzzzzz_xyyyzzz_1[j];

                    tg_xxxzzzzz_xxyyzzzz_0[j] = pb_x * tg_xxzzzzz_xxyyzzzz_0[j] + fr * tg_xxzzzzz_xxyyzzzz_1[j] + fl1_fx * (tg_xzzzzz_xxyyzzzz_0[j] - tg_xzzzzz_xxyyzzzz_1[j] * fl1_fza) + fl1_fxn * tg_xxzzzzz_xyyzzzz_1[j];

                    tg_xxxzzzzz_xxyzzzzz_0[j] = pb_x * tg_xxzzzzz_xxyzzzzz_0[j] + fr * tg_xxzzzzz_xxyzzzzz_1[j] + fl1_fx * (tg_xzzzzz_xxyzzzzz_0[j] - tg_xzzzzz_xxyzzzzz_1[j] * fl1_fza) + fl1_fxn * tg_xxzzzzz_xyzzzzz_1[j];

                    tg_xxxzzzzz_xxzzzzzz_0[j] = pb_x * tg_xxzzzzz_xxzzzzzz_0[j] + fr * tg_xxzzzzz_xxzzzzzz_1[j] + fl1_fx * (tg_xzzzzz_xxzzzzzz_0[j] - tg_xzzzzz_xxzzzzzz_1[j] * fl1_fza) + fl1_fxn * tg_xxzzzzz_xzzzzzz_1[j];

                    tg_xxxzzzzz_xyyyyyyy_0[j] = pb_x * tg_xxzzzzz_xyyyyyyy_0[j] + fr * tg_xxzzzzz_xyyyyyyy_1[j] + fl1_fx * (tg_xzzzzz_xyyyyyyy_0[j] - tg_xzzzzz_xyyyyyyy_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xxzzzzz_yyyyyyy_1[j];

                    tg_xxxzzzzz_xyyyyyyz_0[j] = pb_x * tg_xxzzzzz_xyyyyyyz_0[j] + fr * tg_xxzzzzz_xyyyyyyz_1[j] + fl1_fx * (tg_xzzzzz_xyyyyyyz_0[j] - tg_xzzzzz_xyyyyyyz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xxzzzzz_yyyyyyz_1[j];

                    tg_xxxzzzzz_xyyyyyzz_0[j] = pb_x * tg_xxzzzzz_xyyyyyzz_0[j] + fr * tg_xxzzzzz_xyyyyyzz_1[j] + fl1_fx * (tg_xzzzzz_xyyyyyzz_0[j] - tg_xzzzzz_xyyyyyzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xxzzzzz_yyyyyzz_1[j];

                    tg_xxxzzzzz_xyyyyzzz_0[j] = pb_x * tg_xxzzzzz_xyyyyzzz_0[j] + fr * tg_xxzzzzz_xyyyyzzz_1[j] + fl1_fx * (tg_xzzzzz_xyyyyzzz_0[j] - tg_xzzzzz_xyyyyzzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xxzzzzz_yyyyzzz_1[j];

                    tg_xxxzzzzz_xyyyzzzz_0[j] = pb_x * tg_xxzzzzz_xyyyzzzz_0[j] + fr * tg_xxzzzzz_xyyyzzzz_1[j] + fl1_fx * (tg_xzzzzz_xyyyzzzz_0[j] - tg_xzzzzz_xyyyzzzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xxzzzzz_yyyzzzz_1[j];

                    tg_xxxzzzzz_xyyzzzzz_0[j] = pb_x * tg_xxzzzzz_xyyzzzzz_0[j] + fr * tg_xxzzzzz_xyyzzzzz_1[j] + fl1_fx * (tg_xzzzzz_xyyzzzzz_0[j] - tg_xzzzzz_xyyzzzzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xxzzzzz_yyzzzzz_1[j];

                    tg_xxxzzzzz_xyzzzzzz_0[j] = pb_x * tg_xxzzzzz_xyzzzzzz_0[j] + fr * tg_xxzzzzz_xyzzzzzz_1[j] + fl1_fx * (tg_xzzzzz_xyzzzzzz_0[j] - tg_xzzzzz_xyzzzzzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xxzzzzz_yzzzzzz_1[j];

                    tg_xxxzzzzz_xzzzzzzz_0[j] = pb_x * tg_xxzzzzz_xzzzzzzz_0[j] + fr * tg_xxzzzzz_xzzzzzzz_1[j] + fl1_fx * (tg_xzzzzz_xzzzzzzz_0[j] - tg_xzzzzz_xzzzzzzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xxzzzzz_zzzzzzz_1[j];

                    tg_xxxzzzzz_yyyyyyyy_0[j] = pb_x * tg_xxzzzzz_yyyyyyyy_0[j] + fr * tg_xxzzzzz_yyyyyyyy_1[j] + fl1_fx * (tg_xzzzzz_yyyyyyyy_0[j] - tg_xzzzzz_yyyyyyyy_1[j] * fl1_fza);

                    tg_xxxzzzzz_yyyyyyyz_0[j] = pb_x * tg_xxzzzzz_yyyyyyyz_0[j] + fr * tg_xxzzzzz_yyyyyyyz_1[j] + fl1_fx * (tg_xzzzzz_yyyyyyyz_0[j] - tg_xzzzzz_yyyyyyyz_1[j] * fl1_fza);

                    tg_xxxzzzzz_yyyyyyzz_0[j] = pb_x * tg_xxzzzzz_yyyyyyzz_0[j] + fr * tg_xxzzzzz_yyyyyyzz_1[j] + fl1_fx * (tg_xzzzzz_yyyyyyzz_0[j] - tg_xzzzzz_yyyyyyzz_1[j] * fl1_fza);

                    tg_xxxzzzzz_yyyyyzzz_0[j] = pb_x * tg_xxzzzzz_yyyyyzzz_0[j] + fr * tg_xxzzzzz_yyyyyzzz_1[j] + fl1_fx * (tg_xzzzzz_yyyyyzzz_0[j] - tg_xzzzzz_yyyyyzzz_1[j] * fl1_fza);

                    tg_xxxzzzzz_yyyyzzzz_0[j] = pb_x * tg_xxzzzzz_yyyyzzzz_0[j] + fr * tg_xxzzzzz_yyyyzzzz_1[j] + fl1_fx * (tg_xzzzzz_yyyyzzzz_0[j] - tg_xzzzzz_yyyyzzzz_1[j] * fl1_fza);

                    tg_xxxzzzzz_yyyzzzzz_0[j] = pb_x * tg_xxzzzzz_yyyzzzzz_0[j] + fr * tg_xxzzzzz_yyyzzzzz_1[j] + fl1_fx * (tg_xzzzzz_yyyzzzzz_0[j] - tg_xzzzzz_yyyzzzzz_1[j] * fl1_fza);

                    tg_xxxzzzzz_yyzzzzzz_0[j] = pb_x * tg_xxzzzzz_yyzzzzzz_0[j] + fr * tg_xxzzzzz_yyzzzzzz_1[j] + fl1_fx * (tg_xzzzzz_yyzzzzzz_0[j] - tg_xzzzzz_yyzzzzzz_1[j] * fl1_fza);

                    tg_xxxzzzzz_yzzzzzzz_0[j] = pb_x * tg_xxzzzzz_yzzzzzzz_0[j] + fr * tg_xxzzzzz_yzzzzzzz_1[j] + fl1_fx * (tg_xzzzzz_yzzzzzzz_0[j] - tg_xzzzzz_yzzzzzzz_1[j] * fl1_fza);

                    tg_xxxzzzzz_zzzzzzzz_0[j] = pb_x * tg_xxzzzzz_zzzzzzzz_0[j] + fr * tg_xxzzzzz_zzzzzzzz_1[j] + fl1_fx * (tg_xzzzzz_zzzzzzzz_0[j] - tg_xzzzzz_zzzzzzzz_1[j] * fl1_fza);

                    tg_xxyyyyyy_xxxxxxxx_0[j] = pb_x * tg_xyyyyyy_xxxxxxxx_0[j] + fr * tg_xyyyyyy_xxxxxxxx_1[j] + 0.5 * fl1_fx * (tg_yyyyyy_xxxxxxxx_0[j] - tg_yyyyyy_xxxxxxxx_1[j] * fl1_fza) + 4.0 * fl1_fxn * tg_xyyyyyy_xxxxxxx_1[j];

                    tg_xxyyyyyy_xxxxxxxy_0[j] = pb_x * tg_xyyyyyy_xxxxxxxy_0[j] + fr * tg_xyyyyyy_xxxxxxxy_1[j] + 0.5 * fl1_fx * (tg_yyyyyy_xxxxxxxy_0[j] - tg_yyyyyy_xxxxxxxy_1[j] * fl1_fza) + 3.5 * fl1_fxn * tg_xyyyyyy_xxxxxxy_1[j];

                    tg_xxyyyyyy_xxxxxxxz_0[j] = pb_x * tg_xyyyyyy_xxxxxxxz_0[j] + fr * tg_xyyyyyy_xxxxxxxz_1[j] + 0.5 * fl1_fx * (tg_yyyyyy_xxxxxxxz_0[j] - tg_yyyyyy_xxxxxxxz_1[j] * fl1_fza) + 3.5 * fl1_fxn * tg_xyyyyyy_xxxxxxz_1[j];

                    tg_xxyyyyyy_xxxxxxyy_0[j] = pb_x * tg_xyyyyyy_xxxxxxyy_0[j] + fr * tg_xyyyyyy_xxxxxxyy_1[j] + 0.5 * fl1_fx * (tg_yyyyyy_xxxxxxyy_0[j] - tg_yyyyyy_xxxxxxyy_1[j] * fl1_fza) + 3.0 * fl1_fxn * tg_xyyyyyy_xxxxxyy_1[j];

                    tg_xxyyyyyy_xxxxxxyz_0[j] = pb_x * tg_xyyyyyy_xxxxxxyz_0[j] + fr * tg_xyyyyyy_xxxxxxyz_1[j] + 0.5 * fl1_fx * (tg_yyyyyy_xxxxxxyz_0[j] - tg_yyyyyy_xxxxxxyz_1[j] * fl1_fza) + 3.0 * fl1_fxn * tg_xyyyyyy_xxxxxyz_1[j];

                    tg_xxyyyyyy_xxxxxxzz_0[j] = pb_x * tg_xyyyyyy_xxxxxxzz_0[j] + fr * tg_xyyyyyy_xxxxxxzz_1[j] + 0.5 * fl1_fx * (tg_yyyyyy_xxxxxxzz_0[j] - tg_yyyyyy_xxxxxxzz_1[j] * fl1_fza) + 3.0 * fl1_fxn * tg_xyyyyyy_xxxxxzz_1[j];

                    tg_xxyyyyyy_xxxxxyyy_0[j] = pb_x * tg_xyyyyyy_xxxxxyyy_0[j] + fr * tg_xyyyyyy_xxxxxyyy_1[j] + 0.5 * fl1_fx * (tg_yyyyyy_xxxxxyyy_0[j] - tg_yyyyyy_xxxxxyyy_1[j] * fl1_fza) + 2.5 * fl1_fxn * tg_xyyyyyy_xxxxyyy_1[j];

                    tg_xxyyyyyy_xxxxxyyz_0[j] = pb_x * tg_xyyyyyy_xxxxxyyz_0[j] + fr * tg_xyyyyyy_xxxxxyyz_1[j] + 0.5 * fl1_fx * (tg_yyyyyy_xxxxxyyz_0[j] - tg_yyyyyy_xxxxxyyz_1[j] * fl1_fza) + 2.5 * fl1_fxn * tg_xyyyyyy_xxxxyyz_1[j];

                    tg_xxyyyyyy_xxxxxyzz_0[j] = pb_x * tg_xyyyyyy_xxxxxyzz_0[j] + fr * tg_xyyyyyy_xxxxxyzz_1[j] + 0.5 * fl1_fx * (tg_yyyyyy_xxxxxyzz_0[j] - tg_yyyyyy_xxxxxyzz_1[j] * fl1_fza) + 2.5 * fl1_fxn * tg_xyyyyyy_xxxxyzz_1[j];

                    tg_xxyyyyyy_xxxxxzzz_0[j] = pb_x * tg_xyyyyyy_xxxxxzzz_0[j] + fr * tg_xyyyyyy_xxxxxzzz_1[j] + 0.5 * fl1_fx * (tg_yyyyyy_xxxxxzzz_0[j] - tg_yyyyyy_xxxxxzzz_1[j] * fl1_fza) + 2.5 * fl1_fxn * tg_xyyyyyy_xxxxzzz_1[j];

                    tg_xxyyyyyy_xxxxyyyy_0[j] = pb_x * tg_xyyyyyy_xxxxyyyy_0[j] + fr * tg_xyyyyyy_xxxxyyyy_1[j] + 0.5 * fl1_fx * (tg_yyyyyy_xxxxyyyy_0[j] - tg_yyyyyy_xxxxyyyy_1[j] * fl1_fza) + 2.0 * fl1_fxn * tg_xyyyyyy_xxxyyyy_1[j];

                    tg_xxyyyyyy_xxxxyyyz_0[j] = pb_x * tg_xyyyyyy_xxxxyyyz_0[j] + fr * tg_xyyyyyy_xxxxyyyz_1[j] + 0.5 * fl1_fx * (tg_yyyyyy_xxxxyyyz_0[j] - tg_yyyyyy_xxxxyyyz_1[j] * fl1_fza) + 2.0 * fl1_fxn * tg_xyyyyyy_xxxyyyz_1[j];

                    tg_xxyyyyyy_xxxxyyzz_0[j] = pb_x * tg_xyyyyyy_xxxxyyzz_0[j] + fr * tg_xyyyyyy_xxxxyyzz_1[j] + 0.5 * fl1_fx * (tg_yyyyyy_xxxxyyzz_0[j] - tg_yyyyyy_xxxxyyzz_1[j] * fl1_fza) + 2.0 * fl1_fxn * tg_xyyyyyy_xxxyyzz_1[j];

                    tg_xxyyyyyy_xxxxyzzz_0[j] = pb_x * tg_xyyyyyy_xxxxyzzz_0[j] + fr * tg_xyyyyyy_xxxxyzzz_1[j] + 0.5 * fl1_fx * (tg_yyyyyy_xxxxyzzz_0[j] - tg_yyyyyy_xxxxyzzz_1[j] * fl1_fza) + 2.0 * fl1_fxn * tg_xyyyyyy_xxxyzzz_1[j];

                    tg_xxyyyyyy_xxxxzzzz_0[j] = pb_x * tg_xyyyyyy_xxxxzzzz_0[j] + fr * tg_xyyyyyy_xxxxzzzz_1[j] + 0.5 * fl1_fx * (tg_yyyyyy_xxxxzzzz_0[j] - tg_yyyyyy_xxxxzzzz_1[j] * fl1_fza) + 2.0 * fl1_fxn * tg_xyyyyyy_xxxzzzz_1[j];

                    tg_xxyyyyyy_xxxyyyyy_0[j] = pb_x * tg_xyyyyyy_xxxyyyyy_0[j] + fr * tg_xyyyyyy_xxxyyyyy_1[j] + 0.5 * fl1_fx * (tg_yyyyyy_xxxyyyyy_0[j] - tg_yyyyyy_xxxyyyyy_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_xyyyyyy_xxyyyyy_1[j];

                    tg_xxyyyyyy_xxxyyyyz_0[j] = pb_x * tg_xyyyyyy_xxxyyyyz_0[j] + fr * tg_xyyyyyy_xxxyyyyz_1[j] + 0.5 * fl1_fx * (tg_yyyyyy_xxxyyyyz_0[j] - tg_yyyyyy_xxxyyyyz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_xyyyyyy_xxyyyyz_1[j];

                    tg_xxyyyyyy_xxxyyyzz_0[j] = pb_x * tg_xyyyyyy_xxxyyyzz_0[j] + fr * tg_xyyyyyy_xxxyyyzz_1[j] + 0.5 * fl1_fx * (tg_yyyyyy_xxxyyyzz_0[j] - tg_yyyyyy_xxxyyyzz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_xyyyyyy_xxyyyzz_1[j];

                    tg_xxyyyyyy_xxxyyzzz_0[j] = pb_x * tg_xyyyyyy_xxxyyzzz_0[j] + fr * tg_xyyyyyy_xxxyyzzz_1[j] + 0.5 * fl1_fx * (tg_yyyyyy_xxxyyzzz_0[j] - tg_yyyyyy_xxxyyzzz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_xyyyyyy_xxyyzzz_1[j];

                    tg_xxyyyyyy_xxxyzzzz_0[j] = pb_x * tg_xyyyyyy_xxxyzzzz_0[j] + fr * tg_xyyyyyy_xxxyzzzz_1[j] + 0.5 * fl1_fx * (tg_yyyyyy_xxxyzzzz_0[j] - tg_yyyyyy_xxxyzzzz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_xyyyyyy_xxyzzzz_1[j];

                    tg_xxyyyyyy_xxxzzzzz_0[j] = pb_x * tg_xyyyyyy_xxxzzzzz_0[j] + fr * tg_xyyyyyy_xxxzzzzz_1[j] + 0.5 * fl1_fx * (tg_yyyyyy_xxxzzzzz_0[j] - tg_yyyyyy_xxxzzzzz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_xyyyyyy_xxzzzzz_1[j];

                    tg_xxyyyyyy_xxyyyyyy_0[j] = pb_x * tg_xyyyyyy_xxyyyyyy_0[j] + fr * tg_xyyyyyy_xxyyyyyy_1[j] + 0.5 * fl1_fx * (tg_yyyyyy_xxyyyyyy_0[j] - tg_yyyyyy_xxyyyyyy_1[j] * fl1_fza) + fl1_fxn * tg_xyyyyyy_xyyyyyy_1[j];

                    tg_xxyyyyyy_xxyyyyyz_0[j] = pb_x * tg_xyyyyyy_xxyyyyyz_0[j] + fr * tg_xyyyyyy_xxyyyyyz_1[j] + 0.5 * fl1_fx * (tg_yyyyyy_xxyyyyyz_0[j] - tg_yyyyyy_xxyyyyyz_1[j] * fl1_fza) + fl1_fxn * tg_xyyyyyy_xyyyyyz_1[j];

                    tg_xxyyyyyy_xxyyyyzz_0[j] = pb_x * tg_xyyyyyy_xxyyyyzz_0[j] + fr * tg_xyyyyyy_xxyyyyzz_1[j] + 0.5 * fl1_fx * (tg_yyyyyy_xxyyyyzz_0[j] - tg_yyyyyy_xxyyyyzz_1[j] * fl1_fza) + fl1_fxn * tg_xyyyyyy_xyyyyzz_1[j];
                }

                idx++;
            }
        }
    }

    void
    compElectronRepulsionForSLSL_969_1065(      CMemBlock2D<double>* primBuffer,
                                          const CRecursionMap&       recursionMap,
                                          const CMemBlock2D<double>& osFactors,
                                          const CMemBlock2D<double>& wpDistances,
                                          const CGtoPairsBlock&      braGtoPairsBlock,
                                          const CGtoPairsBlock&      ketGtoPairsBlock,
                                          const int32_t              nKetPrimPairs,
                                          const int32_t              iContrPair)
    {
        // Batch of Integrals (969,1065)

        // set up pointers to primitives data on bra side

        auto spos = braGtoPairsBlock.getStartPositions();

        auto epos = braGtoPairsBlock.getEndPositions();

        // set up pointers to tensor of distance R(PB) = P - B

        auto r_pb_x = braGtoPairsBlock.getDistancesPBX();

        // set up pointers to common Obara-Saika factors

        auto b_fx = braGtoPairsBlock.getFactorsOneOverXi();

        // set up maximum order of integral

        auto mord = recursionMap.getMaxOrder({"Electron Repulsion"},
                                             {8, -1, -1, -1},
                                             {8, -1, -1, -1},
                                             1, 1);

        for (int32_t iord = 0; iord <= mord; iord++)
        {
            // set up index of integral

            auto pidx_g_8_8_m0 = recursionMap.index(CRecursionTerm({"Electron Repulsion"}, 0, true, 
                                                                   {8, -1, -1, -1}, {8, -1, -1, -1}, 
                                                                   1, 1, iord));

            // check if integral is needed in recursion expansion

            if (pidx_g_8_8_m0 == -1) continue;

            // set up indexes of auxilary integral

            auto pidx_g_7_8_m0 = recursionMap.index(CRecursionTerm({"Electron Repulsion"}, 0, true, 
                                                                   {7, -1, -1, -1}, {8, -1, -1, -1}, 
                                                                   1, 1, iord));

            auto pidx_g_7_8_m1 = recursionMap.index(CRecursionTerm({"Electron Repulsion"}, 0, true, 
                                                                   {7, -1, -1, -1}, {8, -1, -1, -1}, 
                                                                   1, 1, iord + 1));

            auto pidx_g_6_8_m0 = recursionMap.index(CRecursionTerm({"Electron Repulsion"}, 0, true, 
                                                                   {6, -1, -1, -1}, {8, -1, -1, -1}, 
                                                                   1, 1, iord));

            auto pidx_g_6_8_m1 = recursionMap.index(CRecursionTerm({"Electron Repulsion"}, 0, true, 
                                                                   {6, -1, -1, -1}, {8, -1, -1, -1}, 
                                                                   1, 1, iord + 1));

            auto pidx_g_7_7_m1 = recursionMap.index(CRecursionTerm({"Electron Repulsion"}, 0, true, 
                                                                   {7, -1, -1, -1}, {7, -1, -1, -1}, 
                                                                   1, 1, iord + 1));

            // loop over contracted GTO on bra side

            int32_t idx = 0;

            for (int32_t i = spos[iContrPair]; i < epos[iContrPair]; i++)
            {
                // set up pointers to Obara-Saika factors

                double fx = b_fx[i];

                auto fza = osFactors.data(4 * idx + 2);

                auto fxn = osFactors.data(4 * idx);

                // set up distances R(PB) = P - B

                auto pb_x = r_pb_x[i];

                // set up pointers to tensors product of distances R(WP) = W - P

                auto wp_x = wpDistances.data(3 * idx);

                // set up pointers to auxilary integrals

                auto tg_xyyyyyy_xxyyyzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 969); 

                auto tg_xyyyyyy_xxyyzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 970); 

                auto tg_xyyyyyy_xxyzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 971); 

                auto tg_xyyyyyy_xxzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 972); 

                auto tg_xyyyyyy_xyyyyyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 973); 

                auto tg_xyyyyyy_xyyyyyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 974); 

                auto tg_xyyyyyy_xyyyyyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 975); 

                auto tg_xyyyyyy_xyyyyzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 976); 

                auto tg_xyyyyyy_xyyyzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 977); 

                auto tg_xyyyyyy_xyyzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 978); 

                auto tg_xyyyyyy_xyzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 979); 

                auto tg_xyyyyyy_xzzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 980); 

                auto tg_xyyyyyy_yyyyyyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 981); 

                auto tg_xyyyyyy_yyyyyyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 982); 

                auto tg_xyyyyyy_yyyyyyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 983); 

                auto tg_xyyyyyy_yyyyyzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 984); 

                auto tg_xyyyyyy_yyyyzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 985); 

                auto tg_xyyyyyy_yyyzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 986); 

                auto tg_xyyyyyy_yyzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 987); 

                auto tg_xyyyyyy_yzzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 988); 

                auto tg_xyyyyyy_zzzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 989); 

                auto tg_xyyyyyz_xxxxxxxx_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 990); 

                auto tg_xyyyyyz_xxxxxxxy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 991); 

                auto tg_xyyyyyz_xxxxxxxz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 992); 

                auto tg_xyyyyyz_xxxxxxyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 993); 

                auto tg_xyyyyyz_xxxxxxyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 994); 

                auto tg_xyyyyyz_xxxxxxzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 995); 

                auto tg_xyyyyyz_xxxxxyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 996); 

                auto tg_xyyyyyz_xxxxxyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 997); 

                auto tg_xyyyyyz_xxxxxyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 998); 

                auto tg_xyyyyyz_xxxxxzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 999); 

                auto tg_xyyyyyz_xxxxyyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1000); 

                auto tg_xyyyyyz_xxxxyyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1001); 

                auto tg_xyyyyyz_xxxxyyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1002); 

                auto tg_xyyyyyz_xxxxyzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1003); 

                auto tg_xyyyyyz_xxxxzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1004); 

                auto tg_xyyyyyz_xxxyyyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1005); 

                auto tg_xyyyyyz_xxxyyyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1006); 

                auto tg_xyyyyyz_xxxyyyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1007); 

                auto tg_xyyyyyz_xxxyyzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1008); 

                auto tg_xyyyyyz_xxxyzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1009); 

                auto tg_xyyyyyz_xxxzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1010); 

                auto tg_xyyyyyz_xxyyyyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1011); 

                auto tg_xyyyyyz_xxyyyyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1012); 

                auto tg_xyyyyyz_xxyyyyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1013); 

                auto tg_xyyyyyz_xxyyyzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1014); 

                auto tg_xyyyyyz_xxyyzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1015); 

                auto tg_xyyyyyz_xxyzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1016); 

                auto tg_xyyyyyz_xxzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1017); 

                auto tg_xyyyyyz_xyyyyyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1018); 

                auto tg_xyyyyyz_xyyyyyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1019); 

                auto tg_xyyyyyz_xyyyyyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1020); 

                auto tg_xyyyyyz_xyyyyzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1021); 

                auto tg_xyyyyyz_xyyyzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1022); 

                auto tg_xyyyyyz_xyyzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1023); 

                auto tg_xyyyyyz_xyzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1024); 

                auto tg_xyyyyyz_xzzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1025); 

                auto tg_xyyyyyz_yyyyyyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1026); 

                auto tg_xyyyyyz_yyyyyyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1027); 

                auto tg_xyyyyyz_yyyyyyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1028); 

                auto tg_xyyyyyz_yyyyyzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1029); 

                auto tg_xyyyyyz_yyyyzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1030); 

                auto tg_xyyyyyz_yyyzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1031); 

                auto tg_xyyyyyz_yyzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1032); 

                auto tg_xyyyyyz_yzzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1033); 

                auto tg_xyyyyyz_zzzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1034); 

                auto tg_xyyyyzz_xxxxxxxx_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1035); 

                auto tg_xyyyyzz_xxxxxxxy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1036); 

                auto tg_xyyyyzz_xxxxxxxz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1037); 

                auto tg_xyyyyzz_xxxxxxyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1038); 

                auto tg_xyyyyzz_xxxxxxyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1039); 

                auto tg_xyyyyzz_xxxxxxzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1040); 

                auto tg_xyyyyzz_xxxxxyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1041); 

                auto tg_xyyyyzz_xxxxxyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1042); 

                auto tg_xyyyyzz_xxxxxyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1043); 

                auto tg_xyyyyzz_xxxxxzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1044); 

                auto tg_xyyyyzz_xxxxyyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1045); 

                auto tg_xyyyyzz_xxxxyyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1046); 

                auto tg_xyyyyzz_xxxxyyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1047); 

                auto tg_xyyyyzz_xxxxyzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1048); 

                auto tg_xyyyyzz_xxxxzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1049); 

                auto tg_xyyyyzz_xxxyyyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1050); 

                auto tg_xyyyyzz_xxxyyyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1051); 

                auto tg_xyyyyzz_xxxyyyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1052); 

                auto tg_xyyyyzz_xxxyyzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1053); 

                auto tg_xyyyyzz_xxxyzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1054); 

                auto tg_xyyyyzz_xxxzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1055); 

                auto tg_xyyyyzz_xxyyyyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1056); 

                auto tg_xyyyyzz_xxyyyyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1057); 

                auto tg_xyyyyzz_xxyyyyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1058); 

                auto tg_xyyyyzz_xxyyyzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1059); 

                auto tg_xyyyyzz_xxyyzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1060); 

                auto tg_xyyyyzz_xxyzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1061); 

                auto tg_xyyyyzz_xxzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1062); 

                auto tg_xyyyyzz_xyyyyyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1063); 

                auto tg_xyyyyzz_xyyyyyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1064); 

                auto tg_xyyyyyy_xxyyyzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 969); 

                auto tg_xyyyyyy_xxyyzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 970); 

                auto tg_xyyyyyy_xxyzzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 971); 

                auto tg_xyyyyyy_xxzzzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 972); 

                auto tg_xyyyyyy_xyyyyyyy_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 973); 

                auto tg_xyyyyyy_xyyyyyyz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 974); 

                auto tg_xyyyyyy_xyyyyyzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 975); 

                auto tg_xyyyyyy_xyyyyzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 976); 

                auto tg_xyyyyyy_xyyyzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 977); 

                auto tg_xyyyyyy_xyyzzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 978); 

                auto tg_xyyyyyy_xyzzzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 979); 

                auto tg_xyyyyyy_xzzzzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 980); 

                auto tg_xyyyyyy_yyyyyyyy_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 981); 

                auto tg_xyyyyyy_yyyyyyyz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 982); 

                auto tg_xyyyyyy_yyyyyyzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 983); 

                auto tg_xyyyyyy_yyyyyzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 984); 

                auto tg_xyyyyyy_yyyyzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 985); 

                auto tg_xyyyyyy_yyyzzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 986); 

                auto tg_xyyyyyy_yyzzzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 987); 

                auto tg_xyyyyyy_yzzzzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 988); 

                auto tg_xyyyyyy_zzzzzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 989); 

                auto tg_xyyyyyz_xxxxxxxx_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 990); 

                auto tg_xyyyyyz_xxxxxxxy_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 991); 

                auto tg_xyyyyyz_xxxxxxxz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 992); 

                auto tg_xyyyyyz_xxxxxxyy_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 993); 

                auto tg_xyyyyyz_xxxxxxyz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 994); 

                auto tg_xyyyyyz_xxxxxxzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 995); 

                auto tg_xyyyyyz_xxxxxyyy_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 996); 

                auto tg_xyyyyyz_xxxxxyyz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 997); 

                auto tg_xyyyyyz_xxxxxyzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 998); 

                auto tg_xyyyyyz_xxxxxzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 999); 

                auto tg_xyyyyyz_xxxxyyyy_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1000); 

                auto tg_xyyyyyz_xxxxyyyz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1001); 

                auto tg_xyyyyyz_xxxxyyzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1002); 

                auto tg_xyyyyyz_xxxxyzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1003); 

                auto tg_xyyyyyz_xxxxzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1004); 

                auto tg_xyyyyyz_xxxyyyyy_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1005); 

                auto tg_xyyyyyz_xxxyyyyz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1006); 

                auto tg_xyyyyyz_xxxyyyzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1007); 

                auto tg_xyyyyyz_xxxyyzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1008); 

                auto tg_xyyyyyz_xxxyzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1009); 

                auto tg_xyyyyyz_xxxzzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1010); 

                auto tg_xyyyyyz_xxyyyyyy_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1011); 

                auto tg_xyyyyyz_xxyyyyyz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1012); 

                auto tg_xyyyyyz_xxyyyyzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1013); 

                auto tg_xyyyyyz_xxyyyzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1014); 

                auto tg_xyyyyyz_xxyyzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1015); 

                auto tg_xyyyyyz_xxyzzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1016); 

                auto tg_xyyyyyz_xxzzzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1017); 

                auto tg_xyyyyyz_xyyyyyyy_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1018); 

                auto tg_xyyyyyz_xyyyyyyz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1019); 

                auto tg_xyyyyyz_xyyyyyzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1020); 

                auto tg_xyyyyyz_xyyyyzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1021); 

                auto tg_xyyyyyz_xyyyzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1022); 

                auto tg_xyyyyyz_xyyzzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1023); 

                auto tg_xyyyyyz_xyzzzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1024); 

                auto tg_xyyyyyz_xzzzzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1025); 

                auto tg_xyyyyyz_yyyyyyyy_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1026); 

                auto tg_xyyyyyz_yyyyyyyz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1027); 

                auto tg_xyyyyyz_yyyyyyzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1028); 

                auto tg_xyyyyyz_yyyyyzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1029); 

                auto tg_xyyyyyz_yyyyzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1030); 

                auto tg_xyyyyyz_yyyzzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1031); 

                auto tg_xyyyyyz_yyzzzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1032); 

                auto tg_xyyyyyz_yzzzzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1033); 

                auto tg_xyyyyyz_zzzzzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1034); 

                auto tg_xyyyyzz_xxxxxxxx_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1035); 

                auto tg_xyyyyzz_xxxxxxxy_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1036); 

                auto tg_xyyyyzz_xxxxxxxz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1037); 

                auto tg_xyyyyzz_xxxxxxyy_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1038); 

                auto tg_xyyyyzz_xxxxxxyz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1039); 

                auto tg_xyyyyzz_xxxxxxzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1040); 

                auto tg_xyyyyzz_xxxxxyyy_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1041); 

                auto tg_xyyyyzz_xxxxxyyz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1042); 

                auto tg_xyyyyzz_xxxxxyzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1043); 

                auto tg_xyyyyzz_xxxxxzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1044); 

                auto tg_xyyyyzz_xxxxyyyy_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1045); 

                auto tg_xyyyyzz_xxxxyyyz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1046); 

                auto tg_xyyyyzz_xxxxyyzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1047); 

                auto tg_xyyyyzz_xxxxyzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1048); 

                auto tg_xyyyyzz_xxxxzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1049); 

                auto tg_xyyyyzz_xxxyyyyy_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1050); 

                auto tg_xyyyyzz_xxxyyyyz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1051); 

                auto tg_xyyyyzz_xxxyyyzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1052); 

                auto tg_xyyyyzz_xxxyyzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1053); 

                auto tg_xyyyyzz_xxxyzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1054); 

                auto tg_xyyyyzz_xxxzzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1055); 

                auto tg_xyyyyzz_xxyyyyyy_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1056); 

                auto tg_xyyyyzz_xxyyyyyz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1057); 

                auto tg_xyyyyzz_xxyyyyzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1058); 

                auto tg_xyyyyzz_xxyyyzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1059); 

                auto tg_xyyyyzz_xxyyzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1060); 

                auto tg_xyyyyzz_xxyzzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1061); 

                auto tg_xyyyyzz_xxzzzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1062); 

                auto tg_xyyyyzz_xyyyyyyy_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1063); 

                auto tg_xyyyyzz_xyyyyyyz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1064); 

                auto tg_yyyyyy_xxyyyzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 969); 

                auto tg_yyyyyy_xxyyzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 970); 

                auto tg_yyyyyy_xxyzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 971); 

                auto tg_yyyyyy_xxzzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 972); 

                auto tg_yyyyyy_xyyyyyyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 973); 

                auto tg_yyyyyy_xyyyyyyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 974); 

                auto tg_yyyyyy_xyyyyyzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 975); 

                auto tg_yyyyyy_xyyyyzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 976); 

                auto tg_yyyyyy_xyyyzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 977); 

                auto tg_yyyyyy_xyyzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 978); 

                auto tg_yyyyyy_xyzzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 979); 

                auto tg_yyyyyy_xzzzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 980); 

                auto tg_yyyyyy_yyyyyyyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 981); 

                auto tg_yyyyyy_yyyyyyyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 982); 

                auto tg_yyyyyy_yyyyyyzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 983); 

                auto tg_yyyyyy_yyyyyzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 984); 

                auto tg_yyyyyy_yyyyzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 985); 

                auto tg_yyyyyy_yyyzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 986); 

                auto tg_yyyyyy_yyzzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 987); 

                auto tg_yyyyyy_yzzzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 988); 

                auto tg_yyyyyy_zzzzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 989); 

                auto tg_yyyyyz_xxxxxxxx_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 990); 

                auto tg_yyyyyz_xxxxxxxy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 991); 

                auto tg_yyyyyz_xxxxxxxz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 992); 

                auto tg_yyyyyz_xxxxxxyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 993); 

                auto tg_yyyyyz_xxxxxxyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 994); 

                auto tg_yyyyyz_xxxxxxzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 995); 

                auto tg_yyyyyz_xxxxxyyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 996); 

                auto tg_yyyyyz_xxxxxyyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 997); 

                auto tg_yyyyyz_xxxxxyzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 998); 

                auto tg_yyyyyz_xxxxxzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 999); 

                auto tg_yyyyyz_xxxxyyyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1000); 

                auto tg_yyyyyz_xxxxyyyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1001); 

                auto tg_yyyyyz_xxxxyyzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1002); 

                auto tg_yyyyyz_xxxxyzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1003); 

                auto tg_yyyyyz_xxxxzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1004); 

                auto tg_yyyyyz_xxxyyyyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1005); 

                auto tg_yyyyyz_xxxyyyyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1006); 

                auto tg_yyyyyz_xxxyyyzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1007); 

                auto tg_yyyyyz_xxxyyzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1008); 

                auto tg_yyyyyz_xxxyzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1009); 

                auto tg_yyyyyz_xxxzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1010); 

                auto tg_yyyyyz_xxyyyyyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1011); 

                auto tg_yyyyyz_xxyyyyyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1012); 

                auto tg_yyyyyz_xxyyyyzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1013); 

                auto tg_yyyyyz_xxyyyzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1014); 

                auto tg_yyyyyz_xxyyzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1015); 

                auto tg_yyyyyz_xxyzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1016); 

                auto tg_yyyyyz_xxzzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1017); 

                auto tg_yyyyyz_xyyyyyyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1018); 

                auto tg_yyyyyz_xyyyyyyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1019); 

                auto tg_yyyyyz_xyyyyyzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1020); 

                auto tg_yyyyyz_xyyyyzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1021); 

                auto tg_yyyyyz_xyyyzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1022); 

                auto tg_yyyyyz_xyyzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1023); 

                auto tg_yyyyyz_xyzzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1024); 

                auto tg_yyyyyz_xzzzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1025); 

                auto tg_yyyyyz_yyyyyyyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1026); 

                auto tg_yyyyyz_yyyyyyyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1027); 

                auto tg_yyyyyz_yyyyyyzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1028); 

                auto tg_yyyyyz_yyyyyzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1029); 

                auto tg_yyyyyz_yyyyzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1030); 

                auto tg_yyyyyz_yyyzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1031); 

                auto tg_yyyyyz_yyzzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1032); 

                auto tg_yyyyyz_yzzzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1033); 

                auto tg_yyyyyz_zzzzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1034); 

                auto tg_yyyyzz_xxxxxxxx_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1035); 

                auto tg_yyyyzz_xxxxxxxy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1036); 

                auto tg_yyyyzz_xxxxxxxz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1037); 

                auto tg_yyyyzz_xxxxxxyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1038); 

                auto tg_yyyyzz_xxxxxxyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1039); 

                auto tg_yyyyzz_xxxxxxzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1040); 

                auto tg_yyyyzz_xxxxxyyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1041); 

                auto tg_yyyyzz_xxxxxyyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1042); 

                auto tg_yyyyzz_xxxxxyzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1043); 

                auto tg_yyyyzz_xxxxxzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1044); 

                auto tg_yyyyzz_xxxxyyyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1045); 

                auto tg_yyyyzz_xxxxyyyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1046); 

                auto tg_yyyyzz_xxxxyyzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1047); 

                auto tg_yyyyzz_xxxxyzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1048); 

                auto tg_yyyyzz_xxxxzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1049); 

                auto tg_yyyyzz_xxxyyyyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1050); 

                auto tg_yyyyzz_xxxyyyyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1051); 

                auto tg_yyyyzz_xxxyyyzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1052); 

                auto tg_yyyyzz_xxxyyzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1053); 

                auto tg_yyyyzz_xxxyzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1054); 

                auto tg_yyyyzz_xxxzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1055); 

                auto tg_yyyyzz_xxyyyyyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1056); 

                auto tg_yyyyzz_xxyyyyyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1057); 

                auto tg_yyyyzz_xxyyyyzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1058); 

                auto tg_yyyyzz_xxyyyzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1059); 

                auto tg_yyyyzz_xxyyzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1060); 

                auto tg_yyyyzz_xxyzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1061); 

                auto tg_yyyyzz_xxzzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1062); 

                auto tg_yyyyzz_xyyyyyyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1063); 

                auto tg_yyyyzz_xyyyyyyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1064); 

                auto tg_yyyyyy_xxyyyzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 969); 

                auto tg_yyyyyy_xxyyzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 970); 

                auto tg_yyyyyy_xxyzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 971); 

                auto tg_yyyyyy_xxzzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 972); 

                auto tg_yyyyyy_xyyyyyyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 973); 

                auto tg_yyyyyy_xyyyyyyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 974); 

                auto tg_yyyyyy_xyyyyyzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 975); 

                auto tg_yyyyyy_xyyyyzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 976); 

                auto tg_yyyyyy_xyyyzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 977); 

                auto tg_yyyyyy_xyyzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 978); 

                auto tg_yyyyyy_xyzzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 979); 

                auto tg_yyyyyy_xzzzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 980); 

                auto tg_yyyyyy_yyyyyyyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 981); 

                auto tg_yyyyyy_yyyyyyyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 982); 

                auto tg_yyyyyy_yyyyyyzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 983); 

                auto tg_yyyyyy_yyyyyzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 984); 

                auto tg_yyyyyy_yyyyzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 985); 

                auto tg_yyyyyy_yyyzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 986); 

                auto tg_yyyyyy_yyzzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 987); 

                auto tg_yyyyyy_yzzzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 988); 

                auto tg_yyyyyy_zzzzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 989); 

                auto tg_yyyyyz_xxxxxxxx_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 990); 

                auto tg_yyyyyz_xxxxxxxy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 991); 

                auto tg_yyyyyz_xxxxxxxz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 992); 

                auto tg_yyyyyz_xxxxxxyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 993); 

                auto tg_yyyyyz_xxxxxxyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 994); 

                auto tg_yyyyyz_xxxxxxzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 995); 

                auto tg_yyyyyz_xxxxxyyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 996); 

                auto tg_yyyyyz_xxxxxyyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 997); 

                auto tg_yyyyyz_xxxxxyzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 998); 

                auto tg_yyyyyz_xxxxxzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 999); 

                auto tg_yyyyyz_xxxxyyyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1000); 

                auto tg_yyyyyz_xxxxyyyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1001); 

                auto tg_yyyyyz_xxxxyyzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1002); 

                auto tg_yyyyyz_xxxxyzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1003); 

                auto tg_yyyyyz_xxxxzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1004); 

                auto tg_yyyyyz_xxxyyyyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1005); 

                auto tg_yyyyyz_xxxyyyyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1006); 

                auto tg_yyyyyz_xxxyyyzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1007); 

                auto tg_yyyyyz_xxxyyzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1008); 

                auto tg_yyyyyz_xxxyzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1009); 

                auto tg_yyyyyz_xxxzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1010); 

                auto tg_yyyyyz_xxyyyyyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1011); 

                auto tg_yyyyyz_xxyyyyyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1012); 

                auto tg_yyyyyz_xxyyyyzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1013); 

                auto tg_yyyyyz_xxyyyzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1014); 

                auto tg_yyyyyz_xxyyzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1015); 

                auto tg_yyyyyz_xxyzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1016); 

                auto tg_yyyyyz_xxzzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1017); 

                auto tg_yyyyyz_xyyyyyyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1018); 

                auto tg_yyyyyz_xyyyyyyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1019); 

                auto tg_yyyyyz_xyyyyyzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1020); 

                auto tg_yyyyyz_xyyyyzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1021); 

                auto tg_yyyyyz_xyyyzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1022); 

                auto tg_yyyyyz_xyyzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1023); 

                auto tg_yyyyyz_xyzzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1024); 

                auto tg_yyyyyz_xzzzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1025); 

                auto tg_yyyyyz_yyyyyyyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1026); 

                auto tg_yyyyyz_yyyyyyyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1027); 

                auto tg_yyyyyz_yyyyyyzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1028); 

                auto tg_yyyyyz_yyyyyzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1029); 

                auto tg_yyyyyz_yyyyzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1030); 

                auto tg_yyyyyz_yyyzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1031); 

                auto tg_yyyyyz_yyzzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1032); 

                auto tg_yyyyyz_yzzzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1033); 

                auto tg_yyyyyz_zzzzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1034); 

                auto tg_yyyyzz_xxxxxxxx_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1035); 

                auto tg_yyyyzz_xxxxxxxy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1036); 

                auto tg_yyyyzz_xxxxxxxz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1037); 

                auto tg_yyyyzz_xxxxxxyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1038); 

                auto tg_yyyyzz_xxxxxxyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1039); 

                auto tg_yyyyzz_xxxxxxzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1040); 

                auto tg_yyyyzz_xxxxxyyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1041); 

                auto tg_yyyyzz_xxxxxyyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1042); 

                auto tg_yyyyzz_xxxxxyzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1043); 

                auto tg_yyyyzz_xxxxxzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1044); 

                auto tg_yyyyzz_xxxxyyyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1045); 

                auto tg_yyyyzz_xxxxyyyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1046); 

                auto tg_yyyyzz_xxxxyyzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1047); 

                auto tg_yyyyzz_xxxxyzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1048); 

                auto tg_yyyyzz_xxxxzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1049); 

                auto tg_yyyyzz_xxxyyyyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1050); 

                auto tg_yyyyzz_xxxyyyyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1051); 

                auto tg_yyyyzz_xxxyyyzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1052); 

                auto tg_yyyyzz_xxxyyzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1053); 

                auto tg_yyyyzz_xxxyzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1054); 

                auto tg_yyyyzz_xxxzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1055); 

                auto tg_yyyyzz_xxyyyyyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1056); 

                auto tg_yyyyzz_xxyyyyyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1057); 

                auto tg_yyyyzz_xxyyyyzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1058); 

                auto tg_yyyyzz_xxyyyzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1059); 

                auto tg_yyyyzz_xxyyzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1060); 

                auto tg_yyyyzz_xxyzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1061); 

                auto tg_yyyyzz_xxzzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1062); 

                auto tg_yyyyzz_xyyyyyyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1063); 

                auto tg_yyyyzz_xyyyyyyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1064); 

                auto tg_xyyyyyy_xyyyzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 780); 

                auto tg_xyyyyyy_xyyzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 781); 

                auto tg_xyyyyyy_xyzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 782); 

                auto tg_xyyyyyy_xzzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 783); 

                auto tg_xyyyyyy_yyyyyyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 784); 

                auto tg_xyyyyyy_yyyyyyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 785); 

                auto tg_xyyyyyy_yyyyyzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 786); 

                auto tg_xyyyyyy_yyyyzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 787); 

                auto tg_xyyyyyy_yyyzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 788); 

                auto tg_xyyyyyy_yyzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 789); 

                auto tg_xyyyyyy_yzzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 790); 

                auto tg_xyyyyyy_zzzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 791); 

                auto tg_xyyyyyz_xxxxxxx_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 792); 

                auto tg_xyyyyyz_xxxxxxy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 793); 

                auto tg_xyyyyyz_xxxxxxz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 794); 

                auto tg_xyyyyyz_xxxxxyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 795); 

                auto tg_xyyyyyz_xxxxxyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 796); 

                auto tg_xyyyyyz_xxxxxzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 797); 

                auto tg_xyyyyyz_xxxxyyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 798); 

                auto tg_xyyyyyz_xxxxyyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 799); 

                auto tg_xyyyyyz_xxxxyzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 800); 

                auto tg_xyyyyyz_xxxxzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 801); 

                auto tg_xyyyyyz_xxxyyyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 802); 

                auto tg_xyyyyyz_xxxyyyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 803); 

                auto tg_xyyyyyz_xxxyyzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 804); 

                auto tg_xyyyyyz_xxxyzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 805); 

                auto tg_xyyyyyz_xxxzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 806); 

                auto tg_xyyyyyz_xxyyyyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 807); 

                auto tg_xyyyyyz_xxyyyyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 808); 

                auto tg_xyyyyyz_xxyyyzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 809); 

                auto tg_xyyyyyz_xxyyzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 810); 

                auto tg_xyyyyyz_xxyzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 811); 

                auto tg_xyyyyyz_xxzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 812); 

                auto tg_xyyyyyz_xyyyyyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 813); 

                auto tg_xyyyyyz_xyyyyyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 814); 

                auto tg_xyyyyyz_xyyyyzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 815); 

                auto tg_xyyyyyz_xyyyzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 816); 

                auto tg_xyyyyyz_xyyzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 817); 

                auto tg_xyyyyyz_xyzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 818); 

                auto tg_xyyyyyz_xzzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 819); 

                auto tg_xyyyyyz_yyyyyyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 820); 

                auto tg_xyyyyyz_yyyyyyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 821); 

                auto tg_xyyyyyz_yyyyyzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 822); 

                auto tg_xyyyyyz_yyyyzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 823); 

                auto tg_xyyyyyz_yyyzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 824); 

                auto tg_xyyyyyz_yyzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 825); 

                auto tg_xyyyyyz_yzzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 826); 

                auto tg_xyyyyyz_zzzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 827); 

                auto tg_xyyyyzz_xxxxxxx_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 828); 

                auto tg_xyyyyzz_xxxxxxy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 829); 

                auto tg_xyyyyzz_xxxxxxz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 830); 

                auto tg_xyyyyzz_xxxxxyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 831); 

                auto tg_xyyyyzz_xxxxxyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 832); 

                auto tg_xyyyyzz_xxxxxzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 833); 

                auto tg_xyyyyzz_xxxxyyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 834); 

                auto tg_xyyyyzz_xxxxyyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 835); 

                auto tg_xyyyyzz_xxxxyzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 836); 

                auto tg_xyyyyzz_xxxxzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 837); 

                auto tg_xyyyyzz_xxxyyyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 838); 

                auto tg_xyyyyzz_xxxyyyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 839); 

                auto tg_xyyyyzz_xxxyyzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 840); 

                auto tg_xyyyyzz_xxxyzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 841); 

                auto tg_xyyyyzz_xxxzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 842); 

                auto tg_xyyyyzz_xxyyyyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 843); 

                auto tg_xyyyyzz_xxyyyyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 844); 

                auto tg_xyyyyzz_xxyyyzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 845); 

                auto tg_xyyyyzz_xxyyzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 846); 

                auto tg_xyyyyzz_xxyzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 847); 

                auto tg_xyyyyzz_xxzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 848); 

                auto tg_xyyyyzz_xyyyyyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 849); 

                auto tg_xyyyyzz_xyyyyyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 850); 

                auto tg_xyyyyzz_xyyyyzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 851); 

                auto tg_xyyyyzz_xyyyzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 852); 

                auto tg_xyyyyzz_xyyzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 853); 

                auto tg_xyyyyzz_xyzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 854); 

                auto tg_xyyyyzz_xzzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 855); 

                auto tg_xyyyyzz_yyyyyyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 856); 

                auto tg_xyyyyzz_yyyyyyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 857); 

                // set up pointers to integrals

                auto tg_xxyyyyyy_xxyyyzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 969); 

                auto tg_xxyyyyyy_xxyyzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 970); 

                auto tg_xxyyyyyy_xxyzzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 971); 

                auto tg_xxyyyyyy_xxzzzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 972); 

                auto tg_xxyyyyyy_xyyyyyyy_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 973); 

                auto tg_xxyyyyyy_xyyyyyyz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 974); 

                auto tg_xxyyyyyy_xyyyyyzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 975); 

                auto tg_xxyyyyyy_xyyyyzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 976); 

                auto tg_xxyyyyyy_xyyyzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 977); 

                auto tg_xxyyyyyy_xyyzzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 978); 

                auto tg_xxyyyyyy_xyzzzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 979); 

                auto tg_xxyyyyyy_xzzzzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 980); 

                auto tg_xxyyyyyy_yyyyyyyy_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 981); 

                auto tg_xxyyyyyy_yyyyyyyz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 982); 

                auto tg_xxyyyyyy_yyyyyyzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 983); 

                auto tg_xxyyyyyy_yyyyyzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 984); 

                auto tg_xxyyyyyy_yyyyzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 985); 

                auto tg_xxyyyyyy_yyyzzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 986); 

                auto tg_xxyyyyyy_yyzzzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 987); 

                auto tg_xxyyyyyy_yzzzzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 988); 

                auto tg_xxyyyyyy_zzzzzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 989); 

                auto tg_xxyyyyyz_xxxxxxxx_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 990); 

                auto tg_xxyyyyyz_xxxxxxxy_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 991); 

                auto tg_xxyyyyyz_xxxxxxxz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 992); 

                auto tg_xxyyyyyz_xxxxxxyy_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 993); 

                auto tg_xxyyyyyz_xxxxxxyz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 994); 

                auto tg_xxyyyyyz_xxxxxxzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 995); 

                auto tg_xxyyyyyz_xxxxxyyy_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 996); 

                auto tg_xxyyyyyz_xxxxxyyz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 997); 

                auto tg_xxyyyyyz_xxxxxyzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 998); 

                auto tg_xxyyyyyz_xxxxxzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 999); 

                auto tg_xxyyyyyz_xxxxyyyy_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1000); 

                auto tg_xxyyyyyz_xxxxyyyz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1001); 

                auto tg_xxyyyyyz_xxxxyyzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1002); 

                auto tg_xxyyyyyz_xxxxyzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1003); 

                auto tg_xxyyyyyz_xxxxzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1004); 

                auto tg_xxyyyyyz_xxxyyyyy_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1005); 

                auto tg_xxyyyyyz_xxxyyyyz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1006); 

                auto tg_xxyyyyyz_xxxyyyzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1007); 

                auto tg_xxyyyyyz_xxxyyzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1008); 

                auto tg_xxyyyyyz_xxxyzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1009); 

                auto tg_xxyyyyyz_xxxzzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1010); 

                auto tg_xxyyyyyz_xxyyyyyy_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1011); 

                auto tg_xxyyyyyz_xxyyyyyz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1012); 

                auto tg_xxyyyyyz_xxyyyyzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1013); 

                auto tg_xxyyyyyz_xxyyyzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1014); 

                auto tg_xxyyyyyz_xxyyzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1015); 

                auto tg_xxyyyyyz_xxyzzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1016); 

                auto tg_xxyyyyyz_xxzzzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1017); 

                auto tg_xxyyyyyz_xyyyyyyy_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1018); 

                auto tg_xxyyyyyz_xyyyyyyz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1019); 

                auto tg_xxyyyyyz_xyyyyyzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1020); 

                auto tg_xxyyyyyz_xyyyyzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1021); 

                auto tg_xxyyyyyz_xyyyzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1022); 

                auto tg_xxyyyyyz_xyyzzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1023); 

                auto tg_xxyyyyyz_xyzzzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1024); 

                auto tg_xxyyyyyz_xzzzzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1025); 

                auto tg_xxyyyyyz_yyyyyyyy_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1026); 

                auto tg_xxyyyyyz_yyyyyyyz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1027); 

                auto tg_xxyyyyyz_yyyyyyzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1028); 

                auto tg_xxyyyyyz_yyyyyzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1029); 

                auto tg_xxyyyyyz_yyyyzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1030); 

                auto tg_xxyyyyyz_yyyzzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1031); 

                auto tg_xxyyyyyz_yyzzzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1032); 

                auto tg_xxyyyyyz_yzzzzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1033); 

                auto tg_xxyyyyyz_zzzzzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1034); 

                auto tg_xxyyyyzz_xxxxxxxx_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1035); 

                auto tg_xxyyyyzz_xxxxxxxy_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1036); 

                auto tg_xxyyyyzz_xxxxxxxz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1037); 

                auto tg_xxyyyyzz_xxxxxxyy_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1038); 

                auto tg_xxyyyyzz_xxxxxxyz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1039); 

                auto tg_xxyyyyzz_xxxxxxzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1040); 

                auto tg_xxyyyyzz_xxxxxyyy_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1041); 

                auto tg_xxyyyyzz_xxxxxyyz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1042); 

                auto tg_xxyyyyzz_xxxxxyzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1043); 

                auto tg_xxyyyyzz_xxxxxzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1044); 

                auto tg_xxyyyyzz_xxxxyyyy_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1045); 

                auto tg_xxyyyyzz_xxxxyyyz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1046); 

                auto tg_xxyyyyzz_xxxxyyzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1047); 

                auto tg_xxyyyyzz_xxxxyzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1048); 

                auto tg_xxyyyyzz_xxxxzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1049); 

                auto tg_xxyyyyzz_xxxyyyyy_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1050); 

                auto tg_xxyyyyzz_xxxyyyyz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1051); 

                auto tg_xxyyyyzz_xxxyyyzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1052); 

                auto tg_xxyyyyzz_xxxyyzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1053); 

                auto tg_xxyyyyzz_xxxyzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1054); 

                auto tg_xxyyyyzz_xxxzzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1055); 

                auto tg_xxyyyyzz_xxyyyyyy_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1056); 

                auto tg_xxyyyyzz_xxyyyyyz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1057); 

                auto tg_xxyyyyzz_xxyyyyzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1058); 

                auto tg_xxyyyyzz_xxyyyzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1059); 

                auto tg_xxyyyyzz_xxyyzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1060); 

                auto tg_xxyyyyzz_xxyzzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1061); 

                auto tg_xxyyyyzz_xxzzzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1062); 

                auto tg_xxyyyyzz_xyyyyyyy_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1063); 

                auto tg_xxyyyyzz_xyyyyyyz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1064); 

                // Batch of Integrals (969,1065)

                #pragma omp simd aligned(fxn, fza, tg_xxyyyyyy_xxyyyzzz_0, tg_xxyyyyyy_xxyyzzzz_0, \
                                         tg_xxyyyyyy_xxyzzzzz_0, tg_xxyyyyyy_xxzzzzzz_0, tg_xxyyyyyy_xyyyyyyy_0, \
                                         tg_xxyyyyyy_xyyyyyyz_0, tg_xxyyyyyy_xyyyyyzz_0, tg_xxyyyyyy_xyyyyzzz_0, \
                                         tg_xxyyyyyy_xyyyzzzz_0, tg_xxyyyyyy_xyyzzzzz_0, tg_xxyyyyyy_xyzzzzzz_0, \
                                         tg_xxyyyyyy_xzzzzzzz_0, tg_xxyyyyyy_yyyyyyyy_0, tg_xxyyyyyy_yyyyyyyz_0, \
                                         tg_xxyyyyyy_yyyyyyzz_0, tg_xxyyyyyy_yyyyyzzz_0, tg_xxyyyyyy_yyyyzzzz_0, \
                                         tg_xxyyyyyy_yyyzzzzz_0, tg_xxyyyyyy_yyzzzzzz_0, tg_xxyyyyyy_yzzzzzzz_0, \
                                         tg_xxyyyyyy_zzzzzzzz_0, tg_xxyyyyyz_xxxxxxxx_0, tg_xxyyyyyz_xxxxxxxy_0, \
                                         tg_xxyyyyyz_xxxxxxxz_0, tg_xxyyyyyz_xxxxxxyy_0, tg_xxyyyyyz_xxxxxxyz_0, \
                                         tg_xxyyyyyz_xxxxxxzz_0, tg_xxyyyyyz_xxxxxyyy_0, tg_xxyyyyyz_xxxxxyyz_0, \
                                         tg_xxyyyyyz_xxxxxyzz_0, tg_xxyyyyyz_xxxxxzzz_0, tg_xxyyyyyz_xxxxyyyy_0, \
                                         tg_xxyyyyyz_xxxxyyyz_0, tg_xxyyyyyz_xxxxyyzz_0, tg_xxyyyyyz_xxxxyzzz_0, \
                                         tg_xxyyyyyz_xxxxzzzz_0, tg_xxyyyyyz_xxxyyyyy_0, tg_xxyyyyyz_xxxyyyyz_0, \
                                         tg_xxyyyyyz_xxxyyyzz_0, tg_xxyyyyyz_xxxyyzzz_0, tg_xxyyyyyz_xxxyzzzz_0, \
                                         tg_xxyyyyyz_xxxzzzzz_0, tg_xxyyyyyz_xxyyyyyy_0, tg_xxyyyyyz_xxyyyyyz_0, \
                                         tg_xxyyyyyz_xxyyyyzz_0, tg_xxyyyyyz_xxyyyzzz_0, tg_xxyyyyyz_xxyyzzzz_0, \
                                         tg_xxyyyyyz_xxyzzzzz_0, tg_xxyyyyyz_xxzzzzzz_0, tg_xxyyyyyz_xyyyyyyy_0, \
                                         tg_xxyyyyyz_xyyyyyyz_0, tg_xxyyyyyz_xyyyyyzz_0, tg_xxyyyyyz_xyyyyzzz_0, \
                                         tg_xxyyyyyz_xyyyzzzz_0, tg_xxyyyyyz_xyyzzzzz_0, tg_xxyyyyyz_xyzzzzzz_0, \
                                         tg_xxyyyyyz_xzzzzzzz_0, tg_xxyyyyyz_yyyyyyyy_0, tg_xxyyyyyz_yyyyyyyz_0, \
                                         tg_xxyyyyyz_yyyyyyzz_0, tg_xxyyyyyz_yyyyyzzz_0, tg_xxyyyyyz_yyyyzzzz_0, \
                                         tg_xxyyyyyz_yyyzzzzz_0, tg_xxyyyyyz_yyzzzzzz_0, tg_xxyyyyyz_yzzzzzzz_0, \
                                         tg_xxyyyyyz_zzzzzzzz_0, tg_xxyyyyzz_xxxxxxxx_0, tg_xxyyyyzz_xxxxxxxy_0, \
                                         tg_xxyyyyzz_xxxxxxxz_0, tg_xxyyyyzz_xxxxxxyy_0, tg_xxyyyyzz_xxxxxxyz_0, \
                                         tg_xxyyyyzz_xxxxxxzz_0, tg_xxyyyyzz_xxxxxyyy_0, tg_xxyyyyzz_xxxxxyyz_0, \
                                         tg_xxyyyyzz_xxxxxyzz_0, tg_xxyyyyzz_xxxxxzzz_0, tg_xxyyyyzz_xxxxyyyy_0, \
                                         tg_xxyyyyzz_xxxxyyyz_0, tg_xxyyyyzz_xxxxyyzz_0, tg_xxyyyyzz_xxxxyzzz_0, \
                                         tg_xxyyyyzz_xxxxzzzz_0, tg_xxyyyyzz_xxxyyyyy_0, tg_xxyyyyzz_xxxyyyyz_0, \
                                         tg_xxyyyyzz_xxxyyyzz_0, tg_xxyyyyzz_xxxyyzzz_0, tg_xxyyyyzz_xxxyzzzz_0, \
                                         tg_xxyyyyzz_xxxzzzzz_0, tg_xxyyyyzz_xxyyyyyy_0, tg_xxyyyyzz_xxyyyyyz_0, \
                                         tg_xxyyyyzz_xxyyyyzz_0, tg_xxyyyyzz_xxyyyzzz_0, tg_xxyyyyzz_xxyyzzzz_0, \
                                         tg_xxyyyyzz_xxyzzzzz_0, tg_xxyyyyzz_xxzzzzzz_0, tg_xxyyyyzz_xyyyyyyy_0, \
                                         tg_xxyyyyzz_xyyyyyyz_0, tg_xyyyyyy_xxyyyzzz_0, tg_xyyyyyy_xxyyyzzz_1, \
                                         tg_xyyyyyy_xxyyzzzz_0, tg_xyyyyyy_xxyyzzzz_1, tg_xyyyyyy_xxyzzzzz_0, \
                                         tg_xyyyyyy_xxyzzzzz_1, tg_xyyyyyy_xxzzzzzz_0, tg_xyyyyyy_xxzzzzzz_1, \
                                         tg_xyyyyyy_xyyyyyyy_0, tg_xyyyyyy_xyyyyyyy_1, tg_xyyyyyy_xyyyyyyz_0, \
                                         tg_xyyyyyy_xyyyyyyz_1, tg_xyyyyyy_xyyyyyzz_0, tg_xyyyyyy_xyyyyyzz_1, \
                                         tg_xyyyyyy_xyyyyzzz_0, tg_xyyyyyy_xyyyyzzz_1, tg_xyyyyyy_xyyyzzz_1, \
                                         tg_xyyyyyy_xyyyzzzz_0, tg_xyyyyyy_xyyyzzzz_1, tg_xyyyyyy_xyyzzzz_1, \
                                         tg_xyyyyyy_xyyzzzzz_0, tg_xyyyyyy_xyyzzzzz_1, tg_xyyyyyy_xyzzzzz_1, \
                                         tg_xyyyyyy_xyzzzzzz_0, tg_xyyyyyy_xyzzzzzz_1, tg_xyyyyyy_xzzzzzz_1, \
                                         tg_xyyyyyy_xzzzzzzz_0, tg_xyyyyyy_xzzzzzzz_1, tg_xyyyyyy_yyyyyyy_1, \
                                         tg_xyyyyyy_yyyyyyyy_0, tg_xyyyyyy_yyyyyyyy_1, tg_xyyyyyy_yyyyyyyz_0, \
                                         tg_xyyyyyy_yyyyyyyz_1, tg_xyyyyyy_yyyyyyz_1, tg_xyyyyyy_yyyyyyzz_0, \
                                         tg_xyyyyyy_yyyyyyzz_1, tg_xyyyyyy_yyyyyzz_1, tg_xyyyyyy_yyyyyzzz_0, \
                                         tg_xyyyyyy_yyyyyzzz_1, tg_xyyyyyy_yyyyzzz_1, tg_xyyyyyy_yyyyzzzz_0, \
                                         tg_xyyyyyy_yyyyzzzz_1, tg_xyyyyyy_yyyzzzz_1, tg_xyyyyyy_yyyzzzzz_0, \
                                         tg_xyyyyyy_yyyzzzzz_1, tg_xyyyyyy_yyzzzzz_1, tg_xyyyyyy_yyzzzzzz_0, \
                                         tg_xyyyyyy_yyzzzzzz_1, tg_xyyyyyy_yzzzzzz_1, tg_xyyyyyy_yzzzzzzz_0, \
                                         tg_xyyyyyy_yzzzzzzz_1, tg_xyyyyyy_zzzzzzz_1, tg_xyyyyyy_zzzzzzzz_0, \
                                         tg_xyyyyyy_zzzzzzzz_1, tg_xyyyyyz_xxxxxxx_1, tg_xyyyyyz_xxxxxxxx_0, \
                                         tg_xyyyyyz_xxxxxxxx_1, tg_xyyyyyz_xxxxxxxy_0, tg_xyyyyyz_xxxxxxxy_1, \
                                         tg_xyyyyyz_xxxxxxxz_0, tg_xyyyyyz_xxxxxxxz_1, tg_xyyyyyz_xxxxxxy_1, \
                                         tg_xyyyyyz_xxxxxxyy_0, tg_xyyyyyz_xxxxxxyy_1, tg_xyyyyyz_xxxxxxyz_0, \
                                         tg_xyyyyyz_xxxxxxyz_1, tg_xyyyyyz_xxxxxxz_1, tg_xyyyyyz_xxxxxxzz_0, \
                                         tg_xyyyyyz_xxxxxxzz_1, tg_xyyyyyz_xxxxxyy_1, tg_xyyyyyz_xxxxxyyy_0, \
                                         tg_xyyyyyz_xxxxxyyy_1, tg_xyyyyyz_xxxxxyyz_0, tg_xyyyyyz_xxxxxyyz_1, \
                                         tg_xyyyyyz_xxxxxyz_1, tg_xyyyyyz_xxxxxyzz_0, tg_xyyyyyz_xxxxxyzz_1, \
                                         tg_xyyyyyz_xxxxxzz_1, tg_xyyyyyz_xxxxxzzz_0, tg_xyyyyyz_xxxxxzzz_1, \
                                         tg_xyyyyyz_xxxxyyy_1, tg_xyyyyyz_xxxxyyyy_0, tg_xyyyyyz_xxxxyyyy_1, \
                                         tg_xyyyyyz_xxxxyyyz_0, tg_xyyyyyz_xxxxyyyz_1, tg_xyyyyyz_xxxxyyz_1, \
                                         tg_xyyyyyz_xxxxyyzz_0, tg_xyyyyyz_xxxxyyzz_1, tg_xyyyyyz_xxxxyzz_1, \
                                         tg_xyyyyyz_xxxxyzzz_0, tg_xyyyyyz_xxxxyzzz_1, tg_xyyyyyz_xxxxzzz_1, \
                                         tg_xyyyyyz_xxxxzzzz_0, tg_xyyyyyz_xxxxzzzz_1, tg_xyyyyyz_xxxyyyy_1, \
                                         tg_xyyyyyz_xxxyyyyy_0, tg_xyyyyyz_xxxyyyyy_1, tg_xyyyyyz_xxxyyyyz_0, \
                                         tg_xyyyyyz_xxxyyyyz_1, tg_xyyyyyz_xxxyyyz_1, tg_xyyyyyz_xxxyyyzz_0, \
                                         tg_xyyyyyz_xxxyyyzz_1, tg_xyyyyyz_xxxyyzz_1, tg_xyyyyyz_xxxyyzzz_0, \
                                         tg_xyyyyyz_xxxyyzzz_1, tg_xyyyyyz_xxxyzzz_1, tg_xyyyyyz_xxxyzzzz_0, \
                                         tg_xyyyyyz_xxxyzzzz_1, tg_xyyyyyz_xxxzzzz_1, tg_xyyyyyz_xxxzzzzz_0, \
                                         tg_xyyyyyz_xxxzzzzz_1, tg_xyyyyyz_xxyyyyy_1, tg_xyyyyyz_xxyyyyyy_0, \
                                         tg_xyyyyyz_xxyyyyyy_1, tg_xyyyyyz_xxyyyyyz_0, tg_xyyyyyz_xxyyyyyz_1, \
                                         tg_xyyyyyz_xxyyyyz_1, tg_xyyyyyz_xxyyyyzz_0, tg_xyyyyyz_xxyyyyzz_1, \
                                         tg_xyyyyyz_xxyyyzz_1, tg_xyyyyyz_xxyyyzzz_0, tg_xyyyyyz_xxyyyzzz_1, \
                                         tg_xyyyyyz_xxyyzzz_1, tg_xyyyyyz_xxyyzzzz_0, tg_xyyyyyz_xxyyzzzz_1, \
                                         tg_xyyyyyz_xxyzzzz_1, tg_xyyyyyz_xxyzzzzz_0, tg_xyyyyyz_xxyzzzzz_1, \
                                         tg_xyyyyyz_xxzzzzz_1, tg_xyyyyyz_xxzzzzzz_0, tg_xyyyyyz_xxzzzzzz_1, \
                                         tg_xyyyyyz_xyyyyyy_1, tg_xyyyyyz_xyyyyyyy_0, tg_xyyyyyz_xyyyyyyy_1, \
                                         tg_xyyyyyz_xyyyyyyz_0, tg_xyyyyyz_xyyyyyyz_1, tg_xyyyyyz_xyyyyyz_1, \
                                         tg_xyyyyyz_xyyyyyzz_0, tg_xyyyyyz_xyyyyyzz_1, tg_xyyyyyz_xyyyyzz_1, \
                                         tg_xyyyyyz_xyyyyzzz_0, tg_xyyyyyz_xyyyyzzz_1, tg_xyyyyyz_xyyyzzz_1, \
                                         tg_xyyyyyz_xyyyzzzz_0, tg_xyyyyyz_xyyyzzzz_1, tg_xyyyyyz_xyyzzzz_1, \
                                         tg_xyyyyyz_xyyzzzzz_0, tg_xyyyyyz_xyyzzzzz_1, tg_xyyyyyz_xyzzzzz_1, \
                                         tg_xyyyyyz_xyzzzzzz_0, tg_xyyyyyz_xyzzzzzz_1, tg_xyyyyyz_xzzzzzz_1, \
                                         tg_xyyyyyz_xzzzzzzz_0, tg_xyyyyyz_xzzzzzzz_1, tg_xyyyyyz_yyyyyyy_1, \
                                         tg_xyyyyyz_yyyyyyyy_0, tg_xyyyyyz_yyyyyyyy_1, tg_xyyyyyz_yyyyyyyz_0, \
                                         tg_xyyyyyz_yyyyyyyz_1, tg_xyyyyyz_yyyyyyz_1, tg_xyyyyyz_yyyyyyzz_0, \
                                         tg_xyyyyyz_yyyyyyzz_1, tg_xyyyyyz_yyyyyzz_1, tg_xyyyyyz_yyyyyzzz_0, \
                                         tg_xyyyyyz_yyyyyzzz_1, tg_xyyyyyz_yyyyzzz_1, tg_xyyyyyz_yyyyzzzz_0, \
                                         tg_xyyyyyz_yyyyzzzz_1, tg_xyyyyyz_yyyzzzz_1, tg_xyyyyyz_yyyzzzzz_0, \
                                         tg_xyyyyyz_yyyzzzzz_1, tg_xyyyyyz_yyzzzzz_1, tg_xyyyyyz_yyzzzzzz_0, \
                                         tg_xyyyyyz_yyzzzzzz_1, tg_xyyyyyz_yzzzzzz_1, tg_xyyyyyz_yzzzzzzz_0, \
                                         tg_xyyyyyz_yzzzzzzz_1, tg_xyyyyyz_zzzzzzz_1, tg_xyyyyyz_zzzzzzzz_0, \
                                         tg_xyyyyyz_zzzzzzzz_1, tg_xyyyyzz_xxxxxxx_1, tg_xyyyyzz_xxxxxxxx_0, \
                                         tg_xyyyyzz_xxxxxxxx_1, tg_xyyyyzz_xxxxxxxy_0, tg_xyyyyzz_xxxxxxxy_1, \
                                         tg_xyyyyzz_xxxxxxxz_0, tg_xyyyyzz_xxxxxxxz_1, tg_xyyyyzz_xxxxxxy_1, \
                                         tg_xyyyyzz_xxxxxxyy_0, tg_xyyyyzz_xxxxxxyy_1, tg_xyyyyzz_xxxxxxyz_0, \
                                         tg_xyyyyzz_xxxxxxyz_1, tg_xyyyyzz_xxxxxxz_1, tg_xyyyyzz_xxxxxxzz_0, \
                                         tg_xyyyyzz_xxxxxxzz_1, tg_xyyyyzz_xxxxxyy_1, tg_xyyyyzz_xxxxxyyy_0, \
                                         tg_xyyyyzz_xxxxxyyy_1, tg_xyyyyzz_xxxxxyyz_0, tg_xyyyyzz_xxxxxyyz_1, \
                                         tg_xyyyyzz_xxxxxyz_1, tg_xyyyyzz_xxxxxyzz_0, tg_xyyyyzz_xxxxxyzz_1, \
                                         tg_xyyyyzz_xxxxxzz_1, tg_xyyyyzz_xxxxxzzz_0, tg_xyyyyzz_xxxxxzzz_1, \
                                         tg_xyyyyzz_xxxxyyy_1, tg_xyyyyzz_xxxxyyyy_0, tg_xyyyyzz_xxxxyyyy_1, \
                                         tg_xyyyyzz_xxxxyyyz_0, tg_xyyyyzz_xxxxyyyz_1, tg_xyyyyzz_xxxxyyz_1, \
                                         tg_xyyyyzz_xxxxyyzz_0, tg_xyyyyzz_xxxxyyzz_1, tg_xyyyyzz_xxxxyzz_1, \
                                         tg_xyyyyzz_xxxxyzzz_0, tg_xyyyyzz_xxxxyzzz_1, tg_xyyyyzz_xxxxzzz_1, \
                                         tg_xyyyyzz_xxxxzzzz_0, tg_xyyyyzz_xxxxzzzz_1, tg_xyyyyzz_xxxyyyy_1, \
                                         tg_xyyyyzz_xxxyyyyy_0, tg_xyyyyzz_xxxyyyyy_1, tg_xyyyyzz_xxxyyyyz_0, \
                                         tg_xyyyyzz_xxxyyyyz_1, tg_xyyyyzz_xxxyyyz_1, tg_xyyyyzz_xxxyyyzz_0, \
                                         tg_xyyyyzz_xxxyyyzz_1, tg_xyyyyzz_xxxyyzz_1, tg_xyyyyzz_xxxyyzzz_0, \
                                         tg_xyyyyzz_xxxyyzzz_1, tg_xyyyyzz_xxxyzzz_1, tg_xyyyyzz_xxxyzzzz_0, \
                                         tg_xyyyyzz_xxxyzzzz_1, tg_xyyyyzz_xxxzzzz_1, tg_xyyyyzz_xxxzzzzz_0, \
                                         tg_xyyyyzz_xxxzzzzz_1, tg_xyyyyzz_xxyyyyy_1, tg_xyyyyzz_xxyyyyyy_0, \
                                         tg_xyyyyzz_xxyyyyyy_1, tg_xyyyyzz_xxyyyyyz_0, tg_xyyyyzz_xxyyyyyz_1, \
                                         tg_xyyyyzz_xxyyyyz_1, tg_xyyyyzz_xxyyyyzz_0, tg_xyyyyzz_xxyyyyzz_1, \
                                         tg_xyyyyzz_xxyyyzz_1, tg_xyyyyzz_xxyyyzzz_0, tg_xyyyyzz_xxyyyzzz_1, \
                                         tg_xyyyyzz_xxyyzzz_1, tg_xyyyyzz_xxyyzzzz_0, tg_xyyyyzz_xxyyzzzz_1, \
                                         tg_xyyyyzz_xxyzzzz_1, tg_xyyyyzz_xxyzzzzz_0, tg_xyyyyzz_xxyzzzzz_1, \
                                         tg_xyyyyzz_xxzzzzz_1, tg_xyyyyzz_xxzzzzzz_0, tg_xyyyyzz_xxzzzzzz_1, \
                                         tg_xyyyyzz_xyyyyyy_1, tg_xyyyyzz_xyyyyyyy_0, tg_xyyyyzz_xyyyyyyy_1, \
                                         tg_xyyyyzz_xyyyyyyz_0, tg_xyyyyzz_xyyyyyyz_1, tg_xyyyyzz_xyyyyyz_1, \
                                         tg_xyyyyzz_xyyyyzz_1, tg_xyyyyzz_xyyyzzz_1, tg_xyyyyzz_xyyzzzz_1, tg_xyyyyzz_xyzzzzz_1, \
                                         tg_xyyyyzz_xzzzzzz_1, tg_xyyyyzz_yyyyyyy_1, tg_xyyyyzz_yyyyyyz_1, tg_yyyyyy_xxyyyzzz_0, \
                                         tg_yyyyyy_xxyyyzzz_1, tg_yyyyyy_xxyyzzzz_0, tg_yyyyyy_xxyyzzzz_1, tg_yyyyyy_xxyzzzzz_0, \
                                         tg_yyyyyy_xxyzzzzz_1, tg_yyyyyy_xxzzzzzz_0, tg_yyyyyy_xxzzzzzz_1, tg_yyyyyy_xyyyyyyy_0, \
                                         tg_yyyyyy_xyyyyyyy_1, tg_yyyyyy_xyyyyyyz_0, tg_yyyyyy_xyyyyyyz_1, tg_yyyyyy_xyyyyyzz_0, \
                                         tg_yyyyyy_xyyyyyzz_1, tg_yyyyyy_xyyyyzzz_0, tg_yyyyyy_xyyyyzzz_1, tg_yyyyyy_xyyyzzzz_0, \
                                         tg_yyyyyy_xyyyzzzz_1, tg_yyyyyy_xyyzzzzz_0, tg_yyyyyy_xyyzzzzz_1, tg_yyyyyy_xyzzzzzz_0, \
                                         tg_yyyyyy_xyzzzzzz_1, tg_yyyyyy_xzzzzzzz_0, tg_yyyyyy_xzzzzzzz_1, tg_yyyyyy_yyyyyyyy_0, \
                                         tg_yyyyyy_yyyyyyyy_1, tg_yyyyyy_yyyyyyyz_0, tg_yyyyyy_yyyyyyyz_1, tg_yyyyyy_yyyyyyzz_0, \
                                         tg_yyyyyy_yyyyyyzz_1, tg_yyyyyy_yyyyyzzz_0, tg_yyyyyy_yyyyyzzz_1, tg_yyyyyy_yyyyzzzz_0, \
                                         tg_yyyyyy_yyyyzzzz_1, tg_yyyyyy_yyyzzzzz_0, tg_yyyyyy_yyyzzzzz_1, tg_yyyyyy_yyzzzzzz_0, \
                                         tg_yyyyyy_yyzzzzzz_1, tg_yyyyyy_yzzzzzzz_0, tg_yyyyyy_yzzzzzzz_1, tg_yyyyyy_zzzzzzzz_0, \
                                         tg_yyyyyy_zzzzzzzz_1, tg_yyyyyz_xxxxxxxx_0, tg_yyyyyz_xxxxxxxx_1, tg_yyyyyz_xxxxxxxy_0, \
                                         tg_yyyyyz_xxxxxxxy_1, tg_yyyyyz_xxxxxxxz_0, tg_yyyyyz_xxxxxxxz_1, tg_yyyyyz_xxxxxxyy_0, \
                                         tg_yyyyyz_xxxxxxyy_1, tg_yyyyyz_xxxxxxyz_0, tg_yyyyyz_xxxxxxyz_1, tg_yyyyyz_xxxxxxzz_0, \
                                         tg_yyyyyz_xxxxxxzz_1, tg_yyyyyz_xxxxxyyy_0, tg_yyyyyz_xxxxxyyy_1, tg_yyyyyz_xxxxxyyz_0, \
                                         tg_yyyyyz_xxxxxyyz_1, tg_yyyyyz_xxxxxyzz_0, tg_yyyyyz_xxxxxyzz_1, tg_yyyyyz_xxxxxzzz_0, \
                                         tg_yyyyyz_xxxxxzzz_1, tg_yyyyyz_xxxxyyyy_0, tg_yyyyyz_xxxxyyyy_1, tg_yyyyyz_xxxxyyyz_0, \
                                         tg_yyyyyz_xxxxyyyz_1, tg_yyyyyz_xxxxyyzz_0, tg_yyyyyz_xxxxyyzz_1, tg_yyyyyz_xxxxyzzz_0, \
                                         tg_yyyyyz_xxxxyzzz_1, tg_yyyyyz_xxxxzzzz_0, tg_yyyyyz_xxxxzzzz_1, tg_yyyyyz_xxxyyyyy_0, \
                                         tg_yyyyyz_xxxyyyyy_1, tg_yyyyyz_xxxyyyyz_0, tg_yyyyyz_xxxyyyyz_1, tg_yyyyyz_xxxyyyzz_0, \
                                         tg_yyyyyz_xxxyyyzz_1, tg_yyyyyz_xxxyyzzz_0, tg_yyyyyz_xxxyyzzz_1, tg_yyyyyz_xxxyzzzz_0, \
                                         tg_yyyyyz_xxxyzzzz_1, tg_yyyyyz_xxxzzzzz_0, tg_yyyyyz_xxxzzzzz_1, tg_yyyyyz_xxyyyyyy_0, \
                                         tg_yyyyyz_xxyyyyyy_1, tg_yyyyyz_xxyyyyyz_0, tg_yyyyyz_xxyyyyyz_1, tg_yyyyyz_xxyyyyzz_0, \
                                         tg_yyyyyz_xxyyyyzz_1, tg_yyyyyz_xxyyyzzz_0, tg_yyyyyz_xxyyyzzz_1, tg_yyyyyz_xxyyzzzz_0, \
                                         tg_yyyyyz_xxyyzzzz_1, tg_yyyyyz_xxyzzzzz_0, tg_yyyyyz_xxyzzzzz_1, tg_yyyyyz_xxzzzzzz_0, \
                                         tg_yyyyyz_xxzzzzzz_1, tg_yyyyyz_xyyyyyyy_0, tg_yyyyyz_xyyyyyyy_1, tg_yyyyyz_xyyyyyyz_0, \
                                         tg_yyyyyz_xyyyyyyz_1, tg_yyyyyz_xyyyyyzz_0, tg_yyyyyz_xyyyyyzz_1, tg_yyyyyz_xyyyyzzz_0, \
                                         tg_yyyyyz_xyyyyzzz_1, tg_yyyyyz_xyyyzzzz_0, tg_yyyyyz_xyyyzzzz_1, tg_yyyyyz_xyyzzzzz_0, \
                                         tg_yyyyyz_xyyzzzzz_1, tg_yyyyyz_xyzzzzzz_0, tg_yyyyyz_xyzzzzzz_1, tg_yyyyyz_xzzzzzzz_0, \
                                         tg_yyyyyz_xzzzzzzz_1, tg_yyyyyz_yyyyyyyy_0, tg_yyyyyz_yyyyyyyy_1, tg_yyyyyz_yyyyyyyz_0, \
                                         tg_yyyyyz_yyyyyyyz_1, tg_yyyyyz_yyyyyyzz_0, tg_yyyyyz_yyyyyyzz_1, tg_yyyyyz_yyyyyzzz_0, \
                                         tg_yyyyyz_yyyyyzzz_1, tg_yyyyyz_yyyyzzzz_0, tg_yyyyyz_yyyyzzzz_1, tg_yyyyyz_yyyzzzzz_0, \
                                         tg_yyyyyz_yyyzzzzz_1, tg_yyyyyz_yyzzzzzz_0, tg_yyyyyz_yyzzzzzz_1, tg_yyyyyz_yzzzzzzz_0, \
                                         tg_yyyyyz_yzzzzzzz_1, tg_yyyyyz_zzzzzzzz_0, tg_yyyyyz_zzzzzzzz_1, tg_yyyyzz_xxxxxxxx_0, \
                                         tg_yyyyzz_xxxxxxxx_1, tg_yyyyzz_xxxxxxxy_0, tg_yyyyzz_xxxxxxxy_1, tg_yyyyzz_xxxxxxxz_0, \
                                         tg_yyyyzz_xxxxxxxz_1, tg_yyyyzz_xxxxxxyy_0, tg_yyyyzz_xxxxxxyy_1, tg_yyyyzz_xxxxxxyz_0, \
                                         tg_yyyyzz_xxxxxxyz_1, tg_yyyyzz_xxxxxxzz_0, tg_yyyyzz_xxxxxxzz_1, tg_yyyyzz_xxxxxyyy_0, \
                                         tg_yyyyzz_xxxxxyyy_1, tg_yyyyzz_xxxxxyyz_0, tg_yyyyzz_xxxxxyyz_1, tg_yyyyzz_xxxxxyzz_0, \
                                         tg_yyyyzz_xxxxxyzz_1, tg_yyyyzz_xxxxxzzz_0, tg_yyyyzz_xxxxxzzz_1, tg_yyyyzz_xxxxyyyy_0, \
                                         tg_yyyyzz_xxxxyyyy_1, tg_yyyyzz_xxxxyyyz_0, tg_yyyyzz_xxxxyyyz_1, tg_yyyyzz_xxxxyyzz_0, \
                                         tg_yyyyzz_xxxxyyzz_1, tg_yyyyzz_xxxxyzzz_0, tg_yyyyzz_xxxxyzzz_1, tg_yyyyzz_xxxxzzzz_0, \
                                         tg_yyyyzz_xxxxzzzz_1, tg_yyyyzz_xxxyyyyy_0, tg_yyyyzz_xxxyyyyy_1, tg_yyyyzz_xxxyyyyz_0, \
                                         tg_yyyyzz_xxxyyyyz_1, tg_yyyyzz_xxxyyyzz_0, tg_yyyyzz_xxxyyyzz_1, tg_yyyyzz_xxxyyzzz_0, \
                                         tg_yyyyzz_xxxyyzzz_1, tg_yyyyzz_xxxyzzzz_0, tg_yyyyzz_xxxyzzzz_1, tg_yyyyzz_xxxzzzzz_0, \
                                         tg_yyyyzz_xxxzzzzz_1, tg_yyyyzz_xxyyyyyy_0, tg_yyyyzz_xxyyyyyy_1, tg_yyyyzz_xxyyyyyz_0, \
                                         tg_yyyyzz_xxyyyyyz_1, tg_yyyyzz_xxyyyyzz_0, tg_yyyyzz_xxyyyyzz_1, tg_yyyyzz_xxyyyzzz_0, \
                                         tg_yyyyzz_xxyyyzzz_1, tg_yyyyzz_xxyyzzzz_0, tg_yyyyzz_xxyyzzzz_1, tg_yyyyzz_xxyzzzzz_0, \
                                         tg_yyyyzz_xxyzzzzz_1, tg_yyyyzz_xxzzzzzz_0, tg_yyyyzz_xxzzzzzz_1, tg_yyyyzz_xyyyyyyy_0, \
                                         tg_yyyyzz_xyyyyyyy_1, tg_yyyyzz_xyyyyyyz_0, tg_yyyyzz_xyyyyyyz_1, wp_x: VLX_ALIGN)
                for (int32_t j = 0; j < nKetPrimPairs; j++)
                {
                    double fl1_fx = fx;

                    double fl1_fxn = fxn[j];

                    double fl1_fza = fza[j];

                    double fr = wp_x[j]; 

                    tg_xxyyyyyy_xxyyyzzz_0[j] = pb_x * tg_xyyyyyy_xxyyyzzz_0[j] + fr * tg_xyyyyyy_xxyyyzzz_1[j] + 0.5 * fl1_fx * (tg_yyyyyy_xxyyyzzz_0[j] - tg_yyyyyy_xxyyyzzz_1[j] * fl1_fza) + fl1_fxn * tg_xyyyyyy_xyyyzzz_1[j];

                    tg_xxyyyyyy_xxyyzzzz_0[j] = pb_x * tg_xyyyyyy_xxyyzzzz_0[j] + fr * tg_xyyyyyy_xxyyzzzz_1[j] + 0.5 * fl1_fx * (tg_yyyyyy_xxyyzzzz_0[j] - tg_yyyyyy_xxyyzzzz_1[j] * fl1_fza) + fl1_fxn * tg_xyyyyyy_xyyzzzz_1[j];

                    tg_xxyyyyyy_xxyzzzzz_0[j] = pb_x * tg_xyyyyyy_xxyzzzzz_0[j] + fr * tg_xyyyyyy_xxyzzzzz_1[j] + 0.5 * fl1_fx * (tg_yyyyyy_xxyzzzzz_0[j] - tg_yyyyyy_xxyzzzzz_1[j] * fl1_fza) + fl1_fxn * tg_xyyyyyy_xyzzzzz_1[j];

                    tg_xxyyyyyy_xxzzzzzz_0[j] = pb_x * tg_xyyyyyy_xxzzzzzz_0[j] + fr * tg_xyyyyyy_xxzzzzzz_1[j] + 0.5 * fl1_fx * (tg_yyyyyy_xxzzzzzz_0[j] - tg_yyyyyy_xxzzzzzz_1[j] * fl1_fza) + fl1_fxn * tg_xyyyyyy_xzzzzzz_1[j];

                    tg_xxyyyyyy_xyyyyyyy_0[j] = pb_x * tg_xyyyyyy_xyyyyyyy_0[j] + fr * tg_xyyyyyy_xyyyyyyy_1[j] + 0.5 * fl1_fx * (tg_yyyyyy_xyyyyyyy_0[j] - tg_yyyyyy_xyyyyyyy_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xyyyyyy_yyyyyyy_1[j];

                    tg_xxyyyyyy_xyyyyyyz_0[j] = pb_x * tg_xyyyyyy_xyyyyyyz_0[j] + fr * tg_xyyyyyy_xyyyyyyz_1[j] + 0.5 * fl1_fx * (tg_yyyyyy_xyyyyyyz_0[j] - tg_yyyyyy_xyyyyyyz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xyyyyyy_yyyyyyz_1[j];

                    tg_xxyyyyyy_xyyyyyzz_0[j] = pb_x * tg_xyyyyyy_xyyyyyzz_0[j] + fr * tg_xyyyyyy_xyyyyyzz_1[j] + 0.5 * fl1_fx * (tg_yyyyyy_xyyyyyzz_0[j] - tg_yyyyyy_xyyyyyzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xyyyyyy_yyyyyzz_1[j];

                    tg_xxyyyyyy_xyyyyzzz_0[j] = pb_x * tg_xyyyyyy_xyyyyzzz_0[j] + fr * tg_xyyyyyy_xyyyyzzz_1[j] + 0.5 * fl1_fx * (tg_yyyyyy_xyyyyzzz_0[j] - tg_yyyyyy_xyyyyzzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xyyyyyy_yyyyzzz_1[j];

                    tg_xxyyyyyy_xyyyzzzz_0[j] = pb_x * tg_xyyyyyy_xyyyzzzz_0[j] + fr * tg_xyyyyyy_xyyyzzzz_1[j] + 0.5 * fl1_fx * (tg_yyyyyy_xyyyzzzz_0[j] - tg_yyyyyy_xyyyzzzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xyyyyyy_yyyzzzz_1[j];

                    tg_xxyyyyyy_xyyzzzzz_0[j] = pb_x * tg_xyyyyyy_xyyzzzzz_0[j] + fr * tg_xyyyyyy_xyyzzzzz_1[j] + 0.5 * fl1_fx * (tg_yyyyyy_xyyzzzzz_0[j] - tg_yyyyyy_xyyzzzzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xyyyyyy_yyzzzzz_1[j];

                    tg_xxyyyyyy_xyzzzzzz_0[j] = pb_x * tg_xyyyyyy_xyzzzzzz_0[j] + fr * tg_xyyyyyy_xyzzzzzz_1[j] + 0.5 * fl1_fx * (tg_yyyyyy_xyzzzzzz_0[j] - tg_yyyyyy_xyzzzzzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xyyyyyy_yzzzzzz_1[j];

                    tg_xxyyyyyy_xzzzzzzz_0[j] = pb_x * tg_xyyyyyy_xzzzzzzz_0[j] + fr * tg_xyyyyyy_xzzzzzzz_1[j] + 0.5 * fl1_fx * (tg_yyyyyy_xzzzzzzz_0[j] - tg_yyyyyy_xzzzzzzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xyyyyyy_zzzzzzz_1[j];

                    tg_xxyyyyyy_yyyyyyyy_0[j] = pb_x * tg_xyyyyyy_yyyyyyyy_0[j] + fr * tg_xyyyyyy_yyyyyyyy_1[j] + 0.5 * fl1_fx * (tg_yyyyyy_yyyyyyyy_0[j] - tg_yyyyyy_yyyyyyyy_1[j] * fl1_fza);

                    tg_xxyyyyyy_yyyyyyyz_0[j] = pb_x * tg_xyyyyyy_yyyyyyyz_0[j] + fr * tg_xyyyyyy_yyyyyyyz_1[j] + 0.5 * fl1_fx * (tg_yyyyyy_yyyyyyyz_0[j] - tg_yyyyyy_yyyyyyyz_1[j] * fl1_fza);

                    tg_xxyyyyyy_yyyyyyzz_0[j] = pb_x * tg_xyyyyyy_yyyyyyzz_0[j] + fr * tg_xyyyyyy_yyyyyyzz_1[j] + 0.5 * fl1_fx * (tg_yyyyyy_yyyyyyzz_0[j] - tg_yyyyyy_yyyyyyzz_1[j] * fl1_fza);

                    tg_xxyyyyyy_yyyyyzzz_0[j] = pb_x * tg_xyyyyyy_yyyyyzzz_0[j] + fr * tg_xyyyyyy_yyyyyzzz_1[j] + 0.5 * fl1_fx * (tg_yyyyyy_yyyyyzzz_0[j] - tg_yyyyyy_yyyyyzzz_1[j] * fl1_fza);

                    tg_xxyyyyyy_yyyyzzzz_0[j] = pb_x * tg_xyyyyyy_yyyyzzzz_0[j] + fr * tg_xyyyyyy_yyyyzzzz_1[j] + 0.5 * fl1_fx * (tg_yyyyyy_yyyyzzzz_0[j] - tg_yyyyyy_yyyyzzzz_1[j] * fl1_fza);

                    tg_xxyyyyyy_yyyzzzzz_0[j] = pb_x * tg_xyyyyyy_yyyzzzzz_0[j] + fr * tg_xyyyyyy_yyyzzzzz_1[j] + 0.5 * fl1_fx * (tg_yyyyyy_yyyzzzzz_0[j] - tg_yyyyyy_yyyzzzzz_1[j] * fl1_fza);

                    tg_xxyyyyyy_yyzzzzzz_0[j] = pb_x * tg_xyyyyyy_yyzzzzzz_0[j] + fr * tg_xyyyyyy_yyzzzzzz_1[j] + 0.5 * fl1_fx * (tg_yyyyyy_yyzzzzzz_0[j] - tg_yyyyyy_yyzzzzzz_1[j] * fl1_fza);

                    tg_xxyyyyyy_yzzzzzzz_0[j] = pb_x * tg_xyyyyyy_yzzzzzzz_0[j] + fr * tg_xyyyyyy_yzzzzzzz_1[j] + 0.5 * fl1_fx * (tg_yyyyyy_yzzzzzzz_0[j] - tg_yyyyyy_yzzzzzzz_1[j] * fl1_fza);

                    tg_xxyyyyyy_zzzzzzzz_0[j] = pb_x * tg_xyyyyyy_zzzzzzzz_0[j] + fr * tg_xyyyyyy_zzzzzzzz_1[j] + 0.5 * fl1_fx * (tg_yyyyyy_zzzzzzzz_0[j] - tg_yyyyyy_zzzzzzzz_1[j] * fl1_fza);

                    tg_xxyyyyyz_xxxxxxxx_0[j] = pb_x * tg_xyyyyyz_xxxxxxxx_0[j] + fr * tg_xyyyyyz_xxxxxxxx_1[j] + 0.5 * fl1_fx * (tg_yyyyyz_xxxxxxxx_0[j] - tg_yyyyyz_xxxxxxxx_1[j] * fl1_fza) + 4.0 * fl1_fxn * tg_xyyyyyz_xxxxxxx_1[j];

                    tg_xxyyyyyz_xxxxxxxy_0[j] = pb_x * tg_xyyyyyz_xxxxxxxy_0[j] + fr * tg_xyyyyyz_xxxxxxxy_1[j] + 0.5 * fl1_fx * (tg_yyyyyz_xxxxxxxy_0[j] - tg_yyyyyz_xxxxxxxy_1[j] * fl1_fza) + 3.5 * fl1_fxn * tg_xyyyyyz_xxxxxxy_1[j];

                    tg_xxyyyyyz_xxxxxxxz_0[j] = pb_x * tg_xyyyyyz_xxxxxxxz_0[j] + fr * tg_xyyyyyz_xxxxxxxz_1[j] + 0.5 * fl1_fx * (tg_yyyyyz_xxxxxxxz_0[j] - tg_yyyyyz_xxxxxxxz_1[j] * fl1_fza) + 3.5 * fl1_fxn * tg_xyyyyyz_xxxxxxz_1[j];

                    tg_xxyyyyyz_xxxxxxyy_0[j] = pb_x * tg_xyyyyyz_xxxxxxyy_0[j] + fr * tg_xyyyyyz_xxxxxxyy_1[j] + 0.5 * fl1_fx * (tg_yyyyyz_xxxxxxyy_0[j] - tg_yyyyyz_xxxxxxyy_1[j] * fl1_fza) + 3.0 * fl1_fxn * tg_xyyyyyz_xxxxxyy_1[j];

                    tg_xxyyyyyz_xxxxxxyz_0[j] = pb_x * tg_xyyyyyz_xxxxxxyz_0[j] + fr * tg_xyyyyyz_xxxxxxyz_1[j] + 0.5 * fl1_fx * (tg_yyyyyz_xxxxxxyz_0[j] - tg_yyyyyz_xxxxxxyz_1[j] * fl1_fza) + 3.0 * fl1_fxn * tg_xyyyyyz_xxxxxyz_1[j];

                    tg_xxyyyyyz_xxxxxxzz_0[j] = pb_x * tg_xyyyyyz_xxxxxxzz_0[j] + fr * tg_xyyyyyz_xxxxxxzz_1[j] + 0.5 * fl1_fx * (tg_yyyyyz_xxxxxxzz_0[j] - tg_yyyyyz_xxxxxxzz_1[j] * fl1_fza) + 3.0 * fl1_fxn * tg_xyyyyyz_xxxxxzz_1[j];

                    tg_xxyyyyyz_xxxxxyyy_0[j] = pb_x * tg_xyyyyyz_xxxxxyyy_0[j] + fr * tg_xyyyyyz_xxxxxyyy_1[j] + 0.5 * fl1_fx * (tg_yyyyyz_xxxxxyyy_0[j] - tg_yyyyyz_xxxxxyyy_1[j] * fl1_fza) + 2.5 * fl1_fxn * tg_xyyyyyz_xxxxyyy_1[j];

                    tg_xxyyyyyz_xxxxxyyz_0[j] = pb_x * tg_xyyyyyz_xxxxxyyz_0[j] + fr * tg_xyyyyyz_xxxxxyyz_1[j] + 0.5 * fl1_fx * (tg_yyyyyz_xxxxxyyz_0[j] - tg_yyyyyz_xxxxxyyz_1[j] * fl1_fza) + 2.5 * fl1_fxn * tg_xyyyyyz_xxxxyyz_1[j];

                    tg_xxyyyyyz_xxxxxyzz_0[j] = pb_x * tg_xyyyyyz_xxxxxyzz_0[j] + fr * tg_xyyyyyz_xxxxxyzz_1[j] + 0.5 * fl1_fx * (tg_yyyyyz_xxxxxyzz_0[j] - tg_yyyyyz_xxxxxyzz_1[j] * fl1_fza) + 2.5 * fl1_fxn * tg_xyyyyyz_xxxxyzz_1[j];

                    tg_xxyyyyyz_xxxxxzzz_0[j] = pb_x * tg_xyyyyyz_xxxxxzzz_0[j] + fr * tg_xyyyyyz_xxxxxzzz_1[j] + 0.5 * fl1_fx * (tg_yyyyyz_xxxxxzzz_0[j] - tg_yyyyyz_xxxxxzzz_1[j] * fl1_fza) + 2.5 * fl1_fxn * tg_xyyyyyz_xxxxzzz_1[j];

                    tg_xxyyyyyz_xxxxyyyy_0[j] = pb_x * tg_xyyyyyz_xxxxyyyy_0[j] + fr * tg_xyyyyyz_xxxxyyyy_1[j] + 0.5 * fl1_fx * (tg_yyyyyz_xxxxyyyy_0[j] - tg_yyyyyz_xxxxyyyy_1[j] * fl1_fza) + 2.0 * fl1_fxn * tg_xyyyyyz_xxxyyyy_1[j];

                    tg_xxyyyyyz_xxxxyyyz_0[j] = pb_x * tg_xyyyyyz_xxxxyyyz_0[j] + fr * tg_xyyyyyz_xxxxyyyz_1[j] + 0.5 * fl1_fx * (tg_yyyyyz_xxxxyyyz_0[j] - tg_yyyyyz_xxxxyyyz_1[j] * fl1_fza) + 2.0 * fl1_fxn * tg_xyyyyyz_xxxyyyz_1[j];

                    tg_xxyyyyyz_xxxxyyzz_0[j] = pb_x * tg_xyyyyyz_xxxxyyzz_0[j] + fr * tg_xyyyyyz_xxxxyyzz_1[j] + 0.5 * fl1_fx * (tg_yyyyyz_xxxxyyzz_0[j] - tg_yyyyyz_xxxxyyzz_1[j] * fl1_fza) + 2.0 * fl1_fxn * tg_xyyyyyz_xxxyyzz_1[j];

                    tg_xxyyyyyz_xxxxyzzz_0[j] = pb_x * tg_xyyyyyz_xxxxyzzz_0[j] + fr * tg_xyyyyyz_xxxxyzzz_1[j] + 0.5 * fl1_fx * (tg_yyyyyz_xxxxyzzz_0[j] - tg_yyyyyz_xxxxyzzz_1[j] * fl1_fza) + 2.0 * fl1_fxn * tg_xyyyyyz_xxxyzzz_1[j];

                    tg_xxyyyyyz_xxxxzzzz_0[j] = pb_x * tg_xyyyyyz_xxxxzzzz_0[j] + fr * tg_xyyyyyz_xxxxzzzz_1[j] + 0.5 * fl1_fx * (tg_yyyyyz_xxxxzzzz_0[j] - tg_yyyyyz_xxxxzzzz_1[j] * fl1_fza) + 2.0 * fl1_fxn * tg_xyyyyyz_xxxzzzz_1[j];

                    tg_xxyyyyyz_xxxyyyyy_0[j] = pb_x * tg_xyyyyyz_xxxyyyyy_0[j] + fr * tg_xyyyyyz_xxxyyyyy_1[j] + 0.5 * fl1_fx * (tg_yyyyyz_xxxyyyyy_0[j] - tg_yyyyyz_xxxyyyyy_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_xyyyyyz_xxyyyyy_1[j];

                    tg_xxyyyyyz_xxxyyyyz_0[j] = pb_x * tg_xyyyyyz_xxxyyyyz_0[j] + fr * tg_xyyyyyz_xxxyyyyz_1[j] + 0.5 * fl1_fx * (tg_yyyyyz_xxxyyyyz_0[j] - tg_yyyyyz_xxxyyyyz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_xyyyyyz_xxyyyyz_1[j];

                    tg_xxyyyyyz_xxxyyyzz_0[j] = pb_x * tg_xyyyyyz_xxxyyyzz_0[j] + fr * tg_xyyyyyz_xxxyyyzz_1[j] + 0.5 * fl1_fx * (tg_yyyyyz_xxxyyyzz_0[j] - tg_yyyyyz_xxxyyyzz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_xyyyyyz_xxyyyzz_1[j];

                    tg_xxyyyyyz_xxxyyzzz_0[j] = pb_x * tg_xyyyyyz_xxxyyzzz_0[j] + fr * tg_xyyyyyz_xxxyyzzz_1[j] + 0.5 * fl1_fx * (tg_yyyyyz_xxxyyzzz_0[j] - tg_yyyyyz_xxxyyzzz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_xyyyyyz_xxyyzzz_1[j];

                    tg_xxyyyyyz_xxxyzzzz_0[j] = pb_x * tg_xyyyyyz_xxxyzzzz_0[j] + fr * tg_xyyyyyz_xxxyzzzz_1[j] + 0.5 * fl1_fx * (tg_yyyyyz_xxxyzzzz_0[j] - tg_yyyyyz_xxxyzzzz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_xyyyyyz_xxyzzzz_1[j];

                    tg_xxyyyyyz_xxxzzzzz_0[j] = pb_x * tg_xyyyyyz_xxxzzzzz_0[j] + fr * tg_xyyyyyz_xxxzzzzz_1[j] + 0.5 * fl1_fx * (tg_yyyyyz_xxxzzzzz_0[j] - tg_yyyyyz_xxxzzzzz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_xyyyyyz_xxzzzzz_1[j];

                    tg_xxyyyyyz_xxyyyyyy_0[j] = pb_x * tg_xyyyyyz_xxyyyyyy_0[j] + fr * tg_xyyyyyz_xxyyyyyy_1[j] + 0.5 * fl1_fx * (tg_yyyyyz_xxyyyyyy_0[j] - tg_yyyyyz_xxyyyyyy_1[j] * fl1_fza) + fl1_fxn * tg_xyyyyyz_xyyyyyy_1[j];

                    tg_xxyyyyyz_xxyyyyyz_0[j] = pb_x * tg_xyyyyyz_xxyyyyyz_0[j] + fr * tg_xyyyyyz_xxyyyyyz_1[j] + 0.5 * fl1_fx * (tg_yyyyyz_xxyyyyyz_0[j] - tg_yyyyyz_xxyyyyyz_1[j] * fl1_fza) + fl1_fxn * tg_xyyyyyz_xyyyyyz_1[j];

                    tg_xxyyyyyz_xxyyyyzz_0[j] = pb_x * tg_xyyyyyz_xxyyyyzz_0[j] + fr * tg_xyyyyyz_xxyyyyzz_1[j] + 0.5 * fl1_fx * (tg_yyyyyz_xxyyyyzz_0[j] - tg_yyyyyz_xxyyyyzz_1[j] * fl1_fza) + fl1_fxn * tg_xyyyyyz_xyyyyzz_1[j];

                    tg_xxyyyyyz_xxyyyzzz_0[j] = pb_x * tg_xyyyyyz_xxyyyzzz_0[j] + fr * tg_xyyyyyz_xxyyyzzz_1[j] + 0.5 * fl1_fx * (tg_yyyyyz_xxyyyzzz_0[j] - tg_yyyyyz_xxyyyzzz_1[j] * fl1_fza) + fl1_fxn * tg_xyyyyyz_xyyyzzz_1[j];

                    tg_xxyyyyyz_xxyyzzzz_0[j] = pb_x * tg_xyyyyyz_xxyyzzzz_0[j] + fr * tg_xyyyyyz_xxyyzzzz_1[j] + 0.5 * fl1_fx * (tg_yyyyyz_xxyyzzzz_0[j] - tg_yyyyyz_xxyyzzzz_1[j] * fl1_fza) + fl1_fxn * tg_xyyyyyz_xyyzzzz_1[j];

                    tg_xxyyyyyz_xxyzzzzz_0[j] = pb_x * tg_xyyyyyz_xxyzzzzz_0[j] + fr * tg_xyyyyyz_xxyzzzzz_1[j] + 0.5 * fl1_fx * (tg_yyyyyz_xxyzzzzz_0[j] - tg_yyyyyz_xxyzzzzz_1[j] * fl1_fza) + fl1_fxn * tg_xyyyyyz_xyzzzzz_1[j];

                    tg_xxyyyyyz_xxzzzzzz_0[j] = pb_x * tg_xyyyyyz_xxzzzzzz_0[j] + fr * tg_xyyyyyz_xxzzzzzz_1[j] + 0.5 * fl1_fx * (tg_yyyyyz_xxzzzzzz_0[j] - tg_yyyyyz_xxzzzzzz_1[j] * fl1_fza) + fl1_fxn * tg_xyyyyyz_xzzzzzz_1[j];

                    tg_xxyyyyyz_xyyyyyyy_0[j] = pb_x * tg_xyyyyyz_xyyyyyyy_0[j] + fr * tg_xyyyyyz_xyyyyyyy_1[j] + 0.5 * fl1_fx * (tg_yyyyyz_xyyyyyyy_0[j] - tg_yyyyyz_xyyyyyyy_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xyyyyyz_yyyyyyy_1[j];

                    tg_xxyyyyyz_xyyyyyyz_0[j] = pb_x * tg_xyyyyyz_xyyyyyyz_0[j] + fr * tg_xyyyyyz_xyyyyyyz_1[j] + 0.5 * fl1_fx * (tg_yyyyyz_xyyyyyyz_0[j] - tg_yyyyyz_xyyyyyyz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xyyyyyz_yyyyyyz_1[j];

                    tg_xxyyyyyz_xyyyyyzz_0[j] = pb_x * tg_xyyyyyz_xyyyyyzz_0[j] + fr * tg_xyyyyyz_xyyyyyzz_1[j] + 0.5 * fl1_fx * (tg_yyyyyz_xyyyyyzz_0[j] - tg_yyyyyz_xyyyyyzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xyyyyyz_yyyyyzz_1[j];

                    tg_xxyyyyyz_xyyyyzzz_0[j] = pb_x * tg_xyyyyyz_xyyyyzzz_0[j] + fr * tg_xyyyyyz_xyyyyzzz_1[j] + 0.5 * fl1_fx * (tg_yyyyyz_xyyyyzzz_0[j] - tg_yyyyyz_xyyyyzzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xyyyyyz_yyyyzzz_1[j];

                    tg_xxyyyyyz_xyyyzzzz_0[j] = pb_x * tg_xyyyyyz_xyyyzzzz_0[j] + fr * tg_xyyyyyz_xyyyzzzz_1[j] + 0.5 * fl1_fx * (tg_yyyyyz_xyyyzzzz_0[j] - tg_yyyyyz_xyyyzzzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xyyyyyz_yyyzzzz_1[j];

                    tg_xxyyyyyz_xyyzzzzz_0[j] = pb_x * tg_xyyyyyz_xyyzzzzz_0[j] + fr * tg_xyyyyyz_xyyzzzzz_1[j] + 0.5 * fl1_fx * (tg_yyyyyz_xyyzzzzz_0[j] - tg_yyyyyz_xyyzzzzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xyyyyyz_yyzzzzz_1[j];

                    tg_xxyyyyyz_xyzzzzzz_0[j] = pb_x * tg_xyyyyyz_xyzzzzzz_0[j] + fr * tg_xyyyyyz_xyzzzzzz_1[j] + 0.5 * fl1_fx * (tg_yyyyyz_xyzzzzzz_0[j] - tg_yyyyyz_xyzzzzzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xyyyyyz_yzzzzzz_1[j];

                    tg_xxyyyyyz_xzzzzzzz_0[j] = pb_x * tg_xyyyyyz_xzzzzzzz_0[j] + fr * tg_xyyyyyz_xzzzzzzz_1[j] + 0.5 * fl1_fx * (tg_yyyyyz_xzzzzzzz_0[j] - tg_yyyyyz_xzzzzzzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xyyyyyz_zzzzzzz_1[j];

                    tg_xxyyyyyz_yyyyyyyy_0[j] = pb_x * tg_xyyyyyz_yyyyyyyy_0[j] + fr * tg_xyyyyyz_yyyyyyyy_1[j] + 0.5 * fl1_fx * (tg_yyyyyz_yyyyyyyy_0[j] - tg_yyyyyz_yyyyyyyy_1[j] * fl1_fza);

                    tg_xxyyyyyz_yyyyyyyz_0[j] = pb_x * tg_xyyyyyz_yyyyyyyz_0[j] + fr * tg_xyyyyyz_yyyyyyyz_1[j] + 0.5 * fl1_fx * (tg_yyyyyz_yyyyyyyz_0[j] - tg_yyyyyz_yyyyyyyz_1[j] * fl1_fza);

                    tg_xxyyyyyz_yyyyyyzz_0[j] = pb_x * tg_xyyyyyz_yyyyyyzz_0[j] + fr * tg_xyyyyyz_yyyyyyzz_1[j] + 0.5 * fl1_fx * (tg_yyyyyz_yyyyyyzz_0[j] - tg_yyyyyz_yyyyyyzz_1[j] * fl1_fza);

                    tg_xxyyyyyz_yyyyyzzz_0[j] = pb_x * tg_xyyyyyz_yyyyyzzz_0[j] + fr * tg_xyyyyyz_yyyyyzzz_1[j] + 0.5 * fl1_fx * (tg_yyyyyz_yyyyyzzz_0[j] - tg_yyyyyz_yyyyyzzz_1[j] * fl1_fza);

                    tg_xxyyyyyz_yyyyzzzz_0[j] = pb_x * tg_xyyyyyz_yyyyzzzz_0[j] + fr * tg_xyyyyyz_yyyyzzzz_1[j] + 0.5 * fl1_fx * (tg_yyyyyz_yyyyzzzz_0[j] - tg_yyyyyz_yyyyzzzz_1[j] * fl1_fza);

                    tg_xxyyyyyz_yyyzzzzz_0[j] = pb_x * tg_xyyyyyz_yyyzzzzz_0[j] + fr * tg_xyyyyyz_yyyzzzzz_1[j] + 0.5 * fl1_fx * (tg_yyyyyz_yyyzzzzz_0[j] - tg_yyyyyz_yyyzzzzz_1[j] * fl1_fza);

                    tg_xxyyyyyz_yyzzzzzz_0[j] = pb_x * tg_xyyyyyz_yyzzzzzz_0[j] + fr * tg_xyyyyyz_yyzzzzzz_1[j] + 0.5 * fl1_fx * (tg_yyyyyz_yyzzzzzz_0[j] - tg_yyyyyz_yyzzzzzz_1[j] * fl1_fza);

                    tg_xxyyyyyz_yzzzzzzz_0[j] = pb_x * tg_xyyyyyz_yzzzzzzz_0[j] + fr * tg_xyyyyyz_yzzzzzzz_1[j] + 0.5 * fl1_fx * (tg_yyyyyz_yzzzzzzz_0[j] - tg_yyyyyz_yzzzzzzz_1[j] * fl1_fza);

                    tg_xxyyyyyz_zzzzzzzz_0[j] = pb_x * tg_xyyyyyz_zzzzzzzz_0[j] + fr * tg_xyyyyyz_zzzzzzzz_1[j] + 0.5 * fl1_fx * (tg_yyyyyz_zzzzzzzz_0[j] - tg_yyyyyz_zzzzzzzz_1[j] * fl1_fza);

                    tg_xxyyyyzz_xxxxxxxx_0[j] = pb_x * tg_xyyyyzz_xxxxxxxx_0[j] + fr * tg_xyyyyzz_xxxxxxxx_1[j] + 0.5 * fl1_fx * (tg_yyyyzz_xxxxxxxx_0[j] - tg_yyyyzz_xxxxxxxx_1[j] * fl1_fza) + 4.0 * fl1_fxn * tg_xyyyyzz_xxxxxxx_1[j];

                    tg_xxyyyyzz_xxxxxxxy_0[j] = pb_x * tg_xyyyyzz_xxxxxxxy_0[j] + fr * tg_xyyyyzz_xxxxxxxy_1[j] + 0.5 * fl1_fx * (tg_yyyyzz_xxxxxxxy_0[j] - tg_yyyyzz_xxxxxxxy_1[j] * fl1_fza) + 3.5 * fl1_fxn * tg_xyyyyzz_xxxxxxy_1[j];

                    tg_xxyyyyzz_xxxxxxxz_0[j] = pb_x * tg_xyyyyzz_xxxxxxxz_0[j] + fr * tg_xyyyyzz_xxxxxxxz_1[j] + 0.5 * fl1_fx * (tg_yyyyzz_xxxxxxxz_0[j] - tg_yyyyzz_xxxxxxxz_1[j] * fl1_fza) + 3.5 * fl1_fxn * tg_xyyyyzz_xxxxxxz_1[j];

                    tg_xxyyyyzz_xxxxxxyy_0[j] = pb_x * tg_xyyyyzz_xxxxxxyy_0[j] + fr * tg_xyyyyzz_xxxxxxyy_1[j] + 0.5 * fl1_fx * (tg_yyyyzz_xxxxxxyy_0[j] - tg_yyyyzz_xxxxxxyy_1[j] * fl1_fza) + 3.0 * fl1_fxn * tg_xyyyyzz_xxxxxyy_1[j];

                    tg_xxyyyyzz_xxxxxxyz_0[j] = pb_x * tg_xyyyyzz_xxxxxxyz_0[j] + fr * tg_xyyyyzz_xxxxxxyz_1[j] + 0.5 * fl1_fx * (tg_yyyyzz_xxxxxxyz_0[j] - tg_yyyyzz_xxxxxxyz_1[j] * fl1_fza) + 3.0 * fl1_fxn * tg_xyyyyzz_xxxxxyz_1[j];

                    tg_xxyyyyzz_xxxxxxzz_0[j] = pb_x * tg_xyyyyzz_xxxxxxzz_0[j] + fr * tg_xyyyyzz_xxxxxxzz_1[j] + 0.5 * fl1_fx * (tg_yyyyzz_xxxxxxzz_0[j] - tg_yyyyzz_xxxxxxzz_1[j] * fl1_fza) + 3.0 * fl1_fxn * tg_xyyyyzz_xxxxxzz_1[j];

                    tg_xxyyyyzz_xxxxxyyy_0[j] = pb_x * tg_xyyyyzz_xxxxxyyy_0[j] + fr * tg_xyyyyzz_xxxxxyyy_1[j] + 0.5 * fl1_fx * (tg_yyyyzz_xxxxxyyy_0[j] - tg_yyyyzz_xxxxxyyy_1[j] * fl1_fza) + 2.5 * fl1_fxn * tg_xyyyyzz_xxxxyyy_1[j];

                    tg_xxyyyyzz_xxxxxyyz_0[j] = pb_x * tg_xyyyyzz_xxxxxyyz_0[j] + fr * tg_xyyyyzz_xxxxxyyz_1[j] + 0.5 * fl1_fx * (tg_yyyyzz_xxxxxyyz_0[j] - tg_yyyyzz_xxxxxyyz_1[j] * fl1_fza) + 2.5 * fl1_fxn * tg_xyyyyzz_xxxxyyz_1[j];

                    tg_xxyyyyzz_xxxxxyzz_0[j] = pb_x * tg_xyyyyzz_xxxxxyzz_0[j] + fr * tg_xyyyyzz_xxxxxyzz_1[j] + 0.5 * fl1_fx * (tg_yyyyzz_xxxxxyzz_0[j] - tg_yyyyzz_xxxxxyzz_1[j] * fl1_fza) + 2.5 * fl1_fxn * tg_xyyyyzz_xxxxyzz_1[j];

                    tg_xxyyyyzz_xxxxxzzz_0[j] = pb_x * tg_xyyyyzz_xxxxxzzz_0[j] + fr * tg_xyyyyzz_xxxxxzzz_1[j] + 0.5 * fl1_fx * (tg_yyyyzz_xxxxxzzz_0[j] - tg_yyyyzz_xxxxxzzz_1[j] * fl1_fza) + 2.5 * fl1_fxn * tg_xyyyyzz_xxxxzzz_1[j];

                    tg_xxyyyyzz_xxxxyyyy_0[j] = pb_x * tg_xyyyyzz_xxxxyyyy_0[j] + fr * tg_xyyyyzz_xxxxyyyy_1[j] + 0.5 * fl1_fx * (tg_yyyyzz_xxxxyyyy_0[j] - tg_yyyyzz_xxxxyyyy_1[j] * fl1_fza) + 2.0 * fl1_fxn * tg_xyyyyzz_xxxyyyy_1[j];

                    tg_xxyyyyzz_xxxxyyyz_0[j] = pb_x * tg_xyyyyzz_xxxxyyyz_0[j] + fr * tg_xyyyyzz_xxxxyyyz_1[j] + 0.5 * fl1_fx * (tg_yyyyzz_xxxxyyyz_0[j] - tg_yyyyzz_xxxxyyyz_1[j] * fl1_fza) + 2.0 * fl1_fxn * tg_xyyyyzz_xxxyyyz_1[j];

                    tg_xxyyyyzz_xxxxyyzz_0[j] = pb_x * tg_xyyyyzz_xxxxyyzz_0[j] + fr * tg_xyyyyzz_xxxxyyzz_1[j] + 0.5 * fl1_fx * (tg_yyyyzz_xxxxyyzz_0[j] - tg_yyyyzz_xxxxyyzz_1[j] * fl1_fza) + 2.0 * fl1_fxn * tg_xyyyyzz_xxxyyzz_1[j];

                    tg_xxyyyyzz_xxxxyzzz_0[j] = pb_x * tg_xyyyyzz_xxxxyzzz_0[j] + fr * tg_xyyyyzz_xxxxyzzz_1[j] + 0.5 * fl1_fx * (tg_yyyyzz_xxxxyzzz_0[j] - tg_yyyyzz_xxxxyzzz_1[j] * fl1_fza) + 2.0 * fl1_fxn * tg_xyyyyzz_xxxyzzz_1[j];

                    tg_xxyyyyzz_xxxxzzzz_0[j] = pb_x * tg_xyyyyzz_xxxxzzzz_0[j] + fr * tg_xyyyyzz_xxxxzzzz_1[j] + 0.5 * fl1_fx * (tg_yyyyzz_xxxxzzzz_0[j] - tg_yyyyzz_xxxxzzzz_1[j] * fl1_fza) + 2.0 * fl1_fxn * tg_xyyyyzz_xxxzzzz_1[j];

                    tg_xxyyyyzz_xxxyyyyy_0[j] = pb_x * tg_xyyyyzz_xxxyyyyy_0[j] + fr * tg_xyyyyzz_xxxyyyyy_1[j] + 0.5 * fl1_fx * (tg_yyyyzz_xxxyyyyy_0[j] - tg_yyyyzz_xxxyyyyy_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_xyyyyzz_xxyyyyy_1[j];

                    tg_xxyyyyzz_xxxyyyyz_0[j] = pb_x * tg_xyyyyzz_xxxyyyyz_0[j] + fr * tg_xyyyyzz_xxxyyyyz_1[j] + 0.5 * fl1_fx * (tg_yyyyzz_xxxyyyyz_0[j] - tg_yyyyzz_xxxyyyyz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_xyyyyzz_xxyyyyz_1[j];

                    tg_xxyyyyzz_xxxyyyzz_0[j] = pb_x * tg_xyyyyzz_xxxyyyzz_0[j] + fr * tg_xyyyyzz_xxxyyyzz_1[j] + 0.5 * fl1_fx * (tg_yyyyzz_xxxyyyzz_0[j] - tg_yyyyzz_xxxyyyzz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_xyyyyzz_xxyyyzz_1[j];

                    tg_xxyyyyzz_xxxyyzzz_0[j] = pb_x * tg_xyyyyzz_xxxyyzzz_0[j] + fr * tg_xyyyyzz_xxxyyzzz_1[j] + 0.5 * fl1_fx * (tg_yyyyzz_xxxyyzzz_0[j] - tg_yyyyzz_xxxyyzzz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_xyyyyzz_xxyyzzz_1[j];

                    tg_xxyyyyzz_xxxyzzzz_0[j] = pb_x * tg_xyyyyzz_xxxyzzzz_0[j] + fr * tg_xyyyyzz_xxxyzzzz_1[j] + 0.5 * fl1_fx * (tg_yyyyzz_xxxyzzzz_0[j] - tg_yyyyzz_xxxyzzzz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_xyyyyzz_xxyzzzz_1[j];

                    tg_xxyyyyzz_xxxzzzzz_0[j] = pb_x * tg_xyyyyzz_xxxzzzzz_0[j] + fr * tg_xyyyyzz_xxxzzzzz_1[j] + 0.5 * fl1_fx * (tg_yyyyzz_xxxzzzzz_0[j] - tg_yyyyzz_xxxzzzzz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_xyyyyzz_xxzzzzz_1[j];

                    tg_xxyyyyzz_xxyyyyyy_0[j] = pb_x * tg_xyyyyzz_xxyyyyyy_0[j] + fr * tg_xyyyyzz_xxyyyyyy_1[j] + 0.5 * fl1_fx * (tg_yyyyzz_xxyyyyyy_0[j] - tg_yyyyzz_xxyyyyyy_1[j] * fl1_fza) + fl1_fxn * tg_xyyyyzz_xyyyyyy_1[j];

                    tg_xxyyyyzz_xxyyyyyz_0[j] = pb_x * tg_xyyyyzz_xxyyyyyz_0[j] + fr * tg_xyyyyzz_xxyyyyyz_1[j] + 0.5 * fl1_fx * (tg_yyyyzz_xxyyyyyz_0[j] - tg_yyyyzz_xxyyyyyz_1[j] * fl1_fza) + fl1_fxn * tg_xyyyyzz_xyyyyyz_1[j];

                    tg_xxyyyyzz_xxyyyyzz_0[j] = pb_x * tg_xyyyyzz_xxyyyyzz_0[j] + fr * tg_xyyyyzz_xxyyyyzz_1[j] + 0.5 * fl1_fx * (tg_yyyyzz_xxyyyyzz_0[j] - tg_yyyyzz_xxyyyyzz_1[j] * fl1_fza) + fl1_fxn * tg_xyyyyzz_xyyyyzz_1[j];

                    tg_xxyyyyzz_xxyyyzzz_0[j] = pb_x * tg_xyyyyzz_xxyyyzzz_0[j] + fr * tg_xyyyyzz_xxyyyzzz_1[j] + 0.5 * fl1_fx * (tg_yyyyzz_xxyyyzzz_0[j] - tg_yyyyzz_xxyyyzzz_1[j] * fl1_fza) + fl1_fxn * tg_xyyyyzz_xyyyzzz_1[j];

                    tg_xxyyyyzz_xxyyzzzz_0[j] = pb_x * tg_xyyyyzz_xxyyzzzz_0[j] + fr * tg_xyyyyzz_xxyyzzzz_1[j] + 0.5 * fl1_fx * (tg_yyyyzz_xxyyzzzz_0[j] - tg_yyyyzz_xxyyzzzz_1[j] * fl1_fza) + fl1_fxn * tg_xyyyyzz_xyyzzzz_1[j];

                    tg_xxyyyyzz_xxyzzzzz_0[j] = pb_x * tg_xyyyyzz_xxyzzzzz_0[j] + fr * tg_xyyyyzz_xxyzzzzz_1[j] + 0.5 * fl1_fx * (tg_yyyyzz_xxyzzzzz_0[j] - tg_yyyyzz_xxyzzzzz_1[j] * fl1_fza) + fl1_fxn * tg_xyyyyzz_xyzzzzz_1[j];

                    tg_xxyyyyzz_xxzzzzzz_0[j] = pb_x * tg_xyyyyzz_xxzzzzzz_0[j] + fr * tg_xyyyyzz_xxzzzzzz_1[j] + 0.5 * fl1_fx * (tg_yyyyzz_xxzzzzzz_0[j] - tg_yyyyzz_xxzzzzzz_1[j] * fl1_fza) + fl1_fxn * tg_xyyyyzz_xzzzzzz_1[j];

                    tg_xxyyyyzz_xyyyyyyy_0[j] = pb_x * tg_xyyyyzz_xyyyyyyy_0[j] + fr * tg_xyyyyzz_xyyyyyyy_1[j] + 0.5 * fl1_fx * (tg_yyyyzz_xyyyyyyy_0[j] - tg_yyyyzz_xyyyyyyy_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xyyyyzz_yyyyyyy_1[j];

                    tg_xxyyyyzz_xyyyyyyz_0[j] = pb_x * tg_xyyyyzz_xyyyyyyz_0[j] + fr * tg_xyyyyzz_xyyyyyyz_1[j] + 0.5 * fl1_fx * (tg_yyyyzz_xyyyyyyz_0[j] - tg_yyyyzz_xyyyyyyz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xyyyyzz_yyyyyyz_1[j];
                }

                idx++;
            }
        }
    }

    void
    compElectronRepulsionForSLSL_1065_1161(      CMemBlock2D<double>* primBuffer,
                                           const CRecursionMap&       recursionMap,
                                           const CMemBlock2D<double>& osFactors,
                                           const CMemBlock2D<double>& wpDistances,
                                           const CGtoPairsBlock&      braGtoPairsBlock,
                                           const CGtoPairsBlock&      ketGtoPairsBlock,
                                           const int32_t              nKetPrimPairs,
                                           const int32_t              iContrPair)
    {
        // Batch of Integrals (1065,1161)

        // set up pointers to primitives data on bra side

        auto spos = braGtoPairsBlock.getStartPositions();

        auto epos = braGtoPairsBlock.getEndPositions();

        // set up pointers to tensor of distance R(PB) = P - B

        auto r_pb_x = braGtoPairsBlock.getDistancesPBX();

        // set up pointers to common Obara-Saika factors

        auto b_fx = braGtoPairsBlock.getFactorsOneOverXi();

        // set up maximum order of integral

        auto mord = recursionMap.getMaxOrder({"Electron Repulsion"},
                                             {8, -1, -1, -1},
                                             {8, -1, -1, -1},
                                             1, 1);

        for (int32_t iord = 0; iord <= mord; iord++)
        {
            // set up index of integral

            auto pidx_g_8_8_m0 = recursionMap.index(CRecursionTerm({"Electron Repulsion"}, 0, true, 
                                                                   {8, -1, -1, -1}, {8, -1, -1, -1}, 
                                                                   1, 1, iord));

            // check if integral is needed in recursion expansion

            if (pidx_g_8_8_m0 == -1) continue;

            // set up indexes of auxilary integral

            auto pidx_g_7_8_m0 = recursionMap.index(CRecursionTerm({"Electron Repulsion"}, 0, true, 
                                                                   {7, -1, -1, -1}, {8, -1, -1, -1}, 
                                                                   1, 1, iord));

            auto pidx_g_7_8_m1 = recursionMap.index(CRecursionTerm({"Electron Repulsion"}, 0, true, 
                                                                   {7, -1, -1, -1}, {8, -1, -1, -1}, 
                                                                   1, 1, iord + 1));

            auto pidx_g_6_8_m0 = recursionMap.index(CRecursionTerm({"Electron Repulsion"}, 0, true, 
                                                                   {6, -1, -1, -1}, {8, -1, -1, -1}, 
                                                                   1, 1, iord));

            auto pidx_g_6_8_m1 = recursionMap.index(CRecursionTerm({"Electron Repulsion"}, 0, true, 
                                                                   {6, -1, -1, -1}, {8, -1, -1, -1}, 
                                                                   1, 1, iord + 1));

            auto pidx_g_7_7_m1 = recursionMap.index(CRecursionTerm({"Electron Repulsion"}, 0, true, 
                                                                   {7, -1, -1, -1}, {7, -1, -1, -1}, 
                                                                   1, 1, iord + 1));

            // loop over contracted GTO on bra side

            int32_t idx = 0;

            for (int32_t i = spos[iContrPair]; i < epos[iContrPair]; i++)
            {
                // set up pointers to Obara-Saika factors

                double fx = b_fx[i];

                auto fza = osFactors.data(4 * idx + 2);

                auto fxn = osFactors.data(4 * idx);

                // set up distances R(PB) = P - B

                auto pb_x = r_pb_x[i];

                // set up pointers to tensors product of distances R(WP) = W - P

                auto wp_x = wpDistances.data(3 * idx);

                // set up pointers to auxilary integrals

                auto tg_xyyyyzz_xyyyyyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1065); 

                auto tg_xyyyyzz_xyyyyzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1066); 

                auto tg_xyyyyzz_xyyyzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1067); 

                auto tg_xyyyyzz_xyyzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1068); 

                auto tg_xyyyyzz_xyzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1069); 

                auto tg_xyyyyzz_xzzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1070); 

                auto tg_xyyyyzz_yyyyyyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1071); 

                auto tg_xyyyyzz_yyyyyyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1072); 

                auto tg_xyyyyzz_yyyyyyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1073); 

                auto tg_xyyyyzz_yyyyyzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1074); 

                auto tg_xyyyyzz_yyyyzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1075); 

                auto tg_xyyyyzz_yyyzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1076); 

                auto tg_xyyyyzz_yyzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1077); 

                auto tg_xyyyyzz_yzzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1078); 

                auto tg_xyyyyzz_zzzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1079); 

                auto tg_xyyyzzz_xxxxxxxx_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1080); 

                auto tg_xyyyzzz_xxxxxxxy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1081); 

                auto tg_xyyyzzz_xxxxxxxz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1082); 

                auto tg_xyyyzzz_xxxxxxyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1083); 

                auto tg_xyyyzzz_xxxxxxyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1084); 

                auto tg_xyyyzzz_xxxxxxzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1085); 

                auto tg_xyyyzzz_xxxxxyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1086); 

                auto tg_xyyyzzz_xxxxxyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1087); 

                auto tg_xyyyzzz_xxxxxyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1088); 

                auto tg_xyyyzzz_xxxxxzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1089); 

                auto tg_xyyyzzz_xxxxyyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1090); 

                auto tg_xyyyzzz_xxxxyyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1091); 

                auto tg_xyyyzzz_xxxxyyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1092); 

                auto tg_xyyyzzz_xxxxyzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1093); 

                auto tg_xyyyzzz_xxxxzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1094); 

                auto tg_xyyyzzz_xxxyyyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1095); 

                auto tg_xyyyzzz_xxxyyyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1096); 

                auto tg_xyyyzzz_xxxyyyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1097); 

                auto tg_xyyyzzz_xxxyyzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1098); 

                auto tg_xyyyzzz_xxxyzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1099); 

                auto tg_xyyyzzz_xxxzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1100); 

                auto tg_xyyyzzz_xxyyyyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1101); 

                auto tg_xyyyzzz_xxyyyyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1102); 

                auto tg_xyyyzzz_xxyyyyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1103); 

                auto tg_xyyyzzz_xxyyyzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1104); 

                auto tg_xyyyzzz_xxyyzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1105); 

                auto tg_xyyyzzz_xxyzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1106); 

                auto tg_xyyyzzz_xxzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1107); 

                auto tg_xyyyzzz_xyyyyyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1108); 

                auto tg_xyyyzzz_xyyyyyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1109); 

                auto tg_xyyyzzz_xyyyyyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1110); 

                auto tg_xyyyzzz_xyyyyzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1111); 

                auto tg_xyyyzzz_xyyyzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1112); 

                auto tg_xyyyzzz_xyyzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1113); 

                auto tg_xyyyzzz_xyzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1114); 

                auto tg_xyyyzzz_xzzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1115); 

                auto tg_xyyyzzz_yyyyyyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1116); 

                auto tg_xyyyzzz_yyyyyyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1117); 

                auto tg_xyyyzzz_yyyyyyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1118); 

                auto tg_xyyyzzz_yyyyyzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1119); 

                auto tg_xyyyzzz_yyyyzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1120); 

                auto tg_xyyyzzz_yyyzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1121); 

                auto tg_xyyyzzz_yyzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1122); 

                auto tg_xyyyzzz_yzzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1123); 

                auto tg_xyyyzzz_zzzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1124); 

                auto tg_xyyzzzz_xxxxxxxx_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1125); 

                auto tg_xyyzzzz_xxxxxxxy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1126); 

                auto tg_xyyzzzz_xxxxxxxz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1127); 

                auto tg_xyyzzzz_xxxxxxyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1128); 

                auto tg_xyyzzzz_xxxxxxyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1129); 

                auto tg_xyyzzzz_xxxxxxzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1130); 

                auto tg_xyyzzzz_xxxxxyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1131); 

                auto tg_xyyzzzz_xxxxxyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1132); 

                auto tg_xyyzzzz_xxxxxyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1133); 

                auto tg_xyyzzzz_xxxxxzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1134); 

                auto tg_xyyzzzz_xxxxyyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1135); 

                auto tg_xyyzzzz_xxxxyyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1136); 

                auto tg_xyyzzzz_xxxxyyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1137); 

                auto tg_xyyzzzz_xxxxyzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1138); 

                auto tg_xyyzzzz_xxxxzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1139); 

                auto tg_xyyzzzz_xxxyyyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1140); 

                auto tg_xyyzzzz_xxxyyyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1141); 

                auto tg_xyyzzzz_xxxyyyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1142); 

                auto tg_xyyzzzz_xxxyyzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1143); 

                auto tg_xyyzzzz_xxxyzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1144); 

                auto tg_xyyzzzz_xxxzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1145); 

                auto tg_xyyzzzz_xxyyyyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1146); 

                auto tg_xyyzzzz_xxyyyyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1147); 

                auto tg_xyyzzzz_xxyyyyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1148); 

                auto tg_xyyzzzz_xxyyyzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1149); 

                auto tg_xyyzzzz_xxyyzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1150); 

                auto tg_xyyzzzz_xxyzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1151); 

                auto tg_xyyzzzz_xxzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1152); 

                auto tg_xyyzzzz_xyyyyyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1153); 

                auto tg_xyyzzzz_xyyyyyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1154); 

                auto tg_xyyzzzz_xyyyyyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1155); 

                auto tg_xyyzzzz_xyyyyzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1156); 

                auto tg_xyyzzzz_xyyyzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1157); 

                auto tg_xyyzzzz_xyyzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1158); 

                auto tg_xyyzzzz_xyzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1159); 

                auto tg_xyyzzzz_xzzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1160); 

                auto tg_xyyyyzz_xyyyyyzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1065); 

                auto tg_xyyyyzz_xyyyyzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1066); 

                auto tg_xyyyyzz_xyyyzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1067); 

                auto tg_xyyyyzz_xyyzzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1068); 

                auto tg_xyyyyzz_xyzzzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1069); 

                auto tg_xyyyyzz_xzzzzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1070); 

                auto tg_xyyyyzz_yyyyyyyy_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1071); 

                auto tg_xyyyyzz_yyyyyyyz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1072); 

                auto tg_xyyyyzz_yyyyyyzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1073); 

                auto tg_xyyyyzz_yyyyyzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1074); 

                auto tg_xyyyyzz_yyyyzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1075); 

                auto tg_xyyyyzz_yyyzzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1076); 

                auto tg_xyyyyzz_yyzzzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1077); 

                auto tg_xyyyyzz_yzzzzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1078); 

                auto tg_xyyyyzz_zzzzzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1079); 

                auto tg_xyyyzzz_xxxxxxxx_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1080); 

                auto tg_xyyyzzz_xxxxxxxy_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1081); 

                auto tg_xyyyzzz_xxxxxxxz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1082); 

                auto tg_xyyyzzz_xxxxxxyy_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1083); 

                auto tg_xyyyzzz_xxxxxxyz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1084); 

                auto tg_xyyyzzz_xxxxxxzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1085); 

                auto tg_xyyyzzz_xxxxxyyy_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1086); 

                auto tg_xyyyzzz_xxxxxyyz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1087); 

                auto tg_xyyyzzz_xxxxxyzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1088); 

                auto tg_xyyyzzz_xxxxxzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1089); 

                auto tg_xyyyzzz_xxxxyyyy_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1090); 

                auto tg_xyyyzzz_xxxxyyyz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1091); 

                auto tg_xyyyzzz_xxxxyyzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1092); 

                auto tg_xyyyzzz_xxxxyzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1093); 

                auto tg_xyyyzzz_xxxxzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1094); 

                auto tg_xyyyzzz_xxxyyyyy_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1095); 

                auto tg_xyyyzzz_xxxyyyyz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1096); 

                auto tg_xyyyzzz_xxxyyyzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1097); 

                auto tg_xyyyzzz_xxxyyzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1098); 

                auto tg_xyyyzzz_xxxyzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1099); 

                auto tg_xyyyzzz_xxxzzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1100); 

                auto tg_xyyyzzz_xxyyyyyy_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1101); 

                auto tg_xyyyzzz_xxyyyyyz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1102); 

                auto tg_xyyyzzz_xxyyyyzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1103); 

                auto tg_xyyyzzz_xxyyyzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1104); 

                auto tg_xyyyzzz_xxyyzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1105); 

                auto tg_xyyyzzz_xxyzzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1106); 

                auto tg_xyyyzzz_xxzzzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1107); 

                auto tg_xyyyzzz_xyyyyyyy_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1108); 

                auto tg_xyyyzzz_xyyyyyyz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1109); 

                auto tg_xyyyzzz_xyyyyyzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1110); 

                auto tg_xyyyzzz_xyyyyzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1111); 

                auto tg_xyyyzzz_xyyyzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1112); 

                auto tg_xyyyzzz_xyyzzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1113); 

                auto tg_xyyyzzz_xyzzzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1114); 

                auto tg_xyyyzzz_xzzzzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1115); 

                auto tg_xyyyzzz_yyyyyyyy_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1116); 

                auto tg_xyyyzzz_yyyyyyyz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1117); 

                auto tg_xyyyzzz_yyyyyyzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1118); 

                auto tg_xyyyzzz_yyyyyzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1119); 

                auto tg_xyyyzzz_yyyyzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1120); 

                auto tg_xyyyzzz_yyyzzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1121); 

                auto tg_xyyyzzz_yyzzzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1122); 

                auto tg_xyyyzzz_yzzzzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1123); 

                auto tg_xyyyzzz_zzzzzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1124); 

                auto tg_xyyzzzz_xxxxxxxx_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1125); 

                auto tg_xyyzzzz_xxxxxxxy_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1126); 

                auto tg_xyyzzzz_xxxxxxxz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1127); 

                auto tg_xyyzzzz_xxxxxxyy_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1128); 

                auto tg_xyyzzzz_xxxxxxyz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1129); 

                auto tg_xyyzzzz_xxxxxxzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1130); 

                auto tg_xyyzzzz_xxxxxyyy_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1131); 

                auto tg_xyyzzzz_xxxxxyyz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1132); 

                auto tg_xyyzzzz_xxxxxyzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1133); 

                auto tg_xyyzzzz_xxxxxzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1134); 

                auto tg_xyyzzzz_xxxxyyyy_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1135); 

                auto tg_xyyzzzz_xxxxyyyz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1136); 

                auto tg_xyyzzzz_xxxxyyzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1137); 

                auto tg_xyyzzzz_xxxxyzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1138); 

                auto tg_xyyzzzz_xxxxzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1139); 

                auto tg_xyyzzzz_xxxyyyyy_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1140); 

                auto tg_xyyzzzz_xxxyyyyz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1141); 

                auto tg_xyyzzzz_xxxyyyzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1142); 

                auto tg_xyyzzzz_xxxyyzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1143); 

                auto tg_xyyzzzz_xxxyzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1144); 

                auto tg_xyyzzzz_xxxzzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1145); 

                auto tg_xyyzzzz_xxyyyyyy_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1146); 

                auto tg_xyyzzzz_xxyyyyyz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1147); 

                auto tg_xyyzzzz_xxyyyyzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1148); 

                auto tg_xyyzzzz_xxyyyzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1149); 

                auto tg_xyyzzzz_xxyyzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1150); 

                auto tg_xyyzzzz_xxyzzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1151); 

                auto tg_xyyzzzz_xxzzzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1152); 

                auto tg_xyyzzzz_xyyyyyyy_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1153); 

                auto tg_xyyzzzz_xyyyyyyz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1154); 

                auto tg_xyyzzzz_xyyyyyzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1155); 

                auto tg_xyyzzzz_xyyyyzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1156); 

                auto tg_xyyzzzz_xyyyzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1157); 

                auto tg_xyyzzzz_xyyzzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1158); 

                auto tg_xyyzzzz_xyzzzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1159); 

                auto tg_xyyzzzz_xzzzzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1160); 

                auto tg_yyyyzz_xyyyyyzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1065); 

                auto tg_yyyyzz_xyyyyzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1066); 

                auto tg_yyyyzz_xyyyzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1067); 

                auto tg_yyyyzz_xyyzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1068); 

                auto tg_yyyyzz_xyzzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1069); 

                auto tg_yyyyzz_xzzzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1070); 

                auto tg_yyyyzz_yyyyyyyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1071); 

                auto tg_yyyyzz_yyyyyyyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1072); 

                auto tg_yyyyzz_yyyyyyzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1073); 

                auto tg_yyyyzz_yyyyyzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1074); 

                auto tg_yyyyzz_yyyyzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1075); 

                auto tg_yyyyzz_yyyzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1076); 

                auto tg_yyyyzz_yyzzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1077); 

                auto tg_yyyyzz_yzzzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1078); 

                auto tg_yyyyzz_zzzzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1079); 

                auto tg_yyyzzz_xxxxxxxx_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1080); 

                auto tg_yyyzzz_xxxxxxxy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1081); 

                auto tg_yyyzzz_xxxxxxxz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1082); 

                auto tg_yyyzzz_xxxxxxyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1083); 

                auto tg_yyyzzz_xxxxxxyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1084); 

                auto tg_yyyzzz_xxxxxxzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1085); 

                auto tg_yyyzzz_xxxxxyyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1086); 

                auto tg_yyyzzz_xxxxxyyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1087); 

                auto tg_yyyzzz_xxxxxyzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1088); 

                auto tg_yyyzzz_xxxxxzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1089); 

                auto tg_yyyzzz_xxxxyyyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1090); 

                auto tg_yyyzzz_xxxxyyyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1091); 

                auto tg_yyyzzz_xxxxyyzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1092); 

                auto tg_yyyzzz_xxxxyzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1093); 

                auto tg_yyyzzz_xxxxzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1094); 

                auto tg_yyyzzz_xxxyyyyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1095); 

                auto tg_yyyzzz_xxxyyyyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1096); 

                auto tg_yyyzzz_xxxyyyzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1097); 

                auto tg_yyyzzz_xxxyyzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1098); 

                auto tg_yyyzzz_xxxyzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1099); 

                auto tg_yyyzzz_xxxzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1100); 

                auto tg_yyyzzz_xxyyyyyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1101); 

                auto tg_yyyzzz_xxyyyyyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1102); 

                auto tg_yyyzzz_xxyyyyzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1103); 

                auto tg_yyyzzz_xxyyyzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1104); 

                auto tg_yyyzzz_xxyyzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1105); 

                auto tg_yyyzzz_xxyzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1106); 

                auto tg_yyyzzz_xxzzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1107); 

                auto tg_yyyzzz_xyyyyyyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1108); 

                auto tg_yyyzzz_xyyyyyyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1109); 

                auto tg_yyyzzz_xyyyyyzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1110); 

                auto tg_yyyzzz_xyyyyzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1111); 

                auto tg_yyyzzz_xyyyzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1112); 

                auto tg_yyyzzz_xyyzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1113); 

                auto tg_yyyzzz_xyzzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1114); 

                auto tg_yyyzzz_xzzzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1115); 

                auto tg_yyyzzz_yyyyyyyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1116); 

                auto tg_yyyzzz_yyyyyyyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1117); 

                auto tg_yyyzzz_yyyyyyzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1118); 

                auto tg_yyyzzz_yyyyyzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1119); 

                auto tg_yyyzzz_yyyyzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1120); 

                auto tg_yyyzzz_yyyzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1121); 

                auto tg_yyyzzz_yyzzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1122); 

                auto tg_yyyzzz_yzzzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1123); 

                auto tg_yyyzzz_zzzzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1124); 

                auto tg_yyzzzz_xxxxxxxx_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1125); 

                auto tg_yyzzzz_xxxxxxxy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1126); 

                auto tg_yyzzzz_xxxxxxxz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1127); 

                auto tg_yyzzzz_xxxxxxyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1128); 

                auto tg_yyzzzz_xxxxxxyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1129); 

                auto tg_yyzzzz_xxxxxxzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1130); 

                auto tg_yyzzzz_xxxxxyyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1131); 

                auto tg_yyzzzz_xxxxxyyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1132); 

                auto tg_yyzzzz_xxxxxyzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1133); 

                auto tg_yyzzzz_xxxxxzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1134); 

                auto tg_yyzzzz_xxxxyyyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1135); 

                auto tg_yyzzzz_xxxxyyyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1136); 

                auto tg_yyzzzz_xxxxyyzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1137); 

                auto tg_yyzzzz_xxxxyzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1138); 

                auto tg_yyzzzz_xxxxzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1139); 

                auto tg_yyzzzz_xxxyyyyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1140); 

                auto tg_yyzzzz_xxxyyyyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1141); 

                auto tg_yyzzzz_xxxyyyzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1142); 

                auto tg_yyzzzz_xxxyyzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1143); 

                auto tg_yyzzzz_xxxyzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1144); 

                auto tg_yyzzzz_xxxzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1145); 

                auto tg_yyzzzz_xxyyyyyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1146); 

                auto tg_yyzzzz_xxyyyyyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1147); 

                auto tg_yyzzzz_xxyyyyzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1148); 

                auto tg_yyzzzz_xxyyyzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1149); 

                auto tg_yyzzzz_xxyyzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1150); 

                auto tg_yyzzzz_xxyzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1151); 

                auto tg_yyzzzz_xxzzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1152); 

                auto tg_yyzzzz_xyyyyyyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1153); 

                auto tg_yyzzzz_xyyyyyyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1154); 

                auto tg_yyzzzz_xyyyyyzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1155); 

                auto tg_yyzzzz_xyyyyzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1156); 

                auto tg_yyzzzz_xyyyzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1157); 

                auto tg_yyzzzz_xyyzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1158); 

                auto tg_yyzzzz_xyzzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1159); 

                auto tg_yyzzzz_xzzzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1160); 

                auto tg_yyyyzz_xyyyyyzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1065); 

                auto tg_yyyyzz_xyyyyzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1066); 

                auto tg_yyyyzz_xyyyzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1067); 

                auto tg_yyyyzz_xyyzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1068); 

                auto tg_yyyyzz_xyzzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1069); 

                auto tg_yyyyzz_xzzzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1070); 

                auto tg_yyyyzz_yyyyyyyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1071); 

                auto tg_yyyyzz_yyyyyyyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1072); 

                auto tg_yyyyzz_yyyyyyzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1073); 

                auto tg_yyyyzz_yyyyyzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1074); 

                auto tg_yyyyzz_yyyyzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1075); 

                auto tg_yyyyzz_yyyzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1076); 

                auto tg_yyyyzz_yyzzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1077); 

                auto tg_yyyyzz_yzzzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1078); 

                auto tg_yyyyzz_zzzzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1079); 

                auto tg_yyyzzz_xxxxxxxx_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1080); 

                auto tg_yyyzzz_xxxxxxxy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1081); 

                auto tg_yyyzzz_xxxxxxxz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1082); 

                auto tg_yyyzzz_xxxxxxyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1083); 

                auto tg_yyyzzz_xxxxxxyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1084); 

                auto tg_yyyzzz_xxxxxxzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1085); 

                auto tg_yyyzzz_xxxxxyyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1086); 

                auto tg_yyyzzz_xxxxxyyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1087); 

                auto tg_yyyzzz_xxxxxyzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1088); 

                auto tg_yyyzzz_xxxxxzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1089); 

                auto tg_yyyzzz_xxxxyyyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1090); 

                auto tg_yyyzzz_xxxxyyyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1091); 

                auto tg_yyyzzz_xxxxyyzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1092); 

                auto tg_yyyzzz_xxxxyzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1093); 

                auto tg_yyyzzz_xxxxzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1094); 

                auto tg_yyyzzz_xxxyyyyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1095); 

                auto tg_yyyzzz_xxxyyyyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1096); 

                auto tg_yyyzzz_xxxyyyzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1097); 

                auto tg_yyyzzz_xxxyyzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1098); 

                auto tg_yyyzzz_xxxyzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1099); 

                auto tg_yyyzzz_xxxzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1100); 

                auto tg_yyyzzz_xxyyyyyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1101); 

                auto tg_yyyzzz_xxyyyyyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1102); 

                auto tg_yyyzzz_xxyyyyzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1103); 

                auto tg_yyyzzz_xxyyyzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1104); 

                auto tg_yyyzzz_xxyyzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1105); 

                auto tg_yyyzzz_xxyzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1106); 

                auto tg_yyyzzz_xxzzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1107); 

                auto tg_yyyzzz_xyyyyyyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1108); 

                auto tg_yyyzzz_xyyyyyyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1109); 

                auto tg_yyyzzz_xyyyyyzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1110); 

                auto tg_yyyzzz_xyyyyzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1111); 

                auto tg_yyyzzz_xyyyzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1112); 

                auto tg_yyyzzz_xyyzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1113); 

                auto tg_yyyzzz_xyzzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1114); 

                auto tg_yyyzzz_xzzzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1115); 

                auto tg_yyyzzz_yyyyyyyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1116); 

                auto tg_yyyzzz_yyyyyyyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1117); 

                auto tg_yyyzzz_yyyyyyzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1118); 

                auto tg_yyyzzz_yyyyyzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1119); 

                auto tg_yyyzzz_yyyyzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1120); 

                auto tg_yyyzzz_yyyzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1121); 

                auto tg_yyyzzz_yyzzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1122); 

                auto tg_yyyzzz_yzzzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1123); 

                auto tg_yyyzzz_zzzzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1124); 

                auto tg_yyzzzz_xxxxxxxx_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1125); 

                auto tg_yyzzzz_xxxxxxxy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1126); 

                auto tg_yyzzzz_xxxxxxxz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1127); 

                auto tg_yyzzzz_xxxxxxyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1128); 

                auto tg_yyzzzz_xxxxxxyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1129); 

                auto tg_yyzzzz_xxxxxxzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1130); 

                auto tg_yyzzzz_xxxxxyyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1131); 

                auto tg_yyzzzz_xxxxxyyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1132); 

                auto tg_yyzzzz_xxxxxyzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1133); 

                auto tg_yyzzzz_xxxxxzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1134); 

                auto tg_yyzzzz_xxxxyyyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1135); 

                auto tg_yyzzzz_xxxxyyyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1136); 

                auto tg_yyzzzz_xxxxyyzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1137); 

                auto tg_yyzzzz_xxxxyzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1138); 

                auto tg_yyzzzz_xxxxzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1139); 

                auto tg_yyzzzz_xxxyyyyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1140); 

                auto tg_yyzzzz_xxxyyyyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1141); 

                auto tg_yyzzzz_xxxyyyzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1142); 

                auto tg_yyzzzz_xxxyyzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1143); 

                auto tg_yyzzzz_xxxyzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1144); 

                auto tg_yyzzzz_xxxzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1145); 

                auto tg_yyzzzz_xxyyyyyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1146); 

                auto tg_yyzzzz_xxyyyyyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1147); 

                auto tg_yyzzzz_xxyyyyzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1148); 

                auto tg_yyzzzz_xxyyyzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1149); 

                auto tg_yyzzzz_xxyyzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1150); 

                auto tg_yyzzzz_xxyzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1151); 

                auto tg_yyzzzz_xxzzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1152); 

                auto tg_yyzzzz_xyyyyyyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1153); 

                auto tg_yyzzzz_xyyyyyyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1154); 

                auto tg_yyzzzz_xyyyyyzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1155); 

                auto tg_yyzzzz_xyyyyzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1156); 

                auto tg_yyzzzz_xyyyzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1157); 

                auto tg_yyzzzz_xyyzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1158); 

                auto tg_yyzzzz_xyzzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1159); 

                auto tg_yyzzzz_xzzzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1160); 

                auto tg_xyyyyzz_yyyyyzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 858); 

                auto tg_xyyyyzz_yyyyzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 859); 

                auto tg_xyyyyzz_yyyzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 860); 

                auto tg_xyyyyzz_yyzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 861); 

                auto tg_xyyyyzz_yzzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 862); 

                auto tg_xyyyyzz_zzzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 863); 

                auto tg_xyyyzzz_xxxxxxx_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 864); 

                auto tg_xyyyzzz_xxxxxxy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 865); 

                auto tg_xyyyzzz_xxxxxxz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 866); 

                auto tg_xyyyzzz_xxxxxyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 867); 

                auto tg_xyyyzzz_xxxxxyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 868); 

                auto tg_xyyyzzz_xxxxxzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 869); 

                auto tg_xyyyzzz_xxxxyyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 870); 

                auto tg_xyyyzzz_xxxxyyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 871); 

                auto tg_xyyyzzz_xxxxyzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 872); 

                auto tg_xyyyzzz_xxxxzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 873); 

                auto tg_xyyyzzz_xxxyyyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 874); 

                auto tg_xyyyzzz_xxxyyyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 875); 

                auto tg_xyyyzzz_xxxyyzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 876); 

                auto tg_xyyyzzz_xxxyzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 877); 

                auto tg_xyyyzzz_xxxzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 878); 

                auto tg_xyyyzzz_xxyyyyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 879); 

                auto tg_xyyyzzz_xxyyyyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 880); 

                auto tg_xyyyzzz_xxyyyzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 881); 

                auto tg_xyyyzzz_xxyyzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 882); 

                auto tg_xyyyzzz_xxyzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 883); 

                auto tg_xyyyzzz_xxzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 884); 

                auto tg_xyyyzzz_xyyyyyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 885); 

                auto tg_xyyyzzz_xyyyyyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 886); 

                auto tg_xyyyzzz_xyyyyzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 887); 

                auto tg_xyyyzzz_xyyyzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 888); 

                auto tg_xyyyzzz_xyyzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 889); 

                auto tg_xyyyzzz_xyzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 890); 

                auto tg_xyyyzzz_xzzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 891); 

                auto tg_xyyyzzz_yyyyyyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 892); 

                auto tg_xyyyzzz_yyyyyyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 893); 

                auto tg_xyyyzzz_yyyyyzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 894); 

                auto tg_xyyyzzz_yyyyzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 895); 

                auto tg_xyyyzzz_yyyzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 896); 

                auto tg_xyyyzzz_yyzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 897); 

                auto tg_xyyyzzz_yzzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 898); 

                auto tg_xyyyzzz_zzzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 899); 

                auto tg_xyyzzzz_xxxxxxx_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 900); 

                auto tg_xyyzzzz_xxxxxxy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 901); 

                auto tg_xyyzzzz_xxxxxxz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 902); 

                auto tg_xyyzzzz_xxxxxyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 903); 

                auto tg_xyyzzzz_xxxxxyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 904); 

                auto tg_xyyzzzz_xxxxxzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 905); 

                auto tg_xyyzzzz_xxxxyyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 906); 

                auto tg_xyyzzzz_xxxxyyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 907); 

                auto tg_xyyzzzz_xxxxyzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 908); 

                auto tg_xyyzzzz_xxxxzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 909); 

                auto tg_xyyzzzz_xxxyyyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 910); 

                auto tg_xyyzzzz_xxxyyyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 911); 

                auto tg_xyyzzzz_xxxyyzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 912); 

                auto tg_xyyzzzz_xxxyzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 913); 

                auto tg_xyyzzzz_xxxzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 914); 

                auto tg_xyyzzzz_xxyyyyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 915); 

                auto tg_xyyzzzz_xxyyyyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 916); 

                auto tg_xyyzzzz_xxyyyzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 917); 

                auto tg_xyyzzzz_xxyyzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 918); 

                auto tg_xyyzzzz_xxyzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 919); 

                auto tg_xyyzzzz_xxzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 920); 

                auto tg_xyyzzzz_xyyyyyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 921); 

                auto tg_xyyzzzz_xyyyyyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 922); 

                auto tg_xyyzzzz_xyyyyzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 923); 

                auto tg_xyyzzzz_xyyyzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 924); 

                auto tg_xyyzzzz_xyyzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 925); 

                auto tg_xyyzzzz_xyzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 926); 

                auto tg_xyyzzzz_xzzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 927); 

                auto tg_xyyzzzz_yyyyyyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 928); 

                auto tg_xyyzzzz_yyyyyyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 929); 

                auto tg_xyyzzzz_yyyyyzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 930); 

                auto tg_xyyzzzz_yyyyzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 931); 

                auto tg_xyyzzzz_yyyzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 932); 

                auto tg_xyyzzzz_yyzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 933); 

                auto tg_xyyzzzz_yzzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 934); 

                auto tg_xyyzzzz_zzzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 935); 

                // set up pointers to integrals

                auto tg_xxyyyyzz_xyyyyyzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1065); 

                auto tg_xxyyyyzz_xyyyyzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1066); 

                auto tg_xxyyyyzz_xyyyzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1067); 

                auto tg_xxyyyyzz_xyyzzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1068); 

                auto tg_xxyyyyzz_xyzzzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1069); 

                auto tg_xxyyyyzz_xzzzzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1070); 

                auto tg_xxyyyyzz_yyyyyyyy_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1071); 

                auto tg_xxyyyyzz_yyyyyyyz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1072); 

                auto tg_xxyyyyzz_yyyyyyzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1073); 

                auto tg_xxyyyyzz_yyyyyzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1074); 

                auto tg_xxyyyyzz_yyyyzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1075); 

                auto tg_xxyyyyzz_yyyzzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1076); 

                auto tg_xxyyyyzz_yyzzzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1077); 

                auto tg_xxyyyyzz_yzzzzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1078); 

                auto tg_xxyyyyzz_zzzzzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1079); 

                auto tg_xxyyyzzz_xxxxxxxx_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1080); 

                auto tg_xxyyyzzz_xxxxxxxy_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1081); 

                auto tg_xxyyyzzz_xxxxxxxz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1082); 

                auto tg_xxyyyzzz_xxxxxxyy_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1083); 

                auto tg_xxyyyzzz_xxxxxxyz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1084); 

                auto tg_xxyyyzzz_xxxxxxzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1085); 

                auto tg_xxyyyzzz_xxxxxyyy_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1086); 

                auto tg_xxyyyzzz_xxxxxyyz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1087); 

                auto tg_xxyyyzzz_xxxxxyzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1088); 

                auto tg_xxyyyzzz_xxxxxzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1089); 

                auto tg_xxyyyzzz_xxxxyyyy_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1090); 

                auto tg_xxyyyzzz_xxxxyyyz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1091); 

                auto tg_xxyyyzzz_xxxxyyzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1092); 

                auto tg_xxyyyzzz_xxxxyzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1093); 

                auto tg_xxyyyzzz_xxxxzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1094); 

                auto tg_xxyyyzzz_xxxyyyyy_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1095); 

                auto tg_xxyyyzzz_xxxyyyyz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1096); 

                auto tg_xxyyyzzz_xxxyyyzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1097); 

                auto tg_xxyyyzzz_xxxyyzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1098); 

                auto tg_xxyyyzzz_xxxyzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1099); 

                auto tg_xxyyyzzz_xxxzzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1100); 

                auto tg_xxyyyzzz_xxyyyyyy_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1101); 

                auto tg_xxyyyzzz_xxyyyyyz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1102); 

                auto tg_xxyyyzzz_xxyyyyzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1103); 

                auto tg_xxyyyzzz_xxyyyzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1104); 

                auto tg_xxyyyzzz_xxyyzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1105); 

                auto tg_xxyyyzzz_xxyzzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1106); 

                auto tg_xxyyyzzz_xxzzzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1107); 

                auto tg_xxyyyzzz_xyyyyyyy_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1108); 

                auto tg_xxyyyzzz_xyyyyyyz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1109); 

                auto tg_xxyyyzzz_xyyyyyzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1110); 

                auto tg_xxyyyzzz_xyyyyzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1111); 

                auto tg_xxyyyzzz_xyyyzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1112); 

                auto tg_xxyyyzzz_xyyzzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1113); 

                auto tg_xxyyyzzz_xyzzzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1114); 

                auto tg_xxyyyzzz_xzzzzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1115); 

                auto tg_xxyyyzzz_yyyyyyyy_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1116); 

                auto tg_xxyyyzzz_yyyyyyyz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1117); 

                auto tg_xxyyyzzz_yyyyyyzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1118); 

                auto tg_xxyyyzzz_yyyyyzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1119); 

                auto tg_xxyyyzzz_yyyyzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1120); 

                auto tg_xxyyyzzz_yyyzzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1121); 

                auto tg_xxyyyzzz_yyzzzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1122); 

                auto tg_xxyyyzzz_yzzzzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1123); 

                auto tg_xxyyyzzz_zzzzzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1124); 

                auto tg_xxyyzzzz_xxxxxxxx_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1125); 

                auto tg_xxyyzzzz_xxxxxxxy_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1126); 

                auto tg_xxyyzzzz_xxxxxxxz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1127); 

                auto tg_xxyyzzzz_xxxxxxyy_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1128); 

                auto tg_xxyyzzzz_xxxxxxyz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1129); 

                auto tg_xxyyzzzz_xxxxxxzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1130); 

                auto tg_xxyyzzzz_xxxxxyyy_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1131); 

                auto tg_xxyyzzzz_xxxxxyyz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1132); 

                auto tg_xxyyzzzz_xxxxxyzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1133); 

                auto tg_xxyyzzzz_xxxxxzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1134); 

                auto tg_xxyyzzzz_xxxxyyyy_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1135); 

                auto tg_xxyyzzzz_xxxxyyyz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1136); 

                auto tg_xxyyzzzz_xxxxyyzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1137); 

                auto tg_xxyyzzzz_xxxxyzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1138); 

                auto tg_xxyyzzzz_xxxxzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1139); 

                auto tg_xxyyzzzz_xxxyyyyy_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1140); 

                auto tg_xxyyzzzz_xxxyyyyz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1141); 

                auto tg_xxyyzzzz_xxxyyyzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1142); 

                auto tg_xxyyzzzz_xxxyyzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1143); 

                auto tg_xxyyzzzz_xxxyzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1144); 

                auto tg_xxyyzzzz_xxxzzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1145); 

                auto tg_xxyyzzzz_xxyyyyyy_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1146); 

                auto tg_xxyyzzzz_xxyyyyyz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1147); 

                auto tg_xxyyzzzz_xxyyyyzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1148); 

                auto tg_xxyyzzzz_xxyyyzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1149); 

                auto tg_xxyyzzzz_xxyyzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1150); 

                auto tg_xxyyzzzz_xxyzzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1151); 

                auto tg_xxyyzzzz_xxzzzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1152); 

                auto tg_xxyyzzzz_xyyyyyyy_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1153); 

                auto tg_xxyyzzzz_xyyyyyyz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1154); 

                auto tg_xxyyzzzz_xyyyyyzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1155); 

                auto tg_xxyyzzzz_xyyyyzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1156); 

                auto tg_xxyyzzzz_xyyyzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1157); 

                auto tg_xxyyzzzz_xyyzzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1158); 

                auto tg_xxyyzzzz_xyzzzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1159); 

                auto tg_xxyyzzzz_xzzzzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1160); 

                // Batch of Integrals (1065,1161)

                #pragma omp simd aligned(fxn, fza, tg_xxyyyyzz_xyyyyyzz_0, tg_xxyyyyzz_xyyyyzzz_0, \
                                         tg_xxyyyyzz_xyyyzzzz_0, tg_xxyyyyzz_xyyzzzzz_0, tg_xxyyyyzz_xyzzzzzz_0, \
                                         tg_xxyyyyzz_xzzzzzzz_0, tg_xxyyyyzz_yyyyyyyy_0, tg_xxyyyyzz_yyyyyyyz_0, \
                                         tg_xxyyyyzz_yyyyyyzz_0, tg_xxyyyyzz_yyyyyzzz_0, tg_xxyyyyzz_yyyyzzzz_0, \
                                         tg_xxyyyyzz_yyyzzzzz_0, tg_xxyyyyzz_yyzzzzzz_0, tg_xxyyyyzz_yzzzzzzz_0, \
                                         tg_xxyyyyzz_zzzzzzzz_0, tg_xxyyyzzz_xxxxxxxx_0, tg_xxyyyzzz_xxxxxxxy_0, \
                                         tg_xxyyyzzz_xxxxxxxz_0, tg_xxyyyzzz_xxxxxxyy_0, tg_xxyyyzzz_xxxxxxyz_0, \
                                         tg_xxyyyzzz_xxxxxxzz_0, tg_xxyyyzzz_xxxxxyyy_0, tg_xxyyyzzz_xxxxxyyz_0, \
                                         tg_xxyyyzzz_xxxxxyzz_0, tg_xxyyyzzz_xxxxxzzz_0, tg_xxyyyzzz_xxxxyyyy_0, \
                                         tg_xxyyyzzz_xxxxyyyz_0, tg_xxyyyzzz_xxxxyyzz_0, tg_xxyyyzzz_xxxxyzzz_0, \
                                         tg_xxyyyzzz_xxxxzzzz_0, tg_xxyyyzzz_xxxyyyyy_0, tg_xxyyyzzz_xxxyyyyz_0, \
                                         tg_xxyyyzzz_xxxyyyzz_0, tg_xxyyyzzz_xxxyyzzz_0, tg_xxyyyzzz_xxxyzzzz_0, \
                                         tg_xxyyyzzz_xxxzzzzz_0, tg_xxyyyzzz_xxyyyyyy_0, tg_xxyyyzzz_xxyyyyyz_0, \
                                         tg_xxyyyzzz_xxyyyyzz_0, tg_xxyyyzzz_xxyyyzzz_0, tg_xxyyyzzz_xxyyzzzz_0, \
                                         tg_xxyyyzzz_xxyzzzzz_0, tg_xxyyyzzz_xxzzzzzz_0, tg_xxyyyzzz_xyyyyyyy_0, \
                                         tg_xxyyyzzz_xyyyyyyz_0, tg_xxyyyzzz_xyyyyyzz_0, tg_xxyyyzzz_xyyyyzzz_0, \
                                         tg_xxyyyzzz_xyyyzzzz_0, tg_xxyyyzzz_xyyzzzzz_0, tg_xxyyyzzz_xyzzzzzz_0, \
                                         tg_xxyyyzzz_xzzzzzzz_0, tg_xxyyyzzz_yyyyyyyy_0, tg_xxyyyzzz_yyyyyyyz_0, \
                                         tg_xxyyyzzz_yyyyyyzz_0, tg_xxyyyzzz_yyyyyzzz_0, tg_xxyyyzzz_yyyyzzzz_0, \
                                         tg_xxyyyzzz_yyyzzzzz_0, tg_xxyyyzzz_yyzzzzzz_0, tg_xxyyyzzz_yzzzzzzz_0, \
                                         tg_xxyyyzzz_zzzzzzzz_0, tg_xxyyzzzz_xxxxxxxx_0, tg_xxyyzzzz_xxxxxxxy_0, \
                                         tg_xxyyzzzz_xxxxxxxz_0, tg_xxyyzzzz_xxxxxxyy_0, tg_xxyyzzzz_xxxxxxyz_0, \
                                         tg_xxyyzzzz_xxxxxxzz_0, tg_xxyyzzzz_xxxxxyyy_0, tg_xxyyzzzz_xxxxxyyz_0, \
                                         tg_xxyyzzzz_xxxxxyzz_0, tg_xxyyzzzz_xxxxxzzz_0, tg_xxyyzzzz_xxxxyyyy_0, \
                                         tg_xxyyzzzz_xxxxyyyz_0, tg_xxyyzzzz_xxxxyyzz_0, tg_xxyyzzzz_xxxxyzzz_0, \
                                         tg_xxyyzzzz_xxxxzzzz_0, tg_xxyyzzzz_xxxyyyyy_0, tg_xxyyzzzz_xxxyyyyz_0, \
                                         tg_xxyyzzzz_xxxyyyzz_0, tg_xxyyzzzz_xxxyyzzz_0, tg_xxyyzzzz_xxxyzzzz_0, \
                                         tg_xxyyzzzz_xxxzzzzz_0, tg_xxyyzzzz_xxyyyyyy_0, tg_xxyyzzzz_xxyyyyyz_0, \
                                         tg_xxyyzzzz_xxyyyyzz_0, tg_xxyyzzzz_xxyyyzzz_0, tg_xxyyzzzz_xxyyzzzz_0, \
                                         tg_xxyyzzzz_xxyzzzzz_0, tg_xxyyzzzz_xxzzzzzz_0, tg_xxyyzzzz_xyyyyyyy_0, \
                                         tg_xxyyzzzz_xyyyyyyz_0, tg_xxyyzzzz_xyyyyyzz_0, tg_xxyyzzzz_xyyyyzzz_0, \
                                         tg_xxyyzzzz_xyyyzzzz_0, tg_xxyyzzzz_xyyzzzzz_0, tg_xxyyzzzz_xyzzzzzz_0, \
                                         tg_xxyyzzzz_xzzzzzzz_0, tg_xyyyyzz_xyyyyyzz_0, tg_xyyyyzz_xyyyyyzz_1, \
                                         tg_xyyyyzz_xyyyyzzz_0, tg_xyyyyzz_xyyyyzzz_1, tg_xyyyyzz_xyyyzzzz_0, \
                                         tg_xyyyyzz_xyyyzzzz_1, tg_xyyyyzz_xyyzzzzz_0, tg_xyyyyzz_xyyzzzzz_1, \
                                         tg_xyyyyzz_xyzzzzzz_0, tg_xyyyyzz_xyzzzzzz_1, tg_xyyyyzz_xzzzzzzz_0, \
                                         tg_xyyyyzz_xzzzzzzz_1, tg_xyyyyzz_yyyyyyyy_0, tg_xyyyyzz_yyyyyyyy_1, \
                                         tg_xyyyyzz_yyyyyyyz_0, tg_xyyyyzz_yyyyyyyz_1, tg_xyyyyzz_yyyyyyzz_0, \
                                         tg_xyyyyzz_yyyyyyzz_1, tg_xyyyyzz_yyyyyzz_1, tg_xyyyyzz_yyyyyzzz_0, \
                                         tg_xyyyyzz_yyyyyzzz_1, tg_xyyyyzz_yyyyzzz_1, tg_xyyyyzz_yyyyzzzz_0, \
                                         tg_xyyyyzz_yyyyzzzz_1, tg_xyyyyzz_yyyzzzz_1, tg_xyyyyzz_yyyzzzzz_0, \
                                         tg_xyyyyzz_yyyzzzzz_1, tg_xyyyyzz_yyzzzzz_1, tg_xyyyyzz_yyzzzzzz_0, \
                                         tg_xyyyyzz_yyzzzzzz_1, tg_xyyyyzz_yzzzzzz_1, tg_xyyyyzz_yzzzzzzz_0, \
                                         tg_xyyyyzz_yzzzzzzz_1, tg_xyyyyzz_zzzzzzz_1, tg_xyyyyzz_zzzzzzzz_0, \
                                         tg_xyyyyzz_zzzzzzzz_1, tg_xyyyzzz_xxxxxxx_1, tg_xyyyzzz_xxxxxxxx_0, \
                                         tg_xyyyzzz_xxxxxxxx_1, tg_xyyyzzz_xxxxxxxy_0, tg_xyyyzzz_xxxxxxxy_1, \
                                         tg_xyyyzzz_xxxxxxxz_0, tg_xyyyzzz_xxxxxxxz_1, tg_xyyyzzz_xxxxxxy_1, \
                                         tg_xyyyzzz_xxxxxxyy_0, tg_xyyyzzz_xxxxxxyy_1, tg_xyyyzzz_xxxxxxyz_0, \
                                         tg_xyyyzzz_xxxxxxyz_1, tg_xyyyzzz_xxxxxxz_1, tg_xyyyzzz_xxxxxxzz_0, \
                                         tg_xyyyzzz_xxxxxxzz_1, tg_xyyyzzz_xxxxxyy_1, tg_xyyyzzz_xxxxxyyy_0, \
                                         tg_xyyyzzz_xxxxxyyy_1, tg_xyyyzzz_xxxxxyyz_0, tg_xyyyzzz_xxxxxyyz_1, \
                                         tg_xyyyzzz_xxxxxyz_1, tg_xyyyzzz_xxxxxyzz_0, tg_xyyyzzz_xxxxxyzz_1, \
                                         tg_xyyyzzz_xxxxxzz_1, tg_xyyyzzz_xxxxxzzz_0, tg_xyyyzzz_xxxxxzzz_1, \
                                         tg_xyyyzzz_xxxxyyy_1, tg_xyyyzzz_xxxxyyyy_0, tg_xyyyzzz_xxxxyyyy_1, \
                                         tg_xyyyzzz_xxxxyyyz_0, tg_xyyyzzz_xxxxyyyz_1, tg_xyyyzzz_xxxxyyz_1, \
                                         tg_xyyyzzz_xxxxyyzz_0, tg_xyyyzzz_xxxxyyzz_1, tg_xyyyzzz_xxxxyzz_1, \
                                         tg_xyyyzzz_xxxxyzzz_0, tg_xyyyzzz_xxxxyzzz_1, tg_xyyyzzz_xxxxzzz_1, \
                                         tg_xyyyzzz_xxxxzzzz_0, tg_xyyyzzz_xxxxzzzz_1, tg_xyyyzzz_xxxyyyy_1, \
                                         tg_xyyyzzz_xxxyyyyy_0, tg_xyyyzzz_xxxyyyyy_1, tg_xyyyzzz_xxxyyyyz_0, \
                                         tg_xyyyzzz_xxxyyyyz_1, tg_xyyyzzz_xxxyyyz_1, tg_xyyyzzz_xxxyyyzz_0, \
                                         tg_xyyyzzz_xxxyyyzz_1, tg_xyyyzzz_xxxyyzz_1, tg_xyyyzzz_xxxyyzzz_0, \
                                         tg_xyyyzzz_xxxyyzzz_1, tg_xyyyzzz_xxxyzzz_1, tg_xyyyzzz_xxxyzzzz_0, \
                                         tg_xyyyzzz_xxxyzzzz_1, tg_xyyyzzz_xxxzzzz_1, tg_xyyyzzz_xxxzzzzz_0, \
                                         tg_xyyyzzz_xxxzzzzz_1, tg_xyyyzzz_xxyyyyy_1, tg_xyyyzzz_xxyyyyyy_0, \
                                         tg_xyyyzzz_xxyyyyyy_1, tg_xyyyzzz_xxyyyyyz_0, tg_xyyyzzz_xxyyyyyz_1, \
                                         tg_xyyyzzz_xxyyyyz_1, tg_xyyyzzz_xxyyyyzz_0, tg_xyyyzzz_xxyyyyzz_1, \
                                         tg_xyyyzzz_xxyyyzz_1, tg_xyyyzzz_xxyyyzzz_0, tg_xyyyzzz_xxyyyzzz_1, \
                                         tg_xyyyzzz_xxyyzzz_1, tg_xyyyzzz_xxyyzzzz_0, tg_xyyyzzz_xxyyzzzz_1, \
                                         tg_xyyyzzz_xxyzzzz_1, tg_xyyyzzz_xxyzzzzz_0, tg_xyyyzzz_xxyzzzzz_1, \
                                         tg_xyyyzzz_xxzzzzz_1, tg_xyyyzzz_xxzzzzzz_0, tg_xyyyzzz_xxzzzzzz_1, \
                                         tg_xyyyzzz_xyyyyyy_1, tg_xyyyzzz_xyyyyyyy_0, tg_xyyyzzz_xyyyyyyy_1, \
                                         tg_xyyyzzz_xyyyyyyz_0, tg_xyyyzzz_xyyyyyyz_1, tg_xyyyzzz_xyyyyyz_1, \
                                         tg_xyyyzzz_xyyyyyzz_0, tg_xyyyzzz_xyyyyyzz_1, tg_xyyyzzz_xyyyyzz_1, \
                                         tg_xyyyzzz_xyyyyzzz_0, tg_xyyyzzz_xyyyyzzz_1, tg_xyyyzzz_xyyyzzz_1, \
                                         tg_xyyyzzz_xyyyzzzz_0, tg_xyyyzzz_xyyyzzzz_1, tg_xyyyzzz_xyyzzzz_1, \
                                         tg_xyyyzzz_xyyzzzzz_0, tg_xyyyzzz_xyyzzzzz_1, tg_xyyyzzz_xyzzzzz_1, \
                                         tg_xyyyzzz_xyzzzzzz_0, tg_xyyyzzz_xyzzzzzz_1, tg_xyyyzzz_xzzzzzz_1, \
                                         tg_xyyyzzz_xzzzzzzz_0, tg_xyyyzzz_xzzzzzzz_1, tg_xyyyzzz_yyyyyyy_1, \
                                         tg_xyyyzzz_yyyyyyyy_0, tg_xyyyzzz_yyyyyyyy_1, tg_xyyyzzz_yyyyyyyz_0, \
                                         tg_xyyyzzz_yyyyyyyz_1, tg_xyyyzzz_yyyyyyz_1, tg_xyyyzzz_yyyyyyzz_0, \
                                         tg_xyyyzzz_yyyyyyzz_1, tg_xyyyzzz_yyyyyzz_1, tg_xyyyzzz_yyyyyzzz_0, \
                                         tg_xyyyzzz_yyyyyzzz_1, tg_xyyyzzz_yyyyzzz_1, tg_xyyyzzz_yyyyzzzz_0, \
                                         tg_xyyyzzz_yyyyzzzz_1, tg_xyyyzzz_yyyzzzz_1, tg_xyyyzzz_yyyzzzzz_0, \
                                         tg_xyyyzzz_yyyzzzzz_1, tg_xyyyzzz_yyzzzzz_1, tg_xyyyzzz_yyzzzzzz_0, \
                                         tg_xyyyzzz_yyzzzzzz_1, tg_xyyyzzz_yzzzzzz_1, tg_xyyyzzz_yzzzzzzz_0, \
                                         tg_xyyyzzz_yzzzzzzz_1, tg_xyyyzzz_zzzzzzz_1, tg_xyyyzzz_zzzzzzzz_0, \
                                         tg_xyyyzzz_zzzzzzzz_1, tg_xyyzzzz_xxxxxxx_1, tg_xyyzzzz_xxxxxxxx_0, \
                                         tg_xyyzzzz_xxxxxxxx_1, tg_xyyzzzz_xxxxxxxy_0, tg_xyyzzzz_xxxxxxxy_1, \
                                         tg_xyyzzzz_xxxxxxxz_0, tg_xyyzzzz_xxxxxxxz_1, tg_xyyzzzz_xxxxxxy_1, \
                                         tg_xyyzzzz_xxxxxxyy_0, tg_xyyzzzz_xxxxxxyy_1, tg_xyyzzzz_xxxxxxyz_0, \
                                         tg_xyyzzzz_xxxxxxyz_1, tg_xyyzzzz_xxxxxxz_1, tg_xyyzzzz_xxxxxxzz_0, \
                                         tg_xyyzzzz_xxxxxxzz_1, tg_xyyzzzz_xxxxxyy_1, tg_xyyzzzz_xxxxxyyy_0, \
                                         tg_xyyzzzz_xxxxxyyy_1, tg_xyyzzzz_xxxxxyyz_0, tg_xyyzzzz_xxxxxyyz_1, \
                                         tg_xyyzzzz_xxxxxyz_1, tg_xyyzzzz_xxxxxyzz_0, tg_xyyzzzz_xxxxxyzz_1, \
                                         tg_xyyzzzz_xxxxxzz_1, tg_xyyzzzz_xxxxxzzz_0, tg_xyyzzzz_xxxxxzzz_1, \
                                         tg_xyyzzzz_xxxxyyy_1, tg_xyyzzzz_xxxxyyyy_0, tg_xyyzzzz_xxxxyyyy_1, \
                                         tg_xyyzzzz_xxxxyyyz_0, tg_xyyzzzz_xxxxyyyz_1, tg_xyyzzzz_xxxxyyz_1, \
                                         tg_xyyzzzz_xxxxyyzz_0, tg_xyyzzzz_xxxxyyzz_1, tg_xyyzzzz_xxxxyzz_1, \
                                         tg_xyyzzzz_xxxxyzzz_0, tg_xyyzzzz_xxxxyzzz_1, tg_xyyzzzz_xxxxzzz_1, \
                                         tg_xyyzzzz_xxxxzzzz_0, tg_xyyzzzz_xxxxzzzz_1, tg_xyyzzzz_xxxyyyy_1, \
                                         tg_xyyzzzz_xxxyyyyy_0, tg_xyyzzzz_xxxyyyyy_1, tg_xyyzzzz_xxxyyyyz_0, \
                                         tg_xyyzzzz_xxxyyyyz_1, tg_xyyzzzz_xxxyyyz_1, tg_xyyzzzz_xxxyyyzz_0, \
                                         tg_xyyzzzz_xxxyyyzz_1, tg_xyyzzzz_xxxyyzz_1, tg_xyyzzzz_xxxyyzzz_0, \
                                         tg_xyyzzzz_xxxyyzzz_1, tg_xyyzzzz_xxxyzzz_1, tg_xyyzzzz_xxxyzzzz_0, \
                                         tg_xyyzzzz_xxxyzzzz_1, tg_xyyzzzz_xxxzzzz_1, tg_xyyzzzz_xxxzzzzz_0, \
                                         tg_xyyzzzz_xxxzzzzz_1, tg_xyyzzzz_xxyyyyy_1, tg_xyyzzzz_xxyyyyyy_0, \
                                         tg_xyyzzzz_xxyyyyyy_1, tg_xyyzzzz_xxyyyyyz_0, tg_xyyzzzz_xxyyyyyz_1, \
                                         tg_xyyzzzz_xxyyyyz_1, tg_xyyzzzz_xxyyyyzz_0, tg_xyyzzzz_xxyyyyzz_1, \
                                         tg_xyyzzzz_xxyyyzz_1, tg_xyyzzzz_xxyyyzzz_0, tg_xyyzzzz_xxyyyzzz_1, \
                                         tg_xyyzzzz_xxyyzzz_1, tg_xyyzzzz_xxyyzzzz_0, tg_xyyzzzz_xxyyzzzz_1, \
                                         tg_xyyzzzz_xxyzzzz_1, tg_xyyzzzz_xxyzzzzz_0, tg_xyyzzzz_xxyzzzzz_1, \
                                         tg_xyyzzzz_xxzzzzz_1, tg_xyyzzzz_xxzzzzzz_0, tg_xyyzzzz_xxzzzzzz_1, \
                                         tg_xyyzzzz_xyyyyyy_1, tg_xyyzzzz_xyyyyyyy_0, tg_xyyzzzz_xyyyyyyy_1, \
                                         tg_xyyzzzz_xyyyyyyz_0, tg_xyyzzzz_xyyyyyyz_1, tg_xyyzzzz_xyyyyyz_1, \
                                         tg_xyyzzzz_xyyyyyzz_0, tg_xyyzzzz_xyyyyyzz_1, tg_xyyzzzz_xyyyyzz_1, \
                                         tg_xyyzzzz_xyyyyzzz_0, tg_xyyzzzz_xyyyyzzz_1, tg_xyyzzzz_xyyyzzz_1, \
                                         tg_xyyzzzz_xyyyzzzz_0, tg_xyyzzzz_xyyyzzzz_1, tg_xyyzzzz_xyyzzzz_1, \
                                         tg_xyyzzzz_xyyzzzzz_0, tg_xyyzzzz_xyyzzzzz_1, tg_xyyzzzz_xyzzzzz_1, \
                                         tg_xyyzzzz_xyzzzzzz_0, tg_xyyzzzz_xyzzzzzz_1, tg_xyyzzzz_xzzzzzz_1, \
                                         tg_xyyzzzz_xzzzzzzz_0, tg_xyyzzzz_xzzzzzzz_1, tg_xyyzzzz_yyyyyyy_1, \
                                         tg_xyyzzzz_yyyyyyz_1, tg_xyyzzzz_yyyyyzz_1, tg_xyyzzzz_yyyyzzz_1, tg_xyyzzzz_yyyzzzz_1, \
                                         tg_xyyzzzz_yyzzzzz_1, tg_xyyzzzz_yzzzzzz_1, tg_xyyzzzz_zzzzzzz_1, tg_yyyyzz_xyyyyyzz_0, \
                                         tg_yyyyzz_xyyyyyzz_1, tg_yyyyzz_xyyyyzzz_0, tg_yyyyzz_xyyyyzzz_1, tg_yyyyzz_xyyyzzzz_0, \
                                         tg_yyyyzz_xyyyzzzz_1, tg_yyyyzz_xyyzzzzz_0, tg_yyyyzz_xyyzzzzz_1, tg_yyyyzz_xyzzzzzz_0, \
                                         tg_yyyyzz_xyzzzzzz_1, tg_yyyyzz_xzzzzzzz_0, tg_yyyyzz_xzzzzzzz_1, tg_yyyyzz_yyyyyyyy_0, \
                                         tg_yyyyzz_yyyyyyyy_1, tg_yyyyzz_yyyyyyyz_0, tg_yyyyzz_yyyyyyyz_1, tg_yyyyzz_yyyyyyzz_0, \
                                         tg_yyyyzz_yyyyyyzz_1, tg_yyyyzz_yyyyyzzz_0, tg_yyyyzz_yyyyyzzz_1, tg_yyyyzz_yyyyzzzz_0, \
                                         tg_yyyyzz_yyyyzzzz_1, tg_yyyyzz_yyyzzzzz_0, tg_yyyyzz_yyyzzzzz_1, tg_yyyyzz_yyzzzzzz_0, \
                                         tg_yyyyzz_yyzzzzzz_1, tg_yyyyzz_yzzzzzzz_0, tg_yyyyzz_yzzzzzzz_1, tg_yyyyzz_zzzzzzzz_0, \
                                         tg_yyyyzz_zzzzzzzz_1, tg_yyyzzz_xxxxxxxx_0, tg_yyyzzz_xxxxxxxx_1, tg_yyyzzz_xxxxxxxy_0, \
                                         tg_yyyzzz_xxxxxxxy_1, tg_yyyzzz_xxxxxxxz_0, tg_yyyzzz_xxxxxxxz_1, tg_yyyzzz_xxxxxxyy_0, \
                                         tg_yyyzzz_xxxxxxyy_1, tg_yyyzzz_xxxxxxyz_0, tg_yyyzzz_xxxxxxyz_1, tg_yyyzzz_xxxxxxzz_0, \
                                         tg_yyyzzz_xxxxxxzz_1, tg_yyyzzz_xxxxxyyy_0, tg_yyyzzz_xxxxxyyy_1, tg_yyyzzz_xxxxxyyz_0, \
                                         tg_yyyzzz_xxxxxyyz_1, tg_yyyzzz_xxxxxyzz_0, tg_yyyzzz_xxxxxyzz_1, tg_yyyzzz_xxxxxzzz_0, \
                                         tg_yyyzzz_xxxxxzzz_1, tg_yyyzzz_xxxxyyyy_0, tg_yyyzzz_xxxxyyyy_1, tg_yyyzzz_xxxxyyyz_0, \
                                         tg_yyyzzz_xxxxyyyz_1, tg_yyyzzz_xxxxyyzz_0, tg_yyyzzz_xxxxyyzz_1, tg_yyyzzz_xxxxyzzz_0, \
                                         tg_yyyzzz_xxxxyzzz_1, tg_yyyzzz_xxxxzzzz_0, tg_yyyzzz_xxxxzzzz_1, tg_yyyzzz_xxxyyyyy_0, \
                                         tg_yyyzzz_xxxyyyyy_1, tg_yyyzzz_xxxyyyyz_0, tg_yyyzzz_xxxyyyyz_1, tg_yyyzzz_xxxyyyzz_0, \
                                         tg_yyyzzz_xxxyyyzz_1, tg_yyyzzz_xxxyyzzz_0, tg_yyyzzz_xxxyyzzz_1, tg_yyyzzz_xxxyzzzz_0, \
                                         tg_yyyzzz_xxxyzzzz_1, tg_yyyzzz_xxxzzzzz_0, tg_yyyzzz_xxxzzzzz_1, tg_yyyzzz_xxyyyyyy_0, \
                                         tg_yyyzzz_xxyyyyyy_1, tg_yyyzzz_xxyyyyyz_0, tg_yyyzzz_xxyyyyyz_1, tg_yyyzzz_xxyyyyzz_0, \
                                         tg_yyyzzz_xxyyyyzz_1, tg_yyyzzz_xxyyyzzz_0, tg_yyyzzz_xxyyyzzz_1, tg_yyyzzz_xxyyzzzz_0, \
                                         tg_yyyzzz_xxyyzzzz_1, tg_yyyzzz_xxyzzzzz_0, tg_yyyzzz_xxyzzzzz_1, tg_yyyzzz_xxzzzzzz_0, \
                                         tg_yyyzzz_xxzzzzzz_1, tg_yyyzzz_xyyyyyyy_0, tg_yyyzzz_xyyyyyyy_1, tg_yyyzzz_xyyyyyyz_0, \
                                         tg_yyyzzz_xyyyyyyz_1, tg_yyyzzz_xyyyyyzz_0, tg_yyyzzz_xyyyyyzz_1, tg_yyyzzz_xyyyyzzz_0, \
                                         tg_yyyzzz_xyyyyzzz_1, tg_yyyzzz_xyyyzzzz_0, tg_yyyzzz_xyyyzzzz_1, tg_yyyzzz_xyyzzzzz_0, \
                                         tg_yyyzzz_xyyzzzzz_1, tg_yyyzzz_xyzzzzzz_0, tg_yyyzzz_xyzzzzzz_1, tg_yyyzzz_xzzzzzzz_0, \
                                         tg_yyyzzz_xzzzzzzz_1, tg_yyyzzz_yyyyyyyy_0, tg_yyyzzz_yyyyyyyy_1, tg_yyyzzz_yyyyyyyz_0, \
                                         tg_yyyzzz_yyyyyyyz_1, tg_yyyzzz_yyyyyyzz_0, tg_yyyzzz_yyyyyyzz_1, tg_yyyzzz_yyyyyzzz_0, \
                                         tg_yyyzzz_yyyyyzzz_1, tg_yyyzzz_yyyyzzzz_0, tg_yyyzzz_yyyyzzzz_1, tg_yyyzzz_yyyzzzzz_0, \
                                         tg_yyyzzz_yyyzzzzz_1, tg_yyyzzz_yyzzzzzz_0, tg_yyyzzz_yyzzzzzz_1, tg_yyyzzz_yzzzzzzz_0, \
                                         tg_yyyzzz_yzzzzzzz_1, tg_yyyzzz_zzzzzzzz_0, tg_yyyzzz_zzzzzzzz_1, tg_yyzzzz_xxxxxxxx_0, \
                                         tg_yyzzzz_xxxxxxxx_1, tg_yyzzzz_xxxxxxxy_0, tg_yyzzzz_xxxxxxxy_1, tg_yyzzzz_xxxxxxxz_0, \
                                         tg_yyzzzz_xxxxxxxz_1, tg_yyzzzz_xxxxxxyy_0, tg_yyzzzz_xxxxxxyy_1, tg_yyzzzz_xxxxxxyz_0, \
                                         tg_yyzzzz_xxxxxxyz_1, tg_yyzzzz_xxxxxxzz_0, tg_yyzzzz_xxxxxxzz_1, tg_yyzzzz_xxxxxyyy_0, \
                                         tg_yyzzzz_xxxxxyyy_1, tg_yyzzzz_xxxxxyyz_0, tg_yyzzzz_xxxxxyyz_1, tg_yyzzzz_xxxxxyzz_0, \
                                         tg_yyzzzz_xxxxxyzz_1, tg_yyzzzz_xxxxxzzz_0, tg_yyzzzz_xxxxxzzz_1, tg_yyzzzz_xxxxyyyy_0, \
                                         tg_yyzzzz_xxxxyyyy_1, tg_yyzzzz_xxxxyyyz_0, tg_yyzzzz_xxxxyyyz_1, tg_yyzzzz_xxxxyyzz_0, \
                                         tg_yyzzzz_xxxxyyzz_1, tg_yyzzzz_xxxxyzzz_0, tg_yyzzzz_xxxxyzzz_1, tg_yyzzzz_xxxxzzzz_0, \
                                         tg_yyzzzz_xxxxzzzz_1, tg_yyzzzz_xxxyyyyy_0, tg_yyzzzz_xxxyyyyy_1, tg_yyzzzz_xxxyyyyz_0, \
                                         tg_yyzzzz_xxxyyyyz_1, tg_yyzzzz_xxxyyyzz_0, tg_yyzzzz_xxxyyyzz_1, tg_yyzzzz_xxxyyzzz_0, \
                                         tg_yyzzzz_xxxyyzzz_1, tg_yyzzzz_xxxyzzzz_0, tg_yyzzzz_xxxyzzzz_1, tg_yyzzzz_xxxzzzzz_0, \
                                         tg_yyzzzz_xxxzzzzz_1, tg_yyzzzz_xxyyyyyy_0, tg_yyzzzz_xxyyyyyy_1, tg_yyzzzz_xxyyyyyz_0, \
                                         tg_yyzzzz_xxyyyyyz_1, tg_yyzzzz_xxyyyyzz_0, tg_yyzzzz_xxyyyyzz_1, tg_yyzzzz_xxyyyzzz_0, \
                                         tg_yyzzzz_xxyyyzzz_1, tg_yyzzzz_xxyyzzzz_0, tg_yyzzzz_xxyyzzzz_1, tg_yyzzzz_xxyzzzzz_0, \
                                         tg_yyzzzz_xxyzzzzz_1, tg_yyzzzz_xxzzzzzz_0, tg_yyzzzz_xxzzzzzz_1, tg_yyzzzz_xyyyyyyy_0, \
                                         tg_yyzzzz_xyyyyyyy_1, tg_yyzzzz_xyyyyyyz_0, tg_yyzzzz_xyyyyyyz_1, tg_yyzzzz_xyyyyyzz_0, \
                                         tg_yyzzzz_xyyyyyzz_1, tg_yyzzzz_xyyyyzzz_0, tg_yyzzzz_xyyyyzzz_1, tg_yyzzzz_xyyyzzzz_0, \
                                         tg_yyzzzz_xyyyzzzz_1, tg_yyzzzz_xyyzzzzz_0, tg_yyzzzz_xyyzzzzz_1, tg_yyzzzz_xyzzzzzz_0, \
                                         tg_yyzzzz_xyzzzzzz_1, tg_yyzzzz_xzzzzzzz_0, tg_yyzzzz_xzzzzzzz_1, wp_x: VLX_ALIGN)
                for (int32_t j = 0; j < nKetPrimPairs; j++)
                {
                    double fl1_fx = fx;

                    double fl1_fxn = fxn[j];

                    double fl1_fza = fza[j];

                    double fr = wp_x[j]; 

                    tg_xxyyyyzz_xyyyyyzz_0[j] = pb_x * tg_xyyyyzz_xyyyyyzz_0[j] + fr * tg_xyyyyzz_xyyyyyzz_1[j] + 0.5 * fl1_fx * (tg_yyyyzz_xyyyyyzz_0[j] - tg_yyyyzz_xyyyyyzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xyyyyzz_yyyyyzz_1[j];

                    tg_xxyyyyzz_xyyyyzzz_0[j] = pb_x * tg_xyyyyzz_xyyyyzzz_0[j] + fr * tg_xyyyyzz_xyyyyzzz_1[j] + 0.5 * fl1_fx * (tg_yyyyzz_xyyyyzzz_0[j] - tg_yyyyzz_xyyyyzzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xyyyyzz_yyyyzzz_1[j];

                    tg_xxyyyyzz_xyyyzzzz_0[j] = pb_x * tg_xyyyyzz_xyyyzzzz_0[j] + fr * tg_xyyyyzz_xyyyzzzz_1[j] + 0.5 * fl1_fx * (tg_yyyyzz_xyyyzzzz_0[j] - tg_yyyyzz_xyyyzzzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xyyyyzz_yyyzzzz_1[j];

                    tg_xxyyyyzz_xyyzzzzz_0[j] = pb_x * tg_xyyyyzz_xyyzzzzz_0[j] + fr * tg_xyyyyzz_xyyzzzzz_1[j] + 0.5 * fl1_fx * (tg_yyyyzz_xyyzzzzz_0[j] - tg_yyyyzz_xyyzzzzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xyyyyzz_yyzzzzz_1[j];

                    tg_xxyyyyzz_xyzzzzzz_0[j] = pb_x * tg_xyyyyzz_xyzzzzzz_0[j] + fr * tg_xyyyyzz_xyzzzzzz_1[j] + 0.5 * fl1_fx * (tg_yyyyzz_xyzzzzzz_0[j] - tg_yyyyzz_xyzzzzzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xyyyyzz_yzzzzzz_1[j];

                    tg_xxyyyyzz_xzzzzzzz_0[j] = pb_x * tg_xyyyyzz_xzzzzzzz_0[j] + fr * tg_xyyyyzz_xzzzzzzz_1[j] + 0.5 * fl1_fx * (tg_yyyyzz_xzzzzzzz_0[j] - tg_yyyyzz_xzzzzzzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xyyyyzz_zzzzzzz_1[j];

                    tg_xxyyyyzz_yyyyyyyy_0[j] = pb_x * tg_xyyyyzz_yyyyyyyy_0[j] + fr * tg_xyyyyzz_yyyyyyyy_1[j] + 0.5 * fl1_fx * (tg_yyyyzz_yyyyyyyy_0[j] - tg_yyyyzz_yyyyyyyy_1[j] * fl1_fza);

                    tg_xxyyyyzz_yyyyyyyz_0[j] = pb_x * tg_xyyyyzz_yyyyyyyz_0[j] + fr * tg_xyyyyzz_yyyyyyyz_1[j] + 0.5 * fl1_fx * (tg_yyyyzz_yyyyyyyz_0[j] - tg_yyyyzz_yyyyyyyz_1[j] * fl1_fza);

                    tg_xxyyyyzz_yyyyyyzz_0[j] = pb_x * tg_xyyyyzz_yyyyyyzz_0[j] + fr * tg_xyyyyzz_yyyyyyzz_1[j] + 0.5 * fl1_fx * (tg_yyyyzz_yyyyyyzz_0[j] - tg_yyyyzz_yyyyyyzz_1[j] * fl1_fza);

                    tg_xxyyyyzz_yyyyyzzz_0[j] = pb_x * tg_xyyyyzz_yyyyyzzz_0[j] + fr * tg_xyyyyzz_yyyyyzzz_1[j] + 0.5 * fl1_fx * (tg_yyyyzz_yyyyyzzz_0[j] - tg_yyyyzz_yyyyyzzz_1[j] * fl1_fza);

                    tg_xxyyyyzz_yyyyzzzz_0[j] = pb_x * tg_xyyyyzz_yyyyzzzz_0[j] + fr * tg_xyyyyzz_yyyyzzzz_1[j] + 0.5 * fl1_fx * (tg_yyyyzz_yyyyzzzz_0[j] - tg_yyyyzz_yyyyzzzz_1[j] * fl1_fza);

                    tg_xxyyyyzz_yyyzzzzz_0[j] = pb_x * tg_xyyyyzz_yyyzzzzz_0[j] + fr * tg_xyyyyzz_yyyzzzzz_1[j] + 0.5 * fl1_fx * (tg_yyyyzz_yyyzzzzz_0[j] - tg_yyyyzz_yyyzzzzz_1[j] * fl1_fza);

                    tg_xxyyyyzz_yyzzzzzz_0[j] = pb_x * tg_xyyyyzz_yyzzzzzz_0[j] + fr * tg_xyyyyzz_yyzzzzzz_1[j] + 0.5 * fl1_fx * (tg_yyyyzz_yyzzzzzz_0[j] - tg_yyyyzz_yyzzzzzz_1[j] * fl1_fza);

                    tg_xxyyyyzz_yzzzzzzz_0[j] = pb_x * tg_xyyyyzz_yzzzzzzz_0[j] + fr * tg_xyyyyzz_yzzzzzzz_1[j] + 0.5 * fl1_fx * (tg_yyyyzz_yzzzzzzz_0[j] - tg_yyyyzz_yzzzzzzz_1[j] * fl1_fza);

                    tg_xxyyyyzz_zzzzzzzz_0[j] = pb_x * tg_xyyyyzz_zzzzzzzz_0[j] + fr * tg_xyyyyzz_zzzzzzzz_1[j] + 0.5 * fl1_fx * (tg_yyyyzz_zzzzzzzz_0[j] - tg_yyyyzz_zzzzzzzz_1[j] * fl1_fza);

                    tg_xxyyyzzz_xxxxxxxx_0[j] = pb_x * tg_xyyyzzz_xxxxxxxx_0[j] + fr * tg_xyyyzzz_xxxxxxxx_1[j] + 0.5 * fl1_fx * (tg_yyyzzz_xxxxxxxx_0[j] - tg_yyyzzz_xxxxxxxx_1[j] * fl1_fza) + 4.0 * fl1_fxn * tg_xyyyzzz_xxxxxxx_1[j];

                    tg_xxyyyzzz_xxxxxxxy_0[j] = pb_x * tg_xyyyzzz_xxxxxxxy_0[j] + fr * tg_xyyyzzz_xxxxxxxy_1[j] + 0.5 * fl1_fx * (tg_yyyzzz_xxxxxxxy_0[j] - tg_yyyzzz_xxxxxxxy_1[j] * fl1_fza) + 3.5 * fl1_fxn * tg_xyyyzzz_xxxxxxy_1[j];

                    tg_xxyyyzzz_xxxxxxxz_0[j] = pb_x * tg_xyyyzzz_xxxxxxxz_0[j] + fr * tg_xyyyzzz_xxxxxxxz_1[j] + 0.5 * fl1_fx * (tg_yyyzzz_xxxxxxxz_0[j] - tg_yyyzzz_xxxxxxxz_1[j] * fl1_fza) + 3.5 * fl1_fxn * tg_xyyyzzz_xxxxxxz_1[j];

                    tg_xxyyyzzz_xxxxxxyy_0[j] = pb_x * tg_xyyyzzz_xxxxxxyy_0[j] + fr * tg_xyyyzzz_xxxxxxyy_1[j] + 0.5 * fl1_fx * (tg_yyyzzz_xxxxxxyy_0[j] - tg_yyyzzz_xxxxxxyy_1[j] * fl1_fza) + 3.0 * fl1_fxn * tg_xyyyzzz_xxxxxyy_1[j];

                    tg_xxyyyzzz_xxxxxxyz_0[j] = pb_x * tg_xyyyzzz_xxxxxxyz_0[j] + fr * tg_xyyyzzz_xxxxxxyz_1[j] + 0.5 * fl1_fx * (tg_yyyzzz_xxxxxxyz_0[j] - tg_yyyzzz_xxxxxxyz_1[j] * fl1_fza) + 3.0 * fl1_fxn * tg_xyyyzzz_xxxxxyz_1[j];

                    tg_xxyyyzzz_xxxxxxzz_0[j] = pb_x * tg_xyyyzzz_xxxxxxzz_0[j] + fr * tg_xyyyzzz_xxxxxxzz_1[j] + 0.5 * fl1_fx * (tg_yyyzzz_xxxxxxzz_0[j] - tg_yyyzzz_xxxxxxzz_1[j] * fl1_fza) + 3.0 * fl1_fxn * tg_xyyyzzz_xxxxxzz_1[j];

                    tg_xxyyyzzz_xxxxxyyy_0[j] = pb_x * tg_xyyyzzz_xxxxxyyy_0[j] + fr * tg_xyyyzzz_xxxxxyyy_1[j] + 0.5 * fl1_fx * (tg_yyyzzz_xxxxxyyy_0[j] - tg_yyyzzz_xxxxxyyy_1[j] * fl1_fza) + 2.5 * fl1_fxn * tg_xyyyzzz_xxxxyyy_1[j];

                    tg_xxyyyzzz_xxxxxyyz_0[j] = pb_x * tg_xyyyzzz_xxxxxyyz_0[j] + fr * tg_xyyyzzz_xxxxxyyz_1[j] + 0.5 * fl1_fx * (tg_yyyzzz_xxxxxyyz_0[j] - tg_yyyzzz_xxxxxyyz_1[j] * fl1_fza) + 2.5 * fl1_fxn * tg_xyyyzzz_xxxxyyz_1[j];

                    tg_xxyyyzzz_xxxxxyzz_0[j] = pb_x * tg_xyyyzzz_xxxxxyzz_0[j] + fr * tg_xyyyzzz_xxxxxyzz_1[j] + 0.5 * fl1_fx * (tg_yyyzzz_xxxxxyzz_0[j] - tg_yyyzzz_xxxxxyzz_1[j] * fl1_fza) + 2.5 * fl1_fxn * tg_xyyyzzz_xxxxyzz_1[j];

                    tg_xxyyyzzz_xxxxxzzz_0[j] = pb_x * tg_xyyyzzz_xxxxxzzz_0[j] + fr * tg_xyyyzzz_xxxxxzzz_1[j] + 0.5 * fl1_fx * (tg_yyyzzz_xxxxxzzz_0[j] - tg_yyyzzz_xxxxxzzz_1[j] * fl1_fza) + 2.5 * fl1_fxn * tg_xyyyzzz_xxxxzzz_1[j];

                    tg_xxyyyzzz_xxxxyyyy_0[j] = pb_x * tg_xyyyzzz_xxxxyyyy_0[j] + fr * tg_xyyyzzz_xxxxyyyy_1[j] + 0.5 * fl1_fx * (tg_yyyzzz_xxxxyyyy_0[j] - tg_yyyzzz_xxxxyyyy_1[j] * fl1_fza) + 2.0 * fl1_fxn * tg_xyyyzzz_xxxyyyy_1[j];

                    tg_xxyyyzzz_xxxxyyyz_0[j] = pb_x * tg_xyyyzzz_xxxxyyyz_0[j] + fr * tg_xyyyzzz_xxxxyyyz_1[j] + 0.5 * fl1_fx * (tg_yyyzzz_xxxxyyyz_0[j] - tg_yyyzzz_xxxxyyyz_1[j] * fl1_fza) + 2.0 * fl1_fxn * tg_xyyyzzz_xxxyyyz_1[j];

                    tg_xxyyyzzz_xxxxyyzz_0[j] = pb_x * tg_xyyyzzz_xxxxyyzz_0[j] + fr * tg_xyyyzzz_xxxxyyzz_1[j] + 0.5 * fl1_fx * (tg_yyyzzz_xxxxyyzz_0[j] - tg_yyyzzz_xxxxyyzz_1[j] * fl1_fza) + 2.0 * fl1_fxn * tg_xyyyzzz_xxxyyzz_1[j];

                    tg_xxyyyzzz_xxxxyzzz_0[j] = pb_x * tg_xyyyzzz_xxxxyzzz_0[j] + fr * tg_xyyyzzz_xxxxyzzz_1[j] + 0.5 * fl1_fx * (tg_yyyzzz_xxxxyzzz_0[j] - tg_yyyzzz_xxxxyzzz_1[j] * fl1_fza) + 2.0 * fl1_fxn * tg_xyyyzzz_xxxyzzz_1[j];

                    tg_xxyyyzzz_xxxxzzzz_0[j] = pb_x * tg_xyyyzzz_xxxxzzzz_0[j] + fr * tg_xyyyzzz_xxxxzzzz_1[j] + 0.5 * fl1_fx * (tg_yyyzzz_xxxxzzzz_0[j] - tg_yyyzzz_xxxxzzzz_1[j] * fl1_fza) + 2.0 * fl1_fxn * tg_xyyyzzz_xxxzzzz_1[j];

                    tg_xxyyyzzz_xxxyyyyy_0[j] = pb_x * tg_xyyyzzz_xxxyyyyy_0[j] + fr * tg_xyyyzzz_xxxyyyyy_1[j] + 0.5 * fl1_fx * (tg_yyyzzz_xxxyyyyy_0[j] - tg_yyyzzz_xxxyyyyy_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_xyyyzzz_xxyyyyy_1[j];

                    tg_xxyyyzzz_xxxyyyyz_0[j] = pb_x * tg_xyyyzzz_xxxyyyyz_0[j] + fr * tg_xyyyzzz_xxxyyyyz_1[j] + 0.5 * fl1_fx * (tg_yyyzzz_xxxyyyyz_0[j] - tg_yyyzzz_xxxyyyyz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_xyyyzzz_xxyyyyz_1[j];

                    tg_xxyyyzzz_xxxyyyzz_0[j] = pb_x * tg_xyyyzzz_xxxyyyzz_0[j] + fr * tg_xyyyzzz_xxxyyyzz_1[j] + 0.5 * fl1_fx * (tg_yyyzzz_xxxyyyzz_0[j] - tg_yyyzzz_xxxyyyzz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_xyyyzzz_xxyyyzz_1[j];

                    tg_xxyyyzzz_xxxyyzzz_0[j] = pb_x * tg_xyyyzzz_xxxyyzzz_0[j] + fr * tg_xyyyzzz_xxxyyzzz_1[j] + 0.5 * fl1_fx * (tg_yyyzzz_xxxyyzzz_0[j] - tg_yyyzzz_xxxyyzzz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_xyyyzzz_xxyyzzz_1[j];

                    tg_xxyyyzzz_xxxyzzzz_0[j] = pb_x * tg_xyyyzzz_xxxyzzzz_0[j] + fr * tg_xyyyzzz_xxxyzzzz_1[j] + 0.5 * fl1_fx * (tg_yyyzzz_xxxyzzzz_0[j] - tg_yyyzzz_xxxyzzzz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_xyyyzzz_xxyzzzz_1[j];

                    tg_xxyyyzzz_xxxzzzzz_0[j] = pb_x * tg_xyyyzzz_xxxzzzzz_0[j] + fr * tg_xyyyzzz_xxxzzzzz_1[j] + 0.5 * fl1_fx * (tg_yyyzzz_xxxzzzzz_0[j] - tg_yyyzzz_xxxzzzzz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_xyyyzzz_xxzzzzz_1[j];

                    tg_xxyyyzzz_xxyyyyyy_0[j] = pb_x * tg_xyyyzzz_xxyyyyyy_0[j] + fr * tg_xyyyzzz_xxyyyyyy_1[j] + 0.5 * fl1_fx * (tg_yyyzzz_xxyyyyyy_0[j] - tg_yyyzzz_xxyyyyyy_1[j] * fl1_fza) + fl1_fxn * tg_xyyyzzz_xyyyyyy_1[j];

                    tg_xxyyyzzz_xxyyyyyz_0[j] = pb_x * tg_xyyyzzz_xxyyyyyz_0[j] + fr * tg_xyyyzzz_xxyyyyyz_1[j] + 0.5 * fl1_fx * (tg_yyyzzz_xxyyyyyz_0[j] - tg_yyyzzz_xxyyyyyz_1[j] * fl1_fza) + fl1_fxn * tg_xyyyzzz_xyyyyyz_1[j];

                    tg_xxyyyzzz_xxyyyyzz_0[j] = pb_x * tg_xyyyzzz_xxyyyyzz_0[j] + fr * tg_xyyyzzz_xxyyyyzz_1[j] + 0.5 * fl1_fx * (tg_yyyzzz_xxyyyyzz_0[j] - tg_yyyzzz_xxyyyyzz_1[j] * fl1_fza) + fl1_fxn * tg_xyyyzzz_xyyyyzz_1[j];

                    tg_xxyyyzzz_xxyyyzzz_0[j] = pb_x * tg_xyyyzzz_xxyyyzzz_0[j] + fr * tg_xyyyzzz_xxyyyzzz_1[j] + 0.5 * fl1_fx * (tg_yyyzzz_xxyyyzzz_0[j] - tg_yyyzzz_xxyyyzzz_1[j] * fl1_fza) + fl1_fxn * tg_xyyyzzz_xyyyzzz_1[j];

                    tg_xxyyyzzz_xxyyzzzz_0[j] = pb_x * tg_xyyyzzz_xxyyzzzz_0[j] + fr * tg_xyyyzzz_xxyyzzzz_1[j] + 0.5 * fl1_fx * (tg_yyyzzz_xxyyzzzz_0[j] - tg_yyyzzz_xxyyzzzz_1[j] * fl1_fza) + fl1_fxn * tg_xyyyzzz_xyyzzzz_1[j];

                    tg_xxyyyzzz_xxyzzzzz_0[j] = pb_x * tg_xyyyzzz_xxyzzzzz_0[j] + fr * tg_xyyyzzz_xxyzzzzz_1[j] + 0.5 * fl1_fx * (tg_yyyzzz_xxyzzzzz_0[j] - tg_yyyzzz_xxyzzzzz_1[j] * fl1_fza) + fl1_fxn * tg_xyyyzzz_xyzzzzz_1[j];

                    tg_xxyyyzzz_xxzzzzzz_0[j] = pb_x * tg_xyyyzzz_xxzzzzzz_0[j] + fr * tg_xyyyzzz_xxzzzzzz_1[j] + 0.5 * fl1_fx * (tg_yyyzzz_xxzzzzzz_0[j] - tg_yyyzzz_xxzzzzzz_1[j] * fl1_fza) + fl1_fxn * tg_xyyyzzz_xzzzzzz_1[j];

                    tg_xxyyyzzz_xyyyyyyy_0[j] = pb_x * tg_xyyyzzz_xyyyyyyy_0[j] + fr * tg_xyyyzzz_xyyyyyyy_1[j] + 0.5 * fl1_fx * (tg_yyyzzz_xyyyyyyy_0[j] - tg_yyyzzz_xyyyyyyy_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xyyyzzz_yyyyyyy_1[j];

                    tg_xxyyyzzz_xyyyyyyz_0[j] = pb_x * tg_xyyyzzz_xyyyyyyz_0[j] + fr * tg_xyyyzzz_xyyyyyyz_1[j] + 0.5 * fl1_fx * (tg_yyyzzz_xyyyyyyz_0[j] - tg_yyyzzz_xyyyyyyz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xyyyzzz_yyyyyyz_1[j];

                    tg_xxyyyzzz_xyyyyyzz_0[j] = pb_x * tg_xyyyzzz_xyyyyyzz_0[j] + fr * tg_xyyyzzz_xyyyyyzz_1[j] + 0.5 * fl1_fx * (tg_yyyzzz_xyyyyyzz_0[j] - tg_yyyzzz_xyyyyyzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xyyyzzz_yyyyyzz_1[j];

                    tg_xxyyyzzz_xyyyyzzz_0[j] = pb_x * tg_xyyyzzz_xyyyyzzz_0[j] + fr * tg_xyyyzzz_xyyyyzzz_1[j] + 0.5 * fl1_fx * (tg_yyyzzz_xyyyyzzz_0[j] - tg_yyyzzz_xyyyyzzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xyyyzzz_yyyyzzz_1[j];

                    tg_xxyyyzzz_xyyyzzzz_0[j] = pb_x * tg_xyyyzzz_xyyyzzzz_0[j] + fr * tg_xyyyzzz_xyyyzzzz_1[j] + 0.5 * fl1_fx * (tg_yyyzzz_xyyyzzzz_0[j] - tg_yyyzzz_xyyyzzzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xyyyzzz_yyyzzzz_1[j];

                    tg_xxyyyzzz_xyyzzzzz_0[j] = pb_x * tg_xyyyzzz_xyyzzzzz_0[j] + fr * tg_xyyyzzz_xyyzzzzz_1[j] + 0.5 * fl1_fx * (tg_yyyzzz_xyyzzzzz_0[j] - tg_yyyzzz_xyyzzzzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xyyyzzz_yyzzzzz_1[j];

                    tg_xxyyyzzz_xyzzzzzz_0[j] = pb_x * tg_xyyyzzz_xyzzzzzz_0[j] + fr * tg_xyyyzzz_xyzzzzzz_1[j] + 0.5 * fl1_fx * (tg_yyyzzz_xyzzzzzz_0[j] - tg_yyyzzz_xyzzzzzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xyyyzzz_yzzzzzz_1[j];

                    tg_xxyyyzzz_xzzzzzzz_0[j] = pb_x * tg_xyyyzzz_xzzzzzzz_0[j] + fr * tg_xyyyzzz_xzzzzzzz_1[j] + 0.5 * fl1_fx * (tg_yyyzzz_xzzzzzzz_0[j] - tg_yyyzzz_xzzzzzzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xyyyzzz_zzzzzzz_1[j];

                    tg_xxyyyzzz_yyyyyyyy_0[j] = pb_x * tg_xyyyzzz_yyyyyyyy_0[j] + fr * tg_xyyyzzz_yyyyyyyy_1[j] + 0.5 * fl1_fx * (tg_yyyzzz_yyyyyyyy_0[j] - tg_yyyzzz_yyyyyyyy_1[j] * fl1_fza);

                    tg_xxyyyzzz_yyyyyyyz_0[j] = pb_x * tg_xyyyzzz_yyyyyyyz_0[j] + fr * tg_xyyyzzz_yyyyyyyz_1[j] + 0.5 * fl1_fx * (tg_yyyzzz_yyyyyyyz_0[j] - tg_yyyzzz_yyyyyyyz_1[j] * fl1_fza);

                    tg_xxyyyzzz_yyyyyyzz_0[j] = pb_x * tg_xyyyzzz_yyyyyyzz_0[j] + fr * tg_xyyyzzz_yyyyyyzz_1[j] + 0.5 * fl1_fx * (tg_yyyzzz_yyyyyyzz_0[j] - tg_yyyzzz_yyyyyyzz_1[j] * fl1_fza);

                    tg_xxyyyzzz_yyyyyzzz_0[j] = pb_x * tg_xyyyzzz_yyyyyzzz_0[j] + fr * tg_xyyyzzz_yyyyyzzz_1[j] + 0.5 * fl1_fx * (tg_yyyzzz_yyyyyzzz_0[j] - tg_yyyzzz_yyyyyzzz_1[j] * fl1_fza);

                    tg_xxyyyzzz_yyyyzzzz_0[j] = pb_x * tg_xyyyzzz_yyyyzzzz_0[j] + fr * tg_xyyyzzz_yyyyzzzz_1[j] + 0.5 * fl1_fx * (tg_yyyzzz_yyyyzzzz_0[j] - tg_yyyzzz_yyyyzzzz_1[j] * fl1_fza);

                    tg_xxyyyzzz_yyyzzzzz_0[j] = pb_x * tg_xyyyzzz_yyyzzzzz_0[j] + fr * tg_xyyyzzz_yyyzzzzz_1[j] + 0.5 * fl1_fx * (tg_yyyzzz_yyyzzzzz_0[j] - tg_yyyzzz_yyyzzzzz_1[j] * fl1_fza);

                    tg_xxyyyzzz_yyzzzzzz_0[j] = pb_x * tg_xyyyzzz_yyzzzzzz_0[j] + fr * tg_xyyyzzz_yyzzzzzz_1[j] + 0.5 * fl1_fx * (tg_yyyzzz_yyzzzzzz_0[j] - tg_yyyzzz_yyzzzzzz_1[j] * fl1_fza);

                    tg_xxyyyzzz_yzzzzzzz_0[j] = pb_x * tg_xyyyzzz_yzzzzzzz_0[j] + fr * tg_xyyyzzz_yzzzzzzz_1[j] + 0.5 * fl1_fx * (tg_yyyzzz_yzzzzzzz_0[j] - tg_yyyzzz_yzzzzzzz_1[j] * fl1_fza);

                    tg_xxyyyzzz_zzzzzzzz_0[j] = pb_x * tg_xyyyzzz_zzzzzzzz_0[j] + fr * tg_xyyyzzz_zzzzzzzz_1[j] + 0.5 * fl1_fx * (tg_yyyzzz_zzzzzzzz_0[j] - tg_yyyzzz_zzzzzzzz_1[j] * fl1_fza);

                    tg_xxyyzzzz_xxxxxxxx_0[j] = pb_x * tg_xyyzzzz_xxxxxxxx_0[j] + fr * tg_xyyzzzz_xxxxxxxx_1[j] + 0.5 * fl1_fx * (tg_yyzzzz_xxxxxxxx_0[j] - tg_yyzzzz_xxxxxxxx_1[j] * fl1_fza) + 4.0 * fl1_fxn * tg_xyyzzzz_xxxxxxx_1[j];

                    tg_xxyyzzzz_xxxxxxxy_0[j] = pb_x * tg_xyyzzzz_xxxxxxxy_0[j] + fr * tg_xyyzzzz_xxxxxxxy_1[j] + 0.5 * fl1_fx * (tg_yyzzzz_xxxxxxxy_0[j] - tg_yyzzzz_xxxxxxxy_1[j] * fl1_fza) + 3.5 * fl1_fxn * tg_xyyzzzz_xxxxxxy_1[j];

                    tg_xxyyzzzz_xxxxxxxz_0[j] = pb_x * tg_xyyzzzz_xxxxxxxz_0[j] + fr * tg_xyyzzzz_xxxxxxxz_1[j] + 0.5 * fl1_fx * (tg_yyzzzz_xxxxxxxz_0[j] - tg_yyzzzz_xxxxxxxz_1[j] * fl1_fza) + 3.5 * fl1_fxn * tg_xyyzzzz_xxxxxxz_1[j];

                    tg_xxyyzzzz_xxxxxxyy_0[j] = pb_x * tg_xyyzzzz_xxxxxxyy_0[j] + fr * tg_xyyzzzz_xxxxxxyy_1[j] + 0.5 * fl1_fx * (tg_yyzzzz_xxxxxxyy_0[j] - tg_yyzzzz_xxxxxxyy_1[j] * fl1_fza) + 3.0 * fl1_fxn * tg_xyyzzzz_xxxxxyy_1[j];

                    tg_xxyyzzzz_xxxxxxyz_0[j] = pb_x * tg_xyyzzzz_xxxxxxyz_0[j] + fr * tg_xyyzzzz_xxxxxxyz_1[j] + 0.5 * fl1_fx * (tg_yyzzzz_xxxxxxyz_0[j] - tg_yyzzzz_xxxxxxyz_1[j] * fl1_fza) + 3.0 * fl1_fxn * tg_xyyzzzz_xxxxxyz_1[j];

                    tg_xxyyzzzz_xxxxxxzz_0[j] = pb_x * tg_xyyzzzz_xxxxxxzz_0[j] + fr * tg_xyyzzzz_xxxxxxzz_1[j] + 0.5 * fl1_fx * (tg_yyzzzz_xxxxxxzz_0[j] - tg_yyzzzz_xxxxxxzz_1[j] * fl1_fza) + 3.0 * fl1_fxn * tg_xyyzzzz_xxxxxzz_1[j];

                    tg_xxyyzzzz_xxxxxyyy_0[j] = pb_x * tg_xyyzzzz_xxxxxyyy_0[j] + fr * tg_xyyzzzz_xxxxxyyy_1[j] + 0.5 * fl1_fx * (tg_yyzzzz_xxxxxyyy_0[j] - tg_yyzzzz_xxxxxyyy_1[j] * fl1_fza) + 2.5 * fl1_fxn * tg_xyyzzzz_xxxxyyy_1[j];

                    tg_xxyyzzzz_xxxxxyyz_0[j] = pb_x * tg_xyyzzzz_xxxxxyyz_0[j] + fr * tg_xyyzzzz_xxxxxyyz_1[j] + 0.5 * fl1_fx * (tg_yyzzzz_xxxxxyyz_0[j] - tg_yyzzzz_xxxxxyyz_1[j] * fl1_fza) + 2.5 * fl1_fxn * tg_xyyzzzz_xxxxyyz_1[j];

                    tg_xxyyzzzz_xxxxxyzz_0[j] = pb_x * tg_xyyzzzz_xxxxxyzz_0[j] + fr * tg_xyyzzzz_xxxxxyzz_1[j] + 0.5 * fl1_fx * (tg_yyzzzz_xxxxxyzz_0[j] - tg_yyzzzz_xxxxxyzz_1[j] * fl1_fza) + 2.5 * fl1_fxn * tg_xyyzzzz_xxxxyzz_1[j];

                    tg_xxyyzzzz_xxxxxzzz_0[j] = pb_x * tg_xyyzzzz_xxxxxzzz_0[j] + fr * tg_xyyzzzz_xxxxxzzz_1[j] + 0.5 * fl1_fx * (tg_yyzzzz_xxxxxzzz_0[j] - tg_yyzzzz_xxxxxzzz_1[j] * fl1_fza) + 2.5 * fl1_fxn * tg_xyyzzzz_xxxxzzz_1[j];

                    tg_xxyyzzzz_xxxxyyyy_0[j] = pb_x * tg_xyyzzzz_xxxxyyyy_0[j] + fr * tg_xyyzzzz_xxxxyyyy_1[j] + 0.5 * fl1_fx * (tg_yyzzzz_xxxxyyyy_0[j] - tg_yyzzzz_xxxxyyyy_1[j] * fl1_fza) + 2.0 * fl1_fxn * tg_xyyzzzz_xxxyyyy_1[j];

                    tg_xxyyzzzz_xxxxyyyz_0[j] = pb_x * tg_xyyzzzz_xxxxyyyz_0[j] + fr * tg_xyyzzzz_xxxxyyyz_1[j] + 0.5 * fl1_fx * (tg_yyzzzz_xxxxyyyz_0[j] - tg_yyzzzz_xxxxyyyz_1[j] * fl1_fza) + 2.0 * fl1_fxn * tg_xyyzzzz_xxxyyyz_1[j];

                    tg_xxyyzzzz_xxxxyyzz_0[j] = pb_x * tg_xyyzzzz_xxxxyyzz_0[j] + fr * tg_xyyzzzz_xxxxyyzz_1[j] + 0.5 * fl1_fx * (tg_yyzzzz_xxxxyyzz_0[j] - tg_yyzzzz_xxxxyyzz_1[j] * fl1_fza) + 2.0 * fl1_fxn * tg_xyyzzzz_xxxyyzz_1[j];

                    tg_xxyyzzzz_xxxxyzzz_0[j] = pb_x * tg_xyyzzzz_xxxxyzzz_0[j] + fr * tg_xyyzzzz_xxxxyzzz_1[j] + 0.5 * fl1_fx * (tg_yyzzzz_xxxxyzzz_0[j] - tg_yyzzzz_xxxxyzzz_1[j] * fl1_fza) + 2.0 * fl1_fxn * tg_xyyzzzz_xxxyzzz_1[j];

                    tg_xxyyzzzz_xxxxzzzz_0[j] = pb_x * tg_xyyzzzz_xxxxzzzz_0[j] + fr * tg_xyyzzzz_xxxxzzzz_1[j] + 0.5 * fl1_fx * (tg_yyzzzz_xxxxzzzz_0[j] - tg_yyzzzz_xxxxzzzz_1[j] * fl1_fza) + 2.0 * fl1_fxn * tg_xyyzzzz_xxxzzzz_1[j];

                    tg_xxyyzzzz_xxxyyyyy_0[j] = pb_x * tg_xyyzzzz_xxxyyyyy_0[j] + fr * tg_xyyzzzz_xxxyyyyy_1[j] + 0.5 * fl1_fx * (tg_yyzzzz_xxxyyyyy_0[j] - tg_yyzzzz_xxxyyyyy_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_xyyzzzz_xxyyyyy_1[j];

                    tg_xxyyzzzz_xxxyyyyz_0[j] = pb_x * tg_xyyzzzz_xxxyyyyz_0[j] + fr * tg_xyyzzzz_xxxyyyyz_1[j] + 0.5 * fl1_fx * (tg_yyzzzz_xxxyyyyz_0[j] - tg_yyzzzz_xxxyyyyz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_xyyzzzz_xxyyyyz_1[j];

                    tg_xxyyzzzz_xxxyyyzz_0[j] = pb_x * tg_xyyzzzz_xxxyyyzz_0[j] + fr * tg_xyyzzzz_xxxyyyzz_1[j] + 0.5 * fl1_fx * (tg_yyzzzz_xxxyyyzz_0[j] - tg_yyzzzz_xxxyyyzz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_xyyzzzz_xxyyyzz_1[j];

                    tg_xxyyzzzz_xxxyyzzz_0[j] = pb_x * tg_xyyzzzz_xxxyyzzz_0[j] + fr * tg_xyyzzzz_xxxyyzzz_1[j] + 0.5 * fl1_fx * (tg_yyzzzz_xxxyyzzz_0[j] - tg_yyzzzz_xxxyyzzz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_xyyzzzz_xxyyzzz_1[j];

                    tg_xxyyzzzz_xxxyzzzz_0[j] = pb_x * tg_xyyzzzz_xxxyzzzz_0[j] + fr * tg_xyyzzzz_xxxyzzzz_1[j] + 0.5 * fl1_fx * (tg_yyzzzz_xxxyzzzz_0[j] - tg_yyzzzz_xxxyzzzz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_xyyzzzz_xxyzzzz_1[j];

                    tg_xxyyzzzz_xxxzzzzz_0[j] = pb_x * tg_xyyzzzz_xxxzzzzz_0[j] + fr * tg_xyyzzzz_xxxzzzzz_1[j] + 0.5 * fl1_fx * (tg_yyzzzz_xxxzzzzz_0[j] - tg_yyzzzz_xxxzzzzz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_xyyzzzz_xxzzzzz_1[j];

                    tg_xxyyzzzz_xxyyyyyy_0[j] = pb_x * tg_xyyzzzz_xxyyyyyy_0[j] + fr * tg_xyyzzzz_xxyyyyyy_1[j] + 0.5 * fl1_fx * (tg_yyzzzz_xxyyyyyy_0[j] - tg_yyzzzz_xxyyyyyy_1[j] * fl1_fza) + fl1_fxn * tg_xyyzzzz_xyyyyyy_1[j];

                    tg_xxyyzzzz_xxyyyyyz_0[j] = pb_x * tg_xyyzzzz_xxyyyyyz_0[j] + fr * tg_xyyzzzz_xxyyyyyz_1[j] + 0.5 * fl1_fx * (tg_yyzzzz_xxyyyyyz_0[j] - tg_yyzzzz_xxyyyyyz_1[j] * fl1_fza) + fl1_fxn * tg_xyyzzzz_xyyyyyz_1[j];

                    tg_xxyyzzzz_xxyyyyzz_0[j] = pb_x * tg_xyyzzzz_xxyyyyzz_0[j] + fr * tg_xyyzzzz_xxyyyyzz_1[j] + 0.5 * fl1_fx * (tg_yyzzzz_xxyyyyzz_0[j] - tg_yyzzzz_xxyyyyzz_1[j] * fl1_fza) + fl1_fxn * tg_xyyzzzz_xyyyyzz_1[j];

                    tg_xxyyzzzz_xxyyyzzz_0[j] = pb_x * tg_xyyzzzz_xxyyyzzz_0[j] + fr * tg_xyyzzzz_xxyyyzzz_1[j] + 0.5 * fl1_fx * (tg_yyzzzz_xxyyyzzz_0[j] - tg_yyzzzz_xxyyyzzz_1[j] * fl1_fza) + fl1_fxn * tg_xyyzzzz_xyyyzzz_1[j];

                    tg_xxyyzzzz_xxyyzzzz_0[j] = pb_x * tg_xyyzzzz_xxyyzzzz_0[j] + fr * tg_xyyzzzz_xxyyzzzz_1[j] + 0.5 * fl1_fx * (tg_yyzzzz_xxyyzzzz_0[j] - tg_yyzzzz_xxyyzzzz_1[j] * fl1_fza) + fl1_fxn * tg_xyyzzzz_xyyzzzz_1[j];

                    tg_xxyyzzzz_xxyzzzzz_0[j] = pb_x * tg_xyyzzzz_xxyzzzzz_0[j] + fr * tg_xyyzzzz_xxyzzzzz_1[j] + 0.5 * fl1_fx * (tg_yyzzzz_xxyzzzzz_0[j] - tg_yyzzzz_xxyzzzzz_1[j] * fl1_fza) + fl1_fxn * tg_xyyzzzz_xyzzzzz_1[j];

                    tg_xxyyzzzz_xxzzzzzz_0[j] = pb_x * tg_xyyzzzz_xxzzzzzz_0[j] + fr * tg_xyyzzzz_xxzzzzzz_1[j] + 0.5 * fl1_fx * (tg_yyzzzz_xxzzzzzz_0[j] - tg_yyzzzz_xxzzzzzz_1[j] * fl1_fza) + fl1_fxn * tg_xyyzzzz_xzzzzzz_1[j];

                    tg_xxyyzzzz_xyyyyyyy_0[j] = pb_x * tg_xyyzzzz_xyyyyyyy_0[j] + fr * tg_xyyzzzz_xyyyyyyy_1[j] + 0.5 * fl1_fx * (tg_yyzzzz_xyyyyyyy_0[j] - tg_yyzzzz_xyyyyyyy_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xyyzzzz_yyyyyyy_1[j];

                    tg_xxyyzzzz_xyyyyyyz_0[j] = pb_x * tg_xyyzzzz_xyyyyyyz_0[j] + fr * tg_xyyzzzz_xyyyyyyz_1[j] + 0.5 * fl1_fx * (tg_yyzzzz_xyyyyyyz_0[j] - tg_yyzzzz_xyyyyyyz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xyyzzzz_yyyyyyz_1[j];

                    tg_xxyyzzzz_xyyyyyzz_0[j] = pb_x * tg_xyyzzzz_xyyyyyzz_0[j] + fr * tg_xyyzzzz_xyyyyyzz_1[j] + 0.5 * fl1_fx * (tg_yyzzzz_xyyyyyzz_0[j] - tg_yyzzzz_xyyyyyzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xyyzzzz_yyyyyzz_1[j];

                    tg_xxyyzzzz_xyyyyzzz_0[j] = pb_x * tg_xyyzzzz_xyyyyzzz_0[j] + fr * tg_xyyzzzz_xyyyyzzz_1[j] + 0.5 * fl1_fx * (tg_yyzzzz_xyyyyzzz_0[j] - tg_yyzzzz_xyyyyzzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xyyzzzz_yyyyzzz_1[j];

                    tg_xxyyzzzz_xyyyzzzz_0[j] = pb_x * tg_xyyzzzz_xyyyzzzz_0[j] + fr * tg_xyyzzzz_xyyyzzzz_1[j] + 0.5 * fl1_fx * (tg_yyzzzz_xyyyzzzz_0[j] - tg_yyzzzz_xyyyzzzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xyyzzzz_yyyzzzz_1[j];

                    tg_xxyyzzzz_xyyzzzzz_0[j] = pb_x * tg_xyyzzzz_xyyzzzzz_0[j] + fr * tg_xyyzzzz_xyyzzzzz_1[j] + 0.5 * fl1_fx * (tg_yyzzzz_xyyzzzzz_0[j] - tg_yyzzzz_xyyzzzzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xyyzzzz_yyzzzzz_1[j];

                    tg_xxyyzzzz_xyzzzzzz_0[j] = pb_x * tg_xyyzzzz_xyzzzzzz_0[j] + fr * tg_xyyzzzz_xyzzzzzz_1[j] + 0.5 * fl1_fx * (tg_yyzzzz_xyzzzzzz_0[j] - tg_yyzzzz_xyzzzzzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xyyzzzz_yzzzzzz_1[j];

                    tg_xxyyzzzz_xzzzzzzz_0[j] = pb_x * tg_xyyzzzz_xzzzzzzz_0[j] + fr * tg_xyyzzzz_xzzzzzzz_1[j] + 0.5 * fl1_fx * (tg_yyzzzz_xzzzzzzz_0[j] - tg_yyzzzz_xzzzzzzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xyyzzzz_zzzzzzz_1[j];
                }

                idx++;
            }
        }
    }

    void
    compElectronRepulsionForSLSL_1161_1257(      CMemBlock2D<double>* primBuffer,
                                           const CRecursionMap&       recursionMap,
                                           const CMemBlock2D<double>& osFactors,
                                           const CMemBlock2D<double>& wpDistances,
                                           const CGtoPairsBlock&      braGtoPairsBlock,
                                           const CGtoPairsBlock&      ketGtoPairsBlock,
                                           const int32_t              nKetPrimPairs,
                                           const int32_t              iContrPair)
    {
        // Batch of Integrals (1161,1257)

        // set up pointers to primitives data on bra side

        auto spos = braGtoPairsBlock.getStartPositions();

        auto epos = braGtoPairsBlock.getEndPositions();

        // set up pointers to tensor of distance R(PB) = P - B

        auto r_pb_x = braGtoPairsBlock.getDistancesPBX();

        // set up pointers to common Obara-Saika factors

        auto b_fx = braGtoPairsBlock.getFactorsOneOverXi();

        // set up maximum order of integral

        auto mord = recursionMap.getMaxOrder({"Electron Repulsion"},
                                             {8, -1, -1, -1},
                                             {8, -1, -1, -1},
                                             1, 1);

        for (int32_t iord = 0; iord <= mord; iord++)
        {
            // set up index of integral

            auto pidx_g_8_8_m0 = recursionMap.index(CRecursionTerm({"Electron Repulsion"}, 0, true, 
                                                                   {8, -1, -1, -1}, {8, -1, -1, -1}, 
                                                                   1, 1, iord));

            // check if integral is needed in recursion expansion

            if (pidx_g_8_8_m0 == -1) continue;

            // set up indexes of auxilary integral

            auto pidx_g_7_8_m0 = recursionMap.index(CRecursionTerm({"Electron Repulsion"}, 0, true, 
                                                                   {7, -1, -1, -1}, {8, -1, -1, -1}, 
                                                                   1, 1, iord));

            auto pidx_g_7_8_m1 = recursionMap.index(CRecursionTerm({"Electron Repulsion"}, 0, true, 
                                                                   {7, -1, -1, -1}, {8, -1, -1, -1}, 
                                                                   1, 1, iord + 1));

            auto pidx_g_6_8_m0 = recursionMap.index(CRecursionTerm({"Electron Repulsion"}, 0, true, 
                                                                   {6, -1, -1, -1}, {8, -1, -1, -1}, 
                                                                   1, 1, iord));

            auto pidx_g_6_8_m1 = recursionMap.index(CRecursionTerm({"Electron Repulsion"}, 0, true, 
                                                                   {6, -1, -1, -1}, {8, -1, -1, -1}, 
                                                                   1, 1, iord + 1));

            auto pidx_g_7_7_m1 = recursionMap.index(CRecursionTerm({"Electron Repulsion"}, 0, true, 
                                                                   {7, -1, -1, -1}, {7, -1, -1, -1}, 
                                                                   1, 1, iord + 1));

            // loop over contracted GTO on bra side

            int32_t idx = 0;

            for (int32_t i = spos[iContrPair]; i < epos[iContrPair]; i++)
            {
                // set up pointers to Obara-Saika factors

                double fx = b_fx[i];

                auto fza = osFactors.data(4 * idx + 2);

                auto fxn = osFactors.data(4 * idx);

                // set up distances R(PB) = P - B

                auto pb_x = r_pb_x[i];

                // set up pointers to tensors product of distances R(WP) = W - P

                auto wp_x = wpDistances.data(3 * idx);

                // set up pointers to auxilary integrals

                auto tg_xyyzzzz_yyyyyyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1161); 

                auto tg_xyyzzzz_yyyyyyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1162); 

                auto tg_xyyzzzz_yyyyyyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1163); 

                auto tg_xyyzzzz_yyyyyzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1164); 

                auto tg_xyyzzzz_yyyyzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1165); 

                auto tg_xyyzzzz_yyyzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1166); 

                auto tg_xyyzzzz_yyzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1167); 

                auto tg_xyyzzzz_yzzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1168); 

                auto tg_xyyzzzz_zzzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1169); 

                auto tg_xyzzzzz_xxxxxxxx_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1170); 

                auto tg_xyzzzzz_xxxxxxxy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1171); 

                auto tg_xyzzzzz_xxxxxxxz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1172); 

                auto tg_xyzzzzz_xxxxxxyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1173); 

                auto tg_xyzzzzz_xxxxxxyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1174); 

                auto tg_xyzzzzz_xxxxxxzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1175); 

                auto tg_xyzzzzz_xxxxxyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1176); 

                auto tg_xyzzzzz_xxxxxyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1177); 

                auto tg_xyzzzzz_xxxxxyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1178); 

                auto tg_xyzzzzz_xxxxxzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1179); 

                auto tg_xyzzzzz_xxxxyyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1180); 

                auto tg_xyzzzzz_xxxxyyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1181); 

                auto tg_xyzzzzz_xxxxyyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1182); 

                auto tg_xyzzzzz_xxxxyzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1183); 

                auto tg_xyzzzzz_xxxxzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1184); 

                auto tg_xyzzzzz_xxxyyyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1185); 

                auto tg_xyzzzzz_xxxyyyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1186); 

                auto tg_xyzzzzz_xxxyyyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1187); 

                auto tg_xyzzzzz_xxxyyzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1188); 

                auto tg_xyzzzzz_xxxyzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1189); 

                auto tg_xyzzzzz_xxxzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1190); 

                auto tg_xyzzzzz_xxyyyyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1191); 

                auto tg_xyzzzzz_xxyyyyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1192); 

                auto tg_xyzzzzz_xxyyyyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1193); 

                auto tg_xyzzzzz_xxyyyzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1194); 

                auto tg_xyzzzzz_xxyyzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1195); 

                auto tg_xyzzzzz_xxyzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1196); 

                auto tg_xyzzzzz_xxzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1197); 

                auto tg_xyzzzzz_xyyyyyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1198); 

                auto tg_xyzzzzz_xyyyyyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1199); 

                auto tg_xyzzzzz_xyyyyyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1200); 

                auto tg_xyzzzzz_xyyyyzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1201); 

                auto tg_xyzzzzz_xyyyzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1202); 

                auto tg_xyzzzzz_xyyzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1203); 

                auto tg_xyzzzzz_xyzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1204); 

                auto tg_xyzzzzz_xzzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1205); 

                auto tg_xyzzzzz_yyyyyyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1206); 

                auto tg_xyzzzzz_yyyyyyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1207); 

                auto tg_xyzzzzz_yyyyyyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1208); 

                auto tg_xyzzzzz_yyyyyzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1209); 

                auto tg_xyzzzzz_yyyyzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1210); 

                auto tg_xyzzzzz_yyyzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1211); 

                auto tg_xyzzzzz_yyzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1212); 

                auto tg_xyzzzzz_yzzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1213); 

                auto tg_xyzzzzz_zzzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1214); 

                auto tg_xzzzzzz_xxxxxxxx_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1215); 

                auto tg_xzzzzzz_xxxxxxxy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1216); 

                auto tg_xzzzzzz_xxxxxxxz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1217); 

                auto tg_xzzzzzz_xxxxxxyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1218); 

                auto tg_xzzzzzz_xxxxxxyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1219); 

                auto tg_xzzzzzz_xxxxxxzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1220); 

                auto tg_xzzzzzz_xxxxxyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1221); 

                auto tg_xzzzzzz_xxxxxyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1222); 

                auto tg_xzzzzzz_xxxxxyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1223); 

                auto tg_xzzzzzz_xxxxxzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1224); 

                auto tg_xzzzzzz_xxxxyyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1225); 

                auto tg_xzzzzzz_xxxxyyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1226); 

                auto tg_xzzzzzz_xxxxyyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1227); 

                auto tg_xzzzzzz_xxxxyzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1228); 

                auto tg_xzzzzzz_xxxxzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1229); 

                auto tg_xzzzzzz_xxxyyyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1230); 

                auto tg_xzzzzzz_xxxyyyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1231); 

                auto tg_xzzzzzz_xxxyyyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1232); 

                auto tg_xzzzzzz_xxxyyzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1233); 

                auto tg_xzzzzzz_xxxyzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1234); 

                auto tg_xzzzzzz_xxxzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1235); 

                auto tg_xzzzzzz_xxyyyyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1236); 

                auto tg_xzzzzzz_xxyyyyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1237); 

                auto tg_xzzzzzz_xxyyyyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1238); 

                auto tg_xzzzzzz_xxyyyzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1239); 

                auto tg_xzzzzzz_xxyyzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1240); 

                auto tg_xzzzzzz_xxyzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1241); 

                auto tg_xzzzzzz_xxzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1242); 

                auto tg_xzzzzzz_xyyyyyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1243); 

                auto tg_xzzzzzz_xyyyyyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1244); 

                auto tg_xzzzzzz_xyyyyyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1245); 

                auto tg_xzzzzzz_xyyyyzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1246); 

                auto tg_xzzzzzz_xyyyzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1247); 

                auto tg_xzzzzzz_xyyzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1248); 

                auto tg_xzzzzzz_xyzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1249); 

                auto tg_xzzzzzz_xzzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1250); 

                auto tg_xzzzzzz_yyyyyyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1251); 

                auto tg_xzzzzzz_yyyyyyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1252); 

                auto tg_xzzzzzz_yyyyyyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1253); 

                auto tg_xzzzzzz_yyyyyzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1254); 

                auto tg_xzzzzzz_yyyyzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1255); 

                auto tg_xzzzzzz_yyyzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1256); 

                auto tg_xyyzzzz_yyyyyyyy_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1161); 

                auto tg_xyyzzzz_yyyyyyyz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1162); 

                auto tg_xyyzzzz_yyyyyyzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1163); 

                auto tg_xyyzzzz_yyyyyzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1164); 

                auto tg_xyyzzzz_yyyyzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1165); 

                auto tg_xyyzzzz_yyyzzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1166); 

                auto tg_xyyzzzz_yyzzzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1167); 

                auto tg_xyyzzzz_yzzzzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1168); 

                auto tg_xyyzzzz_zzzzzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1169); 

                auto tg_xyzzzzz_xxxxxxxx_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1170); 

                auto tg_xyzzzzz_xxxxxxxy_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1171); 

                auto tg_xyzzzzz_xxxxxxxz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1172); 

                auto tg_xyzzzzz_xxxxxxyy_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1173); 

                auto tg_xyzzzzz_xxxxxxyz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1174); 

                auto tg_xyzzzzz_xxxxxxzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1175); 

                auto tg_xyzzzzz_xxxxxyyy_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1176); 

                auto tg_xyzzzzz_xxxxxyyz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1177); 

                auto tg_xyzzzzz_xxxxxyzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1178); 

                auto tg_xyzzzzz_xxxxxzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1179); 

                auto tg_xyzzzzz_xxxxyyyy_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1180); 

                auto tg_xyzzzzz_xxxxyyyz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1181); 

                auto tg_xyzzzzz_xxxxyyzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1182); 

                auto tg_xyzzzzz_xxxxyzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1183); 

                auto tg_xyzzzzz_xxxxzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1184); 

                auto tg_xyzzzzz_xxxyyyyy_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1185); 

                auto tg_xyzzzzz_xxxyyyyz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1186); 

                auto tg_xyzzzzz_xxxyyyzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1187); 

                auto tg_xyzzzzz_xxxyyzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1188); 

                auto tg_xyzzzzz_xxxyzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1189); 

                auto tg_xyzzzzz_xxxzzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1190); 

                auto tg_xyzzzzz_xxyyyyyy_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1191); 

                auto tg_xyzzzzz_xxyyyyyz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1192); 

                auto tg_xyzzzzz_xxyyyyzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1193); 

                auto tg_xyzzzzz_xxyyyzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1194); 

                auto tg_xyzzzzz_xxyyzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1195); 

                auto tg_xyzzzzz_xxyzzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1196); 

                auto tg_xyzzzzz_xxzzzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1197); 

                auto tg_xyzzzzz_xyyyyyyy_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1198); 

                auto tg_xyzzzzz_xyyyyyyz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1199); 

                auto tg_xyzzzzz_xyyyyyzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1200); 

                auto tg_xyzzzzz_xyyyyzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1201); 

                auto tg_xyzzzzz_xyyyzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1202); 

                auto tg_xyzzzzz_xyyzzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1203); 

                auto tg_xyzzzzz_xyzzzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1204); 

                auto tg_xyzzzzz_xzzzzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1205); 

                auto tg_xyzzzzz_yyyyyyyy_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1206); 

                auto tg_xyzzzzz_yyyyyyyz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1207); 

                auto tg_xyzzzzz_yyyyyyzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1208); 

                auto tg_xyzzzzz_yyyyyzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1209); 

                auto tg_xyzzzzz_yyyyzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1210); 

                auto tg_xyzzzzz_yyyzzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1211); 

                auto tg_xyzzzzz_yyzzzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1212); 

                auto tg_xyzzzzz_yzzzzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1213); 

                auto tg_xyzzzzz_zzzzzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1214); 

                auto tg_xzzzzzz_xxxxxxxx_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1215); 

                auto tg_xzzzzzz_xxxxxxxy_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1216); 

                auto tg_xzzzzzz_xxxxxxxz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1217); 

                auto tg_xzzzzzz_xxxxxxyy_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1218); 

                auto tg_xzzzzzz_xxxxxxyz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1219); 

                auto tg_xzzzzzz_xxxxxxzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1220); 

                auto tg_xzzzzzz_xxxxxyyy_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1221); 

                auto tg_xzzzzzz_xxxxxyyz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1222); 

                auto tg_xzzzzzz_xxxxxyzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1223); 

                auto tg_xzzzzzz_xxxxxzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1224); 

                auto tg_xzzzzzz_xxxxyyyy_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1225); 

                auto tg_xzzzzzz_xxxxyyyz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1226); 

                auto tg_xzzzzzz_xxxxyyzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1227); 

                auto tg_xzzzzzz_xxxxyzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1228); 

                auto tg_xzzzzzz_xxxxzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1229); 

                auto tg_xzzzzzz_xxxyyyyy_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1230); 

                auto tg_xzzzzzz_xxxyyyyz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1231); 

                auto tg_xzzzzzz_xxxyyyzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1232); 

                auto tg_xzzzzzz_xxxyyzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1233); 

                auto tg_xzzzzzz_xxxyzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1234); 

                auto tg_xzzzzzz_xxxzzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1235); 

                auto tg_xzzzzzz_xxyyyyyy_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1236); 

                auto tg_xzzzzzz_xxyyyyyz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1237); 

                auto tg_xzzzzzz_xxyyyyzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1238); 

                auto tg_xzzzzzz_xxyyyzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1239); 

                auto tg_xzzzzzz_xxyyzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1240); 

                auto tg_xzzzzzz_xxyzzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1241); 

                auto tg_xzzzzzz_xxzzzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1242); 

                auto tg_xzzzzzz_xyyyyyyy_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1243); 

                auto tg_xzzzzzz_xyyyyyyz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1244); 

                auto tg_xzzzzzz_xyyyyyzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1245); 

                auto tg_xzzzzzz_xyyyyzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1246); 

                auto tg_xzzzzzz_xyyyzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1247); 

                auto tg_xzzzzzz_xyyzzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1248); 

                auto tg_xzzzzzz_xyzzzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1249); 

                auto tg_xzzzzzz_xzzzzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1250); 

                auto tg_xzzzzzz_yyyyyyyy_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1251); 

                auto tg_xzzzzzz_yyyyyyyz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1252); 

                auto tg_xzzzzzz_yyyyyyzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1253); 

                auto tg_xzzzzzz_yyyyyzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1254); 

                auto tg_xzzzzzz_yyyyzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1255); 

                auto tg_xzzzzzz_yyyzzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1256); 

                auto tg_yyzzzz_yyyyyyyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1161); 

                auto tg_yyzzzz_yyyyyyyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1162); 

                auto tg_yyzzzz_yyyyyyzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1163); 

                auto tg_yyzzzz_yyyyyzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1164); 

                auto tg_yyzzzz_yyyyzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1165); 

                auto tg_yyzzzz_yyyzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1166); 

                auto tg_yyzzzz_yyzzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1167); 

                auto tg_yyzzzz_yzzzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1168); 

                auto tg_yyzzzz_zzzzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1169); 

                auto tg_yzzzzz_xxxxxxxx_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1170); 

                auto tg_yzzzzz_xxxxxxxy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1171); 

                auto tg_yzzzzz_xxxxxxxz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1172); 

                auto tg_yzzzzz_xxxxxxyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1173); 

                auto tg_yzzzzz_xxxxxxyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1174); 

                auto tg_yzzzzz_xxxxxxzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1175); 

                auto tg_yzzzzz_xxxxxyyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1176); 

                auto tg_yzzzzz_xxxxxyyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1177); 

                auto tg_yzzzzz_xxxxxyzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1178); 

                auto tg_yzzzzz_xxxxxzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1179); 

                auto tg_yzzzzz_xxxxyyyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1180); 

                auto tg_yzzzzz_xxxxyyyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1181); 

                auto tg_yzzzzz_xxxxyyzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1182); 

                auto tg_yzzzzz_xxxxyzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1183); 

                auto tg_yzzzzz_xxxxzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1184); 

                auto tg_yzzzzz_xxxyyyyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1185); 

                auto tg_yzzzzz_xxxyyyyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1186); 

                auto tg_yzzzzz_xxxyyyzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1187); 

                auto tg_yzzzzz_xxxyyzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1188); 

                auto tg_yzzzzz_xxxyzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1189); 

                auto tg_yzzzzz_xxxzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1190); 

                auto tg_yzzzzz_xxyyyyyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1191); 

                auto tg_yzzzzz_xxyyyyyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1192); 

                auto tg_yzzzzz_xxyyyyzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1193); 

                auto tg_yzzzzz_xxyyyzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1194); 

                auto tg_yzzzzz_xxyyzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1195); 

                auto tg_yzzzzz_xxyzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1196); 

                auto tg_yzzzzz_xxzzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1197); 

                auto tg_yzzzzz_xyyyyyyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1198); 

                auto tg_yzzzzz_xyyyyyyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1199); 

                auto tg_yzzzzz_xyyyyyzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1200); 

                auto tg_yzzzzz_xyyyyzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1201); 

                auto tg_yzzzzz_xyyyzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1202); 

                auto tg_yzzzzz_xyyzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1203); 

                auto tg_yzzzzz_xyzzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1204); 

                auto tg_yzzzzz_xzzzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1205); 

                auto tg_yzzzzz_yyyyyyyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1206); 

                auto tg_yzzzzz_yyyyyyyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1207); 

                auto tg_yzzzzz_yyyyyyzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1208); 

                auto tg_yzzzzz_yyyyyzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1209); 

                auto tg_yzzzzz_yyyyzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1210); 

                auto tg_yzzzzz_yyyzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1211); 

                auto tg_yzzzzz_yyzzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1212); 

                auto tg_yzzzzz_yzzzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1213); 

                auto tg_yzzzzz_zzzzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1214); 

                auto tg_zzzzzz_xxxxxxxx_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1215); 

                auto tg_zzzzzz_xxxxxxxy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1216); 

                auto tg_zzzzzz_xxxxxxxz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1217); 

                auto tg_zzzzzz_xxxxxxyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1218); 

                auto tg_zzzzzz_xxxxxxyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1219); 

                auto tg_zzzzzz_xxxxxxzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1220); 

                auto tg_zzzzzz_xxxxxyyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1221); 

                auto tg_zzzzzz_xxxxxyyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1222); 

                auto tg_zzzzzz_xxxxxyzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1223); 

                auto tg_zzzzzz_xxxxxzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1224); 

                auto tg_zzzzzz_xxxxyyyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1225); 

                auto tg_zzzzzz_xxxxyyyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1226); 

                auto tg_zzzzzz_xxxxyyzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1227); 

                auto tg_zzzzzz_xxxxyzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1228); 

                auto tg_zzzzzz_xxxxzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1229); 

                auto tg_zzzzzz_xxxyyyyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1230); 

                auto tg_zzzzzz_xxxyyyyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1231); 

                auto tg_zzzzzz_xxxyyyzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1232); 

                auto tg_zzzzzz_xxxyyzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1233); 

                auto tg_zzzzzz_xxxyzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1234); 

                auto tg_zzzzzz_xxxzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1235); 

                auto tg_zzzzzz_xxyyyyyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1236); 

                auto tg_zzzzzz_xxyyyyyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1237); 

                auto tg_zzzzzz_xxyyyyzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1238); 

                auto tg_zzzzzz_xxyyyzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1239); 

                auto tg_zzzzzz_xxyyzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1240); 

                auto tg_zzzzzz_xxyzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1241); 

                auto tg_zzzzzz_xxzzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1242); 

                auto tg_zzzzzz_xyyyyyyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1243); 

                auto tg_zzzzzz_xyyyyyyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1244); 

                auto tg_zzzzzz_xyyyyyzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1245); 

                auto tg_zzzzzz_xyyyyzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1246); 

                auto tg_zzzzzz_xyyyzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1247); 

                auto tg_zzzzzz_xyyzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1248); 

                auto tg_zzzzzz_xyzzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1249); 

                auto tg_zzzzzz_xzzzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1250); 

                auto tg_zzzzzz_yyyyyyyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1251); 

                auto tg_zzzzzz_yyyyyyyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1252); 

                auto tg_zzzzzz_yyyyyyzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1253); 

                auto tg_zzzzzz_yyyyyzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1254); 

                auto tg_zzzzzz_yyyyzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1255); 

                auto tg_zzzzzz_yyyzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1256); 

                auto tg_yyzzzz_yyyyyyyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1161); 

                auto tg_yyzzzz_yyyyyyyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1162); 

                auto tg_yyzzzz_yyyyyyzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1163); 

                auto tg_yyzzzz_yyyyyzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1164); 

                auto tg_yyzzzz_yyyyzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1165); 

                auto tg_yyzzzz_yyyzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1166); 

                auto tg_yyzzzz_yyzzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1167); 

                auto tg_yyzzzz_yzzzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1168); 

                auto tg_yyzzzz_zzzzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1169); 

                auto tg_yzzzzz_xxxxxxxx_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1170); 

                auto tg_yzzzzz_xxxxxxxy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1171); 

                auto tg_yzzzzz_xxxxxxxz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1172); 

                auto tg_yzzzzz_xxxxxxyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1173); 

                auto tg_yzzzzz_xxxxxxyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1174); 

                auto tg_yzzzzz_xxxxxxzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1175); 

                auto tg_yzzzzz_xxxxxyyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1176); 

                auto tg_yzzzzz_xxxxxyyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1177); 

                auto tg_yzzzzz_xxxxxyzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1178); 

                auto tg_yzzzzz_xxxxxzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1179); 

                auto tg_yzzzzz_xxxxyyyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1180); 

                auto tg_yzzzzz_xxxxyyyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1181); 

                auto tg_yzzzzz_xxxxyyzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1182); 

                auto tg_yzzzzz_xxxxyzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1183); 

                auto tg_yzzzzz_xxxxzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1184); 

                auto tg_yzzzzz_xxxyyyyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1185); 

                auto tg_yzzzzz_xxxyyyyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1186); 

                auto tg_yzzzzz_xxxyyyzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1187); 

                auto tg_yzzzzz_xxxyyzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1188); 

                auto tg_yzzzzz_xxxyzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1189); 

                auto tg_yzzzzz_xxxzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1190); 

                auto tg_yzzzzz_xxyyyyyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1191); 

                auto tg_yzzzzz_xxyyyyyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1192); 

                auto tg_yzzzzz_xxyyyyzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1193); 

                auto tg_yzzzzz_xxyyyzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1194); 

                auto tg_yzzzzz_xxyyzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1195); 

                auto tg_yzzzzz_xxyzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1196); 

                auto tg_yzzzzz_xxzzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1197); 

                auto tg_yzzzzz_xyyyyyyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1198); 

                auto tg_yzzzzz_xyyyyyyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1199); 

                auto tg_yzzzzz_xyyyyyzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1200); 

                auto tg_yzzzzz_xyyyyzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1201); 

                auto tg_yzzzzz_xyyyzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1202); 

                auto tg_yzzzzz_xyyzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1203); 

                auto tg_yzzzzz_xyzzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1204); 

                auto tg_yzzzzz_xzzzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1205); 

                auto tg_yzzzzz_yyyyyyyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1206); 

                auto tg_yzzzzz_yyyyyyyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1207); 

                auto tg_yzzzzz_yyyyyyzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1208); 

                auto tg_yzzzzz_yyyyyzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1209); 

                auto tg_yzzzzz_yyyyzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1210); 

                auto tg_yzzzzz_yyyzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1211); 

                auto tg_yzzzzz_yyzzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1212); 

                auto tg_yzzzzz_yzzzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1213); 

                auto tg_yzzzzz_zzzzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1214); 

                auto tg_zzzzzz_xxxxxxxx_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1215); 

                auto tg_zzzzzz_xxxxxxxy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1216); 

                auto tg_zzzzzz_xxxxxxxz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1217); 

                auto tg_zzzzzz_xxxxxxyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1218); 

                auto tg_zzzzzz_xxxxxxyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1219); 

                auto tg_zzzzzz_xxxxxxzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1220); 

                auto tg_zzzzzz_xxxxxyyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1221); 

                auto tg_zzzzzz_xxxxxyyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1222); 

                auto tg_zzzzzz_xxxxxyzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1223); 

                auto tg_zzzzzz_xxxxxzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1224); 

                auto tg_zzzzzz_xxxxyyyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1225); 

                auto tg_zzzzzz_xxxxyyyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1226); 

                auto tg_zzzzzz_xxxxyyzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1227); 

                auto tg_zzzzzz_xxxxyzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1228); 

                auto tg_zzzzzz_xxxxzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1229); 

                auto tg_zzzzzz_xxxyyyyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1230); 

                auto tg_zzzzzz_xxxyyyyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1231); 

                auto tg_zzzzzz_xxxyyyzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1232); 

                auto tg_zzzzzz_xxxyyzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1233); 

                auto tg_zzzzzz_xxxyzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1234); 

                auto tg_zzzzzz_xxxzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1235); 

                auto tg_zzzzzz_xxyyyyyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1236); 

                auto tg_zzzzzz_xxyyyyyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1237); 

                auto tg_zzzzzz_xxyyyyzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1238); 

                auto tg_zzzzzz_xxyyyzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1239); 

                auto tg_zzzzzz_xxyyzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1240); 

                auto tg_zzzzzz_xxyzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1241); 

                auto tg_zzzzzz_xxzzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1242); 

                auto tg_zzzzzz_xyyyyyyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1243); 

                auto tg_zzzzzz_xyyyyyyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1244); 

                auto tg_zzzzzz_xyyyyyzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1245); 

                auto tg_zzzzzz_xyyyyzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1246); 

                auto tg_zzzzzz_xyyyzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1247); 

                auto tg_zzzzzz_xyyzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1248); 

                auto tg_zzzzzz_xyzzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1249); 

                auto tg_zzzzzz_xzzzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1250); 

                auto tg_zzzzzz_yyyyyyyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1251); 

                auto tg_zzzzzz_yyyyyyyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1252); 

                auto tg_zzzzzz_yyyyyyzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1253); 

                auto tg_zzzzzz_yyyyyzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1254); 

                auto tg_zzzzzz_yyyyzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1255); 

                auto tg_zzzzzz_yyyzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1256); 

                auto tg_xyzzzzz_xxxxxxx_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 936); 

                auto tg_xyzzzzz_xxxxxxy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 937); 

                auto tg_xyzzzzz_xxxxxxz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 938); 

                auto tg_xyzzzzz_xxxxxyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 939); 

                auto tg_xyzzzzz_xxxxxyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 940); 

                auto tg_xyzzzzz_xxxxxzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 941); 

                auto tg_xyzzzzz_xxxxyyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 942); 

                auto tg_xyzzzzz_xxxxyyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 943); 

                auto tg_xyzzzzz_xxxxyzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 944); 

                auto tg_xyzzzzz_xxxxzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 945); 

                auto tg_xyzzzzz_xxxyyyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 946); 

                auto tg_xyzzzzz_xxxyyyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 947); 

                auto tg_xyzzzzz_xxxyyzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 948); 

                auto tg_xyzzzzz_xxxyzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 949); 

                auto tg_xyzzzzz_xxxzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 950); 

                auto tg_xyzzzzz_xxyyyyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 951); 

                auto tg_xyzzzzz_xxyyyyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 952); 

                auto tg_xyzzzzz_xxyyyzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 953); 

                auto tg_xyzzzzz_xxyyzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 954); 

                auto tg_xyzzzzz_xxyzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 955); 

                auto tg_xyzzzzz_xxzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 956); 

                auto tg_xyzzzzz_xyyyyyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 957); 

                auto tg_xyzzzzz_xyyyyyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 958); 

                auto tg_xyzzzzz_xyyyyzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 959); 

                auto tg_xyzzzzz_xyyyzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 960); 

                auto tg_xyzzzzz_xyyzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 961); 

                auto tg_xyzzzzz_xyzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 962); 

                auto tg_xyzzzzz_xzzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 963); 

                auto tg_xyzzzzz_yyyyyyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 964); 

                auto tg_xyzzzzz_yyyyyyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 965); 

                auto tg_xyzzzzz_yyyyyzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 966); 

                auto tg_xyzzzzz_yyyyzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 967); 

                auto tg_xyzzzzz_yyyzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 968); 

                auto tg_xyzzzzz_yyzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 969); 

                auto tg_xyzzzzz_yzzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 970); 

                auto tg_xyzzzzz_zzzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 971); 

                auto tg_xzzzzzz_xxxxxxx_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 972); 

                auto tg_xzzzzzz_xxxxxxy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 973); 

                auto tg_xzzzzzz_xxxxxxz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 974); 

                auto tg_xzzzzzz_xxxxxyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 975); 

                auto tg_xzzzzzz_xxxxxyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 976); 

                auto tg_xzzzzzz_xxxxxzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 977); 

                auto tg_xzzzzzz_xxxxyyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 978); 

                auto tg_xzzzzzz_xxxxyyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 979); 

                auto tg_xzzzzzz_xxxxyzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 980); 

                auto tg_xzzzzzz_xxxxzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 981); 

                auto tg_xzzzzzz_xxxyyyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 982); 

                auto tg_xzzzzzz_xxxyyyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 983); 

                auto tg_xzzzzzz_xxxyyzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 984); 

                auto tg_xzzzzzz_xxxyzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 985); 

                auto tg_xzzzzzz_xxxzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 986); 

                auto tg_xzzzzzz_xxyyyyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 987); 

                auto tg_xzzzzzz_xxyyyyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 988); 

                auto tg_xzzzzzz_xxyyyzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 989); 

                auto tg_xzzzzzz_xxyyzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 990); 

                auto tg_xzzzzzz_xxyzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 991); 

                auto tg_xzzzzzz_xxzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 992); 

                auto tg_xzzzzzz_xyyyyyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 993); 

                auto tg_xzzzzzz_xyyyyyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 994); 

                auto tg_xzzzzzz_xyyyyzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 995); 

                auto tg_xzzzzzz_xyyyzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 996); 

                auto tg_xzzzzzz_xyyzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 997); 

                auto tg_xzzzzzz_xyzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 998); 

                auto tg_xzzzzzz_xzzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 999); 

                auto tg_xzzzzzz_yyyyyyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1000); 

                auto tg_xzzzzzz_yyyyyyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1001); 

                auto tg_xzzzzzz_yyyyyzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1002); 

                auto tg_xzzzzzz_yyyyzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1003); 

                auto tg_xzzzzzz_yyyzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1004); 

                auto tg_xzzzzzz_yyzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1005); 

                auto tg_xzzzzzz_yzzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1006); 

                auto tg_xzzzzzz_zzzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1007); 

                // set up pointers to integrals

                auto tg_xxyyzzzz_yyyyyyyy_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1161); 

                auto tg_xxyyzzzz_yyyyyyyz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1162); 

                auto tg_xxyyzzzz_yyyyyyzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1163); 

                auto tg_xxyyzzzz_yyyyyzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1164); 

                auto tg_xxyyzzzz_yyyyzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1165); 

                auto tg_xxyyzzzz_yyyzzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1166); 

                auto tg_xxyyzzzz_yyzzzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1167); 

                auto tg_xxyyzzzz_yzzzzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1168); 

                auto tg_xxyyzzzz_zzzzzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1169); 

                auto tg_xxyzzzzz_xxxxxxxx_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1170); 

                auto tg_xxyzzzzz_xxxxxxxy_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1171); 

                auto tg_xxyzzzzz_xxxxxxxz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1172); 

                auto tg_xxyzzzzz_xxxxxxyy_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1173); 

                auto tg_xxyzzzzz_xxxxxxyz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1174); 

                auto tg_xxyzzzzz_xxxxxxzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1175); 

                auto tg_xxyzzzzz_xxxxxyyy_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1176); 

                auto tg_xxyzzzzz_xxxxxyyz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1177); 

                auto tg_xxyzzzzz_xxxxxyzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1178); 

                auto tg_xxyzzzzz_xxxxxzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1179); 

                auto tg_xxyzzzzz_xxxxyyyy_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1180); 

                auto tg_xxyzzzzz_xxxxyyyz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1181); 

                auto tg_xxyzzzzz_xxxxyyzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1182); 

                auto tg_xxyzzzzz_xxxxyzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1183); 

                auto tg_xxyzzzzz_xxxxzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1184); 

                auto tg_xxyzzzzz_xxxyyyyy_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1185); 

                auto tg_xxyzzzzz_xxxyyyyz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1186); 

                auto tg_xxyzzzzz_xxxyyyzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1187); 

                auto tg_xxyzzzzz_xxxyyzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1188); 

                auto tg_xxyzzzzz_xxxyzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1189); 

                auto tg_xxyzzzzz_xxxzzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1190); 

                auto tg_xxyzzzzz_xxyyyyyy_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1191); 

                auto tg_xxyzzzzz_xxyyyyyz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1192); 

                auto tg_xxyzzzzz_xxyyyyzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1193); 

                auto tg_xxyzzzzz_xxyyyzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1194); 

                auto tg_xxyzzzzz_xxyyzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1195); 

                auto tg_xxyzzzzz_xxyzzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1196); 

                auto tg_xxyzzzzz_xxzzzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1197); 

                auto tg_xxyzzzzz_xyyyyyyy_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1198); 

                auto tg_xxyzzzzz_xyyyyyyz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1199); 

                auto tg_xxyzzzzz_xyyyyyzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1200); 

                auto tg_xxyzzzzz_xyyyyzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1201); 

                auto tg_xxyzzzzz_xyyyzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1202); 

                auto tg_xxyzzzzz_xyyzzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1203); 

                auto tg_xxyzzzzz_xyzzzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1204); 

                auto tg_xxyzzzzz_xzzzzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1205); 

                auto tg_xxyzzzzz_yyyyyyyy_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1206); 

                auto tg_xxyzzzzz_yyyyyyyz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1207); 

                auto tg_xxyzzzzz_yyyyyyzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1208); 

                auto tg_xxyzzzzz_yyyyyzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1209); 

                auto tg_xxyzzzzz_yyyyzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1210); 

                auto tg_xxyzzzzz_yyyzzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1211); 

                auto tg_xxyzzzzz_yyzzzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1212); 

                auto tg_xxyzzzzz_yzzzzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1213); 

                auto tg_xxyzzzzz_zzzzzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1214); 

                auto tg_xxzzzzzz_xxxxxxxx_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1215); 

                auto tg_xxzzzzzz_xxxxxxxy_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1216); 

                auto tg_xxzzzzzz_xxxxxxxz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1217); 

                auto tg_xxzzzzzz_xxxxxxyy_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1218); 

                auto tg_xxzzzzzz_xxxxxxyz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1219); 

                auto tg_xxzzzzzz_xxxxxxzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1220); 

                auto tg_xxzzzzzz_xxxxxyyy_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1221); 

                auto tg_xxzzzzzz_xxxxxyyz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1222); 

                auto tg_xxzzzzzz_xxxxxyzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1223); 

                auto tg_xxzzzzzz_xxxxxzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1224); 

                auto tg_xxzzzzzz_xxxxyyyy_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1225); 

                auto tg_xxzzzzzz_xxxxyyyz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1226); 

                auto tg_xxzzzzzz_xxxxyyzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1227); 

                auto tg_xxzzzzzz_xxxxyzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1228); 

                auto tg_xxzzzzzz_xxxxzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1229); 

                auto tg_xxzzzzzz_xxxyyyyy_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1230); 

                auto tg_xxzzzzzz_xxxyyyyz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1231); 

                auto tg_xxzzzzzz_xxxyyyzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1232); 

                auto tg_xxzzzzzz_xxxyyzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1233); 

                auto tg_xxzzzzzz_xxxyzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1234); 

                auto tg_xxzzzzzz_xxxzzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1235); 

                auto tg_xxzzzzzz_xxyyyyyy_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1236); 

                auto tg_xxzzzzzz_xxyyyyyz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1237); 

                auto tg_xxzzzzzz_xxyyyyzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1238); 

                auto tg_xxzzzzzz_xxyyyzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1239); 

                auto tg_xxzzzzzz_xxyyzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1240); 

                auto tg_xxzzzzzz_xxyzzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1241); 

                auto tg_xxzzzzzz_xxzzzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1242); 

                auto tg_xxzzzzzz_xyyyyyyy_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1243); 

                auto tg_xxzzzzzz_xyyyyyyz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1244); 

                auto tg_xxzzzzzz_xyyyyyzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1245); 

                auto tg_xxzzzzzz_xyyyyzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1246); 

                auto tg_xxzzzzzz_xyyyzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1247); 

                auto tg_xxzzzzzz_xyyzzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1248); 

                auto tg_xxzzzzzz_xyzzzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1249); 

                auto tg_xxzzzzzz_xzzzzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1250); 

                auto tg_xxzzzzzz_yyyyyyyy_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1251); 

                auto tg_xxzzzzzz_yyyyyyyz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1252); 

                auto tg_xxzzzzzz_yyyyyyzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1253); 

                auto tg_xxzzzzzz_yyyyyzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1254); 

                auto tg_xxzzzzzz_yyyyzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1255); 

                auto tg_xxzzzzzz_yyyzzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1256); 

                // Batch of Integrals (1161,1257)

                #pragma omp simd aligned(fxn, fza, tg_xxyyzzzz_yyyyyyyy_0, tg_xxyyzzzz_yyyyyyyz_0, \
                                         tg_xxyyzzzz_yyyyyyzz_0, tg_xxyyzzzz_yyyyyzzz_0, tg_xxyyzzzz_yyyyzzzz_0, \
                                         tg_xxyyzzzz_yyyzzzzz_0, tg_xxyyzzzz_yyzzzzzz_0, tg_xxyyzzzz_yzzzzzzz_0, \
                                         tg_xxyyzzzz_zzzzzzzz_0, tg_xxyzzzzz_xxxxxxxx_0, tg_xxyzzzzz_xxxxxxxy_0, \
                                         tg_xxyzzzzz_xxxxxxxz_0, tg_xxyzzzzz_xxxxxxyy_0, tg_xxyzzzzz_xxxxxxyz_0, \
                                         tg_xxyzzzzz_xxxxxxzz_0, tg_xxyzzzzz_xxxxxyyy_0, tg_xxyzzzzz_xxxxxyyz_0, \
                                         tg_xxyzzzzz_xxxxxyzz_0, tg_xxyzzzzz_xxxxxzzz_0, tg_xxyzzzzz_xxxxyyyy_0, \
                                         tg_xxyzzzzz_xxxxyyyz_0, tg_xxyzzzzz_xxxxyyzz_0, tg_xxyzzzzz_xxxxyzzz_0, \
                                         tg_xxyzzzzz_xxxxzzzz_0, tg_xxyzzzzz_xxxyyyyy_0, tg_xxyzzzzz_xxxyyyyz_0, \
                                         tg_xxyzzzzz_xxxyyyzz_0, tg_xxyzzzzz_xxxyyzzz_0, tg_xxyzzzzz_xxxyzzzz_0, \
                                         tg_xxyzzzzz_xxxzzzzz_0, tg_xxyzzzzz_xxyyyyyy_0, tg_xxyzzzzz_xxyyyyyz_0, \
                                         tg_xxyzzzzz_xxyyyyzz_0, tg_xxyzzzzz_xxyyyzzz_0, tg_xxyzzzzz_xxyyzzzz_0, \
                                         tg_xxyzzzzz_xxyzzzzz_0, tg_xxyzzzzz_xxzzzzzz_0, tg_xxyzzzzz_xyyyyyyy_0, \
                                         tg_xxyzzzzz_xyyyyyyz_0, tg_xxyzzzzz_xyyyyyzz_0, tg_xxyzzzzz_xyyyyzzz_0, \
                                         tg_xxyzzzzz_xyyyzzzz_0, tg_xxyzzzzz_xyyzzzzz_0, tg_xxyzzzzz_xyzzzzzz_0, \
                                         tg_xxyzzzzz_xzzzzzzz_0, tg_xxyzzzzz_yyyyyyyy_0, tg_xxyzzzzz_yyyyyyyz_0, \
                                         tg_xxyzzzzz_yyyyyyzz_0, tg_xxyzzzzz_yyyyyzzz_0, tg_xxyzzzzz_yyyyzzzz_0, \
                                         tg_xxyzzzzz_yyyzzzzz_0, tg_xxyzzzzz_yyzzzzzz_0, tg_xxyzzzzz_yzzzzzzz_0, \
                                         tg_xxyzzzzz_zzzzzzzz_0, tg_xxzzzzzz_xxxxxxxx_0, tg_xxzzzzzz_xxxxxxxy_0, \
                                         tg_xxzzzzzz_xxxxxxxz_0, tg_xxzzzzzz_xxxxxxyy_0, tg_xxzzzzzz_xxxxxxyz_0, \
                                         tg_xxzzzzzz_xxxxxxzz_0, tg_xxzzzzzz_xxxxxyyy_0, tg_xxzzzzzz_xxxxxyyz_0, \
                                         tg_xxzzzzzz_xxxxxyzz_0, tg_xxzzzzzz_xxxxxzzz_0, tg_xxzzzzzz_xxxxyyyy_0, \
                                         tg_xxzzzzzz_xxxxyyyz_0, tg_xxzzzzzz_xxxxyyzz_0, tg_xxzzzzzz_xxxxyzzz_0, \
                                         tg_xxzzzzzz_xxxxzzzz_0, tg_xxzzzzzz_xxxyyyyy_0, tg_xxzzzzzz_xxxyyyyz_0, \
                                         tg_xxzzzzzz_xxxyyyzz_0, tg_xxzzzzzz_xxxyyzzz_0, tg_xxzzzzzz_xxxyzzzz_0, \
                                         tg_xxzzzzzz_xxxzzzzz_0, tg_xxzzzzzz_xxyyyyyy_0, tg_xxzzzzzz_xxyyyyyz_0, \
                                         tg_xxzzzzzz_xxyyyyzz_0, tg_xxzzzzzz_xxyyyzzz_0, tg_xxzzzzzz_xxyyzzzz_0, \
                                         tg_xxzzzzzz_xxyzzzzz_0, tg_xxzzzzzz_xxzzzzzz_0, tg_xxzzzzzz_xyyyyyyy_0, \
                                         tg_xxzzzzzz_xyyyyyyz_0, tg_xxzzzzzz_xyyyyyzz_0, tg_xxzzzzzz_xyyyyzzz_0, \
                                         tg_xxzzzzzz_xyyyzzzz_0, tg_xxzzzzzz_xyyzzzzz_0, tg_xxzzzzzz_xyzzzzzz_0, \
                                         tg_xxzzzzzz_xzzzzzzz_0, tg_xxzzzzzz_yyyyyyyy_0, tg_xxzzzzzz_yyyyyyyz_0, \
                                         tg_xxzzzzzz_yyyyyyzz_0, tg_xxzzzzzz_yyyyyzzz_0, tg_xxzzzzzz_yyyyzzzz_0, \
                                         tg_xxzzzzzz_yyyzzzzz_0, tg_xyyzzzz_yyyyyyyy_0, tg_xyyzzzz_yyyyyyyy_1, \
                                         tg_xyyzzzz_yyyyyyyz_0, tg_xyyzzzz_yyyyyyyz_1, tg_xyyzzzz_yyyyyyzz_0, \
                                         tg_xyyzzzz_yyyyyyzz_1, tg_xyyzzzz_yyyyyzzz_0, tg_xyyzzzz_yyyyyzzz_1, \
                                         tg_xyyzzzz_yyyyzzzz_0, tg_xyyzzzz_yyyyzzzz_1, tg_xyyzzzz_yyyzzzzz_0, \
                                         tg_xyyzzzz_yyyzzzzz_1, tg_xyyzzzz_yyzzzzzz_0, tg_xyyzzzz_yyzzzzzz_1, \
                                         tg_xyyzzzz_yzzzzzzz_0, tg_xyyzzzz_yzzzzzzz_1, tg_xyyzzzz_zzzzzzzz_0, \
                                         tg_xyyzzzz_zzzzzzzz_1, tg_xyzzzzz_xxxxxxx_1, tg_xyzzzzz_xxxxxxxx_0, \
                                         tg_xyzzzzz_xxxxxxxx_1, tg_xyzzzzz_xxxxxxxy_0, tg_xyzzzzz_xxxxxxxy_1, \
                                         tg_xyzzzzz_xxxxxxxz_0, tg_xyzzzzz_xxxxxxxz_1, tg_xyzzzzz_xxxxxxy_1, \
                                         tg_xyzzzzz_xxxxxxyy_0, tg_xyzzzzz_xxxxxxyy_1, tg_xyzzzzz_xxxxxxyz_0, \
                                         tg_xyzzzzz_xxxxxxyz_1, tg_xyzzzzz_xxxxxxz_1, tg_xyzzzzz_xxxxxxzz_0, \
                                         tg_xyzzzzz_xxxxxxzz_1, tg_xyzzzzz_xxxxxyy_1, tg_xyzzzzz_xxxxxyyy_0, \
                                         tg_xyzzzzz_xxxxxyyy_1, tg_xyzzzzz_xxxxxyyz_0, tg_xyzzzzz_xxxxxyyz_1, \
                                         tg_xyzzzzz_xxxxxyz_1, tg_xyzzzzz_xxxxxyzz_0, tg_xyzzzzz_xxxxxyzz_1, \
                                         tg_xyzzzzz_xxxxxzz_1, tg_xyzzzzz_xxxxxzzz_0, tg_xyzzzzz_xxxxxzzz_1, \
                                         tg_xyzzzzz_xxxxyyy_1, tg_xyzzzzz_xxxxyyyy_0, tg_xyzzzzz_xxxxyyyy_1, \
                                         tg_xyzzzzz_xxxxyyyz_0, tg_xyzzzzz_xxxxyyyz_1, tg_xyzzzzz_xxxxyyz_1, \
                                         tg_xyzzzzz_xxxxyyzz_0, tg_xyzzzzz_xxxxyyzz_1, tg_xyzzzzz_xxxxyzz_1, \
                                         tg_xyzzzzz_xxxxyzzz_0, tg_xyzzzzz_xxxxyzzz_1, tg_xyzzzzz_xxxxzzz_1, \
                                         tg_xyzzzzz_xxxxzzzz_0, tg_xyzzzzz_xxxxzzzz_1, tg_xyzzzzz_xxxyyyy_1, \
                                         tg_xyzzzzz_xxxyyyyy_0, tg_xyzzzzz_xxxyyyyy_1, tg_xyzzzzz_xxxyyyyz_0, \
                                         tg_xyzzzzz_xxxyyyyz_1, tg_xyzzzzz_xxxyyyz_1, tg_xyzzzzz_xxxyyyzz_0, \
                                         tg_xyzzzzz_xxxyyyzz_1, tg_xyzzzzz_xxxyyzz_1, tg_xyzzzzz_xxxyyzzz_0, \
                                         tg_xyzzzzz_xxxyyzzz_1, tg_xyzzzzz_xxxyzzz_1, tg_xyzzzzz_xxxyzzzz_0, \
                                         tg_xyzzzzz_xxxyzzzz_1, tg_xyzzzzz_xxxzzzz_1, tg_xyzzzzz_xxxzzzzz_0, \
                                         tg_xyzzzzz_xxxzzzzz_1, tg_xyzzzzz_xxyyyyy_1, tg_xyzzzzz_xxyyyyyy_0, \
                                         tg_xyzzzzz_xxyyyyyy_1, tg_xyzzzzz_xxyyyyyz_0, tg_xyzzzzz_xxyyyyyz_1, \
                                         tg_xyzzzzz_xxyyyyz_1, tg_xyzzzzz_xxyyyyzz_0, tg_xyzzzzz_xxyyyyzz_1, \
                                         tg_xyzzzzz_xxyyyzz_1, tg_xyzzzzz_xxyyyzzz_0, tg_xyzzzzz_xxyyyzzz_1, \
                                         tg_xyzzzzz_xxyyzzz_1, tg_xyzzzzz_xxyyzzzz_0, tg_xyzzzzz_xxyyzzzz_1, \
                                         tg_xyzzzzz_xxyzzzz_1, tg_xyzzzzz_xxyzzzzz_0, tg_xyzzzzz_xxyzzzzz_1, \
                                         tg_xyzzzzz_xxzzzzz_1, tg_xyzzzzz_xxzzzzzz_0, tg_xyzzzzz_xxzzzzzz_1, \
                                         tg_xyzzzzz_xyyyyyy_1, tg_xyzzzzz_xyyyyyyy_0, tg_xyzzzzz_xyyyyyyy_1, \
                                         tg_xyzzzzz_xyyyyyyz_0, tg_xyzzzzz_xyyyyyyz_1, tg_xyzzzzz_xyyyyyz_1, \
                                         tg_xyzzzzz_xyyyyyzz_0, tg_xyzzzzz_xyyyyyzz_1, tg_xyzzzzz_xyyyyzz_1, \
                                         tg_xyzzzzz_xyyyyzzz_0, tg_xyzzzzz_xyyyyzzz_1, tg_xyzzzzz_xyyyzzz_1, \
                                         tg_xyzzzzz_xyyyzzzz_0, tg_xyzzzzz_xyyyzzzz_1, tg_xyzzzzz_xyyzzzz_1, \
                                         tg_xyzzzzz_xyyzzzzz_0, tg_xyzzzzz_xyyzzzzz_1, tg_xyzzzzz_xyzzzzz_1, \
                                         tg_xyzzzzz_xyzzzzzz_0, tg_xyzzzzz_xyzzzzzz_1, tg_xyzzzzz_xzzzzzz_1, \
                                         tg_xyzzzzz_xzzzzzzz_0, tg_xyzzzzz_xzzzzzzz_1, tg_xyzzzzz_yyyyyyy_1, \
                                         tg_xyzzzzz_yyyyyyyy_0, tg_xyzzzzz_yyyyyyyy_1, tg_xyzzzzz_yyyyyyyz_0, \
                                         tg_xyzzzzz_yyyyyyyz_1, tg_xyzzzzz_yyyyyyz_1, tg_xyzzzzz_yyyyyyzz_0, \
                                         tg_xyzzzzz_yyyyyyzz_1, tg_xyzzzzz_yyyyyzz_1, tg_xyzzzzz_yyyyyzzz_0, \
                                         tg_xyzzzzz_yyyyyzzz_1, tg_xyzzzzz_yyyyzzz_1, tg_xyzzzzz_yyyyzzzz_0, \
                                         tg_xyzzzzz_yyyyzzzz_1, tg_xyzzzzz_yyyzzzz_1, tg_xyzzzzz_yyyzzzzz_0, \
                                         tg_xyzzzzz_yyyzzzzz_1, tg_xyzzzzz_yyzzzzz_1, tg_xyzzzzz_yyzzzzzz_0, \
                                         tg_xyzzzzz_yyzzzzzz_1, tg_xyzzzzz_yzzzzzz_1, tg_xyzzzzz_yzzzzzzz_0, \
                                         tg_xyzzzzz_yzzzzzzz_1, tg_xyzzzzz_zzzzzzz_1, tg_xyzzzzz_zzzzzzzz_0, \
                                         tg_xyzzzzz_zzzzzzzz_1, tg_xzzzzzz_xxxxxxx_1, tg_xzzzzzz_xxxxxxxx_0, \
                                         tg_xzzzzzz_xxxxxxxx_1, tg_xzzzzzz_xxxxxxxy_0, tg_xzzzzzz_xxxxxxxy_1, \
                                         tg_xzzzzzz_xxxxxxxz_0, tg_xzzzzzz_xxxxxxxz_1, tg_xzzzzzz_xxxxxxy_1, \
                                         tg_xzzzzzz_xxxxxxyy_0, tg_xzzzzzz_xxxxxxyy_1, tg_xzzzzzz_xxxxxxyz_0, \
                                         tg_xzzzzzz_xxxxxxyz_1, tg_xzzzzzz_xxxxxxz_1, tg_xzzzzzz_xxxxxxzz_0, \
                                         tg_xzzzzzz_xxxxxxzz_1, tg_xzzzzzz_xxxxxyy_1, tg_xzzzzzz_xxxxxyyy_0, \
                                         tg_xzzzzzz_xxxxxyyy_1, tg_xzzzzzz_xxxxxyyz_0, tg_xzzzzzz_xxxxxyyz_1, \
                                         tg_xzzzzzz_xxxxxyz_1, tg_xzzzzzz_xxxxxyzz_0, tg_xzzzzzz_xxxxxyzz_1, \
                                         tg_xzzzzzz_xxxxxzz_1, tg_xzzzzzz_xxxxxzzz_0, tg_xzzzzzz_xxxxxzzz_1, \
                                         tg_xzzzzzz_xxxxyyy_1, tg_xzzzzzz_xxxxyyyy_0, tg_xzzzzzz_xxxxyyyy_1, \
                                         tg_xzzzzzz_xxxxyyyz_0, tg_xzzzzzz_xxxxyyyz_1, tg_xzzzzzz_xxxxyyz_1, \
                                         tg_xzzzzzz_xxxxyyzz_0, tg_xzzzzzz_xxxxyyzz_1, tg_xzzzzzz_xxxxyzz_1, \
                                         tg_xzzzzzz_xxxxyzzz_0, tg_xzzzzzz_xxxxyzzz_1, tg_xzzzzzz_xxxxzzz_1, \
                                         tg_xzzzzzz_xxxxzzzz_0, tg_xzzzzzz_xxxxzzzz_1, tg_xzzzzzz_xxxyyyy_1, \
                                         tg_xzzzzzz_xxxyyyyy_0, tg_xzzzzzz_xxxyyyyy_1, tg_xzzzzzz_xxxyyyyz_0, \
                                         tg_xzzzzzz_xxxyyyyz_1, tg_xzzzzzz_xxxyyyz_1, tg_xzzzzzz_xxxyyyzz_0, \
                                         tg_xzzzzzz_xxxyyyzz_1, tg_xzzzzzz_xxxyyzz_1, tg_xzzzzzz_xxxyyzzz_0, \
                                         tg_xzzzzzz_xxxyyzzz_1, tg_xzzzzzz_xxxyzzz_1, tg_xzzzzzz_xxxyzzzz_0, \
                                         tg_xzzzzzz_xxxyzzzz_1, tg_xzzzzzz_xxxzzzz_1, tg_xzzzzzz_xxxzzzzz_0, \
                                         tg_xzzzzzz_xxxzzzzz_1, tg_xzzzzzz_xxyyyyy_1, tg_xzzzzzz_xxyyyyyy_0, \
                                         tg_xzzzzzz_xxyyyyyy_1, tg_xzzzzzz_xxyyyyyz_0, tg_xzzzzzz_xxyyyyyz_1, \
                                         tg_xzzzzzz_xxyyyyz_1, tg_xzzzzzz_xxyyyyzz_0, tg_xzzzzzz_xxyyyyzz_1, \
                                         tg_xzzzzzz_xxyyyzz_1, tg_xzzzzzz_xxyyyzzz_0, tg_xzzzzzz_xxyyyzzz_1, \
                                         tg_xzzzzzz_xxyyzzz_1, tg_xzzzzzz_xxyyzzzz_0, tg_xzzzzzz_xxyyzzzz_1, \
                                         tg_xzzzzzz_xxyzzzz_1, tg_xzzzzzz_xxyzzzzz_0, tg_xzzzzzz_xxyzzzzz_1, \
                                         tg_xzzzzzz_xxzzzzz_1, tg_xzzzzzz_xxzzzzzz_0, tg_xzzzzzz_xxzzzzzz_1, \
                                         tg_xzzzzzz_xyyyyyy_1, tg_xzzzzzz_xyyyyyyy_0, tg_xzzzzzz_xyyyyyyy_1, \
                                         tg_xzzzzzz_xyyyyyyz_0, tg_xzzzzzz_xyyyyyyz_1, tg_xzzzzzz_xyyyyyz_1, \
                                         tg_xzzzzzz_xyyyyyzz_0, tg_xzzzzzz_xyyyyyzz_1, tg_xzzzzzz_xyyyyzz_1, \
                                         tg_xzzzzzz_xyyyyzzz_0, tg_xzzzzzz_xyyyyzzz_1, tg_xzzzzzz_xyyyzzz_1, \
                                         tg_xzzzzzz_xyyyzzzz_0, tg_xzzzzzz_xyyyzzzz_1, tg_xzzzzzz_xyyzzzz_1, \
                                         tg_xzzzzzz_xyyzzzzz_0, tg_xzzzzzz_xyyzzzzz_1, tg_xzzzzzz_xyzzzzz_1, \
                                         tg_xzzzzzz_xyzzzzzz_0, tg_xzzzzzz_xyzzzzzz_1, tg_xzzzzzz_xzzzzzz_1, \
                                         tg_xzzzzzz_xzzzzzzz_0, tg_xzzzzzz_xzzzzzzz_1, tg_xzzzzzz_yyyyyyy_1, \
                                         tg_xzzzzzz_yyyyyyyy_0, tg_xzzzzzz_yyyyyyyy_1, tg_xzzzzzz_yyyyyyyz_0, \
                                         tg_xzzzzzz_yyyyyyyz_1, tg_xzzzzzz_yyyyyyz_1, tg_xzzzzzz_yyyyyyzz_0, \
                                         tg_xzzzzzz_yyyyyyzz_1, tg_xzzzzzz_yyyyyzz_1, tg_xzzzzzz_yyyyyzzz_0, \
                                         tg_xzzzzzz_yyyyyzzz_1, tg_xzzzzzz_yyyyzzz_1, tg_xzzzzzz_yyyyzzzz_0, \
                                         tg_xzzzzzz_yyyyzzzz_1, tg_xzzzzzz_yyyzzzz_1, tg_xzzzzzz_yyyzzzzz_0, \
                                         tg_xzzzzzz_yyyzzzzz_1, tg_xzzzzzz_yyzzzzz_1, tg_xzzzzzz_yzzzzzz_1, tg_xzzzzzz_zzzzzzz_1, \
                                         tg_yyzzzz_yyyyyyyy_0, tg_yyzzzz_yyyyyyyy_1, tg_yyzzzz_yyyyyyyz_0, tg_yyzzzz_yyyyyyyz_1, \
                                         tg_yyzzzz_yyyyyyzz_0, tg_yyzzzz_yyyyyyzz_1, tg_yyzzzz_yyyyyzzz_0, tg_yyzzzz_yyyyyzzz_1, \
                                         tg_yyzzzz_yyyyzzzz_0, tg_yyzzzz_yyyyzzzz_1, tg_yyzzzz_yyyzzzzz_0, tg_yyzzzz_yyyzzzzz_1, \
                                         tg_yyzzzz_yyzzzzzz_0, tg_yyzzzz_yyzzzzzz_1, tg_yyzzzz_yzzzzzzz_0, tg_yyzzzz_yzzzzzzz_1, \
                                         tg_yyzzzz_zzzzzzzz_0, tg_yyzzzz_zzzzzzzz_1, tg_yzzzzz_xxxxxxxx_0, tg_yzzzzz_xxxxxxxx_1, \
                                         tg_yzzzzz_xxxxxxxy_0, tg_yzzzzz_xxxxxxxy_1, tg_yzzzzz_xxxxxxxz_0, tg_yzzzzz_xxxxxxxz_1, \
                                         tg_yzzzzz_xxxxxxyy_0, tg_yzzzzz_xxxxxxyy_1, tg_yzzzzz_xxxxxxyz_0, tg_yzzzzz_xxxxxxyz_1, \
                                         tg_yzzzzz_xxxxxxzz_0, tg_yzzzzz_xxxxxxzz_1, tg_yzzzzz_xxxxxyyy_0, tg_yzzzzz_xxxxxyyy_1, \
                                         tg_yzzzzz_xxxxxyyz_0, tg_yzzzzz_xxxxxyyz_1, tg_yzzzzz_xxxxxyzz_0, tg_yzzzzz_xxxxxyzz_1, \
                                         tg_yzzzzz_xxxxxzzz_0, tg_yzzzzz_xxxxxzzz_1, tg_yzzzzz_xxxxyyyy_0, tg_yzzzzz_xxxxyyyy_1, \
                                         tg_yzzzzz_xxxxyyyz_0, tg_yzzzzz_xxxxyyyz_1, tg_yzzzzz_xxxxyyzz_0, tg_yzzzzz_xxxxyyzz_1, \
                                         tg_yzzzzz_xxxxyzzz_0, tg_yzzzzz_xxxxyzzz_1, tg_yzzzzz_xxxxzzzz_0, tg_yzzzzz_xxxxzzzz_1, \
                                         tg_yzzzzz_xxxyyyyy_0, tg_yzzzzz_xxxyyyyy_1, tg_yzzzzz_xxxyyyyz_0, tg_yzzzzz_xxxyyyyz_1, \
                                         tg_yzzzzz_xxxyyyzz_0, tg_yzzzzz_xxxyyyzz_1, tg_yzzzzz_xxxyyzzz_0, tg_yzzzzz_xxxyyzzz_1, \
                                         tg_yzzzzz_xxxyzzzz_0, tg_yzzzzz_xxxyzzzz_1, tg_yzzzzz_xxxzzzzz_0, tg_yzzzzz_xxxzzzzz_1, \
                                         tg_yzzzzz_xxyyyyyy_0, tg_yzzzzz_xxyyyyyy_1, tg_yzzzzz_xxyyyyyz_0, tg_yzzzzz_xxyyyyyz_1, \
                                         tg_yzzzzz_xxyyyyzz_0, tg_yzzzzz_xxyyyyzz_1, tg_yzzzzz_xxyyyzzz_0, tg_yzzzzz_xxyyyzzz_1, \
                                         tg_yzzzzz_xxyyzzzz_0, tg_yzzzzz_xxyyzzzz_1, tg_yzzzzz_xxyzzzzz_0, tg_yzzzzz_xxyzzzzz_1, \
                                         tg_yzzzzz_xxzzzzzz_0, tg_yzzzzz_xxzzzzzz_1, tg_yzzzzz_xyyyyyyy_0, tg_yzzzzz_xyyyyyyy_1, \
                                         tg_yzzzzz_xyyyyyyz_0, tg_yzzzzz_xyyyyyyz_1, tg_yzzzzz_xyyyyyzz_0, tg_yzzzzz_xyyyyyzz_1, \
                                         tg_yzzzzz_xyyyyzzz_0, tg_yzzzzz_xyyyyzzz_1, tg_yzzzzz_xyyyzzzz_0, tg_yzzzzz_xyyyzzzz_1, \
                                         tg_yzzzzz_xyyzzzzz_0, tg_yzzzzz_xyyzzzzz_1, tg_yzzzzz_xyzzzzzz_0, tg_yzzzzz_xyzzzzzz_1, \
                                         tg_yzzzzz_xzzzzzzz_0, tg_yzzzzz_xzzzzzzz_1, tg_yzzzzz_yyyyyyyy_0, tg_yzzzzz_yyyyyyyy_1, \
                                         tg_yzzzzz_yyyyyyyz_0, tg_yzzzzz_yyyyyyyz_1, tg_yzzzzz_yyyyyyzz_0, tg_yzzzzz_yyyyyyzz_1, \
                                         tg_yzzzzz_yyyyyzzz_0, tg_yzzzzz_yyyyyzzz_1, tg_yzzzzz_yyyyzzzz_0, tg_yzzzzz_yyyyzzzz_1, \
                                         tg_yzzzzz_yyyzzzzz_0, tg_yzzzzz_yyyzzzzz_1, tg_yzzzzz_yyzzzzzz_0, tg_yzzzzz_yyzzzzzz_1, \
                                         tg_yzzzzz_yzzzzzzz_0, tg_yzzzzz_yzzzzzzz_1, tg_yzzzzz_zzzzzzzz_0, tg_yzzzzz_zzzzzzzz_1, \
                                         tg_zzzzzz_xxxxxxxx_0, tg_zzzzzz_xxxxxxxx_1, tg_zzzzzz_xxxxxxxy_0, tg_zzzzzz_xxxxxxxy_1, \
                                         tg_zzzzzz_xxxxxxxz_0, tg_zzzzzz_xxxxxxxz_1, tg_zzzzzz_xxxxxxyy_0, tg_zzzzzz_xxxxxxyy_1, \
                                         tg_zzzzzz_xxxxxxyz_0, tg_zzzzzz_xxxxxxyz_1, tg_zzzzzz_xxxxxxzz_0, tg_zzzzzz_xxxxxxzz_1, \
                                         tg_zzzzzz_xxxxxyyy_0, tg_zzzzzz_xxxxxyyy_1, tg_zzzzzz_xxxxxyyz_0, tg_zzzzzz_xxxxxyyz_1, \
                                         tg_zzzzzz_xxxxxyzz_0, tg_zzzzzz_xxxxxyzz_1, tg_zzzzzz_xxxxxzzz_0, tg_zzzzzz_xxxxxzzz_1, \
                                         tg_zzzzzz_xxxxyyyy_0, tg_zzzzzz_xxxxyyyy_1, tg_zzzzzz_xxxxyyyz_0, tg_zzzzzz_xxxxyyyz_1, \
                                         tg_zzzzzz_xxxxyyzz_0, tg_zzzzzz_xxxxyyzz_1, tg_zzzzzz_xxxxyzzz_0, tg_zzzzzz_xxxxyzzz_1, \
                                         tg_zzzzzz_xxxxzzzz_0, tg_zzzzzz_xxxxzzzz_1, tg_zzzzzz_xxxyyyyy_0, tg_zzzzzz_xxxyyyyy_1, \
                                         tg_zzzzzz_xxxyyyyz_0, tg_zzzzzz_xxxyyyyz_1, tg_zzzzzz_xxxyyyzz_0, tg_zzzzzz_xxxyyyzz_1, \
                                         tg_zzzzzz_xxxyyzzz_0, tg_zzzzzz_xxxyyzzz_1, tg_zzzzzz_xxxyzzzz_0, tg_zzzzzz_xxxyzzzz_1, \
                                         tg_zzzzzz_xxxzzzzz_0, tg_zzzzzz_xxxzzzzz_1, tg_zzzzzz_xxyyyyyy_0, tg_zzzzzz_xxyyyyyy_1, \
                                         tg_zzzzzz_xxyyyyyz_0, tg_zzzzzz_xxyyyyyz_1, tg_zzzzzz_xxyyyyzz_0, tg_zzzzzz_xxyyyyzz_1, \
                                         tg_zzzzzz_xxyyyzzz_0, tg_zzzzzz_xxyyyzzz_1, tg_zzzzzz_xxyyzzzz_0, tg_zzzzzz_xxyyzzzz_1, \
                                         tg_zzzzzz_xxyzzzzz_0, tg_zzzzzz_xxyzzzzz_1, tg_zzzzzz_xxzzzzzz_0, tg_zzzzzz_xxzzzzzz_1, \
                                         tg_zzzzzz_xyyyyyyy_0, tg_zzzzzz_xyyyyyyy_1, tg_zzzzzz_xyyyyyyz_0, tg_zzzzzz_xyyyyyyz_1, \
                                         tg_zzzzzz_xyyyyyzz_0, tg_zzzzzz_xyyyyyzz_1, tg_zzzzzz_xyyyyzzz_0, tg_zzzzzz_xyyyyzzz_1, \
                                         tg_zzzzzz_xyyyzzzz_0, tg_zzzzzz_xyyyzzzz_1, tg_zzzzzz_xyyzzzzz_0, tg_zzzzzz_xyyzzzzz_1, \
                                         tg_zzzzzz_xyzzzzzz_0, tg_zzzzzz_xyzzzzzz_1, tg_zzzzzz_xzzzzzzz_0, tg_zzzzzz_xzzzzzzz_1, \
                                         tg_zzzzzz_yyyyyyyy_0, tg_zzzzzz_yyyyyyyy_1, tg_zzzzzz_yyyyyyyz_0, tg_zzzzzz_yyyyyyyz_1, \
                                         tg_zzzzzz_yyyyyyzz_0, tg_zzzzzz_yyyyyyzz_1, tg_zzzzzz_yyyyyzzz_0, tg_zzzzzz_yyyyyzzz_1, \
                                         tg_zzzzzz_yyyyzzzz_0, tg_zzzzzz_yyyyzzzz_1, tg_zzzzzz_yyyzzzzz_0, tg_zzzzzz_yyyzzzzz_1, \
                                         wp_x: VLX_ALIGN)
                for (int32_t j = 0; j < nKetPrimPairs; j++)
                {
                    double fl1_fx = fx;

                    double fl1_fxn = fxn[j];

                    double fl1_fza = fza[j];

                    double fr = wp_x[j]; 

                    tg_xxyyzzzz_yyyyyyyy_0[j] = pb_x * tg_xyyzzzz_yyyyyyyy_0[j] + fr * tg_xyyzzzz_yyyyyyyy_1[j] + 0.5 * fl1_fx * (tg_yyzzzz_yyyyyyyy_0[j] - tg_yyzzzz_yyyyyyyy_1[j] * fl1_fza);

                    tg_xxyyzzzz_yyyyyyyz_0[j] = pb_x * tg_xyyzzzz_yyyyyyyz_0[j] + fr * tg_xyyzzzz_yyyyyyyz_1[j] + 0.5 * fl1_fx * (tg_yyzzzz_yyyyyyyz_0[j] - tg_yyzzzz_yyyyyyyz_1[j] * fl1_fza);

                    tg_xxyyzzzz_yyyyyyzz_0[j] = pb_x * tg_xyyzzzz_yyyyyyzz_0[j] + fr * tg_xyyzzzz_yyyyyyzz_1[j] + 0.5 * fl1_fx * (tg_yyzzzz_yyyyyyzz_0[j] - tg_yyzzzz_yyyyyyzz_1[j] * fl1_fza);

                    tg_xxyyzzzz_yyyyyzzz_0[j] = pb_x * tg_xyyzzzz_yyyyyzzz_0[j] + fr * tg_xyyzzzz_yyyyyzzz_1[j] + 0.5 * fl1_fx * (tg_yyzzzz_yyyyyzzz_0[j] - tg_yyzzzz_yyyyyzzz_1[j] * fl1_fza);

                    tg_xxyyzzzz_yyyyzzzz_0[j] = pb_x * tg_xyyzzzz_yyyyzzzz_0[j] + fr * tg_xyyzzzz_yyyyzzzz_1[j] + 0.5 * fl1_fx * (tg_yyzzzz_yyyyzzzz_0[j] - tg_yyzzzz_yyyyzzzz_1[j] * fl1_fza);

                    tg_xxyyzzzz_yyyzzzzz_0[j] = pb_x * tg_xyyzzzz_yyyzzzzz_0[j] + fr * tg_xyyzzzz_yyyzzzzz_1[j] + 0.5 * fl1_fx * (tg_yyzzzz_yyyzzzzz_0[j] - tg_yyzzzz_yyyzzzzz_1[j] * fl1_fza);

                    tg_xxyyzzzz_yyzzzzzz_0[j] = pb_x * tg_xyyzzzz_yyzzzzzz_0[j] + fr * tg_xyyzzzz_yyzzzzzz_1[j] + 0.5 * fl1_fx * (tg_yyzzzz_yyzzzzzz_0[j] - tg_yyzzzz_yyzzzzzz_1[j] * fl1_fza);

                    tg_xxyyzzzz_yzzzzzzz_0[j] = pb_x * tg_xyyzzzz_yzzzzzzz_0[j] + fr * tg_xyyzzzz_yzzzzzzz_1[j] + 0.5 * fl1_fx * (tg_yyzzzz_yzzzzzzz_0[j] - tg_yyzzzz_yzzzzzzz_1[j] * fl1_fza);

                    tg_xxyyzzzz_zzzzzzzz_0[j] = pb_x * tg_xyyzzzz_zzzzzzzz_0[j] + fr * tg_xyyzzzz_zzzzzzzz_1[j] + 0.5 * fl1_fx * (tg_yyzzzz_zzzzzzzz_0[j] - tg_yyzzzz_zzzzzzzz_1[j] * fl1_fza);

                    tg_xxyzzzzz_xxxxxxxx_0[j] = pb_x * tg_xyzzzzz_xxxxxxxx_0[j] + fr * tg_xyzzzzz_xxxxxxxx_1[j] + 0.5 * fl1_fx * (tg_yzzzzz_xxxxxxxx_0[j] - tg_yzzzzz_xxxxxxxx_1[j] * fl1_fza) + 4.0 * fl1_fxn * tg_xyzzzzz_xxxxxxx_1[j];

                    tg_xxyzzzzz_xxxxxxxy_0[j] = pb_x * tg_xyzzzzz_xxxxxxxy_0[j] + fr * tg_xyzzzzz_xxxxxxxy_1[j] + 0.5 * fl1_fx * (tg_yzzzzz_xxxxxxxy_0[j] - tg_yzzzzz_xxxxxxxy_1[j] * fl1_fza) + 3.5 * fl1_fxn * tg_xyzzzzz_xxxxxxy_1[j];

                    tg_xxyzzzzz_xxxxxxxz_0[j] = pb_x * tg_xyzzzzz_xxxxxxxz_0[j] + fr * tg_xyzzzzz_xxxxxxxz_1[j] + 0.5 * fl1_fx * (tg_yzzzzz_xxxxxxxz_0[j] - tg_yzzzzz_xxxxxxxz_1[j] * fl1_fza) + 3.5 * fl1_fxn * tg_xyzzzzz_xxxxxxz_1[j];

                    tg_xxyzzzzz_xxxxxxyy_0[j] = pb_x * tg_xyzzzzz_xxxxxxyy_0[j] + fr * tg_xyzzzzz_xxxxxxyy_1[j] + 0.5 * fl1_fx * (tg_yzzzzz_xxxxxxyy_0[j] - tg_yzzzzz_xxxxxxyy_1[j] * fl1_fza) + 3.0 * fl1_fxn * tg_xyzzzzz_xxxxxyy_1[j];

                    tg_xxyzzzzz_xxxxxxyz_0[j] = pb_x * tg_xyzzzzz_xxxxxxyz_0[j] + fr * tg_xyzzzzz_xxxxxxyz_1[j] + 0.5 * fl1_fx * (tg_yzzzzz_xxxxxxyz_0[j] - tg_yzzzzz_xxxxxxyz_1[j] * fl1_fza) + 3.0 * fl1_fxn * tg_xyzzzzz_xxxxxyz_1[j];

                    tg_xxyzzzzz_xxxxxxzz_0[j] = pb_x * tg_xyzzzzz_xxxxxxzz_0[j] + fr * tg_xyzzzzz_xxxxxxzz_1[j] + 0.5 * fl1_fx * (tg_yzzzzz_xxxxxxzz_0[j] - tg_yzzzzz_xxxxxxzz_1[j] * fl1_fza) + 3.0 * fl1_fxn * tg_xyzzzzz_xxxxxzz_1[j];

                    tg_xxyzzzzz_xxxxxyyy_0[j] = pb_x * tg_xyzzzzz_xxxxxyyy_0[j] + fr * tg_xyzzzzz_xxxxxyyy_1[j] + 0.5 * fl1_fx * (tg_yzzzzz_xxxxxyyy_0[j] - tg_yzzzzz_xxxxxyyy_1[j] * fl1_fza) + 2.5 * fl1_fxn * tg_xyzzzzz_xxxxyyy_1[j];

                    tg_xxyzzzzz_xxxxxyyz_0[j] = pb_x * tg_xyzzzzz_xxxxxyyz_0[j] + fr * tg_xyzzzzz_xxxxxyyz_1[j] + 0.5 * fl1_fx * (tg_yzzzzz_xxxxxyyz_0[j] - tg_yzzzzz_xxxxxyyz_1[j] * fl1_fza) + 2.5 * fl1_fxn * tg_xyzzzzz_xxxxyyz_1[j];

                    tg_xxyzzzzz_xxxxxyzz_0[j] = pb_x * tg_xyzzzzz_xxxxxyzz_0[j] + fr * tg_xyzzzzz_xxxxxyzz_1[j] + 0.5 * fl1_fx * (tg_yzzzzz_xxxxxyzz_0[j] - tg_yzzzzz_xxxxxyzz_1[j] * fl1_fza) + 2.5 * fl1_fxn * tg_xyzzzzz_xxxxyzz_1[j];

                    tg_xxyzzzzz_xxxxxzzz_0[j] = pb_x * tg_xyzzzzz_xxxxxzzz_0[j] + fr * tg_xyzzzzz_xxxxxzzz_1[j] + 0.5 * fl1_fx * (tg_yzzzzz_xxxxxzzz_0[j] - tg_yzzzzz_xxxxxzzz_1[j] * fl1_fza) + 2.5 * fl1_fxn * tg_xyzzzzz_xxxxzzz_1[j];

                    tg_xxyzzzzz_xxxxyyyy_0[j] = pb_x * tg_xyzzzzz_xxxxyyyy_0[j] + fr * tg_xyzzzzz_xxxxyyyy_1[j] + 0.5 * fl1_fx * (tg_yzzzzz_xxxxyyyy_0[j] - tg_yzzzzz_xxxxyyyy_1[j] * fl1_fza) + 2.0 * fl1_fxn * tg_xyzzzzz_xxxyyyy_1[j];

                    tg_xxyzzzzz_xxxxyyyz_0[j] = pb_x * tg_xyzzzzz_xxxxyyyz_0[j] + fr * tg_xyzzzzz_xxxxyyyz_1[j] + 0.5 * fl1_fx * (tg_yzzzzz_xxxxyyyz_0[j] - tg_yzzzzz_xxxxyyyz_1[j] * fl1_fza) + 2.0 * fl1_fxn * tg_xyzzzzz_xxxyyyz_1[j];

                    tg_xxyzzzzz_xxxxyyzz_0[j] = pb_x * tg_xyzzzzz_xxxxyyzz_0[j] + fr * tg_xyzzzzz_xxxxyyzz_1[j] + 0.5 * fl1_fx * (tg_yzzzzz_xxxxyyzz_0[j] - tg_yzzzzz_xxxxyyzz_1[j] * fl1_fza) + 2.0 * fl1_fxn * tg_xyzzzzz_xxxyyzz_1[j];

                    tg_xxyzzzzz_xxxxyzzz_0[j] = pb_x * tg_xyzzzzz_xxxxyzzz_0[j] + fr * tg_xyzzzzz_xxxxyzzz_1[j] + 0.5 * fl1_fx * (tg_yzzzzz_xxxxyzzz_0[j] - tg_yzzzzz_xxxxyzzz_1[j] * fl1_fza) + 2.0 * fl1_fxn * tg_xyzzzzz_xxxyzzz_1[j];

                    tg_xxyzzzzz_xxxxzzzz_0[j] = pb_x * tg_xyzzzzz_xxxxzzzz_0[j] + fr * tg_xyzzzzz_xxxxzzzz_1[j] + 0.5 * fl1_fx * (tg_yzzzzz_xxxxzzzz_0[j] - tg_yzzzzz_xxxxzzzz_1[j] * fl1_fza) + 2.0 * fl1_fxn * tg_xyzzzzz_xxxzzzz_1[j];

                    tg_xxyzzzzz_xxxyyyyy_0[j] = pb_x * tg_xyzzzzz_xxxyyyyy_0[j] + fr * tg_xyzzzzz_xxxyyyyy_1[j] + 0.5 * fl1_fx * (tg_yzzzzz_xxxyyyyy_0[j] - tg_yzzzzz_xxxyyyyy_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_xyzzzzz_xxyyyyy_1[j];

                    tg_xxyzzzzz_xxxyyyyz_0[j] = pb_x * tg_xyzzzzz_xxxyyyyz_0[j] + fr * tg_xyzzzzz_xxxyyyyz_1[j] + 0.5 * fl1_fx * (tg_yzzzzz_xxxyyyyz_0[j] - tg_yzzzzz_xxxyyyyz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_xyzzzzz_xxyyyyz_1[j];

                    tg_xxyzzzzz_xxxyyyzz_0[j] = pb_x * tg_xyzzzzz_xxxyyyzz_0[j] + fr * tg_xyzzzzz_xxxyyyzz_1[j] + 0.5 * fl1_fx * (tg_yzzzzz_xxxyyyzz_0[j] - tg_yzzzzz_xxxyyyzz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_xyzzzzz_xxyyyzz_1[j];

                    tg_xxyzzzzz_xxxyyzzz_0[j] = pb_x * tg_xyzzzzz_xxxyyzzz_0[j] + fr * tg_xyzzzzz_xxxyyzzz_1[j] + 0.5 * fl1_fx * (tg_yzzzzz_xxxyyzzz_0[j] - tg_yzzzzz_xxxyyzzz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_xyzzzzz_xxyyzzz_1[j];

                    tg_xxyzzzzz_xxxyzzzz_0[j] = pb_x * tg_xyzzzzz_xxxyzzzz_0[j] + fr * tg_xyzzzzz_xxxyzzzz_1[j] + 0.5 * fl1_fx * (tg_yzzzzz_xxxyzzzz_0[j] - tg_yzzzzz_xxxyzzzz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_xyzzzzz_xxyzzzz_1[j];

                    tg_xxyzzzzz_xxxzzzzz_0[j] = pb_x * tg_xyzzzzz_xxxzzzzz_0[j] + fr * tg_xyzzzzz_xxxzzzzz_1[j] + 0.5 * fl1_fx * (tg_yzzzzz_xxxzzzzz_0[j] - tg_yzzzzz_xxxzzzzz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_xyzzzzz_xxzzzzz_1[j];

                    tg_xxyzzzzz_xxyyyyyy_0[j] = pb_x * tg_xyzzzzz_xxyyyyyy_0[j] + fr * tg_xyzzzzz_xxyyyyyy_1[j] + 0.5 * fl1_fx * (tg_yzzzzz_xxyyyyyy_0[j] - tg_yzzzzz_xxyyyyyy_1[j] * fl1_fza) + fl1_fxn * tg_xyzzzzz_xyyyyyy_1[j];

                    tg_xxyzzzzz_xxyyyyyz_0[j] = pb_x * tg_xyzzzzz_xxyyyyyz_0[j] + fr * tg_xyzzzzz_xxyyyyyz_1[j] + 0.5 * fl1_fx * (tg_yzzzzz_xxyyyyyz_0[j] - tg_yzzzzz_xxyyyyyz_1[j] * fl1_fza) + fl1_fxn * tg_xyzzzzz_xyyyyyz_1[j];

                    tg_xxyzzzzz_xxyyyyzz_0[j] = pb_x * tg_xyzzzzz_xxyyyyzz_0[j] + fr * tg_xyzzzzz_xxyyyyzz_1[j] + 0.5 * fl1_fx * (tg_yzzzzz_xxyyyyzz_0[j] - tg_yzzzzz_xxyyyyzz_1[j] * fl1_fza) + fl1_fxn * tg_xyzzzzz_xyyyyzz_1[j];

                    tg_xxyzzzzz_xxyyyzzz_0[j] = pb_x * tg_xyzzzzz_xxyyyzzz_0[j] + fr * tg_xyzzzzz_xxyyyzzz_1[j] + 0.5 * fl1_fx * (tg_yzzzzz_xxyyyzzz_0[j] - tg_yzzzzz_xxyyyzzz_1[j] * fl1_fza) + fl1_fxn * tg_xyzzzzz_xyyyzzz_1[j];

                    tg_xxyzzzzz_xxyyzzzz_0[j] = pb_x * tg_xyzzzzz_xxyyzzzz_0[j] + fr * tg_xyzzzzz_xxyyzzzz_1[j] + 0.5 * fl1_fx * (tg_yzzzzz_xxyyzzzz_0[j] - tg_yzzzzz_xxyyzzzz_1[j] * fl1_fza) + fl1_fxn * tg_xyzzzzz_xyyzzzz_1[j];

                    tg_xxyzzzzz_xxyzzzzz_0[j] = pb_x * tg_xyzzzzz_xxyzzzzz_0[j] + fr * tg_xyzzzzz_xxyzzzzz_1[j] + 0.5 * fl1_fx * (tg_yzzzzz_xxyzzzzz_0[j] - tg_yzzzzz_xxyzzzzz_1[j] * fl1_fza) + fl1_fxn * tg_xyzzzzz_xyzzzzz_1[j];

                    tg_xxyzzzzz_xxzzzzzz_0[j] = pb_x * tg_xyzzzzz_xxzzzzzz_0[j] + fr * tg_xyzzzzz_xxzzzzzz_1[j] + 0.5 * fl1_fx * (tg_yzzzzz_xxzzzzzz_0[j] - tg_yzzzzz_xxzzzzzz_1[j] * fl1_fza) + fl1_fxn * tg_xyzzzzz_xzzzzzz_1[j];

                    tg_xxyzzzzz_xyyyyyyy_0[j] = pb_x * tg_xyzzzzz_xyyyyyyy_0[j] + fr * tg_xyzzzzz_xyyyyyyy_1[j] + 0.5 * fl1_fx * (tg_yzzzzz_xyyyyyyy_0[j] - tg_yzzzzz_xyyyyyyy_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xyzzzzz_yyyyyyy_1[j];

                    tg_xxyzzzzz_xyyyyyyz_0[j] = pb_x * tg_xyzzzzz_xyyyyyyz_0[j] + fr * tg_xyzzzzz_xyyyyyyz_1[j] + 0.5 * fl1_fx * (tg_yzzzzz_xyyyyyyz_0[j] - tg_yzzzzz_xyyyyyyz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xyzzzzz_yyyyyyz_1[j];

                    tg_xxyzzzzz_xyyyyyzz_0[j] = pb_x * tg_xyzzzzz_xyyyyyzz_0[j] + fr * tg_xyzzzzz_xyyyyyzz_1[j] + 0.5 * fl1_fx * (tg_yzzzzz_xyyyyyzz_0[j] - tg_yzzzzz_xyyyyyzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xyzzzzz_yyyyyzz_1[j];

                    tg_xxyzzzzz_xyyyyzzz_0[j] = pb_x * tg_xyzzzzz_xyyyyzzz_0[j] + fr * tg_xyzzzzz_xyyyyzzz_1[j] + 0.5 * fl1_fx * (tg_yzzzzz_xyyyyzzz_0[j] - tg_yzzzzz_xyyyyzzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xyzzzzz_yyyyzzz_1[j];

                    tg_xxyzzzzz_xyyyzzzz_0[j] = pb_x * tg_xyzzzzz_xyyyzzzz_0[j] + fr * tg_xyzzzzz_xyyyzzzz_1[j] + 0.5 * fl1_fx * (tg_yzzzzz_xyyyzzzz_0[j] - tg_yzzzzz_xyyyzzzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xyzzzzz_yyyzzzz_1[j];

                    tg_xxyzzzzz_xyyzzzzz_0[j] = pb_x * tg_xyzzzzz_xyyzzzzz_0[j] + fr * tg_xyzzzzz_xyyzzzzz_1[j] + 0.5 * fl1_fx * (tg_yzzzzz_xyyzzzzz_0[j] - tg_yzzzzz_xyyzzzzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xyzzzzz_yyzzzzz_1[j];

                    tg_xxyzzzzz_xyzzzzzz_0[j] = pb_x * tg_xyzzzzz_xyzzzzzz_0[j] + fr * tg_xyzzzzz_xyzzzzzz_1[j] + 0.5 * fl1_fx * (tg_yzzzzz_xyzzzzzz_0[j] - tg_yzzzzz_xyzzzzzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xyzzzzz_yzzzzzz_1[j];

                    tg_xxyzzzzz_xzzzzzzz_0[j] = pb_x * tg_xyzzzzz_xzzzzzzz_0[j] + fr * tg_xyzzzzz_xzzzzzzz_1[j] + 0.5 * fl1_fx * (tg_yzzzzz_xzzzzzzz_0[j] - tg_yzzzzz_xzzzzzzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xyzzzzz_zzzzzzz_1[j];

                    tg_xxyzzzzz_yyyyyyyy_0[j] = pb_x * tg_xyzzzzz_yyyyyyyy_0[j] + fr * tg_xyzzzzz_yyyyyyyy_1[j] + 0.5 * fl1_fx * (tg_yzzzzz_yyyyyyyy_0[j] - tg_yzzzzz_yyyyyyyy_1[j] * fl1_fza);

                    tg_xxyzzzzz_yyyyyyyz_0[j] = pb_x * tg_xyzzzzz_yyyyyyyz_0[j] + fr * tg_xyzzzzz_yyyyyyyz_1[j] + 0.5 * fl1_fx * (tg_yzzzzz_yyyyyyyz_0[j] - tg_yzzzzz_yyyyyyyz_1[j] * fl1_fza);

                    tg_xxyzzzzz_yyyyyyzz_0[j] = pb_x * tg_xyzzzzz_yyyyyyzz_0[j] + fr * tg_xyzzzzz_yyyyyyzz_1[j] + 0.5 * fl1_fx * (tg_yzzzzz_yyyyyyzz_0[j] - tg_yzzzzz_yyyyyyzz_1[j] * fl1_fza);

                    tg_xxyzzzzz_yyyyyzzz_0[j] = pb_x * tg_xyzzzzz_yyyyyzzz_0[j] + fr * tg_xyzzzzz_yyyyyzzz_1[j] + 0.5 * fl1_fx * (tg_yzzzzz_yyyyyzzz_0[j] - tg_yzzzzz_yyyyyzzz_1[j] * fl1_fza);

                    tg_xxyzzzzz_yyyyzzzz_0[j] = pb_x * tg_xyzzzzz_yyyyzzzz_0[j] + fr * tg_xyzzzzz_yyyyzzzz_1[j] + 0.5 * fl1_fx * (tg_yzzzzz_yyyyzzzz_0[j] - tg_yzzzzz_yyyyzzzz_1[j] * fl1_fza);

                    tg_xxyzzzzz_yyyzzzzz_0[j] = pb_x * tg_xyzzzzz_yyyzzzzz_0[j] + fr * tg_xyzzzzz_yyyzzzzz_1[j] + 0.5 * fl1_fx * (tg_yzzzzz_yyyzzzzz_0[j] - tg_yzzzzz_yyyzzzzz_1[j] * fl1_fza);

                    tg_xxyzzzzz_yyzzzzzz_0[j] = pb_x * tg_xyzzzzz_yyzzzzzz_0[j] + fr * tg_xyzzzzz_yyzzzzzz_1[j] + 0.5 * fl1_fx * (tg_yzzzzz_yyzzzzzz_0[j] - tg_yzzzzz_yyzzzzzz_1[j] * fl1_fza);

                    tg_xxyzzzzz_yzzzzzzz_0[j] = pb_x * tg_xyzzzzz_yzzzzzzz_0[j] + fr * tg_xyzzzzz_yzzzzzzz_1[j] + 0.5 * fl1_fx * (tg_yzzzzz_yzzzzzzz_0[j] - tg_yzzzzz_yzzzzzzz_1[j] * fl1_fza);

                    tg_xxyzzzzz_zzzzzzzz_0[j] = pb_x * tg_xyzzzzz_zzzzzzzz_0[j] + fr * tg_xyzzzzz_zzzzzzzz_1[j] + 0.5 * fl1_fx * (tg_yzzzzz_zzzzzzzz_0[j] - tg_yzzzzz_zzzzzzzz_1[j] * fl1_fza);

                    tg_xxzzzzzz_xxxxxxxx_0[j] = pb_x * tg_xzzzzzz_xxxxxxxx_0[j] + fr * tg_xzzzzzz_xxxxxxxx_1[j] + 0.5 * fl1_fx * (tg_zzzzzz_xxxxxxxx_0[j] - tg_zzzzzz_xxxxxxxx_1[j] * fl1_fza) + 4.0 * fl1_fxn * tg_xzzzzzz_xxxxxxx_1[j];

                    tg_xxzzzzzz_xxxxxxxy_0[j] = pb_x * tg_xzzzzzz_xxxxxxxy_0[j] + fr * tg_xzzzzzz_xxxxxxxy_1[j] + 0.5 * fl1_fx * (tg_zzzzzz_xxxxxxxy_0[j] - tg_zzzzzz_xxxxxxxy_1[j] * fl1_fza) + 3.5 * fl1_fxn * tg_xzzzzzz_xxxxxxy_1[j];

                    tg_xxzzzzzz_xxxxxxxz_0[j] = pb_x * tg_xzzzzzz_xxxxxxxz_0[j] + fr * tg_xzzzzzz_xxxxxxxz_1[j] + 0.5 * fl1_fx * (tg_zzzzzz_xxxxxxxz_0[j] - tg_zzzzzz_xxxxxxxz_1[j] * fl1_fza) + 3.5 * fl1_fxn * tg_xzzzzzz_xxxxxxz_1[j];

                    tg_xxzzzzzz_xxxxxxyy_0[j] = pb_x * tg_xzzzzzz_xxxxxxyy_0[j] + fr * tg_xzzzzzz_xxxxxxyy_1[j] + 0.5 * fl1_fx * (tg_zzzzzz_xxxxxxyy_0[j] - tg_zzzzzz_xxxxxxyy_1[j] * fl1_fza) + 3.0 * fl1_fxn * tg_xzzzzzz_xxxxxyy_1[j];

                    tg_xxzzzzzz_xxxxxxyz_0[j] = pb_x * tg_xzzzzzz_xxxxxxyz_0[j] + fr * tg_xzzzzzz_xxxxxxyz_1[j] + 0.5 * fl1_fx * (tg_zzzzzz_xxxxxxyz_0[j] - tg_zzzzzz_xxxxxxyz_1[j] * fl1_fza) + 3.0 * fl1_fxn * tg_xzzzzzz_xxxxxyz_1[j];

                    tg_xxzzzzzz_xxxxxxzz_0[j] = pb_x * tg_xzzzzzz_xxxxxxzz_0[j] + fr * tg_xzzzzzz_xxxxxxzz_1[j] + 0.5 * fl1_fx * (tg_zzzzzz_xxxxxxzz_0[j] - tg_zzzzzz_xxxxxxzz_1[j] * fl1_fza) + 3.0 * fl1_fxn * tg_xzzzzzz_xxxxxzz_1[j];

                    tg_xxzzzzzz_xxxxxyyy_0[j] = pb_x * tg_xzzzzzz_xxxxxyyy_0[j] + fr * tg_xzzzzzz_xxxxxyyy_1[j] + 0.5 * fl1_fx * (tg_zzzzzz_xxxxxyyy_0[j] - tg_zzzzzz_xxxxxyyy_1[j] * fl1_fza) + 2.5 * fl1_fxn * tg_xzzzzzz_xxxxyyy_1[j];

                    tg_xxzzzzzz_xxxxxyyz_0[j] = pb_x * tg_xzzzzzz_xxxxxyyz_0[j] + fr * tg_xzzzzzz_xxxxxyyz_1[j] + 0.5 * fl1_fx * (tg_zzzzzz_xxxxxyyz_0[j] - tg_zzzzzz_xxxxxyyz_1[j] * fl1_fza) + 2.5 * fl1_fxn * tg_xzzzzzz_xxxxyyz_1[j];

                    tg_xxzzzzzz_xxxxxyzz_0[j] = pb_x * tg_xzzzzzz_xxxxxyzz_0[j] + fr * tg_xzzzzzz_xxxxxyzz_1[j] + 0.5 * fl1_fx * (tg_zzzzzz_xxxxxyzz_0[j] - tg_zzzzzz_xxxxxyzz_1[j] * fl1_fza) + 2.5 * fl1_fxn * tg_xzzzzzz_xxxxyzz_1[j];

                    tg_xxzzzzzz_xxxxxzzz_0[j] = pb_x * tg_xzzzzzz_xxxxxzzz_0[j] + fr * tg_xzzzzzz_xxxxxzzz_1[j] + 0.5 * fl1_fx * (tg_zzzzzz_xxxxxzzz_0[j] - tg_zzzzzz_xxxxxzzz_1[j] * fl1_fza) + 2.5 * fl1_fxn * tg_xzzzzzz_xxxxzzz_1[j];

                    tg_xxzzzzzz_xxxxyyyy_0[j] = pb_x * tg_xzzzzzz_xxxxyyyy_0[j] + fr * tg_xzzzzzz_xxxxyyyy_1[j] + 0.5 * fl1_fx * (tg_zzzzzz_xxxxyyyy_0[j] - tg_zzzzzz_xxxxyyyy_1[j] * fl1_fza) + 2.0 * fl1_fxn * tg_xzzzzzz_xxxyyyy_1[j];

                    tg_xxzzzzzz_xxxxyyyz_0[j] = pb_x * tg_xzzzzzz_xxxxyyyz_0[j] + fr * tg_xzzzzzz_xxxxyyyz_1[j] + 0.5 * fl1_fx * (tg_zzzzzz_xxxxyyyz_0[j] - tg_zzzzzz_xxxxyyyz_1[j] * fl1_fza) + 2.0 * fl1_fxn * tg_xzzzzzz_xxxyyyz_1[j];

                    tg_xxzzzzzz_xxxxyyzz_0[j] = pb_x * tg_xzzzzzz_xxxxyyzz_0[j] + fr * tg_xzzzzzz_xxxxyyzz_1[j] + 0.5 * fl1_fx * (tg_zzzzzz_xxxxyyzz_0[j] - tg_zzzzzz_xxxxyyzz_1[j] * fl1_fza) + 2.0 * fl1_fxn * tg_xzzzzzz_xxxyyzz_1[j];

                    tg_xxzzzzzz_xxxxyzzz_0[j] = pb_x * tg_xzzzzzz_xxxxyzzz_0[j] + fr * tg_xzzzzzz_xxxxyzzz_1[j] + 0.5 * fl1_fx * (tg_zzzzzz_xxxxyzzz_0[j] - tg_zzzzzz_xxxxyzzz_1[j] * fl1_fza) + 2.0 * fl1_fxn * tg_xzzzzzz_xxxyzzz_1[j];

                    tg_xxzzzzzz_xxxxzzzz_0[j] = pb_x * tg_xzzzzzz_xxxxzzzz_0[j] + fr * tg_xzzzzzz_xxxxzzzz_1[j] + 0.5 * fl1_fx * (tg_zzzzzz_xxxxzzzz_0[j] - tg_zzzzzz_xxxxzzzz_1[j] * fl1_fza) + 2.0 * fl1_fxn * tg_xzzzzzz_xxxzzzz_1[j];

                    tg_xxzzzzzz_xxxyyyyy_0[j] = pb_x * tg_xzzzzzz_xxxyyyyy_0[j] + fr * tg_xzzzzzz_xxxyyyyy_1[j] + 0.5 * fl1_fx * (tg_zzzzzz_xxxyyyyy_0[j] - tg_zzzzzz_xxxyyyyy_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_xzzzzzz_xxyyyyy_1[j];

                    tg_xxzzzzzz_xxxyyyyz_0[j] = pb_x * tg_xzzzzzz_xxxyyyyz_0[j] + fr * tg_xzzzzzz_xxxyyyyz_1[j] + 0.5 * fl1_fx * (tg_zzzzzz_xxxyyyyz_0[j] - tg_zzzzzz_xxxyyyyz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_xzzzzzz_xxyyyyz_1[j];

                    tg_xxzzzzzz_xxxyyyzz_0[j] = pb_x * tg_xzzzzzz_xxxyyyzz_0[j] + fr * tg_xzzzzzz_xxxyyyzz_1[j] + 0.5 * fl1_fx * (tg_zzzzzz_xxxyyyzz_0[j] - tg_zzzzzz_xxxyyyzz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_xzzzzzz_xxyyyzz_1[j];

                    tg_xxzzzzzz_xxxyyzzz_0[j] = pb_x * tg_xzzzzzz_xxxyyzzz_0[j] + fr * tg_xzzzzzz_xxxyyzzz_1[j] + 0.5 * fl1_fx * (tg_zzzzzz_xxxyyzzz_0[j] - tg_zzzzzz_xxxyyzzz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_xzzzzzz_xxyyzzz_1[j];

                    tg_xxzzzzzz_xxxyzzzz_0[j] = pb_x * tg_xzzzzzz_xxxyzzzz_0[j] + fr * tg_xzzzzzz_xxxyzzzz_1[j] + 0.5 * fl1_fx * (tg_zzzzzz_xxxyzzzz_0[j] - tg_zzzzzz_xxxyzzzz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_xzzzzzz_xxyzzzz_1[j];

                    tg_xxzzzzzz_xxxzzzzz_0[j] = pb_x * tg_xzzzzzz_xxxzzzzz_0[j] + fr * tg_xzzzzzz_xxxzzzzz_1[j] + 0.5 * fl1_fx * (tg_zzzzzz_xxxzzzzz_0[j] - tg_zzzzzz_xxxzzzzz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_xzzzzzz_xxzzzzz_1[j];

                    tg_xxzzzzzz_xxyyyyyy_0[j] = pb_x * tg_xzzzzzz_xxyyyyyy_0[j] + fr * tg_xzzzzzz_xxyyyyyy_1[j] + 0.5 * fl1_fx * (tg_zzzzzz_xxyyyyyy_0[j] - tg_zzzzzz_xxyyyyyy_1[j] * fl1_fza) + fl1_fxn * tg_xzzzzzz_xyyyyyy_1[j];

                    tg_xxzzzzzz_xxyyyyyz_0[j] = pb_x * tg_xzzzzzz_xxyyyyyz_0[j] + fr * tg_xzzzzzz_xxyyyyyz_1[j] + 0.5 * fl1_fx * (tg_zzzzzz_xxyyyyyz_0[j] - tg_zzzzzz_xxyyyyyz_1[j] * fl1_fza) + fl1_fxn * tg_xzzzzzz_xyyyyyz_1[j];

                    tg_xxzzzzzz_xxyyyyzz_0[j] = pb_x * tg_xzzzzzz_xxyyyyzz_0[j] + fr * tg_xzzzzzz_xxyyyyzz_1[j] + 0.5 * fl1_fx * (tg_zzzzzz_xxyyyyzz_0[j] - tg_zzzzzz_xxyyyyzz_1[j] * fl1_fza) + fl1_fxn * tg_xzzzzzz_xyyyyzz_1[j];

                    tg_xxzzzzzz_xxyyyzzz_0[j] = pb_x * tg_xzzzzzz_xxyyyzzz_0[j] + fr * tg_xzzzzzz_xxyyyzzz_1[j] + 0.5 * fl1_fx * (tg_zzzzzz_xxyyyzzz_0[j] - tg_zzzzzz_xxyyyzzz_1[j] * fl1_fza) + fl1_fxn * tg_xzzzzzz_xyyyzzz_1[j];

                    tg_xxzzzzzz_xxyyzzzz_0[j] = pb_x * tg_xzzzzzz_xxyyzzzz_0[j] + fr * tg_xzzzzzz_xxyyzzzz_1[j] + 0.5 * fl1_fx * (tg_zzzzzz_xxyyzzzz_0[j] - tg_zzzzzz_xxyyzzzz_1[j] * fl1_fza) + fl1_fxn * tg_xzzzzzz_xyyzzzz_1[j];

                    tg_xxzzzzzz_xxyzzzzz_0[j] = pb_x * tg_xzzzzzz_xxyzzzzz_0[j] + fr * tg_xzzzzzz_xxyzzzzz_1[j] + 0.5 * fl1_fx * (tg_zzzzzz_xxyzzzzz_0[j] - tg_zzzzzz_xxyzzzzz_1[j] * fl1_fza) + fl1_fxn * tg_xzzzzzz_xyzzzzz_1[j];

                    tg_xxzzzzzz_xxzzzzzz_0[j] = pb_x * tg_xzzzzzz_xxzzzzzz_0[j] + fr * tg_xzzzzzz_xxzzzzzz_1[j] + 0.5 * fl1_fx * (tg_zzzzzz_xxzzzzzz_0[j] - tg_zzzzzz_xxzzzzzz_1[j] * fl1_fza) + fl1_fxn * tg_xzzzzzz_xzzzzzz_1[j];

                    tg_xxzzzzzz_xyyyyyyy_0[j] = pb_x * tg_xzzzzzz_xyyyyyyy_0[j] + fr * tg_xzzzzzz_xyyyyyyy_1[j] + 0.5 * fl1_fx * (tg_zzzzzz_xyyyyyyy_0[j] - tg_zzzzzz_xyyyyyyy_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xzzzzzz_yyyyyyy_1[j];

                    tg_xxzzzzzz_xyyyyyyz_0[j] = pb_x * tg_xzzzzzz_xyyyyyyz_0[j] + fr * tg_xzzzzzz_xyyyyyyz_1[j] + 0.5 * fl1_fx * (tg_zzzzzz_xyyyyyyz_0[j] - tg_zzzzzz_xyyyyyyz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xzzzzzz_yyyyyyz_1[j];

                    tg_xxzzzzzz_xyyyyyzz_0[j] = pb_x * tg_xzzzzzz_xyyyyyzz_0[j] + fr * tg_xzzzzzz_xyyyyyzz_1[j] + 0.5 * fl1_fx * (tg_zzzzzz_xyyyyyzz_0[j] - tg_zzzzzz_xyyyyyzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xzzzzzz_yyyyyzz_1[j];

                    tg_xxzzzzzz_xyyyyzzz_0[j] = pb_x * tg_xzzzzzz_xyyyyzzz_0[j] + fr * tg_xzzzzzz_xyyyyzzz_1[j] + 0.5 * fl1_fx * (tg_zzzzzz_xyyyyzzz_0[j] - tg_zzzzzz_xyyyyzzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xzzzzzz_yyyyzzz_1[j];

                    tg_xxzzzzzz_xyyyzzzz_0[j] = pb_x * tg_xzzzzzz_xyyyzzzz_0[j] + fr * tg_xzzzzzz_xyyyzzzz_1[j] + 0.5 * fl1_fx * (tg_zzzzzz_xyyyzzzz_0[j] - tg_zzzzzz_xyyyzzzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xzzzzzz_yyyzzzz_1[j];

                    tg_xxzzzzzz_xyyzzzzz_0[j] = pb_x * tg_xzzzzzz_xyyzzzzz_0[j] + fr * tg_xzzzzzz_xyyzzzzz_1[j] + 0.5 * fl1_fx * (tg_zzzzzz_xyyzzzzz_0[j] - tg_zzzzzz_xyyzzzzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xzzzzzz_yyzzzzz_1[j];

                    tg_xxzzzzzz_xyzzzzzz_0[j] = pb_x * tg_xzzzzzz_xyzzzzzz_0[j] + fr * tg_xzzzzzz_xyzzzzzz_1[j] + 0.5 * fl1_fx * (tg_zzzzzz_xyzzzzzz_0[j] - tg_zzzzzz_xyzzzzzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xzzzzzz_yzzzzzz_1[j];

                    tg_xxzzzzzz_xzzzzzzz_0[j] = pb_x * tg_xzzzzzz_xzzzzzzz_0[j] + fr * tg_xzzzzzz_xzzzzzzz_1[j] + 0.5 * fl1_fx * (tg_zzzzzz_xzzzzzzz_0[j] - tg_zzzzzz_xzzzzzzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_xzzzzzz_zzzzzzz_1[j];

                    tg_xxzzzzzz_yyyyyyyy_0[j] = pb_x * tg_xzzzzzz_yyyyyyyy_0[j] + fr * tg_xzzzzzz_yyyyyyyy_1[j] + 0.5 * fl1_fx * (tg_zzzzzz_yyyyyyyy_0[j] - tg_zzzzzz_yyyyyyyy_1[j] * fl1_fza);

                    tg_xxzzzzzz_yyyyyyyz_0[j] = pb_x * tg_xzzzzzz_yyyyyyyz_0[j] + fr * tg_xzzzzzz_yyyyyyyz_1[j] + 0.5 * fl1_fx * (tg_zzzzzz_yyyyyyyz_0[j] - tg_zzzzzz_yyyyyyyz_1[j] * fl1_fza);

                    tg_xxzzzzzz_yyyyyyzz_0[j] = pb_x * tg_xzzzzzz_yyyyyyzz_0[j] + fr * tg_xzzzzzz_yyyyyyzz_1[j] + 0.5 * fl1_fx * (tg_zzzzzz_yyyyyyzz_0[j] - tg_zzzzzz_yyyyyyzz_1[j] * fl1_fza);

                    tg_xxzzzzzz_yyyyyzzz_0[j] = pb_x * tg_xzzzzzz_yyyyyzzz_0[j] + fr * tg_xzzzzzz_yyyyyzzz_1[j] + 0.5 * fl1_fx * (tg_zzzzzz_yyyyyzzz_0[j] - tg_zzzzzz_yyyyyzzz_1[j] * fl1_fza);

                    tg_xxzzzzzz_yyyyzzzz_0[j] = pb_x * tg_xzzzzzz_yyyyzzzz_0[j] + fr * tg_xzzzzzz_yyyyzzzz_1[j] + 0.5 * fl1_fx * (tg_zzzzzz_yyyyzzzz_0[j] - tg_zzzzzz_yyyyzzzz_1[j] * fl1_fza);

                    tg_xxzzzzzz_yyyzzzzz_0[j] = pb_x * tg_xzzzzzz_yyyzzzzz_0[j] + fr * tg_xzzzzzz_yyyzzzzz_1[j] + 0.5 * fl1_fx * (tg_zzzzzz_yyyzzzzz_0[j] - tg_zzzzzz_yyyzzzzz_1[j] * fl1_fza);
                }

                idx++;
            }
        }
    }

    void
    compElectronRepulsionForSLSL_1257_1353(      CMemBlock2D<double>* primBuffer,
                                           const CRecursionMap&       recursionMap,
                                           const CMemBlock2D<double>& osFactors,
                                           const CMemBlock2D<double>& wpDistances,
                                           const CGtoPairsBlock&      braGtoPairsBlock,
                                           const CGtoPairsBlock&      ketGtoPairsBlock,
                                           const int32_t              nKetPrimPairs,
                                           const int32_t              iContrPair)
    {
        // Batch of Integrals (1257,1353)

        // set up pointers to primitives data on bra side

        auto spos = braGtoPairsBlock.getStartPositions();

        auto epos = braGtoPairsBlock.getEndPositions();

        // set up pointers to tensor of distance R(PB) = P - B

        auto r_pb_x = braGtoPairsBlock.getDistancesPBX();

        // set up pointers to common Obara-Saika factors

        auto b_fx = braGtoPairsBlock.getFactorsOneOverXi();

        // set up maximum order of integral

        auto mord = recursionMap.getMaxOrder({"Electron Repulsion"},
                                             {8, -1, -1, -1},
                                             {8, -1, -1, -1},
                                             1, 1);

        for (int32_t iord = 0; iord <= mord; iord++)
        {
            // set up index of integral

            auto pidx_g_8_8_m0 = recursionMap.index(CRecursionTerm({"Electron Repulsion"}, 0, true, 
                                                                   {8, -1, -1, -1}, {8, -1, -1, -1}, 
                                                                   1, 1, iord));

            // check if integral is needed in recursion expansion

            if (pidx_g_8_8_m0 == -1) continue;

            // set up indexes of auxilary integral

            auto pidx_g_7_8_m0 = recursionMap.index(CRecursionTerm({"Electron Repulsion"}, 0, true, 
                                                                   {7, -1, -1, -1}, {8, -1, -1, -1}, 
                                                                   1, 1, iord));

            auto pidx_g_7_8_m1 = recursionMap.index(CRecursionTerm({"Electron Repulsion"}, 0, true, 
                                                                   {7, -1, -1, -1}, {8, -1, -1, -1}, 
                                                                   1, 1, iord + 1));

            auto pidx_g_6_8_m0 = recursionMap.index(CRecursionTerm({"Electron Repulsion"}, 0, true, 
                                                                   {6, -1, -1, -1}, {8, -1, -1, -1}, 
                                                                   1, 1, iord));

            auto pidx_g_6_8_m1 = recursionMap.index(CRecursionTerm({"Electron Repulsion"}, 0, true, 
                                                                   {6, -1, -1, -1}, {8, -1, -1, -1}, 
                                                                   1, 1, iord + 1));

            auto pidx_g_7_7_m1 = recursionMap.index(CRecursionTerm({"Electron Repulsion"}, 0, true, 
                                                                   {7, -1, -1, -1}, {7, -1, -1, -1}, 
                                                                   1, 1, iord + 1));

            // loop over contracted GTO on bra side

            int32_t idx = 0;

            for (int32_t i = spos[iContrPair]; i < epos[iContrPair]; i++)
            {
                // set up pointers to Obara-Saika factors

                double fx = b_fx[i];

                auto fza = osFactors.data(4 * idx + 2);

                auto fxn = osFactors.data(4 * idx);

                // set up distances R(PB) = P - B

                auto pb_x = r_pb_x[i];

                // set up pointers to tensors product of distances R(WP) = W - P

                auto wp_x = wpDistances.data(3 * idx);

                // set up pointers to auxilary integrals

                auto tg_xzzzzzz_yyzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1257); 

                auto tg_xzzzzzz_yzzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1258); 

                auto tg_xzzzzzz_zzzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1259); 

                auto tg_yyyyyyy_xxxxxxxx_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1260); 

                auto tg_yyyyyyy_xxxxxxxy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1261); 

                auto tg_yyyyyyy_xxxxxxxz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1262); 

                auto tg_yyyyyyy_xxxxxxyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1263); 

                auto tg_yyyyyyy_xxxxxxyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1264); 

                auto tg_yyyyyyy_xxxxxxzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1265); 

                auto tg_yyyyyyy_xxxxxyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1266); 

                auto tg_yyyyyyy_xxxxxyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1267); 

                auto tg_yyyyyyy_xxxxxyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1268); 

                auto tg_yyyyyyy_xxxxxzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1269); 

                auto tg_yyyyyyy_xxxxyyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1270); 

                auto tg_yyyyyyy_xxxxyyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1271); 

                auto tg_yyyyyyy_xxxxyyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1272); 

                auto tg_yyyyyyy_xxxxyzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1273); 

                auto tg_yyyyyyy_xxxxzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1274); 

                auto tg_yyyyyyy_xxxyyyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1275); 

                auto tg_yyyyyyy_xxxyyyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1276); 

                auto tg_yyyyyyy_xxxyyyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1277); 

                auto tg_yyyyyyy_xxxyyzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1278); 

                auto tg_yyyyyyy_xxxyzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1279); 

                auto tg_yyyyyyy_xxxzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1280); 

                auto tg_yyyyyyy_xxyyyyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1281); 

                auto tg_yyyyyyy_xxyyyyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1282); 

                auto tg_yyyyyyy_xxyyyyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1283); 

                auto tg_yyyyyyy_xxyyyzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1284); 

                auto tg_yyyyyyy_xxyyzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1285); 

                auto tg_yyyyyyy_xxyzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1286); 

                auto tg_yyyyyyy_xxzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1287); 

                auto tg_yyyyyyy_xyyyyyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1288); 

                auto tg_yyyyyyy_xyyyyyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1289); 

                auto tg_yyyyyyy_xyyyyyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1290); 

                auto tg_yyyyyyy_xyyyyzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1291); 

                auto tg_yyyyyyy_xyyyzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1292); 

                auto tg_yyyyyyy_xyyzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1293); 

                auto tg_yyyyyyy_xyzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1294); 

                auto tg_yyyyyyy_xzzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1295); 

                auto tg_yyyyyyy_yyyyyyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1296); 

                auto tg_yyyyyyy_yyyyyyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1297); 

                auto tg_yyyyyyy_yyyyyyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1298); 

                auto tg_yyyyyyy_yyyyyzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1299); 

                auto tg_yyyyyyy_yyyyzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1300); 

                auto tg_yyyyyyy_yyyzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1301); 

                auto tg_yyyyyyy_yyzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1302); 

                auto tg_yyyyyyy_yzzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1303); 

                auto tg_yyyyyyy_zzzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1304); 

                auto tg_yyyyyyz_xxxxxxxx_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1305); 

                auto tg_yyyyyyz_xxxxxxxy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1306); 

                auto tg_yyyyyyz_xxxxxxxz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1307); 

                auto tg_yyyyyyz_xxxxxxyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1308); 

                auto tg_yyyyyyz_xxxxxxyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1309); 

                auto tg_yyyyyyz_xxxxxxzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1310); 

                auto tg_yyyyyyz_xxxxxyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1311); 

                auto tg_yyyyyyz_xxxxxyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1312); 

                auto tg_yyyyyyz_xxxxxyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1313); 

                auto tg_yyyyyyz_xxxxxzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1314); 

                auto tg_yyyyyyz_xxxxyyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1315); 

                auto tg_yyyyyyz_xxxxyyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1316); 

                auto tg_yyyyyyz_xxxxyyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1317); 

                auto tg_yyyyyyz_xxxxyzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1318); 

                auto tg_yyyyyyz_xxxxzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1319); 

                auto tg_yyyyyyz_xxxyyyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1320); 

                auto tg_yyyyyyz_xxxyyyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1321); 

                auto tg_yyyyyyz_xxxyyyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1322); 

                auto tg_yyyyyyz_xxxyyzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1323); 

                auto tg_yyyyyyz_xxxyzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1324); 

                auto tg_yyyyyyz_xxxzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1325); 

                auto tg_yyyyyyz_xxyyyyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1326); 

                auto tg_yyyyyyz_xxyyyyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1327); 

                auto tg_yyyyyyz_xxyyyyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1328); 

                auto tg_yyyyyyz_xxyyyzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1329); 

                auto tg_yyyyyyz_xxyyzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1330); 

                auto tg_yyyyyyz_xxyzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1331); 

                auto tg_yyyyyyz_xxzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1332); 

                auto tg_yyyyyyz_xyyyyyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1333); 

                auto tg_yyyyyyz_xyyyyyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1334); 

                auto tg_yyyyyyz_xyyyyyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1335); 

                auto tg_yyyyyyz_xyyyyzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1336); 

                auto tg_yyyyyyz_xyyyzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1337); 

                auto tg_yyyyyyz_xyyzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1338); 

                auto tg_yyyyyyz_xyzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1339); 

                auto tg_yyyyyyz_xzzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1340); 

                auto tg_yyyyyyz_yyyyyyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1341); 

                auto tg_yyyyyyz_yyyyyyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1342); 

                auto tg_yyyyyyz_yyyyyyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1343); 

                auto tg_yyyyyyz_yyyyyzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1344); 

                auto tg_yyyyyyz_yyyyzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1345); 

                auto tg_yyyyyyz_yyyzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1346); 

                auto tg_yyyyyyz_yyzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1347); 

                auto tg_yyyyyyz_yzzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1348); 

                auto tg_yyyyyyz_zzzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1349); 

                auto tg_yyyyyzz_xxxxxxxx_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1350); 

                auto tg_yyyyyzz_xxxxxxxy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1351); 

                auto tg_yyyyyzz_xxxxxxxz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1352); 

                auto tg_xzzzzzz_yyzzzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1257); 

                auto tg_xzzzzzz_yzzzzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1258); 

                auto tg_xzzzzzz_zzzzzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1259); 

                auto tg_yyyyyyy_xxxxxxxx_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1260); 

                auto tg_yyyyyyy_xxxxxxxy_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1261); 

                auto tg_yyyyyyy_xxxxxxxz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1262); 

                auto tg_yyyyyyy_xxxxxxyy_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1263); 

                auto tg_yyyyyyy_xxxxxxyz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1264); 

                auto tg_yyyyyyy_xxxxxxzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1265); 

                auto tg_yyyyyyy_xxxxxyyy_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1266); 

                auto tg_yyyyyyy_xxxxxyyz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1267); 

                auto tg_yyyyyyy_xxxxxyzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1268); 

                auto tg_yyyyyyy_xxxxxzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1269); 

                auto tg_yyyyyyy_xxxxyyyy_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1270); 

                auto tg_yyyyyyy_xxxxyyyz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1271); 

                auto tg_yyyyyyy_xxxxyyzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1272); 

                auto tg_yyyyyyy_xxxxyzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1273); 

                auto tg_yyyyyyy_xxxxzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1274); 

                auto tg_yyyyyyy_xxxyyyyy_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1275); 

                auto tg_yyyyyyy_xxxyyyyz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1276); 

                auto tg_yyyyyyy_xxxyyyzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1277); 

                auto tg_yyyyyyy_xxxyyzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1278); 

                auto tg_yyyyyyy_xxxyzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1279); 

                auto tg_yyyyyyy_xxxzzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1280); 

                auto tg_yyyyyyy_xxyyyyyy_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1281); 

                auto tg_yyyyyyy_xxyyyyyz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1282); 

                auto tg_yyyyyyy_xxyyyyzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1283); 

                auto tg_yyyyyyy_xxyyyzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1284); 

                auto tg_yyyyyyy_xxyyzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1285); 

                auto tg_yyyyyyy_xxyzzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1286); 

                auto tg_yyyyyyy_xxzzzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1287); 

                auto tg_yyyyyyy_xyyyyyyy_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1288); 

                auto tg_yyyyyyy_xyyyyyyz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1289); 

                auto tg_yyyyyyy_xyyyyyzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1290); 

                auto tg_yyyyyyy_xyyyyzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1291); 

                auto tg_yyyyyyy_xyyyzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1292); 

                auto tg_yyyyyyy_xyyzzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1293); 

                auto tg_yyyyyyy_xyzzzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1294); 

                auto tg_yyyyyyy_xzzzzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1295); 

                auto tg_yyyyyyy_yyyyyyyy_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1296); 

                auto tg_yyyyyyy_yyyyyyyz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1297); 

                auto tg_yyyyyyy_yyyyyyzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1298); 

                auto tg_yyyyyyy_yyyyyzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1299); 

                auto tg_yyyyyyy_yyyyzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1300); 

                auto tg_yyyyyyy_yyyzzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1301); 

                auto tg_yyyyyyy_yyzzzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1302); 

                auto tg_yyyyyyy_yzzzzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1303); 

                auto tg_yyyyyyy_zzzzzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1304); 

                auto tg_yyyyyyz_xxxxxxxx_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1305); 

                auto tg_yyyyyyz_xxxxxxxy_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1306); 

                auto tg_yyyyyyz_xxxxxxxz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1307); 

                auto tg_yyyyyyz_xxxxxxyy_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1308); 

                auto tg_yyyyyyz_xxxxxxyz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1309); 

                auto tg_yyyyyyz_xxxxxxzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1310); 

                auto tg_yyyyyyz_xxxxxyyy_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1311); 

                auto tg_yyyyyyz_xxxxxyyz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1312); 

                auto tg_yyyyyyz_xxxxxyzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1313); 

                auto tg_yyyyyyz_xxxxxzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1314); 

                auto tg_yyyyyyz_xxxxyyyy_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1315); 

                auto tg_yyyyyyz_xxxxyyyz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1316); 

                auto tg_yyyyyyz_xxxxyyzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1317); 

                auto tg_yyyyyyz_xxxxyzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1318); 

                auto tg_yyyyyyz_xxxxzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1319); 

                auto tg_yyyyyyz_xxxyyyyy_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1320); 

                auto tg_yyyyyyz_xxxyyyyz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1321); 

                auto tg_yyyyyyz_xxxyyyzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1322); 

                auto tg_yyyyyyz_xxxyyzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1323); 

                auto tg_yyyyyyz_xxxyzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1324); 

                auto tg_yyyyyyz_xxxzzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1325); 

                auto tg_yyyyyyz_xxyyyyyy_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1326); 

                auto tg_yyyyyyz_xxyyyyyz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1327); 

                auto tg_yyyyyyz_xxyyyyzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1328); 

                auto tg_yyyyyyz_xxyyyzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1329); 

                auto tg_yyyyyyz_xxyyzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1330); 

                auto tg_yyyyyyz_xxyzzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1331); 

                auto tg_yyyyyyz_xxzzzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1332); 

                auto tg_yyyyyyz_xyyyyyyy_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1333); 

                auto tg_yyyyyyz_xyyyyyyz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1334); 

                auto tg_yyyyyyz_xyyyyyzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1335); 

                auto tg_yyyyyyz_xyyyyzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1336); 

                auto tg_yyyyyyz_xyyyzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1337); 

                auto tg_yyyyyyz_xyyzzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1338); 

                auto tg_yyyyyyz_xyzzzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1339); 

                auto tg_yyyyyyz_xzzzzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1340); 

                auto tg_yyyyyyz_yyyyyyyy_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1341); 

                auto tg_yyyyyyz_yyyyyyyz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1342); 

                auto tg_yyyyyyz_yyyyyyzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1343); 

                auto tg_yyyyyyz_yyyyyzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1344); 

                auto tg_yyyyyyz_yyyyzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1345); 

                auto tg_yyyyyyz_yyyzzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1346); 

                auto tg_yyyyyyz_yyzzzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1347); 

                auto tg_yyyyyyz_yzzzzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1348); 

                auto tg_yyyyyyz_zzzzzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1349); 

                auto tg_yyyyyzz_xxxxxxxx_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1350); 

                auto tg_yyyyyzz_xxxxxxxy_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1351); 

                auto tg_yyyyyzz_xxxxxxxz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1352); 

                auto tg_zzzzzz_yyzzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1257); 

                auto tg_zzzzzz_yzzzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1258); 

                auto tg_zzzzzz_zzzzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1259); 

                auto tg_zzzzzz_yyzzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1257); 

                auto tg_zzzzzz_yzzzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1258); 

                auto tg_zzzzzz_zzzzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1259); 

                auto tg_yyyyyyy_xxxxxxx_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1008); 

                auto tg_yyyyyyy_xxxxxxy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1009); 

                auto tg_yyyyyyy_xxxxxxz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1010); 

                auto tg_yyyyyyy_xxxxxyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1011); 

                auto tg_yyyyyyy_xxxxxyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1012); 

                auto tg_yyyyyyy_xxxxxzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1013); 

                auto tg_yyyyyyy_xxxxyyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1014); 

                auto tg_yyyyyyy_xxxxyyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1015); 

                auto tg_yyyyyyy_xxxxyzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1016); 

                auto tg_yyyyyyy_xxxxzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1017); 

                auto tg_yyyyyyy_xxxyyyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1018); 

                auto tg_yyyyyyy_xxxyyyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1019); 

                auto tg_yyyyyyy_xxxyyzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1020); 

                auto tg_yyyyyyy_xxxyzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1021); 

                auto tg_yyyyyyy_xxxzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1022); 

                auto tg_yyyyyyy_xxyyyyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1023); 

                auto tg_yyyyyyy_xxyyyyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1024); 

                auto tg_yyyyyyy_xxyyyzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1025); 

                auto tg_yyyyyyy_xxyyzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1026); 

                auto tg_yyyyyyy_xxyzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1027); 

                auto tg_yyyyyyy_xxzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1028); 

                auto tg_yyyyyyy_xyyyyyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1029); 

                auto tg_yyyyyyy_xyyyyyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1030); 

                auto tg_yyyyyyy_xyyyyzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1031); 

                auto tg_yyyyyyy_xyyyzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1032); 

                auto tg_yyyyyyy_xyyzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1033); 

                auto tg_yyyyyyy_xyzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1034); 

                auto tg_yyyyyyy_xzzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1035); 

                auto tg_yyyyyyy_yyyyyyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1036); 

                auto tg_yyyyyyy_yyyyyyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1037); 

                auto tg_yyyyyyy_yyyyyzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1038); 

                auto tg_yyyyyyy_yyyyzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1039); 

                auto tg_yyyyyyy_yyyzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1040); 

                auto tg_yyyyyyy_yyzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1041); 

                auto tg_yyyyyyy_yzzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1042); 

                auto tg_yyyyyyy_zzzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1043); 

                auto tg_yyyyyyz_xxxxxxx_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1044); 

                auto tg_yyyyyyz_xxxxxxy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1045); 

                auto tg_yyyyyyz_xxxxxxz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1046); 

                auto tg_yyyyyyz_xxxxxyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1047); 

                auto tg_yyyyyyz_xxxxxyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1048); 

                auto tg_yyyyyyz_xxxxxzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1049); 

                auto tg_yyyyyyz_xxxxyyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1050); 

                auto tg_yyyyyyz_xxxxyyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1051); 

                auto tg_yyyyyyz_xxxxyzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1052); 

                auto tg_yyyyyyz_xxxxzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1053); 

                auto tg_yyyyyyz_xxxyyyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1054); 

                auto tg_yyyyyyz_xxxyyyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1055); 

                auto tg_yyyyyyz_xxxyyzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1056); 

                auto tg_yyyyyyz_xxxyzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1057); 

                auto tg_yyyyyyz_xxxzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1058); 

                auto tg_yyyyyyz_xxyyyyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1059); 

                auto tg_yyyyyyz_xxyyyyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1060); 

                auto tg_yyyyyyz_xxyyyzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1061); 

                auto tg_yyyyyyz_xxyyzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1062); 

                auto tg_yyyyyyz_xxyzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1063); 

                auto tg_yyyyyyz_xxzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1064); 

                auto tg_yyyyyyz_xyyyyyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1065); 

                auto tg_yyyyyyz_xyyyyyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1066); 

                auto tg_yyyyyyz_xyyyyzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1067); 

                auto tg_yyyyyyz_xyyyzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1068); 

                auto tg_yyyyyyz_xyyzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1069); 

                auto tg_yyyyyyz_xyzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1070); 

                auto tg_yyyyyyz_xzzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1071); 

                auto tg_yyyyyyz_yyyyyyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1072); 

                auto tg_yyyyyyz_yyyyyyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1073); 

                auto tg_yyyyyyz_yyyyyzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1074); 

                auto tg_yyyyyyz_yyyyzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1075); 

                auto tg_yyyyyyz_yyyzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1076); 

                auto tg_yyyyyyz_yyzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1077); 

                auto tg_yyyyyyz_yzzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1078); 

                auto tg_yyyyyyz_zzzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1079); 

                auto tg_yyyyyzz_xxxxxxx_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1080); 

                auto tg_yyyyyzz_xxxxxxy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1081); 

                auto tg_yyyyyzz_xxxxxxz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1082); 

                // set up pointers to integrals

                auto tg_xxzzzzzz_yyzzzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1257); 

                auto tg_xxzzzzzz_yzzzzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1258); 

                auto tg_xxzzzzzz_zzzzzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1259); 

                auto tg_xyyyyyyy_xxxxxxxx_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1260); 

                auto tg_xyyyyyyy_xxxxxxxy_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1261); 

                auto tg_xyyyyyyy_xxxxxxxz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1262); 

                auto tg_xyyyyyyy_xxxxxxyy_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1263); 

                auto tg_xyyyyyyy_xxxxxxyz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1264); 

                auto tg_xyyyyyyy_xxxxxxzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1265); 

                auto tg_xyyyyyyy_xxxxxyyy_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1266); 

                auto tg_xyyyyyyy_xxxxxyyz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1267); 

                auto tg_xyyyyyyy_xxxxxyzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1268); 

                auto tg_xyyyyyyy_xxxxxzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1269); 

                auto tg_xyyyyyyy_xxxxyyyy_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1270); 

                auto tg_xyyyyyyy_xxxxyyyz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1271); 

                auto tg_xyyyyyyy_xxxxyyzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1272); 

                auto tg_xyyyyyyy_xxxxyzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1273); 

                auto tg_xyyyyyyy_xxxxzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1274); 

                auto tg_xyyyyyyy_xxxyyyyy_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1275); 

                auto tg_xyyyyyyy_xxxyyyyz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1276); 

                auto tg_xyyyyyyy_xxxyyyzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1277); 

                auto tg_xyyyyyyy_xxxyyzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1278); 

                auto tg_xyyyyyyy_xxxyzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1279); 

                auto tg_xyyyyyyy_xxxzzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1280); 

                auto tg_xyyyyyyy_xxyyyyyy_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1281); 

                auto tg_xyyyyyyy_xxyyyyyz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1282); 

                auto tg_xyyyyyyy_xxyyyyzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1283); 

                auto tg_xyyyyyyy_xxyyyzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1284); 

                auto tg_xyyyyyyy_xxyyzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1285); 

                auto tg_xyyyyyyy_xxyzzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1286); 

                auto tg_xyyyyyyy_xxzzzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1287); 

                auto tg_xyyyyyyy_xyyyyyyy_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1288); 

                auto tg_xyyyyyyy_xyyyyyyz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1289); 

                auto tg_xyyyyyyy_xyyyyyzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1290); 

                auto tg_xyyyyyyy_xyyyyzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1291); 

                auto tg_xyyyyyyy_xyyyzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1292); 

                auto tg_xyyyyyyy_xyyzzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1293); 

                auto tg_xyyyyyyy_xyzzzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1294); 

                auto tg_xyyyyyyy_xzzzzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1295); 

                auto tg_xyyyyyyy_yyyyyyyy_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1296); 

                auto tg_xyyyyyyy_yyyyyyyz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1297); 

                auto tg_xyyyyyyy_yyyyyyzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1298); 

                auto tg_xyyyyyyy_yyyyyzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1299); 

                auto tg_xyyyyyyy_yyyyzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1300); 

                auto tg_xyyyyyyy_yyyzzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1301); 

                auto tg_xyyyyyyy_yyzzzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1302); 

                auto tg_xyyyyyyy_yzzzzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1303); 

                auto tg_xyyyyyyy_zzzzzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1304); 

                auto tg_xyyyyyyz_xxxxxxxx_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1305); 

                auto tg_xyyyyyyz_xxxxxxxy_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1306); 

                auto tg_xyyyyyyz_xxxxxxxz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1307); 

                auto tg_xyyyyyyz_xxxxxxyy_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1308); 

                auto tg_xyyyyyyz_xxxxxxyz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1309); 

                auto tg_xyyyyyyz_xxxxxxzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1310); 

                auto tg_xyyyyyyz_xxxxxyyy_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1311); 

                auto tg_xyyyyyyz_xxxxxyyz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1312); 

                auto tg_xyyyyyyz_xxxxxyzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1313); 

                auto tg_xyyyyyyz_xxxxxzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1314); 

                auto tg_xyyyyyyz_xxxxyyyy_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1315); 

                auto tg_xyyyyyyz_xxxxyyyz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1316); 

                auto tg_xyyyyyyz_xxxxyyzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1317); 

                auto tg_xyyyyyyz_xxxxyzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1318); 

                auto tg_xyyyyyyz_xxxxzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1319); 

                auto tg_xyyyyyyz_xxxyyyyy_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1320); 

                auto tg_xyyyyyyz_xxxyyyyz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1321); 

                auto tg_xyyyyyyz_xxxyyyzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1322); 

                auto tg_xyyyyyyz_xxxyyzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1323); 

                auto tg_xyyyyyyz_xxxyzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1324); 

                auto tg_xyyyyyyz_xxxzzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1325); 

                auto tg_xyyyyyyz_xxyyyyyy_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1326); 

                auto tg_xyyyyyyz_xxyyyyyz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1327); 

                auto tg_xyyyyyyz_xxyyyyzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1328); 

                auto tg_xyyyyyyz_xxyyyzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1329); 

                auto tg_xyyyyyyz_xxyyzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1330); 

                auto tg_xyyyyyyz_xxyzzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1331); 

                auto tg_xyyyyyyz_xxzzzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1332); 

                auto tg_xyyyyyyz_xyyyyyyy_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1333); 

                auto tg_xyyyyyyz_xyyyyyyz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1334); 

                auto tg_xyyyyyyz_xyyyyyzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1335); 

                auto tg_xyyyyyyz_xyyyyzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1336); 

                auto tg_xyyyyyyz_xyyyzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1337); 

                auto tg_xyyyyyyz_xyyzzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1338); 

                auto tg_xyyyyyyz_xyzzzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1339); 

                auto tg_xyyyyyyz_xzzzzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1340); 

                auto tg_xyyyyyyz_yyyyyyyy_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1341); 

                auto tg_xyyyyyyz_yyyyyyyz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1342); 

                auto tg_xyyyyyyz_yyyyyyzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1343); 

                auto tg_xyyyyyyz_yyyyyzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1344); 

                auto tg_xyyyyyyz_yyyyzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1345); 

                auto tg_xyyyyyyz_yyyzzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1346); 

                auto tg_xyyyyyyz_yyzzzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1347); 

                auto tg_xyyyyyyz_yzzzzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1348); 

                auto tg_xyyyyyyz_zzzzzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1349); 

                auto tg_xyyyyyzz_xxxxxxxx_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1350); 

                auto tg_xyyyyyzz_xxxxxxxy_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1351); 

                auto tg_xyyyyyzz_xxxxxxxz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1352); 

                // Batch of Integrals (1257,1353)

                #pragma omp simd aligned(fxn, fza, tg_xxzzzzzz_yyzzzzzz_0, tg_xxzzzzzz_yzzzzzzz_0, \
                                         tg_xxzzzzzz_zzzzzzzz_0, tg_xyyyyyyy_xxxxxxxx_0, tg_xyyyyyyy_xxxxxxxy_0, \
                                         tg_xyyyyyyy_xxxxxxxz_0, tg_xyyyyyyy_xxxxxxyy_0, tg_xyyyyyyy_xxxxxxyz_0, \
                                         tg_xyyyyyyy_xxxxxxzz_0, tg_xyyyyyyy_xxxxxyyy_0, tg_xyyyyyyy_xxxxxyyz_0, \
                                         tg_xyyyyyyy_xxxxxyzz_0, tg_xyyyyyyy_xxxxxzzz_0, tg_xyyyyyyy_xxxxyyyy_0, \
                                         tg_xyyyyyyy_xxxxyyyz_0, tg_xyyyyyyy_xxxxyyzz_0, tg_xyyyyyyy_xxxxyzzz_0, \
                                         tg_xyyyyyyy_xxxxzzzz_0, tg_xyyyyyyy_xxxyyyyy_0, tg_xyyyyyyy_xxxyyyyz_0, \
                                         tg_xyyyyyyy_xxxyyyzz_0, tg_xyyyyyyy_xxxyyzzz_0, tg_xyyyyyyy_xxxyzzzz_0, \
                                         tg_xyyyyyyy_xxxzzzzz_0, tg_xyyyyyyy_xxyyyyyy_0, tg_xyyyyyyy_xxyyyyyz_0, \
                                         tg_xyyyyyyy_xxyyyyzz_0, tg_xyyyyyyy_xxyyyzzz_0, tg_xyyyyyyy_xxyyzzzz_0, \
                                         tg_xyyyyyyy_xxyzzzzz_0, tg_xyyyyyyy_xxzzzzzz_0, tg_xyyyyyyy_xyyyyyyy_0, \
                                         tg_xyyyyyyy_xyyyyyyz_0, tg_xyyyyyyy_xyyyyyzz_0, tg_xyyyyyyy_xyyyyzzz_0, \
                                         tg_xyyyyyyy_xyyyzzzz_0, tg_xyyyyyyy_xyyzzzzz_0, tg_xyyyyyyy_xyzzzzzz_0, \
                                         tg_xyyyyyyy_xzzzzzzz_0, tg_xyyyyyyy_yyyyyyyy_0, tg_xyyyyyyy_yyyyyyyz_0, \
                                         tg_xyyyyyyy_yyyyyyzz_0, tg_xyyyyyyy_yyyyyzzz_0, tg_xyyyyyyy_yyyyzzzz_0, \
                                         tg_xyyyyyyy_yyyzzzzz_0, tg_xyyyyyyy_yyzzzzzz_0, tg_xyyyyyyy_yzzzzzzz_0, \
                                         tg_xyyyyyyy_zzzzzzzz_0, tg_xyyyyyyz_xxxxxxxx_0, tg_xyyyyyyz_xxxxxxxy_0, \
                                         tg_xyyyyyyz_xxxxxxxz_0, tg_xyyyyyyz_xxxxxxyy_0, tg_xyyyyyyz_xxxxxxyz_0, \
                                         tg_xyyyyyyz_xxxxxxzz_0, tg_xyyyyyyz_xxxxxyyy_0, tg_xyyyyyyz_xxxxxyyz_0, \
                                         tg_xyyyyyyz_xxxxxyzz_0, tg_xyyyyyyz_xxxxxzzz_0, tg_xyyyyyyz_xxxxyyyy_0, \
                                         tg_xyyyyyyz_xxxxyyyz_0, tg_xyyyyyyz_xxxxyyzz_0, tg_xyyyyyyz_xxxxyzzz_0, \
                                         tg_xyyyyyyz_xxxxzzzz_0, tg_xyyyyyyz_xxxyyyyy_0, tg_xyyyyyyz_xxxyyyyz_0, \
                                         tg_xyyyyyyz_xxxyyyzz_0, tg_xyyyyyyz_xxxyyzzz_0, tg_xyyyyyyz_xxxyzzzz_0, \
                                         tg_xyyyyyyz_xxxzzzzz_0, tg_xyyyyyyz_xxyyyyyy_0, tg_xyyyyyyz_xxyyyyyz_0, \
                                         tg_xyyyyyyz_xxyyyyzz_0, tg_xyyyyyyz_xxyyyzzz_0, tg_xyyyyyyz_xxyyzzzz_0, \
                                         tg_xyyyyyyz_xxyzzzzz_0, tg_xyyyyyyz_xxzzzzzz_0, tg_xyyyyyyz_xyyyyyyy_0, \
                                         tg_xyyyyyyz_xyyyyyyz_0, tg_xyyyyyyz_xyyyyyzz_0, tg_xyyyyyyz_xyyyyzzz_0, \
                                         tg_xyyyyyyz_xyyyzzzz_0, tg_xyyyyyyz_xyyzzzzz_0, tg_xyyyyyyz_xyzzzzzz_0, \
                                         tg_xyyyyyyz_xzzzzzzz_0, tg_xyyyyyyz_yyyyyyyy_0, tg_xyyyyyyz_yyyyyyyz_0, \
                                         tg_xyyyyyyz_yyyyyyzz_0, tg_xyyyyyyz_yyyyyzzz_0, tg_xyyyyyyz_yyyyzzzz_0, \
                                         tg_xyyyyyyz_yyyzzzzz_0, tg_xyyyyyyz_yyzzzzzz_0, tg_xyyyyyyz_yzzzzzzz_0, \
                                         tg_xyyyyyyz_zzzzzzzz_0, tg_xyyyyyzz_xxxxxxxx_0, tg_xyyyyyzz_xxxxxxxy_0, \
                                         tg_xyyyyyzz_xxxxxxxz_0, tg_xzzzzzz_yyzzzzzz_0, tg_xzzzzzz_yyzzzzzz_1, \
                                         tg_xzzzzzz_yzzzzzzz_0, tg_xzzzzzz_yzzzzzzz_1, tg_xzzzzzz_zzzzzzzz_0, \
                                         tg_xzzzzzz_zzzzzzzz_1, tg_yyyyyyy_xxxxxxx_1, tg_yyyyyyy_xxxxxxxx_0, \
                                         tg_yyyyyyy_xxxxxxxx_1, tg_yyyyyyy_xxxxxxxy_0, tg_yyyyyyy_xxxxxxxy_1, \
                                         tg_yyyyyyy_xxxxxxxz_0, tg_yyyyyyy_xxxxxxxz_1, tg_yyyyyyy_xxxxxxy_1, \
                                         tg_yyyyyyy_xxxxxxyy_0, tg_yyyyyyy_xxxxxxyy_1, tg_yyyyyyy_xxxxxxyz_0, \
                                         tg_yyyyyyy_xxxxxxyz_1, tg_yyyyyyy_xxxxxxz_1, tg_yyyyyyy_xxxxxxzz_0, \
                                         tg_yyyyyyy_xxxxxxzz_1, tg_yyyyyyy_xxxxxyy_1, tg_yyyyyyy_xxxxxyyy_0, \
                                         tg_yyyyyyy_xxxxxyyy_1, tg_yyyyyyy_xxxxxyyz_0, tg_yyyyyyy_xxxxxyyz_1, \
                                         tg_yyyyyyy_xxxxxyz_1, tg_yyyyyyy_xxxxxyzz_0, tg_yyyyyyy_xxxxxyzz_1, \
                                         tg_yyyyyyy_xxxxxzz_1, tg_yyyyyyy_xxxxxzzz_0, tg_yyyyyyy_xxxxxzzz_1, \
                                         tg_yyyyyyy_xxxxyyy_1, tg_yyyyyyy_xxxxyyyy_0, tg_yyyyyyy_xxxxyyyy_1, \
                                         tg_yyyyyyy_xxxxyyyz_0, tg_yyyyyyy_xxxxyyyz_1, tg_yyyyyyy_xxxxyyz_1, \
                                         tg_yyyyyyy_xxxxyyzz_0, tg_yyyyyyy_xxxxyyzz_1, tg_yyyyyyy_xxxxyzz_1, \
                                         tg_yyyyyyy_xxxxyzzz_0, tg_yyyyyyy_xxxxyzzz_1, tg_yyyyyyy_xxxxzzz_1, \
                                         tg_yyyyyyy_xxxxzzzz_0, tg_yyyyyyy_xxxxzzzz_1, tg_yyyyyyy_xxxyyyy_1, \
                                         tg_yyyyyyy_xxxyyyyy_0, tg_yyyyyyy_xxxyyyyy_1, tg_yyyyyyy_xxxyyyyz_0, \
                                         tg_yyyyyyy_xxxyyyyz_1, tg_yyyyyyy_xxxyyyz_1, tg_yyyyyyy_xxxyyyzz_0, \
                                         tg_yyyyyyy_xxxyyyzz_1, tg_yyyyyyy_xxxyyzz_1, tg_yyyyyyy_xxxyyzzz_0, \
                                         tg_yyyyyyy_xxxyyzzz_1, tg_yyyyyyy_xxxyzzz_1, tg_yyyyyyy_xxxyzzzz_0, \
                                         tg_yyyyyyy_xxxyzzzz_1, tg_yyyyyyy_xxxzzzz_1, tg_yyyyyyy_xxxzzzzz_0, \
                                         tg_yyyyyyy_xxxzzzzz_1, tg_yyyyyyy_xxyyyyy_1, tg_yyyyyyy_xxyyyyyy_0, \
                                         tg_yyyyyyy_xxyyyyyy_1, tg_yyyyyyy_xxyyyyyz_0, tg_yyyyyyy_xxyyyyyz_1, \
                                         tg_yyyyyyy_xxyyyyz_1, tg_yyyyyyy_xxyyyyzz_0, tg_yyyyyyy_xxyyyyzz_1, \
                                         tg_yyyyyyy_xxyyyzz_1, tg_yyyyyyy_xxyyyzzz_0, tg_yyyyyyy_xxyyyzzz_1, \
                                         tg_yyyyyyy_xxyyzzz_1, tg_yyyyyyy_xxyyzzzz_0, tg_yyyyyyy_xxyyzzzz_1, \
                                         tg_yyyyyyy_xxyzzzz_1, tg_yyyyyyy_xxyzzzzz_0, tg_yyyyyyy_xxyzzzzz_1, \
                                         tg_yyyyyyy_xxzzzzz_1, tg_yyyyyyy_xxzzzzzz_0, tg_yyyyyyy_xxzzzzzz_1, \
                                         tg_yyyyyyy_xyyyyyy_1, tg_yyyyyyy_xyyyyyyy_0, tg_yyyyyyy_xyyyyyyy_1, \
                                         tg_yyyyyyy_xyyyyyyz_0, tg_yyyyyyy_xyyyyyyz_1, tg_yyyyyyy_xyyyyyz_1, \
                                         tg_yyyyyyy_xyyyyyzz_0, tg_yyyyyyy_xyyyyyzz_1, tg_yyyyyyy_xyyyyzz_1, \
                                         tg_yyyyyyy_xyyyyzzz_0, tg_yyyyyyy_xyyyyzzz_1, tg_yyyyyyy_xyyyzzz_1, \
                                         tg_yyyyyyy_xyyyzzzz_0, tg_yyyyyyy_xyyyzzzz_1, tg_yyyyyyy_xyyzzzz_1, \
                                         tg_yyyyyyy_xyyzzzzz_0, tg_yyyyyyy_xyyzzzzz_1, tg_yyyyyyy_xyzzzzz_1, \
                                         tg_yyyyyyy_xyzzzzzz_0, tg_yyyyyyy_xyzzzzzz_1, tg_yyyyyyy_xzzzzzz_1, \
                                         tg_yyyyyyy_xzzzzzzz_0, tg_yyyyyyy_xzzzzzzz_1, tg_yyyyyyy_yyyyyyy_1, \
                                         tg_yyyyyyy_yyyyyyyy_0, tg_yyyyyyy_yyyyyyyy_1, tg_yyyyyyy_yyyyyyyz_0, \
                                         tg_yyyyyyy_yyyyyyyz_1, tg_yyyyyyy_yyyyyyz_1, tg_yyyyyyy_yyyyyyzz_0, \
                                         tg_yyyyyyy_yyyyyyzz_1, tg_yyyyyyy_yyyyyzz_1, tg_yyyyyyy_yyyyyzzz_0, \
                                         tg_yyyyyyy_yyyyyzzz_1, tg_yyyyyyy_yyyyzzz_1, tg_yyyyyyy_yyyyzzzz_0, \
                                         tg_yyyyyyy_yyyyzzzz_1, tg_yyyyyyy_yyyzzzz_1, tg_yyyyyyy_yyyzzzzz_0, \
                                         tg_yyyyyyy_yyyzzzzz_1, tg_yyyyyyy_yyzzzzz_1, tg_yyyyyyy_yyzzzzzz_0, \
                                         tg_yyyyyyy_yyzzzzzz_1, tg_yyyyyyy_yzzzzzz_1, tg_yyyyyyy_yzzzzzzz_0, \
                                         tg_yyyyyyy_yzzzzzzz_1, tg_yyyyyyy_zzzzzzz_1, tg_yyyyyyy_zzzzzzzz_0, \
                                         tg_yyyyyyy_zzzzzzzz_1, tg_yyyyyyz_xxxxxxx_1, tg_yyyyyyz_xxxxxxxx_0, \
                                         tg_yyyyyyz_xxxxxxxx_1, tg_yyyyyyz_xxxxxxxy_0, tg_yyyyyyz_xxxxxxxy_1, \
                                         tg_yyyyyyz_xxxxxxxz_0, tg_yyyyyyz_xxxxxxxz_1, tg_yyyyyyz_xxxxxxy_1, \
                                         tg_yyyyyyz_xxxxxxyy_0, tg_yyyyyyz_xxxxxxyy_1, tg_yyyyyyz_xxxxxxyz_0, \
                                         tg_yyyyyyz_xxxxxxyz_1, tg_yyyyyyz_xxxxxxz_1, tg_yyyyyyz_xxxxxxzz_0, \
                                         tg_yyyyyyz_xxxxxxzz_1, tg_yyyyyyz_xxxxxyy_1, tg_yyyyyyz_xxxxxyyy_0, \
                                         tg_yyyyyyz_xxxxxyyy_1, tg_yyyyyyz_xxxxxyyz_0, tg_yyyyyyz_xxxxxyyz_1, \
                                         tg_yyyyyyz_xxxxxyz_1, tg_yyyyyyz_xxxxxyzz_0, tg_yyyyyyz_xxxxxyzz_1, \
                                         tg_yyyyyyz_xxxxxzz_1, tg_yyyyyyz_xxxxxzzz_0, tg_yyyyyyz_xxxxxzzz_1, \
                                         tg_yyyyyyz_xxxxyyy_1, tg_yyyyyyz_xxxxyyyy_0, tg_yyyyyyz_xxxxyyyy_1, \
                                         tg_yyyyyyz_xxxxyyyz_0, tg_yyyyyyz_xxxxyyyz_1, tg_yyyyyyz_xxxxyyz_1, \
                                         tg_yyyyyyz_xxxxyyzz_0, tg_yyyyyyz_xxxxyyzz_1, tg_yyyyyyz_xxxxyzz_1, \
                                         tg_yyyyyyz_xxxxyzzz_0, tg_yyyyyyz_xxxxyzzz_1, tg_yyyyyyz_xxxxzzz_1, \
                                         tg_yyyyyyz_xxxxzzzz_0, tg_yyyyyyz_xxxxzzzz_1, tg_yyyyyyz_xxxyyyy_1, \
                                         tg_yyyyyyz_xxxyyyyy_0, tg_yyyyyyz_xxxyyyyy_1, tg_yyyyyyz_xxxyyyyz_0, \
                                         tg_yyyyyyz_xxxyyyyz_1, tg_yyyyyyz_xxxyyyz_1, tg_yyyyyyz_xxxyyyzz_0, \
                                         tg_yyyyyyz_xxxyyyzz_1, tg_yyyyyyz_xxxyyzz_1, tg_yyyyyyz_xxxyyzzz_0, \
                                         tg_yyyyyyz_xxxyyzzz_1, tg_yyyyyyz_xxxyzzz_1, tg_yyyyyyz_xxxyzzzz_0, \
                                         tg_yyyyyyz_xxxyzzzz_1, tg_yyyyyyz_xxxzzzz_1, tg_yyyyyyz_xxxzzzzz_0, \
                                         tg_yyyyyyz_xxxzzzzz_1, tg_yyyyyyz_xxyyyyy_1, tg_yyyyyyz_xxyyyyyy_0, \
                                         tg_yyyyyyz_xxyyyyyy_1, tg_yyyyyyz_xxyyyyyz_0, tg_yyyyyyz_xxyyyyyz_1, \
                                         tg_yyyyyyz_xxyyyyz_1, tg_yyyyyyz_xxyyyyzz_0, tg_yyyyyyz_xxyyyyzz_1, \
                                         tg_yyyyyyz_xxyyyzz_1, tg_yyyyyyz_xxyyyzzz_0, tg_yyyyyyz_xxyyyzzz_1, \
                                         tg_yyyyyyz_xxyyzzz_1, tg_yyyyyyz_xxyyzzzz_0, tg_yyyyyyz_xxyyzzzz_1, \
                                         tg_yyyyyyz_xxyzzzz_1, tg_yyyyyyz_xxyzzzzz_0, tg_yyyyyyz_xxyzzzzz_1, \
                                         tg_yyyyyyz_xxzzzzz_1, tg_yyyyyyz_xxzzzzzz_0, tg_yyyyyyz_xxzzzzzz_1, \
                                         tg_yyyyyyz_xyyyyyy_1, tg_yyyyyyz_xyyyyyyy_0, tg_yyyyyyz_xyyyyyyy_1, \
                                         tg_yyyyyyz_xyyyyyyz_0, tg_yyyyyyz_xyyyyyyz_1, tg_yyyyyyz_xyyyyyz_1, \
                                         tg_yyyyyyz_xyyyyyzz_0, tg_yyyyyyz_xyyyyyzz_1, tg_yyyyyyz_xyyyyzz_1, \
                                         tg_yyyyyyz_xyyyyzzz_0, tg_yyyyyyz_xyyyyzzz_1, tg_yyyyyyz_xyyyzzz_1, \
                                         tg_yyyyyyz_xyyyzzzz_0, tg_yyyyyyz_xyyyzzzz_1, tg_yyyyyyz_xyyzzzz_1, \
                                         tg_yyyyyyz_xyyzzzzz_0, tg_yyyyyyz_xyyzzzzz_1, tg_yyyyyyz_xyzzzzz_1, \
                                         tg_yyyyyyz_xyzzzzzz_0, tg_yyyyyyz_xyzzzzzz_1, tg_yyyyyyz_xzzzzzz_1, \
                                         tg_yyyyyyz_xzzzzzzz_0, tg_yyyyyyz_xzzzzzzz_1, tg_yyyyyyz_yyyyyyy_1, \
                                         tg_yyyyyyz_yyyyyyyy_0, tg_yyyyyyz_yyyyyyyy_1, tg_yyyyyyz_yyyyyyyz_0, \
                                         tg_yyyyyyz_yyyyyyyz_1, tg_yyyyyyz_yyyyyyz_1, tg_yyyyyyz_yyyyyyzz_0, \
                                         tg_yyyyyyz_yyyyyyzz_1, tg_yyyyyyz_yyyyyzz_1, tg_yyyyyyz_yyyyyzzz_0, \
                                         tg_yyyyyyz_yyyyyzzz_1, tg_yyyyyyz_yyyyzzz_1, tg_yyyyyyz_yyyyzzzz_0, \
                                         tg_yyyyyyz_yyyyzzzz_1, tg_yyyyyyz_yyyzzzz_1, tg_yyyyyyz_yyyzzzzz_0, \
                                         tg_yyyyyyz_yyyzzzzz_1, tg_yyyyyyz_yyzzzzz_1, tg_yyyyyyz_yyzzzzzz_0, \
                                         tg_yyyyyyz_yyzzzzzz_1, tg_yyyyyyz_yzzzzzz_1, tg_yyyyyyz_yzzzzzzz_0, \
                                         tg_yyyyyyz_yzzzzzzz_1, tg_yyyyyyz_zzzzzzz_1, tg_yyyyyyz_zzzzzzzz_0, \
                                         tg_yyyyyyz_zzzzzzzz_1, tg_yyyyyzz_xxxxxxx_1, tg_yyyyyzz_xxxxxxxx_0, \
                                         tg_yyyyyzz_xxxxxxxx_1, tg_yyyyyzz_xxxxxxxy_0, tg_yyyyyzz_xxxxxxxy_1, \
                                         tg_yyyyyzz_xxxxxxxz_0, tg_yyyyyzz_xxxxxxxz_1, tg_yyyyyzz_xxxxxxy_1, \
                                         tg_yyyyyzz_xxxxxxz_1, tg_zzzzzz_yyzzzzzz_0, tg_zzzzzz_yyzzzzzz_1, tg_zzzzzz_yzzzzzzz_0, \
                                         tg_zzzzzz_yzzzzzzz_1, tg_zzzzzz_zzzzzzzz_0, tg_zzzzzz_zzzzzzzz_1, wp_x: VLX_ALIGN)
                for (int32_t j = 0; j < nKetPrimPairs; j++)
                {
                    double fl1_fx = fx;

                    double fl1_fxn = fxn[j];

                    double fl1_fza = fza[j];

                    double fr = wp_x[j]; 

                    tg_xxzzzzzz_yyzzzzzz_0[j] = pb_x * tg_xzzzzzz_yyzzzzzz_0[j] + fr * tg_xzzzzzz_yyzzzzzz_1[j] + 0.5 * fl1_fx * (tg_zzzzzz_yyzzzzzz_0[j] - tg_zzzzzz_yyzzzzzz_1[j] * fl1_fza);

                    tg_xxzzzzzz_yzzzzzzz_0[j] = pb_x * tg_xzzzzzz_yzzzzzzz_0[j] + fr * tg_xzzzzzz_yzzzzzzz_1[j] + 0.5 * fl1_fx * (tg_zzzzzz_yzzzzzzz_0[j] - tg_zzzzzz_yzzzzzzz_1[j] * fl1_fza);

                    tg_xxzzzzzz_zzzzzzzz_0[j] = pb_x * tg_xzzzzzz_zzzzzzzz_0[j] + fr * tg_xzzzzzz_zzzzzzzz_1[j] + 0.5 * fl1_fx * (tg_zzzzzz_zzzzzzzz_0[j] - tg_zzzzzz_zzzzzzzz_1[j] * fl1_fza);

                    tg_xyyyyyyy_xxxxxxxx_0[j] = pb_x * tg_yyyyyyy_xxxxxxxx_0[j] + fr * tg_yyyyyyy_xxxxxxxx_1[j] + 4.0 * fl1_fxn * tg_yyyyyyy_xxxxxxx_1[j];

                    tg_xyyyyyyy_xxxxxxxy_0[j] = pb_x * tg_yyyyyyy_xxxxxxxy_0[j] + fr * tg_yyyyyyy_xxxxxxxy_1[j] + 3.5 * fl1_fxn * tg_yyyyyyy_xxxxxxy_1[j];

                    tg_xyyyyyyy_xxxxxxxz_0[j] = pb_x * tg_yyyyyyy_xxxxxxxz_0[j] + fr * tg_yyyyyyy_xxxxxxxz_1[j] + 3.5 * fl1_fxn * tg_yyyyyyy_xxxxxxz_1[j];

                    tg_xyyyyyyy_xxxxxxyy_0[j] = pb_x * tg_yyyyyyy_xxxxxxyy_0[j] + fr * tg_yyyyyyy_xxxxxxyy_1[j] + 3.0 * fl1_fxn * tg_yyyyyyy_xxxxxyy_1[j];

                    tg_xyyyyyyy_xxxxxxyz_0[j] = pb_x * tg_yyyyyyy_xxxxxxyz_0[j] + fr * tg_yyyyyyy_xxxxxxyz_1[j] + 3.0 * fl1_fxn * tg_yyyyyyy_xxxxxyz_1[j];

                    tg_xyyyyyyy_xxxxxxzz_0[j] = pb_x * tg_yyyyyyy_xxxxxxzz_0[j] + fr * tg_yyyyyyy_xxxxxxzz_1[j] + 3.0 * fl1_fxn * tg_yyyyyyy_xxxxxzz_1[j];

                    tg_xyyyyyyy_xxxxxyyy_0[j] = pb_x * tg_yyyyyyy_xxxxxyyy_0[j] + fr * tg_yyyyyyy_xxxxxyyy_1[j] + 2.5 * fl1_fxn * tg_yyyyyyy_xxxxyyy_1[j];

                    tg_xyyyyyyy_xxxxxyyz_0[j] = pb_x * tg_yyyyyyy_xxxxxyyz_0[j] + fr * tg_yyyyyyy_xxxxxyyz_1[j] + 2.5 * fl1_fxn * tg_yyyyyyy_xxxxyyz_1[j];

                    tg_xyyyyyyy_xxxxxyzz_0[j] = pb_x * tg_yyyyyyy_xxxxxyzz_0[j] + fr * tg_yyyyyyy_xxxxxyzz_1[j] + 2.5 * fl1_fxn * tg_yyyyyyy_xxxxyzz_1[j];

                    tg_xyyyyyyy_xxxxxzzz_0[j] = pb_x * tg_yyyyyyy_xxxxxzzz_0[j] + fr * tg_yyyyyyy_xxxxxzzz_1[j] + 2.5 * fl1_fxn * tg_yyyyyyy_xxxxzzz_1[j];

                    tg_xyyyyyyy_xxxxyyyy_0[j] = pb_x * tg_yyyyyyy_xxxxyyyy_0[j] + fr * tg_yyyyyyy_xxxxyyyy_1[j] + 2.0 * fl1_fxn * tg_yyyyyyy_xxxyyyy_1[j];

                    tg_xyyyyyyy_xxxxyyyz_0[j] = pb_x * tg_yyyyyyy_xxxxyyyz_0[j] + fr * tg_yyyyyyy_xxxxyyyz_1[j] + 2.0 * fl1_fxn * tg_yyyyyyy_xxxyyyz_1[j];

                    tg_xyyyyyyy_xxxxyyzz_0[j] = pb_x * tg_yyyyyyy_xxxxyyzz_0[j] + fr * tg_yyyyyyy_xxxxyyzz_1[j] + 2.0 * fl1_fxn * tg_yyyyyyy_xxxyyzz_1[j];

                    tg_xyyyyyyy_xxxxyzzz_0[j] = pb_x * tg_yyyyyyy_xxxxyzzz_0[j] + fr * tg_yyyyyyy_xxxxyzzz_1[j] + 2.0 * fl1_fxn * tg_yyyyyyy_xxxyzzz_1[j];

                    tg_xyyyyyyy_xxxxzzzz_0[j] = pb_x * tg_yyyyyyy_xxxxzzzz_0[j] + fr * tg_yyyyyyy_xxxxzzzz_1[j] + 2.0 * fl1_fxn * tg_yyyyyyy_xxxzzzz_1[j];

                    tg_xyyyyyyy_xxxyyyyy_0[j] = pb_x * tg_yyyyyyy_xxxyyyyy_0[j] + fr * tg_yyyyyyy_xxxyyyyy_1[j] + 1.5 * fl1_fxn * tg_yyyyyyy_xxyyyyy_1[j];

                    tg_xyyyyyyy_xxxyyyyz_0[j] = pb_x * tg_yyyyyyy_xxxyyyyz_0[j] + fr * tg_yyyyyyy_xxxyyyyz_1[j] + 1.5 * fl1_fxn * tg_yyyyyyy_xxyyyyz_1[j];

                    tg_xyyyyyyy_xxxyyyzz_0[j] = pb_x * tg_yyyyyyy_xxxyyyzz_0[j] + fr * tg_yyyyyyy_xxxyyyzz_1[j] + 1.5 * fl1_fxn * tg_yyyyyyy_xxyyyzz_1[j];

                    tg_xyyyyyyy_xxxyyzzz_0[j] = pb_x * tg_yyyyyyy_xxxyyzzz_0[j] + fr * tg_yyyyyyy_xxxyyzzz_1[j] + 1.5 * fl1_fxn * tg_yyyyyyy_xxyyzzz_1[j];

                    tg_xyyyyyyy_xxxyzzzz_0[j] = pb_x * tg_yyyyyyy_xxxyzzzz_0[j] + fr * tg_yyyyyyy_xxxyzzzz_1[j] + 1.5 * fl1_fxn * tg_yyyyyyy_xxyzzzz_1[j];

                    tg_xyyyyyyy_xxxzzzzz_0[j] = pb_x * tg_yyyyyyy_xxxzzzzz_0[j] + fr * tg_yyyyyyy_xxxzzzzz_1[j] + 1.5 * fl1_fxn * tg_yyyyyyy_xxzzzzz_1[j];

                    tg_xyyyyyyy_xxyyyyyy_0[j] = pb_x * tg_yyyyyyy_xxyyyyyy_0[j] + fr * tg_yyyyyyy_xxyyyyyy_1[j] + fl1_fxn * tg_yyyyyyy_xyyyyyy_1[j];

                    tg_xyyyyyyy_xxyyyyyz_0[j] = pb_x * tg_yyyyyyy_xxyyyyyz_0[j] + fr * tg_yyyyyyy_xxyyyyyz_1[j] + fl1_fxn * tg_yyyyyyy_xyyyyyz_1[j];

                    tg_xyyyyyyy_xxyyyyzz_0[j] = pb_x * tg_yyyyyyy_xxyyyyzz_0[j] + fr * tg_yyyyyyy_xxyyyyzz_1[j] + fl1_fxn * tg_yyyyyyy_xyyyyzz_1[j];

                    tg_xyyyyyyy_xxyyyzzz_0[j] = pb_x * tg_yyyyyyy_xxyyyzzz_0[j] + fr * tg_yyyyyyy_xxyyyzzz_1[j] + fl1_fxn * tg_yyyyyyy_xyyyzzz_1[j];

                    tg_xyyyyyyy_xxyyzzzz_0[j] = pb_x * tg_yyyyyyy_xxyyzzzz_0[j] + fr * tg_yyyyyyy_xxyyzzzz_1[j] + fl1_fxn * tg_yyyyyyy_xyyzzzz_1[j];

                    tg_xyyyyyyy_xxyzzzzz_0[j] = pb_x * tg_yyyyyyy_xxyzzzzz_0[j] + fr * tg_yyyyyyy_xxyzzzzz_1[j] + fl1_fxn * tg_yyyyyyy_xyzzzzz_1[j];

                    tg_xyyyyyyy_xxzzzzzz_0[j] = pb_x * tg_yyyyyyy_xxzzzzzz_0[j] + fr * tg_yyyyyyy_xxzzzzzz_1[j] + fl1_fxn * tg_yyyyyyy_xzzzzzz_1[j];

                    tg_xyyyyyyy_xyyyyyyy_0[j] = pb_x * tg_yyyyyyy_xyyyyyyy_0[j] + fr * tg_yyyyyyy_xyyyyyyy_1[j] + 0.5 * fl1_fxn * tg_yyyyyyy_yyyyyyy_1[j];

                    tg_xyyyyyyy_xyyyyyyz_0[j] = pb_x * tg_yyyyyyy_xyyyyyyz_0[j] + fr * tg_yyyyyyy_xyyyyyyz_1[j] + 0.5 * fl1_fxn * tg_yyyyyyy_yyyyyyz_1[j];

                    tg_xyyyyyyy_xyyyyyzz_0[j] = pb_x * tg_yyyyyyy_xyyyyyzz_0[j] + fr * tg_yyyyyyy_xyyyyyzz_1[j] + 0.5 * fl1_fxn * tg_yyyyyyy_yyyyyzz_1[j];

                    tg_xyyyyyyy_xyyyyzzz_0[j] = pb_x * tg_yyyyyyy_xyyyyzzz_0[j] + fr * tg_yyyyyyy_xyyyyzzz_1[j] + 0.5 * fl1_fxn * tg_yyyyyyy_yyyyzzz_1[j];

                    tg_xyyyyyyy_xyyyzzzz_0[j] = pb_x * tg_yyyyyyy_xyyyzzzz_0[j] + fr * tg_yyyyyyy_xyyyzzzz_1[j] + 0.5 * fl1_fxn * tg_yyyyyyy_yyyzzzz_1[j];

                    tg_xyyyyyyy_xyyzzzzz_0[j] = pb_x * tg_yyyyyyy_xyyzzzzz_0[j] + fr * tg_yyyyyyy_xyyzzzzz_1[j] + 0.5 * fl1_fxn * tg_yyyyyyy_yyzzzzz_1[j];

                    tg_xyyyyyyy_xyzzzzzz_0[j] = pb_x * tg_yyyyyyy_xyzzzzzz_0[j] + fr * tg_yyyyyyy_xyzzzzzz_1[j] + 0.5 * fl1_fxn * tg_yyyyyyy_yzzzzzz_1[j];

                    tg_xyyyyyyy_xzzzzzzz_0[j] = pb_x * tg_yyyyyyy_xzzzzzzz_0[j] + fr * tg_yyyyyyy_xzzzzzzz_1[j] + 0.5 * fl1_fxn * tg_yyyyyyy_zzzzzzz_1[j];

                    tg_xyyyyyyy_yyyyyyyy_0[j] = pb_x * tg_yyyyyyy_yyyyyyyy_0[j] + fr * tg_yyyyyyy_yyyyyyyy_1[j];

                    tg_xyyyyyyy_yyyyyyyz_0[j] = pb_x * tg_yyyyyyy_yyyyyyyz_0[j] + fr * tg_yyyyyyy_yyyyyyyz_1[j];

                    tg_xyyyyyyy_yyyyyyzz_0[j] = pb_x * tg_yyyyyyy_yyyyyyzz_0[j] + fr * tg_yyyyyyy_yyyyyyzz_1[j];

                    tg_xyyyyyyy_yyyyyzzz_0[j] = pb_x * tg_yyyyyyy_yyyyyzzz_0[j] + fr * tg_yyyyyyy_yyyyyzzz_1[j];

                    tg_xyyyyyyy_yyyyzzzz_0[j] = pb_x * tg_yyyyyyy_yyyyzzzz_0[j] + fr * tg_yyyyyyy_yyyyzzzz_1[j];

                    tg_xyyyyyyy_yyyzzzzz_0[j] = pb_x * tg_yyyyyyy_yyyzzzzz_0[j] + fr * tg_yyyyyyy_yyyzzzzz_1[j];

                    tg_xyyyyyyy_yyzzzzzz_0[j] = pb_x * tg_yyyyyyy_yyzzzzzz_0[j] + fr * tg_yyyyyyy_yyzzzzzz_1[j];

                    tg_xyyyyyyy_yzzzzzzz_0[j] = pb_x * tg_yyyyyyy_yzzzzzzz_0[j] + fr * tg_yyyyyyy_yzzzzzzz_1[j];

                    tg_xyyyyyyy_zzzzzzzz_0[j] = pb_x * tg_yyyyyyy_zzzzzzzz_0[j] + fr * tg_yyyyyyy_zzzzzzzz_1[j];

                    tg_xyyyyyyz_xxxxxxxx_0[j] = pb_x * tg_yyyyyyz_xxxxxxxx_0[j] + fr * tg_yyyyyyz_xxxxxxxx_1[j] + 4.0 * fl1_fxn * tg_yyyyyyz_xxxxxxx_1[j];

                    tg_xyyyyyyz_xxxxxxxy_0[j] = pb_x * tg_yyyyyyz_xxxxxxxy_0[j] + fr * tg_yyyyyyz_xxxxxxxy_1[j] + 3.5 * fl1_fxn * tg_yyyyyyz_xxxxxxy_1[j];

                    tg_xyyyyyyz_xxxxxxxz_0[j] = pb_x * tg_yyyyyyz_xxxxxxxz_0[j] + fr * tg_yyyyyyz_xxxxxxxz_1[j] + 3.5 * fl1_fxn * tg_yyyyyyz_xxxxxxz_1[j];

                    tg_xyyyyyyz_xxxxxxyy_0[j] = pb_x * tg_yyyyyyz_xxxxxxyy_0[j] + fr * tg_yyyyyyz_xxxxxxyy_1[j] + 3.0 * fl1_fxn * tg_yyyyyyz_xxxxxyy_1[j];

                    tg_xyyyyyyz_xxxxxxyz_0[j] = pb_x * tg_yyyyyyz_xxxxxxyz_0[j] + fr * tg_yyyyyyz_xxxxxxyz_1[j] + 3.0 * fl1_fxn * tg_yyyyyyz_xxxxxyz_1[j];

                    tg_xyyyyyyz_xxxxxxzz_0[j] = pb_x * tg_yyyyyyz_xxxxxxzz_0[j] + fr * tg_yyyyyyz_xxxxxxzz_1[j] + 3.0 * fl1_fxn * tg_yyyyyyz_xxxxxzz_1[j];

                    tg_xyyyyyyz_xxxxxyyy_0[j] = pb_x * tg_yyyyyyz_xxxxxyyy_0[j] + fr * tg_yyyyyyz_xxxxxyyy_1[j] + 2.5 * fl1_fxn * tg_yyyyyyz_xxxxyyy_1[j];

                    tg_xyyyyyyz_xxxxxyyz_0[j] = pb_x * tg_yyyyyyz_xxxxxyyz_0[j] + fr * tg_yyyyyyz_xxxxxyyz_1[j] + 2.5 * fl1_fxn * tg_yyyyyyz_xxxxyyz_1[j];

                    tg_xyyyyyyz_xxxxxyzz_0[j] = pb_x * tg_yyyyyyz_xxxxxyzz_0[j] + fr * tg_yyyyyyz_xxxxxyzz_1[j] + 2.5 * fl1_fxn * tg_yyyyyyz_xxxxyzz_1[j];

                    tg_xyyyyyyz_xxxxxzzz_0[j] = pb_x * tg_yyyyyyz_xxxxxzzz_0[j] + fr * tg_yyyyyyz_xxxxxzzz_1[j] + 2.5 * fl1_fxn * tg_yyyyyyz_xxxxzzz_1[j];

                    tg_xyyyyyyz_xxxxyyyy_0[j] = pb_x * tg_yyyyyyz_xxxxyyyy_0[j] + fr * tg_yyyyyyz_xxxxyyyy_1[j] + 2.0 * fl1_fxn * tg_yyyyyyz_xxxyyyy_1[j];

                    tg_xyyyyyyz_xxxxyyyz_0[j] = pb_x * tg_yyyyyyz_xxxxyyyz_0[j] + fr * tg_yyyyyyz_xxxxyyyz_1[j] + 2.0 * fl1_fxn * tg_yyyyyyz_xxxyyyz_1[j];

                    tg_xyyyyyyz_xxxxyyzz_0[j] = pb_x * tg_yyyyyyz_xxxxyyzz_0[j] + fr * tg_yyyyyyz_xxxxyyzz_1[j] + 2.0 * fl1_fxn * tg_yyyyyyz_xxxyyzz_1[j];

                    tg_xyyyyyyz_xxxxyzzz_0[j] = pb_x * tg_yyyyyyz_xxxxyzzz_0[j] + fr * tg_yyyyyyz_xxxxyzzz_1[j] + 2.0 * fl1_fxn * tg_yyyyyyz_xxxyzzz_1[j];

                    tg_xyyyyyyz_xxxxzzzz_0[j] = pb_x * tg_yyyyyyz_xxxxzzzz_0[j] + fr * tg_yyyyyyz_xxxxzzzz_1[j] + 2.0 * fl1_fxn * tg_yyyyyyz_xxxzzzz_1[j];

                    tg_xyyyyyyz_xxxyyyyy_0[j] = pb_x * tg_yyyyyyz_xxxyyyyy_0[j] + fr * tg_yyyyyyz_xxxyyyyy_1[j] + 1.5 * fl1_fxn * tg_yyyyyyz_xxyyyyy_1[j];

                    tg_xyyyyyyz_xxxyyyyz_0[j] = pb_x * tg_yyyyyyz_xxxyyyyz_0[j] + fr * tg_yyyyyyz_xxxyyyyz_1[j] + 1.5 * fl1_fxn * tg_yyyyyyz_xxyyyyz_1[j];

                    tg_xyyyyyyz_xxxyyyzz_0[j] = pb_x * tg_yyyyyyz_xxxyyyzz_0[j] + fr * tg_yyyyyyz_xxxyyyzz_1[j] + 1.5 * fl1_fxn * tg_yyyyyyz_xxyyyzz_1[j];

                    tg_xyyyyyyz_xxxyyzzz_0[j] = pb_x * tg_yyyyyyz_xxxyyzzz_0[j] + fr * tg_yyyyyyz_xxxyyzzz_1[j] + 1.5 * fl1_fxn * tg_yyyyyyz_xxyyzzz_1[j];

                    tg_xyyyyyyz_xxxyzzzz_0[j] = pb_x * tg_yyyyyyz_xxxyzzzz_0[j] + fr * tg_yyyyyyz_xxxyzzzz_1[j] + 1.5 * fl1_fxn * tg_yyyyyyz_xxyzzzz_1[j];

                    tg_xyyyyyyz_xxxzzzzz_0[j] = pb_x * tg_yyyyyyz_xxxzzzzz_0[j] + fr * tg_yyyyyyz_xxxzzzzz_1[j] + 1.5 * fl1_fxn * tg_yyyyyyz_xxzzzzz_1[j];

                    tg_xyyyyyyz_xxyyyyyy_0[j] = pb_x * tg_yyyyyyz_xxyyyyyy_0[j] + fr * tg_yyyyyyz_xxyyyyyy_1[j] + fl1_fxn * tg_yyyyyyz_xyyyyyy_1[j];

                    tg_xyyyyyyz_xxyyyyyz_0[j] = pb_x * tg_yyyyyyz_xxyyyyyz_0[j] + fr * tg_yyyyyyz_xxyyyyyz_1[j] + fl1_fxn * tg_yyyyyyz_xyyyyyz_1[j];

                    tg_xyyyyyyz_xxyyyyzz_0[j] = pb_x * tg_yyyyyyz_xxyyyyzz_0[j] + fr * tg_yyyyyyz_xxyyyyzz_1[j] + fl1_fxn * tg_yyyyyyz_xyyyyzz_1[j];

                    tg_xyyyyyyz_xxyyyzzz_0[j] = pb_x * tg_yyyyyyz_xxyyyzzz_0[j] + fr * tg_yyyyyyz_xxyyyzzz_1[j] + fl1_fxn * tg_yyyyyyz_xyyyzzz_1[j];

                    tg_xyyyyyyz_xxyyzzzz_0[j] = pb_x * tg_yyyyyyz_xxyyzzzz_0[j] + fr * tg_yyyyyyz_xxyyzzzz_1[j] + fl1_fxn * tg_yyyyyyz_xyyzzzz_1[j];

                    tg_xyyyyyyz_xxyzzzzz_0[j] = pb_x * tg_yyyyyyz_xxyzzzzz_0[j] + fr * tg_yyyyyyz_xxyzzzzz_1[j] + fl1_fxn * tg_yyyyyyz_xyzzzzz_1[j];

                    tg_xyyyyyyz_xxzzzzzz_0[j] = pb_x * tg_yyyyyyz_xxzzzzzz_0[j] + fr * tg_yyyyyyz_xxzzzzzz_1[j] + fl1_fxn * tg_yyyyyyz_xzzzzzz_1[j];

                    tg_xyyyyyyz_xyyyyyyy_0[j] = pb_x * tg_yyyyyyz_xyyyyyyy_0[j] + fr * tg_yyyyyyz_xyyyyyyy_1[j] + 0.5 * fl1_fxn * tg_yyyyyyz_yyyyyyy_1[j];

                    tg_xyyyyyyz_xyyyyyyz_0[j] = pb_x * tg_yyyyyyz_xyyyyyyz_0[j] + fr * tg_yyyyyyz_xyyyyyyz_1[j] + 0.5 * fl1_fxn * tg_yyyyyyz_yyyyyyz_1[j];

                    tg_xyyyyyyz_xyyyyyzz_0[j] = pb_x * tg_yyyyyyz_xyyyyyzz_0[j] + fr * tg_yyyyyyz_xyyyyyzz_1[j] + 0.5 * fl1_fxn * tg_yyyyyyz_yyyyyzz_1[j];

                    tg_xyyyyyyz_xyyyyzzz_0[j] = pb_x * tg_yyyyyyz_xyyyyzzz_0[j] + fr * tg_yyyyyyz_xyyyyzzz_1[j] + 0.5 * fl1_fxn * tg_yyyyyyz_yyyyzzz_1[j];

                    tg_xyyyyyyz_xyyyzzzz_0[j] = pb_x * tg_yyyyyyz_xyyyzzzz_0[j] + fr * tg_yyyyyyz_xyyyzzzz_1[j] + 0.5 * fl1_fxn * tg_yyyyyyz_yyyzzzz_1[j];

                    tg_xyyyyyyz_xyyzzzzz_0[j] = pb_x * tg_yyyyyyz_xyyzzzzz_0[j] + fr * tg_yyyyyyz_xyyzzzzz_1[j] + 0.5 * fl1_fxn * tg_yyyyyyz_yyzzzzz_1[j];

                    tg_xyyyyyyz_xyzzzzzz_0[j] = pb_x * tg_yyyyyyz_xyzzzzzz_0[j] + fr * tg_yyyyyyz_xyzzzzzz_1[j] + 0.5 * fl1_fxn * tg_yyyyyyz_yzzzzzz_1[j];

                    tg_xyyyyyyz_xzzzzzzz_0[j] = pb_x * tg_yyyyyyz_xzzzzzzz_0[j] + fr * tg_yyyyyyz_xzzzzzzz_1[j] + 0.5 * fl1_fxn * tg_yyyyyyz_zzzzzzz_1[j];

                    tg_xyyyyyyz_yyyyyyyy_0[j] = pb_x * tg_yyyyyyz_yyyyyyyy_0[j] + fr * tg_yyyyyyz_yyyyyyyy_1[j];

                    tg_xyyyyyyz_yyyyyyyz_0[j] = pb_x * tg_yyyyyyz_yyyyyyyz_0[j] + fr * tg_yyyyyyz_yyyyyyyz_1[j];

                    tg_xyyyyyyz_yyyyyyzz_0[j] = pb_x * tg_yyyyyyz_yyyyyyzz_0[j] + fr * tg_yyyyyyz_yyyyyyzz_1[j];

                    tg_xyyyyyyz_yyyyyzzz_0[j] = pb_x * tg_yyyyyyz_yyyyyzzz_0[j] + fr * tg_yyyyyyz_yyyyyzzz_1[j];

                    tg_xyyyyyyz_yyyyzzzz_0[j] = pb_x * tg_yyyyyyz_yyyyzzzz_0[j] + fr * tg_yyyyyyz_yyyyzzzz_1[j];

                    tg_xyyyyyyz_yyyzzzzz_0[j] = pb_x * tg_yyyyyyz_yyyzzzzz_0[j] + fr * tg_yyyyyyz_yyyzzzzz_1[j];

                    tg_xyyyyyyz_yyzzzzzz_0[j] = pb_x * tg_yyyyyyz_yyzzzzzz_0[j] + fr * tg_yyyyyyz_yyzzzzzz_1[j];

                    tg_xyyyyyyz_yzzzzzzz_0[j] = pb_x * tg_yyyyyyz_yzzzzzzz_0[j] + fr * tg_yyyyyyz_yzzzzzzz_1[j];

                    tg_xyyyyyyz_zzzzzzzz_0[j] = pb_x * tg_yyyyyyz_zzzzzzzz_0[j] + fr * tg_yyyyyyz_zzzzzzzz_1[j];

                    tg_xyyyyyzz_xxxxxxxx_0[j] = pb_x * tg_yyyyyzz_xxxxxxxx_0[j] + fr * tg_yyyyyzz_xxxxxxxx_1[j] + 4.0 * fl1_fxn * tg_yyyyyzz_xxxxxxx_1[j];

                    tg_xyyyyyzz_xxxxxxxy_0[j] = pb_x * tg_yyyyyzz_xxxxxxxy_0[j] + fr * tg_yyyyyzz_xxxxxxxy_1[j] + 3.5 * fl1_fxn * tg_yyyyyzz_xxxxxxy_1[j];

                    tg_xyyyyyzz_xxxxxxxz_0[j] = pb_x * tg_yyyyyzz_xxxxxxxz_0[j] + fr * tg_yyyyyzz_xxxxxxxz_1[j] + 3.5 * fl1_fxn * tg_yyyyyzz_xxxxxxz_1[j];
                }

                idx++;
            }
        }
    }

    void
    compElectronRepulsionForSLSL_1353_1449(      CMemBlock2D<double>* primBuffer,
                                           const CRecursionMap&       recursionMap,
                                           const CMemBlock2D<double>& osFactors,
                                           const CMemBlock2D<double>& wpDistances,
                                           const CGtoPairsBlock&      braGtoPairsBlock,
                                           const CGtoPairsBlock&      ketGtoPairsBlock,
                                           const int32_t              nKetPrimPairs,
                                           const int32_t              iContrPair)
    {
        // Batch of Integrals (1353,1449)

        // set up pointers to primitives data on bra side

        auto spos = braGtoPairsBlock.getStartPositions();

        auto epos = braGtoPairsBlock.getEndPositions();

        // set up pointers to tensor of distance R(PB) = P - B

        auto r_pb_x = braGtoPairsBlock.getDistancesPBX();

        // set up pointers to common Obara-Saika factors

        // set up maximum order of integral

        auto mord = recursionMap.getMaxOrder({"Electron Repulsion"},
                                             {8, -1, -1, -1},
                                             {8, -1, -1, -1},
                                             1, 1);

        for (int32_t iord = 0; iord <= mord; iord++)
        {
            // set up index of integral

            auto pidx_g_8_8_m0 = recursionMap.index(CRecursionTerm({"Electron Repulsion"}, 0, true, 
                                                                   {8, -1, -1, -1}, {8, -1, -1, -1}, 
                                                                   1, 1, iord));

            // check if integral is needed in recursion expansion

            if (pidx_g_8_8_m0 == -1) continue;

            // set up indexes of auxilary integral

            auto pidx_g_7_8_m0 = recursionMap.index(CRecursionTerm({"Electron Repulsion"}, 0, true, 
                                                                   {7, -1, -1, -1}, {8, -1, -1, -1}, 
                                                                   1, 1, iord));

            auto pidx_g_7_8_m1 = recursionMap.index(CRecursionTerm({"Electron Repulsion"}, 0, true, 
                                                                   {7, -1, -1, -1}, {8, -1, -1, -1}, 
                                                                   1, 1, iord + 1));

            auto pidx_g_7_7_m1 = recursionMap.index(CRecursionTerm({"Electron Repulsion"}, 0, true, 
                                                                   {7, -1, -1, -1}, {7, -1, -1, -1}, 
                                                                   1, 1, iord + 1));

            // loop over contracted GTO on bra side

            int32_t idx = 0;

            for (int32_t i = spos[iContrPair]; i < epos[iContrPair]; i++)
            {
                // set up pointers to Obara-Saika factors

                auto fxn = osFactors.data(4 * idx);

                // set up distances R(PB) = P - B

                auto pb_x = r_pb_x[i];

                // set up pointers to tensors product of distances R(WP) = W - P

                auto wp_x = wpDistances.data(3 * idx);

                // set up pointers to auxilary integrals

                auto tg_yyyyyzz_xxxxxxyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1353); 

                auto tg_yyyyyzz_xxxxxxyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1354); 

                auto tg_yyyyyzz_xxxxxxzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1355); 

                auto tg_yyyyyzz_xxxxxyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1356); 

                auto tg_yyyyyzz_xxxxxyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1357); 

                auto tg_yyyyyzz_xxxxxyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1358); 

                auto tg_yyyyyzz_xxxxxzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1359); 

                auto tg_yyyyyzz_xxxxyyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1360); 

                auto tg_yyyyyzz_xxxxyyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1361); 

                auto tg_yyyyyzz_xxxxyyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1362); 

                auto tg_yyyyyzz_xxxxyzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1363); 

                auto tg_yyyyyzz_xxxxzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1364); 

                auto tg_yyyyyzz_xxxyyyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1365); 

                auto tg_yyyyyzz_xxxyyyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1366); 

                auto tg_yyyyyzz_xxxyyyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1367); 

                auto tg_yyyyyzz_xxxyyzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1368); 

                auto tg_yyyyyzz_xxxyzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1369); 

                auto tg_yyyyyzz_xxxzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1370); 

                auto tg_yyyyyzz_xxyyyyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1371); 

                auto tg_yyyyyzz_xxyyyyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1372); 

                auto tg_yyyyyzz_xxyyyyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1373); 

                auto tg_yyyyyzz_xxyyyzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1374); 

                auto tg_yyyyyzz_xxyyzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1375); 

                auto tg_yyyyyzz_xxyzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1376); 

                auto tg_yyyyyzz_xxzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1377); 

                auto tg_yyyyyzz_xyyyyyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1378); 

                auto tg_yyyyyzz_xyyyyyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1379); 

                auto tg_yyyyyzz_xyyyyyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1380); 

                auto tg_yyyyyzz_xyyyyzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1381); 

                auto tg_yyyyyzz_xyyyzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1382); 

                auto tg_yyyyyzz_xyyzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1383); 

                auto tg_yyyyyzz_xyzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1384); 

                auto tg_yyyyyzz_xzzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1385); 

                auto tg_yyyyyzz_yyyyyyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1386); 

                auto tg_yyyyyzz_yyyyyyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1387); 

                auto tg_yyyyyzz_yyyyyyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1388); 

                auto tg_yyyyyzz_yyyyyzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1389); 

                auto tg_yyyyyzz_yyyyzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1390); 

                auto tg_yyyyyzz_yyyzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1391); 

                auto tg_yyyyyzz_yyzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1392); 

                auto tg_yyyyyzz_yzzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1393); 

                auto tg_yyyyyzz_zzzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1394); 

                auto tg_yyyyzzz_xxxxxxxx_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1395); 

                auto tg_yyyyzzz_xxxxxxxy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1396); 

                auto tg_yyyyzzz_xxxxxxxz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1397); 

                auto tg_yyyyzzz_xxxxxxyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1398); 

                auto tg_yyyyzzz_xxxxxxyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1399); 

                auto tg_yyyyzzz_xxxxxxzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1400); 

                auto tg_yyyyzzz_xxxxxyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1401); 

                auto tg_yyyyzzz_xxxxxyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1402); 

                auto tg_yyyyzzz_xxxxxyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1403); 

                auto tg_yyyyzzz_xxxxxzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1404); 

                auto tg_yyyyzzz_xxxxyyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1405); 

                auto tg_yyyyzzz_xxxxyyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1406); 

                auto tg_yyyyzzz_xxxxyyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1407); 

                auto tg_yyyyzzz_xxxxyzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1408); 

                auto tg_yyyyzzz_xxxxzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1409); 

                auto tg_yyyyzzz_xxxyyyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1410); 

                auto tg_yyyyzzz_xxxyyyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1411); 

                auto tg_yyyyzzz_xxxyyyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1412); 

                auto tg_yyyyzzz_xxxyyzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1413); 

                auto tg_yyyyzzz_xxxyzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1414); 

                auto tg_yyyyzzz_xxxzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1415); 

                auto tg_yyyyzzz_xxyyyyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1416); 

                auto tg_yyyyzzz_xxyyyyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1417); 

                auto tg_yyyyzzz_xxyyyyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1418); 

                auto tg_yyyyzzz_xxyyyzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1419); 

                auto tg_yyyyzzz_xxyyzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1420); 

                auto tg_yyyyzzz_xxyzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1421); 

                auto tg_yyyyzzz_xxzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1422); 

                auto tg_yyyyzzz_xyyyyyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1423); 

                auto tg_yyyyzzz_xyyyyyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1424); 

                auto tg_yyyyzzz_xyyyyyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1425); 

                auto tg_yyyyzzz_xyyyyzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1426); 

                auto tg_yyyyzzz_xyyyzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1427); 

                auto tg_yyyyzzz_xyyzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1428); 

                auto tg_yyyyzzz_xyzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1429); 

                auto tg_yyyyzzz_xzzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1430); 

                auto tg_yyyyzzz_yyyyyyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1431); 

                auto tg_yyyyzzz_yyyyyyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1432); 

                auto tg_yyyyzzz_yyyyyyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1433); 

                auto tg_yyyyzzz_yyyyyzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1434); 

                auto tg_yyyyzzz_yyyyzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1435); 

                auto tg_yyyyzzz_yyyzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1436); 

                auto tg_yyyyzzz_yyzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1437); 

                auto tg_yyyyzzz_yzzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1438); 

                auto tg_yyyyzzz_zzzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1439); 

                auto tg_yyyzzzz_xxxxxxxx_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1440); 

                auto tg_yyyzzzz_xxxxxxxy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1441); 

                auto tg_yyyzzzz_xxxxxxxz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1442); 

                auto tg_yyyzzzz_xxxxxxyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1443); 

                auto tg_yyyzzzz_xxxxxxyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1444); 

                auto tg_yyyzzzz_xxxxxxzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1445); 

                auto tg_yyyzzzz_xxxxxyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1446); 

                auto tg_yyyzzzz_xxxxxyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1447); 

                auto tg_yyyzzzz_xxxxxyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1448); 

                auto tg_yyyyyzz_xxxxxxyy_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1353); 

                auto tg_yyyyyzz_xxxxxxyz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1354); 

                auto tg_yyyyyzz_xxxxxxzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1355); 

                auto tg_yyyyyzz_xxxxxyyy_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1356); 

                auto tg_yyyyyzz_xxxxxyyz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1357); 

                auto tg_yyyyyzz_xxxxxyzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1358); 

                auto tg_yyyyyzz_xxxxxzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1359); 

                auto tg_yyyyyzz_xxxxyyyy_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1360); 

                auto tg_yyyyyzz_xxxxyyyz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1361); 

                auto tg_yyyyyzz_xxxxyyzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1362); 

                auto tg_yyyyyzz_xxxxyzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1363); 

                auto tg_yyyyyzz_xxxxzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1364); 

                auto tg_yyyyyzz_xxxyyyyy_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1365); 

                auto tg_yyyyyzz_xxxyyyyz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1366); 

                auto tg_yyyyyzz_xxxyyyzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1367); 

                auto tg_yyyyyzz_xxxyyzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1368); 

                auto tg_yyyyyzz_xxxyzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1369); 

                auto tg_yyyyyzz_xxxzzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1370); 

                auto tg_yyyyyzz_xxyyyyyy_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1371); 

                auto tg_yyyyyzz_xxyyyyyz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1372); 

                auto tg_yyyyyzz_xxyyyyzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1373); 

                auto tg_yyyyyzz_xxyyyzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1374); 

                auto tg_yyyyyzz_xxyyzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1375); 

                auto tg_yyyyyzz_xxyzzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1376); 

                auto tg_yyyyyzz_xxzzzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1377); 

                auto tg_yyyyyzz_xyyyyyyy_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1378); 

                auto tg_yyyyyzz_xyyyyyyz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1379); 

                auto tg_yyyyyzz_xyyyyyzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1380); 

                auto tg_yyyyyzz_xyyyyzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1381); 

                auto tg_yyyyyzz_xyyyzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1382); 

                auto tg_yyyyyzz_xyyzzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1383); 

                auto tg_yyyyyzz_xyzzzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1384); 

                auto tg_yyyyyzz_xzzzzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1385); 

                auto tg_yyyyyzz_yyyyyyyy_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1386); 

                auto tg_yyyyyzz_yyyyyyyz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1387); 

                auto tg_yyyyyzz_yyyyyyzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1388); 

                auto tg_yyyyyzz_yyyyyzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1389); 

                auto tg_yyyyyzz_yyyyzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1390); 

                auto tg_yyyyyzz_yyyzzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1391); 

                auto tg_yyyyyzz_yyzzzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1392); 

                auto tg_yyyyyzz_yzzzzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1393); 

                auto tg_yyyyyzz_zzzzzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1394); 

                auto tg_yyyyzzz_xxxxxxxx_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1395); 

                auto tg_yyyyzzz_xxxxxxxy_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1396); 

                auto tg_yyyyzzz_xxxxxxxz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1397); 

                auto tg_yyyyzzz_xxxxxxyy_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1398); 

                auto tg_yyyyzzz_xxxxxxyz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1399); 

                auto tg_yyyyzzz_xxxxxxzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1400); 

                auto tg_yyyyzzz_xxxxxyyy_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1401); 

                auto tg_yyyyzzz_xxxxxyyz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1402); 

                auto tg_yyyyzzz_xxxxxyzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1403); 

                auto tg_yyyyzzz_xxxxxzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1404); 

                auto tg_yyyyzzz_xxxxyyyy_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1405); 

                auto tg_yyyyzzz_xxxxyyyz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1406); 

                auto tg_yyyyzzz_xxxxyyzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1407); 

                auto tg_yyyyzzz_xxxxyzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1408); 

                auto tg_yyyyzzz_xxxxzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1409); 

                auto tg_yyyyzzz_xxxyyyyy_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1410); 

                auto tg_yyyyzzz_xxxyyyyz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1411); 

                auto tg_yyyyzzz_xxxyyyzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1412); 

                auto tg_yyyyzzz_xxxyyzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1413); 

                auto tg_yyyyzzz_xxxyzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1414); 

                auto tg_yyyyzzz_xxxzzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1415); 

                auto tg_yyyyzzz_xxyyyyyy_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1416); 

                auto tg_yyyyzzz_xxyyyyyz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1417); 

                auto tg_yyyyzzz_xxyyyyzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1418); 

                auto tg_yyyyzzz_xxyyyzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1419); 

                auto tg_yyyyzzz_xxyyzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1420); 

                auto tg_yyyyzzz_xxyzzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1421); 

                auto tg_yyyyzzz_xxzzzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1422); 

                auto tg_yyyyzzz_xyyyyyyy_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1423); 

                auto tg_yyyyzzz_xyyyyyyz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1424); 

                auto tg_yyyyzzz_xyyyyyzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1425); 

                auto tg_yyyyzzz_xyyyyzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1426); 

                auto tg_yyyyzzz_xyyyzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1427); 

                auto tg_yyyyzzz_xyyzzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1428); 

                auto tg_yyyyzzz_xyzzzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1429); 

                auto tg_yyyyzzz_xzzzzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1430); 

                auto tg_yyyyzzz_yyyyyyyy_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1431); 

                auto tg_yyyyzzz_yyyyyyyz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1432); 

                auto tg_yyyyzzz_yyyyyyzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1433); 

                auto tg_yyyyzzz_yyyyyzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1434); 

                auto tg_yyyyzzz_yyyyzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1435); 

                auto tg_yyyyzzz_yyyzzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1436); 

                auto tg_yyyyzzz_yyzzzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1437); 

                auto tg_yyyyzzz_yzzzzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1438); 

                auto tg_yyyyzzz_zzzzzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1439); 

                auto tg_yyyzzzz_xxxxxxxx_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1440); 

                auto tg_yyyzzzz_xxxxxxxy_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1441); 

                auto tg_yyyzzzz_xxxxxxxz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1442); 

                auto tg_yyyzzzz_xxxxxxyy_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1443); 

                auto tg_yyyzzzz_xxxxxxyz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1444); 

                auto tg_yyyzzzz_xxxxxxzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1445); 

                auto tg_yyyzzzz_xxxxxyyy_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1446); 

                auto tg_yyyzzzz_xxxxxyyz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1447); 

                auto tg_yyyzzzz_xxxxxyzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1448); 

                auto tg_yyyyyzz_xxxxxyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1083); 

                auto tg_yyyyyzz_xxxxxyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1084); 

                auto tg_yyyyyzz_xxxxxzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1085); 

                auto tg_yyyyyzz_xxxxyyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1086); 

                auto tg_yyyyyzz_xxxxyyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1087); 

                auto tg_yyyyyzz_xxxxyzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1088); 

                auto tg_yyyyyzz_xxxxzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1089); 

                auto tg_yyyyyzz_xxxyyyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1090); 

                auto tg_yyyyyzz_xxxyyyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1091); 

                auto tg_yyyyyzz_xxxyyzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1092); 

                auto tg_yyyyyzz_xxxyzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1093); 

                auto tg_yyyyyzz_xxxzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1094); 

                auto tg_yyyyyzz_xxyyyyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1095); 

                auto tg_yyyyyzz_xxyyyyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1096); 

                auto tg_yyyyyzz_xxyyyzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1097); 

                auto tg_yyyyyzz_xxyyzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1098); 

                auto tg_yyyyyzz_xxyzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1099); 

                auto tg_yyyyyzz_xxzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1100); 

                auto tg_yyyyyzz_xyyyyyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1101); 

                auto tg_yyyyyzz_xyyyyyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1102); 

                auto tg_yyyyyzz_xyyyyzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1103); 

                auto tg_yyyyyzz_xyyyzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1104); 

                auto tg_yyyyyzz_xyyzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1105); 

                auto tg_yyyyyzz_xyzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1106); 

                auto tg_yyyyyzz_xzzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1107); 

                auto tg_yyyyyzz_yyyyyyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1108); 

                auto tg_yyyyyzz_yyyyyyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1109); 

                auto tg_yyyyyzz_yyyyyzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1110); 

                auto tg_yyyyyzz_yyyyzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1111); 

                auto tg_yyyyyzz_yyyzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1112); 

                auto tg_yyyyyzz_yyzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1113); 

                auto tg_yyyyyzz_yzzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1114); 

                auto tg_yyyyyzz_zzzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1115); 

                auto tg_yyyyzzz_xxxxxxx_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1116); 

                auto tg_yyyyzzz_xxxxxxy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1117); 

                auto tg_yyyyzzz_xxxxxxz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1118); 

                auto tg_yyyyzzz_xxxxxyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1119); 

                auto tg_yyyyzzz_xxxxxyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1120); 

                auto tg_yyyyzzz_xxxxxzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1121); 

                auto tg_yyyyzzz_xxxxyyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1122); 

                auto tg_yyyyzzz_xxxxyyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1123); 

                auto tg_yyyyzzz_xxxxyzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1124); 

                auto tg_yyyyzzz_xxxxzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1125); 

                auto tg_yyyyzzz_xxxyyyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1126); 

                auto tg_yyyyzzz_xxxyyyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1127); 

                auto tg_yyyyzzz_xxxyyzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1128); 

                auto tg_yyyyzzz_xxxyzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1129); 

                auto tg_yyyyzzz_xxxzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1130); 

                auto tg_yyyyzzz_xxyyyyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1131); 

                auto tg_yyyyzzz_xxyyyyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1132); 

                auto tg_yyyyzzz_xxyyyzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1133); 

                auto tg_yyyyzzz_xxyyzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1134); 

                auto tg_yyyyzzz_xxyzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1135); 

                auto tg_yyyyzzz_xxzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1136); 

                auto tg_yyyyzzz_xyyyyyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1137); 

                auto tg_yyyyzzz_xyyyyyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1138); 

                auto tg_yyyyzzz_xyyyyzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1139); 

                auto tg_yyyyzzz_xyyyzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1140); 

                auto tg_yyyyzzz_xyyzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1141); 

                auto tg_yyyyzzz_xyzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1142); 

                auto tg_yyyyzzz_xzzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1143); 

                auto tg_yyyyzzz_yyyyyyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1144); 

                auto tg_yyyyzzz_yyyyyyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1145); 

                auto tg_yyyyzzz_yyyyyzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1146); 

                auto tg_yyyyzzz_yyyyzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1147); 

                auto tg_yyyyzzz_yyyzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1148); 

                auto tg_yyyyzzz_yyzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1149); 

                auto tg_yyyyzzz_yzzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1150); 

                auto tg_yyyyzzz_zzzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1151); 

                auto tg_yyyzzzz_xxxxxxx_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1152); 

                auto tg_yyyzzzz_xxxxxxy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1153); 

                auto tg_yyyzzzz_xxxxxxz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1154); 

                auto tg_yyyzzzz_xxxxxyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1155); 

                auto tg_yyyzzzz_xxxxxyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1156); 

                auto tg_yyyzzzz_xxxxxzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1157); 

                auto tg_yyyzzzz_xxxxyyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1158); 

                auto tg_yyyzzzz_xxxxyyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1159); 

                auto tg_yyyzzzz_xxxxyzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1160); 

                // set up pointers to integrals

                auto tg_xyyyyyzz_xxxxxxyy_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1353); 

                auto tg_xyyyyyzz_xxxxxxyz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1354); 

                auto tg_xyyyyyzz_xxxxxxzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1355); 

                auto tg_xyyyyyzz_xxxxxyyy_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1356); 

                auto tg_xyyyyyzz_xxxxxyyz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1357); 

                auto tg_xyyyyyzz_xxxxxyzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1358); 

                auto tg_xyyyyyzz_xxxxxzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1359); 

                auto tg_xyyyyyzz_xxxxyyyy_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1360); 

                auto tg_xyyyyyzz_xxxxyyyz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1361); 

                auto tg_xyyyyyzz_xxxxyyzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1362); 

                auto tg_xyyyyyzz_xxxxyzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1363); 

                auto tg_xyyyyyzz_xxxxzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1364); 

                auto tg_xyyyyyzz_xxxyyyyy_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1365); 

                auto tg_xyyyyyzz_xxxyyyyz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1366); 

                auto tg_xyyyyyzz_xxxyyyzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1367); 

                auto tg_xyyyyyzz_xxxyyzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1368); 

                auto tg_xyyyyyzz_xxxyzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1369); 

                auto tg_xyyyyyzz_xxxzzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1370); 

                auto tg_xyyyyyzz_xxyyyyyy_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1371); 

                auto tg_xyyyyyzz_xxyyyyyz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1372); 

                auto tg_xyyyyyzz_xxyyyyzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1373); 

                auto tg_xyyyyyzz_xxyyyzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1374); 

                auto tg_xyyyyyzz_xxyyzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1375); 

                auto tg_xyyyyyzz_xxyzzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1376); 

                auto tg_xyyyyyzz_xxzzzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1377); 

                auto tg_xyyyyyzz_xyyyyyyy_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1378); 

                auto tg_xyyyyyzz_xyyyyyyz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1379); 

                auto tg_xyyyyyzz_xyyyyyzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1380); 

                auto tg_xyyyyyzz_xyyyyzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1381); 

                auto tg_xyyyyyzz_xyyyzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1382); 

                auto tg_xyyyyyzz_xyyzzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1383); 

                auto tg_xyyyyyzz_xyzzzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1384); 

                auto tg_xyyyyyzz_xzzzzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1385); 

                auto tg_xyyyyyzz_yyyyyyyy_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1386); 

                auto tg_xyyyyyzz_yyyyyyyz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1387); 

                auto tg_xyyyyyzz_yyyyyyzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1388); 

                auto tg_xyyyyyzz_yyyyyzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1389); 

                auto tg_xyyyyyzz_yyyyzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1390); 

                auto tg_xyyyyyzz_yyyzzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1391); 

                auto tg_xyyyyyzz_yyzzzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1392); 

                auto tg_xyyyyyzz_yzzzzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1393); 

                auto tg_xyyyyyzz_zzzzzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1394); 

                auto tg_xyyyyzzz_xxxxxxxx_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1395); 

                auto tg_xyyyyzzz_xxxxxxxy_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1396); 

                auto tg_xyyyyzzz_xxxxxxxz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1397); 

                auto tg_xyyyyzzz_xxxxxxyy_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1398); 

                auto tg_xyyyyzzz_xxxxxxyz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1399); 

                auto tg_xyyyyzzz_xxxxxxzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1400); 

                auto tg_xyyyyzzz_xxxxxyyy_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1401); 

                auto tg_xyyyyzzz_xxxxxyyz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1402); 

                auto tg_xyyyyzzz_xxxxxyzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1403); 

                auto tg_xyyyyzzz_xxxxxzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1404); 

                auto tg_xyyyyzzz_xxxxyyyy_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1405); 

                auto tg_xyyyyzzz_xxxxyyyz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1406); 

                auto tg_xyyyyzzz_xxxxyyzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1407); 

                auto tg_xyyyyzzz_xxxxyzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1408); 

                auto tg_xyyyyzzz_xxxxzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1409); 

                auto tg_xyyyyzzz_xxxyyyyy_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1410); 

                auto tg_xyyyyzzz_xxxyyyyz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1411); 

                auto tg_xyyyyzzz_xxxyyyzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1412); 

                auto tg_xyyyyzzz_xxxyyzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1413); 

                auto tg_xyyyyzzz_xxxyzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1414); 

                auto tg_xyyyyzzz_xxxzzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1415); 

                auto tg_xyyyyzzz_xxyyyyyy_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1416); 

                auto tg_xyyyyzzz_xxyyyyyz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1417); 

                auto tg_xyyyyzzz_xxyyyyzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1418); 

                auto tg_xyyyyzzz_xxyyyzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1419); 

                auto tg_xyyyyzzz_xxyyzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1420); 

                auto tg_xyyyyzzz_xxyzzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1421); 

                auto tg_xyyyyzzz_xxzzzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1422); 

                auto tg_xyyyyzzz_xyyyyyyy_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1423); 

                auto tg_xyyyyzzz_xyyyyyyz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1424); 

                auto tg_xyyyyzzz_xyyyyyzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1425); 

                auto tg_xyyyyzzz_xyyyyzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1426); 

                auto tg_xyyyyzzz_xyyyzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1427); 

                auto tg_xyyyyzzz_xyyzzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1428); 

                auto tg_xyyyyzzz_xyzzzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1429); 

                auto tg_xyyyyzzz_xzzzzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1430); 

                auto tg_xyyyyzzz_yyyyyyyy_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1431); 

                auto tg_xyyyyzzz_yyyyyyyz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1432); 

                auto tg_xyyyyzzz_yyyyyyzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1433); 

                auto tg_xyyyyzzz_yyyyyzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1434); 

                auto tg_xyyyyzzz_yyyyzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1435); 

                auto tg_xyyyyzzz_yyyzzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1436); 

                auto tg_xyyyyzzz_yyzzzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1437); 

                auto tg_xyyyyzzz_yzzzzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1438); 

                auto tg_xyyyyzzz_zzzzzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1439); 

                auto tg_xyyyzzzz_xxxxxxxx_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1440); 

                auto tg_xyyyzzzz_xxxxxxxy_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1441); 

                auto tg_xyyyzzzz_xxxxxxxz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1442); 

                auto tg_xyyyzzzz_xxxxxxyy_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1443); 

                auto tg_xyyyzzzz_xxxxxxyz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1444); 

                auto tg_xyyyzzzz_xxxxxxzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1445); 

                auto tg_xyyyzzzz_xxxxxyyy_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1446); 

                auto tg_xyyyzzzz_xxxxxyyz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1447); 

                auto tg_xyyyzzzz_xxxxxyzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1448); 

                // Batch of Integrals (1353,1449)

                #pragma omp simd aligned(fxn, tg_xyyyyyzz_xxxxxxyy_0, tg_xyyyyyzz_xxxxxxyz_0, \
                                         tg_xyyyyyzz_xxxxxxzz_0, tg_xyyyyyzz_xxxxxyyy_0, tg_xyyyyyzz_xxxxxyyz_0, \
                                         tg_xyyyyyzz_xxxxxyzz_0, tg_xyyyyyzz_xxxxxzzz_0, tg_xyyyyyzz_xxxxyyyy_0, \
                                         tg_xyyyyyzz_xxxxyyyz_0, tg_xyyyyyzz_xxxxyyzz_0, tg_xyyyyyzz_xxxxyzzz_0, \
                                         tg_xyyyyyzz_xxxxzzzz_0, tg_xyyyyyzz_xxxyyyyy_0, tg_xyyyyyzz_xxxyyyyz_0, \
                                         tg_xyyyyyzz_xxxyyyzz_0, tg_xyyyyyzz_xxxyyzzz_0, tg_xyyyyyzz_xxxyzzzz_0, \
                                         tg_xyyyyyzz_xxxzzzzz_0, tg_xyyyyyzz_xxyyyyyy_0, tg_xyyyyyzz_xxyyyyyz_0, \
                                         tg_xyyyyyzz_xxyyyyzz_0, tg_xyyyyyzz_xxyyyzzz_0, tg_xyyyyyzz_xxyyzzzz_0, \
                                         tg_xyyyyyzz_xxyzzzzz_0, tg_xyyyyyzz_xxzzzzzz_0, tg_xyyyyyzz_xyyyyyyy_0, \
                                         tg_xyyyyyzz_xyyyyyyz_0, tg_xyyyyyzz_xyyyyyzz_0, tg_xyyyyyzz_xyyyyzzz_0, \
                                         tg_xyyyyyzz_xyyyzzzz_0, tg_xyyyyyzz_xyyzzzzz_0, tg_xyyyyyzz_xyzzzzzz_0, \
                                         tg_xyyyyyzz_xzzzzzzz_0, tg_xyyyyyzz_yyyyyyyy_0, tg_xyyyyyzz_yyyyyyyz_0, \
                                         tg_xyyyyyzz_yyyyyyzz_0, tg_xyyyyyzz_yyyyyzzz_0, tg_xyyyyyzz_yyyyzzzz_0, \
                                         tg_xyyyyyzz_yyyzzzzz_0, tg_xyyyyyzz_yyzzzzzz_0, tg_xyyyyyzz_yzzzzzzz_0, \
                                         tg_xyyyyyzz_zzzzzzzz_0, tg_xyyyyzzz_xxxxxxxx_0, tg_xyyyyzzz_xxxxxxxy_0, \
                                         tg_xyyyyzzz_xxxxxxxz_0, tg_xyyyyzzz_xxxxxxyy_0, tg_xyyyyzzz_xxxxxxyz_0, \
                                         tg_xyyyyzzz_xxxxxxzz_0, tg_xyyyyzzz_xxxxxyyy_0, tg_xyyyyzzz_xxxxxyyz_0, \
                                         tg_xyyyyzzz_xxxxxyzz_0, tg_xyyyyzzz_xxxxxzzz_0, tg_xyyyyzzz_xxxxyyyy_0, \
                                         tg_xyyyyzzz_xxxxyyyz_0, tg_xyyyyzzz_xxxxyyzz_0, tg_xyyyyzzz_xxxxyzzz_0, \
                                         tg_xyyyyzzz_xxxxzzzz_0, tg_xyyyyzzz_xxxyyyyy_0, tg_xyyyyzzz_xxxyyyyz_0, \
                                         tg_xyyyyzzz_xxxyyyzz_0, tg_xyyyyzzz_xxxyyzzz_0, tg_xyyyyzzz_xxxyzzzz_0, \
                                         tg_xyyyyzzz_xxxzzzzz_0, tg_xyyyyzzz_xxyyyyyy_0, tg_xyyyyzzz_xxyyyyyz_0, \
                                         tg_xyyyyzzz_xxyyyyzz_0, tg_xyyyyzzz_xxyyyzzz_0, tg_xyyyyzzz_xxyyzzzz_0, \
                                         tg_xyyyyzzz_xxyzzzzz_0, tg_xyyyyzzz_xxzzzzzz_0, tg_xyyyyzzz_xyyyyyyy_0, \
                                         tg_xyyyyzzz_xyyyyyyz_0, tg_xyyyyzzz_xyyyyyzz_0, tg_xyyyyzzz_xyyyyzzz_0, \
                                         tg_xyyyyzzz_xyyyzzzz_0, tg_xyyyyzzz_xyyzzzzz_0, tg_xyyyyzzz_xyzzzzzz_0, \
                                         tg_xyyyyzzz_xzzzzzzz_0, tg_xyyyyzzz_yyyyyyyy_0, tg_xyyyyzzz_yyyyyyyz_0, \
                                         tg_xyyyyzzz_yyyyyyzz_0, tg_xyyyyzzz_yyyyyzzz_0, tg_xyyyyzzz_yyyyzzzz_0, \
                                         tg_xyyyyzzz_yyyzzzzz_0, tg_xyyyyzzz_yyzzzzzz_0, tg_xyyyyzzz_yzzzzzzz_0, \
                                         tg_xyyyyzzz_zzzzzzzz_0, tg_xyyyzzzz_xxxxxxxx_0, tg_xyyyzzzz_xxxxxxxy_0, \
                                         tg_xyyyzzzz_xxxxxxxz_0, tg_xyyyzzzz_xxxxxxyy_0, tg_xyyyzzzz_xxxxxxyz_0, \
                                         tg_xyyyzzzz_xxxxxxzz_0, tg_xyyyzzzz_xxxxxyyy_0, tg_xyyyzzzz_xxxxxyyz_0, \
                                         tg_xyyyzzzz_xxxxxyzz_0, tg_yyyyyzz_xxxxxxyy_0, tg_yyyyyzz_xxxxxxyy_1, \
                                         tg_yyyyyzz_xxxxxxyz_0, tg_yyyyyzz_xxxxxxyz_1, tg_yyyyyzz_xxxxxxzz_0, \
                                         tg_yyyyyzz_xxxxxxzz_1, tg_yyyyyzz_xxxxxyy_1, tg_yyyyyzz_xxxxxyyy_0, \
                                         tg_yyyyyzz_xxxxxyyy_1, tg_yyyyyzz_xxxxxyyz_0, tg_yyyyyzz_xxxxxyyz_1, \
                                         tg_yyyyyzz_xxxxxyz_1, tg_yyyyyzz_xxxxxyzz_0, tg_yyyyyzz_xxxxxyzz_1, \
                                         tg_yyyyyzz_xxxxxzz_1, tg_yyyyyzz_xxxxxzzz_0, tg_yyyyyzz_xxxxxzzz_1, \
                                         tg_yyyyyzz_xxxxyyy_1, tg_yyyyyzz_xxxxyyyy_0, tg_yyyyyzz_xxxxyyyy_1, \
                                         tg_yyyyyzz_xxxxyyyz_0, tg_yyyyyzz_xxxxyyyz_1, tg_yyyyyzz_xxxxyyz_1, \
                                         tg_yyyyyzz_xxxxyyzz_0, tg_yyyyyzz_xxxxyyzz_1, tg_yyyyyzz_xxxxyzz_1, \
                                         tg_yyyyyzz_xxxxyzzz_0, tg_yyyyyzz_xxxxyzzz_1, tg_yyyyyzz_xxxxzzz_1, \
                                         tg_yyyyyzz_xxxxzzzz_0, tg_yyyyyzz_xxxxzzzz_1, tg_yyyyyzz_xxxyyyy_1, \
                                         tg_yyyyyzz_xxxyyyyy_0, tg_yyyyyzz_xxxyyyyy_1, tg_yyyyyzz_xxxyyyyz_0, \
                                         tg_yyyyyzz_xxxyyyyz_1, tg_yyyyyzz_xxxyyyz_1, tg_yyyyyzz_xxxyyyzz_0, \
                                         tg_yyyyyzz_xxxyyyzz_1, tg_yyyyyzz_xxxyyzz_1, tg_yyyyyzz_xxxyyzzz_0, \
                                         tg_yyyyyzz_xxxyyzzz_1, tg_yyyyyzz_xxxyzzz_1, tg_yyyyyzz_xxxyzzzz_0, \
                                         tg_yyyyyzz_xxxyzzzz_1, tg_yyyyyzz_xxxzzzz_1, tg_yyyyyzz_xxxzzzzz_0, \
                                         tg_yyyyyzz_xxxzzzzz_1, tg_yyyyyzz_xxyyyyy_1, tg_yyyyyzz_xxyyyyyy_0, \
                                         tg_yyyyyzz_xxyyyyyy_1, tg_yyyyyzz_xxyyyyyz_0, tg_yyyyyzz_xxyyyyyz_1, \
                                         tg_yyyyyzz_xxyyyyz_1, tg_yyyyyzz_xxyyyyzz_0, tg_yyyyyzz_xxyyyyzz_1, \
                                         tg_yyyyyzz_xxyyyzz_1, tg_yyyyyzz_xxyyyzzz_0, tg_yyyyyzz_xxyyyzzz_1, \
                                         tg_yyyyyzz_xxyyzzz_1, tg_yyyyyzz_xxyyzzzz_0, tg_yyyyyzz_xxyyzzzz_1, \
                                         tg_yyyyyzz_xxyzzzz_1, tg_yyyyyzz_xxyzzzzz_0, tg_yyyyyzz_xxyzzzzz_1, \
                                         tg_yyyyyzz_xxzzzzz_1, tg_yyyyyzz_xxzzzzzz_0, tg_yyyyyzz_xxzzzzzz_1, \
                                         tg_yyyyyzz_xyyyyyy_1, tg_yyyyyzz_xyyyyyyy_0, tg_yyyyyzz_xyyyyyyy_1, \
                                         tg_yyyyyzz_xyyyyyyz_0, tg_yyyyyzz_xyyyyyyz_1, tg_yyyyyzz_xyyyyyz_1, \
                                         tg_yyyyyzz_xyyyyyzz_0, tg_yyyyyzz_xyyyyyzz_1, tg_yyyyyzz_xyyyyzz_1, \
                                         tg_yyyyyzz_xyyyyzzz_0, tg_yyyyyzz_xyyyyzzz_1, tg_yyyyyzz_xyyyzzz_1, \
                                         tg_yyyyyzz_xyyyzzzz_0, tg_yyyyyzz_xyyyzzzz_1, tg_yyyyyzz_xyyzzzz_1, \
                                         tg_yyyyyzz_xyyzzzzz_0, tg_yyyyyzz_xyyzzzzz_1, tg_yyyyyzz_xyzzzzz_1, \
                                         tg_yyyyyzz_xyzzzzzz_0, tg_yyyyyzz_xyzzzzzz_1, tg_yyyyyzz_xzzzzzz_1, \
                                         tg_yyyyyzz_xzzzzzzz_0, tg_yyyyyzz_xzzzzzzz_1, tg_yyyyyzz_yyyyyyy_1, \
                                         tg_yyyyyzz_yyyyyyyy_0, tg_yyyyyzz_yyyyyyyy_1, tg_yyyyyzz_yyyyyyyz_0, \
                                         tg_yyyyyzz_yyyyyyyz_1, tg_yyyyyzz_yyyyyyz_1, tg_yyyyyzz_yyyyyyzz_0, \
                                         tg_yyyyyzz_yyyyyyzz_1, tg_yyyyyzz_yyyyyzz_1, tg_yyyyyzz_yyyyyzzz_0, \
                                         tg_yyyyyzz_yyyyyzzz_1, tg_yyyyyzz_yyyyzzz_1, tg_yyyyyzz_yyyyzzzz_0, \
                                         tg_yyyyyzz_yyyyzzzz_1, tg_yyyyyzz_yyyzzzz_1, tg_yyyyyzz_yyyzzzzz_0, \
                                         tg_yyyyyzz_yyyzzzzz_1, tg_yyyyyzz_yyzzzzz_1, tg_yyyyyzz_yyzzzzzz_0, \
                                         tg_yyyyyzz_yyzzzzzz_1, tg_yyyyyzz_yzzzzzz_1, tg_yyyyyzz_yzzzzzzz_0, \
                                         tg_yyyyyzz_yzzzzzzz_1, tg_yyyyyzz_zzzzzzz_1, tg_yyyyyzz_zzzzzzzz_0, \
                                         tg_yyyyyzz_zzzzzzzz_1, tg_yyyyzzz_xxxxxxx_1, tg_yyyyzzz_xxxxxxxx_0, \
                                         tg_yyyyzzz_xxxxxxxx_1, tg_yyyyzzz_xxxxxxxy_0, tg_yyyyzzz_xxxxxxxy_1, \
                                         tg_yyyyzzz_xxxxxxxz_0, tg_yyyyzzz_xxxxxxxz_1, tg_yyyyzzz_xxxxxxy_1, \
                                         tg_yyyyzzz_xxxxxxyy_0, tg_yyyyzzz_xxxxxxyy_1, tg_yyyyzzz_xxxxxxyz_0, \
                                         tg_yyyyzzz_xxxxxxyz_1, tg_yyyyzzz_xxxxxxz_1, tg_yyyyzzz_xxxxxxzz_0, \
                                         tg_yyyyzzz_xxxxxxzz_1, tg_yyyyzzz_xxxxxyy_1, tg_yyyyzzz_xxxxxyyy_0, \
                                         tg_yyyyzzz_xxxxxyyy_1, tg_yyyyzzz_xxxxxyyz_0, tg_yyyyzzz_xxxxxyyz_1, \
                                         tg_yyyyzzz_xxxxxyz_1, tg_yyyyzzz_xxxxxyzz_0, tg_yyyyzzz_xxxxxyzz_1, \
                                         tg_yyyyzzz_xxxxxzz_1, tg_yyyyzzz_xxxxxzzz_0, tg_yyyyzzz_xxxxxzzz_1, \
                                         tg_yyyyzzz_xxxxyyy_1, tg_yyyyzzz_xxxxyyyy_0, tg_yyyyzzz_xxxxyyyy_1, \
                                         tg_yyyyzzz_xxxxyyyz_0, tg_yyyyzzz_xxxxyyyz_1, tg_yyyyzzz_xxxxyyz_1, \
                                         tg_yyyyzzz_xxxxyyzz_0, tg_yyyyzzz_xxxxyyzz_1, tg_yyyyzzz_xxxxyzz_1, \
                                         tg_yyyyzzz_xxxxyzzz_0, tg_yyyyzzz_xxxxyzzz_1, tg_yyyyzzz_xxxxzzz_1, \
                                         tg_yyyyzzz_xxxxzzzz_0, tg_yyyyzzz_xxxxzzzz_1, tg_yyyyzzz_xxxyyyy_1, \
                                         tg_yyyyzzz_xxxyyyyy_0, tg_yyyyzzz_xxxyyyyy_1, tg_yyyyzzz_xxxyyyyz_0, \
                                         tg_yyyyzzz_xxxyyyyz_1, tg_yyyyzzz_xxxyyyz_1, tg_yyyyzzz_xxxyyyzz_0, \
                                         tg_yyyyzzz_xxxyyyzz_1, tg_yyyyzzz_xxxyyzz_1, tg_yyyyzzz_xxxyyzzz_0, \
                                         tg_yyyyzzz_xxxyyzzz_1, tg_yyyyzzz_xxxyzzz_1, tg_yyyyzzz_xxxyzzzz_0, \
                                         tg_yyyyzzz_xxxyzzzz_1, tg_yyyyzzz_xxxzzzz_1, tg_yyyyzzz_xxxzzzzz_0, \
                                         tg_yyyyzzz_xxxzzzzz_1, tg_yyyyzzz_xxyyyyy_1, tg_yyyyzzz_xxyyyyyy_0, \
                                         tg_yyyyzzz_xxyyyyyy_1, tg_yyyyzzz_xxyyyyyz_0, tg_yyyyzzz_xxyyyyyz_1, \
                                         tg_yyyyzzz_xxyyyyz_1, tg_yyyyzzz_xxyyyyzz_0, tg_yyyyzzz_xxyyyyzz_1, \
                                         tg_yyyyzzz_xxyyyzz_1, tg_yyyyzzz_xxyyyzzz_0, tg_yyyyzzz_xxyyyzzz_1, \
                                         tg_yyyyzzz_xxyyzzz_1, tg_yyyyzzz_xxyyzzzz_0, tg_yyyyzzz_xxyyzzzz_1, \
                                         tg_yyyyzzz_xxyzzzz_1, tg_yyyyzzz_xxyzzzzz_0, tg_yyyyzzz_xxyzzzzz_1, \
                                         tg_yyyyzzz_xxzzzzz_1, tg_yyyyzzz_xxzzzzzz_0, tg_yyyyzzz_xxzzzzzz_1, \
                                         tg_yyyyzzz_xyyyyyy_1, tg_yyyyzzz_xyyyyyyy_0, tg_yyyyzzz_xyyyyyyy_1, \
                                         tg_yyyyzzz_xyyyyyyz_0, tg_yyyyzzz_xyyyyyyz_1, tg_yyyyzzz_xyyyyyz_1, \
                                         tg_yyyyzzz_xyyyyyzz_0, tg_yyyyzzz_xyyyyyzz_1, tg_yyyyzzz_xyyyyzz_1, \
                                         tg_yyyyzzz_xyyyyzzz_0, tg_yyyyzzz_xyyyyzzz_1, tg_yyyyzzz_xyyyzzz_1, \
                                         tg_yyyyzzz_xyyyzzzz_0, tg_yyyyzzz_xyyyzzzz_1, tg_yyyyzzz_xyyzzzz_1, \
                                         tg_yyyyzzz_xyyzzzzz_0, tg_yyyyzzz_xyyzzzzz_1, tg_yyyyzzz_xyzzzzz_1, \
                                         tg_yyyyzzz_xyzzzzzz_0, tg_yyyyzzz_xyzzzzzz_1, tg_yyyyzzz_xzzzzzz_1, \
                                         tg_yyyyzzz_xzzzzzzz_0, tg_yyyyzzz_xzzzzzzz_1, tg_yyyyzzz_yyyyyyy_1, \
                                         tg_yyyyzzz_yyyyyyyy_0, tg_yyyyzzz_yyyyyyyy_1, tg_yyyyzzz_yyyyyyyz_0, \
                                         tg_yyyyzzz_yyyyyyyz_1, tg_yyyyzzz_yyyyyyz_1, tg_yyyyzzz_yyyyyyzz_0, \
                                         tg_yyyyzzz_yyyyyyzz_1, tg_yyyyzzz_yyyyyzz_1, tg_yyyyzzz_yyyyyzzz_0, \
                                         tg_yyyyzzz_yyyyyzzz_1, tg_yyyyzzz_yyyyzzz_1, tg_yyyyzzz_yyyyzzzz_0, \
                                         tg_yyyyzzz_yyyyzzzz_1, tg_yyyyzzz_yyyzzzz_1, tg_yyyyzzz_yyyzzzzz_0, \
                                         tg_yyyyzzz_yyyzzzzz_1, tg_yyyyzzz_yyzzzzz_1, tg_yyyyzzz_yyzzzzzz_0, \
                                         tg_yyyyzzz_yyzzzzzz_1, tg_yyyyzzz_yzzzzzz_1, tg_yyyyzzz_yzzzzzzz_0, \
                                         tg_yyyyzzz_yzzzzzzz_1, tg_yyyyzzz_zzzzzzz_1, tg_yyyyzzz_zzzzzzzz_0, \
                                         tg_yyyyzzz_zzzzzzzz_1, tg_yyyzzzz_xxxxxxx_1, tg_yyyzzzz_xxxxxxxx_0, \
                                         tg_yyyzzzz_xxxxxxxx_1, tg_yyyzzzz_xxxxxxxy_0, tg_yyyzzzz_xxxxxxxy_1, \
                                         tg_yyyzzzz_xxxxxxxz_0, tg_yyyzzzz_xxxxxxxz_1, tg_yyyzzzz_xxxxxxy_1, \
                                         tg_yyyzzzz_xxxxxxyy_0, tg_yyyzzzz_xxxxxxyy_1, tg_yyyzzzz_xxxxxxyz_0, \
                                         tg_yyyzzzz_xxxxxxyz_1, tg_yyyzzzz_xxxxxxz_1, tg_yyyzzzz_xxxxxxzz_0, \
                                         tg_yyyzzzz_xxxxxxzz_1, tg_yyyzzzz_xxxxxyy_1, tg_yyyzzzz_xxxxxyyy_0, \
                                         tg_yyyzzzz_xxxxxyyy_1, tg_yyyzzzz_xxxxxyyz_0, tg_yyyzzzz_xxxxxyyz_1, \
                                         tg_yyyzzzz_xxxxxyz_1, tg_yyyzzzz_xxxxxyzz_0, tg_yyyzzzz_xxxxxyzz_1, \
                                         tg_yyyzzzz_xxxxxzz_1, tg_yyyzzzz_xxxxyyy_1, tg_yyyzzzz_xxxxyyz_1, tg_yyyzzzz_xxxxyzz_1, \
                                         wp_x: VLX_ALIGN)
                for (int32_t j = 0; j < nKetPrimPairs; j++)
                {
                    double fl1_fxn = fxn[j];

                    double fr = wp_x[j]; 

                    tg_xyyyyyzz_xxxxxxyy_0[j] = pb_x * tg_yyyyyzz_xxxxxxyy_0[j] + fr * tg_yyyyyzz_xxxxxxyy_1[j] + 3.0 * fl1_fxn * tg_yyyyyzz_xxxxxyy_1[j];

                    tg_xyyyyyzz_xxxxxxyz_0[j] = pb_x * tg_yyyyyzz_xxxxxxyz_0[j] + fr * tg_yyyyyzz_xxxxxxyz_1[j] + 3.0 * fl1_fxn * tg_yyyyyzz_xxxxxyz_1[j];

                    tg_xyyyyyzz_xxxxxxzz_0[j] = pb_x * tg_yyyyyzz_xxxxxxzz_0[j] + fr * tg_yyyyyzz_xxxxxxzz_1[j] + 3.0 * fl1_fxn * tg_yyyyyzz_xxxxxzz_1[j];

                    tg_xyyyyyzz_xxxxxyyy_0[j] = pb_x * tg_yyyyyzz_xxxxxyyy_0[j] + fr * tg_yyyyyzz_xxxxxyyy_1[j] + 2.5 * fl1_fxn * tg_yyyyyzz_xxxxyyy_1[j];

                    tg_xyyyyyzz_xxxxxyyz_0[j] = pb_x * tg_yyyyyzz_xxxxxyyz_0[j] + fr * tg_yyyyyzz_xxxxxyyz_1[j] + 2.5 * fl1_fxn * tg_yyyyyzz_xxxxyyz_1[j];

                    tg_xyyyyyzz_xxxxxyzz_0[j] = pb_x * tg_yyyyyzz_xxxxxyzz_0[j] + fr * tg_yyyyyzz_xxxxxyzz_1[j] + 2.5 * fl1_fxn * tg_yyyyyzz_xxxxyzz_1[j];

                    tg_xyyyyyzz_xxxxxzzz_0[j] = pb_x * tg_yyyyyzz_xxxxxzzz_0[j] + fr * tg_yyyyyzz_xxxxxzzz_1[j] + 2.5 * fl1_fxn * tg_yyyyyzz_xxxxzzz_1[j];

                    tg_xyyyyyzz_xxxxyyyy_0[j] = pb_x * tg_yyyyyzz_xxxxyyyy_0[j] + fr * tg_yyyyyzz_xxxxyyyy_1[j] + 2.0 * fl1_fxn * tg_yyyyyzz_xxxyyyy_1[j];

                    tg_xyyyyyzz_xxxxyyyz_0[j] = pb_x * tg_yyyyyzz_xxxxyyyz_0[j] + fr * tg_yyyyyzz_xxxxyyyz_1[j] + 2.0 * fl1_fxn * tg_yyyyyzz_xxxyyyz_1[j];

                    tg_xyyyyyzz_xxxxyyzz_0[j] = pb_x * tg_yyyyyzz_xxxxyyzz_0[j] + fr * tg_yyyyyzz_xxxxyyzz_1[j] + 2.0 * fl1_fxn * tg_yyyyyzz_xxxyyzz_1[j];

                    tg_xyyyyyzz_xxxxyzzz_0[j] = pb_x * tg_yyyyyzz_xxxxyzzz_0[j] + fr * tg_yyyyyzz_xxxxyzzz_1[j] + 2.0 * fl1_fxn * tg_yyyyyzz_xxxyzzz_1[j];

                    tg_xyyyyyzz_xxxxzzzz_0[j] = pb_x * tg_yyyyyzz_xxxxzzzz_0[j] + fr * tg_yyyyyzz_xxxxzzzz_1[j] + 2.0 * fl1_fxn * tg_yyyyyzz_xxxzzzz_1[j];

                    tg_xyyyyyzz_xxxyyyyy_0[j] = pb_x * tg_yyyyyzz_xxxyyyyy_0[j] + fr * tg_yyyyyzz_xxxyyyyy_1[j] + 1.5 * fl1_fxn * tg_yyyyyzz_xxyyyyy_1[j];

                    tg_xyyyyyzz_xxxyyyyz_0[j] = pb_x * tg_yyyyyzz_xxxyyyyz_0[j] + fr * tg_yyyyyzz_xxxyyyyz_1[j] + 1.5 * fl1_fxn * tg_yyyyyzz_xxyyyyz_1[j];

                    tg_xyyyyyzz_xxxyyyzz_0[j] = pb_x * tg_yyyyyzz_xxxyyyzz_0[j] + fr * tg_yyyyyzz_xxxyyyzz_1[j] + 1.5 * fl1_fxn * tg_yyyyyzz_xxyyyzz_1[j];

                    tg_xyyyyyzz_xxxyyzzz_0[j] = pb_x * tg_yyyyyzz_xxxyyzzz_0[j] + fr * tg_yyyyyzz_xxxyyzzz_1[j] + 1.5 * fl1_fxn * tg_yyyyyzz_xxyyzzz_1[j];

                    tg_xyyyyyzz_xxxyzzzz_0[j] = pb_x * tg_yyyyyzz_xxxyzzzz_0[j] + fr * tg_yyyyyzz_xxxyzzzz_1[j] + 1.5 * fl1_fxn * tg_yyyyyzz_xxyzzzz_1[j];

                    tg_xyyyyyzz_xxxzzzzz_0[j] = pb_x * tg_yyyyyzz_xxxzzzzz_0[j] + fr * tg_yyyyyzz_xxxzzzzz_1[j] + 1.5 * fl1_fxn * tg_yyyyyzz_xxzzzzz_1[j];

                    tg_xyyyyyzz_xxyyyyyy_0[j] = pb_x * tg_yyyyyzz_xxyyyyyy_0[j] + fr * tg_yyyyyzz_xxyyyyyy_1[j] + fl1_fxn * tg_yyyyyzz_xyyyyyy_1[j];

                    tg_xyyyyyzz_xxyyyyyz_0[j] = pb_x * tg_yyyyyzz_xxyyyyyz_0[j] + fr * tg_yyyyyzz_xxyyyyyz_1[j] + fl1_fxn * tg_yyyyyzz_xyyyyyz_1[j];

                    tg_xyyyyyzz_xxyyyyzz_0[j] = pb_x * tg_yyyyyzz_xxyyyyzz_0[j] + fr * tg_yyyyyzz_xxyyyyzz_1[j] + fl1_fxn * tg_yyyyyzz_xyyyyzz_1[j];

                    tg_xyyyyyzz_xxyyyzzz_0[j] = pb_x * tg_yyyyyzz_xxyyyzzz_0[j] + fr * tg_yyyyyzz_xxyyyzzz_1[j] + fl1_fxn * tg_yyyyyzz_xyyyzzz_1[j];

                    tg_xyyyyyzz_xxyyzzzz_0[j] = pb_x * tg_yyyyyzz_xxyyzzzz_0[j] + fr * tg_yyyyyzz_xxyyzzzz_1[j] + fl1_fxn * tg_yyyyyzz_xyyzzzz_1[j];

                    tg_xyyyyyzz_xxyzzzzz_0[j] = pb_x * tg_yyyyyzz_xxyzzzzz_0[j] + fr * tg_yyyyyzz_xxyzzzzz_1[j] + fl1_fxn * tg_yyyyyzz_xyzzzzz_1[j];

                    tg_xyyyyyzz_xxzzzzzz_0[j] = pb_x * tg_yyyyyzz_xxzzzzzz_0[j] + fr * tg_yyyyyzz_xxzzzzzz_1[j] + fl1_fxn * tg_yyyyyzz_xzzzzzz_1[j];

                    tg_xyyyyyzz_xyyyyyyy_0[j] = pb_x * tg_yyyyyzz_xyyyyyyy_0[j] + fr * tg_yyyyyzz_xyyyyyyy_1[j] + 0.5 * fl1_fxn * tg_yyyyyzz_yyyyyyy_1[j];

                    tg_xyyyyyzz_xyyyyyyz_0[j] = pb_x * tg_yyyyyzz_xyyyyyyz_0[j] + fr * tg_yyyyyzz_xyyyyyyz_1[j] + 0.5 * fl1_fxn * tg_yyyyyzz_yyyyyyz_1[j];

                    tg_xyyyyyzz_xyyyyyzz_0[j] = pb_x * tg_yyyyyzz_xyyyyyzz_0[j] + fr * tg_yyyyyzz_xyyyyyzz_1[j] + 0.5 * fl1_fxn * tg_yyyyyzz_yyyyyzz_1[j];

                    tg_xyyyyyzz_xyyyyzzz_0[j] = pb_x * tg_yyyyyzz_xyyyyzzz_0[j] + fr * tg_yyyyyzz_xyyyyzzz_1[j] + 0.5 * fl1_fxn * tg_yyyyyzz_yyyyzzz_1[j];

                    tg_xyyyyyzz_xyyyzzzz_0[j] = pb_x * tg_yyyyyzz_xyyyzzzz_0[j] + fr * tg_yyyyyzz_xyyyzzzz_1[j] + 0.5 * fl1_fxn * tg_yyyyyzz_yyyzzzz_1[j];

                    tg_xyyyyyzz_xyyzzzzz_0[j] = pb_x * tg_yyyyyzz_xyyzzzzz_0[j] + fr * tg_yyyyyzz_xyyzzzzz_1[j] + 0.5 * fl1_fxn * tg_yyyyyzz_yyzzzzz_1[j];

                    tg_xyyyyyzz_xyzzzzzz_0[j] = pb_x * tg_yyyyyzz_xyzzzzzz_0[j] + fr * tg_yyyyyzz_xyzzzzzz_1[j] + 0.5 * fl1_fxn * tg_yyyyyzz_yzzzzzz_1[j];

                    tg_xyyyyyzz_xzzzzzzz_0[j] = pb_x * tg_yyyyyzz_xzzzzzzz_0[j] + fr * tg_yyyyyzz_xzzzzzzz_1[j] + 0.5 * fl1_fxn * tg_yyyyyzz_zzzzzzz_1[j];

                    tg_xyyyyyzz_yyyyyyyy_0[j] = pb_x * tg_yyyyyzz_yyyyyyyy_0[j] + fr * tg_yyyyyzz_yyyyyyyy_1[j];

                    tg_xyyyyyzz_yyyyyyyz_0[j] = pb_x * tg_yyyyyzz_yyyyyyyz_0[j] + fr * tg_yyyyyzz_yyyyyyyz_1[j];

                    tg_xyyyyyzz_yyyyyyzz_0[j] = pb_x * tg_yyyyyzz_yyyyyyzz_0[j] + fr * tg_yyyyyzz_yyyyyyzz_1[j];

                    tg_xyyyyyzz_yyyyyzzz_0[j] = pb_x * tg_yyyyyzz_yyyyyzzz_0[j] + fr * tg_yyyyyzz_yyyyyzzz_1[j];

                    tg_xyyyyyzz_yyyyzzzz_0[j] = pb_x * tg_yyyyyzz_yyyyzzzz_0[j] + fr * tg_yyyyyzz_yyyyzzzz_1[j];

                    tg_xyyyyyzz_yyyzzzzz_0[j] = pb_x * tg_yyyyyzz_yyyzzzzz_0[j] + fr * tg_yyyyyzz_yyyzzzzz_1[j];

                    tg_xyyyyyzz_yyzzzzzz_0[j] = pb_x * tg_yyyyyzz_yyzzzzzz_0[j] + fr * tg_yyyyyzz_yyzzzzzz_1[j];

                    tg_xyyyyyzz_yzzzzzzz_0[j] = pb_x * tg_yyyyyzz_yzzzzzzz_0[j] + fr * tg_yyyyyzz_yzzzzzzz_1[j];

                    tg_xyyyyyzz_zzzzzzzz_0[j] = pb_x * tg_yyyyyzz_zzzzzzzz_0[j] + fr * tg_yyyyyzz_zzzzzzzz_1[j];

                    tg_xyyyyzzz_xxxxxxxx_0[j] = pb_x * tg_yyyyzzz_xxxxxxxx_0[j] + fr * tg_yyyyzzz_xxxxxxxx_1[j] + 4.0 * fl1_fxn * tg_yyyyzzz_xxxxxxx_1[j];

                    tg_xyyyyzzz_xxxxxxxy_0[j] = pb_x * tg_yyyyzzz_xxxxxxxy_0[j] + fr * tg_yyyyzzz_xxxxxxxy_1[j] + 3.5 * fl1_fxn * tg_yyyyzzz_xxxxxxy_1[j];

                    tg_xyyyyzzz_xxxxxxxz_0[j] = pb_x * tg_yyyyzzz_xxxxxxxz_0[j] + fr * tg_yyyyzzz_xxxxxxxz_1[j] + 3.5 * fl1_fxn * tg_yyyyzzz_xxxxxxz_1[j];

                    tg_xyyyyzzz_xxxxxxyy_0[j] = pb_x * tg_yyyyzzz_xxxxxxyy_0[j] + fr * tg_yyyyzzz_xxxxxxyy_1[j] + 3.0 * fl1_fxn * tg_yyyyzzz_xxxxxyy_1[j];

                    tg_xyyyyzzz_xxxxxxyz_0[j] = pb_x * tg_yyyyzzz_xxxxxxyz_0[j] + fr * tg_yyyyzzz_xxxxxxyz_1[j] + 3.0 * fl1_fxn * tg_yyyyzzz_xxxxxyz_1[j];

                    tg_xyyyyzzz_xxxxxxzz_0[j] = pb_x * tg_yyyyzzz_xxxxxxzz_0[j] + fr * tg_yyyyzzz_xxxxxxzz_1[j] + 3.0 * fl1_fxn * tg_yyyyzzz_xxxxxzz_1[j];

                    tg_xyyyyzzz_xxxxxyyy_0[j] = pb_x * tg_yyyyzzz_xxxxxyyy_0[j] + fr * tg_yyyyzzz_xxxxxyyy_1[j] + 2.5 * fl1_fxn * tg_yyyyzzz_xxxxyyy_1[j];

                    tg_xyyyyzzz_xxxxxyyz_0[j] = pb_x * tg_yyyyzzz_xxxxxyyz_0[j] + fr * tg_yyyyzzz_xxxxxyyz_1[j] + 2.5 * fl1_fxn * tg_yyyyzzz_xxxxyyz_1[j];

                    tg_xyyyyzzz_xxxxxyzz_0[j] = pb_x * tg_yyyyzzz_xxxxxyzz_0[j] + fr * tg_yyyyzzz_xxxxxyzz_1[j] + 2.5 * fl1_fxn * tg_yyyyzzz_xxxxyzz_1[j];

                    tg_xyyyyzzz_xxxxxzzz_0[j] = pb_x * tg_yyyyzzz_xxxxxzzz_0[j] + fr * tg_yyyyzzz_xxxxxzzz_1[j] + 2.5 * fl1_fxn * tg_yyyyzzz_xxxxzzz_1[j];

                    tg_xyyyyzzz_xxxxyyyy_0[j] = pb_x * tg_yyyyzzz_xxxxyyyy_0[j] + fr * tg_yyyyzzz_xxxxyyyy_1[j] + 2.0 * fl1_fxn * tg_yyyyzzz_xxxyyyy_1[j];

                    tg_xyyyyzzz_xxxxyyyz_0[j] = pb_x * tg_yyyyzzz_xxxxyyyz_0[j] + fr * tg_yyyyzzz_xxxxyyyz_1[j] + 2.0 * fl1_fxn * tg_yyyyzzz_xxxyyyz_1[j];

                    tg_xyyyyzzz_xxxxyyzz_0[j] = pb_x * tg_yyyyzzz_xxxxyyzz_0[j] + fr * tg_yyyyzzz_xxxxyyzz_1[j] + 2.0 * fl1_fxn * tg_yyyyzzz_xxxyyzz_1[j];

                    tg_xyyyyzzz_xxxxyzzz_0[j] = pb_x * tg_yyyyzzz_xxxxyzzz_0[j] + fr * tg_yyyyzzz_xxxxyzzz_1[j] + 2.0 * fl1_fxn * tg_yyyyzzz_xxxyzzz_1[j];

                    tg_xyyyyzzz_xxxxzzzz_0[j] = pb_x * tg_yyyyzzz_xxxxzzzz_0[j] + fr * tg_yyyyzzz_xxxxzzzz_1[j] + 2.0 * fl1_fxn * tg_yyyyzzz_xxxzzzz_1[j];

                    tg_xyyyyzzz_xxxyyyyy_0[j] = pb_x * tg_yyyyzzz_xxxyyyyy_0[j] + fr * tg_yyyyzzz_xxxyyyyy_1[j] + 1.5 * fl1_fxn * tg_yyyyzzz_xxyyyyy_1[j];

                    tg_xyyyyzzz_xxxyyyyz_0[j] = pb_x * tg_yyyyzzz_xxxyyyyz_0[j] + fr * tg_yyyyzzz_xxxyyyyz_1[j] + 1.5 * fl1_fxn * tg_yyyyzzz_xxyyyyz_1[j];

                    tg_xyyyyzzz_xxxyyyzz_0[j] = pb_x * tg_yyyyzzz_xxxyyyzz_0[j] + fr * tg_yyyyzzz_xxxyyyzz_1[j] + 1.5 * fl1_fxn * tg_yyyyzzz_xxyyyzz_1[j];

                    tg_xyyyyzzz_xxxyyzzz_0[j] = pb_x * tg_yyyyzzz_xxxyyzzz_0[j] + fr * tg_yyyyzzz_xxxyyzzz_1[j] + 1.5 * fl1_fxn * tg_yyyyzzz_xxyyzzz_1[j];

                    tg_xyyyyzzz_xxxyzzzz_0[j] = pb_x * tg_yyyyzzz_xxxyzzzz_0[j] + fr * tg_yyyyzzz_xxxyzzzz_1[j] + 1.5 * fl1_fxn * tg_yyyyzzz_xxyzzzz_1[j];

                    tg_xyyyyzzz_xxxzzzzz_0[j] = pb_x * tg_yyyyzzz_xxxzzzzz_0[j] + fr * tg_yyyyzzz_xxxzzzzz_1[j] + 1.5 * fl1_fxn * tg_yyyyzzz_xxzzzzz_1[j];

                    tg_xyyyyzzz_xxyyyyyy_0[j] = pb_x * tg_yyyyzzz_xxyyyyyy_0[j] + fr * tg_yyyyzzz_xxyyyyyy_1[j] + fl1_fxn * tg_yyyyzzz_xyyyyyy_1[j];

                    tg_xyyyyzzz_xxyyyyyz_0[j] = pb_x * tg_yyyyzzz_xxyyyyyz_0[j] + fr * tg_yyyyzzz_xxyyyyyz_1[j] + fl1_fxn * tg_yyyyzzz_xyyyyyz_1[j];

                    tg_xyyyyzzz_xxyyyyzz_0[j] = pb_x * tg_yyyyzzz_xxyyyyzz_0[j] + fr * tg_yyyyzzz_xxyyyyzz_1[j] + fl1_fxn * tg_yyyyzzz_xyyyyzz_1[j];

                    tg_xyyyyzzz_xxyyyzzz_0[j] = pb_x * tg_yyyyzzz_xxyyyzzz_0[j] + fr * tg_yyyyzzz_xxyyyzzz_1[j] + fl1_fxn * tg_yyyyzzz_xyyyzzz_1[j];

                    tg_xyyyyzzz_xxyyzzzz_0[j] = pb_x * tg_yyyyzzz_xxyyzzzz_0[j] + fr * tg_yyyyzzz_xxyyzzzz_1[j] + fl1_fxn * tg_yyyyzzz_xyyzzzz_1[j];

                    tg_xyyyyzzz_xxyzzzzz_0[j] = pb_x * tg_yyyyzzz_xxyzzzzz_0[j] + fr * tg_yyyyzzz_xxyzzzzz_1[j] + fl1_fxn * tg_yyyyzzz_xyzzzzz_1[j];

                    tg_xyyyyzzz_xxzzzzzz_0[j] = pb_x * tg_yyyyzzz_xxzzzzzz_0[j] + fr * tg_yyyyzzz_xxzzzzzz_1[j] + fl1_fxn * tg_yyyyzzz_xzzzzzz_1[j];

                    tg_xyyyyzzz_xyyyyyyy_0[j] = pb_x * tg_yyyyzzz_xyyyyyyy_0[j] + fr * tg_yyyyzzz_xyyyyyyy_1[j] + 0.5 * fl1_fxn * tg_yyyyzzz_yyyyyyy_1[j];

                    tg_xyyyyzzz_xyyyyyyz_0[j] = pb_x * tg_yyyyzzz_xyyyyyyz_0[j] + fr * tg_yyyyzzz_xyyyyyyz_1[j] + 0.5 * fl1_fxn * tg_yyyyzzz_yyyyyyz_1[j];

                    tg_xyyyyzzz_xyyyyyzz_0[j] = pb_x * tg_yyyyzzz_xyyyyyzz_0[j] + fr * tg_yyyyzzz_xyyyyyzz_1[j] + 0.5 * fl1_fxn * tg_yyyyzzz_yyyyyzz_1[j];

                    tg_xyyyyzzz_xyyyyzzz_0[j] = pb_x * tg_yyyyzzz_xyyyyzzz_0[j] + fr * tg_yyyyzzz_xyyyyzzz_1[j] + 0.5 * fl1_fxn * tg_yyyyzzz_yyyyzzz_1[j];

                    tg_xyyyyzzz_xyyyzzzz_0[j] = pb_x * tg_yyyyzzz_xyyyzzzz_0[j] + fr * tg_yyyyzzz_xyyyzzzz_1[j] + 0.5 * fl1_fxn * tg_yyyyzzz_yyyzzzz_1[j];

                    tg_xyyyyzzz_xyyzzzzz_0[j] = pb_x * tg_yyyyzzz_xyyzzzzz_0[j] + fr * tg_yyyyzzz_xyyzzzzz_1[j] + 0.5 * fl1_fxn * tg_yyyyzzz_yyzzzzz_1[j];

                    tg_xyyyyzzz_xyzzzzzz_0[j] = pb_x * tg_yyyyzzz_xyzzzzzz_0[j] + fr * tg_yyyyzzz_xyzzzzzz_1[j] + 0.5 * fl1_fxn * tg_yyyyzzz_yzzzzzz_1[j];

                    tg_xyyyyzzz_xzzzzzzz_0[j] = pb_x * tg_yyyyzzz_xzzzzzzz_0[j] + fr * tg_yyyyzzz_xzzzzzzz_1[j] + 0.5 * fl1_fxn * tg_yyyyzzz_zzzzzzz_1[j];

                    tg_xyyyyzzz_yyyyyyyy_0[j] = pb_x * tg_yyyyzzz_yyyyyyyy_0[j] + fr * tg_yyyyzzz_yyyyyyyy_1[j];

                    tg_xyyyyzzz_yyyyyyyz_0[j] = pb_x * tg_yyyyzzz_yyyyyyyz_0[j] + fr * tg_yyyyzzz_yyyyyyyz_1[j];

                    tg_xyyyyzzz_yyyyyyzz_0[j] = pb_x * tg_yyyyzzz_yyyyyyzz_0[j] + fr * tg_yyyyzzz_yyyyyyzz_1[j];

                    tg_xyyyyzzz_yyyyyzzz_0[j] = pb_x * tg_yyyyzzz_yyyyyzzz_0[j] + fr * tg_yyyyzzz_yyyyyzzz_1[j];

                    tg_xyyyyzzz_yyyyzzzz_0[j] = pb_x * tg_yyyyzzz_yyyyzzzz_0[j] + fr * tg_yyyyzzz_yyyyzzzz_1[j];

                    tg_xyyyyzzz_yyyzzzzz_0[j] = pb_x * tg_yyyyzzz_yyyzzzzz_0[j] + fr * tg_yyyyzzz_yyyzzzzz_1[j];

                    tg_xyyyyzzz_yyzzzzzz_0[j] = pb_x * tg_yyyyzzz_yyzzzzzz_0[j] + fr * tg_yyyyzzz_yyzzzzzz_1[j];

                    tg_xyyyyzzz_yzzzzzzz_0[j] = pb_x * tg_yyyyzzz_yzzzzzzz_0[j] + fr * tg_yyyyzzz_yzzzzzzz_1[j];

                    tg_xyyyyzzz_zzzzzzzz_0[j] = pb_x * tg_yyyyzzz_zzzzzzzz_0[j] + fr * tg_yyyyzzz_zzzzzzzz_1[j];

                    tg_xyyyzzzz_xxxxxxxx_0[j] = pb_x * tg_yyyzzzz_xxxxxxxx_0[j] + fr * tg_yyyzzzz_xxxxxxxx_1[j] + 4.0 * fl1_fxn * tg_yyyzzzz_xxxxxxx_1[j];

                    tg_xyyyzzzz_xxxxxxxy_0[j] = pb_x * tg_yyyzzzz_xxxxxxxy_0[j] + fr * tg_yyyzzzz_xxxxxxxy_1[j] + 3.5 * fl1_fxn * tg_yyyzzzz_xxxxxxy_1[j];

                    tg_xyyyzzzz_xxxxxxxz_0[j] = pb_x * tg_yyyzzzz_xxxxxxxz_0[j] + fr * tg_yyyzzzz_xxxxxxxz_1[j] + 3.5 * fl1_fxn * tg_yyyzzzz_xxxxxxz_1[j];

                    tg_xyyyzzzz_xxxxxxyy_0[j] = pb_x * tg_yyyzzzz_xxxxxxyy_0[j] + fr * tg_yyyzzzz_xxxxxxyy_1[j] + 3.0 * fl1_fxn * tg_yyyzzzz_xxxxxyy_1[j];

                    tg_xyyyzzzz_xxxxxxyz_0[j] = pb_x * tg_yyyzzzz_xxxxxxyz_0[j] + fr * tg_yyyzzzz_xxxxxxyz_1[j] + 3.0 * fl1_fxn * tg_yyyzzzz_xxxxxyz_1[j];

                    tg_xyyyzzzz_xxxxxxzz_0[j] = pb_x * tg_yyyzzzz_xxxxxxzz_0[j] + fr * tg_yyyzzzz_xxxxxxzz_1[j] + 3.0 * fl1_fxn * tg_yyyzzzz_xxxxxzz_1[j];

                    tg_xyyyzzzz_xxxxxyyy_0[j] = pb_x * tg_yyyzzzz_xxxxxyyy_0[j] + fr * tg_yyyzzzz_xxxxxyyy_1[j] + 2.5 * fl1_fxn * tg_yyyzzzz_xxxxyyy_1[j];

                    tg_xyyyzzzz_xxxxxyyz_0[j] = pb_x * tg_yyyzzzz_xxxxxyyz_0[j] + fr * tg_yyyzzzz_xxxxxyyz_1[j] + 2.5 * fl1_fxn * tg_yyyzzzz_xxxxyyz_1[j];

                    tg_xyyyzzzz_xxxxxyzz_0[j] = pb_x * tg_yyyzzzz_xxxxxyzz_0[j] + fr * tg_yyyzzzz_xxxxxyzz_1[j] + 2.5 * fl1_fxn * tg_yyyzzzz_xxxxyzz_1[j];
                }

                idx++;
            }
        }
    }

    void
    compElectronRepulsionForSLSL_1449_1545(      CMemBlock2D<double>* primBuffer,
                                           const CRecursionMap&       recursionMap,
                                           const CMemBlock2D<double>& osFactors,
                                           const CMemBlock2D<double>& wpDistances,
                                           const CGtoPairsBlock&      braGtoPairsBlock,
                                           const CGtoPairsBlock&      ketGtoPairsBlock,
                                           const int32_t              nKetPrimPairs,
                                           const int32_t              iContrPair)
    {
        // Batch of Integrals (1449,1545)

        // set up pointers to primitives data on bra side

        auto spos = braGtoPairsBlock.getStartPositions();

        auto epos = braGtoPairsBlock.getEndPositions();

        // set up pointers to tensor of distance R(PB) = P - B

        auto r_pb_x = braGtoPairsBlock.getDistancesPBX();

        // set up pointers to common Obara-Saika factors

        // set up maximum order of integral

        auto mord = recursionMap.getMaxOrder({"Electron Repulsion"},
                                             {8, -1, -1, -1},
                                             {8, -1, -1, -1},
                                             1, 1);

        for (int32_t iord = 0; iord <= mord; iord++)
        {
            // set up index of integral

            auto pidx_g_8_8_m0 = recursionMap.index(CRecursionTerm({"Electron Repulsion"}, 0, true, 
                                                                   {8, -1, -1, -1}, {8, -1, -1, -1}, 
                                                                   1, 1, iord));

            // check if integral is needed in recursion expansion

            if (pidx_g_8_8_m0 == -1) continue;

            // set up indexes of auxilary integral

            auto pidx_g_7_8_m0 = recursionMap.index(CRecursionTerm({"Electron Repulsion"}, 0, true, 
                                                                   {7, -1, -1, -1}, {8, -1, -1, -1}, 
                                                                   1, 1, iord));

            auto pidx_g_7_8_m1 = recursionMap.index(CRecursionTerm({"Electron Repulsion"}, 0, true, 
                                                                   {7, -1, -1, -1}, {8, -1, -1, -1}, 
                                                                   1, 1, iord + 1));

            auto pidx_g_7_7_m1 = recursionMap.index(CRecursionTerm({"Electron Repulsion"}, 0, true, 
                                                                   {7, -1, -1, -1}, {7, -1, -1, -1}, 
                                                                   1, 1, iord + 1));

            // loop over contracted GTO on bra side

            int32_t idx = 0;

            for (int32_t i = spos[iContrPair]; i < epos[iContrPair]; i++)
            {
                // set up pointers to Obara-Saika factors

                auto fxn = osFactors.data(4 * idx);

                // set up distances R(PB) = P - B

                auto pb_x = r_pb_x[i];

                // set up pointers to tensors product of distances R(WP) = W - P

                auto wp_x = wpDistances.data(3 * idx);

                // set up pointers to auxilary integrals

                auto tg_yyyzzzz_xxxxxzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1449); 

                auto tg_yyyzzzz_xxxxyyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1450); 

                auto tg_yyyzzzz_xxxxyyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1451); 

                auto tg_yyyzzzz_xxxxyyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1452); 

                auto tg_yyyzzzz_xxxxyzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1453); 

                auto tg_yyyzzzz_xxxxzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1454); 

                auto tg_yyyzzzz_xxxyyyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1455); 

                auto tg_yyyzzzz_xxxyyyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1456); 

                auto tg_yyyzzzz_xxxyyyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1457); 

                auto tg_yyyzzzz_xxxyyzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1458); 

                auto tg_yyyzzzz_xxxyzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1459); 

                auto tg_yyyzzzz_xxxzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1460); 

                auto tg_yyyzzzz_xxyyyyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1461); 

                auto tg_yyyzzzz_xxyyyyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1462); 

                auto tg_yyyzzzz_xxyyyyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1463); 

                auto tg_yyyzzzz_xxyyyzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1464); 

                auto tg_yyyzzzz_xxyyzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1465); 

                auto tg_yyyzzzz_xxyzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1466); 

                auto tg_yyyzzzz_xxzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1467); 

                auto tg_yyyzzzz_xyyyyyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1468); 

                auto tg_yyyzzzz_xyyyyyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1469); 

                auto tg_yyyzzzz_xyyyyyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1470); 

                auto tg_yyyzzzz_xyyyyzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1471); 

                auto tg_yyyzzzz_xyyyzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1472); 

                auto tg_yyyzzzz_xyyzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1473); 

                auto tg_yyyzzzz_xyzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1474); 

                auto tg_yyyzzzz_xzzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1475); 

                auto tg_yyyzzzz_yyyyyyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1476); 

                auto tg_yyyzzzz_yyyyyyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1477); 

                auto tg_yyyzzzz_yyyyyyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1478); 

                auto tg_yyyzzzz_yyyyyzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1479); 

                auto tg_yyyzzzz_yyyyzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1480); 

                auto tg_yyyzzzz_yyyzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1481); 

                auto tg_yyyzzzz_yyzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1482); 

                auto tg_yyyzzzz_yzzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1483); 

                auto tg_yyyzzzz_zzzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1484); 

                auto tg_yyzzzzz_xxxxxxxx_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1485); 

                auto tg_yyzzzzz_xxxxxxxy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1486); 

                auto tg_yyzzzzz_xxxxxxxz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1487); 

                auto tg_yyzzzzz_xxxxxxyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1488); 

                auto tg_yyzzzzz_xxxxxxyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1489); 

                auto tg_yyzzzzz_xxxxxxzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1490); 

                auto tg_yyzzzzz_xxxxxyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1491); 

                auto tg_yyzzzzz_xxxxxyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1492); 

                auto tg_yyzzzzz_xxxxxyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1493); 

                auto tg_yyzzzzz_xxxxxzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1494); 

                auto tg_yyzzzzz_xxxxyyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1495); 

                auto tg_yyzzzzz_xxxxyyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1496); 

                auto tg_yyzzzzz_xxxxyyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1497); 

                auto tg_yyzzzzz_xxxxyzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1498); 

                auto tg_yyzzzzz_xxxxzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1499); 

                auto tg_yyzzzzz_xxxyyyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1500); 

                auto tg_yyzzzzz_xxxyyyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1501); 

                auto tg_yyzzzzz_xxxyyyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1502); 

                auto tg_yyzzzzz_xxxyyzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1503); 

                auto tg_yyzzzzz_xxxyzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1504); 

                auto tg_yyzzzzz_xxxzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1505); 

                auto tg_yyzzzzz_xxyyyyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1506); 

                auto tg_yyzzzzz_xxyyyyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1507); 

                auto tg_yyzzzzz_xxyyyyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1508); 

                auto tg_yyzzzzz_xxyyyzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1509); 

                auto tg_yyzzzzz_xxyyzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1510); 

                auto tg_yyzzzzz_xxyzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1511); 

                auto tg_yyzzzzz_xxzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1512); 

                auto tg_yyzzzzz_xyyyyyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1513); 

                auto tg_yyzzzzz_xyyyyyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1514); 

                auto tg_yyzzzzz_xyyyyyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1515); 

                auto tg_yyzzzzz_xyyyyzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1516); 

                auto tg_yyzzzzz_xyyyzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1517); 

                auto tg_yyzzzzz_xyyzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1518); 

                auto tg_yyzzzzz_xyzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1519); 

                auto tg_yyzzzzz_xzzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1520); 

                auto tg_yyzzzzz_yyyyyyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1521); 

                auto tg_yyzzzzz_yyyyyyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1522); 

                auto tg_yyzzzzz_yyyyyyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1523); 

                auto tg_yyzzzzz_yyyyyzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1524); 

                auto tg_yyzzzzz_yyyyzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1525); 

                auto tg_yyzzzzz_yyyzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1526); 

                auto tg_yyzzzzz_yyzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1527); 

                auto tg_yyzzzzz_yzzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1528); 

                auto tg_yyzzzzz_zzzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1529); 

                auto tg_yzzzzzz_xxxxxxxx_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1530); 

                auto tg_yzzzzzz_xxxxxxxy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1531); 

                auto tg_yzzzzzz_xxxxxxxz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1532); 

                auto tg_yzzzzzz_xxxxxxyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1533); 

                auto tg_yzzzzzz_xxxxxxyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1534); 

                auto tg_yzzzzzz_xxxxxxzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1535); 

                auto tg_yzzzzzz_xxxxxyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1536); 

                auto tg_yzzzzzz_xxxxxyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1537); 

                auto tg_yzzzzzz_xxxxxyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1538); 

                auto tg_yzzzzzz_xxxxxzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1539); 

                auto tg_yzzzzzz_xxxxyyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1540); 

                auto tg_yzzzzzz_xxxxyyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1541); 

                auto tg_yzzzzzz_xxxxyyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1542); 

                auto tg_yzzzzzz_xxxxyzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1543); 

                auto tg_yzzzzzz_xxxxzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1544); 

                auto tg_yyyzzzz_xxxxxzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1449); 

                auto tg_yyyzzzz_xxxxyyyy_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1450); 

                auto tg_yyyzzzz_xxxxyyyz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1451); 

                auto tg_yyyzzzz_xxxxyyzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1452); 

                auto tg_yyyzzzz_xxxxyzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1453); 

                auto tg_yyyzzzz_xxxxzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1454); 

                auto tg_yyyzzzz_xxxyyyyy_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1455); 

                auto tg_yyyzzzz_xxxyyyyz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1456); 

                auto tg_yyyzzzz_xxxyyyzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1457); 

                auto tg_yyyzzzz_xxxyyzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1458); 

                auto tg_yyyzzzz_xxxyzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1459); 

                auto tg_yyyzzzz_xxxzzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1460); 

                auto tg_yyyzzzz_xxyyyyyy_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1461); 

                auto tg_yyyzzzz_xxyyyyyz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1462); 

                auto tg_yyyzzzz_xxyyyyzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1463); 

                auto tg_yyyzzzz_xxyyyzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1464); 

                auto tg_yyyzzzz_xxyyzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1465); 

                auto tg_yyyzzzz_xxyzzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1466); 

                auto tg_yyyzzzz_xxzzzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1467); 

                auto tg_yyyzzzz_xyyyyyyy_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1468); 

                auto tg_yyyzzzz_xyyyyyyz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1469); 

                auto tg_yyyzzzz_xyyyyyzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1470); 

                auto tg_yyyzzzz_xyyyyzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1471); 

                auto tg_yyyzzzz_xyyyzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1472); 

                auto tg_yyyzzzz_xyyzzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1473); 

                auto tg_yyyzzzz_xyzzzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1474); 

                auto tg_yyyzzzz_xzzzzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1475); 

                auto tg_yyyzzzz_yyyyyyyy_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1476); 

                auto tg_yyyzzzz_yyyyyyyz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1477); 

                auto tg_yyyzzzz_yyyyyyzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1478); 

                auto tg_yyyzzzz_yyyyyzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1479); 

                auto tg_yyyzzzz_yyyyzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1480); 

                auto tg_yyyzzzz_yyyzzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1481); 

                auto tg_yyyzzzz_yyzzzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1482); 

                auto tg_yyyzzzz_yzzzzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1483); 

                auto tg_yyyzzzz_zzzzzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1484); 

                auto tg_yyzzzzz_xxxxxxxx_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1485); 

                auto tg_yyzzzzz_xxxxxxxy_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1486); 

                auto tg_yyzzzzz_xxxxxxxz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1487); 

                auto tg_yyzzzzz_xxxxxxyy_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1488); 

                auto tg_yyzzzzz_xxxxxxyz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1489); 

                auto tg_yyzzzzz_xxxxxxzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1490); 

                auto tg_yyzzzzz_xxxxxyyy_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1491); 

                auto tg_yyzzzzz_xxxxxyyz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1492); 

                auto tg_yyzzzzz_xxxxxyzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1493); 

                auto tg_yyzzzzz_xxxxxzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1494); 

                auto tg_yyzzzzz_xxxxyyyy_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1495); 

                auto tg_yyzzzzz_xxxxyyyz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1496); 

                auto tg_yyzzzzz_xxxxyyzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1497); 

                auto tg_yyzzzzz_xxxxyzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1498); 

                auto tg_yyzzzzz_xxxxzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1499); 

                auto tg_yyzzzzz_xxxyyyyy_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1500); 

                auto tg_yyzzzzz_xxxyyyyz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1501); 

                auto tg_yyzzzzz_xxxyyyzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1502); 

                auto tg_yyzzzzz_xxxyyzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1503); 

                auto tg_yyzzzzz_xxxyzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1504); 

                auto tg_yyzzzzz_xxxzzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1505); 

                auto tg_yyzzzzz_xxyyyyyy_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1506); 

                auto tg_yyzzzzz_xxyyyyyz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1507); 

                auto tg_yyzzzzz_xxyyyyzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1508); 

                auto tg_yyzzzzz_xxyyyzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1509); 

                auto tg_yyzzzzz_xxyyzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1510); 

                auto tg_yyzzzzz_xxyzzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1511); 

                auto tg_yyzzzzz_xxzzzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1512); 

                auto tg_yyzzzzz_xyyyyyyy_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1513); 

                auto tg_yyzzzzz_xyyyyyyz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1514); 

                auto tg_yyzzzzz_xyyyyyzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1515); 

                auto tg_yyzzzzz_xyyyyzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1516); 

                auto tg_yyzzzzz_xyyyzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1517); 

                auto tg_yyzzzzz_xyyzzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1518); 

                auto tg_yyzzzzz_xyzzzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1519); 

                auto tg_yyzzzzz_xzzzzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1520); 

                auto tg_yyzzzzz_yyyyyyyy_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1521); 

                auto tg_yyzzzzz_yyyyyyyz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1522); 

                auto tg_yyzzzzz_yyyyyyzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1523); 

                auto tg_yyzzzzz_yyyyyzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1524); 

                auto tg_yyzzzzz_yyyyzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1525); 

                auto tg_yyzzzzz_yyyzzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1526); 

                auto tg_yyzzzzz_yyzzzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1527); 

                auto tg_yyzzzzz_yzzzzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1528); 

                auto tg_yyzzzzz_zzzzzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1529); 

                auto tg_yzzzzzz_xxxxxxxx_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1530); 

                auto tg_yzzzzzz_xxxxxxxy_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1531); 

                auto tg_yzzzzzz_xxxxxxxz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1532); 

                auto tg_yzzzzzz_xxxxxxyy_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1533); 

                auto tg_yzzzzzz_xxxxxxyz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1534); 

                auto tg_yzzzzzz_xxxxxxzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1535); 

                auto tg_yzzzzzz_xxxxxyyy_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1536); 

                auto tg_yzzzzzz_xxxxxyyz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1537); 

                auto tg_yzzzzzz_xxxxxyzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1538); 

                auto tg_yzzzzzz_xxxxxzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1539); 

                auto tg_yzzzzzz_xxxxyyyy_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1540); 

                auto tg_yzzzzzz_xxxxyyyz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1541); 

                auto tg_yzzzzzz_xxxxyyzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1542); 

                auto tg_yzzzzzz_xxxxyzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1543); 

                auto tg_yzzzzzz_xxxxzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1544); 

                auto tg_yyyzzzz_xxxxzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1161); 

                auto tg_yyyzzzz_xxxyyyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1162); 

                auto tg_yyyzzzz_xxxyyyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1163); 

                auto tg_yyyzzzz_xxxyyzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1164); 

                auto tg_yyyzzzz_xxxyzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1165); 

                auto tg_yyyzzzz_xxxzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1166); 

                auto tg_yyyzzzz_xxyyyyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1167); 

                auto tg_yyyzzzz_xxyyyyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1168); 

                auto tg_yyyzzzz_xxyyyzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1169); 

                auto tg_yyyzzzz_xxyyzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1170); 

                auto tg_yyyzzzz_xxyzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1171); 

                auto tg_yyyzzzz_xxzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1172); 

                auto tg_yyyzzzz_xyyyyyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1173); 

                auto tg_yyyzzzz_xyyyyyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1174); 

                auto tg_yyyzzzz_xyyyyzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1175); 

                auto tg_yyyzzzz_xyyyzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1176); 

                auto tg_yyyzzzz_xyyzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1177); 

                auto tg_yyyzzzz_xyzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1178); 

                auto tg_yyyzzzz_xzzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1179); 

                auto tg_yyyzzzz_yyyyyyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1180); 

                auto tg_yyyzzzz_yyyyyyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1181); 

                auto tg_yyyzzzz_yyyyyzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1182); 

                auto tg_yyyzzzz_yyyyzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1183); 

                auto tg_yyyzzzz_yyyzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1184); 

                auto tg_yyyzzzz_yyzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1185); 

                auto tg_yyyzzzz_yzzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1186); 

                auto tg_yyyzzzz_zzzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1187); 

                auto tg_yyzzzzz_xxxxxxx_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1188); 

                auto tg_yyzzzzz_xxxxxxy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1189); 

                auto tg_yyzzzzz_xxxxxxz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1190); 

                auto tg_yyzzzzz_xxxxxyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1191); 

                auto tg_yyzzzzz_xxxxxyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1192); 

                auto tg_yyzzzzz_xxxxxzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1193); 

                auto tg_yyzzzzz_xxxxyyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1194); 

                auto tg_yyzzzzz_xxxxyyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1195); 

                auto tg_yyzzzzz_xxxxyzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1196); 

                auto tg_yyzzzzz_xxxxzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1197); 

                auto tg_yyzzzzz_xxxyyyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1198); 

                auto tg_yyzzzzz_xxxyyyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1199); 

                auto tg_yyzzzzz_xxxyyzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1200); 

                auto tg_yyzzzzz_xxxyzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1201); 

                auto tg_yyzzzzz_xxxzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1202); 

                auto tg_yyzzzzz_xxyyyyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1203); 

                auto tg_yyzzzzz_xxyyyyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1204); 

                auto tg_yyzzzzz_xxyyyzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1205); 

                auto tg_yyzzzzz_xxyyzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1206); 

                auto tg_yyzzzzz_xxyzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1207); 

                auto tg_yyzzzzz_xxzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1208); 

                auto tg_yyzzzzz_xyyyyyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1209); 

                auto tg_yyzzzzz_xyyyyyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1210); 

                auto tg_yyzzzzz_xyyyyzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1211); 

                auto tg_yyzzzzz_xyyyzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1212); 

                auto tg_yyzzzzz_xyyzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1213); 

                auto tg_yyzzzzz_xyzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1214); 

                auto tg_yyzzzzz_xzzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1215); 

                auto tg_yyzzzzz_yyyyyyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1216); 

                auto tg_yyzzzzz_yyyyyyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1217); 

                auto tg_yyzzzzz_yyyyyzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1218); 

                auto tg_yyzzzzz_yyyyzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1219); 

                auto tg_yyzzzzz_yyyzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1220); 

                auto tg_yyzzzzz_yyzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1221); 

                auto tg_yyzzzzz_yzzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1222); 

                auto tg_yyzzzzz_zzzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1223); 

                auto tg_yzzzzzz_xxxxxxx_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1224); 

                auto tg_yzzzzzz_xxxxxxy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1225); 

                auto tg_yzzzzzz_xxxxxxz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1226); 

                auto tg_yzzzzzz_xxxxxyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1227); 

                auto tg_yzzzzzz_xxxxxyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1228); 

                auto tg_yzzzzzz_xxxxxzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1229); 

                auto tg_yzzzzzz_xxxxyyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1230); 

                auto tg_yzzzzzz_xxxxyyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1231); 

                auto tg_yzzzzzz_xxxxyzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1232); 

                auto tg_yzzzzzz_xxxxzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1233); 

                auto tg_yzzzzzz_xxxyyyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1234); 

                auto tg_yzzzzzz_xxxyyyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1235); 

                auto tg_yzzzzzz_xxxyyzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1236); 

                auto tg_yzzzzzz_xxxyzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1237); 

                auto tg_yzzzzzz_xxxzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1238); 

                // set up pointers to integrals

                auto tg_xyyyzzzz_xxxxxzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1449); 

                auto tg_xyyyzzzz_xxxxyyyy_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1450); 

                auto tg_xyyyzzzz_xxxxyyyz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1451); 

                auto tg_xyyyzzzz_xxxxyyzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1452); 

                auto tg_xyyyzzzz_xxxxyzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1453); 

                auto tg_xyyyzzzz_xxxxzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1454); 

                auto tg_xyyyzzzz_xxxyyyyy_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1455); 

                auto tg_xyyyzzzz_xxxyyyyz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1456); 

                auto tg_xyyyzzzz_xxxyyyzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1457); 

                auto tg_xyyyzzzz_xxxyyzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1458); 

                auto tg_xyyyzzzz_xxxyzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1459); 

                auto tg_xyyyzzzz_xxxzzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1460); 

                auto tg_xyyyzzzz_xxyyyyyy_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1461); 

                auto tg_xyyyzzzz_xxyyyyyz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1462); 

                auto tg_xyyyzzzz_xxyyyyzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1463); 

                auto tg_xyyyzzzz_xxyyyzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1464); 

                auto tg_xyyyzzzz_xxyyzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1465); 

                auto tg_xyyyzzzz_xxyzzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1466); 

                auto tg_xyyyzzzz_xxzzzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1467); 

                auto tg_xyyyzzzz_xyyyyyyy_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1468); 

                auto tg_xyyyzzzz_xyyyyyyz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1469); 

                auto tg_xyyyzzzz_xyyyyyzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1470); 

                auto tg_xyyyzzzz_xyyyyzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1471); 

                auto tg_xyyyzzzz_xyyyzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1472); 

                auto tg_xyyyzzzz_xyyzzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1473); 

                auto tg_xyyyzzzz_xyzzzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1474); 

                auto tg_xyyyzzzz_xzzzzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1475); 

                auto tg_xyyyzzzz_yyyyyyyy_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1476); 

                auto tg_xyyyzzzz_yyyyyyyz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1477); 

                auto tg_xyyyzzzz_yyyyyyzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1478); 

                auto tg_xyyyzzzz_yyyyyzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1479); 

                auto tg_xyyyzzzz_yyyyzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1480); 

                auto tg_xyyyzzzz_yyyzzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1481); 

                auto tg_xyyyzzzz_yyzzzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1482); 

                auto tg_xyyyzzzz_yzzzzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1483); 

                auto tg_xyyyzzzz_zzzzzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1484); 

                auto tg_xyyzzzzz_xxxxxxxx_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1485); 

                auto tg_xyyzzzzz_xxxxxxxy_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1486); 

                auto tg_xyyzzzzz_xxxxxxxz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1487); 

                auto tg_xyyzzzzz_xxxxxxyy_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1488); 

                auto tg_xyyzzzzz_xxxxxxyz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1489); 

                auto tg_xyyzzzzz_xxxxxxzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1490); 

                auto tg_xyyzzzzz_xxxxxyyy_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1491); 

                auto tg_xyyzzzzz_xxxxxyyz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1492); 

                auto tg_xyyzzzzz_xxxxxyzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1493); 

                auto tg_xyyzzzzz_xxxxxzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1494); 

                auto tg_xyyzzzzz_xxxxyyyy_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1495); 

                auto tg_xyyzzzzz_xxxxyyyz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1496); 

                auto tg_xyyzzzzz_xxxxyyzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1497); 

                auto tg_xyyzzzzz_xxxxyzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1498); 

                auto tg_xyyzzzzz_xxxxzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1499); 

                auto tg_xyyzzzzz_xxxyyyyy_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1500); 

                auto tg_xyyzzzzz_xxxyyyyz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1501); 

                auto tg_xyyzzzzz_xxxyyyzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1502); 

                auto tg_xyyzzzzz_xxxyyzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1503); 

                auto tg_xyyzzzzz_xxxyzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1504); 

                auto tg_xyyzzzzz_xxxzzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1505); 

                auto tg_xyyzzzzz_xxyyyyyy_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1506); 

                auto tg_xyyzzzzz_xxyyyyyz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1507); 

                auto tg_xyyzzzzz_xxyyyyzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1508); 

                auto tg_xyyzzzzz_xxyyyzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1509); 

                auto tg_xyyzzzzz_xxyyzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1510); 

                auto tg_xyyzzzzz_xxyzzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1511); 

                auto tg_xyyzzzzz_xxzzzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1512); 

                auto tg_xyyzzzzz_xyyyyyyy_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1513); 

                auto tg_xyyzzzzz_xyyyyyyz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1514); 

                auto tg_xyyzzzzz_xyyyyyzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1515); 

                auto tg_xyyzzzzz_xyyyyzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1516); 

                auto tg_xyyzzzzz_xyyyzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1517); 

                auto tg_xyyzzzzz_xyyzzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1518); 

                auto tg_xyyzzzzz_xyzzzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1519); 

                auto tg_xyyzzzzz_xzzzzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1520); 

                auto tg_xyyzzzzz_yyyyyyyy_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1521); 

                auto tg_xyyzzzzz_yyyyyyyz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1522); 

                auto tg_xyyzzzzz_yyyyyyzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1523); 

                auto tg_xyyzzzzz_yyyyyzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1524); 

                auto tg_xyyzzzzz_yyyyzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1525); 

                auto tg_xyyzzzzz_yyyzzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1526); 

                auto tg_xyyzzzzz_yyzzzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1527); 

                auto tg_xyyzzzzz_yzzzzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1528); 

                auto tg_xyyzzzzz_zzzzzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1529); 

                auto tg_xyzzzzzz_xxxxxxxx_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1530); 

                auto tg_xyzzzzzz_xxxxxxxy_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1531); 

                auto tg_xyzzzzzz_xxxxxxxz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1532); 

                auto tg_xyzzzzzz_xxxxxxyy_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1533); 

                auto tg_xyzzzzzz_xxxxxxyz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1534); 

                auto tg_xyzzzzzz_xxxxxxzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1535); 

                auto tg_xyzzzzzz_xxxxxyyy_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1536); 

                auto tg_xyzzzzzz_xxxxxyyz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1537); 

                auto tg_xyzzzzzz_xxxxxyzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1538); 

                auto tg_xyzzzzzz_xxxxxzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1539); 

                auto tg_xyzzzzzz_xxxxyyyy_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1540); 

                auto tg_xyzzzzzz_xxxxyyyz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1541); 

                auto tg_xyzzzzzz_xxxxyyzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1542); 

                auto tg_xyzzzzzz_xxxxyzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1543); 

                auto tg_xyzzzzzz_xxxxzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1544); 

                // Batch of Integrals (1449,1545)

                #pragma omp simd aligned(fxn, tg_xyyyzzzz_xxxxxzzz_0, tg_xyyyzzzz_xxxxyyyy_0, \
                                         tg_xyyyzzzz_xxxxyyyz_0, tg_xyyyzzzz_xxxxyyzz_0, tg_xyyyzzzz_xxxxyzzz_0, \
                                         tg_xyyyzzzz_xxxxzzzz_0, tg_xyyyzzzz_xxxyyyyy_0, tg_xyyyzzzz_xxxyyyyz_0, \
                                         tg_xyyyzzzz_xxxyyyzz_0, tg_xyyyzzzz_xxxyyzzz_0, tg_xyyyzzzz_xxxyzzzz_0, \
                                         tg_xyyyzzzz_xxxzzzzz_0, tg_xyyyzzzz_xxyyyyyy_0, tg_xyyyzzzz_xxyyyyyz_0, \
                                         tg_xyyyzzzz_xxyyyyzz_0, tg_xyyyzzzz_xxyyyzzz_0, tg_xyyyzzzz_xxyyzzzz_0, \
                                         tg_xyyyzzzz_xxyzzzzz_0, tg_xyyyzzzz_xxzzzzzz_0, tg_xyyyzzzz_xyyyyyyy_0, \
                                         tg_xyyyzzzz_xyyyyyyz_0, tg_xyyyzzzz_xyyyyyzz_0, tg_xyyyzzzz_xyyyyzzz_0, \
                                         tg_xyyyzzzz_xyyyzzzz_0, tg_xyyyzzzz_xyyzzzzz_0, tg_xyyyzzzz_xyzzzzzz_0, \
                                         tg_xyyyzzzz_xzzzzzzz_0, tg_xyyyzzzz_yyyyyyyy_0, tg_xyyyzzzz_yyyyyyyz_0, \
                                         tg_xyyyzzzz_yyyyyyzz_0, tg_xyyyzzzz_yyyyyzzz_0, tg_xyyyzzzz_yyyyzzzz_0, \
                                         tg_xyyyzzzz_yyyzzzzz_0, tg_xyyyzzzz_yyzzzzzz_0, tg_xyyyzzzz_yzzzzzzz_0, \
                                         tg_xyyyzzzz_zzzzzzzz_0, tg_xyyzzzzz_xxxxxxxx_0, tg_xyyzzzzz_xxxxxxxy_0, \
                                         tg_xyyzzzzz_xxxxxxxz_0, tg_xyyzzzzz_xxxxxxyy_0, tg_xyyzzzzz_xxxxxxyz_0, \
                                         tg_xyyzzzzz_xxxxxxzz_0, tg_xyyzzzzz_xxxxxyyy_0, tg_xyyzzzzz_xxxxxyyz_0, \
                                         tg_xyyzzzzz_xxxxxyzz_0, tg_xyyzzzzz_xxxxxzzz_0, tg_xyyzzzzz_xxxxyyyy_0, \
                                         tg_xyyzzzzz_xxxxyyyz_0, tg_xyyzzzzz_xxxxyyzz_0, tg_xyyzzzzz_xxxxyzzz_0, \
                                         tg_xyyzzzzz_xxxxzzzz_0, tg_xyyzzzzz_xxxyyyyy_0, tg_xyyzzzzz_xxxyyyyz_0, \
                                         tg_xyyzzzzz_xxxyyyzz_0, tg_xyyzzzzz_xxxyyzzz_0, tg_xyyzzzzz_xxxyzzzz_0, \
                                         tg_xyyzzzzz_xxxzzzzz_0, tg_xyyzzzzz_xxyyyyyy_0, tg_xyyzzzzz_xxyyyyyz_0, \
                                         tg_xyyzzzzz_xxyyyyzz_0, tg_xyyzzzzz_xxyyyzzz_0, tg_xyyzzzzz_xxyyzzzz_0, \
                                         tg_xyyzzzzz_xxyzzzzz_0, tg_xyyzzzzz_xxzzzzzz_0, tg_xyyzzzzz_xyyyyyyy_0, \
                                         tg_xyyzzzzz_xyyyyyyz_0, tg_xyyzzzzz_xyyyyyzz_0, tg_xyyzzzzz_xyyyyzzz_0, \
                                         tg_xyyzzzzz_xyyyzzzz_0, tg_xyyzzzzz_xyyzzzzz_0, tg_xyyzzzzz_xyzzzzzz_0, \
                                         tg_xyyzzzzz_xzzzzzzz_0, tg_xyyzzzzz_yyyyyyyy_0, tg_xyyzzzzz_yyyyyyyz_0, \
                                         tg_xyyzzzzz_yyyyyyzz_0, tg_xyyzzzzz_yyyyyzzz_0, tg_xyyzzzzz_yyyyzzzz_0, \
                                         tg_xyyzzzzz_yyyzzzzz_0, tg_xyyzzzzz_yyzzzzzz_0, tg_xyyzzzzz_yzzzzzzz_0, \
                                         tg_xyyzzzzz_zzzzzzzz_0, tg_xyzzzzzz_xxxxxxxx_0, tg_xyzzzzzz_xxxxxxxy_0, \
                                         tg_xyzzzzzz_xxxxxxxz_0, tg_xyzzzzzz_xxxxxxyy_0, tg_xyzzzzzz_xxxxxxyz_0, \
                                         tg_xyzzzzzz_xxxxxxzz_0, tg_xyzzzzzz_xxxxxyyy_0, tg_xyzzzzzz_xxxxxyyz_0, \
                                         tg_xyzzzzzz_xxxxxyzz_0, tg_xyzzzzzz_xxxxxzzz_0, tg_xyzzzzzz_xxxxyyyy_0, \
                                         tg_xyzzzzzz_xxxxyyyz_0, tg_xyzzzzzz_xxxxyyzz_0, tg_xyzzzzzz_xxxxyzzz_0, \
                                         tg_xyzzzzzz_xxxxzzzz_0, tg_yyyzzzz_xxxxxzzz_0, tg_yyyzzzz_xxxxxzzz_1, \
                                         tg_yyyzzzz_xxxxyyyy_0, tg_yyyzzzz_xxxxyyyy_1, tg_yyyzzzz_xxxxyyyz_0, \
                                         tg_yyyzzzz_xxxxyyyz_1, tg_yyyzzzz_xxxxyyzz_0, tg_yyyzzzz_xxxxyyzz_1, \
                                         tg_yyyzzzz_xxxxyzzz_0, tg_yyyzzzz_xxxxyzzz_1, tg_yyyzzzz_xxxxzzz_1, \
                                         tg_yyyzzzz_xxxxzzzz_0, tg_yyyzzzz_xxxxzzzz_1, tg_yyyzzzz_xxxyyyy_1, \
                                         tg_yyyzzzz_xxxyyyyy_0, tg_yyyzzzz_xxxyyyyy_1, tg_yyyzzzz_xxxyyyyz_0, \
                                         tg_yyyzzzz_xxxyyyyz_1, tg_yyyzzzz_xxxyyyz_1, tg_yyyzzzz_xxxyyyzz_0, \
                                         tg_yyyzzzz_xxxyyyzz_1, tg_yyyzzzz_xxxyyzz_1, tg_yyyzzzz_xxxyyzzz_0, \
                                         tg_yyyzzzz_xxxyyzzz_1, tg_yyyzzzz_xxxyzzz_1, tg_yyyzzzz_xxxyzzzz_0, \
                                         tg_yyyzzzz_xxxyzzzz_1, tg_yyyzzzz_xxxzzzz_1, tg_yyyzzzz_xxxzzzzz_0, \
                                         tg_yyyzzzz_xxxzzzzz_1, tg_yyyzzzz_xxyyyyy_1, tg_yyyzzzz_xxyyyyyy_0, \
                                         tg_yyyzzzz_xxyyyyyy_1, tg_yyyzzzz_xxyyyyyz_0, tg_yyyzzzz_xxyyyyyz_1, \
                                         tg_yyyzzzz_xxyyyyz_1, tg_yyyzzzz_xxyyyyzz_0, tg_yyyzzzz_xxyyyyzz_1, \
                                         tg_yyyzzzz_xxyyyzz_1, tg_yyyzzzz_xxyyyzzz_0, tg_yyyzzzz_xxyyyzzz_1, \
                                         tg_yyyzzzz_xxyyzzz_1, tg_yyyzzzz_xxyyzzzz_0, tg_yyyzzzz_xxyyzzzz_1, \
                                         tg_yyyzzzz_xxyzzzz_1, tg_yyyzzzz_xxyzzzzz_0, tg_yyyzzzz_xxyzzzzz_1, \
                                         tg_yyyzzzz_xxzzzzz_1, tg_yyyzzzz_xxzzzzzz_0, tg_yyyzzzz_xxzzzzzz_1, \
                                         tg_yyyzzzz_xyyyyyy_1, tg_yyyzzzz_xyyyyyyy_0, tg_yyyzzzz_xyyyyyyy_1, \
                                         tg_yyyzzzz_xyyyyyyz_0, tg_yyyzzzz_xyyyyyyz_1, tg_yyyzzzz_xyyyyyz_1, \
                                         tg_yyyzzzz_xyyyyyzz_0, tg_yyyzzzz_xyyyyyzz_1, tg_yyyzzzz_xyyyyzz_1, \
                                         tg_yyyzzzz_xyyyyzzz_0, tg_yyyzzzz_xyyyyzzz_1, tg_yyyzzzz_xyyyzzz_1, \
                                         tg_yyyzzzz_xyyyzzzz_0, tg_yyyzzzz_xyyyzzzz_1, tg_yyyzzzz_xyyzzzz_1, \
                                         tg_yyyzzzz_xyyzzzzz_0, tg_yyyzzzz_xyyzzzzz_1, tg_yyyzzzz_xyzzzzz_1, \
                                         tg_yyyzzzz_xyzzzzzz_0, tg_yyyzzzz_xyzzzzzz_1, tg_yyyzzzz_xzzzzzz_1, \
                                         tg_yyyzzzz_xzzzzzzz_0, tg_yyyzzzz_xzzzzzzz_1, tg_yyyzzzz_yyyyyyy_1, \
                                         tg_yyyzzzz_yyyyyyyy_0, tg_yyyzzzz_yyyyyyyy_1, tg_yyyzzzz_yyyyyyyz_0, \
                                         tg_yyyzzzz_yyyyyyyz_1, tg_yyyzzzz_yyyyyyz_1, tg_yyyzzzz_yyyyyyzz_0, \
                                         tg_yyyzzzz_yyyyyyzz_1, tg_yyyzzzz_yyyyyzz_1, tg_yyyzzzz_yyyyyzzz_0, \
                                         tg_yyyzzzz_yyyyyzzz_1, tg_yyyzzzz_yyyyzzz_1, tg_yyyzzzz_yyyyzzzz_0, \
                                         tg_yyyzzzz_yyyyzzzz_1, tg_yyyzzzz_yyyzzzz_1, tg_yyyzzzz_yyyzzzzz_0, \
                                         tg_yyyzzzz_yyyzzzzz_1, tg_yyyzzzz_yyzzzzz_1, tg_yyyzzzz_yyzzzzzz_0, \
                                         tg_yyyzzzz_yyzzzzzz_1, tg_yyyzzzz_yzzzzzz_1, tg_yyyzzzz_yzzzzzzz_0, \
                                         tg_yyyzzzz_yzzzzzzz_1, tg_yyyzzzz_zzzzzzz_1, tg_yyyzzzz_zzzzzzzz_0, \
                                         tg_yyyzzzz_zzzzzzzz_1, tg_yyzzzzz_xxxxxxx_1, tg_yyzzzzz_xxxxxxxx_0, \
                                         tg_yyzzzzz_xxxxxxxx_1, tg_yyzzzzz_xxxxxxxy_0, tg_yyzzzzz_xxxxxxxy_1, \
                                         tg_yyzzzzz_xxxxxxxz_0, tg_yyzzzzz_xxxxxxxz_1, tg_yyzzzzz_xxxxxxy_1, \
                                         tg_yyzzzzz_xxxxxxyy_0, tg_yyzzzzz_xxxxxxyy_1, tg_yyzzzzz_xxxxxxyz_0, \
                                         tg_yyzzzzz_xxxxxxyz_1, tg_yyzzzzz_xxxxxxz_1, tg_yyzzzzz_xxxxxxzz_0, \
                                         tg_yyzzzzz_xxxxxxzz_1, tg_yyzzzzz_xxxxxyy_1, tg_yyzzzzz_xxxxxyyy_0, \
                                         tg_yyzzzzz_xxxxxyyy_1, tg_yyzzzzz_xxxxxyyz_0, tg_yyzzzzz_xxxxxyyz_1, \
                                         tg_yyzzzzz_xxxxxyz_1, tg_yyzzzzz_xxxxxyzz_0, tg_yyzzzzz_xxxxxyzz_1, \
                                         tg_yyzzzzz_xxxxxzz_1, tg_yyzzzzz_xxxxxzzz_0, tg_yyzzzzz_xxxxxzzz_1, \
                                         tg_yyzzzzz_xxxxyyy_1, tg_yyzzzzz_xxxxyyyy_0, tg_yyzzzzz_xxxxyyyy_1, \
                                         tg_yyzzzzz_xxxxyyyz_0, tg_yyzzzzz_xxxxyyyz_1, tg_yyzzzzz_xxxxyyz_1, \
                                         tg_yyzzzzz_xxxxyyzz_0, tg_yyzzzzz_xxxxyyzz_1, tg_yyzzzzz_xxxxyzz_1, \
                                         tg_yyzzzzz_xxxxyzzz_0, tg_yyzzzzz_xxxxyzzz_1, tg_yyzzzzz_xxxxzzz_1, \
                                         tg_yyzzzzz_xxxxzzzz_0, tg_yyzzzzz_xxxxzzzz_1, tg_yyzzzzz_xxxyyyy_1, \
                                         tg_yyzzzzz_xxxyyyyy_0, tg_yyzzzzz_xxxyyyyy_1, tg_yyzzzzz_xxxyyyyz_0, \
                                         tg_yyzzzzz_xxxyyyyz_1, tg_yyzzzzz_xxxyyyz_1, tg_yyzzzzz_xxxyyyzz_0, \
                                         tg_yyzzzzz_xxxyyyzz_1, tg_yyzzzzz_xxxyyzz_1, tg_yyzzzzz_xxxyyzzz_0, \
                                         tg_yyzzzzz_xxxyyzzz_1, tg_yyzzzzz_xxxyzzz_1, tg_yyzzzzz_xxxyzzzz_0, \
                                         tg_yyzzzzz_xxxyzzzz_1, tg_yyzzzzz_xxxzzzz_1, tg_yyzzzzz_xxxzzzzz_0, \
                                         tg_yyzzzzz_xxxzzzzz_1, tg_yyzzzzz_xxyyyyy_1, tg_yyzzzzz_xxyyyyyy_0, \
                                         tg_yyzzzzz_xxyyyyyy_1, tg_yyzzzzz_xxyyyyyz_0, tg_yyzzzzz_xxyyyyyz_1, \
                                         tg_yyzzzzz_xxyyyyz_1, tg_yyzzzzz_xxyyyyzz_0, tg_yyzzzzz_xxyyyyzz_1, \
                                         tg_yyzzzzz_xxyyyzz_1, tg_yyzzzzz_xxyyyzzz_0, tg_yyzzzzz_xxyyyzzz_1, \
                                         tg_yyzzzzz_xxyyzzz_1, tg_yyzzzzz_xxyyzzzz_0, tg_yyzzzzz_xxyyzzzz_1, \
                                         tg_yyzzzzz_xxyzzzz_1, tg_yyzzzzz_xxyzzzzz_0, tg_yyzzzzz_xxyzzzzz_1, \
                                         tg_yyzzzzz_xxzzzzz_1, tg_yyzzzzz_xxzzzzzz_0, tg_yyzzzzz_xxzzzzzz_1, \
                                         tg_yyzzzzz_xyyyyyy_1, tg_yyzzzzz_xyyyyyyy_0, tg_yyzzzzz_xyyyyyyy_1, \
                                         tg_yyzzzzz_xyyyyyyz_0, tg_yyzzzzz_xyyyyyyz_1, tg_yyzzzzz_xyyyyyz_1, \
                                         tg_yyzzzzz_xyyyyyzz_0, tg_yyzzzzz_xyyyyyzz_1, tg_yyzzzzz_xyyyyzz_1, \
                                         tg_yyzzzzz_xyyyyzzz_0, tg_yyzzzzz_xyyyyzzz_1, tg_yyzzzzz_xyyyzzz_1, \
                                         tg_yyzzzzz_xyyyzzzz_0, tg_yyzzzzz_xyyyzzzz_1, tg_yyzzzzz_xyyzzzz_1, \
                                         tg_yyzzzzz_xyyzzzzz_0, tg_yyzzzzz_xyyzzzzz_1, tg_yyzzzzz_xyzzzzz_1, \
                                         tg_yyzzzzz_xyzzzzzz_0, tg_yyzzzzz_xyzzzzzz_1, tg_yyzzzzz_xzzzzzz_1, \
                                         tg_yyzzzzz_xzzzzzzz_0, tg_yyzzzzz_xzzzzzzz_1, tg_yyzzzzz_yyyyyyy_1, \
                                         tg_yyzzzzz_yyyyyyyy_0, tg_yyzzzzz_yyyyyyyy_1, tg_yyzzzzz_yyyyyyyz_0, \
                                         tg_yyzzzzz_yyyyyyyz_1, tg_yyzzzzz_yyyyyyz_1, tg_yyzzzzz_yyyyyyzz_0, \
                                         tg_yyzzzzz_yyyyyyzz_1, tg_yyzzzzz_yyyyyzz_1, tg_yyzzzzz_yyyyyzzz_0, \
                                         tg_yyzzzzz_yyyyyzzz_1, tg_yyzzzzz_yyyyzzz_1, tg_yyzzzzz_yyyyzzzz_0, \
                                         tg_yyzzzzz_yyyyzzzz_1, tg_yyzzzzz_yyyzzzz_1, tg_yyzzzzz_yyyzzzzz_0, \
                                         tg_yyzzzzz_yyyzzzzz_1, tg_yyzzzzz_yyzzzzz_1, tg_yyzzzzz_yyzzzzzz_0, \
                                         tg_yyzzzzz_yyzzzzzz_1, tg_yyzzzzz_yzzzzzz_1, tg_yyzzzzz_yzzzzzzz_0, \
                                         tg_yyzzzzz_yzzzzzzz_1, tg_yyzzzzz_zzzzzzz_1, tg_yyzzzzz_zzzzzzzz_0, \
                                         tg_yyzzzzz_zzzzzzzz_1, tg_yzzzzzz_xxxxxxx_1, tg_yzzzzzz_xxxxxxxx_0, \
                                         tg_yzzzzzz_xxxxxxxx_1, tg_yzzzzzz_xxxxxxxy_0, tg_yzzzzzz_xxxxxxxy_1, \
                                         tg_yzzzzzz_xxxxxxxz_0, tg_yzzzzzz_xxxxxxxz_1, tg_yzzzzzz_xxxxxxy_1, \
                                         tg_yzzzzzz_xxxxxxyy_0, tg_yzzzzzz_xxxxxxyy_1, tg_yzzzzzz_xxxxxxyz_0, \
                                         tg_yzzzzzz_xxxxxxyz_1, tg_yzzzzzz_xxxxxxz_1, tg_yzzzzzz_xxxxxxzz_0, \
                                         tg_yzzzzzz_xxxxxxzz_1, tg_yzzzzzz_xxxxxyy_1, tg_yzzzzzz_xxxxxyyy_0, \
                                         tg_yzzzzzz_xxxxxyyy_1, tg_yzzzzzz_xxxxxyyz_0, tg_yzzzzzz_xxxxxyyz_1, \
                                         tg_yzzzzzz_xxxxxyz_1, tg_yzzzzzz_xxxxxyzz_0, tg_yzzzzzz_xxxxxyzz_1, \
                                         tg_yzzzzzz_xxxxxzz_1, tg_yzzzzzz_xxxxxzzz_0, tg_yzzzzzz_xxxxxzzz_1, \
                                         tg_yzzzzzz_xxxxyyy_1, tg_yzzzzzz_xxxxyyyy_0, tg_yzzzzzz_xxxxyyyy_1, \
                                         tg_yzzzzzz_xxxxyyyz_0, tg_yzzzzzz_xxxxyyyz_1, tg_yzzzzzz_xxxxyyz_1, \
                                         tg_yzzzzzz_xxxxyyzz_0, tg_yzzzzzz_xxxxyyzz_1, tg_yzzzzzz_xxxxyzz_1, \
                                         tg_yzzzzzz_xxxxyzzz_0, tg_yzzzzzz_xxxxyzzz_1, tg_yzzzzzz_xxxxzzz_1, \
                                         tg_yzzzzzz_xxxxzzzz_0, tg_yzzzzzz_xxxxzzzz_1, tg_yzzzzzz_xxxyyyy_1, \
                                         tg_yzzzzzz_xxxyyyz_1, tg_yzzzzzz_xxxyyzz_1, tg_yzzzzzz_xxxyzzz_1, tg_yzzzzzz_xxxzzzz_1, \
                                         wp_x: VLX_ALIGN)
                for (int32_t j = 0; j < nKetPrimPairs; j++)
                {
                    double fl1_fxn = fxn[j];

                    double fr = wp_x[j]; 

                    tg_xyyyzzzz_xxxxxzzz_0[j] = pb_x * tg_yyyzzzz_xxxxxzzz_0[j] + fr * tg_yyyzzzz_xxxxxzzz_1[j] + 2.5 * fl1_fxn * tg_yyyzzzz_xxxxzzz_1[j];

                    tg_xyyyzzzz_xxxxyyyy_0[j] = pb_x * tg_yyyzzzz_xxxxyyyy_0[j] + fr * tg_yyyzzzz_xxxxyyyy_1[j] + 2.0 * fl1_fxn * tg_yyyzzzz_xxxyyyy_1[j];

                    tg_xyyyzzzz_xxxxyyyz_0[j] = pb_x * tg_yyyzzzz_xxxxyyyz_0[j] + fr * tg_yyyzzzz_xxxxyyyz_1[j] + 2.0 * fl1_fxn * tg_yyyzzzz_xxxyyyz_1[j];

                    tg_xyyyzzzz_xxxxyyzz_0[j] = pb_x * tg_yyyzzzz_xxxxyyzz_0[j] + fr * tg_yyyzzzz_xxxxyyzz_1[j] + 2.0 * fl1_fxn * tg_yyyzzzz_xxxyyzz_1[j];

                    tg_xyyyzzzz_xxxxyzzz_0[j] = pb_x * tg_yyyzzzz_xxxxyzzz_0[j] + fr * tg_yyyzzzz_xxxxyzzz_1[j] + 2.0 * fl1_fxn * tg_yyyzzzz_xxxyzzz_1[j];

                    tg_xyyyzzzz_xxxxzzzz_0[j] = pb_x * tg_yyyzzzz_xxxxzzzz_0[j] + fr * tg_yyyzzzz_xxxxzzzz_1[j] + 2.0 * fl1_fxn * tg_yyyzzzz_xxxzzzz_1[j];

                    tg_xyyyzzzz_xxxyyyyy_0[j] = pb_x * tg_yyyzzzz_xxxyyyyy_0[j] + fr * tg_yyyzzzz_xxxyyyyy_1[j] + 1.5 * fl1_fxn * tg_yyyzzzz_xxyyyyy_1[j];

                    tg_xyyyzzzz_xxxyyyyz_0[j] = pb_x * tg_yyyzzzz_xxxyyyyz_0[j] + fr * tg_yyyzzzz_xxxyyyyz_1[j] + 1.5 * fl1_fxn * tg_yyyzzzz_xxyyyyz_1[j];

                    tg_xyyyzzzz_xxxyyyzz_0[j] = pb_x * tg_yyyzzzz_xxxyyyzz_0[j] + fr * tg_yyyzzzz_xxxyyyzz_1[j] + 1.5 * fl1_fxn * tg_yyyzzzz_xxyyyzz_1[j];

                    tg_xyyyzzzz_xxxyyzzz_0[j] = pb_x * tg_yyyzzzz_xxxyyzzz_0[j] + fr * tg_yyyzzzz_xxxyyzzz_1[j] + 1.5 * fl1_fxn * tg_yyyzzzz_xxyyzzz_1[j];

                    tg_xyyyzzzz_xxxyzzzz_0[j] = pb_x * tg_yyyzzzz_xxxyzzzz_0[j] + fr * tg_yyyzzzz_xxxyzzzz_1[j] + 1.5 * fl1_fxn * tg_yyyzzzz_xxyzzzz_1[j];

                    tg_xyyyzzzz_xxxzzzzz_0[j] = pb_x * tg_yyyzzzz_xxxzzzzz_0[j] + fr * tg_yyyzzzz_xxxzzzzz_1[j] + 1.5 * fl1_fxn * tg_yyyzzzz_xxzzzzz_1[j];

                    tg_xyyyzzzz_xxyyyyyy_0[j] = pb_x * tg_yyyzzzz_xxyyyyyy_0[j] + fr * tg_yyyzzzz_xxyyyyyy_1[j] + fl1_fxn * tg_yyyzzzz_xyyyyyy_1[j];

                    tg_xyyyzzzz_xxyyyyyz_0[j] = pb_x * tg_yyyzzzz_xxyyyyyz_0[j] + fr * tg_yyyzzzz_xxyyyyyz_1[j] + fl1_fxn * tg_yyyzzzz_xyyyyyz_1[j];

                    tg_xyyyzzzz_xxyyyyzz_0[j] = pb_x * tg_yyyzzzz_xxyyyyzz_0[j] + fr * tg_yyyzzzz_xxyyyyzz_1[j] + fl1_fxn * tg_yyyzzzz_xyyyyzz_1[j];

                    tg_xyyyzzzz_xxyyyzzz_0[j] = pb_x * tg_yyyzzzz_xxyyyzzz_0[j] + fr * tg_yyyzzzz_xxyyyzzz_1[j] + fl1_fxn * tg_yyyzzzz_xyyyzzz_1[j];

                    tg_xyyyzzzz_xxyyzzzz_0[j] = pb_x * tg_yyyzzzz_xxyyzzzz_0[j] + fr * tg_yyyzzzz_xxyyzzzz_1[j] + fl1_fxn * tg_yyyzzzz_xyyzzzz_1[j];

                    tg_xyyyzzzz_xxyzzzzz_0[j] = pb_x * tg_yyyzzzz_xxyzzzzz_0[j] + fr * tg_yyyzzzz_xxyzzzzz_1[j] + fl1_fxn * tg_yyyzzzz_xyzzzzz_1[j];

                    tg_xyyyzzzz_xxzzzzzz_0[j] = pb_x * tg_yyyzzzz_xxzzzzzz_0[j] + fr * tg_yyyzzzz_xxzzzzzz_1[j] + fl1_fxn * tg_yyyzzzz_xzzzzzz_1[j];

                    tg_xyyyzzzz_xyyyyyyy_0[j] = pb_x * tg_yyyzzzz_xyyyyyyy_0[j] + fr * tg_yyyzzzz_xyyyyyyy_1[j] + 0.5 * fl1_fxn * tg_yyyzzzz_yyyyyyy_1[j];

                    tg_xyyyzzzz_xyyyyyyz_0[j] = pb_x * tg_yyyzzzz_xyyyyyyz_0[j] + fr * tg_yyyzzzz_xyyyyyyz_1[j] + 0.5 * fl1_fxn * tg_yyyzzzz_yyyyyyz_1[j];

                    tg_xyyyzzzz_xyyyyyzz_0[j] = pb_x * tg_yyyzzzz_xyyyyyzz_0[j] + fr * tg_yyyzzzz_xyyyyyzz_1[j] + 0.5 * fl1_fxn * tg_yyyzzzz_yyyyyzz_1[j];

                    tg_xyyyzzzz_xyyyyzzz_0[j] = pb_x * tg_yyyzzzz_xyyyyzzz_0[j] + fr * tg_yyyzzzz_xyyyyzzz_1[j] + 0.5 * fl1_fxn * tg_yyyzzzz_yyyyzzz_1[j];

                    tg_xyyyzzzz_xyyyzzzz_0[j] = pb_x * tg_yyyzzzz_xyyyzzzz_0[j] + fr * tg_yyyzzzz_xyyyzzzz_1[j] + 0.5 * fl1_fxn * tg_yyyzzzz_yyyzzzz_1[j];

                    tg_xyyyzzzz_xyyzzzzz_0[j] = pb_x * tg_yyyzzzz_xyyzzzzz_0[j] + fr * tg_yyyzzzz_xyyzzzzz_1[j] + 0.5 * fl1_fxn * tg_yyyzzzz_yyzzzzz_1[j];

                    tg_xyyyzzzz_xyzzzzzz_0[j] = pb_x * tg_yyyzzzz_xyzzzzzz_0[j] + fr * tg_yyyzzzz_xyzzzzzz_1[j] + 0.5 * fl1_fxn * tg_yyyzzzz_yzzzzzz_1[j];

                    tg_xyyyzzzz_xzzzzzzz_0[j] = pb_x * tg_yyyzzzz_xzzzzzzz_0[j] + fr * tg_yyyzzzz_xzzzzzzz_1[j] + 0.5 * fl1_fxn * tg_yyyzzzz_zzzzzzz_1[j];

                    tg_xyyyzzzz_yyyyyyyy_0[j] = pb_x * tg_yyyzzzz_yyyyyyyy_0[j] + fr * tg_yyyzzzz_yyyyyyyy_1[j];

                    tg_xyyyzzzz_yyyyyyyz_0[j] = pb_x * tg_yyyzzzz_yyyyyyyz_0[j] + fr * tg_yyyzzzz_yyyyyyyz_1[j];

                    tg_xyyyzzzz_yyyyyyzz_0[j] = pb_x * tg_yyyzzzz_yyyyyyzz_0[j] + fr * tg_yyyzzzz_yyyyyyzz_1[j];

                    tg_xyyyzzzz_yyyyyzzz_0[j] = pb_x * tg_yyyzzzz_yyyyyzzz_0[j] + fr * tg_yyyzzzz_yyyyyzzz_1[j];

                    tg_xyyyzzzz_yyyyzzzz_0[j] = pb_x * tg_yyyzzzz_yyyyzzzz_0[j] + fr * tg_yyyzzzz_yyyyzzzz_1[j];

                    tg_xyyyzzzz_yyyzzzzz_0[j] = pb_x * tg_yyyzzzz_yyyzzzzz_0[j] + fr * tg_yyyzzzz_yyyzzzzz_1[j];

                    tg_xyyyzzzz_yyzzzzzz_0[j] = pb_x * tg_yyyzzzz_yyzzzzzz_0[j] + fr * tg_yyyzzzz_yyzzzzzz_1[j];

                    tg_xyyyzzzz_yzzzzzzz_0[j] = pb_x * tg_yyyzzzz_yzzzzzzz_0[j] + fr * tg_yyyzzzz_yzzzzzzz_1[j];

                    tg_xyyyzzzz_zzzzzzzz_0[j] = pb_x * tg_yyyzzzz_zzzzzzzz_0[j] + fr * tg_yyyzzzz_zzzzzzzz_1[j];

                    tg_xyyzzzzz_xxxxxxxx_0[j] = pb_x * tg_yyzzzzz_xxxxxxxx_0[j] + fr * tg_yyzzzzz_xxxxxxxx_1[j] + 4.0 * fl1_fxn * tg_yyzzzzz_xxxxxxx_1[j];

                    tg_xyyzzzzz_xxxxxxxy_0[j] = pb_x * tg_yyzzzzz_xxxxxxxy_0[j] + fr * tg_yyzzzzz_xxxxxxxy_1[j] + 3.5 * fl1_fxn * tg_yyzzzzz_xxxxxxy_1[j];

                    tg_xyyzzzzz_xxxxxxxz_0[j] = pb_x * tg_yyzzzzz_xxxxxxxz_0[j] + fr * tg_yyzzzzz_xxxxxxxz_1[j] + 3.5 * fl1_fxn * tg_yyzzzzz_xxxxxxz_1[j];

                    tg_xyyzzzzz_xxxxxxyy_0[j] = pb_x * tg_yyzzzzz_xxxxxxyy_0[j] + fr * tg_yyzzzzz_xxxxxxyy_1[j] + 3.0 * fl1_fxn * tg_yyzzzzz_xxxxxyy_1[j];

                    tg_xyyzzzzz_xxxxxxyz_0[j] = pb_x * tg_yyzzzzz_xxxxxxyz_0[j] + fr * tg_yyzzzzz_xxxxxxyz_1[j] + 3.0 * fl1_fxn * tg_yyzzzzz_xxxxxyz_1[j];

                    tg_xyyzzzzz_xxxxxxzz_0[j] = pb_x * tg_yyzzzzz_xxxxxxzz_0[j] + fr * tg_yyzzzzz_xxxxxxzz_1[j] + 3.0 * fl1_fxn * tg_yyzzzzz_xxxxxzz_1[j];

                    tg_xyyzzzzz_xxxxxyyy_0[j] = pb_x * tg_yyzzzzz_xxxxxyyy_0[j] + fr * tg_yyzzzzz_xxxxxyyy_1[j] + 2.5 * fl1_fxn * tg_yyzzzzz_xxxxyyy_1[j];

                    tg_xyyzzzzz_xxxxxyyz_0[j] = pb_x * tg_yyzzzzz_xxxxxyyz_0[j] + fr * tg_yyzzzzz_xxxxxyyz_1[j] + 2.5 * fl1_fxn * tg_yyzzzzz_xxxxyyz_1[j];

                    tg_xyyzzzzz_xxxxxyzz_0[j] = pb_x * tg_yyzzzzz_xxxxxyzz_0[j] + fr * tg_yyzzzzz_xxxxxyzz_1[j] + 2.5 * fl1_fxn * tg_yyzzzzz_xxxxyzz_1[j];

                    tg_xyyzzzzz_xxxxxzzz_0[j] = pb_x * tg_yyzzzzz_xxxxxzzz_0[j] + fr * tg_yyzzzzz_xxxxxzzz_1[j] + 2.5 * fl1_fxn * tg_yyzzzzz_xxxxzzz_1[j];

                    tg_xyyzzzzz_xxxxyyyy_0[j] = pb_x * tg_yyzzzzz_xxxxyyyy_0[j] + fr * tg_yyzzzzz_xxxxyyyy_1[j] + 2.0 * fl1_fxn * tg_yyzzzzz_xxxyyyy_1[j];

                    tg_xyyzzzzz_xxxxyyyz_0[j] = pb_x * tg_yyzzzzz_xxxxyyyz_0[j] + fr * tg_yyzzzzz_xxxxyyyz_1[j] + 2.0 * fl1_fxn * tg_yyzzzzz_xxxyyyz_1[j];

                    tg_xyyzzzzz_xxxxyyzz_0[j] = pb_x * tg_yyzzzzz_xxxxyyzz_0[j] + fr * tg_yyzzzzz_xxxxyyzz_1[j] + 2.0 * fl1_fxn * tg_yyzzzzz_xxxyyzz_1[j];

                    tg_xyyzzzzz_xxxxyzzz_0[j] = pb_x * tg_yyzzzzz_xxxxyzzz_0[j] + fr * tg_yyzzzzz_xxxxyzzz_1[j] + 2.0 * fl1_fxn * tg_yyzzzzz_xxxyzzz_1[j];

                    tg_xyyzzzzz_xxxxzzzz_0[j] = pb_x * tg_yyzzzzz_xxxxzzzz_0[j] + fr * tg_yyzzzzz_xxxxzzzz_1[j] + 2.0 * fl1_fxn * tg_yyzzzzz_xxxzzzz_1[j];

                    tg_xyyzzzzz_xxxyyyyy_0[j] = pb_x * tg_yyzzzzz_xxxyyyyy_0[j] + fr * tg_yyzzzzz_xxxyyyyy_1[j] + 1.5 * fl1_fxn * tg_yyzzzzz_xxyyyyy_1[j];

                    tg_xyyzzzzz_xxxyyyyz_0[j] = pb_x * tg_yyzzzzz_xxxyyyyz_0[j] + fr * tg_yyzzzzz_xxxyyyyz_1[j] + 1.5 * fl1_fxn * tg_yyzzzzz_xxyyyyz_1[j];

                    tg_xyyzzzzz_xxxyyyzz_0[j] = pb_x * tg_yyzzzzz_xxxyyyzz_0[j] + fr * tg_yyzzzzz_xxxyyyzz_1[j] + 1.5 * fl1_fxn * tg_yyzzzzz_xxyyyzz_1[j];

                    tg_xyyzzzzz_xxxyyzzz_0[j] = pb_x * tg_yyzzzzz_xxxyyzzz_0[j] + fr * tg_yyzzzzz_xxxyyzzz_1[j] + 1.5 * fl1_fxn * tg_yyzzzzz_xxyyzzz_1[j];

                    tg_xyyzzzzz_xxxyzzzz_0[j] = pb_x * tg_yyzzzzz_xxxyzzzz_0[j] + fr * tg_yyzzzzz_xxxyzzzz_1[j] + 1.5 * fl1_fxn * tg_yyzzzzz_xxyzzzz_1[j];

                    tg_xyyzzzzz_xxxzzzzz_0[j] = pb_x * tg_yyzzzzz_xxxzzzzz_0[j] + fr * tg_yyzzzzz_xxxzzzzz_1[j] + 1.5 * fl1_fxn * tg_yyzzzzz_xxzzzzz_1[j];

                    tg_xyyzzzzz_xxyyyyyy_0[j] = pb_x * tg_yyzzzzz_xxyyyyyy_0[j] + fr * tg_yyzzzzz_xxyyyyyy_1[j] + fl1_fxn * tg_yyzzzzz_xyyyyyy_1[j];

                    tg_xyyzzzzz_xxyyyyyz_0[j] = pb_x * tg_yyzzzzz_xxyyyyyz_0[j] + fr * tg_yyzzzzz_xxyyyyyz_1[j] + fl1_fxn * tg_yyzzzzz_xyyyyyz_1[j];

                    tg_xyyzzzzz_xxyyyyzz_0[j] = pb_x * tg_yyzzzzz_xxyyyyzz_0[j] + fr * tg_yyzzzzz_xxyyyyzz_1[j] + fl1_fxn * tg_yyzzzzz_xyyyyzz_1[j];

                    tg_xyyzzzzz_xxyyyzzz_0[j] = pb_x * tg_yyzzzzz_xxyyyzzz_0[j] + fr * tg_yyzzzzz_xxyyyzzz_1[j] + fl1_fxn * tg_yyzzzzz_xyyyzzz_1[j];

                    tg_xyyzzzzz_xxyyzzzz_0[j] = pb_x * tg_yyzzzzz_xxyyzzzz_0[j] + fr * tg_yyzzzzz_xxyyzzzz_1[j] + fl1_fxn * tg_yyzzzzz_xyyzzzz_1[j];

                    tg_xyyzzzzz_xxyzzzzz_0[j] = pb_x * tg_yyzzzzz_xxyzzzzz_0[j] + fr * tg_yyzzzzz_xxyzzzzz_1[j] + fl1_fxn * tg_yyzzzzz_xyzzzzz_1[j];

                    tg_xyyzzzzz_xxzzzzzz_0[j] = pb_x * tg_yyzzzzz_xxzzzzzz_0[j] + fr * tg_yyzzzzz_xxzzzzzz_1[j] + fl1_fxn * tg_yyzzzzz_xzzzzzz_1[j];

                    tg_xyyzzzzz_xyyyyyyy_0[j] = pb_x * tg_yyzzzzz_xyyyyyyy_0[j] + fr * tg_yyzzzzz_xyyyyyyy_1[j] + 0.5 * fl1_fxn * tg_yyzzzzz_yyyyyyy_1[j];

                    tg_xyyzzzzz_xyyyyyyz_0[j] = pb_x * tg_yyzzzzz_xyyyyyyz_0[j] + fr * tg_yyzzzzz_xyyyyyyz_1[j] + 0.5 * fl1_fxn * tg_yyzzzzz_yyyyyyz_1[j];

                    tg_xyyzzzzz_xyyyyyzz_0[j] = pb_x * tg_yyzzzzz_xyyyyyzz_0[j] + fr * tg_yyzzzzz_xyyyyyzz_1[j] + 0.5 * fl1_fxn * tg_yyzzzzz_yyyyyzz_1[j];

                    tg_xyyzzzzz_xyyyyzzz_0[j] = pb_x * tg_yyzzzzz_xyyyyzzz_0[j] + fr * tg_yyzzzzz_xyyyyzzz_1[j] + 0.5 * fl1_fxn * tg_yyzzzzz_yyyyzzz_1[j];

                    tg_xyyzzzzz_xyyyzzzz_0[j] = pb_x * tg_yyzzzzz_xyyyzzzz_0[j] + fr * tg_yyzzzzz_xyyyzzzz_1[j] + 0.5 * fl1_fxn * tg_yyzzzzz_yyyzzzz_1[j];

                    tg_xyyzzzzz_xyyzzzzz_0[j] = pb_x * tg_yyzzzzz_xyyzzzzz_0[j] + fr * tg_yyzzzzz_xyyzzzzz_1[j] + 0.5 * fl1_fxn * tg_yyzzzzz_yyzzzzz_1[j];

                    tg_xyyzzzzz_xyzzzzzz_0[j] = pb_x * tg_yyzzzzz_xyzzzzzz_0[j] + fr * tg_yyzzzzz_xyzzzzzz_1[j] + 0.5 * fl1_fxn * tg_yyzzzzz_yzzzzzz_1[j];

                    tg_xyyzzzzz_xzzzzzzz_0[j] = pb_x * tg_yyzzzzz_xzzzzzzz_0[j] + fr * tg_yyzzzzz_xzzzzzzz_1[j] + 0.5 * fl1_fxn * tg_yyzzzzz_zzzzzzz_1[j];

                    tg_xyyzzzzz_yyyyyyyy_0[j] = pb_x * tg_yyzzzzz_yyyyyyyy_0[j] + fr * tg_yyzzzzz_yyyyyyyy_1[j];

                    tg_xyyzzzzz_yyyyyyyz_0[j] = pb_x * tg_yyzzzzz_yyyyyyyz_0[j] + fr * tg_yyzzzzz_yyyyyyyz_1[j];

                    tg_xyyzzzzz_yyyyyyzz_0[j] = pb_x * tg_yyzzzzz_yyyyyyzz_0[j] + fr * tg_yyzzzzz_yyyyyyzz_1[j];

                    tg_xyyzzzzz_yyyyyzzz_0[j] = pb_x * tg_yyzzzzz_yyyyyzzz_0[j] + fr * tg_yyzzzzz_yyyyyzzz_1[j];

                    tg_xyyzzzzz_yyyyzzzz_0[j] = pb_x * tg_yyzzzzz_yyyyzzzz_0[j] + fr * tg_yyzzzzz_yyyyzzzz_1[j];

                    tg_xyyzzzzz_yyyzzzzz_0[j] = pb_x * tg_yyzzzzz_yyyzzzzz_0[j] + fr * tg_yyzzzzz_yyyzzzzz_1[j];

                    tg_xyyzzzzz_yyzzzzzz_0[j] = pb_x * tg_yyzzzzz_yyzzzzzz_0[j] + fr * tg_yyzzzzz_yyzzzzzz_1[j];

                    tg_xyyzzzzz_yzzzzzzz_0[j] = pb_x * tg_yyzzzzz_yzzzzzzz_0[j] + fr * tg_yyzzzzz_yzzzzzzz_1[j];

                    tg_xyyzzzzz_zzzzzzzz_0[j] = pb_x * tg_yyzzzzz_zzzzzzzz_0[j] + fr * tg_yyzzzzz_zzzzzzzz_1[j];

                    tg_xyzzzzzz_xxxxxxxx_0[j] = pb_x * tg_yzzzzzz_xxxxxxxx_0[j] + fr * tg_yzzzzzz_xxxxxxxx_1[j] + 4.0 * fl1_fxn * tg_yzzzzzz_xxxxxxx_1[j];

                    tg_xyzzzzzz_xxxxxxxy_0[j] = pb_x * tg_yzzzzzz_xxxxxxxy_0[j] + fr * tg_yzzzzzz_xxxxxxxy_1[j] + 3.5 * fl1_fxn * tg_yzzzzzz_xxxxxxy_1[j];

                    tg_xyzzzzzz_xxxxxxxz_0[j] = pb_x * tg_yzzzzzz_xxxxxxxz_0[j] + fr * tg_yzzzzzz_xxxxxxxz_1[j] + 3.5 * fl1_fxn * tg_yzzzzzz_xxxxxxz_1[j];

                    tg_xyzzzzzz_xxxxxxyy_0[j] = pb_x * tg_yzzzzzz_xxxxxxyy_0[j] + fr * tg_yzzzzzz_xxxxxxyy_1[j] + 3.0 * fl1_fxn * tg_yzzzzzz_xxxxxyy_1[j];

                    tg_xyzzzzzz_xxxxxxyz_0[j] = pb_x * tg_yzzzzzz_xxxxxxyz_0[j] + fr * tg_yzzzzzz_xxxxxxyz_1[j] + 3.0 * fl1_fxn * tg_yzzzzzz_xxxxxyz_1[j];

                    tg_xyzzzzzz_xxxxxxzz_0[j] = pb_x * tg_yzzzzzz_xxxxxxzz_0[j] + fr * tg_yzzzzzz_xxxxxxzz_1[j] + 3.0 * fl1_fxn * tg_yzzzzzz_xxxxxzz_1[j];

                    tg_xyzzzzzz_xxxxxyyy_0[j] = pb_x * tg_yzzzzzz_xxxxxyyy_0[j] + fr * tg_yzzzzzz_xxxxxyyy_1[j] + 2.5 * fl1_fxn * tg_yzzzzzz_xxxxyyy_1[j];

                    tg_xyzzzzzz_xxxxxyyz_0[j] = pb_x * tg_yzzzzzz_xxxxxyyz_0[j] + fr * tg_yzzzzzz_xxxxxyyz_1[j] + 2.5 * fl1_fxn * tg_yzzzzzz_xxxxyyz_1[j];

                    tg_xyzzzzzz_xxxxxyzz_0[j] = pb_x * tg_yzzzzzz_xxxxxyzz_0[j] + fr * tg_yzzzzzz_xxxxxyzz_1[j] + 2.5 * fl1_fxn * tg_yzzzzzz_xxxxyzz_1[j];

                    tg_xyzzzzzz_xxxxxzzz_0[j] = pb_x * tg_yzzzzzz_xxxxxzzz_0[j] + fr * tg_yzzzzzz_xxxxxzzz_1[j] + 2.5 * fl1_fxn * tg_yzzzzzz_xxxxzzz_1[j];

                    tg_xyzzzzzz_xxxxyyyy_0[j] = pb_x * tg_yzzzzzz_xxxxyyyy_0[j] + fr * tg_yzzzzzz_xxxxyyyy_1[j] + 2.0 * fl1_fxn * tg_yzzzzzz_xxxyyyy_1[j];

                    tg_xyzzzzzz_xxxxyyyz_0[j] = pb_x * tg_yzzzzzz_xxxxyyyz_0[j] + fr * tg_yzzzzzz_xxxxyyyz_1[j] + 2.0 * fl1_fxn * tg_yzzzzzz_xxxyyyz_1[j];

                    tg_xyzzzzzz_xxxxyyzz_0[j] = pb_x * tg_yzzzzzz_xxxxyyzz_0[j] + fr * tg_yzzzzzz_xxxxyyzz_1[j] + 2.0 * fl1_fxn * tg_yzzzzzz_xxxyyzz_1[j];

                    tg_xyzzzzzz_xxxxyzzz_0[j] = pb_x * tg_yzzzzzz_xxxxyzzz_0[j] + fr * tg_yzzzzzz_xxxxyzzz_1[j] + 2.0 * fl1_fxn * tg_yzzzzzz_xxxyzzz_1[j];

                    tg_xyzzzzzz_xxxxzzzz_0[j] = pb_x * tg_yzzzzzz_xxxxzzzz_0[j] + fr * tg_yzzzzzz_xxxxzzzz_1[j] + 2.0 * fl1_fxn * tg_yzzzzzz_xxxzzzz_1[j];
                }

                idx++;
            }
        }
    }

    void
    compElectronRepulsionForSLSL_1545_1641(      CMemBlock2D<double>* primBuffer,
                                           const CRecursionMap&       recursionMap,
                                           const CMemBlock2D<double>& osFactors,
                                           const CMemBlock2D<double>& wpDistances,
                                           const CGtoPairsBlock&      braGtoPairsBlock,
                                           const CGtoPairsBlock&      ketGtoPairsBlock,
                                           const int32_t              nKetPrimPairs,
                                           const int32_t              iContrPair)
    {
        // Batch of Integrals (1545,1641)

        // set up pointers to primitives data on bra side

        auto spos = braGtoPairsBlock.getStartPositions();

        auto epos = braGtoPairsBlock.getEndPositions();

        // set up pointers to tensor of distance R(PB) = P - B

        auto r_pb_x = braGtoPairsBlock.getDistancesPBX();

        auto r_pb_y = braGtoPairsBlock.getDistancesPBY();

        // set up pointers to common Obara-Saika factors

        auto b_fx = braGtoPairsBlock.getFactorsOneOverXi();

        // set up maximum order of integral

        auto mord = recursionMap.getMaxOrder({"Electron Repulsion"},
                                             {8, -1, -1, -1},
                                             {8, -1, -1, -1},
                                             1, 1);

        for (int32_t iord = 0; iord <= mord; iord++)
        {
            // set up index of integral

            auto pidx_g_8_8_m0 = recursionMap.index(CRecursionTerm({"Electron Repulsion"}, 0, true, 
                                                                   {8, -1, -1, -1}, {8, -1, -1, -1}, 
                                                                   1, 1, iord));

            // check if integral is needed in recursion expansion

            if (pidx_g_8_8_m0 == -1) continue;

            // set up indexes of auxilary integral

            auto pidx_g_7_8_m0 = recursionMap.index(CRecursionTerm({"Electron Repulsion"}, 0, true, 
                                                                   {7, -1, -1, -1}, {8, -1, -1, -1}, 
                                                                   1, 1, iord));

            auto pidx_g_7_8_m1 = recursionMap.index(CRecursionTerm({"Electron Repulsion"}, 0, true, 
                                                                   {7, -1, -1, -1}, {8, -1, -1, -1}, 
                                                                   1, 1, iord + 1));

            auto pidx_g_7_7_m1 = recursionMap.index(CRecursionTerm({"Electron Repulsion"}, 0, true, 
                                                                   {7, -1, -1, -1}, {7, -1, -1, -1}, 
                                                                   1, 1, iord + 1));

            auto pidx_g_6_8_m0 = recursionMap.index(CRecursionTerm({"Electron Repulsion"}, 0, true, 
                                                                   {6, -1, -1, -1}, {8, -1, -1, -1}, 
                                                                   1, 1, iord));

            auto pidx_g_6_8_m1 = recursionMap.index(CRecursionTerm({"Electron Repulsion"}, 0, true, 
                                                                   {6, -1, -1, -1}, {8, -1, -1, -1}, 
                                                                   1, 1, iord + 1));

            // loop over contracted GTO on bra side

            int32_t idx = 0;

            for (int32_t i = spos[iContrPair]; i < epos[iContrPair]; i++)
            {
                // set up pointers to Obara-Saika factors

                double fx = b_fx[i];

                auto fza = osFactors.data(4 * idx + 2);

                auto fxn = osFactors.data(4 * idx);

                // set up distances R(PB) = P - B

                auto pb_x = r_pb_x[i];

                auto pb_y = r_pb_y[i];

                // set up pointers to tensors product of distances R(WP) = W - P

                auto wp_x = wpDistances.data(3 * idx);

                auto wp_y = wpDistances.data(3 * idx + 1);

                // set up pointers to auxilary integrals

                auto tg_yyyyyyy_xxxxxxxx_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1260); 

                auto tg_yyyyyyy_xxxxxxxy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1261); 

                auto tg_yyyyyyy_xxxxxxxz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1262); 

                auto tg_yyyyyyy_xxxxxxyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1263); 

                auto tg_yyyyyyy_xxxxxxyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1264); 

                auto tg_yyyyyyy_xxxxxxzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1265); 

                auto tg_yyyyyyy_xxxxxyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1266); 

                auto tg_yyyyyyy_xxxxxyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1267); 

                auto tg_yyyyyyy_xxxxxyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1268); 

                auto tg_yyyyyyy_xxxxxzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1269); 

                auto tg_yyyyyyy_xxxxyyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1270); 

                auto tg_yyyyyyy_xxxxyyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1271); 

                auto tg_yyyyyyy_xxxxyyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1272); 

                auto tg_yyyyyyy_xxxxyzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1273); 

                auto tg_yyyyyyy_xxxxzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1274); 

                auto tg_yyyyyyy_xxxyyyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1275); 

                auto tg_yyyyyyy_xxxyyyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1276); 

                auto tg_yyyyyyy_xxxyyyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1277); 

                auto tg_yyyyyyy_xxxyyzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1278); 

                auto tg_yyyyyyy_xxxyzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1279); 

                auto tg_yyyyyyy_xxxzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1280); 

                auto tg_yzzzzzz_xxxyyyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1545); 

                auto tg_yzzzzzz_xxxyyyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1546); 

                auto tg_yzzzzzz_xxxyyyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1547); 

                auto tg_yzzzzzz_xxxyyzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1548); 

                auto tg_yzzzzzz_xxxyzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1549); 

                auto tg_yzzzzzz_xxxzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1550); 

                auto tg_yzzzzzz_xxyyyyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1551); 

                auto tg_yzzzzzz_xxyyyyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1552); 

                auto tg_yzzzzzz_xxyyyyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1553); 

                auto tg_yzzzzzz_xxyyyzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1554); 

                auto tg_yzzzzzz_xxyyzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1555); 

                auto tg_yzzzzzz_xxyzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1556); 

                auto tg_yzzzzzz_xxzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1557); 

                auto tg_yzzzzzz_xyyyyyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1558); 

                auto tg_yzzzzzz_xyyyyyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1559); 

                auto tg_yzzzzzz_xyyyyyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1560); 

                auto tg_yzzzzzz_xyyyyzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1561); 

                auto tg_yzzzzzz_xyyyzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1562); 

                auto tg_yzzzzzz_xyyzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1563); 

                auto tg_yzzzzzz_xyzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1564); 

                auto tg_yzzzzzz_xzzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1565); 

                auto tg_yzzzzzz_yyyyyyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1566); 

                auto tg_yzzzzzz_yyyyyyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1567); 

                auto tg_yzzzzzz_yyyyyyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1568); 

                auto tg_yzzzzzz_yyyyyzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1569); 

                auto tg_yzzzzzz_yyyyzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1570); 

                auto tg_yzzzzzz_yyyzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1571); 

                auto tg_yzzzzzz_yyzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1572); 

                auto tg_yzzzzzz_yzzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1573); 

                auto tg_yzzzzzz_zzzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1574); 

                auto tg_zzzzzzz_xxxxxxxx_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1575); 

                auto tg_zzzzzzz_xxxxxxxy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1576); 

                auto tg_zzzzzzz_xxxxxxxz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1577); 

                auto tg_zzzzzzz_xxxxxxyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1578); 

                auto tg_zzzzzzz_xxxxxxyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1579); 

                auto tg_zzzzzzz_xxxxxxzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1580); 

                auto tg_zzzzzzz_xxxxxyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1581); 

                auto tg_zzzzzzz_xxxxxyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1582); 

                auto tg_zzzzzzz_xxxxxyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1583); 

                auto tg_zzzzzzz_xxxxxzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1584); 

                auto tg_zzzzzzz_xxxxyyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1585); 

                auto tg_zzzzzzz_xxxxyyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1586); 

                auto tg_zzzzzzz_xxxxyyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1587); 

                auto tg_zzzzzzz_xxxxyzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1588); 

                auto tg_zzzzzzz_xxxxzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1589); 

                auto tg_zzzzzzz_xxxyyyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1590); 

                auto tg_zzzzzzz_xxxyyyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1591); 

                auto tg_zzzzzzz_xxxyyyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1592); 

                auto tg_zzzzzzz_xxxyyzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1593); 

                auto tg_zzzzzzz_xxxyzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1594); 

                auto tg_zzzzzzz_xxxzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1595); 

                auto tg_zzzzzzz_xxyyyyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1596); 

                auto tg_zzzzzzz_xxyyyyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1597); 

                auto tg_zzzzzzz_xxyyyyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1598); 

                auto tg_zzzzzzz_xxyyyzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1599); 

                auto tg_zzzzzzz_xxyyzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1600); 

                auto tg_zzzzzzz_xxyzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1601); 

                auto tg_zzzzzzz_xxzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1602); 

                auto tg_zzzzzzz_xyyyyyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1603); 

                auto tg_zzzzzzz_xyyyyyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1604); 

                auto tg_zzzzzzz_xyyyyyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1605); 

                auto tg_zzzzzzz_xyyyyzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1606); 

                auto tg_zzzzzzz_xyyyzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1607); 

                auto tg_zzzzzzz_xyyzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1608); 

                auto tg_zzzzzzz_xyzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1609); 

                auto tg_zzzzzzz_xzzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1610); 

                auto tg_zzzzzzz_yyyyyyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1611); 

                auto tg_zzzzzzz_yyyyyyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1612); 

                auto tg_zzzzzzz_yyyyyyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1613); 

                auto tg_zzzzzzz_yyyyyzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1614); 

                auto tg_zzzzzzz_yyyyzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1615); 

                auto tg_zzzzzzz_yyyzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1616); 

                auto tg_zzzzzzz_yyzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1617); 

                auto tg_zzzzzzz_yzzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1618); 

                auto tg_zzzzzzz_zzzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1619); 

                auto tg_yyyyyyy_xxxxxxxx_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1260); 

                auto tg_yyyyyyy_xxxxxxxy_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1261); 

                auto tg_yyyyyyy_xxxxxxxz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1262); 

                auto tg_yyyyyyy_xxxxxxyy_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1263); 

                auto tg_yyyyyyy_xxxxxxyz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1264); 

                auto tg_yyyyyyy_xxxxxxzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1265); 

                auto tg_yyyyyyy_xxxxxyyy_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1266); 

                auto tg_yyyyyyy_xxxxxyyz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1267); 

                auto tg_yyyyyyy_xxxxxyzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1268); 

                auto tg_yyyyyyy_xxxxxzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1269); 

                auto tg_yyyyyyy_xxxxyyyy_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1270); 

                auto tg_yyyyyyy_xxxxyyyz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1271); 

                auto tg_yyyyyyy_xxxxyyzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1272); 

                auto tg_yyyyyyy_xxxxyzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1273); 

                auto tg_yyyyyyy_xxxxzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1274); 

                auto tg_yyyyyyy_xxxyyyyy_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1275); 

                auto tg_yyyyyyy_xxxyyyyz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1276); 

                auto tg_yyyyyyy_xxxyyyzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1277); 

                auto tg_yyyyyyy_xxxyyzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1278); 

                auto tg_yyyyyyy_xxxyzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1279); 

                auto tg_yyyyyyy_xxxzzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1280); 

                auto tg_yzzzzzz_xxxyyyyy_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1545); 

                auto tg_yzzzzzz_xxxyyyyz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1546); 

                auto tg_yzzzzzz_xxxyyyzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1547); 

                auto tg_yzzzzzz_xxxyyzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1548); 

                auto tg_yzzzzzz_xxxyzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1549); 

                auto tg_yzzzzzz_xxxzzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1550); 

                auto tg_yzzzzzz_xxyyyyyy_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1551); 

                auto tg_yzzzzzz_xxyyyyyz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1552); 

                auto tg_yzzzzzz_xxyyyyzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1553); 

                auto tg_yzzzzzz_xxyyyzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1554); 

                auto tg_yzzzzzz_xxyyzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1555); 

                auto tg_yzzzzzz_xxyzzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1556); 

                auto tg_yzzzzzz_xxzzzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1557); 

                auto tg_yzzzzzz_xyyyyyyy_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1558); 

                auto tg_yzzzzzz_xyyyyyyz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1559); 

                auto tg_yzzzzzz_xyyyyyzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1560); 

                auto tg_yzzzzzz_xyyyyzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1561); 

                auto tg_yzzzzzz_xyyyzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1562); 

                auto tg_yzzzzzz_xyyzzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1563); 

                auto tg_yzzzzzz_xyzzzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1564); 

                auto tg_yzzzzzz_xzzzzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1565); 

                auto tg_yzzzzzz_yyyyyyyy_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1566); 

                auto tg_yzzzzzz_yyyyyyyz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1567); 

                auto tg_yzzzzzz_yyyyyyzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1568); 

                auto tg_yzzzzzz_yyyyyzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1569); 

                auto tg_yzzzzzz_yyyyzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1570); 

                auto tg_yzzzzzz_yyyzzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1571); 

                auto tg_yzzzzzz_yyzzzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1572); 

                auto tg_yzzzzzz_yzzzzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1573); 

                auto tg_yzzzzzz_zzzzzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1574); 

                auto tg_zzzzzzz_xxxxxxxx_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1575); 

                auto tg_zzzzzzz_xxxxxxxy_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1576); 

                auto tg_zzzzzzz_xxxxxxxz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1577); 

                auto tg_zzzzzzz_xxxxxxyy_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1578); 

                auto tg_zzzzzzz_xxxxxxyz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1579); 

                auto tg_zzzzzzz_xxxxxxzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1580); 

                auto tg_zzzzzzz_xxxxxyyy_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1581); 

                auto tg_zzzzzzz_xxxxxyyz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1582); 

                auto tg_zzzzzzz_xxxxxyzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1583); 

                auto tg_zzzzzzz_xxxxxzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1584); 

                auto tg_zzzzzzz_xxxxyyyy_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1585); 

                auto tg_zzzzzzz_xxxxyyyz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1586); 

                auto tg_zzzzzzz_xxxxyyzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1587); 

                auto tg_zzzzzzz_xxxxyzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1588); 

                auto tg_zzzzzzz_xxxxzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1589); 

                auto tg_zzzzzzz_xxxyyyyy_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1590); 

                auto tg_zzzzzzz_xxxyyyyz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1591); 

                auto tg_zzzzzzz_xxxyyyzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1592); 

                auto tg_zzzzzzz_xxxyyzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1593); 

                auto tg_zzzzzzz_xxxyzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1594); 

                auto tg_zzzzzzz_xxxzzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1595); 

                auto tg_zzzzzzz_xxyyyyyy_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1596); 

                auto tg_zzzzzzz_xxyyyyyz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1597); 

                auto tg_zzzzzzz_xxyyyyzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1598); 

                auto tg_zzzzzzz_xxyyyzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1599); 

                auto tg_zzzzzzz_xxyyzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1600); 

                auto tg_zzzzzzz_xxyzzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1601); 

                auto tg_zzzzzzz_xxzzzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1602); 

                auto tg_zzzzzzz_xyyyyyyy_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1603); 

                auto tg_zzzzzzz_xyyyyyyz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1604); 

                auto tg_zzzzzzz_xyyyyyzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1605); 

                auto tg_zzzzzzz_xyyyyzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1606); 

                auto tg_zzzzzzz_xyyyzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1607); 

                auto tg_zzzzzzz_xyyzzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1608); 

                auto tg_zzzzzzz_xyzzzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1609); 

                auto tg_zzzzzzz_xzzzzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1610); 

                auto tg_zzzzzzz_yyyyyyyy_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1611); 

                auto tg_zzzzzzz_yyyyyyyz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1612); 

                auto tg_zzzzzzz_yyyyyyzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1613); 

                auto tg_zzzzzzz_yyyyyzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1614); 

                auto tg_zzzzzzz_yyyyzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1615); 

                auto tg_zzzzzzz_yyyzzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1616); 

                auto tg_zzzzzzz_yyzzzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1617); 

                auto tg_zzzzzzz_yzzzzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1618); 

                auto tg_zzzzzzz_zzzzzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1619); 

                auto tg_yyyyyy_xxxxxxxx_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 945); 

                auto tg_yyyyyy_xxxxxxxy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 946); 

                auto tg_yyyyyy_xxxxxxxz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 947); 

                auto tg_yyyyyy_xxxxxxyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 948); 

                auto tg_yyyyyy_xxxxxxyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 949); 

                auto tg_yyyyyy_xxxxxxzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 950); 

                auto tg_yyyyyy_xxxxxyyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 951); 

                auto tg_yyyyyy_xxxxxyyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 952); 

                auto tg_yyyyyy_xxxxxyzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 953); 

                auto tg_yyyyyy_xxxxxzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 954); 

                auto tg_yyyyyy_xxxxyyyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 955); 

                auto tg_yyyyyy_xxxxyyyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 956); 

                auto tg_yyyyyy_xxxxyyzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 957); 

                auto tg_yyyyyy_xxxxyzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 958); 

                auto tg_yyyyyy_xxxxzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 959); 

                auto tg_yyyyyy_xxxyyyyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 960); 

                auto tg_yyyyyy_xxxyyyyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 961); 

                auto tg_yyyyyy_xxxyyyzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 962); 

                auto tg_yyyyyy_xxxyyzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 963); 

                auto tg_yyyyyy_xxxyzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 964); 

                auto tg_yyyyyy_xxxzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 965); 

                auto tg_yyyyyy_xxxxxxxx_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 945); 

                auto tg_yyyyyy_xxxxxxxy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 946); 

                auto tg_yyyyyy_xxxxxxxz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 947); 

                auto tg_yyyyyy_xxxxxxyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 948); 

                auto tg_yyyyyy_xxxxxxyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 949); 

                auto tg_yyyyyy_xxxxxxzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 950); 

                auto tg_yyyyyy_xxxxxyyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 951); 

                auto tg_yyyyyy_xxxxxyyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 952); 

                auto tg_yyyyyy_xxxxxyzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 953); 

                auto tg_yyyyyy_xxxxxzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 954); 

                auto tg_yyyyyy_xxxxyyyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 955); 

                auto tg_yyyyyy_xxxxyyyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 956); 

                auto tg_yyyyyy_xxxxyyzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 957); 

                auto tg_yyyyyy_xxxxyzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 958); 

                auto tg_yyyyyy_xxxxzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 959); 

                auto tg_yyyyyy_xxxyyyyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 960); 

                auto tg_yyyyyy_xxxyyyyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 961); 

                auto tg_yyyyyy_xxxyyyzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 962); 

                auto tg_yyyyyy_xxxyyzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 963); 

                auto tg_yyyyyy_xxxyzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 964); 

                auto tg_yyyyyy_xxxzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 965); 

                auto tg_yyyyyyy_xxxxxxx_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1008); 

                auto tg_yyyyyyy_xxxxxxy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1009); 

                auto tg_yyyyyyy_xxxxxxz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1010); 

                auto tg_yyyyyyy_xxxxxyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1011); 

                auto tg_yyyyyyy_xxxxxyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1012); 

                auto tg_yyyyyyy_xxxxxzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1013); 

                auto tg_yyyyyyy_xxxxyyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1014); 

                auto tg_yyyyyyy_xxxxyyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1015); 

                auto tg_yyyyyyy_xxxxyzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1016); 

                auto tg_yyyyyyy_xxxxzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1017); 

                auto tg_yyyyyyy_xxxyyyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1018); 

                auto tg_yyyyyyy_xxxyyyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1019); 

                auto tg_yyyyyyy_xxxyyzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1020); 

                auto tg_yyyyyyy_xxxyzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1021); 

                auto tg_yyyyyyy_xxxzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1022); 

                auto tg_yzzzzzz_xxyyyyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1239); 

                auto tg_yzzzzzz_xxyyyyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1240); 

                auto tg_yzzzzzz_xxyyyzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1241); 

                auto tg_yzzzzzz_xxyyzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1242); 

                auto tg_yzzzzzz_xxyzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1243); 

                auto tg_yzzzzzz_xxzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1244); 

                auto tg_yzzzzzz_xyyyyyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1245); 

                auto tg_yzzzzzz_xyyyyyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1246); 

                auto tg_yzzzzzz_xyyyyzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1247); 

                auto tg_yzzzzzz_xyyyzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1248); 

                auto tg_yzzzzzz_xyyzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1249); 

                auto tg_yzzzzzz_xyzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1250); 

                auto tg_yzzzzzz_xzzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1251); 

                auto tg_yzzzzzz_yyyyyyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1252); 

                auto tg_yzzzzzz_yyyyyyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1253); 

                auto tg_yzzzzzz_yyyyyzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1254); 

                auto tg_yzzzzzz_yyyyzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1255); 

                auto tg_yzzzzzz_yyyzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1256); 

                auto tg_yzzzzzz_yyzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1257); 

                auto tg_yzzzzzz_yzzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1258); 

                auto tg_yzzzzzz_zzzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1259); 

                auto tg_zzzzzzz_xxxxxxx_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1260); 

                auto tg_zzzzzzz_xxxxxxy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1261); 

                auto tg_zzzzzzz_xxxxxxz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1262); 

                auto tg_zzzzzzz_xxxxxyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1263); 

                auto tg_zzzzzzz_xxxxxyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1264); 

                auto tg_zzzzzzz_xxxxxzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1265); 

                auto tg_zzzzzzz_xxxxyyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1266); 

                auto tg_zzzzzzz_xxxxyyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1267); 

                auto tg_zzzzzzz_xxxxyzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1268); 

                auto tg_zzzzzzz_xxxxzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1269); 

                auto tg_zzzzzzz_xxxyyyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1270); 

                auto tg_zzzzzzz_xxxyyyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1271); 

                auto tg_zzzzzzz_xxxyyzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1272); 

                auto tg_zzzzzzz_xxxyzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1273); 

                auto tg_zzzzzzz_xxxzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1274); 

                auto tg_zzzzzzz_xxyyyyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1275); 

                auto tg_zzzzzzz_xxyyyyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1276); 

                auto tg_zzzzzzz_xxyyyzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1277); 

                auto tg_zzzzzzz_xxyyzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1278); 

                auto tg_zzzzzzz_xxyzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1279); 

                auto tg_zzzzzzz_xxzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1280); 

                auto tg_zzzzzzz_xyyyyyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1281); 

                auto tg_zzzzzzz_xyyyyyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1282); 

                auto tg_zzzzzzz_xyyyyzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1283); 

                auto tg_zzzzzzz_xyyyzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1284); 

                auto tg_zzzzzzz_xyyzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1285); 

                auto tg_zzzzzzz_xyzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1286); 

                auto tg_zzzzzzz_xzzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1287); 

                auto tg_zzzzzzz_yyyyyyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1288); 

                auto tg_zzzzzzz_yyyyyyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1289); 

                auto tg_zzzzzzz_yyyyyzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1290); 

                auto tg_zzzzzzz_yyyyzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1291); 

                auto tg_zzzzzzz_yyyzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1292); 

                auto tg_zzzzzzz_yyzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1293); 

                auto tg_zzzzzzz_yzzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1294); 

                auto tg_zzzzzzz_zzzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1295); 

                // set up pointers to integrals

                auto tg_xyzzzzzz_xxxyyyyy_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1545); 

                auto tg_xyzzzzzz_xxxyyyyz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1546); 

                auto tg_xyzzzzzz_xxxyyyzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1547); 

                auto tg_xyzzzzzz_xxxyyzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1548); 

                auto tg_xyzzzzzz_xxxyzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1549); 

                auto tg_xyzzzzzz_xxxzzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1550); 

                auto tg_xyzzzzzz_xxyyyyyy_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1551); 

                auto tg_xyzzzzzz_xxyyyyyz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1552); 

                auto tg_xyzzzzzz_xxyyyyzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1553); 

                auto tg_xyzzzzzz_xxyyyzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1554); 

                auto tg_xyzzzzzz_xxyyzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1555); 

                auto tg_xyzzzzzz_xxyzzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1556); 

                auto tg_xyzzzzzz_xxzzzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1557); 

                auto tg_xyzzzzzz_xyyyyyyy_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1558); 

                auto tg_xyzzzzzz_xyyyyyyz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1559); 

                auto tg_xyzzzzzz_xyyyyyzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1560); 

                auto tg_xyzzzzzz_xyyyyzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1561); 

                auto tg_xyzzzzzz_xyyyzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1562); 

                auto tg_xyzzzzzz_xyyzzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1563); 

                auto tg_xyzzzzzz_xyzzzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1564); 

                auto tg_xyzzzzzz_xzzzzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1565); 

                auto tg_xyzzzzzz_yyyyyyyy_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1566); 

                auto tg_xyzzzzzz_yyyyyyyz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1567); 

                auto tg_xyzzzzzz_yyyyyyzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1568); 

                auto tg_xyzzzzzz_yyyyyzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1569); 

                auto tg_xyzzzzzz_yyyyzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1570); 

                auto tg_xyzzzzzz_yyyzzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1571); 

                auto tg_xyzzzzzz_yyzzzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1572); 

                auto tg_xyzzzzzz_yzzzzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1573); 

                auto tg_xyzzzzzz_zzzzzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1574); 

                auto tg_xzzzzzzz_xxxxxxxx_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1575); 

                auto tg_xzzzzzzz_xxxxxxxy_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1576); 

                auto tg_xzzzzzzz_xxxxxxxz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1577); 

                auto tg_xzzzzzzz_xxxxxxyy_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1578); 

                auto tg_xzzzzzzz_xxxxxxyz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1579); 

                auto tg_xzzzzzzz_xxxxxxzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1580); 

                auto tg_xzzzzzzz_xxxxxyyy_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1581); 

                auto tg_xzzzzzzz_xxxxxyyz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1582); 

                auto tg_xzzzzzzz_xxxxxyzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1583); 

                auto tg_xzzzzzzz_xxxxxzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1584); 

                auto tg_xzzzzzzz_xxxxyyyy_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1585); 

                auto tg_xzzzzzzz_xxxxyyyz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1586); 

                auto tg_xzzzzzzz_xxxxyyzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1587); 

                auto tg_xzzzzzzz_xxxxyzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1588); 

                auto tg_xzzzzzzz_xxxxzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1589); 

                auto tg_xzzzzzzz_xxxyyyyy_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1590); 

                auto tg_xzzzzzzz_xxxyyyyz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1591); 

                auto tg_xzzzzzzz_xxxyyyzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1592); 

                auto tg_xzzzzzzz_xxxyyzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1593); 

                auto tg_xzzzzzzz_xxxyzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1594); 

                auto tg_xzzzzzzz_xxxzzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1595); 

                auto tg_xzzzzzzz_xxyyyyyy_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1596); 

                auto tg_xzzzzzzz_xxyyyyyz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1597); 

                auto tg_xzzzzzzz_xxyyyyzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1598); 

                auto tg_xzzzzzzz_xxyyyzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1599); 

                auto tg_xzzzzzzz_xxyyzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1600); 

                auto tg_xzzzzzzz_xxyzzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1601); 

                auto tg_xzzzzzzz_xxzzzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1602); 

                auto tg_xzzzzzzz_xyyyyyyy_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1603); 

                auto tg_xzzzzzzz_xyyyyyyz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1604); 

                auto tg_xzzzzzzz_xyyyyyzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1605); 

                auto tg_xzzzzzzz_xyyyyzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1606); 

                auto tg_xzzzzzzz_xyyyzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1607); 

                auto tg_xzzzzzzz_xyyzzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1608); 

                auto tg_xzzzzzzz_xyzzzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1609); 

                auto tg_xzzzzzzz_xzzzzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1610); 

                auto tg_xzzzzzzz_yyyyyyyy_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1611); 

                auto tg_xzzzzzzz_yyyyyyyz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1612); 

                auto tg_xzzzzzzz_yyyyyyzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1613); 

                auto tg_xzzzzzzz_yyyyyzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1614); 

                auto tg_xzzzzzzz_yyyyzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1615); 

                auto tg_xzzzzzzz_yyyzzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1616); 

                auto tg_xzzzzzzz_yyzzzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1617); 

                auto tg_xzzzzzzz_yzzzzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1618); 

                auto tg_xzzzzzzz_zzzzzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1619); 

                auto tg_yyyyyyyy_xxxxxxxx_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1620); 

                auto tg_yyyyyyyy_xxxxxxxy_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1621); 

                auto tg_yyyyyyyy_xxxxxxxz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1622); 

                auto tg_yyyyyyyy_xxxxxxyy_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1623); 

                auto tg_yyyyyyyy_xxxxxxyz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1624); 

                auto tg_yyyyyyyy_xxxxxxzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1625); 

                auto tg_yyyyyyyy_xxxxxyyy_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1626); 

                auto tg_yyyyyyyy_xxxxxyyz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1627); 

                auto tg_yyyyyyyy_xxxxxyzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1628); 

                auto tg_yyyyyyyy_xxxxxzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1629); 

                auto tg_yyyyyyyy_xxxxyyyy_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1630); 

                auto tg_yyyyyyyy_xxxxyyyz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1631); 

                auto tg_yyyyyyyy_xxxxyyzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1632); 

                auto tg_yyyyyyyy_xxxxyzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1633); 

                auto tg_yyyyyyyy_xxxxzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1634); 

                auto tg_yyyyyyyy_xxxyyyyy_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1635); 

                auto tg_yyyyyyyy_xxxyyyyz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1636); 

                auto tg_yyyyyyyy_xxxyyyzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1637); 

                auto tg_yyyyyyyy_xxxyyzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1638); 

                auto tg_yyyyyyyy_xxxyzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1639); 

                auto tg_yyyyyyyy_xxxzzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1640); 

                // Batch of Integrals (1545,1641)

                #pragma omp simd aligned(fxn, fza, tg_xyzzzzzz_xxxyyyyy_0, tg_xyzzzzzz_xxxyyyyz_0, \
                                         tg_xyzzzzzz_xxxyyyzz_0, tg_xyzzzzzz_xxxyyzzz_0, tg_xyzzzzzz_xxxyzzzz_0, \
                                         tg_xyzzzzzz_xxxzzzzz_0, tg_xyzzzzzz_xxyyyyyy_0, tg_xyzzzzzz_xxyyyyyz_0, \
                                         tg_xyzzzzzz_xxyyyyzz_0, tg_xyzzzzzz_xxyyyzzz_0, tg_xyzzzzzz_xxyyzzzz_0, \
                                         tg_xyzzzzzz_xxyzzzzz_0, tg_xyzzzzzz_xxzzzzzz_0, tg_xyzzzzzz_xyyyyyyy_0, \
                                         tg_xyzzzzzz_xyyyyyyz_0, tg_xyzzzzzz_xyyyyyzz_0, tg_xyzzzzzz_xyyyyzzz_0, \
                                         tg_xyzzzzzz_xyyyzzzz_0, tg_xyzzzzzz_xyyzzzzz_0, tg_xyzzzzzz_xyzzzzzz_0, \
                                         tg_xyzzzzzz_xzzzzzzz_0, tg_xyzzzzzz_yyyyyyyy_0, tg_xyzzzzzz_yyyyyyyz_0, \
                                         tg_xyzzzzzz_yyyyyyzz_0, tg_xyzzzzzz_yyyyyzzz_0, tg_xyzzzzzz_yyyyzzzz_0, \
                                         tg_xyzzzzzz_yyyzzzzz_0, tg_xyzzzzzz_yyzzzzzz_0, tg_xyzzzzzz_yzzzzzzz_0, \
                                         tg_xyzzzzzz_zzzzzzzz_0, tg_xzzzzzzz_xxxxxxxx_0, tg_xzzzzzzz_xxxxxxxy_0, \
                                         tg_xzzzzzzz_xxxxxxxz_0, tg_xzzzzzzz_xxxxxxyy_0, tg_xzzzzzzz_xxxxxxyz_0, \
                                         tg_xzzzzzzz_xxxxxxzz_0, tg_xzzzzzzz_xxxxxyyy_0, tg_xzzzzzzz_xxxxxyyz_0, \
                                         tg_xzzzzzzz_xxxxxyzz_0, tg_xzzzzzzz_xxxxxzzz_0, tg_xzzzzzzz_xxxxyyyy_0, \
                                         tg_xzzzzzzz_xxxxyyyz_0, tg_xzzzzzzz_xxxxyyzz_0, tg_xzzzzzzz_xxxxyzzz_0, \
                                         tg_xzzzzzzz_xxxxzzzz_0, tg_xzzzzzzz_xxxyyyyy_0, tg_xzzzzzzz_xxxyyyyz_0, \
                                         tg_xzzzzzzz_xxxyyyzz_0, tg_xzzzzzzz_xxxyyzzz_0, tg_xzzzzzzz_xxxyzzzz_0, \
                                         tg_xzzzzzzz_xxxzzzzz_0, tg_xzzzzzzz_xxyyyyyy_0, tg_xzzzzzzz_xxyyyyyz_0, \
                                         tg_xzzzzzzz_xxyyyyzz_0, tg_xzzzzzzz_xxyyyzzz_0, tg_xzzzzzzz_xxyyzzzz_0, \
                                         tg_xzzzzzzz_xxyzzzzz_0, tg_xzzzzzzz_xxzzzzzz_0, tg_xzzzzzzz_xyyyyyyy_0, \
                                         tg_xzzzzzzz_xyyyyyyz_0, tg_xzzzzzzz_xyyyyyzz_0, tg_xzzzzzzz_xyyyyzzz_0, \
                                         tg_xzzzzzzz_xyyyzzzz_0, tg_xzzzzzzz_xyyzzzzz_0, tg_xzzzzzzz_xyzzzzzz_0, \
                                         tg_xzzzzzzz_xzzzzzzz_0, tg_xzzzzzzz_yyyyyyyy_0, tg_xzzzzzzz_yyyyyyyz_0, \
                                         tg_xzzzzzzz_yyyyyyzz_0, tg_xzzzzzzz_yyyyyzzz_0, tg_xzzzzzzz_yyyyzzzz_0, \
                                         tg_xzzzzzzz_yyyzzzzz_0, tg_xzzzzzzz_yyzzzzzz_0, tg_xzzzzzzz_yzzzzzzz_0, \
                                         tg_xzzzzzzz_zzzzzzzz_0, tg_yyyyyy_xxxxxxxx_0, tg_yyyyyy_xxxxxxxx_1, tg_yyyyyy_xxxxxxxy_0, \
                                         tg_yyyyyy_xxxxxxxy_1, tg_yyyyyy_xxxxxxxz_0, tg_yyyyyy_xxxxxxxz_1, tg_yyyyyy_xxxxxxyy_0, \
                                         tg_yyyyyy_xxxxxxyy_1, tg_yyyyyy_xxxxxxyz_0, tg_yyyyyy_xxxxxxyz_1, tg_yyyyyy_xxxxxxzz_0, \
                                         tg_yyyyyy_xxxxxxzz_1, tg_yyyyyy_xxxxxyyy_0, tg_yyyyyy_xxxxxyyy_1, tg_yyyyyy_xxxxxyyz_0, \
                                         tg_yyyyyy_xxxxxyyz_1, tg_yyyyyy_xxxxxyzz_0, tg_yyyyyy_xxxxxyzz_1, tg_yyyyyy_xxxxxzzz_0, \
                                         tg_yyyyyy_xxxxxzzz_1, tg_yyyyyy_xxxxyyyy_0, tg_yyyyyy_xxxxyyyy_1, tg_yyyyyy_xxxxyyyz_0, \
                                         tg_yyyyyy_xxxxyyyz_1, tg_yyyyyy_xxxxyyzz_0, tg_yyyyyy_xxxxyyzz_1, tg_yyyyyy_xxxxyzzz_0, \
                                         tg_yyyyyy_xxxxyzzz_1, tg_yyyyyy_xxxxzzzz_0, tg_yyyyyy_xxxxzzzz_1, tg_yyyyyy_xxxyyyyy_0, \
                                         tg_yyyyyy_xxxyyyyy_1, tg_yyyyyy_xxxyyyyz_0, tg_yyyyyy_xxxyyyyz_1, tg_yyyyyy_xxxyyyzz_0, \
                                         tg_yyyyyy_xxxyyyzz_1, tg_yyyyyy_xxxyyzzz_0, tg_yyyyyy_xxxyyzzz_1, tg_yyyyyy_xxxyzzzz_0, \
                                         tg_yyyyyy_xxxyzzzz_1, tg_yyyyyy_xxxzzzzz_0, tg_yyyyyy_xxxzzzzz_1, tg_yyyyyyy_xxxxxxx_1, \
                                         tg_yyyyyyy_xxxxxxxx_0, tg_yyyyyyy_xxxxxxxx_1, tg_yyyyyyy_xxxxxxxy_0, \
                                         tg_yyyyyyy_xxxxxxxy_1, tg_yyyyyyy_xxxxxxxz_0, tg_yyyyyyy_xxxxxxxz_1, \
                                         tg_yyyyyyy_xxxxxxy_1, tg_yyyyyyy_xxxxxxyy_0, tg_yyyyyyy_xxxxxxyy_1, \
                                         tg_yyyyyyy_xxxxxxyz_0, tg_yyyyyyy_xxxxxxyz_1, tg_yyyyyyy_xxxxxxz_1, \
                                         tg_yyyyyyy_xxxxxxzz_0, tg_yyyyyyy_xxxxxxzz_1, tg_yyyyyyy_xxxxxyy_1, \
                                         tg_yyyyyyy_xxxxxyyy_0, tg_yyyyyyy_xxxxxyyy_1, tg_yyyyyyy_xxxxxyyz_0, \
                                         tg_yyyyyyy_xxxxxyyz_1, tg_yyyyyyy_xxxxxyz_1, tg_yyyyyyy_xxxxxyzz_0, \
                                         tg_yyyyyyy_xxxxxyzz_1, tg_yyyyyyy_xxxxxzz_1, tg_yyyyyyy_xxxxxzzz_0, \
                                         tg_yyyyyyy_xxxxxzzz_1, tg_yyyyyyy_xxxxyyy_1, tg_yyyyyyy_xxxxyyyy_0, \
                                         tg_yyyyyyy_xxxxyyyy_1, tg_yyyyyyy_xxxxyyyz_0, tg_yyyyyyy_xxxxyyyz_1, \
                                         tg_yyyyyyy_xxxxyyz_1, tg_yyyyyyy_xxxxyyzz_0, tg_yyyyyyy_xxxxyyzz_1, \
                                         tg_yyyyyyy_xxxxyzz_1, tg_yyyyyyy_xxxxyzzz_0, tg_yyyyyyy_xxxxyzzz_1, \
                                         tg_yyyyyyy_xxxxzzz_1, tg_yyyyyyy_xxxxzzzz_0, tg_yyyyyyy_xxxxzzzz_1, \
                                         tg_yyyyyyy_xxxyyyy_1, tg_yyyyyyy_xxxyyyyy_0, tg_yyyyyyy_xxxyyyyy_1, \
                                         tg_yyyyyyy_xxxyyyyz_0, tg_yyyyyyy_xxxyyyyz_1, tg_yyyyyyy_xxxyyyz_1, \
                                         tg_yyyyyyy_xxxyyyzz_0, tg_yyyyyyy_xxxyyyzz_1, tg_yyyyyyy_xxxyyzz_1, \
                                         tg_yyyyyyy_xxxyyzzz_0, tg_yyyyyyy_xxxyyzzz_1, tg_yyyyyyy_xxxyzzz_1, \
                                         tg_yyyyyyy_xxxyzzzz_0, tg_yyyyyyy_xxxyzzzz_1, tg_yyyyyyy_xxxzzzz_1, \
                                         tg_yyyyyyy_xxxzzzzz_0, tg_yyyyyyy_xxxzzzzz_1, tg_yyyyyyyy_xxxxxxxx_0, \
                                         tg_yyyyyyyy_xxxxxxxy_0, tg_yyyyyyyy_xxxxxxxz_0, tg_yyyyyyyy_xxxxxxyy_0, \
                                         tg_yyyyyyyy_xxxxxxyz_0, tg_yyyyyyyy_xxxxxxzz_0, tg_yyyyyyyy_xxxxxyyy_0, \
                                         tg_yyyyyyyy_xxxxxyyz_0, tg_yyyyyyyy_xxxxxyzz_0, tg_yyyyyyyy_xxxxxzzz_0, \
                                         tg_yyyyyyyy_xxxxyyyy_0, tg_yyyyyyyy_xxxxyyyz_0, tg_yyyyyyyy_xxxxyyzz_0, \
                                         tg_yyyyyyyy_xxxxyzzz_0, tg_yyyyyyyy_xxxxzzzz_0, tg_yyyyyyyy_xxxyyyyy_0, \
                                         tg_yyyyyyyy_xxxyyyyz_0, tg_yyyyyyyy_xxxyyyzz_0, tg_yyyyyyyy_xxxyyzzz_0, \
                                         tg_yyyyyyyy_xxxyzzzz_0, tg_yyyyyyyy_xxxzzzzz_0, tg_yzzzzzz_xxxyyyyy_0, \
                                         tg_yzzzzzz_xxxyyyyy_1, tg_yzzzzzz_xxxyyyyz_0, tg_yzzzzzz_xxxyyyyz_1, \
                                         tg_yzzzzzz_xxxyyyzz_0, tg_yzzzzzz_xxxyyyzz_1, tg_yzzzzzz_xxxyyzzz_0, \
                                         tg_yzzzzzz_xxxyyzzz_1, tg_yzzzzzz_xxxyzzzz_0, tg_yzzzzzz_xxxyzzzz_1, \
                                         tg_yzzzzzz_xxxzzzzz_0, tg_yzzzzzz_xxxzzzzz_1, tg_yzzzzzz_xxyyyyy_1, \
                                         tg_yzzzzzz_xxyyyyyy_0, tg_yzzzzzz_xxyyyyyy_1, tg_yzzzzzz_xxyyyyyz_0, \
                                         tg_yzzzzzz_xxyyyyyz_1, tg_yzzzzzz_xxyyyyz_1, tg_yzzzzzz_xxyyyyzz_0, \
                                         tg_yzzzzzz_xxyyyyzz_1, tg_yzzzzzz_xxyyyzz_1, tg_yzzzzzz_xxyyyzzz_0, \
                                         tg_yzzzzzz_xxyyyzzz_1, tg_yzzzzzz_xxyyzzz_1, tg_yzzzzzz_xxyyzzzz_0, \
                                         tg_yzzzzzz_xxyyzzzz_1, tg_yzzzzzz_xxyzzzz_1, tg_yzzzzzz_xxyzzzzz_0, \
                                         tg_yzzzzzz_xxyzzzzz_1, tg_yzzzzzz_xxzzzzz_1, tg_yzzzzzz_xxzzzzzz_0, \
                                         tg_yzzzzzz_xxzzzzzz_1, tg_yzzzzzz_xyyyyyy_1, tg_yzzzzzz_xyyyyyyy_0, \
                                         tg_yzzzzzz_xyyyyyyy_1, tg_yzzzzzz_xyyyyyyz_0, tg_yzzzzzz_xyyyyyyz_1, \
                                         tg_yzzzzzz_xyyyyyz_1, tg_yzzzzzz_xyyyyyzz_0, tg_yzzzzzz_xyyyyyzz_1, \
                                         tg_yzzzzzz_xyyyyzz_1, tg_yzzzzzz_xyyyyzzz_0, tg_yzzzzzz_xyyyyzzz_1, \
                                         tg_yzzzzzz_xyyyzzz_1, tg_yzzzzzz_xyyyzzzz_0, tg_yzzzzzz_xyyyzzzz_1, \
                                         tg_yzzzzzz_xyyzzzz_1, tg_yzzzzzz_xyyzzzzz_0, tg_yzzzzzz_xyyzzzzz_1, \
                                         tg_yzzzzzz_xyzzzzz_1, tg_yzzzzzz_xyzzzzzz_0, tg_yzzzzzz_xyzzzzzz_1, \
                                         tg_yzzzzzz_xzzzzzz_1, tg_yzzzzzz_xzzzzzzz_0, tg_yzzzzzz_xzzzzzzz_1, \
                                         tg_yzzzzzz_yyyyyyy_1, tg_yzzzzzz_yyyyyyyy_0, tg_yzzzzzz_yyyyyyyy_1, \
                                         tg_yzzzzzz_yyyyyyyz_0, tg_yzzzzzz_yyyyyyyz_1, tg_yzzzzzz_yyyyyyz_1, \
                                         tg_yzzzzzz_yyyyyyzz_0, tg_yzzzzzz_yyyyyyzz_1, tg_yzzzzzz_yyyyyzz_1, \
                                         tg_yzzzzzz_yyyyyzzz_0, tg_yzzzzzz_yyyyyzzz_1, tg_yzzzzzz_yyyyzzz_1, \
                                         tg_yzzzzzz_yyyyzzzz_0, tg_yzzzzzz_yyyyzzzz_1, tg_yzzzzzz_yyyzzzz_1, \
                                         tg_yzzzzzz_yyyzzzzz_0, tg_yzzzzzz_yyyzzzzz_1, tg_yzzzzzz_yyzzzzz_1, \
                                         tg_yzzzzzz_yyzzzzzz_0, tg_yzzzzzz_yyzzzzzz_1, tg_yzzzzzz_yzzzzzz_1, \
                                         tg_yzzzzzz_yzzzzzzz_0, tg_yzzzzzz_yzzzzzzz_1, tg_yzzzzzz_zzzzzzz_1, \
                                         tg_yzzzzzz_zzzzzzzz_0, tg_yzzzzzz_zzzzzzzz_1, tg_zzzzzzz_xxxxxxx_1, \
                                         tg_zzzzzzz_xxxxxxxx_0, tg_zzzzzzz_xxxxxxxx_1, tg_zzzzzzz_xxxxxxxy_0, \
                                         tg_zzzzzzz_xxxxxxxy_1, tg_zzzzzzz_xxxxxxxz_0, tg_zzzzzzz_xxxxxxxz_1, \
                                         tg_zzzzzzz_xxxxxxy_1, tg_zzzzzzz_xxxxxxyy_0, tg_zzzzzzz_xxxxxxyy_1, \
                                         tg_zzzzzzz_xxxxxxyz_0, tg_zzzzzzz_xxxxxxyz_1, tg_zzzzzzz_xxxxxxz_1, \
                                         tg_zzzzzzz_xxxxxxzz_0, tg_zzzzzzz_xxxxxxzz_1, tg_zzzzzzz_xxxxxyy_1, \
                                         tg_zzzzzzz_xxxxxyyy_0, tg_zzzzzzz_xxxxxyyy_1, tg_zzzzzzz_xxxxxyyz_0, \
                                         tg_zzzzzzz_xxxxxyyz_1, tg_zzzzzzz_xxxxxyz_1, tg_zzzzzzz_xxxxxyzz_0, \
                                         tg_zzzzzzz_xxxxxyzz_1, tg_zzzzzzz_xxxxxzz_1, tg_zzzzzzz_xxxxxzzz_0, \
                                         tg_zzzzzzz_xxxxxzzz_1, tg_zzzzzzz_xxxxyyy_1, tg_zzzzzzz_xxxxyyyy_0, \
                                         tg_zzzzzzz_xxxxyyyy_1, tg_zzzzzzz_xxxxyyyz_0, tg_zzzzzzz_xxxxyyyz_1, \
                                         tg_zzzzzzz_xxxxyyz_1, tg_zzzzzzz_xxxxyyzz_0, tg_zzzzzzz_xxxxyyzz_1, \
                                         tg_zzzzzzz_xxxxyzz_1, tg_zzzzzzz_xxxxyzzz_0, tg_zzzzzzz_xxxxyzzz_1, \
                                         tg_zzzzzzz_xxxxzzz_1, tg_zzzzzzz_xxxxzzzz_0, tg_zzzzzzz_xxxxzzzz_1, \
                                         tg_zzzzzzz_xxxyyyy_1, tg_zzzzzzz_xxxyyyyy_0, tg_zzzzzzz_xxxyyyyy_1, \
                                         tg_zzzzzzz_xxxyyyyz_0, tg_zzzzzzz_xxxyyyyz_1, tg_zzzzzzz_xxxyyyz_1, \
                                         tg_zzzzzzz_xxxyyyzz_0, tg_zzzzzzz_xxxyyyzz_1, tg_zzzzzzz_xxxyyzz_1, \
                                         tg_zzzzzzz_xxxyyzzz_0, tg_zzzzzzz_xxxyyzzz_1, tg_zzzzzzz_xxxyzzz_1, \
                                         tg_zzzzzzz_xxxyzzzz_0, tg_zzzzzzz_xxxyzzzz_1, tg_zzzzzzz_xxxzzzz_1, \
                                         tg_zzzzzzz_xxxzzzzz_0, tg_zzzzzzz_xxxzzzzz_1, tg_zzzzzzz_xxyyyyy_1, \
                                         tg_zzzzzzz_xxyyyyyy_0, tg_zzzzzzz_xxyyyyyy_1, tg_zzzzzzz_xxyyyyyz_0, \
                                         tg_zzzzzzz_xxyyyyyz_1, tg_zzzzzzz_xxyyyyz_1, tg_zzzzzzz_xxyyyyzz_0, \
                                         tg_zzzzzzz_xxyyyyzz_1, tg_zzzzzzz_xxyyyzz_1, tg_zzzzzzz_xxyyyzzz_0, \
                                         tg_zzzzzzz_xxyyyzzz_1, tg_zzzzzzz_xxyyzzz_1, tg_zzzzzzz_xxyyzzzz_0, \
                                         tg_zzzzzzz_xxyyzzzz_1, tg_zzzzzzz_xxyzzzz_1, tg_zzzzzzz_xxyzzzzz_0, \
                                         tg_zzzzzzz_xxyzzzzz_1, tg_zzzzzzz_xxzzzzz_1, tg_zzzzzzz_xxzzzzzz_0, \
                                         tg_zzzzzzz_xxzzzzzz_1, tg_zzzzzzz_xyyyyyy_1, tg_zzzzzzz_xyyyyyyy_0, \
                                         tg_zzzzzzz_xyyyyyyy_1, tg_zzzzzzz_xyyyyyyz_0, tg_zzzzzzz_xyyyyyyz_1, \
                                         tg_zzzzzzz_xyyyyyz_1, tg_zzzzzzz_xyyyyyzz_0, tg_zzzzzzz_xyyyyyzz_1, \
                                         tg_zzzzzzz_xyyyyzz_1, tg_zzzzzzz_xyyyyzzz_0, tg_zzzzzzz_xyyyyzzz_1, \
                                         tg_zzzzzzz_xyyyzzz_1, tg_zzzzzzz_xyyyzzzz_0, tg_zzzzzzz_xyyyzzzz_1, \
                                         tg_zzzzzzz_xyyzzzz_1, tg_zzzzzzz_xyyzzzzz_0, tg_zzzzzzz_xyyzzzzz_1, \
                                         tg_zzzzzzz_xyzzzzz_1, tg_zzzzzzz_xyzzzzzz_0, tg_zzzzzzz_xyzzzzzz_1, \
                                         tg_zzzzzzz_xzzzzzz_1, tg_zzzzzzz_xzzzzzzz_0, tg_zzzzzzz_xzzzzzzz_1, \
                                         tg_zzzzzzz_yyyyyyy_1, tg_zzzzzzz_yyyyyyyy_0, tg_zzzzzzz_yyyyyyyy_1, \
                                         tg_zzzzzzz_yyyyyyyz_0, tg_zzzzzzz_yyyyyyyz_1, tg_zzzzzzz_yyyyyyz_1, \
                                         tg_zzzzzzz_yyyyyyzz_0, tg_zzzzzzz_yyyyyyzz_1, tg_zzzzzzz_yyyyyzz_1, \
                                         tg_zzzzzzz_yyyyyzzz_0, tg_zzzzzzz_yyyyyzzz_1, tg_zzzzzzz_yyyyzzz_1, \
                                         tg_zzzzzzz_yyyyzzzz_0, tg_zzzzzzz_yyyyzzzz_1, tg_zzzzzzz_yyyzzzz_1, \
                                         tg_zzzzzzz_yyyzzzzz_0, tg_zzzzzzz_yyyzzzzz_1, tg_zzzzzzz_yyzzzzz_1, \
                                         tg_zzzzzzz_yyzzzzzz_0, tg_zzzzzzz_yyzzzzzz_1, tg_zzzzzzz_yzzzzzz_1, \
                                         tg_zzzzzzz_yzzzzzzz_0, tg_zzzzzzz_yzzzzzzz_1, tg_zzzzzzz_zzzzzzz_1, \
                                         tg_zzzzzzz_zzzzzzzz_0, tg_zzzzzzz_zzzzzzzz_1, wp_x, wp_y: VLX_ALIGN)
                for (int32_t j = 0; j < nKetPrimPairs; j++)
                {
                    double fl1_fx = fx;

                    double fl1_fxn = fxn[j];

                    double fl1_fza = fza[j];

                    double fr = wp_x[j]; 

                    tg_xyzzzzzz_xxxyyyyy_0[j] = pb_x * tg_yzzzzzz_xxxyyyyy_0[j] + fr * tg_yzzzzzz_xxxyyyyy_1[j] + 1.5 * fl1_fxn * tg_yzzzzzz_xxyyyyy_1[j];

                    tg_xyzzzzzz_xxxyyyyz_0[j] = pb_x * tg_yzzzzzz_xxxyyyyz_0[j] + fr * tg_yzzzzzz_xxxyyyyz_1[j] + 1.5 * fl1_fxn * tg_yzzzzzz_xxyyyyz_1[j];

                    tg_xyzzzzzz_xxxyyyzz_0[j] = pb_x * tg_yzzzzzz_xxxyyyzz_0[j] + fr * tg_yzzzzzz_xxxyyyzz_1[j] + 1.5 * fl1_fxn * tg_yzzzzzz_xxyyyzz_1[j];

                    tg_xyzzzzzz_xxxyyzzz_0[j] = pb_x * tg_yzzzzzz_xxxyyzzz_0[j] + fr * tg_yzzzzzz_xxxyyzzz_1[j] + 1.5 * fl1_fxn * tg_yzzzzzz_xxyyzzz_1[j];

                    tg_xyzzzzzz_xxxyzzzz_0[j] = pb_x * tg_yzzzzzz_xxxyzzzz_0[j] + fr * tg_yzzzzzz_xxxyzzzz_1[j] + 1.5 * fl1_fxn * tg_yzzzzzz_xxyzzzz_1[j];

                    tg_xyzzzzzz_xxxzzzzz_0[j] = pb_x * tg_yzzzzzz_xxxzzzzz_0[j] + fr * tg_yzzzzzz_xxxzzzzz_1[j] + 1.5 * fl1_fxn * tg_yzzzzzz_xxzzzzz_1[j];

                    tg_xyzzzzzz_xxyyyyyy_0[j] = pb_x * tg_yzzzzzz_xxyyyyyy_0[j] + fr * tg_yzzzzzz_xxyyyyyy_1[j] + fl1_fxn * tg_yzzzzzz_xyyyyyy_1[j];

                    tg_xyzzzzzz_xxyyyyyz_0[j] = pb_x * tg_yzzzzzz_xxyyyyyz_0[j] + fr * tg_yzzzzzz_xxyyyyyz_1[j] + fl1_fxn * tg_yzzzzzz_xyyyyyz_1[j];

                    tg_xyzzzzzz_xxyyyyzz_0[j] = pb_x * tg_yzzzzzz_xxyyyyzz_0[j] + fr * tg_yzzzzzz_xxyyyyzz_1[j] + fl1_fxn * tg_yzzzzzz_xyyyyzz_1[j];

                    tg_xyzzzzzz_xxyyyzzz_0[j] = pb_x * tg_yzzzzzz_xxyyyzzz_0[j] + fr * tg_yzzzzzz_xxyyyzzz_1[j] + fl1_fxn * tg_yzzzzzz_xyyyzzz_1[j];

                    tg_xyzzzzzz_xxyyzzzz_0[j] = pb_x * tg_yzzzzzz_xxyyzzzz_0[j] + fr * tg_yzzzzzz_xxyyzzzz_1[j] + fl1_fxn * tg_yzzzzzz_xyyzzzz_1[j];

                    tg_xyzzzzzz_xxyzzzzz_0[j] = pb_x * tg_yzzzzzz_xxyzzzzz_0[j] + fr * tg_yzzzzzz_xxyzzzzz_1[j] + fl1_fxn * tg_yzzzzzz_xyzzzzz_1[j];

                    tg_xyzzzzzz_xxzzzzzz_0[j] = pb_x * tg_yzzzzzz_xxzzzzzz_0[j] + fr * tg_yzzzzzz_xxzzzzzz_1[j] + fl1_fxn * tg_yzzzzzz_xzzzzzz_1[j];

                    tg_xyzzzzzz_xyyyyyyy_0[j] = pb_x * tg_yzzzzzz_xyyyyyyy_0[j] + fr * tg_yzzzzzz_xyyyyyyy_1[j] + 0.5 * fl1_fxn * tg_yzzzzzz_yyyyyyy_1[j];

                    tg_xyzzzzzz_xyyyyyyz_0[j] = pb_x * tg_yzzzzzz_xyyyyyyz_0[j] + fr * tg_yzzzzzz_xyyyyyyz_1[j] + 0.5 * fl1_fxn * tg_yzzzzzz_yyyyyyz_1[j];

                    tg_xyzzzzzz_xyyyyyzz_0[j] = pb_x * tg_yzzzzzz_xyyyyyzz_0[j] + fr * tg_yzzzzzz_xyyyyyzz_1[j] + 0.5 * fl1_fxn * tg_yzzzzzz_yyyyyzz_1[j];

                    tg_xyzzzzzz_xyyyyzzz_0[j] = pb_x * tg_yzzzzzz_xyyyyzzz_0[j] + fr * tg_yzzzzzz_xyyyyzzz_1[j] + 0.5 * fl1_fxn * tg_yzzzzzz_yyyyzzz_1[j];

                    tg_xyzzzzzz_xyyyzzzz_0[j] = pb_x * tg_yzzzzzz_xyyyzzzz_0[j] + fr * tg_yzzzzzz_xyyyzzzz_1[j] + 0.5 * fl1_fxn * tg_yzzzzzz_yyyzzzz_1[j];

                    tg_xyzzzzzz_xyyzzzzz_0[j] = pb_x * tg_yzzzzzz_xyyzzzzz_0[j] + fr * tg_yzzzzzz_xyyzzzzz_1[j] + 0.5 * fl1_fxn * tg_yzzzzzz_yyzzzzz_1[j];

                    tg_xyzzzzzz_xyzzzzzz_0[j] = pb_x * tg_yzzzzzz_xyzzzzzz_0[j] + fr * tg_yzzzzzz_xyzzzzzz_1[j] + 0.5 * fl1_fxn * tg_yzzzzzz_yzzzzzz_1[j];

                    tg_xyzzzzzz_xzzzzzzz_0[j] = pb_x * tg_yzzzzzz_xzzzzzzz_0[j] + fr * tg_yzzzzzz_xzzzzzzz_1[j] + 0.5 * fl1_fxn * tg_yzzzzzz_zzzzzzz_1[j];

                    tg_xyzzzzzz_yyyyyyyy_0[j] = pb_x * tg_yzzzzzz_yyyyyyyy_0[j] + fr * tg_yzzzzzz_yyyyyyyy_1[j];

                    tg_xyzzzzzz_yyyyyyyz_0[j] = pb_x * tg_yzzzzzz_yyyyyyyz_0[j] + fr * tg_yzzzzzz_yyyyyyyz_1[j];

                    tg_xyzzzzzz_yyyyyyzz_0[j] = pb_x * tg_yzzzzzz_yyyyyyzz_0[j] + fr * tg_yzzzzzz_yyyyyyzz_1[j];

                    tg_xyzzzzzz_yyyyyzzz_0[j] = pb_x * tg_yzzzzzz_yyyyyzzz_0[j] + fr * tg_yzzzzzz_yyyyyzzz_1[j];

                    tg_xyzzzzzz_yyyyzzzz_0[j] = pb_x * tg_yzzzzzz_yyyyzzzz_0[j] + fr * tg_yzzzzzz_yyyyzzzz_1[j];

                    tg_xyzzzzzz_yyyzzzzz_0[j] = pb_x * tg_yzzzzzz_yyyzzzzz_0[j] + fr * tg_yzzzzzz_yyyzzzzz_1[j];

                    tg_xyzzzzzz_yyzzzzzz_0[j] = pb_x * tg_yzzzzzz_yyzzzzzz_0[j] + fr * tg_yzzzzzz_yyzzzzzz_1[j];

                    tg_xyzzzzzz_yzzzzzzz_0[j] = pb_x * tg_yzzzzzz_yzzzzzzz_0[j] + fr * tg_yzzzzzz_yzzzzzzz_1[j];

                    tg_xyzzzzzz_zzzzzzzz_0[j] = pb_x * tg_yzzzzzz_zzzzzzzz_0[j] + fr * tg_yzzzzzz_zzzzzzzz_1[j];

                    tg_xzzzzzzz_xxxxxxxx_0[j] = pb_x * tg_zzzzzzz_xxxxxxxx_0[j] + fr * tg_zzzzzzz_xxxxxxxx_1[j] + 4.0 * fl1_fxn * tg_zzzzzzz_xxxxxxx_1[j];

                    tg_xzzzzzzz_xxxxxxxy_0[j] = pb_x * tg_zzzzzzz_xxxxxxxy_0[j] + fr * tg_zzzzzzz_xxxxxxxy_1[j] + 3.5 * fl1_fxn * tg_zzzzzzz_xxxxxxy_1[j];

                    tg_xzzzzzzz_xxxxxxxz_0[j] = pb_x * tg_zzzzzzz_xxxxxxxz_0[j] + fr * tg_zzzzzzz_xxxxxxxz_1[j] + 3.5 * fl1_fxn * tg_zzzzzzz_xxxxxxz_1[j];

                    tg_xzzzzzzz_xxxxxxyy_0[j] = pb_x * tg_zzzzzzz_xxxxxxyy_0[j] + fr * tg_zzzzzzz_xxxxxxyy_1[j] + 3.0 * fl1_fxn * tg_zzzzzzz_xxxxxyy_1[j];

                    tg_xzzzzzzz_xxxxxxyz_0[j] = pb_x * tg_zzzzzzz_xxxxxxyz_0[j] + fr * tg_zzzzzzz_xxxxxxyz_1[j] + 3.0 * fl1_fxn * tg_zzzzzzz_xxxxxyz_1[j];

                    tg_xzzzzzzz_xxxxxxzz_0[j] = pb_x * tg_zzzzzzz_xxxxxxzz_0[j] + fr * tg_zzzzzzz_xxxxxxzz_1[j] + 3.0 * fl1_fxn * tg_zzzzzzz_xxxxxzz_1[j];

                    tg_xzzzzzzz_xxxxxyyy_0[j] = pb_x * tg_zzzzzzz_xxxxxyyy_0[j] + fr * tg_zzzzzzz_xxxxxyyy_1[j] + 2.5 * fl1_fxn * tg_zzzzzzz_xxxxyyy_1[j];

                    tg_xzzzzzzz_xxxxxyyz_0[j] = pb_x * tg_zzzzzzz_xxxxxyyz_0[j] + fr * tg_zzzzzzz_xxxxxyyz_1[j] + 2.5 * fl1_fxn * tg_zzzzzzz_xxxxyyz_1[j];

                    tg_xzzzzzzz_xxxxxyzz_0[j] = pb_x * tg_zzzzzzz_xxxxxyzz_0[j] + fr * tg_zzzzzzz_xxxxxyzz_1[j] + 2.5 * fl1_fxn * tg_zzzzzzz_xxxxyzz_1[j];

                    tg_xzzzzzzz_xxxxxzzz_0[j] = pb_x * tg_zzzzzzz_xxxxxzzz_0[j] + fr * tg_zzzzzzz_xxxxxzzz_1[j] + 2.5 * fl1_fxn * tg_zzzzzzz_xxxxzzz_1[j];

                    tg_xzzzzzzz_xxxxyyyy_0[j] = pb_x * tg_zzzzzzz_xxxxyyyy_0[j] + fr * tg_zzzzzzz_xxxxyyyy_1[j] + 2.0 * fl1_fxn * tg_zzzzzzz_xxxyyyy_1[j];

                    tg_xzzzzzzz_xxxxyyyz_0[j] = pb_x * tg_zzzzzzz_xxxxyyyz_0[j] + fr * tg_zzzzzzz_xxxxyyyz_1[j] + 2.0 * fl1_fxn * tg_zzzzzzz_xxxyyyz_1[j];

                    tg_xzzzzzzz_xxxxyyzz_0[j] = pb_x * tg_zzzzzzz_xxxxyyzz_0[j] + fr * tg_zzzzzzz_xxxxyyzz_1[j] + 2.0 * fl1_fxn * tg_zzzzzzz_xxxyyzz_1[j];

                    tg_xzzzzzzz_xxxxyzzz_0[j] = pb_x * tg_zzzzzzz_xxxxyzzz_0[j] + fr * tg_zzzzzzz_xxxxyzzz_1[j] + 2.0 * fl1_fxn * tg_zzzzzzz_xxxyzzz_1[j];

                    tg_xzzzzzzz_xxxxzzzz_0[j] = pb_x * tg_zzzzzzz_xxxxzzzz_0[j] + fr * tg_zzzzzzz_xxxxzzzz_1[j] + 2.0 * fl1_fxn * tg_zzzzzzz_xxxzzzz_1[j];

                    tg_xzzzzzzz_xxxyyyyy_0[j] = pb_x * tg_zzzzzzz_xxxyyyyy_0[j] + fr * tg_zzzzzzz_xxxyyyyy_1[j] + 1.5 * fl1_fxn * tg_zzzzzzz_xxyyyyy_1[j];

                    tg_xzzzzzzz_xxxyyyyz_0[j] = pb_x * tg_zzzzzzz_xxxyyyyz_0[j] + fr * tg_zzzzzzz_xxxyyyyz_1[j] + 1.5 * fl1_fxn * tg_zzzzzzz_xxyyyyz_1[j];

                    tg_xzzzzzzz_xxxyyyzz_0[j] = pb_x * tg_zzzzzzz_xxxyyyzz_0[j] + fr * tg_zzzzzzz_xxxyyyzz_1[j] + 1.5 * fl1_fxn * tg_zzzzzzz_xxyyyzz_1[j];

                    tg_xzzzzzzz_xxxyyzzz_0[j] = pb_x * tg_zzzzzzz_xxxyyzzz_0[j] + fr * tg_zzzzzzz_xxxyyzzz_1[j] + 1.5 * fl1_fxn * tg_zzzzzzz_xxyyzzz_1[j];

                    tg_xzzzzzzz_xxxyzzzz_0[j] = pb_x * tg_zzzzzzz_xxxyzzzz_0[j] + fr * tg_zzzzzzz_xxxyzzzz_1[j] + 1.5 * fl1_fxn * tg_zzzzzzz_xxyzzzz_1[j];

                    tg_xzzzzzzz_xxxzzzzz_0[j] = pb_x * tg_zzzzzzz_xxxzzzzz_0[j] + fr * tg_zzzzzzz_xxxzzzzz_1[j] + 1.5 * fl1_fxn * tg_zzzzzzz_xxzzzzz_1[j];

                    tg_xzzzzzzz_xxyyyyyy_0[j] = pb_x * tg_zzzzzzz_xxyyyyyy_0[j] + fr * tg_zzzzzzz_xxyyyyyy_1[j] + fl1_fxn * tg_zzzzzzz_xyyyyyy_1[j];

                    tg_xzzzzzzz_xxyyyyyz_0[j] = pb_x * tg_zzzzzzz_xxyyyyyz_0[j] + fr * tg_zzzzzzz_xxyyyyyz_1[j] + fl1_fxn * tg_zzzzzzz_xyyyyyz_1[j];

                    tg_xzzzzzzz_xxyyyyzz_0[j] = pb_x * tg_zzzzzzz_xxyyyyzz_0[j] + fr * tg_zzzzzzz_xxyyyyzz_1[j] + fl1_fxn * tg_zzzzzzz_xyyyyzz_1[j];

                    tg_xzzzzzzz_xxyyyzzz_0[j] = pb_x * tg_zzzzzzz_xxyyyzzz_0[j] + fr * tg_zzzzzzz_xxyyyzzz_1[j] + fl1_fxn * tg_zzzzzzz_xyyyzzz_1[j];

                    tg_xzzzzzzz_xxyyzzzz_0[j] = pb_x * tg_zzzzzzz_xxyyzzzz_0[j] + fr * tg_zzzzzzz_xxyyzzzz_1[j] + fl1_fxn * tg_zzzzzzz_xyyzzzz_1[j];

                    tg_xzzzzzzz_xxyzzzzz_0[j] = pb_x * tg_zzzzzzz_xxyzzzzz_0[j] + fr * tg_zzzzzzz_xxyzzzzz_1[j] + fl1_fxn * tg_zzzzzzz_xyzzzzz_1[j];

                    tg_xzzzzzzz_xxzzzzzz_0[j] = pb_x * tg_zzzzzzz_xxzzzzzz_0[j] + fr * tg_zzzzzzz_xxzzzzzz_1[j] + fl1_fxn * tg_zzzzzzz_xzzzzzz_1[j];

                    tg_xzzzzzzz_xyyyyyyy_0[j] = pb_x * tg_zzzzzzz_xyyyyyyy_0[j] + fr * tg_zzzzzzz_xyyyyyyy_1[j] + 0.5 * fl1_fxn * tg_zzzzzzz_yyyyyyy_1[j];

                    tg_xzzzzzzz_xyyyyyyz_0[j] = pb_x * tg_zzzzzzz_xyyyyyyz_0[j] + fr * tg_zzzzzzz_xyyyyyyz_1[j] + 0.5 * fl1_fxn * tg_zzzzzzz_yyyyyyz_1[j];

                    tg_xzzzzzzz_xyyyyyzz_0[j] = pb_x * tg_zzzzzzz_xyyyyyzz_0[j] + fr * tg_zzzzzzz_xyyyyyzz_1[j] + 0.5 * fl1_fxn * tg_zzzzzzz_yyyyyzz_1[j];

                    tg_xzzzzzzz_xyyyyzzz_0[j] = pb_x * tg_zzzzzzz_xyyyyzzz_0[j] + fr * tg_zzzzzzz_xyyyyzzz_1[j] + 0.5 * fl1_fxn * tg_zzzzzzz_yyyyzzz_1[j];

                    tg_xzzzzzzz_xyyyzzzz_0[j] = pb_x * tg_zzzzzzz_xyyyzzzz_0[j] + fr * tg_zzzzzzz_xyyyzzzz_1[j] + 0.5 * fl1_fxn * tg_zzzzzzz_yyyzzzz_1[j];

                    tg_xzzzzzzz_xyyzzzzz_0[j] = pb_x * tg_zzzzzzz_xyyzzzzz_0[j] + fr * tg_zzzzzzz_xyyzzzzz_1[j] + 0.5 * fl1_fxn * tg_zzzzzzz_yyzzzzz_1[j];

                    tg_xzzzzzzz_xyzzzzzz_0[j] = pb_x * tg_zzzzzzz_xyzzzzzz_0[j] + fr * tg_zzzzzzz_xyzzzzzz_1[j] + 0.5 * fl1_fxn * tg_zzzzzzz_yzzzzzz_1[j];

                    tg_xzzzzzzz_xzzzzzzz_0[j] = pb_x * tg_zzzzzzz_xzzzzzzz_0[j] + fr * tg_zzzzzzz_xzzzzzzz_1[j] + 0.5 * fl1_fxn * tg_zzzzzzz_zzzzzzz_1[j];

                    tg_xzzzzzzz_yyyyyyyy_0[j] = pb_x * tg_zzzzzzz_yyyyyyyy_0[j] + fr * tg_zzzzzzz_yyyyyyyy_1[j];

                    tg_xzzzzzzz_yyyyyyyz_0[j] = pb_x * tg_zzzzzzz_yyyyyyyz_0[j] + fr * tg_zzzzzzz_yyyyyyyz_1[j];

                    tg_xzzzzzzz_yyyyyyzz_0[j] = pb_x * tg_zzzzzzz_yyyyyyzz_0[j] + fr * tg_zzzzzzz_yyyyyyzz_1[j];

                    tg_xzzzzzzz_yyyyyzzz_0[j] = pb_x * tg_zzzzzzz_yyyyyzzz_0[j] + fr * tg_zzzzzzz_yyyyyzzz_1[j];

                    tg_xzzzzzzz_yyyyzzzz_0[j] = pb_x * tg_zzzzzzz_yyyyzzzz_0[j] + fr * tg_zzzzzzz_yyyyzzzz_1[j];

                    tg_xzzzzzzz_yyyzzzzz_0[j] = pb_x * tg_zzzzzzz_yyyzzzzz_0[j] + fr * tg_zzzzzzz_yyyzzzzz_1[j];

                    tg_xzzzzzzz_yyzzzzzz_0[j] = pb_x * tg_zzzzzzz_yyzzzzzz_0[j] + fr * tg_zzzzzzz_yyzzzzzz_1[j];

                    tg_xzzzzzzz_yzzzzzzz_0[j] = pb_x * tg_zzzzzzz_yzzzzzzz_0[j] + fr * tg_zzzzzzz_yzzzzzzz_1[j];

                    tg_xzzzzzzz_zzzzzzzz_0[j] = pb_x * tg_zzzzzzz_zzzzzzzz_0[j] + fr * tg_zzzzzzz_zzzzzzzz_1[j];

                    fr = wp_y[j]; 

                    tg_yyyyyyyy_xxxxxxxx_0[j] = pb_y * tg_yyyyyyy_xxxxxxxx_0[j] + fr * tg_yyyyyyy_xxxxxxxx_1[j] + 3.5 * fl1_fx * (tg_yyyyyy_xxxxxxxx_0[j] - tg_yyyyyy_xxxxxxxx_1[j] * fl1_fza);

                    tg_yyyyyyyy_xxxxxxxy_0[j] = pb_y * tg_yyyyyyy_xxxxxxxy_0[j] + fr * tg_yyyyyyy_xxxxxxxy_1[j] + 3.5 * fl1_fx * (tg_yyyyyy_xxxxxxxy_0[j] - tg_yyyyyy_xxxxxxxy_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_yyyyyyy_xxxxxxx_1[j];

                    tg_yyyyyyyy_xxxxxxxz_0[j] = pb_y * tg_yyyyyyy_xxxxxxxz_0[j] + fr * tg_yyyyyyy_xxxxxxxz_1[j] + 3.5 * fl1_fx * (tg_yyyyyy_xxxxxxxz_0[j] - tg_yyyyyy_xxxxxxxz_1[j] * fl1_fza);

                    tg_yyyyyyyy_xxxxxxyy_0[j] = pb_y * tg_yyyyyyy_xxxxxxyy_0[j] + fr * tg_yyyyyyy_xxxxxxyy_1[j] + 3.5 * fl1_fx * (tg_yyyyyy_xxxxxxyy_0[j] - tg_yyyyyy_xxxxxxyy_1[j] * fl1_fza) + fl1_fxn * tg_yyyyyyy_xxxxxxy_1[j];

                    tg_yyyyyyyy_xxxxxxyz_0[j] = pb_y * tg_yyyyyyy_xxxxxxyz_0[j] + fr * tg_yyyyyyy_xxxxxxyz_1[j] + 3.5 * fl1_fx * (tg_yyyyyy_xxxxxxyz_0[j] - tg_yyyyyy_xxxxxxyz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_yyyyyyy_xxxxxxz_1[j];

                    tg_yyyyyyyy_xxxxxxzz_0[j] = pb_y * tg_yyyyyyy_xxxxxxzz_0[j] + fr * tg_yyyyyyy_xxxxxxzz_1[j] + 3.5 * fl1_fx * (tg_yyyyyy_xxxxxxzz_0[j] - tg_yyyyyy_xxxxxxzz_1[j] * fl1_fza);

                    tg_yyyyyyyy_xxxxxyyy_0[j] = pb_y * tg_yyyyyyy_xxxxxyyy_0[j] + fr * tg_yyyyyyy_xxxxxyyy_1[j] + 3.5 * fl1_fx * (tg_yyyyyy_xxxxxyyy_0[j] - tg_yyyyyy_xxxxxyyy_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_yyyyyyy_xxxxxyy_1[j];

                    tg_yyyyyyyy_xxxxxyyz_0[j] = pb_y * tg_yyyyyyy_xxxxxyyz_0[j] + fr * tg_yyyyyyy_xxxxxyyz_1[j] + 3.5 * fl1_fx * (tg_yyyyyy_xxxxxyyz_0[j] - tg_yyyyyy_xxxxxyyz_1[j] * fl1_fza) + fl1_fxn * tg_yyyyyyy_xxxxxyz_1[j];

                    tg_yyyyyyyy_xxxxxyzz_0[j] = pb_y * tg_yyyyyyy_xxxxxyzz_0[j] + fr * tg_yyyyyyy_xxxxxyzz_1[j] + 3.5 * fl1_fx * (tg_yyyyyy_xxxxxyzz_0[j] - tg_yyyyyy_xxxxxyzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_yyyyyyy_xxxxxzz_1[j];

                    tg_yyyyyyyy_xxxxxzzz_0[j] = pb_y * tg_yyyyyyy_xxxxxzzz_0[j] + fr * tg_yyyyyyy_xxxxxzzz_1[j] + 3.5 * fl1_fx * (tg_yyyyyy_xxxxxzzz_0[j] - tg_yyyyyy_xxxxxzzz_1[j] * fl1_fza);

                    tg_yyyyyyyy_xxxxyyyy_0[j] = pb_y * tg_yyyyyyy_xxxxyyyy_0[j] + fr * tg_yyyyyyy_xxxxyyyy_1[j] + 3.5 * fl1_fx * (tg_yyyyyy_xxxxyyyy_0[j] - tg_yyyyyy_xxxxyyyy_1[j] * fl1_fza) + 2.0 * fl1_fxn * tg_yyyyyyy_xxxxyyy_1[j];

                    tg_yyyyyyyy_xxxxyyyz_0[j] = pb_y * tg_yyyyyyy_xxxxyyyz_0[j] + fr * tg_yyyyyyy_xxxxyyyz_1[j] + 3.5 * fl1_fx * (tg_yyyyyy_xxxxyyyz_0[j] - tg_yyyyyy_xxxxyyyz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_yyyyyyy_xxxxyyz_1[j];

                    tg_yyyyyyyy_xxxxyyzz_0[j] = pb_y * tg_yyyyyyy_xxxxyyzz_0[j] + fr * tg_yyyyyyy_xxxxyyzz_1[j] + 3.5 * fl1_fx * (tg_yyyyyy_xxxxyyzz_0[j] - tg_yyyyyy_xxxxyyzz_1[j] * fl1_fza) + fl1_fxn * tg_yyyyyyy_xxxxyzz_1[j];

                    tg_yyyyyyyy_xxxxyzzz_0[j] = pb_y * tg_yyyyyyy_xxxxyzzz_0[j] + fr * tg_yyyyyyy_xxxxyzzz_1[j] + 3.5 * fl1_fx * (tg_yyyyyy_xxxxyzzz_0[j] - tg_yyyyyy_xxxxyzzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_yyyyyyy_xxxxzzz_1[j];

                    tg_yyyyyyyy_xxxxzzzz_0[j] = pb_y * tg_yyyyyyy_xxxxzzzz_0[j] + fr * tg_yyyyyyy_xxxxzzzz_1[j] + 3.5 * fl1_fx * (tg_yyyyyy_xxxxzzzz_0[j] - tg_yyyyyy_xxxxzzzz_1[j] * fl1_fza);

                    tg_yyyyyyyy_xxxyyyyy_0[j] = pb_y * tg_yyyyyyy_xxxyyyyy_0[j] + fr * tg_yyyyyyy_xxxyyyyy_1[j] + 3.5 * fl1_fx * (tg_yyyyyy_xxxyyyyy_0[j] - tg_yyyyyy_xxxyyyyy_1[j] * fl1_fza) + 2.5 * fl1_fxn * tg_yyyyyyy_xxxyyyy_1[j];

                    tg_yyyyyyyy_xxxyyyyz_0[j] = pb_y * tg_yyyyyyy_xxxyyyyz_0[j] + fr * tg_yyyyyyy_xxxyyyyz_1[j] + 3.5 * fl1_fx * (tg_yyyyyy_xxxyyyyz_0[j] - tg_yyyyyy_xxxyyyyz_1[j] * fl1_fza) + 2.0 * fl1_fxn * tg_yyyyyyy_xxxyyyz_1[j];

                    tg_yyyyyyyy_xxxyyyzz_0[j] = pb_y * tg_yyyyyyy_xxxyyyzz_0[j] + fr * tg_yyyyyyy_xxxyyyzz_1[j] + 3.5 * fl1_fx * (tg_yyyyyy_xxxyyyzz_0[j] - tg_yyyyyy_xxxyyyzz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_yyyyyyy_xxxyyzz_1[j];

                    tg_yyyyyyyy_xxxyyzzz_0[j] = pb_y * tg_yyyyyyy_xxxyyzzz_0[j] + fr * tg_yyyyyyy_xxxyyzzz_1[j] + 3.5 * fl1_fx * (tg_yyyyyy_xxxyyzzz_0[j] - tg_yyyyyy_xxxyyzzz_1[j] * fl1_fza) + fl1_fxn * tg_yyyyyyy_xxxyzzz_1[j];

                    tg_yyyyyyyy_xxxyzzzz_0[j] = pb_y * tg_yyyyyyy_xxxyzzzz_0[j] + fr * tg_yyyyyyy_xxxyzzzz_1[j] + 3.5 * fl1_fx * (tg_yyyyyy_xxxyzzzz_0[j] - tg_yyyyyy_xxxyzzzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_yyyyyyy_xxxzzzz_1[j];

                    tg_yyyyyyyy_xxxzzzzz_0[j] = pb_y * tg_yyyyyyy_xxxzzzzz_0[j] + fr * tg_yyyyyyy_xxxzzzzz_1[j] + 3.5 * fl1_fx * (tg_yyyyyy_xxxzzzzz_0[j] - tg_yyyyyy_xxxzzzzz_1[j] * fl1_fza);
                }

                idx++;
            }
        }
    }

    void
    compElectronRepulsionForSLSL_1641_1737(      CMemBlock2D<double>* primBuffer,
                                           const CRecursionMap&       recursionMap,
                                           const CMemBlock2D<double>& osFactors,
                                           const CMemBlock2D<double>& wpDistances,
                                           const CGtoPairsBlock&      braGtoPairsBlock,
                                           const CGtoPairsBlock&      ketGtoPairsBlock,
                                           const int32_t              nKetPrimPairs,
                                           const int32_t              iContrPair)
    {
        // Batch of Integrals (1641,1737)

        // set up pointers to primitives data on bra side

        auto spos = braGtoPairsBlock.getStartPositions();

        auto epos = braGtoPairsBlock.getEndPositions();

        // set up pointers to tensor of distance R(PB) = P - B

        auto r_pb_y = braGtoPairsBlock.getDistancesPBY();

        // set up pointers to common Obara-Saika factors

        auto b_fx = braGtoPairsBlock.getFactorsOneOverXi();

        // set up maximum order of integral

        auto mord = recursionMap.getMaxOrder({"Electron Repulsion"},
                                             {8, -1, -1, -1},
                                             {8, -1, -1, -1},
                                             1, 1);

        for (int32_t iord = 0; iord <= mord; iord++)
        {
            // set up index of integral

            auto pidx_g_8_8_m0 = recursionMap.index(CRecursionTerm({"Electron Repulsion"}, 0, true, 
                                                                   {8, -1, -1, -1}, {8, -1, -1, -1}, 
                                                                   1, 1, iord));

            // check if integral is needed in recursion expansion

            if (pidx_g_8_8_m0 == -1) continue;

            // set up indexes of auxilary integral

            auto pidx_g_7_8_m0 = recursionMap.index(CRecursionTerm({"Electron Repulsion"}, 0, true, 
                                                                   {7, -1, -1, -1}, {8, -1, -1, -1}, 
                                                                   1, 1, iord));

            auto pidx_g_7_8_m1 = recursionMap.index(CRecursionTerm({"Electron Repulsion"}, 0, true, 
                                                                   {7, -1, -1, -1}, {8, -1, -1, -1}, 
                                                                   1, 1, iord + 1));

            auto pidx_g_6_8_m0 = recursionMap.index(CRecursionTerm({"Electron Repulsion"}, 0, true, 
                                                                   {6, -1, -1, -1}, {8, -1, -1, -1}, 
                                                                   1, 1, iord));

            auto pidx_g_6_8_m1 = recursionMap.index(CRecursionTerm({"Electron Repulsion"}, 0, true, 
                                                                   {6, -1, -1, -1}, {8, -1, -1, -1}, 
                                                                   1, 1, iord + 1));

            auto pidx_g_7_7_m1 = recursionMap.index(CRecursionTerm({"Electron Repulsion"}, 0, true, 
                                                                   {7, -1, -1, -1}, {7, -1, -1, -1}, 
                                                                   1, 1, iord + 1));

            // loop over contracted GTO on bra side

            int32_t idx = 0;

            for (int32_t i = spos[iContrPair]; i < epos[iContrPair]; i++)
            {
                // set up pointers to Obara-Saika factors

                double fx = b_fx[i];

                auto fza = osFactors.data(4 * idx + 2);

                auto fxn = osFactors.data(4 * idx);

                // set up distances R(PB) = P - B

                auto pb_y = r_pb_y[i];

                // set up pointers to tensors product of distances R(WP) = W - P

                auto wp_y = wpDistances.data(3 * idx + 1);

                // set up pointers to auxilary integrals

                auto tg_yyyyyyy_xxyyyyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1281); 

                auto tg_yyyyyyy_xxyyyyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1282); 

                auto tg_yyyyyyy_xxyyyyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1283); 

                auto tg_yyyyyyy_xxyyyzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1284); 

                auto tg_yyyyyyy_xxyyzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1285); 

                auto tg_yyyyyyy_xxyzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1286); 

                auto tg_yyyyyyy_xxzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1287); 

                auto tg_yyyyyyy_xyyyyyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1288); 

                auto tg_yyyyyyy_xyyyyyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1289); 

                auto tg_yyyyyyy_xyyyyyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1290); 

                auto tg_yyyyyyy_xyyyyzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1291); 

                auto tg_yyyyyyy_xyyyzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1292); 

                auto tg_yyyyyyy_xyyzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1293); 

                auto tg_yyyyyyy_xyzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1294); 

                auto tg_yyyyyyy_xzzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1295); 

                auto tg_yyyyyyy_yyyyyyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1296); 

                auto tg_yyyyyyy_yyyyyyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1297); 

                auto tg_yyyyyyy_yyyyyyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1298); 

                auto tg_yyyyyyy_yyyyyzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1299); 

                auto tg_yyyyyyy_yyyyzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1300); 

                auto tg_yyyyyyy_yyyzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1301); 

                auto tg_yyyyyyy_yyzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1302); 

                auto tg_yyyyyyy_yzzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1303); 

                auto tg_yyyyyyy_zzzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1304); 

                auto tg_yyyyyyz_xxxxxxxx_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1305); 

                auto tg_yyyyyyz_xxxxxxxy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1306); 

                auto tg_yyyyyyz_xxxxxxxz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1307); 

                auto tg_yyyyyyz_xxxxxxyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1308); 

                auto tg_yyyyyyz_xxxxxxyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1309); 

                auto tg_yyyyyyz_xxxxxxzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1310); 

                auto tg_yyyyyyz_xxxxxyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1311); 

                auto tg_yyyyyyz_xxxxxyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1312); 

                auto tg_yyyyyyz_xxxxxyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1313); 

                auto tg_yyyyyyz_xxxxxzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1314); 

                auto tg_yyyyyyz_xxxxyyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1315); 

                auto tg_yyyyyyz_xxxxyyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1316); 

                auto tg_yyyyyyz_xxxxyyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1317); 

                auto tg_yyyyyyz_xxxxyzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1318); 

                auto tg_yyyyyyz_xxxxzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1319); 

                auto tg_yyyyyyz_xxxyyyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1320); 

                auto tg_yyyyyyz_xxxyyyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1321); 

                auto tg_yyyyyyz_xxxyyyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1322); 

                auto tg_yyyyyyz_xxxyyzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1323); 

                auto tg_yyyyyyz_xxxyzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1324); 

                auto tg_yyyyyyz_xxxzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1325); 

                auto tg_yyyyyyz_xxyyyyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1326); 

                auto tg_yyyyyyz_xxyyyyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1327); 

                auto tg_yyyyyyz_xxyyyyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1328); 

                auto tg_yyyyyyz_xxyyyzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1329); 

                auto tg_yyyyyyz_xxyyzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1330); 

                auto tg_yyyyyyz_xxyzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1331); 

                auto tg_yyyyyyz_xxzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1332); 

                auto tg_yyyyyyz_xyyyyyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1333); 

                auto tg_yyyyyyz_xyyyyyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1334); 

                auto tg_yyyyyyz_xyyyyyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1335); 

                auto tg_yyyyyyz_xyyyyzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1336); 

                auto tg_yyyyyyz_xyyyzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1337); 

                auto tg_yyyyyyz_xyyzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1338); 

                auto tg_yyyyyyz_xyzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1339); 

                auto tg_yyyyyyz_xzzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1340); 

                auto tg_yyyyyyz_yyyyyyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1341); 

                auto tg_yyyyyyz_yyyyyyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1342); 

                auto tg_yyyyyyz_yyyyyyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1343); 

                auto tg_yyyyyyz_yyyyyzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1344); 

                auto tg_yyyyyyz_yyyyzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1345); 

                auto tg_yyyyyyz_yyyzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1346); 

                auto tg_yyyyyyz_yyzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1347); 

                auto tg_yyyyyyz_yzzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1348); 

                auto tg_yyyyyyz_zzzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1349); 

                auto tg_yyyyyzz_xxxxxxxx_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1350); 

                auto tg_yyyyyzz_xxxxxxxy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1351); 

                auto tg_yyyyyzz_xxxxxxxz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1352); 

                auto tg_yyyyyzz_xxxxxxyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1353); 

                auto tg_yyyyyzz_xxxxxxyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1354); 

                auto tg_yyyyyzz_xxxxxxzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1355); 

                auto tg_yyyyyzz_xxxxxyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1356); 

                auto tg_yyyyyzz_xxxxxyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1357); 

                auto tg_yyyyyzz_xxxxxyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1358); 

                auto tg_yyyyyzz_xxxxxzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1359); 

                auto tg_yyyyyzz_xxxxyyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1360); 

                auto tg_yyyyyzz_xxxxyyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1361); 

                auto tg_yyyyyzz_xxxxyyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1362); 

                auto tg_yyyyyzz_xxxxyzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1363); 

                auto tg_yyyyyzz_xxxxzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1364); 

                auto tg_yyyyyzz_xxxyyyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1365); 

                auto tg_yyyyyzz_xxxyyyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1366); 

                auto tg_yyyyyzz_xxxyyyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1367); 

                auto tg_yyyyyzz_xxxyyzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1368); 

                auto tg_yyyyyzz_xxxyzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1369); 

                auto tg_yyyyyzz_xxxzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1370); 

                auto tg_yyyyyzz_xxyyyyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1371); 

                auto tg_yyyyyzz_xxyyyyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1372); 

                auto tg_yyyyyzz_xxyyyyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1373); 

                auto tg_yyyyyzz_xxyyyzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1374); 

                auto tg_yyyyyzz_xxyyzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1375); 

                auto tg_yyyyyzz_xxyzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1376); 

                auto tg_yyyyyyy_xxyyyyyy_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1281); 

                auto tg_yyyyyyy_xxyyyyyz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1282); 

                auto tg_yyyyyyy_xxyyyyzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1283); 

                auto tg_yyyyyyy_xxyyyzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1284); 

                auto tg_yyyyyyy_xxyyzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1285); 

                auto tg_yyyyyyy_xxyzzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1286); 

                auto tg_yyyyyyy_xxzzzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1287); 

                auto tg_yyyyyyy_xyyyyyyy_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1288); 

                auto tg_yyyyyyy_xyyyyyyz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1289); 

                auto tg_yyyyyyy_xyyyyyzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1290); 

                auto tg_yyyyyyy_xyyyyzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1291); 

                auto tg_yyyyyyy_xyyyzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1292); 

                auto tg_yyyyyyy_xyyzzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1293); 

                auto tg_yyyyyyy_xyzzzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1294); 

                auto tg_yyyyyyy_xzzzzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1295); 

                auto tg_yyyyyyy_yyyyyyyy_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1296); 

                auto tg_yyyyyyy_yyyyyyyz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1297); 

                auto tg_yyyyyyy_yyyyyyzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1298); 

                auto tg_yyyyyyy_yyyyyzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1299); 

                auto tg_yyyyyyy_yyyyzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1300); 

                auto tg_yyyyyyy_yyyzzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1301); 

                auto tg_yyyyyyy_yyzzzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1302); 

                auto tg_yyyyyyy_yzzzzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1303); 

                auto tg_yyyyyyy_zzzzzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1304); 

                auto tg_yyyyyyz_xxxxxxxx_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1305); 

                auto tg_yyyyyyz_xxxxxxxy_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1306); 

                auto tg_yyyyyyz_xxxxxxxz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1307); 

                auto tg_yyyyyyz_xxxxxxyy_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1308); 

                auto tg_yyyyyyz_xxxxxxyz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1309); 

                auto tg_yyyyyyz_xxxxxxzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1310); 

                auto tg_yyyyyyz_xxxxxyyy_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1311); 

                auto tg_yyyyyyz_xxxxxyyz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1312); 

                auto tg_yyyyyyz_xxxxxyzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1313); 

                auto tg_yyyyyyz_xxxxxzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1314); 

                auto tg_yyyyyyz_xxxxyyyy_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1315); 

                auto tg_yyyyyyz_xxxxyyyz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1316); 

                auto tg_yyyyyyz_xxxxyyzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1317); 

                auto tg_yyyyyyz_xxxxyzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1318); 

                auto tg_yyyyyyz_xxxxzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1319); 

                auto tg_yyyyyyz_xxxyyyyy_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1320); 

                auto tg_yyyyyyz_xxxyyyyz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1321); 

                auto tg_yyyyyyz_xxxyyyzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1322); 

                auto tg_yyyyyyz_xxxyyzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1323); 

                auto tg_yyyyyyz_xxxyzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1324); 

                auto tg_yyyyyyz_xxxzzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1325); 

                auto tg_yyyyyyz_xxyyyyyy_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1326); 

                auto tg_yyyyyyz_xxyyyyyz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1327); 

                auto tg_yyyyyyz_xxyyyyzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1328); 

                auto tg_yyyyyyz_xxyyyzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1329); 

                auto tg_yyyyyyz_xxyyzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1330); 

                auto tg_yyyyyyz_xxyzzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1331); 

                auto tg_yyyyyyz_xxzzzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1332); 

                auto tg_yyyyyyz_xyyyyyyy_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1333); 

                auto tg_yyyyyyz_xyyyyyyz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1334); 

                auto tg_yyyyyyz_xyyyyyzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1335); 

                auto tg_yyyyyyz_xyyyyzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1336); 

                auto tg_yyyyyyz_xyyyzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1337); 

                auto tg_yyyyyyz_xyyzzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1338); 

                auto tg_yyyyyyz_xyzzzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1339); 

                auto tg_yyyyyyz_xzzzzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1340); 

                auto tg_yyyyyyz_yyyyyyyy_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1341); 

                auto tg_yyyyyyz_yyyyyyyz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1342); 

                auto tg_yyyyyyz_yyyyyyzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1343); 

                auto tg_yyyyyyz_yyyyyzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1344); 

                auto tg_yyyyyyz_yyyyzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1345); 

                auto tg_yyyyyyz_yyyzzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1346); 

                auto tg_yyyyyyz_yyzzzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1347); 

                auto tg_yyyyyyz_yzzzzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1348); 

                auto tg_yyyyyyz_zzzzzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1349); 

                auto tg_yyyyyzz_xxxxxxxx_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1350); 

                auto tg_yyyyyzz_xxxxxxxy_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1351); 

                auto tg_yyyyyzz_xxxxxxxz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1352); 

                auto tg_yyyyyzz_xxxxxxyy_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1353); 

                auto tg_yyyyyzz_xxxxxxyz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1354); 

                auto tg_yyyyyzz_xxxxxxzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1355); 

                auto tg_yyyyyzz_xxxxxyyy_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1356); 

                auto tg_yyyyyzz_xxxxxyyz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1357); 

                auto tg_yyyyyzz_xxxxxyzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1358); 

                auto tg_yyyyyzz_xxxxxzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1359); 

                auto tg_yyyyyzz_xxxxyyyy_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1360); 

                auto tg_yyyyyzz_xxxxyyyz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1361); 

                auto tg_yyyyyzz_xxxxyyzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1362); 

                auto tg_yyyyyzz_xxxxyzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1363); 

                auto tg_yyyyyzz_xxxxzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1364); 

                auto tg_yyyyyzz_xxxyyyyy_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1365); 

                auto tg_yyyyyzz_xxxyyyyz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1366); 

                auto tg_yyyyyzz_xxxyyyzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1367); 

                auto tg_yyyyyzz_xxxyyzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1368); 

                auto tg_yyyyyzz_xxxyzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1369); 

                auto tg_yyyyyzz_xxxzzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1370); 

                auto tg_yyyyyzz_xxyyyyyy_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1371); 

                auto tg_yyyyyzz_xxyyyyyz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1372); 

                auto tg_yyyyyzz_xxyyyyzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1373); 

                auto tg_yyyyyzz_xxyyyzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1374); 

                auto tg_yyyyyzz_xxyyzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1375); 

                auto tg_yyyyyzz_xxyzzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1376); 

                auto tg_yyyyyy_xxyyyyyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 966); 

                auto tg_yyyyyy_xxyyyyyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 967); 

                auto tg_yyyyyy_xxyyyyzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 968); 

                auto tg_yyyyyy_xxyyyzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 969); 

                auto tg_yyyyyy_xxyyzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 970); 

                auto tg_yyyyyy_xxyzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 971); 

                auto tg_yyyyyy_xxzzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 972); 

                auto tg_yyyyyy_xyyyyyyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 973); 

                auto tg_yyyyyy_xyyyyyyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 974); 

                auto tg_yyyyyy_xyyyyyzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 975); 

                auto tg_yyyyyy_xyyyyzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 976); 

                auto tg_yyyyyy_xyyyzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 977); 

                auto tg_yyyyyy_xyyzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 978); 

                auto tg_yyyyyy_xyzzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 979); 

                auto tg_yyyyyy_xzzzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 980); 

                auto tg_yyyyyy_yyyyyyyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 981); 

                auto tg_yyyyyy_yyyyyyyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 982); 

                auto tg_yyyyyy_yyyyyyzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 983); 

                auto tg_yyyyyy_yyyyyzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 984); 

                auto tg_yyyyyy_yyyyzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 985); 

                auto tg_yyyyyy_yyyzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 986); 

                auto tg_yyyyyy_yyzzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 987); 

                auto tg_yyyyyy_yzzzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 988); 

                auto tg_yyyyyy_zzzzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 989); 

                auto tg_yyyyyz_xxxxxxxx_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 990); 

                auto tg_yyyyyz_xxxxxxxy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 991); 

                auto tg_yyyyyz_xxxxxxxz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 992); 

                auto tg_yyyyyz_xxxxxxyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 993); 

                auto tg_yyyyyz_xxxxxxyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 994); 

                auto tg_yyyyyz_xxxxxxzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 995); 

                auto tg_yyyyyz_xxxxxyyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 996); 

                auto tg_yyyyyz_xxxxxyyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 997); 

                auto tg_yyyyyz_xxxxxyzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 998); 

                auto tg_yyyyyz_xxxxxzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 999); 

                auto tg_yyyyyz_xxxxyyyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1000); 

                auto tg_yyyyyz_xxxxyyyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1001); 

                auto tg_yyyyyz_xxxxyyzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1002); 

                auto tg_yyyyyz_xxxxyzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1003); 

                auto tg_yyyyyz_xxxxzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1004); 

                auto tg_yyyyyz_xxxyyyyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1005); 

                auto tg_yyyyyz_xxxyyyyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1006); 

                auto tg_yyyyyz_xxxyyyzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1007); 

                auto tg_yyyyyz_xxxyyzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1008); 

                auto tg_yyyyyz_xxxyzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1009); 

                auto tg_yyyyyz_xxxzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1010); 

                auto tg_yyyyyz_xxyyyyyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1011); 

                auto tg_yyyyyz_xxyyyyyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1012); 

                auto tg_yyyyyz_xxyyyyzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1013); 

                auto tg_yyyyyz_xxyyyzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1014); 

                auto tg_yyyyyz_xxyyzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1015); 

                auto tg_yyyyyz_xxyzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1016); 

                auto tg_yyyyyz_xxzzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1017); 

                auto tg_yyyyyz_xyyyyyyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1018); 

                auto tg_yyyyyz_xyyyyyyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1019); 

                auto tg_yyyyyz_xyyyyyzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1020); 

                auto tg_yyyyyz_xyyyyzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1021); 

                auto tg_yyyyyz_xyyyzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1022); 

                auto tg_yyyyyz_xyyzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1023); 

                auto tg_yyyyyz_xyzzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1024); 

                auto tg_yyyyyz_xzzzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1025); 

                auto tg_yyyyyz_yyyyyyyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1026); 

                auto tg_yyyyyz_yyyyyyyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1027); 

                auto tg_yyyyyz_yyyyyyzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1028); 

                auto tg_yyyyyz_yyyyyzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1029); 

                auto tg_yyyyyz_yyyyzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1030); 

                auto tg_yyyyyz_yyyzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1031); 

                auto tg_yyyyyz_yyzzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1032); 

                auto tg_yyyyyz_yzzzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1033); 

                auto tg_yyyyyz_zzzzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1034); 

                auto tg_yyyyzz_xxxxxxxx_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1035); 

                auto tg_yyyyzz_xxxxxxxy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1036); 

                auto tg_yyyyzz_xxxxxxxz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1037); 

                auto tg_yyyyzz_xxxxxxyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1038); 

                auto tg_yyyyzz_xxxxxxyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1039); 

                auto tg_yyyyzz_xxxxxxzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1040); 

                auto tg_yyyyzz_xxxxxyyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1041); 

                auto tg_yyyyzz_xxxxxyyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1042); 

                auto tg_yyyyzz_xxxxxyzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1043); 

                auto tg_yyyyzz_xxxxxzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1044); 

                auto tg_yyyyzz_xxxxyyyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1045); 

                auto tg_yyyyzz_xxxxyyyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1046); 

                auto tg_yyyyzz_xxxxyyzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1047); 

                auto tg_yyyyzz_xxxxyzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1048); 

                auto tg_yyyyzz_xxxxzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1049); 

                auto tg_yyyyzz_xxxyyyyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1050); 

                auto tg_yyyyzz_xxxyyyyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1051); 

                auto tg_yyyyzz_xxxyyyzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1052); 

                auto tg_yyyyzz_xxxyyzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1053); 

                auto tg_yyyyzz_xxxyzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1054); 

                auto tg_yyyyzz_xxxzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1055); 

                auto tg_yyyyzz_xxyyyyyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1056); 

                auto tg_yyyyzz_xxyyyyyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1057); 

                auto tg_yyyyzz_xxyyyyzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1058); 

                auto tg_yyyyzz_xxyyyzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1059); 

                auto tg_yyyyzz_xxyyzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1060); 

                auto tg_yyyyzz_xxyzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1061); 

                auto tg_yyyyyy_xxyyyyyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 966); 

                auto tg_yyyyyy_xxyyyyyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 967); 

                auto tg_yyyyyy_xxyyyyzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 968); 

                auto tg_yyyyyy_xxyyyzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 969); 

                auto tg_yyyyyy_xxyyzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 970); 

                auto tg_yyyyyy_xxyzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 971); 

                auto tg_yyyyyy_xxzzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 972); 

                auto tg_yyyyyy_xyyyyyyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 973); 

                auto tg_yyyyyy_xyyyyyyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 974); 

                auto tg_yyyyyy_xyyyyyzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 975); 

                auto tg_yyyyyy_xyyyyzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 976); 

                auto tg_yyyyyy_xyyyzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 977); 

                auto tg_yyyyyy_xyyzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 978); 

                auto tg_yyyyyy_xyzzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 979); 

                auto tg_yyyyyy_xzzzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 980); 

                auto tg_yyyyyy_yyyyyyyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 981); 

                auto tg_yyyyyy_yyyyyyyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 982); 

                auto tg_yyyyyy_yyyyyyzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 983); 

                auto tg_yyyyyy_yyyyyzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 984); 

                auto tg_yyyyyy_yyyyzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 985); 

                auto tg_yyyyyy_yyyzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 986); 

                auto tg_yyyyyy_yyzzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 987); 

                auto tg_yyyyyy_yzzzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 988); 

                auto tg_yyyyyy_zzzzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 989); 

                auto tg_yyyyyz_xxxxxxxx_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 990); 

                auto tg_yyyyyz_xxxxxxxy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 991); 

                auto tg_yyyyyz_xxxxxxxz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 992); 

                auto tg_yyyyyz_xxxxxxyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 993); 

                auto tg_yyyyyz_xxxxxxyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 994); 

                auto tg_yyyyyz_xxxxxxzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 995); 

                auto tg_yyyyyz_xxxxxyyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 996); 

                auto tg_yyyyyz_xxxxxyyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 997); 

                auto tg_yyyyyz_xxxxxyzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 998); 

                auto tg_yyyyyz_xxxxxzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 999); 

                auto tg_yyyyyz_xxxxyyyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1000); 

                auto tg_yyyyyz_xxxxyyyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1001); 

                auto tg_yyyyyz_xxxxyyzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1002); 

                auto tg_yyyyyz_xxxxyzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1003); 

                auto tg_yyyyyz_xxxxzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1004); 

                auto tg_yyyyyz_xxxyyyyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1005); 

                auto tg_yyyyyz_xxxyyyyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1006); 

                auto tg_yyyyyz_xxxyyyzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1007); 

                auto tg_yyyyyz_xxxyyzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1008); 

                auto tg_yyyyyz_xxxyzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1009); 

                auto tg_yyyyyz_xxxzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1010); 

                auto tg_yyyyyz_xxyyyyyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1011); 

                auto tg_yyyyyz_xxyyyyyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1012); 

                auto tg_yyyyyz_xxyyyyzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1013); 

                auto tg_yyyyyz_xxyyyzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1014); 

                auto tg_yyyyyz_xxyyzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1015); 

                auto tg_yyyyyz_xxyzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1016); 

                auto tg_yyyyyz_xxzzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1017); 

                auto tg_yyyyyz_xyyyyyyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1018); 

                auto tg_yyyyyz_xyyyyyyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1019); 

                auto tg_yyyyyz_xyyyyyzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1020); 

                auto tg_yyyyyz_xyyyyzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1021); 

                auto tg_yyyyyz_xyyyzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1022); 

                auto tg_yyyyyz_xyyzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1023); 

                auto tg_yyyyyz_xyzzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1024); 

                auto tg_yyyyyz_xzzzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1025); 

                auto tg_yyyyyz_yyyyyyyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1026); 

                auto tg_yyyyyz_yyyyyyyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1027); 

                auto tg_yyyyyz_yyyyyyzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1028); 

                auto tg_yyyyyz_yyyyyzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1029); 

                auto tg_yyyyyz_yyyyzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1030); 

                auto tg_yyyyyz_yyyzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1031); 

                auto tg_yyyyyz_yyzzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1032); 

                auto tg_yyyyyz_yzzzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1033); 

                auto tg_yyyyyz_zzzzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1034); 

                auto tg_yyyyzz_xxxxxxxx_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1035); 

                auto tg_yyyyzz_xxxxxxxy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1036); 

                auto tg_yyyyzz_xxxxxxxz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1037); 

                auto tg_yyyyzz_xxxxxxyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1038); 

                auto tg_yyyyzz_xxxxxxyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1039); 

                auto tg_yyyyzz_xxxxxxzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1040); 

                auto tg_yyyyzz_xxxxxyyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1041); 

                auto tg_yyyyzz_xxxxxyyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1042); 

                auto tg_yyyyzz_xxxxxyzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1043); 

                auto tg_yyyyzz_xxxxxzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1044); 

                auto tg_yyyyzz_xxxxyyyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1045); 

                auto tg_yyyyzz_xxxxyyyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1046); 

                auto tg_yyyyzz_xxxxyyzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1047); 

                auto tg_yyyyzz_xxxxyzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1048); 

                auto tg_yyyyzz_xxxxzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1049); 

                auto tg_yyyyzz_xxxyyyyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1050); 

                auto tg_yyyyzz_xxxyyyyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1051); 

                auto tg_yyyyzz_xxxyyyzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1052); 

                auto tg_yyyyzz_xxxyyzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1053); 

                auto tg_yyyyzz_xxxyzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1054); 

                auto tg_yyyyzz_xxxzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1055); 

                auto tg_yyyyzz_xxyyyyyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1056); 

                auto tg_yyyyzz_xxyyyyyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1057); 

                auto tg_yyyyzz_xxyyyyzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1058); 

                auto tg_yyyyzz_xxyyyzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1059); 

                auto tg_yyyyzz_xxyyzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1060); 

                auto tg_yyyyzz_xxyzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1061); 

                auto tg_yyyyyyy_xxyyyyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1023); 

                auto tg_yyyyyyy_xxyyyyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1024); 

                auto tg_yyyyyyy_xxyyyzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1025); 

                auto tg_yyyyyyy_xxyyzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1026); 

                auto tg_yyyyyyy_xxyzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1027); 

                auto tg_yyyyyyy_xxzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1028); 

                auto tg_yyyyyyy_xyyyyyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1029); 

                auto tg_yyyyyyy_xyyyyyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1030); 

                auto tg_yyyyyyy_xyyyyzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1031); 

                auto tg_yyyyyyy_xyyyzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1032); 

                auto tg_yyyyyyy_xyyzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1033); 

                auto tg_yyyyyyy_xyzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1034); 

                auto tg_yyyyyyy_xzzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1035); 

                auto tg_yyyyyyy_yyyyyyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1036); 

                auto tg_yyyyyyy_yyyyyyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1037); 

                auto tg_yyyyyyy_yyyyyzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1038); 

                auto tg_yyyyyyy_yyyyzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1039); 

                auto tg_yyyyyyy_yyyzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1040); 

                auto tg_yyyyyyy_yyzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1041); 

                auto tg_yyyyyyy_yzzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1042); 

                auto tg_yyyyyyy_zzzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1043); 

                auto tg_yyyyyyz_xxxxxxx_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1044); 

                auto tg_yyyyyyz_xxxxxxy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1045); 

                auto tg_yyyyyyz_xxxxxxz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1046); 

                auto tg_yyyyyyz_xxxxxyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1047); 

                auto tg_yyyyyyz_xxxxxyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1048); 

                auto tg_yyyyyyz_xxxxxzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1049); 

                auto tg_yyyyyyz_xxxxyyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1050); 

                auto tg_yyyyyyz_xxxxyyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1051); 

                auto tg_yyyyyyz_xxxxyzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1052); 

                auto tg_yyyyyyz_xxxxzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1053); 

                auto tg_yyyyyyz_xxxyyyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1054); 

                auto tg_yyyyyyz_xxxyyyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1055); 

                auto tg_yyyyyyz_xxxyyzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1056); 

                auto tg_yyyyyyz_xxxyzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1057); 

                auto tg_yyyyyyz_xxxzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1058); 

                auto tg_yyyyyyz_xxyyyyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1059); 

                auto tg_yyyyyyz_xxyyyyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1060); 

                auto tg_yyyyyyz_xxyyyzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1061); 

                auto tg_yyyyyyz_xxyyzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1062); 

                auto tg_yyyyyyz_xxyzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1063); 

                auto tg_yyyyyyz_xxzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1064); 

                auto tg_yyyyyyz_xyyyyyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1065); 

                auto tg_yyyyyyz_xyyyyyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1066); 

                auto tg_yyyyyyz_xyyyyzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1067); 

                auto tg_yyyyyyz_xyyyzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1068); 

                auto tg_yyyyyyz_xyyzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1069); 

                auto tg_yyyyyyz_xyzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1070); 

                auto tg_yyyyyyz_xzzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1071); 

                auto tg_yyyyyyz_yyyyyyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1072); 

                auto tg_yyyyyyz_yyyyyyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1073); 

                auto tg_yyyyyyz_yyyyyzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1074); 

                auto tg_yyyyyyz_yyyyzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1075); 

                auto tg_yyyyyyz_yyyzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1076); 

                auto tg_yyyyyyz_yyzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1077); 

                auto tg_yyyyyyz_yzzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1078); 

                auto tg_yyyyyyz_zzzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1079); 

                auto tg_yyyyyzz_xxxxxxx_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1080); 

                auto tg_yyyyyzz_xxxxxxy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1081); 

                auto tg_yyyyyzz_xxxxxxz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1082); 

                auto tg_yyyyyzz_xxxxxyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1083); 

                auto tg_yyyyyzz_xxxxxyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1084); 

                auto tg_yyyyyzz_xxxxxzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1085); 

                auto tg_yyyyyzz_xxxxyyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1086); 

                auto tg_yyyyyzz_xxxxyyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1087); 

                auto tg_yyyyyzz_xxxxyzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1088); 

                auto tg_yyyyyzz_xxxxzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1089); 

                auto tg_yyyyyzz_xxxyyyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1090); 

                auto tg_yyyyyzz_xxxyyyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1091); 

                auto tg_yyyyyzz_xxxyyzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1092); 

                auto tg_yyyyyzz_xxxyzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1093); 

                auto tg_yyyyyzz_xxxzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1094); 

                auto tg_yyyyyzz_xxyyyyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1095); 

                auto tg_yyyyyzz_xxyyyyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1096); 

                auto tg_yyyyyzz_xxyyyzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1097); 

                auto tg_yyyyyzz_xxyyzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1098); 

                auto tg_yyyyyzz_xxyzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1099); 

                auto tg_yyyyyzz_xxzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1100); 

                // set up pointers to integrals

                auto tg_yyyyyyyy_xxyyyyyy_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1641); 

                auto tg_yyyyyyyy_xxyyyyyz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1642); 

                auto tg_yyyyyyyy_xxyyyyzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1643); 

                auto tg_yyyyyyyy_xxyyyzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1644); 

                auto tg_yyyyyyyy_xxyyzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1645); 

                auto tg_yyyyyyyy_xxyzzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1646); 

                auto tg_yyyyyyyy_xxzzzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1647); 

                auto tg_yyyyyyyy_xyyyyyyy_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1648); 

                auto tg_yyyyyyyy_xyyyyyyz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1649); 

                auto tg_yyyyyyyy_xyyyyyzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1650); 

                auto tg_yyyyyyyy_xyyyyzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1651); 

                auto tg_yyyyyyyy_xyyyzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1652); 

                auto tg_yyyyyyyy_xyyzzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1653); 

                auto tg_yyyyyyyy_xyzzzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1654); 

                auto tg_yyyyyyyy_xzzzzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1655); 

                auto tg_yyyyyyyy_yyyyyyyy_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1656); 

                auto tg_yyyyyyyy_yyyyyyyz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1657); 

                auto tg_yyyyyyyy_yyyyyyzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1658); 

                auto tg_yyyyyyyy_yyyyyzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1659); 

                auto tg_yyyyyyyy_yyyyzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1660); 

                auto tg_yyyyyyyy_yyyzzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1661); 

                auto tg_yyyyyyyy_yyzzzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1662); 

                auto tg_yyyyyyyy_yzzzzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1663); 

                auto tg_yyyyyyyy_zzzzzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1664); 

                auto tg_yyyyyyyz_xxxxxxxx_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1665); 

                auto tg_yyyyyyyz_xxxxxxxy_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1666); 

                auto tg_yyyyyyyz_xxxxxxxz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1667); 

                auto tg_yyyyyyyz_xxxxxxyy_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1668); 

                auto tg_yyyyyyyz_xxxxxxyz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1669); 

                auto tg_yyyyyyyz_xxxxxxzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1670); 

                auto tg_yyyyyyyz_xxxxxyyy_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1671); 

                auto tg_yyyyyyyz_xxxxxyyz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1672); 

                auto tg_yyyyyyyz_xxxxxyzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1673); 

                auto tg_yyyyyyyz_xxxxxzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1674); 

                auto tg_yyyyyyyz_xxxxyyyy_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1675); 

                auto tg_yyyyyyyz_xxxxyyyz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1676); 

                auto tg_yyyyyyyz_xxxxyyzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1677); 

                auto tg_yyyyyyyz_xxxxyzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1678); 

                auto tg_yyyyyyyz_xxxxzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1679); 

                auto tg_yyyyyyyz_xxxyyyyy_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1680); 

                auto tg_yyyyyyyz_xxxyyyyz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1681); 

                auto tg_yyyyyyyz_xxxyyyzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1682); 

                auto tg_yyyyyyyz_xxxyyzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1683); 

                auto tg_yyyyyyyz_xxxyzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1684); 

                auto tg_yyyyyyyz_xxxzzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1685); 

                auto tg_yyyyyyyz_xxyyyyyy_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1686); 

                auto tg_yyyyyyyz_xxyyyyyz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1687); 

                auto tg_yyyyyyyz_xxyyyyzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1688); 

                auto tg_yyyyyyyz_xxyyyzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1689); 

                auto tg_yyyyyyyz_xxyyzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1690); 

                auto tg_yyyyyyyz_xxyzzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1691); 

                auto tg_yyyyyyyz_xxzzzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1692); 

                auto tg_yyyyyyyz_xyyyyyyy_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1693); 

                auto tg_yyyyyyyz_xyyyyyyz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1694); 

                auto tg_yyyyyyyz_xyyyyyzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1695); 

                auto tg_yyyyyyyz_xyyyyzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1696); 

                auto tg_yyyyyyyz_xyyyzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1697); 

                auto tg_yyyyyyyz_xyyzzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1698); 

                auto tg_yyyyyyyz_xyzzzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1699); 

                auto tg_yyyyyyyz_xzzzzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1700); 

                auto tg_yyyyyyyz_yyyyyyyy_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1701); 

                auto tg_yyyyyyyz_yyyyyyyz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1702); 

                auto tg_yyyyyyyz_yyyyyyzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1703); 

                auto tg_yyyyyyyz_yyyyyzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1704); 

                auto tg_yyyyyyyz_yyyyzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1705); 

                auto tg_yyyyyyyz_yyyzzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1706); 

                auto tg_yyyyyyyz_yyzzzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1707); 

                auto tg_yyyyyyyz_yzzzzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1708); 

                auto tg_yyyyyyyz_zzzzzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1709); 

                auto tg_yyyyyyzz_xxxxxxxx_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1710); 

                auto tg_yyyyyyzz_xxxxxxxy_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1711); 

                auto tg_yyyyyyzz_xxxxxxxz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1712); 

                auto tg_yyyyyyzz_xxxxxxyy_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1713); 

                auto tg_yyyyyyzz_xxxxxxyz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1714); 

                auto tg_yyyyyyzz_xxxxxxzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1715); 

                auto tg_yyyyyyzz_xxxxxyyy_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1716); 

                auto tg_yyyyyyzz_xxxxxyyz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1717); 

                auto tg_yyyyyyzz_xxxxxyzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1718); 

                auto tg_yyyyyyzz_xxxxxzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1719); 

                auto tg_yyyyyyzz_xxxxyyyy_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1720); 

                auto tg_yyyyyyzz_xxxxyyyz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1721); 

                auto tg_yyyyyyzz_xxxxyyzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1722); 

                auto tg_yyyyyyzz_xxxxyzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1723); 

                auto tg_yyyyyyzz_xxxxzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1724); 

                auto tg_yyyyyyzz_xxxyyyyy_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1725); 

                auto tg_yyyyyyzz_xxxyyyyz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1726); 

                auto tg_yyyyyyzz_xxxyyyzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1727); 

                auto tg_yyyyyyzz_xxxyyzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1728); 

                auto tg_yyyyyyzz_xxxyzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1729); 

                auto tg_yyyyyyzz_xxxzzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1730); 

                auto tg_yyyyyyzz_xxyyyyyy_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1731); 

                auto tg_yyyyyyzz_xxyyyyyz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1732); 

                auto tg_yyyyyyzz_xxyyyyzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1733); 

                auto tg_yyyyyyzz_xxyyyzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1734); 

                auto tg_yyyyyyzz_xxyyzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1735); 

                auto tg_yyyyyyzz_xxyzzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1736); 

                // Batch of Integrals (1641,1737)

                #pragma omp simd aligned(fxn, fza, tg_yyyyyy_xxyyyyyy_0, tg_yyyyyy_xxyyyyyy_1, \
                                         tg_yyyyyy_xxyyyyyz_0, tg_yyyyyy_xxyyyyyz_1, tg_yyyyyy_xxyyyyzz_0, tg_yyyyyy_xxyyyyzz_1, \
                                         tg_yyyyyy_xxyyyzzz_0, tg_yyyyyy_xxyyyzzz_1, tg_yyyyyy_xxyyzzzz_0, tg_yyyyyy_xxyyzzzz_1, \
                                         tg_yyyyyy_xxyzzzzz_0, tg_yyyyyy_xxyzzzzz_1, tg_yyyyyy_xxzzzzzz_0, tg_yyyyyy_xxzzzzzz_1, \
                                         tg_yyyyyy_xyyyyyyy_0, tg_yyyyyy_xyyyyyyy_1, tg_yyyyyy_xyyyyyyz_0, tg_yyyyyy_xyyyyyyz_1, \
                                         tg_yyyyyy_xyyyyyzz_0, tg_yyyyyy_xyyyyyzz_1, tg_yyyyyy_xyyyyzzz_0, tg_yyyyyy_xyyyyzzz_1, \
                                         tg_yyyyyy_xyyyzzzz_0, tg_yyyyyy_xyyyzzzz_1, tg_yyyyyy_xyyzzzzz_0, tg_yyyyyy_xyyzzzzz_1, \
                                         tg_yyyyyy_xyzzzzzz_0, tg_yyyyyy_xyzzzzzz_1, tg_yyyyyy_xzzzzzzz_0, tg_yyyyyy_xzzzzzzz_1, \
                                         tg_yyyyyy_yyyyyyyy_0, tg_yyyyyy_yyyyyyyy_1, tg_yyyyyy_yyyyyyyz_0, tg_yyyyyy_yyyyyyyz_1, \
                                         tg_yyyyyy_yyyyyyzz_0, tg_yyyyyy_yyyyyyzz_1, tg_yyyyyy_yyyyyzzz_0, tg_yyyyyy_yyyyyzzz_1, \
                                         tg_yyyyyy_yyyyzzzz_0, tg_yyyyyy_yyyyzzzz_1, tg_yyyyyy_yyyzzzzz_0, tg_yyyyyy_yyyzzzzz_1, \
                                         tg_yyyyyy_yyzzzzzz_0, tg_yyyyyy_yyzzzzzz_1, tg_yyyyyy_yzzzzzzz_0, tg_yyyyyy_yzzzzzzz_1, \
                                         tg_yyyyyy_zzzzzzzz_0, tg_yyyyyy_zzzzzzzz_1, tg_yyyyyyy_xxyyyyy_1, \
                                         tg_yyyyyyy_xxyyyyyy_0, tg_yyyyyyy_xxyyyyyy_1, tg_yyyyyyy_xxyyyyyz_0, \
                                         tg_yyyyyyy_xxyyyyyz_1, tg_yyyyyyy_xxyyyyz_1, tg_yyyyyyy_xxyyyyzz_0, \
                                         tg_yyyyyyy_xxyyyyzz_1, tg_yyyyyyy_xxyyyzz_1, tg_yyyyyyy_xxyyyzzz_0, \
                                         tg_yyyyyyy_xxyyyzzz_1, tg_yyyyyyy_xxyyzzz_1, tg_yyyyyyy_xxyyzzzz_0, \
                                         tg_yyyyyyy_xxyyzzzz_1, tg_yyyyyyy_xxyzzzz_1, tg_yyyyyyy_xxyzzzzz_0, \
                                         tg_yyyyyyy_xxyzzzzz_1, tg_yyyyyyy_xxzzzzz_1, tg_yyyyyyy_xxzzzzzz_0, \
                                         tg_yyyyyyy_xxzzzzzz_1, tg_yyyyyyy_xyyyyyy_1, tg_yyyyyyy_xyyyyyyy_0, \
                                         tg_yyyyyyy_xyyyyyyy_1, tg_yyyyyyy_xyyyyyyz_0, tg_yyyyyyy_xyyyyyyz_1, \
                                         tg_yyyyyyy_xyyyyyz_1, tg_yyyyyyy_xyyyyyzz_0, tg_yyyyyyy_xyyyyyzz_1, \
                                         tg_yyyyyyy_xyyyyzz_1, tg_yyyyyyy_xyyyyzzz_0, tg_yyyyyyy_xyyyyzzz_1, \
                                         tg_yyyyyyy_xyyyzzz_1, tg_yyyyyyy_xyyyzzzz_0, tg_yyyyyyy_xyyyzzzz_1, \
                                         tg_yyyyyyy_xyyzzzz_1, tg_yyyyyyy_xyyzzzzz_0, tg_yyyyyyy_xyyzzzzz_1, \
                                         tg_yyyyyyy_xyzzzzz_1, tg_yyyyyyy_xyzzzzzz_0, tg_yyyyyyy_xyzzzzzz_1, \
                                         tg_yyyyyyy_xzzzzzz_1, tg_yyyyyyy_xzzzzzzz_0, tg_yyyyyyy_xzzzzzzz_1, \
                                         tg_yyyyyyy_yyyyyyy_1, tg_yyyyyyy_yyyyyyyy_0, tg_yyyyyyy_yyyyyyyy_1, \
                                         tg_yyyyyyy_yyyyyyyz_0, tg_yyyyyyy_yyyyyyyz_1, tg_yyyyyyy_yyyyyyz_1, \
                                         tg_yyyyyyy_yyyyyyzz_0, tg_yyyyyyy_yyyyyyzz_1, tg_yyyyyyy_yyyyyzz_1, \
                                         tg_yyyyyyy_yyyyyzzz_0, tg_yyyyyyy_yyyyyzzz_1, tg_yyyyyyy_yyyyzzz_1, \
                                         tg_yyyyyyy_yyyyzzzz_0, tg_yyyyyyy_yyyyzzzz_1, tg_yyyyyyy_yyyzzzz_1, \
                                         tg_yyyyyyy_yyyzzzzz_0, tg_yyyyyyy_yyyzzzzz_1, tg_yyyyyyy_yyzzzzz_1, \
                                         tg_yyyyyyy_yyzzzzzz_0, tg_yyyyyyy_yyzzzzzz_1, tg_yyyyyyy_yzzzzzz_1, \
                                         tg_yyyyyyy_yzzzzzzz_0, tg_yyyyyyy_yzzzzzzz_1, tg_yyyyyyy_zzzzzzz_1, \
                                         tg_yyyyyyy_zzzzzzzz_0, tg_yyyyyyy_zzzzzzzz_1, tg_yyyyyyyy_xxyyyyyy_0, \
                                         tg_yyyyyyyy_xxyyyyyz_0, tg_yyyyyyyy_xxyyyyzz_0, tg_yyyyyyyy_xxyyyzzz_0, \
                                         tg_yyyyyyyy_xxyyzzzz_0, tg_yyyyyyyy_xxyzzzzz_0, tg_yyyyyyyy_xxzzzzzz_0, \
                                         tg_yyyyyyyy_xyyyyyyy_0, tg_yyyyyyyy_xyyyyyyz_0, tg_yyyyyyyy_xyyyyyzz_0, \
                                         tg_yyyyyyyy_xyyyyzzz_0, tg_yyyyyyyy_xyyyzzzz_0, tg_yyyyyyyy_xyyzzzzz_0, \
                                         tg_yyyyyyyy_xyzzzzzz_0, tg_yyyyyyyy_xzzzzzzz_0, tg_yyyyyyyy_yyyyyyyy_0, \
                                         tg_yyyyyyyy_yyyyyyyz_0, tg_yyyyyyyy_yyyyyyzz_0, tg_yyyyyyyy_yyyyyzzz_0, \
                                         tg_yyyyyyyy_yyyyzzzz_0, tg_yyyyyyyy_yyyzzzzz_0, tg_yyyyyyyy_yyzzzzzz_0, \
                                         tg_yyyyyyyy_yzzzzzzz_0, tg_yyyyyyyy_zzzzzzzz_0, tg_yyyyyyyz_xxxxxxxx_0, \
                                         tg_yyyyyyyz_xxxxxxxy_0, tg_yyyyyyyz_xxxxxxxz_0, tg_yyyyyyyz_xxxxxxyy_0, \
                                         tg_yyyyyyyz_xxxxxxyz_0, tg_yyyyyyyz_xxxxxxzz_0, tg_yyyyyyyz_xxxxxyyy_0, \
                                         tg_yyyyyyyz_xxxxxyyz_0, tg_yyyyyyyz_xxxxxyzz_0, tg_yyyyyyyz_xxxxxzzz_0, \
                                         tg_yyyyyyyz_xxxxyyyy_0, tg_yyyyyyyz_xxxxyyyz_0, tg_yyyyyyyz_xxxxyyzz_0, \
                                         tg_yyyyyyyz_xxxxyzzz_0, tg_yyyyyyyz_xxxxzzzz_0, tg_yyyyyyyz_xxxyyyyy_0, \
                                         tg_yyyyyyyz_xxxyyyyz_0, tg_yyyyyyyz_xxxyyyzz_0, tg_yyyyyyyz_xxxyyzzz_0, \
                                         tg_yyyyyyyz_xxxyzzzz_0, tg_yyyyyyyz_xxxzzzzz_0, tg_yyyyyyyz_xxyyyyyy_0, \
                                         tg_yyyyyyyz_xxyyyyyz_0, tg_yyyyyyyz_xxyyyyzz_0, tg_yyyyyyyz_xxyyyzzz_0, \
                                         tg_yyyyyyyz_xxyyzzzz_0, tg_yyyyyyyz_xxyzzzzz_0, tg_yyyyyyyz_xxzzzzzz_0, \
                                         tg_yyyyyyyz_xyyyyyyy_0, tg_yyyyyyyz_xyyyyyyz_0, tg_yyyyyyyz_xyyyyyzz_0, \
                                         tg_yyyyyyyz_xyyyyzzz_0, tg_yyyyyyyz_xyyyzzzz_0, tg_yyyyyyyz_xyyzzzzz_0, \
                                         tg_yyyyyyyz_xyzzzzzz_0, tg_yyyyyyyz_xzzzzzzz_0, tg_yyyyyyyz_yyyyyyyy_0, \
                                         tg_yyyyyyyz_yyyyyyyz_0, tg_yyyyyyyz_yyyyyyzz_0, tg_yyyyyyyz_yyyyyzzz_0, \
                                         tg_yyyyyyyz_yyyyzzzz_0, tg_yyyyyyyz_yyyzzzzz_0, tg_yyyyyyyz_yyzzzzzz_0, \
                                         tg_yyyyyyyz_yzzzzzzz_0, tg_yyyyyyyz_zzzzzzzz_0, tg_yyyyyyz_xxxxxxx_1, \
                                         tg_yyyyyyz_xxxxxxxx_0, tg_yyyyyyz_xxxxxxxx_1, tg_yyyyyyz_xxxxxxxy_0, \
                                         tg_yyyyyyz_xxxxxxxy_1, tg_yyyyyyz_xxxxxxxz_0, tg_yyyyyyz_xxxxxxxz_1, \
                                         tg_yyyyyyz_xxxxxxy_1, tg_yyyyyyz_xxxxxxyy_0, tg_yyyyyyz_xxxxxxyy_1, \
                                         tg_yyyyyyz_xxxxxxyz_0, tg_yyyyyyz_xxxxxxyz_1, tg_yyyyyyz_xxxxxxz_1, \
                                         tg_yyyyyyz_xxxxxxzz_0, tg_yyyyyyz_xxxxxxzz_1, tg_yyyyyyz_xxxxxyy_1, \
                                         tg_yyyyyyz_xxxxxyyy_0, tg_yyyyyyz_xxxxxyyy_1, tg_yyyyyyz_xxxxxyyz_0, \
                                         tg_yyyyyyz_xxxxxyyz_1, tg_yyyyyyz_xxxxxyz_1, tg_yyyyyyz_xxxxxyzz_0, \
                                         tg_yyyyyyz_xxxxxyzz_1, tg_yyyyyyz_xxxxxzz_1, tg_yyyyyyz_xxxxxzzz_0, \
                                         tg_yyyyyyz_xxxxxzzz_1, tg_yyyyyyz_xxxxyyy_1, tg_yyyyyyz_xxxxyyyy_0, \
                                         tg_yyyyyyz_xxxxyyyy_1, tg_yyyyyyz_xxxxyyyz_0, tg_yyyyyyz_xxxxyyyz_1, \
                                         tg_yyyyyyz_xxxxyyz_1, tg_yyyyyyz_xxxxyyzz_0, tg_yyyyyyz_xxxxyyzz_1, \
                                         tg_yyyyyyz_xxxxyzz_1, tg_yyyyyyz_xxxxyzzz_0, tg_yyyyyyz_xxxxyzzz_1, \
                                         tg_yyyyyyz_xxxxzzz_1, tg_yyyyyyz_xxxxzzzz_0, tg_yyyyyyz_xxxxzzzz_1, \
                                         tg_yyyyyyz_xxxyyyy_1, tg_yyyyyyz_xxxyyyyy_0, tg_yyyyyyz_xxxyyyyy_1, \
                                         tg_yyyyyyz_xxxyyyyz_0, tg_yyyyyyz_xxxyyyyz_1, tg_yyyyyyz_xxxyyyz_1, \
                                         tg_yyyyyyz_xxxyyyzz_0, tg_yyyyyyz_xxxyyyzz_1, tg_yyyyyyz_xxxyyzz_1, \
                                         tg_yyyyyyz_xxxyyzzz_0, tg_yyyyyyz_xxxyyzzz_1, tg_yyyyyyz_xxxyzzz_1, \
                                         tg_yyyyyyz_xxxyzzzz_0, tg_yyyyyyz_xxxyzzzz_1, tg_yyyyyyz_xxxzzzz_1, \
                                         tg_yyyyyyz_xxxzzzzz_0, tg_yyyyyyz_xxxzzzzz_1, tg_yyyyyyz_xxyyyyy_1, \
                                         tg_yyyyyyz_xxyyyyyy_0, tg_yyyyyyz_xxyyyyyy_1, tg_yyyyyyz_xxyyyyyz_0, \
                                         tg_yyyyyyz_xxyyyyyz_1, tg_yyyyyyz_xxyyyyz_1, tg_yyyyyyz_xxyyyyzz_0, \
                                         tg_yyyyyyz_xxyyyyzz_1, tg_yyyyyyz_xxyyyzz_1, tg_yyyyyyz_xxyyyzzz_0, \
                                         tg_yyyyyyz_xxyyyzzz_1, tg_yyyyyyz_xxyyzzz_1, tg_yyyyyyz_xxyyzzzz_0, \
                                         tg_yyyyyyz_xxyyzzzz_1, tg_yyyyyyz_xxyzzzz_1, tg_yyyyyyz_xxyzzzzz_0, \
                                         tg_yyyyyyz_xxyzzzzz_1, tg_yyyyyyz_xxzzzzz_1, tg_yyyyyyz_xxzzzzzz_0, \
                                         tg_yyyyyyz_xxzzzzzz_1, tg_yyyyyyz_xyyyyyy_1, tg_yyyyyyz_xyyyyyyy_0, \
                                         tg_yyyyyyz_xyyyyyyy_1, tg_yyyyyyz_xyyyyyyz_0, tg_yyyyyyz_xyyyyyyz_1, \
                                         tg_yyyyyyz_xyyyyyz_1, tg_yyyyyyz_xyyyyyzz_0, tg_yyyyyyz_xyyyyyzz_1, \
                                         tg_yyyyyyz_xyyyyzz_1, tg_yyyyyyz_xyyyyzzz_0, tg_yyyyyyz_xyyyyzzz_1, \
                                         tg_yyyyyyz_xyyyzzz_1, tg_yyyyyyz_xyyyzzzz_0, tg_yyyyyyz_xyyyzzzz_1, \
                                         tg_yyyyyyz_xyyzzzz_1, tg_yyyyyyz_xyyzzzzz_0, tg_yyyyyyz_xyyzzzzz_1, \
                                         tg_yyyyyyz_xyzzzzz_1, tg_yyyyyyz_xyzzzzzz_0, tg_yyyyyyz_xyzzzzzz_1, \
                                         tg_yyyyyyz_xzzzzzz_1, tg_yyyyyyz_xzzzzzzz_0, tg_yyyyyyz_xzzzzzzz_1, \
                                         tg_yyyyyyz_yyyyyyy_1, tg_yyyyyyz_yyyyyyyy_0, tg_yyyyyyz_yyyyyyyy_1, \
                                         tg_yyyyyyz_yyyyyyyz_0, tg_yyyyyyz_yyyyyyyz_1, tg_yyyyyyz_yyyyyyz_1, \
                                         tg_yyyyyyz_yyyyyyzz_0, tg_yyyyyyz_yyyyyyzz_1, tg_yyyyyyz_yyyyyzz_1, \
                                         tg_yyyyyyz_yyyyyzzz_0, tg_yyyyyyz_yyyyyzzz_1, tg_yyyyyyz_yyyyzzz_1, \
                                         tg_yyyyyyz_yyyyzzzz_0, tg_yyyyyyz_yyyyzzzz_1, tg_yyyyyyz_yyyzzzz_1, \
                                         tg_yyyyyyz_yyyzzzzz_0, tg_yyyyyyz_yyyzzzzz_1, tg_yyyyyyz_yyzzzzz_1, \
                                         tg_yyyyyyz_yyzzzzzz_0, tg_yyyyyyz_yyzzzzzz_1, tg_yyyyyyz_yzzzzzz_1, \
                                         tg_yyyyyyz_yzzzzzzz_0, tg_yyyyyyz_yzzzzzzz_1, tg_yyyyyyz_zzzzzzz_1, \
                                         tg_yyyyyyz_zzzzzzzz_0, tg_yyyyyyz_zzzzzzzz_1, tg_yyyyyyzz_xxxxxxxx_0, \
                                         tg_yyyyyyzz_xxxxxxxy_0, tg_yyyyyyzz_xxxxxxxz_0, tg_yyyyyyzz_xxxxxxyy_0, \
                                         tg_yyyyyyzz_xxxxxxyz_0, tg_yyyyyyzz_xxxxxxzz_0, tg_yyyyyyzz_xxxxxyyy_0, \
                                         tg_yyyyyyzz_xxxxxyyz_0, tg_yyyyyyzz_xxxxxyzz_0, tg_yyyyyyzz_xxxxxzzz_0, \
                                         tg_yyyyyyzz_xxxxyyyy_0, tg_yyyyyyzz_xxxxyyyz_0, tg_yyyyyyzz_xxxxyyzz_0, \
                                         tg_yyyyyyzz_xxxxyzzz_0, tg_yyyyyyzz_xxxxzzzz_0, tg_yyyyyyzz_xxxyyyyy_0, \
                                         tg_yyyyyyzz_xxxyyyyz_0, tg_yyyyyyzz_xxxyyyzz_0, tg_yyyyyyzz_xxxyyzzz_0, \
                                         tg_yyyyyyzz_xxxyzzzz_0, tg_yyyyyyzz_xxxzzzzz_0, tg_yyyyyyzz_xxyyyyyy_0, \
                                         tg_yyyyyyzz_xxyyyyyz_0, tg_yyyyyyzz_xxyyyyzz_0, tg_yyyyyyzz_xxyyyzzz_0, \
                                         tg_yyyyyyzz_xxyyzzzz_0, tg_yyyyyyzz_xxyzzzzz_0, tg_yyyyyz_xxxxxxxx_0, \
                                         tg_yyyyyz_xxxxxxxx_1, tg_yyyyyz_xxxxxxxy_0, tg_yyyyyz_xxxxxxxy_1, tg_yyyyyz_xxxxxxxz_0, \
                                         tg_yyyyyz_xxxxxxxz_1, tg_yyyyyz_xxxxxxyy_0, tg_yyyyyz_xxxxxxyy_1, tg_yyyyyz_xxxxxxyz_0, \
                                         tg_yyyyyz_xxxxxxyz_1, tg_yyyyyz_xxxxxxzz_0, tg_yyyyyz_xxxxxxzz_1, tg_yyyyyz_xxxxxyyy_0, \
                                         tg_yyyyyz_xxxxxyyy_1, tg_yyyyyz_xxxxxyyz_0, tg_yyyyyz_xxxxxyyz_1, tg_yyyyyz_xxxxxyzz_0, \
                                         tg_yyyyyz_xxxxxyzz_1, tg_yyyyyz_xxxxxzzz_0, tg_yyyyyz_xxxxxzzz_1, tg_yyyyyz_xxxxyyyy_0, \
                                         tg_yyyyyz_xxxxyyyy_1, tg_yyyyyz_xxxxyyyz_0, tg_yyyyyz_xxxxyyyz_1, tg_yyyyyz_xxxxyyzz_0, \
                                         tg_yyyyyz_xxxxyyzz_1, tg_yyyyyz_xxxxyzzz_0, tg_yyyyyz_xxxxyzzz_1, tg_yyyyyz_xxxxzzzz_0, \
                                         tg_yyyyyz_xxxxzzzz_1, tg_yyyyyz_xxxyyyyy_0, tg_yyyyyz_xxxyyyyy_1, tg_yyyyyz_xxxyyyyz_0, \
                                         tg_yyyyyz_xxxyyyyz_1, tg_yyyyyz_xxxyyyzz_0, tg_yyyyyz_xxxyyyzz_1, tg_yyyyyz_xxxyyzzz_0, \
                                         tg_yyyyyz_xxxyyzzz_1, tg_yyyyyz_xxxyzzzz_0, tg_yyyyyz_xxxyzzzz_1, tg_yyyyyz_xxxzzzzz_0, \
                                         tg_yyyyyz_xxxzzzzz_1, tg_yyyyyz_xxyyyyyy_0, tg_yyyyyz_xxyyyyyy_1, tg_yyyyyz_xxyyyyyz_0, \
                                         tg_yyyyyz_xxyyyyyz_1, tg_yyyyyz_xxyyyyzz_0, tg_yyyyyz_xxyyyyzz_1, tg_yyyyyz_xxyyyzzz_0, \
                                         tg_yyyyyz_xxyyyzzz_1, tg_yyyyyz_xxyyzzzz_0, tg_yyyyyz_xxyyzzzz_1, tg_yyyyyz_xxyzzzzz_0, \
                                         tg_yyyyyz_xxyzzzzz_1, tg_yyyyyz_xxzzzzzz_0, tg_yyyyyz_xxzzzzzz_1, tg_yyyyyz_xyyyyyyy_0, \
                                         tg_yyyyyz_xyyyyyyy_1, tg_yyyyyz_xyyyyyyz_0, tg_yyyyyz_xyyyyyyz_1, tg_yyyyyz_xyyyyyzz_0, \
                                         tg_yyyyyz_xyyyyyzz_1, tg_yyyyyz_xyyyyzzz_0, tg_yyyyyz_xyyyyzzz_1, tg_yyyyyz_xyyyzzzz_0, \
                                         tg_yyyyyz_xyyyzzzz_1, tg_yyyyyz_xyyzzzzz_0, tg_yyyyyz_xyyzzzzz_1, tg_yyyyyz_xyzzzzzz_0, \
                                         tg_yyyyyz_xyzzzzzz_1, tg_yyyyyz_xzzzzzzz_0, tg_yyyyyz_xzzzzzzz_1, tg_yyyyyz_yyyyyyyy_0, \
                                         tg_yyyyyz_yyyyyyyy_1, tg_yyyyyz_yyyyyyyz_0, tg_yyyyyz_yyyyyyyz_1, tg_yyyyyz_yyyyyyzz_0, \
                                         tg_yyyyyz_yyyyyyzz_1, tg_yyyyyz_yyyyyzzz_0, tg_yyyyyz_yyyyyzzz_1, tg_yyyyyz_yyyyzzzz_0, \
                                         tg_yyyyyz_yyyyzzzz_1, tg_yyyyyz_yyyzzzzz_0, tg_yyyyyz_yyyzzzzz_1, tg_yyyyyz_yyzzzzzz_0, \
                                         tg_yyyyyz_yyzzzzzz_1, tg_yyyyyz_yzzzzzzz_0, tg_yyyyyz_yzzzzzzz_1, tg_yyyyyz_zzzzzzzz_0, \
                                         tg_yyyyyz_zzzzzzzz_1, tg_yyyyyzz_xxxxxxx_1, tg_yyyyyzz_xxxxxxxx_0, \
                                         tg_yyyyyzz_xxxxxxxx_1, tg_yyyyyzz_xxxxxxxy_0, tg_yyyyyzz_xxxxxxxy_1, \
                                         tg_yyyyyzz_xxxxxxxz_0, tg_yyyyyzz_xxxxxxxz_1, tg_yyyyyzz_xxxxxxy_1, \
                                         tg_yyyyyzz_xxxxxxyy_0, tg_yyyyyzz_xxxxxxyy_1, tg_yyyyyzz_xxxxxxyz_0, \
                                         tg_yyyyyzz_xxxxxxyz_1, tg_yyyyyzz_xxxxxxz_1, tg_yyyyyzz_xxxxxxzz_0, \
                                         tg_yyyyyzz_xxxxxxzz_1, tg_yyyyyzz_xxxxxyy_1, tg_yyyyyzz_xxxxxyyy_0, \
                                         tg_yyyyyzz_xxxxxyyy_1, tg_yyyyyzz_xxxxxyyz_0, tg_yyyyyzz_xxxxxyyz_1, \
                                         tg_yyyyyzz_xxxxxyz_1, tg_yyyyyzz_xxxxxyzz_0, tg_yyyyyzz_xxxxxyzz_1, \
                                         tg_yyyyyzz_xxxxxzz_1, tg_yyyyyzz_xxxxxzzz_0, tg_yyyyyzz_xxxxxzzz_1, \
                                         tg_yyyyyzz_xxxxyyy_1, tg_yyyyyzz_xxxxyyyy_0, tg_yyyyyzz_xxxxyyyy_1, \
                                         tg_yyyyyzz_xxxxyyyz_0, tg_yyyyyzz_xxxxyyyz_1, tg_yyyyyzz_xxxxyyz_1, \
                                         tg_yyyyyzz_xxxxyyzz_0, tg_yyyyyzz_xxxxyyzz_1, tg_yyyyyzz_xxxxyzz_1, \
                                         tg_yyyyyzz_xxxxyzzz_0, tg_yyyyyzz_xxxxyzzz_1, tg_yyyyyzz_xxxxzzz_1, \
                                         tg_yyyyyzz_xxxxzzzz_0, tg_yyyyyzz_xxxxzzzz_1, tg_yyyyyzz_xxxyyyy_1, \
                                         tg_yyyyyzz_xxxyyyyy_0, tg_yyyyyzz_xxxyyyyy_1, tg_yyyyyzz_xxxyyyyz_0, \
                                         tg_yyyyyzz_xxxyyyyz_1, tg_yyyyyzz_xxxyyyz_1, tg_yyyyyzz_xxxyyyzz_0, \
                                         tg_yyyyyzz_xxxyyyzz_1, tg_yyyyyzz_xxxyyzz_1, tg_yyyyyzz_xxxyyzzz_0, \
                                         tg_yyyyyzz_xxxyyzzz_1, tg_yyyyyzz_xxxyzzz_1, tg_yyyyyzz_xxxyzzzz_0, \
                                         tg_yyyyyzz_xxxyzzzz_1, tg_yyyyyzz_xxxzzzz_1, tg_yyyyyzz_xxxzzzzz_0, \
                                         tg_yyyyyzz_xxxzzzzz_1, tg_yyyyyzz_xxyyyyy_1, tg_yyyyyzz_xxyyyyyy_0, \
                                         tg_yyyyyzz_xxyyyyyy_1, tg_yyyyyzz_xxyyyyyz_0, tg_yyyyyzz_xxyyyyyz_1, \
                                         tg_yyyyyzz_xxyyyyz_1, tg_yyyyyzz_xxyyyyzz_0, tg_yyyyyzz_xxyyyyzz_1, \
                                         tg_yyyyyzz_xxyyyzz_1, tg_yyyyyzz_xxyyyzzz_0, tg_yyyyyzz_xxyyyzzz_1, \
                                         tg_yyyyyzz_xxyyzzz_1, tg_yyyyyzz_xxyyzzzz_0, tg_yyyyyzz_xxyyzzzz_1, \
                                         tg_yyyyyzz_xxyzzzz_1, tg_yyyyyzz_xxyzzzzz_0, tg_yyyyyzz_xxyzzzzz_1, \
                                         tg_yyyyyzz_xxzzzzz_1, tg_yyyyzz_xxxxxxxx_0, tg_yyyyzz_xxxxxxxx_1, tg_yyyyzz_xxxxxxxy_0, \
                                         tg_yyyyzz_xxxxxxxy_1, tg_yyyyzz_xxxxxxxz_0, tg_yyyyzz_xxxxxxxz_1, tg_yyyyzz_xxxxxxyy_0, \
                                         tg_yyyyzz_xxxxxxyy_1, tg_yyyyzz_xxxxxxyz_0, tg_yyyyzz_xxxxxxyz_1, tg_yyyyzz_xxxxxxzz_0, \
                                         tg_yyyyzz_xxxxxxzz_1, tg_yyyyzz_xxxxxyyy_0, tg_yyyyzz_xxxxxyyy_1, tg_yyyyzz_xxxxxyyz_0, \
                                         tg_yyyyzz_xxxxxyyz_1, tg_yyyyzz_xxxxxyzz_0, tg_yyyyzz_xxxxxyzz_1, tg_yyyyzz_xxxxxzzz_0, \
                                         tg_yyyyzz_xxxxxzzz_1, tg_yyyyzz_xxxxyyyy_0, tg_yyyyzz_xxxxyyyy_1, tg_yyyyzz_xxxxyyyz_0, \
                                         tg_yyyyzz_xxxxyyyz_1, tg_yyyyzz_xxxxyyzz_0, tg_yyyyzz_xxxxyyzz_1, tg_yyyyzz_xxxxyzzz_0, \
                                         tg_yyyyzz_xxxxyzzz_1, tg_yyyyzz_xxxxzzzz_0, tg_yyyyzz_xxxxzzzz_1, tg_yyyyzz_xxxyyyyy_0, \
                                         tg_yyyyzz_xxxyyyyy_1, tg_yyyyzz_xxxyyyyz_0, tg_yyyyzz_xxxyyyyz_1, tg_yyyyzz_xxxyyyzz_0, \
                                         tg_yyyyzz_xxxyyyzz_1, tg_yyyyzz_xxxyyzzz_0, tg_yyyyzz_xxxyyzzz_1, tg_yyyyzz_xxxyzzzz_0, \
                                         tg_yyyyzz_xxxyzzzz_1, tg_yyyyzz_xxxzzzzz_0, tg_yyyyzz_xxxzzzzz_1, tg_yyyyzz_xxyyyyyy_0, \
                                         tg_yyyyzz_xxyyyyyy_1, tg_yyyyzz_xxyyyyyz_0, tg_yyyyzz_xxyyyyyz_1, tg_yyyyzz_xxyyyyzz_0, \
                                         tg_yyyyzz_xxyyyyzz_1, tg_yyyyzz_xxyyyzzz_0, tg_yyyyzz_xxyyyzzz_1, tg_yyyyzz_xxyyzzzz_0, \
                                         tg_yyyyzz_xxyyzzzz_1, tg_yyyyzz_xxyzzzzz_0, tg_yyyyzz_xxyzzzzz_1, wp_y: VLX_ALIGN)
                for (int32_t j = 0; j < nKetPrimPairs; j++)
                {
                    double fl1_fx = fx;

                    double fl1_fxn = fxn[j];

                    double fl1_fza = fza[j];

                    double fr = wp_y[j]; 

                    tg_yyyyyyyy_xxyyyyyy_0[j] = pb_y * tg_yyyyyyy_xxyyyyyy_0[j] + fr * tg_yyyyyyy_xxyyyyyy_1[j] + 3.5 * fl1_fx * (tg_yyyyyy_xxyyyyyy_0[j] - tg_yyyyyy_xxyyyyyy_1[j] * fl1_fza) + 3.0 * fl1_fxn * tg_yyyyyyy_xxyyyyy_1[j];

                    tg_yyyyyyyy_xxyyyyyz_0[j] = pb_y * tg_yyyyyyy_xxyyyyyz_0[j] + fr * tg_yyyyyyy_xxyyyyyz_1[j] + 3.5 * fl1_fx * (tg_yyyyyy_xxyyyyyz_0[j] - tg_yyyyyy_xxyyyyyz_1[j] * fl1_fza) + 2.5 * fl1_fxn * tg_yyyyyyy_xxyyyyz_1[j];

                    tg_yyyyyyyy_xxyyyyzz_0[j] = pb_y * tg_yyyyyyy_xxyyyyzz_0[j] + fr * tg_yyyyyyy_xxyyyyzz_1[j] + 3.5 * fl1_fx * (tg_yyyyyy_xxyyyyzz_0[j] - tg_yyyyyy_xxyyyyzz_1[j] * fl1_fza) + 2.0 * fl1_fxn * tg_yyyyyyy_xxyyyzz_1[j];

                    tg_yyyyyyyy_xxyyyzzz_0[j] = pb_y * tg_yyyyyyy_xxyyyzzz_0[j] + fr * tg_yyyyyyy_xxyyyzzz_1[j] + 3.5 * fl1_fx * (tg_yyyyyy_xxyyyzzz_0[j] - tg_yyyyyy_xxyyyzzz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_yyyyyyy_xxyyzzz_1[j];

                    tg_yyyyyyyy_xxyyzzzz_0[j] = pb_y * tg_yyyyyyy_xxyyzzzz_0[j] + fr * tg_yyyyyyy_xxyyzzzz_1[j] + 3.5 * fl1_fx * (tg_yyyyyy_xxyyzzzz_0[j] - tg_yyyyyy_xxyyzzzz_1[j] * fl1_fza) + fl1_fxn * tg_yyyyyyy_xxyzzzz_1[j];

                    tg_yyyyyyyy_xxyzzzzz_0[j] = pb_y * tg_yyyyyyy_xxyzzzzz_0[j] + fr * tg_yyyyyyy_xxyzzzzz_1[j] + 3.5 * fl1_fx * (tg_yyyyyy_xxyzzzzz_0[j] - tg_yyyyyy_xxyzzzzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_yyyyyyy_xxzzzzz_1[j];

                    tg_yyyyyyyy_xxzzzzzz_0[j] = pb_y * tg_yyyyyyy_xxzzzzzz_0[j] + fr * tg_yyyyyyy_xxzzzzzz_1[j] + 3.5 * fl1_fx * (tg_yyyyyy_xxzzzzzz_0[j] - tg_yyyyyy_xxzzzzzz_1[j] * fl1_fza);

                    tg_yyyyyyyy_xyyyyyyy_0[j] = pb_y * tg_yyyyyyy_xyyyyyyy_0[j] + fr * tg_yyyyyyy_xyyyyyyy_1[j] + 3.5 * fl1_fx * (tg_yyyyyy_xyyyyyyy_0[j] - tg_yyyyyy_xyyyyyyy_1[j] * fl1_fza) + 3.5 * fl1_fxn * tg_yyyyyyy_xyyyyyy_1[j];

                    tg_yyyyyyyy_xyyyyyyz_0[j] = pb_y * tg_yyyyyyy_xyyyyyyz_0[j] + fr * tg_yyyyyyy_xyyyyyyz_1[j] + 3.5 * fl1_fx * (tg_yyyyyy_xyyyyyyz_0[j] - tg_yyyyyy_xyyyyyyz_1[j] * fl1_fza) + 3.0 * fl1_fxn * tg_yyyyyyy_xyyyyyz_1[j];

                    tg_yyyyyyyy_xyyyyyzz_0[j] = pb_y * tg_yyyyyyy_xyyyyyzz_0[j] + fr * tg_yyyyyyy_xyyyyyzz_1[j] + 3.5 * fl1_fx * (tg_yyyyyy_xyyyyyzz_0[j] - tg_yyyyyy_xyyyyyzz_1[j] * fl1_fza) + 2.5 * fl1_fxn * tg_yyyyyyy_xyyyyzz_1[j];

                    tg_yyyyyyyy_xyyyyzzz_0[j] = pb_y * tg_yyyyyyy_xyyyyzzz_0[j] + fr * tg_yyyyyyy_xyyyyzzz_1[j] + 3.5 * fl1_fx * (tg_yyyyyy_xyyyyzzz_0[j] - tg_yyyyyy_xyyyyzzz_1[j] * fl1_fza) + 2.0 * fl1_fxn * tg_yyyyyyy_xyyyzzz_1[j];

                    tg_yyyyyyyy_xyyyzzzz_0[j] = pb_y * tg_yyyyyyy_xyyyzzzz_0[j] + fr * tg_yyyyyyy_xyyyzzzz_1[j] + 3.5 * fl1_fx * (tg_yyyyyy_xyyyzzzz_0[j] - tg_yyyyyy_xyyyzzzz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_yyyyyyy_xyyzzzz_1[j];

                    tg_yyyyyyyy_xyyzzzzz_0[j] = pb_y * tg_yyyyyyy_xyyzzzzz_0[j] + fr * tg_yyyyyyy_xyyzzzzz_1[j] + 3.5 * fl1_fx * (tg_yyyyyy_xyyzzzzz_0[j] - tg_yyyyyy_xyyzzzzz_1[j] * fl1_fza) + fl1_fxn * tg_yyyyyyy_xyzzzzz_1[j];

                    tg_yyyyyyyy_xyzzzzzz_0[j] = pb_y * tg_yyyyyyy_xyzzzzzz_0[j] + fr * tg_yyyyyyy_xyzzzzzz_1[j] + 3.5 * fl1_fx * (tg_yyyyyy_xyzzzzzz_0[j] - tg_yyyyyy_xyzzzzzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_yyyyyyy_xzzzzzz_1[j];

                    tg_yyyyyyyy_xzzzzzzz_0[j] = pb_y * tg_yyyyyyy_xzzzzzzz_0[j] + fr * tg_yyyyyyy_xzzzzzzz_1[j] + 3.5 * fl1_fx * (tg_yyyyyy_xzzzzzzz_0[j] - tg_yyyyyy_xzzzzzzz_1[j] * fl1_fza);

                    tg_yyyyyyyy_yyyyyyyy_0[j] = pb_y * tg_yyyyyyy_yyyyyyyy_0[j] + fr * tg_yyyyyyy_yyyyyyyy_1[j] + 3.5 * fl1_fx * (tg_yyyyyy_yyyyyyyy_0[j] - tg_yyyyyy_yyyyyyyy_1[j] * fl1_fza) + 4.0 * fl1_fxn * tg_yyyyyyy_yyyyyyy_1[j];

                    tg_yyyyyyyy_yyyyyyyz_0[j] = pb_y * tg_yyyyyyy_yyyyyyyz_0[j] + fr * tg_yyyyyyy_yyyyyyyz_1[j] + 3.5 * fl1_fx * (tg_yyyyyy_yyyyyyyz_0[j] - tg_yyyyyy_yyyyyyyz_1[j] * fl1_fza) + 3.5 * fl1_fxn * tg_yyyyyyy_yyyyyyz_1[j];

                    tg_yyyyyyyy_yyyyyyzz_0[j] = pb_y * tg_yyyyyyy_yyyyyyzz_0[j] + fr * tg_yyyyyyy_yyyyyyzz_1[j] + 3.5 * fl1_fx * (tg_yyyyyy_yyyyyyzz_0[j] - tg_yyyyyy_yyyyyyzz_1[j] * fl1_fza) + 3.0 * fl1_fxn * tg_yyyyyyy_yyyyyzz_1[j];

                    tg_yyyyyyyy_yyyyyzzz_0[j] = pb_y * tg_yyyyyyy_yyyyyzzz_0[j] + fr * tg_yyyyyyy_yyyyyzzz_1[j] + 3.5 * fl1_fx * (tg_yyyyyy_yyyyyzzz_0[j] - tg_yyyyyy_yyyyyzzz_1[j] * fl1_fza) + 2.5 * fl1_fxn * tg_yyyyyyy_yyyyzzz_1[j];

                    tg_yyyyyyyy_yyyyzzzz_0[j] = pb_y * tg_yyyyyyy_yyyyzzzz_0[j] + fr * tg_yyyyyyy_yyyyzzzz_1[j] + 3.5 * fl1_fx * (tg_yyyyyy_yyyyzzzz_0[j] - tg_yyyyyy_yyyyzzzz_1[j] * fl1_fza) + 2.0 * fl1_fxn * tg_yyyyyyy_yyyzzzz_1[j];

                    tg_yyyyyyyy_yyyzzzzz_0[j] = pb_y * tg_yyyyyyy_yyyzzzzz_0[j] + fr * tg_yyyyyyy_yyyzzzzz_1[j] + 3.5 * fl1_fx * (tg_yyyyyy_yyyzzzzz_0[j] - tg_yyyyyy_yyyzzzzz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_yyyyyyy_yyzzzzz_1[j];

                    tg_yyyyyyyy_yyzzzzzz_0[j] = pb_y * tg_yyyyyyy_yyzzzzzz_0[j] + fr * tg_yyyyyyy_yyzzzzzz_1[j] + 3.5 * fl1_fx * (tg_yyyyyy_yyzzzzzz_0[j] - tg_yyyyyy_yyzzzzzz_1[j] * fl1_fza) + fl1_fxn * tg_yyyyyyy_yzzzzzz_1[j];

                    tg_yyyyyyyy_yzzzzzzz_0[j] = pb_y * tg_yyyyyyy_yzzzzzzz_0[j] + fr * tg_yyyyyyy_yzzzzzzz_1[j] + 3.5 * fl1_fx * (tg_yyyyyy_yzzzzzzz_0[j] - tg_yyyyyy_yzzzzzzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_yyyyyyy_zzzzzzz_1[j];

                    tg_yyyyyyyy_zzzzzzzz_0[j] = pb_y * tg_yyyyyyy_zzzzzzzz_0[j] + fr * tg_yyyyyyy_zzzzzzzz_1[j] + 3.5 * fl1_fx * (tg_yyyyyy_zzzzzzzz_0[j] - tg_yyyyyy_zzzzzzzz_1[j] * fl1_fza);

                    tg_yyyyyyyz_xxxxxxxx_0[j] = pb_y * tg_yyyyyyz_xxxxxxxx_0[j] + fr * tg_yyyyyyz_xxxxxxxx_1[j] + 3.0 * fl1_fx * (tg_yyyyyz_xxxxxxxx_0[j] - tg_yyyyyz_xxxxxxxx_1[j] * fl1_fza);

                    tg_yyyyyyyz_xxxxxxxy_0[j] = pb_y * tg_yyyyyyz_xxxxxxxy_0[j] + fr * tg_yyyyyyz_xxxxxxxy_1[j] + 3.0 * fl1_fx * (tg_yyyyyz_xxxxxxxy_0[j] - tg_yyyyyz_xxxxxxxy_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_yyyyyyz_xxxxxxx_1[j];

                    tg_yyyyyyyz_xxxxxxxz_0[j] = pb_y * tg_yyyyyyz_xxxxxxxz_0[j] + fr * tg_yyyyyyz_xxxxxxxz_1[j] + 3.0 * fl1_fx * (tg_yyyyyz_xxxxxxxz_0[j] - tg_yyyyyz_xxxxxxxz_1[j] * fl1_fza);

                    tg_yyyyyyyz_xxxxxxyy_0[j] = pb_y * tg_yyyyyyz_xxxxxxyy_0[j] + fr * tg_yyyyyyz_xxxxxxyy_1[j] + 3.0 * fl1_fx * (tg_yyyyyz_xxxxxxyy_0[j] - tg_yyyyyz_xxxxxxyy_1[j] * fl1_fza) + fl1_fxn * tg_yyyyyyz_xxxxxxy_1[j];

                    tg_yyyyyyyz_xxxxxxyz_0[j] = pb_y * tg_yyyyyyz_xxxxxxyz_0[j] + fr * tg_yyyyyyz_xxxxxxyz_1[j] + 3.0 * fl1_fx * (tg_yyyyyz_xxxxxxyz_0[j] - tg_yyyyyz_xxxxxxyz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_yyyyyyz_xxxxxxz_1[j];

                    tg_yyyyyyyz_xxxxxxzz_0[j] = pb_y * tg_yyyyyyz_xxxxxxzz_0[j] + fr * tg_yyyyyyz_xxxxxxzz_1[j] + 3.0 * fl1_fx * (tg_yyyyyz_xxxxxxzz_0[j] - tg_yyyyyz_xxxxxxzz_1[j] * fl1_fza);

                    tg_yyyyyyyz_xxxxxyyy_0[j] = pb_y * tg_yyyyyyz_xxxxxyyy_0[j] + fr * tg_yyyyyyz_xxxxxyyy_1[j] + 3.0 * fl1_fx * (tg_yyyyyz_xxxxxyyy_0[j] - tg_yyyyyz_xxxxxyyy_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_yyyyyyz_xxxxxyy_1[j];

                    tg_yyyyyyyz_xxxxxyyz_0[j] = pb_y * tg_yyyyyyz_xxxxxyyz_0[j] + fr * tg_yyyyyyz_xxxxxyyz_1[j] + 3.0 * fl1_fx * (tg_yyyyyz_xxxxxyyz_0[j] - tg_yyyyyz_xxxxxyyz_1[j] * fl1_fza) + fl1_fxn * tg_yyyyyyz_xxxxxyz_1[j];

                    tg_yyyyyyyz_xxxxxyzz_0[j] = pb_y * tg_yyyyyyz_xxxxxyzz_0[j] + fr * tg_yyyyyyz_xxxxxyzz_1[j] + 3.0 * fl1_fx * (tg_yyyyyz_xxxxxyzz_0[j] - tg_yyyyyz_xxxxxyzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_yyyyyyz_xxxxxzz_1[j];

                    tg_yyyyyyyz_xxxxxzzz_0[j] = pb_y * tg_yyyyyyz_xxxxxzzz_0[j] + fr * tg_yyyyyyz_xxxxxzzz_1[j] + 3.0 * fl1_fx * (tg_yyyyyz_xxxxxzzz_0[j] - tg_yyyyyz_xxxxxzzz_1[j] * fl1_fza);

                    tg_yyyyyyyz_xxxxyyyy_0[j] = pb_y * tg_yyyyyyz_xxxxyyyy_0[j] + fr * tg_yyyyyyz_xxxxyyyy_1[j] + 3.0 * fl1_fx * (tg_yyyyyz_xxxxyyyy_0[j] - tg_yyyyyz_xxxxyyyy_1[j] * fl1_fza) + 2.0 * fl1_fxn * tg_yyyyyyz_xxxxyyy_1[j];

                    tg_yyyyyyyz_xxxxyyyz_0[j] = pb_y * tg_yyyyyyz_xxxxyyyz_0[j] + fr * tg_yyyyyyz_xxxxyyyz_1[j] + 3.0 * fl1_fx * (tg_yyyyyz_xxxxyyyz_0[j] - tg_yyyyyz_xxxxyyyz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_yyyyyyz_xxxxyyz_1[j];

                    tg_yyyyyyyz_xxxxyyzz_0[j] = pb_y * tg_yyyyyyz_xxxxyyzz_0[j] + fr * tg_yyyyyyz_xxxxyyzz_1[j] + 3.0 * fl1_fx * (tg_yyyyyz_xxxxyyzz_0[j] - tg_yyyyyz_xxxxyyzz_1[j] * fl1_fza) + fl1_fxn * tg_yyyyyyz_xxxxyzz_1[j];

                    tg_yyyyyyyz_xxxxyzzz_0[j] = pb_y * tg_yyyyyyz_xxxxyzzz_0[j] + fr * tg_yyyyyyz_xxxxyzzz_1[j] + 3.0 * fl1_fx * (tg_yyyyyz_xxxxyzzz_0[j] - tg_yyyyyz_xxxxyzzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_yyyyyyz_xxxxzzz_1[j];

                    tg_yyyyyyyz_xxxxzzzz_0[j] = pb_y * tg_yyyyyyz_xxxxzzzz_0[j] + fr * tg_yyyyyyz_xxxxzzzz_1[j] + 3.0 * fl1_fx * (tg_yyyyyz_xxxxzzzz_0[j] - tg_yyyyyz_xxxxzzzz_1[j] * fl1_fza);

                    tg_yyyyyyyz_xxxyyyyy_0[j] = pb_y * tg_yyyyyyz_xxxyyyyy_0[j] + fr * tg_yyyyyyz_xxxyyyyy_1[j] + 3.0 * fl1_fx * (tg_yyyyyz_xxxyyyyy_0[j] - tg_yyyyyz_xxxyyyyy_1[j] * fl1_fza) + 2.5 * fl1_fxn * tg_yyyyyyz_xxxyyyy_1[j];

                    tg_yyyyyyyz_xxxyyyyz_0[j] = pb_y * tg_yyyyyyz_xxxyyyyz_0[j] + fr * tg_yyyyyyz_xxxyyyyz_1[j] + 3.0 * fl1_fx * (tg_yyyyyz_xxxyyyyz_0[j] - tg_yyyyyz_xxxyyyyz_1[j] * fl1_fza) + 2.0 * fl1_fxn * tg_yyyyyyz_xxxyyyz_1[j];

                    tg_yyyyyyyz_xxxyyyzz_0[j] = pb_y * tg_yyyyyyz_xxxyyyzz_0[j] + fr * tg_yyyyyyz_xxxyyyzz_1[j] + 3.0 * fl1_fx * (tg_yyyyyz_xxxyyyzz_0[j] - tg_yyyyyz_xxxyyyzz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_yyyyyyz_xxxyyzz_1[j];

                    tg_yyyyyyyz_xxxyyzzz_0[j] = pb_y * tg_yyyyyyz_xxxyyzzz_0[j] + fr * tg_yyyyyyz_xxxyyzzz_1[j] + 3.0 * fl1_fx * (tg_yyyyyz_xxxyyzzz_0[j] - tg_yyyyyz_xxxyyzzz_1[j] * fl1_fza) + fl1_fxn * tg_yyyyyyz_xxxyzzz_1[j];

                    tg_yyyyyyyz_xxxyzzzz_0[j] = pb_y * tg_yyyyyyz_xxxyzzzz_0[j] + fr * tg_yyyyyyz_xxxyzzzz_1[j] + 3.0 * fl1_fx * (tg_yyyyyz_xxxyzzzz_0[j] - tg_yyyyyz_xxxyzzzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_yyyyyyz_xxxzzzz_1[j];

                    tg_yyyyyyyz_xxxzzzzz_0[j] = pb_y * tg_yyyyyyz_xxxzzzzz_0[j] + fr * tg_yyyyyyz_xxxzzzzz_1[j] + 3.0 * fl1_fx * (tg_yyyyyz_xxxzzzzz_0[j] - tg_yyyyyz_xxxzzzzz_1[j] * fl1_fza);

                    tg_yyyyyyyz_xxyyyyyy_0[j] = pb_y * tg_yyyyyyz_xxyyyyyy_0[j] + fr * tg_yyyyyyz_xxyyyyyy_1[j] + 3.0 * fl1_fx * (tg_yyyyyz_xxyyyyyy_0[j] - tg_yyyyyz_xxyyyyyy_1[j] * fl1_fza) + 3.0 * fl1_fxn * tg_yyyyyyz_xxyyyyy_1[j];

                    tg_yyyyyyyz_xxyyyyyz_0[j] = pb_y * tg_yyyyyyz_xxyyyyyz_0[j] + fr * tg_yyyyyyz_xxyyyyyz_1[j] + 3.0 * fl1_fx * (tg_yyyyyz_xxyyyyyz_0[j] - tg_yyyyyz_xxyyyyyz_1[j] * fl1_fza) + 2.5 * fl1_fxn * tg_yyyyyyz_xxyyyyz_1[j];

                    tg_yyyyyyyz_xxyyyyzz_0[j] = pb_y * tg_yyyyyyz_xxyyyyzz_0[j] + fr * tg_yyyyyyz_xxyyyyzz_1[j] + 3.0 * fl1_fx * (tg_yyyyyz_xxyyyyzz_0[j] - tg_yyyyyz_xxyyyyzz_1[j] * fl1_fza) + 2.0 * fl1_fxn * tg_yyyyyyz_xxyyyzz_1[j];

                    tg_yyyyyyyz_xxyyyzzz_0[j] = pb_y * tg_yyyyyyz_xxyyyzzz_0[j] + fr * tg_yyyyyyz_xxyyyzzz_1[j] + 3.0 * fl1_fx * (tg_yyyyyz_xxyyyzzz_0[j] - tg_yyyyyz_xxyyyzzz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_yyyyyyz_xxyyzzz_1[j];

                    tg_yyyyyyyz_xxyyzzzz_0[j] = pb_y * tg_yyyyyyz_xxyyzzzz_0[j] + fr * tg_yyyyyyz_xxyyzzzz_1[j] + 3.0 * fl1_fx * (tg_yyyyyz_xxyyzzzz_0[j] - tg_yyyyyz_xxyyzzzz_1[j] * fl1_fza) + fl1_fxn * tg_yyyyyyz_xxyzzzz_1[j];

                    tg_yyyyyyyz_xxyzzzzz_0[j] = pb_y * tg_yyyyyyz_xxyzzzzz_0[j] + fr * tg_yyyyyyz_xxyzzzzz_1[j] + 3.0 * fl1_fx * (tg_yyyyyz_xxyzzzzz_0[j] - tg_yyyyyz_xxyzzzzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_yyyyyyz_xxzzzzz_1[j];

                    tg_yyyyyyyz_xxzzzzzz_0[j] = pb_y * tg_yyyyyyz_xxzzzzzz_0[j] + fr * tg_yyyyyyz_xxzzzzzz_1[j] + 3.0 * fl1_fx * (tg_yyyyyz_xxzzzzzz_0[j] - tg_yyyyyz_xxzzzzzz_1[j] * fl1_fza);

                    tg_yyyyyyyz_xyyyyyyy_0[j] = pb_y * tg_yyyyyyz_xyyyyyyy_0[j] + fr * tg_yyyyyyz_xyyyyyyy_1[j] + 3.0 * fl1_fx * (tg_yyyyyz_xyyyyyyy_0[j] - tg_yyyyyz_xyyyyyyy_1[j] * fl1_fza) + 3.5 * fl1_fxn * tg_yyyyyyz_xyyyyyy_1[j];

                    tg_yyyyyyyz_xyyyyyyz_0[j] = pb_y * tg_yyyyyyz_xyyyyyyz_0[j] + fr * tg_yyyyyyz_xyyyyyyz_1[j] + 3.0 * fl1_fx * (tg_yyyyyz_xyyyyyyz_0[j] - tg_yyyyyz_xyyyyyyz_1[j] * fl1_fza) + 3.0 * fl1_fxn * tg_yyyyyyz_xyyyyyz_1[j];

                    tg_yyyyyyyz_xyyyyyzz_0[j] = pb_y * tg_yyyyyyz_xyyyyyzz_0[j] + fr * tg_yyyyyyz_xyyyyyzz_1[j] + 3.0 * fl1_fx * (tg_yyyyyz_xyyyyyzz_0[j] - tg_yyyyyz_xyyyyyzz_1[j] * fl1_fza) + 2.5 * fl1_fxn * tg_yyyyyyz_xyyyyzz_1[j];

                    tg_yyyyyyyz_xyyyyzzz_0[j] = pb_y * tg_yyyyyyz_xyyyyzzz_0[j] + fr * tg_yyyyyyz_xyyyyzzz_1[j] + 3.0 * fl1_fx * (tg_yyyyyz_xyyyyzzz_0[j] - tg_yyyyyz_xyyyyzzz_1[j] * fl1_fza) + 2.0 * fl1_fxn * tg_yyyyyyz_xyyyzzz_1[j];

                    tg_yyyyyyyz_xyyyzzzz_0[j] = pb_y * tg_yyyyyyz_xyyyzzzz_0[j] + fr * tg_yyyyyyz_xyyyzzzz_1[j] + 3.0 * fl1_fx * (tg_yyyyyz_xyyyzzzz_0[j] - tg_yyyyyz_xyyyzzzz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_yyyyyyz_xyyzzzz_1[j];

                    tg_yyyyyyyz_xyyzzzzz_0[j] = pb_y * tg_yyyyyyz_xyyzzzzz_0[j] + fr * tg_yyyyyyz_xyyzzzzz_1[j] + 3.0 * fl1_fx * (tg_yyyyyz_xyyzzzzz_0[j] - tg_yyyyyz_xyyzzzzz_1[j] * fl1_fza) + fl1_fxn * tg_yyyyyyz_xyzzzzz_1[j];

                    tg_yyyyyyyz_xyzzzzzz_0[j] = pb_y * tg_yyyyyyz_xyzzzzzz_0[j] + fr * tg_yyyyyyz_xyzzzzzz_1[j] + 3.0 * fl1_fx * (tg_yyyyyz_xyzzzzzz_0[j] - tg_yyyyyz_xyzzzzzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_yyyyyyz_xzzzzzz_1[j];

                    tg_yyyyyyyz_xzzzzzzz_0[j] = pb_y * tg_yyyyyyz_xzzzzzzz_0[j] + fr * tg_yyyyyyz_xzzzzzzz_1[j] + 3.0 * fl1_fx * (tg_yyyyyz_xzzzzzzz_0[j] - tg_yyyyyz_xzzzzzzz_1[j] * fl1_fza);

                    tg_yyyyyyyz_yyyyyyyy_0[j] = pb_y * tg_yyyyyyz_yyyyyyyy_0[j] + fr * tg_yyyyyyz_yyyyyyyy_1[j] + 3.0 * fl1_fx * (tg_yyyyyz_yyyyyyyy_0[j] - tg_yyyyyz_yyyyyyyy_1[j] * fl1_fza) + 4.0 * fl1_fxn * tg_yyyyyyz_yyyyyyy_1[j];

                    tg_yyyyyyyz_yyyyyyyz_0[j] = pb_y * tg_yyyyyyz_yyyyyyyz_0[j] + fr * tg_yyyyyyz_yyyyyyyz_1[j] + 3.0 * fl1_fx * (tg_yyyyyz_yyyyyyyz_0[j] - tg_yyyyyz_yyyyyyyz_1[j] * fl1_fza) + 3.5 * fl1_fxn * tg_yyyyyyz_yyyyyyz_1[j];

                    tg_yyyyyyyz_yyyyyyzz_0[j] = pb_y * tg_yyyyyyz_yyyyyyzz_0[j] + fr * tg_yyyyyyz_yyyyyyzz_1[j] + 3.0 * fl1_fx * (tg_yyyyyz_yyyyyyzz_0[j] - tg_yyyyyz_yyyyyyzz_1[j] * fl1_fza) + 3.0 * fl1_fxn * tg_yyyyyyz_yyyyyzz_1[j];

                    tg_yyyyyyyz_yyyyyzzz_0[j] = pb_y * tg_yyyyyyz_yyyyyzzz_0[j] + fr * tg_yyyyyyz_yyyyyzzz_1[j] + 3.0 * fl1_fx * (tg_yyyyyz_yyyyyzzz_0[j] - tg_yyyyyz_yyyyyzzz_1[j] * fl1_fza) + 2.5 * fl1_fxn * tg_yyyyyyz_yyyyzzz_1[j];

                    tg_yyyyyyyz_yyyyzzzz_0[j] = pb_y * tg_yyyyyyz_yyyyzzzz_0[j] + fr * tg_yyyyyyz_yyyyzzzz_1[j] + 3.0 * fl1_fx * (tg_yyyyyz_yyyyzzzz_0[j] - tg_yyyyyz_yyyyzzzz_1[j] * fl1_fza) + 2.0 * fl1_fxn * tg_yyyyyyz_yyyzzzz_1[j];

                    tg_yyyyyyyz_yyyzzzzz_0[j] = pb_y * tg_yyyyyyz_yyyzzzzz_0[j] + fr * tg_yyyyyyz_yyyzzzzz_1[j] + 3.0 * fl1_fx * (tg_yyyyyz_yyyzzzzz_0[j] - tg_yyyyyz_yyyzzzzz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_yyyyyyz_yyzzzzz_1[j];

                    tg_yyyyyyyz_yyzzzzzz_0[j] = pb_y * tg_yyyyyyz_yyzzzzzz_0[j] + fr * tg_yyyyyyz_yyzzzzzz_1[j] + 3.0 * fl1_fx * (tg_yyyyyz_yyzzzzzz_0[j] - tg_yyyyyz_yyzzzzzz_1[j] * fl1_fza) + fl1_fxn * tg_yyyyyyz_yzzzzzz_1[j];

                    tg_yyyyyyyz_yzzzzzzz_0[j] = pb_y * tg_yyyyyyz_yzzzzzzz_0[j] + fr * tg_yyyyyyz_yzzzzzzz_1[j] + 3.0 * fl1_fx * (tg_yyyyyz_yzzzzzzz_0[j] - tg_yyyyyz_yzzzzzzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_yyyyyyz_zzzzzzz_1[j];

                    tg_yyyyyyyz_zzzzzzzz_0[j] = pb_y * tg_yyyyyyz_zzzzzzzz_0[j] + fr * tg_yyyyyyz_zzzzzzzz_1[j] + 3.0 * fl1_fx * (tg_yyyyyz_zzzzzzzz_0[j] - tg_yyyyyz_zzzzzzzz_1[j] * fl1_fza);

                    tg_yyyyyyzz_xxxxxxxx_0[j] = pb_y * tg_yyyyyzz_xxxxxxxx_0[j] + fr * tg_yyyyyzz_xxxxxxxx_1[j] + 2.5 * fl1_fx * (tg_yyyyzz_xxxxxxxx_0[j] - tg_yyyyzz_xxxxxxxx_1[j] * fl1_fza);

                    tg_yyyyyyzz_xxxxxxxy_0[j] = pb_y * tg_yyyyyzz_xxxxxxxy_0[j] + fr * tg_yyyyyzz_xxxxxxxy_1[j] + 2.5 * fl1_fx * (tg_yyyyzz_xxxxxxxy_0[j] - tg_yyyyzz_xxxxxxxy_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_yyyyyzz_xxxxxxx_1[j];

                    tg_yyyyyyzz_xxxxxxxz_0[j] = pb_y * tg_yyyyyzz_xxxxxxxz_0[j] + fr * tg_yyyyyzz_xxxxxxxz_1[j] + 2.5 * fl1_fx * (tg_yyyyzz_xxxxxxxz_0[j] - tg_yyyyzz_xxxxxxxz_1[j] * fl1_fza);

                    tg_yyyyyyzz_xxxxxxyy_0[j] = pb_y * tg_yyyyyzz_xxxxxxyy_0[j] + fr * tg_yyyyyzz_xxxxxxyy_1[j] + 2.5 * fl1_fx * (tg_yyyyzz_xxxxxxyy_0[j] - tg_yyyyzz_xxxxxxyy_1[j] * fl1_fza) + fl1_fxn * tg_yyyyyzz_xxxxxxy_1[j];

                    tg_yyyyyyzz_xxxxxxyz_0[j] = pb_y * tg_yyyyyzz_xxxxxxyz_0[j] + fr * tg_yyyyyzz_xxxxxxyz_1[j] + 2.5 * fl1_fx * (tg_yyyyzz_xxxxxxyz_0[j] - tg_yyyyzz_xxxxxxyz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_yyyyyzz_xxxxxxz_1[j];

                    tg_yyyyyyzz_xxxxxxzz_0[j] = pb_y * tg_yyyyyzz_xxxxxxzz_0[j] + fr * tg_yyyyyzz_xxxxxxzz_1[j] + 2.5 * fl1_fx * (tg_yyyyzz_xxxxxxzz_0[j] - tg_yyyyzz_xxxxxxzz_1[j] * fl1_fza);

                    tg_yyyyyyzz_xxxxxyyy_0[j] = pb_y * tg_yyyyyzz_xxxxxyyy_0[j] + fr * tg_yyyyyzz_xxxxxyyy_1[j] + 2.5 * fl1_fx * (tg_yyyyzz_xxxxxyyy_0[j] - tg_yyyyzz_xxxxxyyy_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_yyyyyzz_xxxxxyy_1[j];

                    tg_yyyyyyzz_xxxxxyyz_0[j] = pb_y * tg_yyyyyzz_xxxxxyyz_0[j] + fr * tg_yyyyyzz_xxxxxyyz_1[j] + 2.5 * fl1_fx * (tg_yyyyzz_xxxxxyyz_0[j] - tg_yyyyzz_xxxxxyyz_1[j] * fl1_fza) + fl1_fxn * tg_yyyyyzz_xxxxxyz_1[j];

                    tg_yyyyyyzz_xxxxxyzz_0[j] = pb_y * tg_yyyyyzz_xxxxxyzz_0[j] + fr * tg_yyyyyzz_xxxxxyzz_1[j] + 2.5 * fl1_fx * (tg_yyyyzz_xxxxxyzz_0[j] - tg_yyyyzz_xxxxxyzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_yyyyyzz_xxxxxzz_1[j];

                    tg_yyyyyyzz_xxxxxzzz_0[j] = pb_y * tg_yyyyyzz_xxxxxzzz_0[j] + fr * tg_yyyyyzz_xxxxxzzz_1[j] + 2.5 * fl1_fx * (tg_yyyyzz_xxxxxzzz_0[j] - tg_yyyyzz_xxxxxzzz_1[j] * fl1_fza);

                    tg_yyyyyyzz_xxxxyyyy_0[j] = pb_y * tg_yyyyyzz_xxxxyyyy_0[j] + fr * tg_yyyyyzz_xxxxyyyy_1[j] + 2.5 * fl1_fx * (tg_yyyyzz_xxxxyyyy_0[j] - tg_yyyyzz_xxxxyyyy_1[j] * fl1_fza) + 2.0 * fl1_fxn * tg_yyyyyzz_xxxxyyy_1[j];

                    tg_yyyyyyzz_xxxxyyyz_0[j] = pb_y * tg_yyyyyzz_xxxxyyyz_0[j] + fr * tg_yyyyyzz_xxxxyyyz_1[j] + 2.5 * fl1_fx * (tg_yyyyzz_xxxxyyyz_0[j] - tg_yyyyzz_xxxxyyyz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_yyyyyzz_xxxxyyz_1[j];

                    tg_yyyyyyzz_xxxxyyzz_0[j] = pb_y * tg_yyyyyzz_xxxxyyzz_0[j] + fr * tg_yyyyyzz_xxxxyyzz_1[j] + 2.5 * fl1_fx * (tg_yyyyzz_xxxxyyzz_0[j] - tg_yyyyzz_xxxxyyzz_1[j] * fl1_fza) + fl1_fxn * tg_yyyyyzz_xxxxyzz_1[j];

                    tg_yyyyyyzz_xxxxyzzz_0[j] = pb_y * tg_yyyyyzz_xxxxyzzz_0[j] + fr * tg_yyyyyzz_xxxxyzzz_1[j] + 2.5 * fl1_fx * (tg_yyyyzz_xxxxyzzz_0[j] - tg_yyyyzz_xxxxyzzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_yyyyyzz_xxxxzzz_1[j];

                    tg_yyyyyyzz_xxxxzzzz_0[j] = pb_y * tg_yyyyyzz_xxxxzzzz_0[j] + fr * tg_yyyyyzz_xxxxzzzz_1[j] + 2.5 * fl1_fx * (tg_yyyyzz_xxxxzzzz_0[j] - tg_yyyyzz_xxxxzzzz_1[j] * fl1_fza);

                    tg_yyyyyyzz_xxxyyyyy_0[j] = pb_y * tg_yyyyyzz_xxxyyyyy_0[j] + fr * tg_yyyyyzz_xxxyyyyy_1[j] + 2.5 * fl1_fx * (tg_yyyyzz_xxxyyyyy_0[j] - tg_yyyyzz_xxxyyyyy_1[j] * fl1_fza) + 2.5 * fl1_fxn * tg_yyyyyzz_xxxyyyy_1[j];

                    tg_yyyyyyzz_xxxyyyyz_0[j] = pb_y * tg_yyyyyzz_xxxyyyyz_0[j] + fr * tg_yyyyyzz_xxxyyyyz_1[j] + 2.5 * fl1_fx * (tg_yyyyzz_xxxyyyyz_0[j] - tg_yyyyzz_xxxyyyyz_1[j] * fl1_fza) + 2.0 * fl1_fxn * tg_yyyyyzz_xxxyyyz_1[j];

                    tg_yyyyyyzz_xxxyyyzz_0[j] = pb_y * tg_yyyyyzz_xxxyyyzz_0[j] + fr * tg_yyyyyzz_xxxyyyzz_1[j] + 2.5 * fl1_fx * (tg_yyyyzz_xxxyyyzz_0[j] - tg_yyyyzz_xxxyyyzz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_yyyyyzz_xxxyyzz_1[j];

                    tg_yyyyyyzz_xxxyyzzz_0[j] = pb_y * tg_yyyyyzz_xxxyyzzz_0[j] + fr * tg_yyyyyzz_xxxyyzzz_1[j] + 2.5 * fl1_fx * (tg_yyyyzz_xxxyyzzz_0[j] - tg_yyyyzz_xxxyyzzz_1[j] * fl1_fza) + fl1_fxn * tg_yyyyyzz_xxxyzzz_1[j];

                    tg_yyyyyyzz_xxxyzzzz_0[j] = pb_y * tg_yyyyyzz_xxxyzzzz_0[j] + fr * tg_yyyyyzz_xxxyzzzz_1[j] + 2.5 * fl1_fx * (tg_yyyyzz_xxxyzzzz_0[j] - tg_yyyyzz_xxxyzzzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_yyyyyzz_xxxzzzz_1[j];

                    tg_yyyyyyzz_xxxzzzzz_0[j] = pb_y * tg_yyyyyzz_xxxzzzzz_0[j] + fr * tg_yyyyyzz_xxxzzzzz_1[j] + 2.5 * fl1_fx * (tg_yyyyzz_xxxzzzzz_0[j] - tg_yyyyzz_xxxzzzzz_1[j] * fl1_fza);

                    tg_yyyyyyzz_xxyyyyyy_0[j] = pb_y * tg_yyyyyzz_xxyyyyyy_0[j] + fr * tg_yyyyyzz_xxyyyyyy_1[j] + 2.5 * fl1_fx * (tg_yyyyzz_xxyyyyyy_0[j] - tg_yyyyzz_xxyyyyyy_1[j] * fl1_fza) + 3.0 * fl1_fxn * tg_yyyyyzz_xxyyyyy_1[j];

                    tg_yyyyyyzz_xxyyyyyz_0[j] = pb_y * tg_yyyyyzz_xxyyyyyz_0[j] + fr * tg_yyyyyzz_xxyyyyyz_1[j] + 2.5 * fl1_fx * (tg_yyyyzz_xxyyyyyz_0[j] - tg_yyyyzz_xxyyyyyz_1[j] * fl1_fza) + 2.5 * fl1_fxn * tg_yyyyyzz_xxyyyyz_1[j];

                    tg_yyyyyyzz_xxyyyyzz_0[j] = pb_y * tg_yyyyyzz_xxyyyyzz_0[j] + fr * tg_yyyyyzz_xxyyyyzz_1[j] + 2.5 * fl1_fx * (tg_yyyyzz_xxyyyyzz_0[j] - tg_yyyyzz_xxyyyyzz_1[j] * fl1_fza) + 2.0 * fl1_fxn * tg_yyyyyzz_xxyyyzz_1[j];

                    tg_yyyyyyzz_xxyyyzzz_0[j] = pb_y * tg_yyyyyzz_xxyyyzzz_0[j] + fr * tg_yyyyyzz_xxyyyzzz_1[j] + 2.5 * fl1_fx * (tg_yyyyzz_xxyyyzzz_0[j] - tg_yyyyzz_xxyyyzzz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_yyyyyzz_xxyyzzz_1[j];

                    tg_yyyyyyzz_xxyyzzzz_0[j] = pb_y * tg_yyyyyzz_xxyyzzzz_0[j] + fr * tg_yyyyyzz_xxyyzzzz_1[j] + 2.5 * fl1_fx * (tg_yyyyzz_xxyyzzzz_0[j] - tg_yyyyzz_xxyyzzzz_1[j] * fl1_fza) + fl1_fxn * tg_yyyyyzz_xxyzzzz_1[j];

                    tg_yyyyyyzz_xxyzzzzz_0[j] = pb_y * tg_yyyyyzz_xxyzzzzz_0[j] + fr * tg_yyyyyzz_xxyzzzzz_1[j] + 2.5 * fl1_fx * (tg_yyyyzz_xxyzzzzz_0[j] - tg_yyyyzz_xxyzzzzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_yyyyyzz_xxzzzzz_1[j];
                }

                idx++;
            }
        }
    }

    void
    compElectronRepulsionForSLSL_1737_1833(      CMemBlock2D<double>* primBuffer,
                                           const CRecursionMap&       recursionMap,
                                           const CMemBlock2D<double>& osFactors,
                                           const CMemBlock2D<double>& wpDistances,
                                           const CGtoPairsBlock&      braGtoPairsBlock,
                                           const CGtoPairsBlock&      ketGtoPairsBlock,
                                           const int32_t              nKetPrimPairs,
                                           const int32_t              iContrPair)
    {
        // Batch of Integrals (1737,1833)

        // set up pointers to primitives data on bra side

        auto spos = braGtoPairsBlock.getStartPositions();

        auto epos = braGtoPairsBlock.getEndPositions();

        // set up pointers to tensor of distance R(PB) = P - B

        auto r_pb_y = braGtoPairsBlock.getDistancesPBY();

        // set up pointers to common Obara-Saika factors

        auto b_fx = braGtoPairsBlock.getFactorsOneOverXi();

        // set up maximum order of integral

        auto mord = recursionMap.getMaxOrder({"Electron Repulsion"},
                                             {8, -1, -1, -1},
                                             {8, -1, -1, -1},
                                             1, 1);

        for (int32_t iord = 0; iord <= mord; iord++)
        {
            // set up index of integral

            auto pidx_g_8_8_m0 = recursionMap.index(CRecursionTerm({"Electron Repulsion"}, 0, true, 
                                                                   {8, -1, -1, -1}, {8, -1, -1, -1}, 
                                                                   1, 1, iord));

            // check if integral is needed in recursion expansion

            if (pidx_g_8_8_m0 == -1) continue;

            // set up indexes of auxilary integral

            auto pidx_g_7_8_m0 = recursionMap.index(CRecursionTerm({"Electron Repulsion"}, 0, true, 
                                                                   {7, -1, -1, -1}, {8, -1, -1, -1}, 
                                                                   1, 1, iord));

            auto pidx_g_7_8_m1 = recursionMap.index(CRecursionTerm({"Electron Repulsion"}, 0, true, 
                                                                   {7, -1, -1, -1}, {8, -1, -1, -1}, 
                                                                   1, 1, iord + 1));

            auto pidx_g_6_8_m0 = recursionMap.index(CRecursionTerm({"Electron Repulsion"}, 0, true, 
                                                                   {6, -1, -1, -1}, {8, -1, -1, -1}, 
                                                                   1, 1, iord));

            auto pidx_g_6_8_m1 = recursionMap.index(CRecursionTerm({"Electron Repulsion"}, 0, true, 
                                                                   {6, -1, -1, -1}, {8, -1, -1, -1}, 
                                                                   1, 1, iord + 1));

            auto pidx_g_7_7_m1 = recursionMap.index(CRecursionTerm({"Electron Repulsion"}, 0, true, 
                                                                   {7, -1, -1, -1}, {7, -1, -1, -1}, 
                                                                   1, 1, iord + 1));

            // loop over contracted GTO on bra side

            int32_t idx = 0;

            for (int32_t i = spos[iContrPair]; i < epos[iContrPair]; i++)
            {
                // set up pointers to Obara-Saika factors

                double fx = b_fx[i];

                auto fza = osFactors.data(4 * idx + 2);

                auto fxn = osFactors.data(4 * idx);

                // set up distances R(PB) = P - B

                auto pb_y = r_pb_y[i];

                // set up pointers to tensors product of distances R(WP) = W - P

                auto wp_y = wpDistances.data(3 * idx + 1);

                // set up pointers to auxilary integrals

                auto tg_yyyyyzz_xxzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1377); 

                auto tg_yyyyyzz_xyyyyyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1378); 

                auto tg_yyyyyzz_xyyyyyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1379); 

                auto tg_yyyyyzz_xyyyyyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1380); 

                auto tg_yyyyyzz_xyyyyzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1381); 

                auto tg_yyyyyzz_xyyyzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1382); 

                auto tg_yyyyyzz_xyyzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1383); 

                auto tg_yyyyyzz_xyzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1384); 

                auto tg_yyyyyzz_xzzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1385); 

                auto tg_yyyyyzz_yyyyyyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1386); 

                auto tg_yyyyyzz_yyyyyyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1387); 

                auto tg_yyyyyzz_yyyyyyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1388); 

                auto tg_yyyyyzz_yyyyyzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1389); 

                auto tg_yyyyyzz_yyyyzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1390); 

                auto tg_yyyyyzz_yyyzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1391); 

                auto tg_yyyyyzz_yyzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1392); 

                auto tg_yyyyyzz_yzzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1393); 

                auto tg_yyyyyzz_zzzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1394); 

                auto tg_yyyyzzz_xxxxxxxx_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1395); 

                auto tg_yyyyzzz_xxxxxxxy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1396); 

                auto tg_yyyyzzz_xxxxxxxz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1397); 

                auto tg_yyyyzzz_xxxxxxyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1398); 

                auto tg_yyyyzzz_xxxxxxyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1399); 

                auto tg_yyyyzzz_xxxxxxzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1400); 

                auto tg_yyyyzzz_xxxxxyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1401); 

                auto tg_yyyyzzz_xxxxxyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1402); 

                auto tg_yyyyzzz_xxxxxyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1403); 

                auto tg_yyyyzzz_xxxxxzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1404); 

                auto tg_yyyyzzz_xxxxyyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1405); 

                auto tg_yyyyzzz_xxxxyyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1406); 

                auto tg_yyyyzzz_xxxxyyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1407); 

                auto tg_yyyyzzz_xxxxyzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1408); 

                auto tg_yyyyzzz_xxxxzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1409); 

                auto tg_yyyyzzz_xxxyyyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1410); 

                auto tg_yyyyzzz_xxxyyyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1411); 

                auto tg_yyyyzzz_xxxyyyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1412); 

                auto tg_yyyyzzz_xxxyyzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1413); 

                auto tg_yyyyzzz_xxxyzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1414); 

                auto tg_yyyyzzz_xxxzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1415); 

                auto tg_yyyyzzz_xxyyyyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1416); 

                auto tg_yyyyzzz_xxyyyyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1417); 

                auto tg_yyyyzzz_xxyyyyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1418); 

                auto tg_yyyyzzz_xxyyyzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1419); 

                auto tg_yyyyzzz_xxyyzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1420); 

                auto tg_yyyyzzz_xxyzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1421); 

                auto tg_yyyyzzz_xxzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1422); 

                auto tg_yyyyzzz_xyyyyyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1423); 

                auto tg_yyyyzzz_xyyyyyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1424); 

                auto tg_yyyyzzz_xyyyyyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1425); 

                auto tg_yyyyzzz_xyyyyzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1426); 

                auto tg_yyyyzzz_xyyyzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1427); 

                auto tg_yyyyzzz_xyyzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1428); 

                auto tg_yyyyzzz_xyzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1429); 

                auto tg_yyyyzzz_xzzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1430); 

                auto tg_yyyyzzz_yyyyyyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1431); 

                auto tg_yyyyzzz_yyyyyyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1432); 

                auto tg_yyyyzzz_yyyyyyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1433); 

                auto tg_yyyyzzz_yyyyyzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1434); 

                auto tg_yyyyzzz_yyyyzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1435); 

                auto tg_yyyyzzz_yyyzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1436); 

                auto tg_yyyyzzz_yyzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1437); 

                auto tg_yyyyzzz_yzzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1438); 

                auto tg_yyyyzzz_zzzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1439); 

                auto tg_yyyzzzz_xxxxxxxx_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1440); 

                auto tg_yyyzzzz_xxxxxxxy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1441); 

                auto tg_yyyzzzz_xxxxxxxz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1442); 

                auto tg_yyyzzzz_xxxxxxyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1443); 

                auto tg_yyyzzzz_xxxxxxyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1444); 

                auto tg_yyyzzzz_xxxxxxzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1445); 

                auto tg_yyyzzzz_xxxxxyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1446); 

                auto tg_yyyzzzz_xxxxxyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1447); 

                auto tg_yyyzzzz_xxxxxyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1448); 

                auto tg_yyyzzzz_xxxxxzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1449); 

                auto tg_yyyzzzz_xxxxyyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1450); 

                auto tg_yyyzzzz_xxxxyyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1451); 

                auto tg_yyyzzzz_xxxxyyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1452); 

                auto tg_yyyzzzz_xxxxyzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1453); 

                auto tg_yyyzzzz_xxxxzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1454); 

                auto tg_yyyzzzz_xxxyyyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1455); 

                auto tg_yyyzzzz_xxxyyyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1456); 

                auto tg_yyyzzzz_xxxyyyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1457); 

                auto tg_yyyzzzz_xxxyyzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1458); 

                auto tg_yyyzzzz_xxxyzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1459); 

                auto tg_yyyzzzz_xxxzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1460); 

                auto tg_yyyzzzz_xxyyyyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1461); 

                auto tg_yyyzzzz_xxyyyyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1462); 

                auto tg_yyyzzzz_xxyyyyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1463); 

                auto tg_yyyzzzz_xxyyyzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1464); 

                auto tg_yyyzzzz_xxyyzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1465); 

                auto tg_yyyzzzz_xxyzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1466); 

                auto tg_yyyzzzz_xxzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1467); 

                auto tg_yyyzzzz_xyyyyyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1468); 

                auto tg_yyyzzzz_xyyyyyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1469); 

                auto tg_yyyzzzz_xyyyyyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1470); 

                auto tg_yyyzzzz_xyyyyzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1471); 

                auto tg_yyyzzzz_xyyyzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1472); 

                auto tg_yyyyyzz_xxzzzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1377); 

                auto tg_yyyyyzz_xyyyyyyy_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1378); 

                auto tg_yyyyyzz_xyyyyyyz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1379); 

                auto tg_yyyyyzz_xyyyyyzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1380); 

                auto tg_yyyyyzz_xyyyyzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1381); 

                auto tg_yyyyyzz_xyyyzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1382); 

                auto tg_yyyyyzz_xyyzzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1383); 

                auto tg_yyyyyzz_xyzzzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1384); 

                auto tg_yyyyyzz_xzzzzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1385); 

                auto tg_yyyyyzz_yyyyyyyy_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1386); 

                auto tg_yyyyyzz_yyyyyyyz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1387); 

                auto tg_yyyyyzz_yyyyyyzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1388); 

                auto tg_yyyyyzz_yyyyyzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1389); 

                auto tg_yyyyyzz_yyyyzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1390); 

                auto tg_yyyyyzz_yyyzzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1391); 

                auto tg_yyyyyzz_yyzzzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1392); 

                auto tg_yyyyyzz_yzzzzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1393); 

                auto tg_yyyyyzz_zzzzzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1394); 

                auto tg_yyyyzzz_xxxxxxxx_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1395); 

                auto tg_yyyyzzz_xxxxxxxy_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1396); 

                auto tg_yyyyzzz_xxxxxxxz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1397); 

                auto tg_yyyyzzz_xxxxxxyy_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1398); 

                auto tg_yyyyzzz_xxxxxxyz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1399); 

                auto tg_yyyyzzz_xxxxxxzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1400); 

                auto tg_yyyyzzz_xxxxxyyy_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1401); 

                auto tg_yyyyzzz_xxxxxyyz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1402); 

                auto tg_yyyyzzz_xxxxxyzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1403); 

                auto tg_yyyyzzz_xxxxxzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1404); 

                auto tg_yyyyzzz_xxxxyyyy_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1405); 

                auto tg_yyyyzzz_xxxxyyyz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1406); 

                auto tg_yyyyzzz_xxxxyyzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1407); 

                auto tg_yyyyzzz_xxxxyzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1408); 

                auto tg_yyyyzzz_xxxxzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1409); 

                auto tg_yyyyzzz_xxxyyyyy_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1410); 

                auto tg_yyyyzzz_xxxyyyyz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1411); 

                auto tg_yyyyzzz_xxxyyyzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1412); 

                auto tg_yyyyzzz_xxxyyzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1413); 

                auto tg_yyyyzzz_xxxyzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1414); 

                auto tg_yyyyzzz_xxxzzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1415); 

                auto tg_yyyyzzz_xxyyyyyy_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1416); 

                auto tg_yyyyzzz_xxyyyyyz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1417); 

                auto tg_yyyyzzz_xxyyyyzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1418); 

                auto tg_yyyyzzz_xxyyyzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1419); 

                auto tg_yyyyzzz_xxyyzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1420); 

                auto tg_yyyyzzz_xxyzzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1421); 

                auto tg_yyyyzzz_xxzzzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1422); 

                auto tg_yyyyzzz_xyyyyyyy_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1423); 

                auto tg_yyyyzzz_xyyyyyyz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1424); 

                auto tg_yyyyzzz_xyyyyyzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1425); 

                auto tg_yyyyzzz_xyyyyzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1426); 

                auto tg_yyyyzzz_xyyyzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1427); 

                auto tg_yyyyzzz_xyyzzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1428); 

                auto tg_yyyyzzz_xyzzzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1429); 

                auto tg_yyyyzzz_xzzzzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1430); 

                auto tg_yyyyzzz_yyyyyyyy_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1431); 

                auto tg_yyyyzzz_yyyyyyyz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1432); 

                auto tg_yyyyzzz_yyyyyyzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1433); 

                auto tg_yyyyzzz_yyyyyzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1434); 

                auto tg_yyyyzzz_yyyyzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1435); 

                auto tg_yyyyzzz_yyyzzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1436); 

                auto tg_yyyyzzz_yyzzzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1437); 

                auto tg_yyyyzzz_yzzzzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1438); 

                auto tg_yyyyzzz_zzzzzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1439); 

                auto tg_yyyzzzz_xxxxxxxx_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1440); 

                auto tg_yyyzzzz_xxxxxxxy_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1441); 

                auto tg_yyyzzzz_xxxxxxxz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1442); 

                auto tg_yyyzzzz_xxxxxxyy_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1443); 

                auto tg_yyyzzzz_xxxxxxyz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1444); 

                auto tg_yyyzzzz_xxxxxxzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1445); 

                auto tg_yyyzzzz_xxxxxyyy_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1446); 

                auto tg_yyyzzzz_xxxxxyyz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1447); 

                auto tg_yyyzzzz_xxxxxyzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1448); 

                auto tg_yyyzzzz_xxxxxzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1449); 

                auto tg_yyyzzzz_xxxxyyyy_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1450); 

                auto tg_yyyzzzz_xxxxyyyz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1451); 

                auto tg_yyyzzzz_xxxxyyzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1452); 

                auto tg_yyyzzzz_xxxxyzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1453); 

                auto tg_yyyzzzz_xxxxzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1454); 

                auto tg_yyyzzzz_xxxyyyyy_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1455); 

                auto tg_yyyzzzz_xxxyyyyz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1456); 

                auto tg_yyyzzzz_xxxyyyzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1457); 

                auto tg_yyyzzzz_xxxyyzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1458); 

                auto tg_yyyzzzz_xxxyzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1459); 

                auto tg_yyyzzzz_xxxzzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1460); 

                auto tg_yyyzzzz_xxyyyyyy_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1461); 

                auto tg_yyyzzzz_xxyyyyyz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1462); 

                auto tg_yyyzzzz_xxyyyyzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1463); 

                auto tg_yyyzzzz_xxyyyzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1464); 

                auto tg_yyyzzzz_xxyyzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1465); 

                auto tg_yyyzzzz_xxyzzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1466); 

                auto tg_yyyzzzz_xxzzzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1467); 

                auto tg_yyyzzzz_xyyyyyyy_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1468); 

                auto tg_yyyzzzz_xyyyyyyz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1469); 

                auto tg_yyyzzzz_xyyyyyzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1470); 

                auto tg_yyyzzzz_xyyyyzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1471); 

                auto tg_yyyzzzz_xyyyzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1472); 

                auto tg_yyyyzz_xxzzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1062); 

                auto tg_yyyyzz_xyyyyyyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1063); 

                auto tg_yyyyzz_xyyyyyyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1064); 

                auto tg_yyyyzz_xyyyyyzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1065); 

                auto tg_yyyyzz_xyyyyzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1066); 

                auto tg_yyyyzz_xyyyzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1067); 

                auto tg_yyyyzz_xyyzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1068); 

                auto tg_yyyyzz_xyzzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1069); 

                auto tg_yyyyzz_xzzzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1070); 

                auto tg_yyyyzz_yyyyyyyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1071); 

                auto tg_yyyyzz_yyyyyyyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1072); 

                auto tg_yyyyzz_yyyyyyzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1073); 

                auto tg_yyyyzz_yyyyyzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1074); 

                auto tg_yyyyzz_yyyyzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1075); 

                auto tg_yyyyzz_yyyzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1076); 

                auto tg_yyyyzz_yyzzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1077); 

                auto tg_yyyyzz_yzzzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1078); 

                auto tg_yyyyzz_zzzzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1079); 

                auto tg_yyyzzz_xxxxxxxx_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1080); 

                auto tg_yyyzzz_xxxxxxxy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1081); 

                auto tg_yyyzzz_xxxxxxxz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1082); 

                auto tg_yyyzzz_xxxxxxyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1083); 

                auto tg_yyyzzz_xxxxxxyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1084); 

                auto tg_yyyzzz_xxxxxxzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1085); 

                auto tg_yyyzzz_xxxxxyyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1086); 

                auto tg_yyyzzz_xxxxxyyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1087); 

                auto tg_yyyzzz_xxxxxyzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1088); 

                auto tg_yyyzzz_xxxxxzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1089); 

                auto tg_yyyzzz_xxxxyyyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1090); 

                auto tg_yyyzzz_xxxxyyyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1091); 

                auto tg_yyyzzz_xxxxyyzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1092); 

                auto tg_yyyzzz_xxxxyzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1093); 

                auto tg_yyyzzz_xxxxzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1094); 

                auto tg_yyyzzz_xxxyyyyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1095); 

                auto tg_yyyzzz_xxxyyyyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1096); 

                auto tg_yyyzzz_xxxyyyzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1097); 

                auto tg_yyyzzz_xxxyyzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1098); 

                auto tg_yyyzzz_xxxyzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1099); 

                auto tg_yyyzzz_xxxzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1100); 

                auto tg_yyyzzz_xxyyyyyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1101); 

                auto tg_yyyzzz_xxyyyyyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1102); 

                auto tg_yyyzzz_xxyyyyzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1103); 

                auto tg_yyyzzz_xxyyyzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1104); 

                auto tg_yyyzzz_xxyyzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1105); 

                auto tg_yyyzzz_xxyzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1106); 

                auto tg_yyyzzz_xxzzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1107); 

                auto tg_yyyzzz_xyyyyyyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1108); 

                auto tg_yyyzzz_xyyyyyyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1109); 

                auto tg_yyyzzz_xyyyyyzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1110); 

                auto tg_yyyzzz_xyyyyzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1111); 

                auto tg_yyyzzz_xyyyzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1112); 

                auto tg_yyyzzz_xyyzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1113); 

                auto tg_yyyzzz_xyzzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1114); 

                auto tg_yyyzzz_xzzzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1115); 

                auto tg_yyyzzz_yyyyyyyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1116); 

                auto tg_yyyzzz_yyyyyyyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1117); 

                auto tg_yyyzzz_yyyyyyzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1118); 

                auto tg_yyyzzz_yyyyyzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1119); 

                auto tg_yyyzzz_yyyyzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1120); 

                auto tg_yyyzzz_yyyzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1121); 

                auto tg_yyyzzz_yyzzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1122); 

                auto tg_yyyzzz_yzzzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1123); 

                auto tg_yyyzzz_zzzzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1124); 

                auto tg_yyzzzz_xxxxxxxx_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1125); 

                auto tg_yyzzzz_xxxxxxxy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1126); 

                auto tg_yyzzzz_xxxxxxxz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1127); 

                auto tg_yyzzzz_xxxxxxyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1128); 

                auto tg_yyzzzz_xxxxxxyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1129); 

                auto tg_yyzzzz_xxxxxxzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1130); 

                auto tg_yyzzzz_xxxxxyyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1131); 

                auto tg_yyzzzz_xxxxxyyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1132); 

                auto tg_yyzzzz_xxxxxyzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1133); 

                auto tg_yyzzzz_xxxxxzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1134); 

                auto tg_yyzzzz_xxxxyyyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1135); 

                auto tg_yyzzzz_xxxxyyyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1136); 

                auto tg_yyzzzz_xxxxyyzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1137); 

                auto tg_yyzzzz_xxxxyzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1138); 

                auto tg_yyzzzz_xxxxzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1139); 

                auto tg_yyzzzz_xxxyyyyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1140); 

                auto tg_yyzzzz_xxxyyyyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1141); 

                auto tg_yyzzzz_xxxyyyzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1142); 

                auto tg_yyzzzz_xxxyyzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1143); 

                auto tg_yyzzzz_xxxyzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1144); 

                auto tg_yyzzzz_xxxzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1145); 

                auto tg_yyzzzz_xxyyyyyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1146); 

                auto tg_yyzzzz_xxyyyyyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1147); 

                auto tg_yyzzzz_xxyyyyzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1148); 

                auto tg_yyzzzz_xxyyyzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1149); 

                auto tg_yyzzzz_xxyyzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1150); 

                auto tg_yyzzzz_xxyzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1151); 

                auto tg_yyzzzz_xxzzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1152); 

                auto tg_yyzzzz_xyyyyyyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1153); 

                auto tg_yyzzzz_xyyyyyyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1154); 

                auto tg_yyzzzz_xyyyyyzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1155); 

                auto tg_yyzzzz_xyyyyzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1156); 

                auto tg_yyzzzz_xyyyzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1157); 

                auto tg_yyyyzz_xxzzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1062); 

                auto tg_yyyyzz_xyyyyyyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1063); 

                auto tg_yyyyzz_xyyyyyyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1064); 

                auto tg_yyyyzz_xyyyyyzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1065); 

                auto tg_yyyyzz_xyyyyzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1066); 

                auto tg_yyyyzz_xyyyzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1067); 

                auto tg_yyyyzz_xyyzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1068); 

                auto tg_yyyyzz_xyzzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1069); 

                auto tg_yyyyzz_xzzzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1070); 

                auto tg_yyyyzz_yyyyyyyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1071); 

                auto tg_yyyyzz_yyyyyyyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1072); 

                auto tg_yyyyzz_yyyyyyzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1073); 

                auto tg_yyyyzz_yyyyyzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1074); 

                auto tg_yyyyzz_yyyyzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1075); 

                auto tg_yyyyzz_yyyzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1076); 

                auto tg_yyyyzz_yyzzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1077); 

                auto tg_yyyyzz_yzzzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1078); 

                auto tg_yyyyzz_zzzzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1079); 

                auto tg_yyyzzz_xxxxxxxx_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1080); 

                auto tg_yyyzzz_xxxxxxxy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1081); 

                auto tg_yyyzzz_xxxxxxxz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1082); 

                auto tg_yyyzzz_xxxxxxyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1083); 

                auto tg_yyyzzz_xxxxxxyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1084); 

                auto tg_yyyzzz_xxxxxxzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1085); 

                auto tg_yyyzzz_xxxxxyyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1086); 

                auto tg_yyyzzz_xxxxxyyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1087); 

                auto tg_yyyzzz_xxxxxyzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1088); 

                auto tg_yyyzzz_xxxxxzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1089); 

                auto tg_yyyzzz_xxxxyyyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1090); 

                auto tg_yyyzzz_xxxxyyyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1091); 

                auto tg_yyyzzz_xxxxyyzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1092); 

                auto tg_yyyzzz_xxxxyzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1093); 

                auto tg_yyyzzz_xxxxzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1094); 

                auto tg_yyyzzz_xxxyyyyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1095); 

                auto tg_yyyzzz_xxxyyyyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1096); 

                auto tg_yyyzzz_xxxyyyzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1097); 

                auto tg_yyyzzz_xxxyyzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1098); 

                auto tg_yyyzzz_xxxyzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1099); 

                auto tg_yyyzzz_xxxzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1100); 

                auto tg_yyyzzz_xxyyyyyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1101); 

                auto tg_yyyzzz_xxyyyyyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1102); 

                auto tg_yyyzzz_xxyyyyzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1103); 

                auto tg_yyyzzz_xxyyyzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1104); 

                auto tg_yyyzzz_xxyyzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1105); 

                auto tg_yyyzzz_xxyzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1106); 

                auto tg_yyyzzz_xxzzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1107); 

                auto tg_yyyzzz_xyyyyyyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1108); 

                auto tg_yyyzzz_xyyyyyyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1109); 

                auto tg_yyyzzz_xyyyyyzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1110); 

                auto tg_yyyzzz_xyyyyzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1111); 

                auto tg_yyyzzz_xyyyzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1112); 

                auto tg_yyyzzz_xyyzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1113); 

                auto tg_yyyzzz_xyzzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1114); 

                auto tg_yyyzzz_xzzzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1115); 

                auto tg_yyyzzz_yyyyyyyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1116); 

                auto tg_yyyzzz_yyyyyyyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1117); 

                auto tg_yyyzzz_yyyyyyzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1118); 

                auto tg_yyyzzz_yyyyyzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1119); 

                auto tg_yyyzzz_yyyyzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1120); 

                auto tg_yyyzzz_yyyzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1121); 

                auto tg_yyyzzz_yyzzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1122); 

                auto tg_yyyzzz_yzzzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1123); 

                auto tg_yyyzzz_zzzzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1124); 

                auto tg_yyzzzz_xxxxxxxx_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1125); 

                auto tg_yyzzzz_xxxxxxxy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1126); 

                auto tg_yyzzzz_xxxxxxxz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1127); 

                auto tg_yyzzzz_xxxxxxyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1128); 

                auto tg_yyzzzz_xxxxxxyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1129); 

                auto tg_yyzzzz_xxxxxxzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1130); 

                auto tg_yyzzzz_xxxxxyyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1131); 

                auto tg_yyzzzz_xxxxxyyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1132); 

                auto tg_yyzzzz_xxxxxyzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1133); 

                auto tg_yyzzzz_xxxxxzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1134); 

                auto tg_yyzzzz_xxxxyyyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1135); 

                auto tg_yyzzzz_xxxxyyyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1136); 

                auto tg_yyzzzz_xxxxyyzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1137); 

                auto tg_yyzzzz_xxxxyzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1138); 

                auto tg_yyzzzz_xxxxzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1139); 

                auto tg_yyzzzz_xxxyyyyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1140); 

                auto tg_yyzzzz_xxxyyyyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1141); 

                auto tg_yyzzzz_xxxyyyzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1142); 

                auto tg_yyzzzz_xxxyyzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1143); 

                auto tg_yyzzzz_xxxyzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1144); 

                auto tg_yyzzzz_xxxzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1145); 

                auto tg_yyzzzz_xxyyyyyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1146); 

                auto tg_yyzzzz_xxyyyyyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1147); 

                auto tg_yyzzzz_xxyyyyzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1148); 

                auto tg_yyzzzz_xxyyyzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1149); 

                auto tg_yyzzzz_xxyyzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1150); 

                auto tg_yyzzzz_xxyzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1151); 

                auto tg_yyzzzz_xxzzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1152); 

                auto tg_yyzzzz_xyyyyyyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1153); 

                auto tg_yyzzzz_xyyyyyyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1154); 

                auto tg_yyzzzz_xyyyyyzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1155); 

                auto tg_yyzzzz_xyyyyzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1156); 

                auto tg_yyzzzz_xyyyzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1157); 

                auto tg_yyyyyzz_xyyyyyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1101); 

                auto tg_yyyyyzz_xyyyyyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1102); 

                auto tg_yyyyyzz_xyyyyzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1103); 

                auto tg_yyyyyzz_xyyyzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1104); 

                auto tg_yyyyyzz_xyyzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1105); 

                auto tg_yyyyyzz_xyzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1106); 

                auto tg_yyyyyzz_xzzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1107); 

                auto tg_yyyyyzz_yyyyyyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1108); 

                auto tg_yyyyyzz_yyyyyyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1109); 

                auto tg_yyyyyzz_yyyyyzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1110); 

                auto tg_yyyyyzz_yyyyzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1111); 

                auto tg_yyyyyzz_yyyzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1112); 

                auto tg_yyyyyzz_yyzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1113); 

                auto tg_yyyyyzz_yzzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1114); 

                auto tg_yyyyyzz_zzzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1115); 

                auto tg_yyyyzzz_xxxxxxx_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1116); 

                auto tg_yyyyzzz_xxxxxxy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1117); 

                auto tg_yyyyzzz_xxxxxxz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1118); 

                auto tg_yyyyzzz_xxxxxyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1119); 

                auto tg_yyyyzzz_xxxxxyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1120); 

                auto tg_yyyyzzz_xxxxxzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1121); 

                auto tg_yyyyzzz_xxxxyyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1122); 

                auto tg_yyyyzzz_xxxxyyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1123); 

                auto tg_yyyyzzz_xxxxyzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1124); 

                auto tg_yyyyzzz_xxxxzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1125); 

                auto tg_yyyyzzz_xxxyyyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1126); 

                auto tg_yyyyzzz_xxxyyyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1127); 

                auto tg_yyyyzzz_xxxyyzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1128); 

                auto tg_yyyyzzz_xxxyzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1129); 

                auto tg_yyyyzzz_xxxzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1130); 

                auto tg_yyyyzzz_xxyyyyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1131); 

                auto tg_yyyyzzz_xxyyyyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1132); 

                auto tg_yyyyzzz_xxyyyzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1133); 

                auto tg_yyyyzzz_xxyyzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1134); 

                auto tg_yyyyzzz_xxyzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1135); 

                auto tg_yyyyzzz_xxzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1136); 

                auto tg_yyyyzzz_xyyyyyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1137); 

                auto tg_yyyyzzz_xyyyyyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1138); 

                auto tg_yyyyzzz_xyyyyzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1139); 

                auto tg_yyyyzzz_xyyyzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1140); 

                auto tg_yyyyzzz_xyyzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1141); 

                auto tg_yyyyzzz_xyzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1142); 

                auto tg_yyyyzzz_xzzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1143); 

                auto tg_yyyyzzz_yyyyyyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1144); 

                auto tg_yyyyzzz_yyyyyyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1145); 

                auto tg_yyyyzzz_yyyyyzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1146); 

                auto tg_yyyyzzz_yyyyzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1147); 

                auto tg_yyyyzzz_yyyzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1148); 

                auto tg_yyyyzzz_yyzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1149); 

                auto tg_yyyyzzz_yzzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1150); 

                auto tg_yyyyzzz_zzzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1151); 

                auto tg_yyyzzzz_xxxxxxx_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1152); 

                auto tg_yyyzzzz_xxxxxxy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1153); 

                auto tg_yyyzzzz_xxxxxxz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1154); 

                auto tg_yyyzzzz_xxxxxyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1155); 

                auto tg_yyyzzzz_xxxxxyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1156); 

                auto tg_yyyzzzz_xxxxxzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1157); 

                auto tg_yyyzzzz_xxxxyyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1158); 

                auto tg_yyyzzzz_xxxxyyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1159); 

                auto tg_yyyzzzz_xxxxyzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1160); 

                auto tg_yyyzzzz_xxxxzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1161); 

                auto tg_yyyzzzz_xxxyyyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1162); 

                auto tg_yyyzzzz_xxxyyyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1163); 

                auto tg_yyyzzzz_xxxyyzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1164); 

                auto tg_yyyzzzz_xxxyzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1165); 

                auto tg_yyyzzzz_xxxzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1166); 

                auto tg_yyyzzzz_xxyyyyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1167); 

                auto tg_yyyzzzz_xxyyyyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1168); 

                auto tg_yyyzzzz_xxyyyzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1169); 

                auto tg_yyyzzzz_xxyyzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1170); 

                auto tg_yyyzzzz_xxyzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1171); 

                auto tg_yyyzzzz_xxzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1172); 

                auto tg_yyyzzzz_xyyyyyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1173); 

                auto tg_yyyzzzz_xyyyyyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1174); 

                auto tg_yyyzzzz_xyyyyzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1175); 

                auto tg_yyyzzzz_xyyyzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1176); 

                auto tg_yyyzzzz_xyyzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1177); 

                // set up pointers to integrals

                auto tg_yyyyyyzz_xxzzzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1737); 

                auto tg_yyyyyyzz_xyyyyyyy_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1738); 

                auto tg_yyyyyyzz_xyyyyyyz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1739); 

                auto tg_yyyyyyzz_xyyyyyzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1740); 

                auto tg_yyyyyyzz_xyyyyzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1741); 

                auto tg_yyyyyyzz_xyyyzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1742); 

                auto tg_yyyyyyzz_xyyzzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1743); 

                auto tg_yyyyyyzz_xyzzzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1744); 

                auto tg_yyyyyyzz_xzzzzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1745); 

                auto tg_yyyyyyzz_yyyyyyyy_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1746); 

                auto tg_yyyyyyzz_yyyyyyyz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1747); 

                auto tg_yyyyyyzz_yyyyyyzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1748); 

                auto tg_yyyyyyzz_yyyyyzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1749); 

                auto tg_yyyyyyzz_yyyyzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1750); 

                auto tg_yyyyyyzz_yyyzzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1751); 

                auto tg_yyyyyyzz_yyzzzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1752); 

                auto tg_yyyyyyzz_yzzzzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1753); 

                auto tg_yyyyyyzz_zzzzzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1754); 

                auto tg_yyyyyzzz_xxxxxxxx_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1755); 

                auto tg_yyyyyzzz_xxxxxxxy_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1756); 

                auto tg_yyyyyzzz_xxxxxxxz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1757); 

                auto tg_yyyyyzzz_xxxxxxyy_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1758); 

                auto tg_yyyyyzzz_xxxxxxyz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1759); 

                auto tg_yyyyyzzz_xxxxxxzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1760); 

                auto tg_yyyyyzzz_xxxxxyyy_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1761); 

                auto tg_yyyyyzzz_xxxxxyyz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1762); 

                auto tg_yyyyyzzz_xxxxxyzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1763); 

                auto tg_yyyyyzzz_xxxxxzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1764); 

                auto tg_yyyyyzzz_xxxxyyyy_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1765); 

                auto tg_yyyyyzzz_xxxxyyyz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1766); 

                auto tg_yyyyyzzz_xxxxyyzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1767); 

                auto tg_yyyyyzzz_xxxxyzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1768); 

                auto tg_yyyyyzzz_xxxxzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1769); 

                auto tg_yyyyyzzz_xxxyyyyy_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1770); 

                auto tg_yyyyyzzz_xxxyyyyz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1771); 

                auto tg_yyyyyzzz_xxxyyyzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1772); 

                auto tg_yyyyyzzz_xxxyyzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1773); 

                auto tg_yyyyyzzz_xxxyzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1774); 

                auto tg_yyyyyzzz_xxxzzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1775); 

                auto tg_yyyyyzzz_xxyyyyyy_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1776); 

                auto tg_yyyyyzzz_xxyyyyyz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1777); 

                auto tg_yyyyyzzz_xxyyyyzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1778); 

                auto tg_yyyyyzzz_xxyyyzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1779); 

                auto tg_yyyyyzzz_xxyyzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1780); 

                auto tg_yyyyyzzz_xxyzzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1781); 

                auto tg_yyyyyzzz_xxzzzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1782); 

                auto tg_yyyyyzzz_xyyyyyyy_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1783); 

                auto tg_yyyyyzzz_xyyyyyyz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1784); 

                auto tg_yyyyyzzz_xyyyyyzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1785); 

                auto tg_yyyyyzzz_xyyyyzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1786); 

                auto tg_yyyyyzzz_xyyyzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1787); 

                auto tg_yyyyyzzz_xyyzzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1788); 

                auto tg_yyyyyzzz_xyzzzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1789); 

                auto tg_yyyyyzzz_xzzzzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1790); 

                auto tg_yyyyyzzz_yyyyyyyy_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1791); 

                auto tg_yyyyyzzz_yyyyyyyz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1792); 

                auto tg_yyyyyzzz_yyyyyyzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1793); 

                auto tg_yyyyyzzz_yyyyyzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1794); 

                auto tg_yyyyyzzz_yyyyzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1795); 

                auto tg_yyyyyzzz_yyyzzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1796); 

                auto tg_yyyyyzzz_yyzzzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1797); 

                auto tg_yyyyyzzz_yzzzzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1798); 

                auto tg_yyyyyzzz_zzzzzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1799); 

                auto tg_yyyyzzzz_xxxxxxxx_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1800); 

                auto tg_yyyyzzzz_xxxxxxxy_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1801); 

                auto tg_yyyyzzzz_xxxxxxxz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1802); 

                auto tg_yyyyzzzz_xxxxxxyy_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1803); 

                auto tg_yyyyzzzz_xxxxxxyz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1804); 

                auto tg_yyyyzzzz_xxxxxxzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1805); 

                auto tg_yyyyzzzz_xxxxxyyy_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1806); 

                auto tg_yyyyzzzz_xxxxxyyz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1807); 

                auto tg_yyyyzzzz_xxxxxyzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1808); 

                auto tg_yyyyzzzz_xxxxxzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1809); 

                auto tg_yyyyzzzz_xxxxyyyy_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1810); 

                auto tg_yyyyzzzz_xxxxyyyz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1811); 

                auto tg_yyyyzzzz_xxxxyyzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1812); 

                auto tg_yyyyzzzz_xxxxyzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1813); 

                auto tg_yyyyzzzz_xxxxzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1814); 

                auto tg_yyyyzzzz_xxxyyyyy_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1815); 

                auto tg_yyyyzzzz_xxxyyyyz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1816); 

                auto tg_yyyyzzzz_xxxyyyzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1817); 

                auto tg_yyyyzzzz_xxxyyzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1818); 

                auto tg_yyyyzzzz_xxxyzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1819); 

                auto tg_yyyyzzzz_xxxzzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1820); 

                auto tg_yyyyzzzz_xxyyyyyy_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1821); 

                auto tg_yyyyzzzz_xxyyyyyz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1822); 

                auto tg_yyyyzzzz_xxyyyyzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1823); 

                auto tg_yyyyzzzz_xxyyyzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1824); 

                auto tg_yyyyzzzz_xxyyzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1825); 

                auto tg_yyyyzzzz_xxyzzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1826); 

                auto tg_yyyyzzzz_xxzzzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1827); 

                auto tg_yyyyzzzz_xyyyyyyy_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1828); 

                auto tg_yyyyzzzz_xyyyyyyz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1829); 

                auto tg_yyyyzzzz_xyyyyyzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1830); 

                auto tg_yyyyzzzz_xyyyyzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1831); 

                auto tg_yyyyzzzz_xyyyzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1832); 

                // Batch of Integrals (1737,1833)

                #pragma omp simd aligned(fxn, fza, tg_yyyyyyzz_xxzzzzzz_0, tg_yyyyyyzz_xyyyyyyy_0, \
                                         tg_yyyyyyzz_xyyyyyyz_0, tg_yyyyyyzz_xyyyyyzz_0, tg_yyyyyyzz_xyyyyzzz_0, \
                                         tg_yyyyyyzz_xyyyzzzz_0, tg_yyyyyyzz_xyyzzzzz_0, tg_yyyyyyzz_xyzzzzzz_0, \
                                         tg_yyyyyyzz_xzzzzzzz_0, tg_yyyyyyzz_yyyyyyyy_0, tg_yyyyyyzz_yyyyyyyz_0, \
                                         tg_yyyyyyzz_yyyyyyzz_0, tg_yyyyyyzz_yyyyyzzz_0, tg_yyyyyyzz_yyyyzzzz_0, \
                                         tg_yyyyyyzz_yyyzzzzz_0, tg_yyyyyyzz_yyzzzzzz_0, tg_yyyyyyzz_yzzzzzzz_0, \
                                         tg_yyyyyyzz_zzzzzzzz_0, tg_yyyyyzz_xxzzzzzz_0, tg_yyyyyzz_xxzzzzzz_1, \
                                         tg_yyyyyzz_xyyyyyy_1, tg_yyyyyzz_xyyyyyyy_0, tg_yyyyyzz_xyyyyyyy_1, \
                                         tg_yyyyyzz_xyyyyyyz_0, tg_yyyyyzz_xyyyyyyz_1, tg_yyyyyzz_xyyyyyz_1, \
                                         tg_yyyyyzz_xyyyyyzz_0, tg_yyyyyzz_xyyyyyzz_1, tg_yyyyyzz_xyyyyzz_1, \
                                         tg_yyyyyzz_xyyyyzzz_0, tg_yyyyyzz_xyyyyzzz_1, tg_yyyyyzz_xyyyzzz_1, \
                                         tg_yyyyyzz_xyyyzzzz_0, tg_yyyyyzz_xyyyzzzz_1, tg_yyyyyzz_xyyzzzz_1, \
                                         tg_yyyyyzz_xyyzzzzz_0, tg_yyyyyzz_xyyzzzzz_1, tg_yyyyyzz_xyzzzzz_1, \
                                         tg_yyyyyzz_xyzzzzzz_0, tg_yyyyyzz_xyzzzzzz_1, tg_yyyyyzz_xzzzzzz_1, \
                                         tg_yyyyyzz_xzzzzzzz_0, tg_yyyyyzz_xzzzzzzz_1, tg_yyyyyzz_yyyyyyy_1, \
                                         tg_yyyyyzz_yyyyyyyy_0, tg_yyyyyzz_yyyyyyyy_1, tg_yyyyyzz_yyyyyyyz_0, \
                                         tg_yyyyyzz_yyyyyyyz_1, tg_yyyyyzz_yyyyyyz_1, tg_yyyyyzz_yyyyyyzz_0, \
                                         tg_yyyyyzz_yyyyyyzz_1, tg_yyyyyzz_yyyyyzz_1, tg_yyyyyzz_yyyyyzzz_0, \
                                         tg_yyyyyzz_yyyyyzzz_1, tg_yyyyyzz_yyyyzzz_1, tg_yyyyyzz_yyyyzzzz_0, \
                                         tg_yyyyyzz_yyyyzzzz_1, tg_yyyyyzz_yyyzzzz_1, tg_yyyyyzz_yyyzzzzz_0, \
                                         tg_yyyyyzz_yyyzzzzz_1, tg_yyyyyzz_yyzzzzz_1, tg_yyyyyzz_yyzzzzzz_0, \
                                         tg_yyyyyzz_yyzzzzzz_1, tg_yyyyyzz_yzzzzzz_1, tg_yyyyyzz_yzzzzzzz_0, \
                                         tg_yyyyyzz_yzzzzzzz_1, tg_yyyyyzz_zzzzzzz_1, tg_yyyyyzz_zzzzzzzz_0, \
                                         tg_yyyyyzz_zzzzzzzz_1, tg_yyyyyzzz_xxxxxxxx_0, tg_yyyyyzzz_xxxxxxxy_0, \
                                         tg_yyyyyzzz_xxxxxxxz_0, tg_yyyyyzzz_xxxxxxyy_0, tg_yyyyyzzz_xxxxxxyz_0, \
                                         tg_yyyyyzzz_xxxxxxzz_0, tg_yyyyyzzz_xxxxxyyy_0, tg_yyyyyzzz_xxxxxyyz_0, \
                                         tg_yyyyyzzz_xxxxxyzz_0, tg_yyyyyzzz_xxxxxzzz_0, tg_yyyyyzzz_xxxxyyyy_0, \
                                         tg_yyyyyzzz_xxxxyyyz_0, tg_yyyyyzzz_xxxxyyzz_0, tg_yyyyyzzz_xxxxyzzz_0, \
                                         tg_yyyyyzzz_xxxxzzzz_0, tg_yyyyyzzz_xxxyyyyy_0, tg_yyyyyzzz_xxxyyyyz_0, \
                                         tg_yyyyyzzz_xxxyyyzz_0, tg_yyyyyzzz_xxxyyzzz_0, tg_yyyyyzzz_xxxyzzzz_0, \
                                         tg_yyyyyzzz_xxxzzzzz_0, tg_yyyyyzzz_xxyyyyyy_0, tg_yyyyyzzz_xxyyyyyz_0, \
                                         tg_yyyyyzzz_xxyyyyzz_0, tg_yyyyyzzz_xxyyyzzz_0, tg_yyyyyzzz_xxyyzzzz_0, \
                                         tg_yyyyyzzz_xxyzzzzz_0, tg_yyyyyzzz_xxzzzzzz_0, tg_yyyyyzzz_xyyyyyyy_0, \
                                         tg_yyyyyzzz_xyyyyyyz_0, tg_yyyyyzzz_xyyyyyzz_0, tg_yyyyyzzz_xyyyyzzz_0, \
                                         tg_yyyyyzzz_xyyyzzzz_0, tg_yyyyyzzz_xyyzzzzz_0, tg_yyyyyzzz_xyzzzzzz_0, \
                                         tg_yyyyyzzz_xzzzzzzz_0, tg_yyyyyzzz_yyyyyyyy_0, tg_yyyyyzzz_yyyyyyyz_0, \
                                         tg_yyyyyzzz_yyyyyyzz_0, tg_yyyyyzzz_yyyyyzzz_0, tg_yyyyyzzz_yyyyzzzz_0, \
                                         tg_yyyyyzzz_yyyzzzzz_0, tg_yyyyyzzz_yyzzzzzz_0, tg_yyyyyzzz_yzzzzzzz_0, \
                                         tg_yyyyyzzz_zzzzzzzz_0, tg_yyyyzz_xxzzzzzz_0, tg_yyyyzz_xxzzzzzz_1, tg_yyyyzz_xyyyyyyy_0, \
                                         tg_yyyyzz_xyyyyyyy_1, tg_yyyyzz_xyyyyyyz_0, tg_yyyyzz_xyyyyyyz_1, tg_yyyyzz_xyyyyyzz_0, \
                                         tg_yyyyzz_xyyyyyzz_1, tg_yyyyzz_xyyyyzzz_0, tg_yyyyzz_xyyyyzzz_1, tg_yyyyzz_xyyyzzzz_0, \
                                         tg_yyyyzz_xyyyzzzz_1, tg_yyyyzz_xyyzzzzz_0, tg_yyyyzz_xyyzzzzz_1, tg_yyyyzz_xyzzzzzz_0, \
                                         tg_yyyyzz_xyzzzzzz_1, tg_yyyyzz_xzzzzzzz_0, tg_yyyyzz_xzzzzzzz_1, tg_yyyyzz_yyyyyyyy_0, \
                                         tg_yyyyzz_yyyyyyyy_1, tg_yyyyzz_yyyyyyyz_0, tg_yyyyzz_yyyyyyyz_1, tg_yyyyzz_yyyyyyzz_0, \
                                         tg_yyyyzz_yyyyyyzz_1, tg_yyyyzz_yyyyyzzz_0, tg_yyyyzz_yyyyyzzz_1, tg_yyyyzz_yyyyzzzz_0, \
                                         tg_yyyyzz_yyyyzzzz_1, tg_yyyyzz_yyyzzzzz_0, tg_yyyyzz_yyyzzzzz_1, tg_yyyyzz_yyzzzzzz_0, \
                                         tg_yyyyzz_yyzzzzzz_1, tg_yyyyzz_yzzzzzzz_0, tg_yyyyzz_yzzzzzzz_1, tg_yyyyzz_zzzzzzzz_0, \
                                         tg_yyyyzz_zzzzzzzz_1, tg_yyyyzzz_xxxxxxx_1, tg_yyyyzzz_xxxxxxxx_0, \
                                         tg_yyyyzzz_xxxxxxxx_1, tg_yyyyzzz_xxxxxxxy_0, tg_yyyyzzz_xxxxxxxy_1, \
                                         tg_yyyyzzz_xxxxxxxz_0, tg_yyyyzzz_xxxxxxxz_1, tg_yyyyzzz_xxxxxxy_1, \
                                         tg_yyyyzzz_xxxxxxyy_0, tg_yyyyzzz_xxxxxxyy_1, tg_yyyyzzz_xxxxxxyz_0, \
                                         tg_yyyyzzz_xxxxxxyz_1, tg_yyyyzzz_xxxxxxz_1, tg_yyyyzzz_xxxxxxzz_0, \
                                         tg_yyyyzzz_xxxxxxzz_1, tg_yyyyzzz_xxxxxyy_1, tg_yyyyzzz_xxxxxyyy_0, \
                                         tg_yyyyzzz_xxxxxyyy_1, tg_yyyyzzz_xxxxxyyz_0, tg_yyyyzzz_xxxxxyyz_1, \
                                         tg_yyyyzzz_xxxxxyz_1, tg_yyyyzzz_xxxxxyzz_0, tg_yyyyzzz_xxxxxyzz_1, \
                                         tg_yyyyzzz_xxxxxzz_1, tg_yyyyzzz_xxxxxzzz_0, tg_yyyyzzz_xxxxxzzz_1, \
                                         tg_yyyyzzz_xxxxyyy_1, tg_yyyyzzz_xxxxyyyy_0, tg_yyyyzzz_xxxxyyyy_1, \
                                         tg_yyyyzzz_xxxxyyyz_0, tg_yyyyzzz_xxxxyyyz_1, tg_yyyyzzz_xxxxyyz_1, \
                                         tg_yyyyzzz_xxxxyyzz_0, tg_yyyyzzz_xxxxyyzz_1, tg_yyyyzzz_xxxxyzz_1, \
                                         tg_yyyyzzz_xxxxyzzz_0, tg_yyyyzzz_xxxxyzzz_1, tg_yyyyzzz_xxxxzzz_1, \
                                         tg_yyyyzzz_xxxxzzzz_0, tg_yyyyzzz_xxxxzzzz_1, tg_yyyyzzz_xxxyyyy_1, \
                                         tg_yyyyzzz_xxxyyyyy_0, tg_yyyyzzz_xxxyyyyy_1, tg_yyyyzzz_xxxyyyyz_0, \
                                         tg_yyyyzzz_xxxyyyyz_1, tg_yyyyzzz_xxxyyyz_1, tg_yyyyzzz_xxxyyyzz_0, \
                                         tg_yyyyzzz_xxxyyyzz_1, tg_yyyyzzz_xxxyyzz_1, tg_yyyyzzz_xxxyyzzz_0, \
                                         tg_yyyyzzz_xxxyyzzz_1, tg_yyyyzzz_xxxyzzz_1, tg_yyyyzzz_xxxyzzzz_0, \
                                         tg_yyyyzzz_xxxyzzzz_1, tg_yyyyzzz_xxxzzzz_1, tg_yyyyzzz_xxxzzzzz_0, \
                                         tg_yyyyzzz_xxxzzzzz_1, tg_yyyyzzz_xxyyyyy_1, tg_yyyyzzz_xxyyyyyy_0, \
                                         tg_yyyyzzz_xxyyyyyy_1, tg_yyyyzzz_xxyyyyyz_0, tg_yyyyzzz_xxyyyyyz_1, \
                                         tg_yyyyzzz_xxyyyyz_1, tg_yyyyzzz_xxyyyyzz_0, tg_yyyyzzz_xxyyyyzz_1, \
                                         tg_yyyyzzz_xxyyyzz_1, tg_yyyyzzz_xxyyyzzz_0, tg_yyyyzzz_xxyyyzzz_1, \
                                         tg_yyyyzzz_xxyyzzz_1, tg_yyyyzzz_xxyyzzzz_0, tg_yyyyzzz_xxyyzzzz_1, \
                                         tg_yyyyzzz_xxyzzzz_1, tg_yyyyzzz_xxyzzzzz_0, tg_yyyyzzz_xxyzzzzz_1, \
                                         tg_yyyyzzz_xxzzzzz_1, tg_yyyyzzz_xxzzzzzz_0, tg_yyyyzzz_xxzzzzzz_1, \
                                         tg_yyyyzzz_xyyyyyy_1, tg_yyyyzzz_xyyyyyyy_0, tg_yyyyzzz_xyyyyyyy_1, \
                                         tg_yyyyzzz_xyyyyyyz_0, tg_yyyyzzz_xyyyyyyz_1, tg_yyyyzzz_xyyyyyz_1, \
                                         tg_yyyyzzz_xyyyyyzz_0, tg_yyyyzzz_xyyyyyzz_1, tg_yyyyzzz_xyyyyzz_1, \
                                         tg_yyyyzzz_xyyyyzzz_0, tg_yyyyzzz_xyyyyzzz_1, tg_yyyyzzz_xyyyzzz_1, \
                                         tg_yyyyzzz_xyyyzzzz_0, tg_yyyyzzz_xyyyzzzz_1, tg_yyyyzzz_xyyzzzz_1, \
                                         tg_yyyyzzz_xyyzzzzz_0, tg_yyyyzzz_xyyzzzzz_1, tg_yyyyzzz_xyzzzzz_1, \
                                         tg_yyyyzzz_xyzzzzzz_0, tg_yyyyzzz_xyzzzzzz_1, tg_yyyyzzz_xzzzzzz_1, \
                                         tg_yyyyzzz_xzzzzzzz_0, tg_yyyyzzz_xzzzzzzz_1, tg_yyyyzzz_yyyyyyy_1, \
                                         tg_yyyyzzz_yyyyyyyy_0, tg_yyyyzzz_yyyyyyyy_1, tg_yyyyzzz_yyyyyyyz_0, \
                                         tg_yyyyzzz_yyyyyyyz_1, tg_yyyyzzz_yyyyyyz_1, tg_yyyyzzz_yyyyyyzz_0, \
                                         tg_yyyyzzz_yyyyyyzz_1, tg_yyyyzzz_yyyyyzz_1, tg_yyyyzzz_yyyyyzzz_0, \
                                         tg_yyyyzzz_yyyyyzzz_1, tg_yyyyzzz_yyyyzzz_1, tg_yyyyzzz_yyyyzzzz_0, \
                                         tg_yyyyzzz_yyyyzzzz_1, tg_yyyyzzz_yyyzzzz_1, tg_yyyyzzz_yyyzzzzz_0, \
                                         tg_yyyyzzz_yyyzzzzz_1, tg_yyyyzzz_yyzzzzz_1, tg_yyyyzzz_yyzzzzzz_0, \
                                         tg_yyyyzzz_yyzzzzzz_1, tg_yyyyzzz_yzzzzzz_1, tg_yyyyzzz_yzzzzzzz_0, \
                                         tg_yyyyzzz_yzzzzzzz_1, tg_yyyyzzz_zzzzzzz_1, tg_yyyyzzz_zzzzzzzz_0, \
                                         tg_yyyyzzz_zzzzzzzz_1, tg_yyyyzzzz_xxxxxxxx_0, tg_yyyyzzzz_xxxxxxxy_0, \
                                         tg_yyyyzzzz_xxxxxxxz_0, tg_yyyyzzzz_xxxxxxyy_0, tg_yyyyzzzz_xxxxxxyz_0, \
                                         tg_yyyyzzzz_xxxxxxzz_0, tg_yyyyzzzz_xxxxxyyy_0, tg_yyyyzzzz_xxxxxyyz_0, \
                                         tg_yyyyzzzz_xxxxxyzz_0, tg_yyyyzzzz_xxxxxzzz_0, tg_yyyyzzzz_xxxxyyyy_0, \
                                         tg_yyyyzzzz_xxxxyyyz_0, tg_yyyyzzzz_xxxxyyzz_0, tg_yyyyzzzz_xxxxyzzz_0, \
                                         tg_yyyyzzzz_xxxxzzzz_0, tg_yyyyzzzz_xxxyyyyy_0, tg_yyyyzzzz_xxxyyyyz_0, \
                                         tg_yyyyzzzz_xxxyyyzz_0, tg_yyyyzzzz_xxxyyzzz_0, tg_yyyyzzzz_xxxyzzzz_0, \
                                         tg_yyyyzzzz_xxxzzzzz_0, tg_yyyyzzzz_xxyyyyyy_0, tg_yyyyzzzz_xxyyyyyz_0, \
                                         tg_yyyyzzzz_xxyyyyzz_0, tg_yyyyzzzz_xxyyyzzz_0, tg_yyyyzzzz_xxyyzzzz_0, \
                                         tg_yyyyzzzz_xxyzzzzz_0, tg_yyyyzzzz_xxzzzzzz_0, tg_yyyyzzzz_xyyyyyyy_0, \
                                         tg_yyyyzzzz_xyyyyyyz_0, tg_yyyyzzzz_xyyyyyzz_0, tg_yyyyzzzz_xyyyyzzz_0, \
                                         tg_yyyyzzzz_xyyyzzzz_0, tg_yyyzzz_xxxxxxxx_0, tg_yyyzzz_xxxxxxxx_1, tg_yyyzzz_xxxxxxxy_0, \
                                         tg_yyyzzz_xxxxxxxy_1, tg_yyyzzz_xxxxxxxz_0, tg_yyyzzz_xxxxxxxz_1, tg_yyyzzz_xxxxxxyy_0, \
                                         tg_yyyzzz_xxxxxxyy_1, tg_yyyzzz_xxxxxxyz_0, tg_yyyzzz_xxxxxxyz_1, tg_yyyzzz_xxxxxxzz_0, \
                                         tg_yyyzzz_xxxxxxzz_1, tg_yyyzzz_xxxxxyyy_0, tg_yyyzzz_xxxxxyyy_1, tg_yyyzzz_xxxxxyyz_0, \
                                         tg_yyyzzz_xxxxxyyz_1, tg_yyyzzz_xxxxxyzz_0, tg_yyyzzz_xxxxxyzz_1, tg_yyyzzz_xxxxxzzz_0, \
                                         tg_yyyzzz_xxxxxzzz_1, tg_yyyzzz_xxxxyyyy_0, tg_yyyzzz_xxxxyyyy_1, tg_yyyzzz_xxxxyyyz_0, \
                                         tg_yyyzzz_xxxxyyyz_1, tg_yyyzzz_xxxxyyzz_0, tg_yyyzzz_xxxxyyzz_1, tg_yyyzzz_xxxxyzzz_0, \
                                         tg_yyyzzz_xxxxyzzz_1, tg_yyyzzz_xxxxzzzz_0, tg_yyyzzz_xxxxzzzz_1, tg_yyyzzz_xxxyyyyy_0, \
                                         tg_yyyzzz_xxxyyyyy_1, tg_yyyzzz_xxxyyyyz_0, tg_yyyzzz_xxxyyyyz_1, tg_yyyzzz_xxxyyyzz_0, \
                                         tg_yyyzzz_xxxyyyzz_1, tg_yyyzzz_xxxyyzzz_0, tg_yyyzzz_xxxyyzzz_1, tg_yyyzzz_xxxyzzzz_0, \
                                         tg_yyyzzz_xxxyzzzz_1, tg_yyyzzz_xxxzzzzz_0, tg_yyyzzz_xxxzzzzz_1, tg_yyyzzz_xxyyyyyy_0, \
                                         tg_yyyzzz_xxyyyyyy_1, tg_yyyzzz_xxyyyyyz_0, tg_yyyzzz_xxyyyyyz_1, tg_yyyzzz_xxyyyyzz_0, \
                                         tg_yyyzzz_xxyyyyzz_1, tg_yyyzzz_xxyyyzzz_0, tg_yyyzzz_xxyyyzzz_1, tg_yyyzzz_xxyyzzzz_0, \
                                         tg_yyyzzz_xxyyzzzz_1, tg_yyyzzz_xxyzzzzz_0, tg_yyyzzz_xxyzzzzz_1, tg_yyyzzz_xxzzzzzz_0, \
                                         tg_yyyzzz_xxzzzzzz_1, tg_yyyzzz_xyyyyyyy_0, tg_yyyzzz_xyyyyyyy_1, tg_yyyzzz_xyyyyyyz_0, \
                                         tg_yyyzzz_xyyyyyyz_1, tg_yyyzzz_xyyyyyzz_0, tg_yyyzzz_xyyyyyzz_1, tg_yyyzzz_xyyyyzzz_0, \
                                         tg_yyyzzz_xyyyyzzz_1, tg_yyyzzz_xyyyzzzz_0, tg_yyyzzz_xyyyzzzz_1, tg_yyyzzz_xyyzzzzz_0, \
                                         tg_yyyzzz_xyyzzzzz_1, tg_yyyzzz_xyzzzzzz_0, tg_yyyzzz_xyzzzzzz_1, tg_yyyzzz_xzzzzzzz_0, \
                                         tg_yyyzzz_xzzzzzzz_1, tg_yyyzzz_yyyyyyyy_0, tg_yyyzzz_yyyyyyyy_1, tg_yyyzzz_yyyyyyyz_0, \
                                         tg_yyyzzz_yyyyyyyz_1, tg_yyyzzz_yyyyyyzz_0, tg_yyyzzz_yyyyyyzz_1, tg_yyyzzz_yyyyyzzz_0, \
                                         tg_yyyzzz_yyyyyzzz_1, tg_yyyzzz_yyyyzzzz_0, tg_yyyzzz_yyyyzzzz_1, tg_yyyzzz_yyyzzzzz_0, \
                                         tg_yyyzzz_yyyzzzzz_1, tg_yyyzzz_yyzzzzzz_0, tg_yyyzzz_yyzzzzzz_1, tg_yyyzzz_yzzzzzzz_0, \
                                         tg_yyyzzz_yzzzzzzz_1, tg_yyyzzz_zzzzzzzz_0, tg_yyyzzz_zzzzzzzz_1, tg_yyyzzzz_xxxxxxx_1, \
                                         tg_yyyzzzz_xxxxxxxx_0, tg_yyyzzzz_xxxxxxxx_1, tg_yyyzzzz_xxxxxxxy_0, \
                                         tg_yyyzzzz_xxxxxxxy_1, tg_yyyzzzz_xxxxxxxz_0, tg_yyyzzzz_xxxxxxxz_1, \
                                         tg_yyyzzzz_xxxxxxy_1, tg_yyyzzzz_xxxxxxyy_0, tg_yyyzzzz_xxxxxxyy_1, \
                                         tg_yyyzzzz_xxxxxxyz_0, tg_yyyzzzz_xxxxxxyz_1, tg_yyyzzzz_xxxxxxz_1, \
                                         tg_yyyzzzz_xxxxxxzz_0, tg_yyyzzzz_xxxxxxzz_1, tg_yyyzzzz_xxxxxyy_1, \
                                         tg_yyyzzzz_xxxxxyyy_0, tg_yyyzzzz_xxxxxyyy_1, tg_yyyzzzz_xxxxxyyz_0, \
                                         tg_yyyzzzz_xxxxxyyz_1, tg_yyyzzzz_xxxxxyz_1, tg_yyyzzzz_xxxxxyzz_0, \
                                         tg_yyyzzzz_xxxxxyzz_1, tg_yyyzzzz_xxxxxzz_1, tg_yyyzzzz_xxxxxzzz_0, \
                                         tg_yyyzzzz_xxxxxzzz_1, tg_yyyzzzz_xxxxyyy_1, tg_yyyzzzz_xxxxyyyy_0, \
                                         tg_yyyzzzz_xxxxyyyy_1, tg_yyyzzzz_xxxxyyyz_0, tg_yyyzzzz_xxxxyyyz_1, \
                                         tg_yyyzzzz_xxxxyyz_1, tg_yyyzzzz_xxxxyyzz_0, tg_yyyzzzz_xxxxyyzz_1, \
                                         tg_yyyzzzz_xxxxyzz_1, tg_yyyzzzz_xxxxyzzz_0, tg_yyyzzzz_xxxxyzzz_1, \
                                         tg_yyyzzzz_xxxxzzz_1, tg_yyyzzzz_xxxxzzzz_0, tg_yyyzzzz_xxxxzzzz_1, \
                                         tg_yyyzzzz_xxxyyyy_1, tg_yyyzzzz_xxxyyyyy_0, tg_yyyzzzz_xxxyyyyy_1, \
                                         tg_yyyzzzz_xxxyyyyz_0, tg_yyyzzzz_xxxyyyyz_1, tg_yyyzzzz_xxxyyyz_1, \
                                         tg_yyyzzzz_xxxyyyzz_0, tg_yyyzzzz_xxxyyyzz_1, tg_yyyzzzz_xxxyyzz_1, \
                                         tg_yyyzzzz_xxxyyzzz_0, tg_yyyzzzz_xxxyyzzz_1, tg_yyyzzzz_xxxyzzz_1, \
                                         tg_yyyzzzz_xxxyzzzz_0, tg_yyyzzzz_xxxyzzzz_1, tg_yyyzzzz_xxxzzzz_1, \
                                         tg_yyyzzzz_xxxzzzzz_0, tg_yyyzzzz_xxxzzzzz_1, tg_yyyzzzz_xxyyyyy_1, \
                                         tg_yyyzzzz_xxyyyyyy_0, tg_yyyzzzz_xxyyyyyy_1, tg_yyyzzzz_xxyyyyyz_0, \
                                         tg_yyyzzzz_xxyyyyyz_1, tg_yyyzzzz_xxyyyyz_1, tg_yyyzzzz_xxyyyyzz_0, \
                                         tg_yyyzzzz_xxyyyyzz_1, tg_yyyzzzz_xxyyyzz_1, tg_yyyzzzz_xxyyyzzz_0, \
                                         tg_yyyzzzz_xxyyyzzz_1, tg_yyyzzzz_xxyyzzz_1, tg_yyyzzzz_xxyyzzzz_0, \
                                         tg_yyyzzzz_xxyyzzzz_1, tg_yyyzzzz_xxyzzzz_1, tg_yyyzzzz_xxyzzzzz_0, \
                                         tg_yyyzzzz_xxyzzzzz_1, tg_yyyzzzz_xxzzzzz_1, tg_yyyzzzz_xxzzzzzz_0, \
                                         tg_yyyzzzz_xxzzzzzz_1, tg_yyyzzzz_xyyyyyy_1, tg_yyyzzzz_xyyyyyyy_0, \
                                         tg_yyyzzzz_xyyyyyyy_1, tg_yyyzzzz_xyyyyyyz_0, tg_yyyzzzz_xyyyyyyz_1, \
                                         tg_yyyzzzz_xyyyyyz_1, tg_yyyzzzz_xyyyyyzz_0, tg_yyyzzzz_xyyyyyzz_1, \
                                         tg_yyyzzzz_xyyyyzz_1, tg_yyyzzzz_xyyyyzzz_0, tg_yyyzzzz_xyyyyzzz_1, \
                                         tg_yyyzzzz_xyyyzzz_1, tg_yyyzzzz_xyyyzzzz_0, tg_yyyzzzz_xyyyzzzz_1, \
                                         tg_yyyzzzz_xyyzzzz_1, tg_yyzzzz_xxxxxxxx_0, tg_yyzzzz_xxxxxxxx_1, tg_yyzzzz_xxxxxxxy_0, \
                                         tg_yyzzzz_xxxxxxxy_1, tg_yyzzzz_xxxxxxxz_0, tg_yyzzzz_xxxxxxxz_1, tg_yyzzzz_xxxxxxyy_0, \
                                         tg_yyzzzz_xxxxxxyy_1, tg_yyzzzz_xxxxxxyz_0, tg_yyzzzz_xxxxxxyz_1, tg_yyzzzz_xxxxxxzz_0, \
                                         tg_yyzzzz_xxxxxxzz_1, tg_yyzzzz_xxxxxyyy_0, tg_yyzzzz_xxxxxyyy_1, tg_yyzzzz_xxxxxyyz_0, \
                                         tg_yyzzzz_xxxxxyyz_1, tg_yyzzzz_xxxxxyzz_0, tg_yyzzzz_xxxxxyzz_1, tg_yyzzzz_xxxxxzzz_0, \
                                         tg_yyzzzz_xxxxxzzz_1, tg_yyzzzz_xxxxyyyy_0, tg_yyzzzz_xxxxyyyy_1, tg_yyzzzz_xxxxyyyz_0, \
                                         tg_yyzzzz_xxxxyyyz_1, tg_yyzzzz_xxxxyyzz_0, tg_yyzzzz_xxxxyyzz_1, tg_yyzzzz_xxxxyzzz_0, \
                                         tg_yyzzzz_xxxxyzzz_1, tg_yyzzzz_xxxxzzzz_0, tg_yyzzzz_xxxxzzzz_1, tg_yyzzzz_xxxyyyyy_0, \
                                         tg_yyzzzz_xxxyyyyy_1, tg_yyzzzz_xxxyyyyz_0, tg_yyzzzz_xxxyyyyz_1, tg_yyzzzz_xxxyyyzz_0, \
                                         tg_yyzzzz_xxxyyyzz_1, tg_yyzzzz_xxxyyzzz_0, tg_yyzzzz_xxxyyzzz_1, tg_yyzzzz_xxxyzzzz_0, \
                                         tg_yyzzzz_xxxyzzzz_1, tg_yyzzzz_xxxzzzzz_0, tg_yyzzzz_xxxzzzzz_1, tg_yyzzzz_xxyyyyyy_0, \
                                         tg_yyzzzz_xxyyyyyy_1, tg_yyzzzz_xxyyyyyz_0, tg_yyzzzz_xxyyyyyz_1, tg_yyzzzz_xxyyyyzz_0, \
                                         tg_yyzzzz_xxyyyyzz_1, tg_yyzzzz_xxyyyzzz_0, tg_yyzzzz_xxyyyzzz_1, tg_yyzzzz_xxyyzzzz_0, \
                                         tg_yyzzzz_xxyyzzzz_1, tg_yyzzzz_xxyzzzzz_0, tg_yyzzzz_xxyzzzzz_1, tg_yyzzzz_xxzzzzzz_0, \
                                         tg_yyzzzz_xxzzzzzz_1, tg_yyzzzz_xyyyyyyy_0, tg_yyzzzz_xyyyyyyy_1, tg_yyzzzz_xyyyyyyz_0, \
                                         tg_yyzzzz_xyyyyyyz_1, tg_yyzzzz_xyyyyyzz_0, tg_yyzzzz_xyyyyyzz_1, tg_yyzzzz_xyyyyzzz_0, \
                                         tg_yyzzzz_xyyyyzzz_1, tg_yyzzzz_xyyyzzzz_0, tg_yyzzzz_xyyyzzzz_1, wp_y: VLX_ALIGN)
                for (int32_t j = 0; j < nKetPrimPairs; j++)
                {
                    double fl1_fx = fx;

                    double fl1_fxn = fxn[j];

                    double fl1_fza = fza[j];

                    double fr = wp_y[j]; 

                    tg_yyyyyyzz_xxzzzzzz_0[j] = pb_y * tg_yyyyyzz_xxzzzzzz_0[j] + fr * tg_yyyyyzz_xxzzzzzz_1[j] + 2.5 * fl1_fx * (tg_yyyyzz_xxzzzzzz_0[j] - tg_yyyyzz_xxzzzzzz_1[j] * fl1_fza);

                    tg_yyyyyyzz_xyyyyyyy_0[j] = pb_y * tg_yyyyyzz_xyyyyyyy_0[j] + fr * tg_yyyyyzz_xyyyyyyy_1[j] + 2.5 * fl1_fx * (tg_yyyyzz_xyyyyyyy_0[j] - tg_yyyyzz_xyyyyyyy_1[j] * fl1_fza) + 3.5 * fl1_fxn * tg_yyyyyzz_xyyyyyy_1[j];

                    tg_yyyyyyzz_xyyyyyyz_0[j] = pb_y * tg_yyyyyzz_xyyyyyyz_0[j] + fr * tg_yyyyyzz_xyyyyyyz_1[j] + 2.5 * fl1_fx * (tg_yyyyzz_xyyyyyyz_0[j] - tg_yyyyzz_xyyyyyyz_1[j] * fl1_fza) + 3.0 * fl1_fxn * tg_yyyyyzz_xyyyyyz_1[j];

                    tg_yyyyyyzz_xyyyyyzz_0[j] = pb_y * tg_yyyyyzz_xyyyyyzz_0[j] + fr * tg_yyyyyzz_xyyyyyzz_1[j] + 2.5 * fl1_fx * (tg_yyyyzz_xyyyyyzz_0[j] - tg_yyyyzz_xyyyyyzz_1[j] * fl1_fza) + 2.5 * fl1_fxn * tg_yyyyyzz_xyyyyzz_1[j];

                    tg_yyyyyyzz_xyyyyzzz_0[j] = pb_y * tg_yyyyyzz_xyyyyzzz_0[j] + fr * tg_yyyyyzz_xyyyyzzz_1[j] + 2.5 * fl1_fx * (tg_yyyyzz_xyyyyzzz_0[j] - tg_yyyyzz_xyyyyzzz_1[j] * fl1_fza) + 2.0 * fl1_fxn * tg_yyyyyzz_xyyyzzz_1[j];

                    tg_yyyyyyzz_xyyyzzzz_0[j] = pb_y * tg_yyyyyzz_xyyyzzzz_0[j] + fr * tg_yyyyyzz_xyyyzzzz_1[j] + 2.5 * fl1_fx * (tg_yyyyzz_xyyyzzzz_0[j] - tg_yyyyzz_xyyyzzzz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_yyyyyzz_xyyzzzz_1[j];

                    tg_yyyyyyzz_xyyzzzzz_0[j] = pb_y * tg_yyyyyzz_xyyzzzzz_0[j] + fr * tg_yyyyyzz_xyyzzzzz_1[j] + 2.5 * fl1_fx * (tg_yyyyzz_xyyzzzzz_0[j] - tg_yyyyzz_xyyzzzzz_1[j] * fl1_fza) + fl1_fxn * tg_yyyyyzz_xyzzzzz_1[j];

                    tg_yyyyyyzz_xyzzzzzz_0[j] = pb_y * tg_yyyyyzz_xyzzzzzz_0[j] + fr * tg_yyyyyzz_xyzzzzzz_1[j] + 2.5 * fl1_fx * (tg_yyyyzz_xyzzzzzz_0[j] - tg_yyyyzz_xyzzzzzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_yyyyyzz_xzzzzzz_1[j];

                    tg_yyyyyyzz_xzzzzzzz_0[j] = pb_y * tg_yyyyyzz_xzzzzzzz_0[j] + fr * tg_yyyyyzz_xzzzzzzz_1[j] + 2.5 * fl1_fx * (tg_yyyyzz_xzzzzzzz_0[j] - tg_yyyyzz_xzzzzzzz_1[j] * fl1_fza);

                    tg_yyyyyyzz_yyyyyyyy_0[j] = pb_y * tg_yyyyyzz_yyyyyyyy_0[j] + fr * tg_yyyyyzz_yyyyyyyy_1[j] + 2.5 * fl1_fx * (tg_yyyyzz_yyyyyyyy_0[j] - tg_yyyyzz_yyyyyyyy_1[j] * fl1_fza) + 4.0 * fl1_fxn * tg_yyyyyzz_yyyyyyy_1[j];

                    tg_yyyyyyzz_yyyyyyyz_0[j] = pb_y * tg_yyyyyzz_yyyyyyyz_0[j] + fr * tg_yyyyyzz_yyyyyyyz_1[j] + 2.5 * fl1_fx * (tg_yyyyzz_yyyyyyyz_0[j] - tg_yyyyzz_yyyyyyyz_1[j] * fl1_fza) + 3.5 * fl1_fxn * tg_yyyyyzz_yyyyyyz_1[j];

                    tg_yyyyyyzz_yyyyyyzz_0[j] = pb_y * tg_yyyyyzz_yyyyyyzz_0[j] + fr * tg_yyyyyzz_yyyyyyzz_1[j] + 2.5 * fl1_fx * (tg_yyyyzz_yyyyyyzz_0[j] - tg_yyyyzz_yyyyyyzz_1[j] * fl1_fza) + 3.0 * fl1_fxn * tg_yyyyyzz_yyyyyzz_1[j];

                    tg_yyyyyyzz_yyyyyzzz_0[j] = pb_y * tg_yyyyyzz_yyyyyzzz_0[j] + fr * tg_yyyyyzz_yyyyyzzz_1[j] + 2.5 * fl1_fx * (tg_yyyyzz_yyyyyzzz_0[j] - tg_yyyyzz_yyyyyzzz_1[j] * fl1_fza) + 2.5 * fl1_fxn * tg_yyyyyzz_yyyyzzz_1[j];

                    tg_yyyyyyzz_yyyyzzzz_0[j] = pb_y * tg_yyyyyzz_yyyyzzzz_0[j] + fr * tg_yyyyyzz_yyyyzzzz_1[j] + 2.5 * fl1_fx * (tg_yyyyzz_yyyyzzzz_0[j] - tg_yyyyzz_yyyyzzzz_1[j] * fl1_fza) + 2.0 * fl1_fxn * tg_yyyyyzz_yyyzzzz_1[j];

                    tg_yyyyyyzz_yyyzzzzz_0[j] = pb_y * tg_yyyyyzz_yyyzzzzz_0[j] + fr * tg_yyyyyzz_yyyzzzzz_1[j] + 2.5 * fl1_fx * (tg_yyyyzz_yyyzzzzz_0[j] - tg_yyyyzz_yyyzzzzz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_yyyyyzz_yyzzzzz_1[j];

                    tg_yyyyyyzz_yyzzzzzz_0[j] = pb_y * tg_yyyyyzz_yyzzzzzz_0[j] + fr * tg_yyyyyzz_yyzzzzzz_1[j] + 2.5 * fl1_fx * (tg_yyyyzz_yyzzzzzz_0[j] - tg_yyyyzz_yyzzzzzz_1[j] * fl1_fza) + fl1_fxn * tg_yyyyyzz_yzzzzzz_1[j];

                    tg_yyyyyyzz_yzzzzzzz_0[j] = pb_y * tg_yyyyyzz_yzzzzzzz_0[j] + fr * tg_yyyyyzz_yzzzzzzz_1[j] + 2.5 * fl1_fx * (tg_yyyyzz_yzzzzzzz_0[j] - tg_yyyyzz_yzzzzzzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_yyyyyzz_zzzzzzz_1[j];

                    tg_yyyyyyzz_zzzzzzzz_0[j] = pb_y * tg_yyyyyzz_zzzzzzzz_0[j] + fr * tg_yyyyyzz_zzzzzzzz_1[j] + 2.5 * fl1_fx * (tg_yyyyzz_zzzzzzzz_0[j] - tg_yyyyzz_zzzzzzzz_1[j] * fl1_fza);

                    tg_yyyyyzzz_xxxxxxxx_0[j] = pb_y * tg_yyyyzzz_xxxxxxxx_0[j] + fr * tg_yyyyzzz_xxxxxxxx_1[j] + 2.0 * fl1_fx * (tg_yyyzzz_xxxxxxxx_0[j] - tg_yyyzzz_xxxxxxxx_1[j] * fl1_fza);

                    tg_yyyyyzzz_xxxxxxxy_0[j] = pb_y * tg_yyyyzzz_xxxxxxxy_0[j] + fr * tg_yyyyzzz_xxxxxxxy_1[j] + 2.0 * fl1_fx * (tg_yyyzzz_xxxxxxxy_0[j] - tg_yyyzzz_xxxxxxxy_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_yyyyzzz_xxxxxxx_1[j];

                    tg_yyyyyzzz_xxxxxxxz_0[j] = pb_y * tg_yyyyzzz_xxxxxxxz_0[j] + fr * tg_yyyyzzz_xxxxxxxz_1[j] + 2.0 * fl1_fx * (tg_yyyzzz_xxxxxxxz_0[j] - tg_yyyzzz_xxxxxxxz_1[j] * fl1_fza);

                    tg_yyyyyzzz_xxxxxxyy_0[j] = pb_y * tg_yyyyzzz_xxxxxxyy_0[j] + fr * tg_yyyyzzz_xxxxxxyy_1[j] + 2.0 * fl1_fx * (tg_yyyzzz_xxxxxxyy_0[j] - tg_yyyzzz_xxxxxxyy_1[j] * fl1_fza) + fl1_fxn * tg_yyyyzzz_xxxxxxy_1[j];

                    tg_yyyyyzzz_xxxxxxyz_0[j] = pb_y * tg_yyyyzzz_xxxxxxyz_0[j] + fr * tg_yyyyzzz_xxxxxxyz_1[j] + 2.0 * fl1_fx * (tg_yyyzzz_xxxxxxyz_0[j] - tg_yyyzzz_xxxxxxyz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_yyyyzzz_xxxxxxz_1[j];

                    tg_yyyyyzzz_xxxxxxzz_0[j] = pb_y * tg_yyyyzzz_xxxxxxzz_0[j] + fr * tg_yyyyzzz_xxxxxxzz_1[j] + 2.0 * fl1_fx * (tg_yyyzzz_xxxxxxzz_0[j] - tg_yyyzzz_xxxxxxzz_1[j] * fl1_fza);

                    tg_yyyyyzzz_xxxxxyyy_0[j] = pb_y * tg_yyyyzzz_xxxxxyyy_0[j] + fr * tg_yyyyzzz_xxxxxyyy_1[j] + 2.0 * fl1_fx * (tg_yyyzzz_xxxxxyyy_0[j] - tg_yyyzzz_xxxxxyyy_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_yyyyzzz_xxxxxyy_1[j];

                    tg_yyyyyzzz_xxxxxyyz_0[j] = pb_y * tg_yyyyzzz_xxxxxyyz_0[j] + fr * tg_yyyyzzz_xxxxxyyz_1[j] + 2.0 * fl1_fx * (tg_yyyzzz_xxxxxyyz_0[j] - tg_yyyzzz_xxxxxyyz_1[j] * fl1_fza) + fl1_fxn * tg_yyyyzzz_xxxxxyz_1[j];

                    tg_yyyyyzzz_xxxxxyzz_0[j] = pb_y * tg_yyyyzzz_xxxxxyzz_0[j] + fr * tg_yyyyzzz_xxxxxyzz_1[j] + 2.0 * fl1_fx * (tg_yyyzzz_xxxxxyzz_0[j] - tg_yyyzzz_xxxxxyzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_yyyyzzz_xxxxxzz_1[j];

                    tg_yyyyyzzz_xxxxxzzz_0[j] = pb_y * tg_yyyyzzz_xxxxxzzz_0[j] + fr * tg_yyyyzzz_xxxxxzzz_1[j] + 2.0 * fl1_fx * (tg_yyyzzz_xxxxxzzz_0[j] - tg_yyyzzz_xxxxxzzz_1[j] * fl1_fza);

                    tg_yyyyyzzz_xxxxyyyy_0[j] = pb_y * tg_yyyyzzz_xxxxyyyy_0[j] + fr * tg_yyyyzzz_xxxxyyyy_1[j] + 2.0 * fl1_fx * (tg_yyyzzz_xxxxyyyy_0[j] - tg_yyyzzz_xxxxyyyy_1[j] * fl1_fza) + 2.0 * fl1_fxn * tg_yyyyzzz_xxxxyyy_1[j];

                    tg_yyyyyzzz_xxxxyyyz_0[j] = pb_y * tg_yyyyzzz_xxxxyyyz_0[j] + fr * tg_yyyyzzz_xxxxyyyz_1[j] + 2.0 * fl1_fx * (tg_yyyzzz_xxxxyyyz_0[j] - tg_yyyzzz_xxxxyyyz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_yyyyzzz_xxxxyyz_1[j];

                    tg_yyyyyzzz_xxxxyyzz_0[j] = pb_y * tg_yyyyzzz_xxxxyyzz_0[j] + fr * tg_yyyyzzz_xxxxyyzz_1[j] + 2.0 * fl1_fx * (tg_yyyzzz_xxxxyyzz_0[j] - tg_yyyzzz_xxxxyyzz_1[j] * fl1_fza) + fl1_fxn * tg_yyyyzzz_xxxxyzz_1[j];

                    tg_yyyyyzzz_xxxxyzzz_0[j] = pb_y * tg_yyyyzzz_xxxxyzzz_0[j] + fr * tg_yyyyzzz_xxxxyzzz_1[j] + 2.0 * fl1_fx * (tg_yyyzzz_xxxxyzzz_0[j] - tg_yyyzzz_xxxxyzzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_yyyyzzz_xxxxzzz_1[j];

                    tg_yyyyyzzz_xxxxzzzz_0[j] = pb_y * tg_yyyyzzz_xxxxzzzz_0[j] + fr * tg_yyyyzzz_xxxxzzzz_1[j] + 2.0 * fl1_fx * (tg_yyyzzz_xxxxzzzz_0[j] - tg_yyyzzz_xxxxzzzz_1[j] * fl1_fza);

                    tg_yyyyyzzz_xxxyyyyy_0[j] = pb_y * tg_yyyyzzz_xxxyyyyy_0[j] + fr * tg_yyyyzzz_xxxyyyyy_1[j] + 2.0 * fl1_fx * (tg_yyyzzz_xxxyyyyy_0[j] - tg_yyyzzz_xxxyyyyy_1[j] * fl1_fza) + 2.5 * fl1_fxn * tg_yyyyzzz_xxxyyyy_1[j];

                    tg_yyyyyzzz_xxxyyyyz_0[j] = pb_y * tg_yyyyzzz_xxxyyyyz_0[j] + fr * tg_yyyyzzz_xxxyyyyz_1[j] + 2.0 * fl1_fx * (tg_yyyzzz_xxxyyyyz_0[j] - tg_yyyzzz_xxxyyyyz_1[j] * fl1_fza) + 2.0 * fl1_fxn * tg_yyyyzzz_xxxyyyz_1[j];

                    tg_yyyyyzzz_xxxyyyzz_0[j] = pb_y * tg_yyyyzzz_xxxyyyzz_0[j] + fr * tg_yyyyzzz_xxxyyyzz_1[j] + 2.0 * fl1_fx * (tg_yyyzzz_xxxyyyzz_0[j] - tg_yyyzzz_xxxyyyzz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_yyyyzzz_xxxyyzz_1[j];

                    tg_yyyyyzzz_xxxyyzzz_0[j] = pb_y * tg_yyyyzzz_xxxyyzzz_0[j] + fr * tg_yyyyzzz_xxxyyzzz_1[j] + 2.0 * fl1_fx * (tg_yyyzzz_xxxyyzzz_0[j] - tg_yyyzzz_xxxyyzzz_1[j] * fl1_fza) + fl1_fxn * tg_yyyyzzz_xxxyzzz_1[j];

                    tg_yyyyyzzz_xxxyzzzz_0[j] = pb_y * tg_yyyyzzz_xxxyzzzz_0[j] + fr * tg_yyyyzzz_xxxyzzzz_1[j] + 2.0 * fl1_fx * (tg_yyyzzz_xxxyzzzz_0[j] - tg_yyyzzz_xxxyzzzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_yyyyzzz_xxxzzzz_1[j];

                    tg_yyyyyzzz_xxxzzzzz_0[j] = pb_y * tg_yyyyzzz_xxxzzzzz_0[j] + fr * tg_yyyyzzz_xxxzzzzz_1[j] + 2.0 * fl1_fx * (tg_yyyzzz_xxxzzzzz_0[j] - tg_yyyzzz_xxxzzzzz_1[j] * fl1_fza);

                    tg_yyyyyzzz_xxyyyyyy_0[j] = pb_y * tg_yyyyzzz_xxyyyyyy_0[j] + fr * tg_yyyyzzz_xxyyyyyy_1[j] + 2.0 * fl1_fx * (tg_yyyzzz_xxyyyyyy_0[j] - tg_yyyzzz_xxyyyyyy_1[j] * fl1_fza) + 3.0 * fl1_fxn * tg_yyyyzzz_xxyyyyy_1[j];

                    tg_yyyyyzzz_xxyyyyyz_0[j] = pb_y * tg_yyyyzzz_xxyyyyyz_0[j] + fr * tg_yyyyzzz_xxyyyyyz_1[j] + 2.0 * fl1_fx * (tg_yyyzzz_xxyyyyyz_0[j] - tg_yyyzzz_xxyyyyyz_1[j] * fl1_fza) + 2.5 * fl1_fxn * tg_yyyyzzz_xxyyyyz_1[j];

                    tg_yyyyyzzz_xxyyyyzz_0[j] = pb_y * tg_yyyyzzz_xxyyyyzz_0[j] + fr * tg_yyyyzzz_xxyyyyzz_1[j] + 2.0 * fl1_fx * (tg_yyyzzz_xxyyyyzz_0[j] - tg_yyyzzz_xxyyyyzz_1[j] * fl1_fza) + 2.0 * fl1_fxn * tg_yyyyzzz_xxyyyzz_1[j];

                    tg_yyyyyzzz_xxyyyzzz_0[j] = pb_y * tg_yyyyzzz_xxyyyzzz_0[j] + fr * tg_yyyyzzz_xxyyyzzz_1[j] + 2.0 * fl1_fx * (tg_yyyzzz_xxyyyzzz_0[j] - tg_yyyzzz_xxyyyzzz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_yyyyzzz_xxyyzzz_1[j];

                    tg_yyyyyzzz_xxyyzzzz_0[j] = pb_y * tg_yyyyzzz_xxyyzzzz_0[j] + fr * tg_yyyyzzz_xxyyzzzz_1[j] + 2.0 * fl1_fx * (tg_yyyzzz_xxyyzzzz_0[j] - tg_yyyzzz_xxyyzzzz_1[j] * fl1_fza) + fl1_fxn * tg_yyyyzzz_xxyzzzz_1[j];

                    tg_yyyyyzzz_xxyzzzzz_0[j] = pb_y * tg_yyyyzzz_xxyzzzzz_0[j] + fr * tg_yyyyzzz_xxyzzzzz_1[j] + 2.0 * fl1_fx * (tg_yyyzzz_xxyzzzzz_0[j] - tg_yyyzzz_xxyzzzzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_yyyyzzz_xxzzzzz_1[j];

                    tg_yyyyyzzz_xxzzzzzz_0[j] = pb_y * tg_yyyyzzz_xxzzzzzz_0[j] + fr * tg_yyyyzzz_xxzzzzzz_1[j] + 2.0 * fl1_fx * (tg_yyyzzz_xxzzzzzz_0[j] - tg_yyyzzz_xxzzzzzz_1[j] * fl1_fza);

                    tg_yyyyyzzz_xyyyyyyy_0[j] = pb_y * tg_yyyyzzz_xyyyyyyy_0[j] + fr * tg_yyyyzzz_xyyyyyyy_1[j] + 2.0 * fl1_fx * (tg_yyyzzz_xyyyyyyy_0[j] - tg_yyyzzz_xyyyyyyy_1[j] * fl1_fza) + 3.5 * fl1_fxn * tg_yyyyzzz_xyyyyyy_1[j];

                    tg_yyyyyzzz_xyyyyyyz_0[j] = pb_y * tg_yyyyzzz_xyyyyyyz_0[j] + fr * tg_yyyyzzz_xyyyyyyz_1[j] + 2.0 * fl1_fx * (tg_yyyzzz_xyyyyyyz_0[j] - tg_yyyzzz_xyyyyyyz_1[j] * fl1_fza) + 3.0 * fl1_fxn * tg_yyyyzzz_xyyyyyz_1[j];

                    tg_yyyyyzzz_xyyyyyzz_0[j] = pb_y * tg_yyyyzzz_xyyyyyzz_0[j] + fr * tg_yyyyzzz_xyyyyyzz_1[j] + 2.0 * fl1_fx * (tg_yyyzzz_xyyyyyzz_0[j] - tg_yyyzzz_xyyyyyzz_1[j] * fl1_fza) + 2.5 * fl1_fxn * tg_yyyyzzz_xyyyyzz_1[j];

                    tg_yyyyyzzz_xyyyyzzz_0[j] = pb_y * tg_yyyyzzz_xyyyyzzz_0[j] + fr * tg_yyyyzzz_xyyyyzzz_1[j] + 2.0 * fl1_fx * (tg_yyyzzz_xyyyyzzz_0[j] - tg_yyyzzz_xyyyyzzz_1[j] * fl1_fza) + 2.0 * fl1_fxn * tg_yyyyzzz_xyyyzzz_1[j];

                    tg_yyyyyzzz_xyyyzzzz_0[j] = pb_y * tg_yyyyzzz_xyyyzzzz_0[j] + fr * tg_yyyyzzz_xyyyzzzz_1[j] + 2.0 * fl1_fx * (tg_yyyzzz_xyyyzzzz_0[j] - tg_yyyzzz_xyyyzzzz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_yyyyzzz_xyyzzzz_1[j];

                    tg_yyyyyzzz_xyyzzzzz_0[j] = pb_y * tg_yyyyzzz_xyyzzzzz_0[j] + fr * tg_yyyyzzz_xyyzzzzz_1[j] + 2.0 * fl1_fx * (tg_yyyzzz_xyyzzzzz_0[j] - tg_yyyzzz_xyyzzzzz_1[j] * fl1_fza) + fl1_fxn * tg_yyyyzzz_xyzzzzz_1[j];

                    tg_yyyyyzzz_xyzzzzzz_0[j] = pb_y * tg_yyyyzzz_xyzzzzzz_0[j] + fr * tg_yyyyzzz_xyzzzzzz_1[j] + 2.0 * fl1_fx * (tg_yyyzzz_xyzzzzzz_0[j] - tg_yyyzzz_xyzzzzzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_yyyyzzz_xzzzzzz_1[j];

                    tg_yyyyyzzz_xzzzzzzz_0[j] = pb_y * tg_yyyyzzz_xzzzzzzz_0[j] + fr * tg_yyyyzzz_xzzzzzzz_1[j] + 2.0 * fl1_fx * (tg_yyyzzz_xzzzzzzz_0[j] - tg_yyyzzz_xzzzzzzz_1[j] * fl1_fza);

                    tg_yyyyyzzz_yyyyyyyy_0[j] = pb_y * tg_yyyyzzz_yyyyyyyy_0[j] + fr * tg_yyyyzzz_yyyyyyyy_1[j] + 2.0 * fl1_fx * (tg_yyyzzz_yyyyyyyy_0[j] - tg_yyyzzz_yyyyyyyy_1[j] * fl1_fza) + 4.0 * fl1_fxn * tg_yyyyzzz_yyyyyyy_1[j];

                    tg_yyyyyzzz_yyyyyyyz_0[j] = pb_y * tg_yyyyzzz_yyyyyyyz_0[j] + fr * tg_yyyyzzz_yyyyyyyz_1[j] + 2.0 * fl1_fx * (tg_yyyzzz_yyyyyyyz_0[j] - tg_yyyzzz_yyyyyyyz_1[j] * fl1_fza) + 3.5 * fl1_fxn * tg_yyyyzzz_yyyyyyz_1[j];

                    tg_yyyyyzzz_yyyyyyzz_0[j] = pb_y * tg_yyyyzzz_yyyyyyzz_0[j] + fr * tg_yyyyzzz_yyyyyyzz_1[j] + 2.0 * fl1_fx * (tg_yyyzzz_yyyyyyzz_0[j] - tg_yyyzzz_yyyyyyzz_1[j] * fl1_fza) + 3.0 * fl1_fxn * tg_yyyyzzz_yyyyyzz_1[j];

                    tg_yyyyyzzz_yyyyyzzz_0[j] = pb_y * tg_yyyyzzz_yyyyyzzz_0[j] + fr * tg_yyyyzzz_yyyyyzzz_1[j] + 2.0 * fl1_fx * (tg_yyyzzz_yyyyyzzz_0[j] - tg_yyyzzz_yyyyyzzz_1[j] * fl1_fza) + 2.5 * fl1_fxn * tg_yyyyzzz_yyyyzzz_1[j];

                    tg_yyyyyzzz_yyyyzzzz_0[j] = pb_y * tg_yyyyzzz_yyyyzzzz_0[j] + fr * tg_yyyyzzz_yyyyzzzz_1[j] + 2.0 * fl1_fx * (tg_yyyzzz_yyyyzzzz_0[j] - tg_yyyzzz_yyyyzzzz_1[j] * fl1_fza) + 2.0 * fl1_fxn * tg_yyyyzzz_yyyzzzz_1[j];

                    tg_yyyyyzzz_yyyzzzzz_0[j] = pb_y * tg_yyyyzzz_yyyzzzzz_0[j] + fr * tg_yyyyzzz_yyyzzzzz_1[j] + 2.0 * fl1_fx * (tg_yyyzzz_yyyzzzzz_0[j] - tg_yyyzzz_yyyzzzzz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_yyyyzzz_yyzzzzz_1[j];

                    tg_yyyyyzzz_yyzzzzzz_0[j] = pb_y * tg_yyyyzzz_yyzzzzzz_0[j] + fr * tg_yyyyzzz_yyzzzzzz_1[j] + 2.0 * fl1_fx * (tg_yyyzzz_yyzzzzzz_0[j] - tg_yyyzzz_yyzzzzzz_1[j] * fl1_fza) + fl1_fxn * tg_yyyyzzz_yzzzzzz_1[j];

                    tg_yyyyyzzz_yzzzzzzz_0[j] = pb_y * tg_yyyyzzz_yzzzzzzz_0[j] + fr * tg_yyyyzzz_yzzzzzzz_1[j] + 2.0 * fl1_fx * (tg_yyyzzz_yzzzzzzz_0[j] - tg_yyyzzz_yzzzzzzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_yyyyzzz_zzzzzzz_1[j];

                    tg_yyyyyzzz_zzzzzzzz_0[j] = pb_y * tg_yyyyzzz_zzzzzzzz_0[j] + fr * tg_yyyyzzz_zzzzzzzz_1[j] + 2.0 * fl1_fx * (tg_yyyzzz_zzzzzzzz_0[j] - tg_yyyzzz_zzzzzzzz_1[j] * fl1_fza);

                    tg_yyyyzzzz_xxxxxxxx_0[j] = pb_y * tg_yyyzzzz_xxxxxxxx_0[j] + fr * tg_yyyzzzz_xxxxxxxx_1[j] + 1.5 * fl1_fx * (tg_yyzzzz_xxxxxxxx_0[j] - tg_yyzzzz_xxxxxxxx_1[j] * fl1_fza);

                    tg_yyyyzzzz_xxxxxxxy_0[j] = pb_y * tg_yyyzzzz_xxxxxxxy_0[j] + fr * tg_yyyzzzz_xxxxxxxy_1[j] + 1.5 * fl1_fx * (tg_yyzzzz_xxxxxxxy_0[j] - tg_yyzzzz_xxxxxxxy_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_yyyzzzz_xxxxxxx_1[j];

                    tg_yyyyzzzz_xxxxxxxz_0[j] = pb_y * tg_yyyzzzz_xxxxxxxz_0[j] + fr * tg_yyyzzzz_xxxxxxxz_1[j] + 1.5 * fl1_fx * (tg_yyzzzz_xxxxxxxz_0[j] - tg_yyzzzz_xxxxxxxz_1[j] * fl1_fza);

                    tg_yyyyzzzz_xxxxxxyy_0[j] = pb_y * tg_yyyzzzz_xxxxxxyy_0[j] + fr * tg_yyyzzzz_xxxxxxyy_1[j] + 1.5 * fl1_fx * (tg_yyzzzz_xxxxxxyy_0[j] - tg_yyzzzz_xxxxxxyy_1[j] * fl1_fza) + fl1_fxn * tg_yyyzzzz_xxxxxxy_1[j];

                    tg_yyyyzzzz_xxxxxxyz_0[j] = pb_y * tg_yyyzzzz_xxxxxxyz_0[j] + fr * tg_yyyzzzz_xxxxxxyz_1[j] + 1.5 * fl1_fx * (tg_yyzzzz_xxxxxxyz_0[j] - tg_yyzzzz_xxxxxxyz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_yyyzzzz_xxxxxxz_1[j];

                    tg_yyyyzzzz_xxxxxxzz_0[j] = pb_y * tg_yyyzzzz_xxxxxxzz_0[j] + fr * tg_yyyzzzz_xxxxxxzz_1[j] + 1.5 * fl1_fx * (tg_yyzzzz_xxxxxxzz_0[j] - tg_yyzzzz_xxxxxxzz_1[j] * fl1_fza);

                    tg_yyyyzzzz_xxxxxyyy_0[j] = pb_y * tg_yyyzzzz_xxxxxyyy_0[j] + fr * tg_yyyzzzz_xxxxxyyy_1[j] + 1.5 * fl1_fx * (tg_yyzzzz_xxxxxyyy_0[j] - tg_yyzzzz_xxxxxyyy_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_yyyzzzz_xxxxxyy_1[j];

                    tg_yyyyzzzz_xxxxxyyz_0[j] = pb_y * tg_yyyzzzz_xxxxxyyz_0[j] + fr * tg_yyyzzzz_xxxxxyyz_1[j] + 1.5 * fl1_fx * (tg_yyzzzz_xxxxxyyz_0[j] - tg_yyzzzz_xxxxxyyz_1[j] * fl1_fza) + fl1_fxn * tg_yyyzzzz_xxxxxyz_1[j];

                    tg_yyyyzzzz_xxxxxyzz_0[j] = pb_y * tg_yyyzzzz_xxxxxyzz_0[j] + fr * tg_yyyzzzz_xxxxxyzz_1[j] + 1.5 * fl1_fx * (tg_yyzzzz_xxxxxyzz_0[j] - tg_yyzzzz_xxxxxyzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_yyyzzzz_xxxxxzz_1[j];

                    tg_yyyyzzzz_xxxxxzzz_0[j] = pb_y * tg_yyyzzzz_xxxxxzzz_0[j] + fr * tg_yyyzzzz_xxxxxzzz_1[j] + 1.5 * fl1_fx * (tg_yyzzzz_xxxxxzzz_0[j] - tg_yyzzzz_xxxxxzzz_1[j] * fl1_fza);

                    tg_yyyyzzzz_xxxxyyyy_0[j] = pb_y * tg_yyyzzzz_xxxxyyyy_0[j] + fr * tg_yyyzzzz_xxxxyyyy_1[j] + 1.5 * fl1_fx * (tg_yyzzzz_xxxxyyyy_0[j] - tg_yyzzzz_xxxxyyyy_1[j] * fl1_fza) + 2.0 * fl1_fxn * tg_yyyzzzz_xxxxyyy_1[j];

                    tg_yyyyzzzz_xxxxyyyz_0[j] = pb_y * tg_yyyzzzz_xxxxyyyz_0[j] + fr * tg_yyyzzzz_xxxxyyyz_1[j] + 1.5 * fl1_fx * (tg_yyzzzz_xxxxyyyz_0[j] - tg_yyzzzz_xxxxyyyz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_yyyzzzz_xxxxyyz_1[j];

                    tg_yyyyzzzz_xxxxyyzz_0[j] = pb_y * tg_yyyzzzz_xxxxyyzz_0[j] + fr * tg_yyyzzzz_xxxxyyzz_1[j] + 1.5 * fl1_fx * (tg_yyzzzz_xxxxyyzz_0[j] - tg_yyzzzz_xxxxyyzz_1[j] * fl1_fza) + fl1_fxn * tg_yyyzzzz_xxxxyzz_1[j];

                    tg_yyyyzzzz_xxxxyzzz_0[j] = pb_y * tg_yyyzzzz_xxxxyzzz_0[j] + fr * tg_yyyzzzz_xxxxyzzz_1[j] + 1.5 * fl1_fx * (tg_yyzzzz_xxxxyzzz_0[j] - tg_yyzzzz_xxxxyzzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_yyyzzzz_xxxxzzz_1[j];

                    tg_yyyyzzzz_xxxxzzzz_0[j] = pb_y * tg_yyyzzzz_xxxxzzzz_0[j] + fr * tg_yyyzzzz_xxxxzzzz_1[j] + 1.5 * fl1_fx * (tg_yyzzzz_xxxxzzzz_0[j] - tg_yyzzzz_xxxxzzzz_1[j] * fl1_fza);

                    tg_yyyyzzzz_xxxyyyyy_0[j] = pb_y * tg_yyyzzzz_xxxyyyyy_0[j] + fr * tg_yyyzzzz_xxxyyyyy_1[j] + 1.5 * fl1_fx * (tg_yyzzzz_xxxyyyyy_0[j] - tg_yyzzzz_xxxyyyyy_1[j] * fl1_fza) + 2.5 * fl1_fxn * tg_yyyzzzz_xxxyyyy_1[j];

                    tg_yyyyzzzz_xxxyyyyz_0[j] = pb_y * tg_yyyzzzz_xxxyyyyz_0[j] + fr * tg_yyyzzzz_xxxyyyyz_1[j] + 1.5 * fl1_fx * (tg_yyzzzz_xxxyyyyz_0[j] - tg_yyzzzz_xxxyyyyz_1[j] * fl1_fza) + 2.0 * fl1_fxn * tg_yyyzzzz_xxxyyyz_1[j];

                    tg_yyyyzzzz_xxxyyyzz_0[j] = pb_y * tg_yyyzzzz_xxxyyyzz_0[j] + fr * tg_yyyzzzz_xxxyyyzz_1[j] + 1.5 * fl1_fx * (tg_yyzzzz_xxxyyyzz_0[j] - tg_yyzzzz_xxxyyyzz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_yyyzzzz_xxxyyzz_1[j];

                    tg_yyyyzzzz_xxxyyzzz_0[j] = pb_y * tg_yyyzzzz_xxxyyzzz_0[j] + fr * tg_yyyzzzz_xxxyyzzz_1[j] + 1.5 * fl1_fx * (tg_yyzzzz_xxxyyzzz_0[j] - tg_yyzzzz_xxxyyzzz_1[j] * fl1_fza) + fl1_fxn * tg_yyyzzzz_xxxyzzz_1[j];

                    tg_yyyyzzzz_xxxyzzzz_0[j] = pb_y * tg_yyyzzzz_xxxyzzzz_0[j] + fr * tg_yyyzzzz_xxxyzzzz_1[j] + 1.5 * fl1_fx * (tg_yyzzzz_xxxyzzzz_0[j] - tg_yyzzzz_xxxyzzzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_yyyzzzz_xxxzzzz_1[j];

                    tg_yyyyzzzz_xxxzzzzz_0[j] = pb_y * tg_yyyzzzz_xxxzzzzz_0[j] + fr * tg_yyyzzzz_xxxzzzzz_1[j] + 1.5 * fl1_fx * (tg_yyzzzz_xxxzzzzz_0[j] - tg_yyzzzz_xxxzzzzz_1[j] * fl1_fza);

                    tg_yyyyzzzz_xxyyyyyy_0[j] = pb_y * tg_yyyzzzz_xxyyyyyy_0[j] + fr * tg_yyyzzzz_xxyyyyyy_1[j] + 1.5 * fl1_fx * (tg_yyzzzz_xxyyyyyy_0[j] - tg_yyzzzz_xxyyyyyy_1[j] * fl1_fza) + 3.0 * fl1_fxn * tg_yyyzzzz_xxyyyyy_1[j];

                    tg_yyyyzzzz_xxyyyyyz_0[j] = pb_y * tg_yyyzzzz_xxyyyyyz_0[j] + fr * tg_yyyzzzz_xxyyyyyz_1[j] + 1.5 * fl1_fx * (tg_yyzzzz_xxyyyyyz_0[j] - tg_yyzzzz_xxyyyyyz_1[j] * fl1_fza) + 2.5 * fl1_fxn * tg_yyyzzzz_xxyyyyz_1[j];

                    tg_yyyyzzzz_xxyyyyzz_0[j] = pb_y * tg_yyyzzzz_xxyyyyzz_0[j] + fr * tg_yyyzzzz_xxyyyyzz_1[j] + 1.5 * fl1_fx * (tg_yyzzzz_xxyyyyzz_0[j] - tg_yyzzzz_xxyyyyzz_1[j] * fl1_fza) + 2.0 * fl1_fxn * tg_yyyzzzz_xxyyyzz_1[j];

                    tg_yyyyzzzz_xxyyyzzz_0[j] = pb_y * tg_yyyzzzz_xxyyyzzz_0[j] + fr * tg_yyyzzzz_xxyyyzzz_1[j] + 1.5 * fl1_fx * (tg_yyzzzz_xxyyyzzz_0[j] - tg_yyzzzz_xxyyyzzz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_yyyzzzz_xxyyzzz_1[j];

                    tg_yyyyzzzz_xxyyzzzz_0[j] = pb_y * tg_yyyzzzz_xxyyzzzz_0[j] + fr * tg_yyyzzzz_xxyyzzzz_1[j] + 1.5 * fl1_fx * (tg_yyzzzz_xxyyzzzz_0[j] - tg_yyzzzz_xxyyzzzz_1[j] * fl1_fza) + fl1_fxn * tg_yyyzzzz_xxyzzzz_1[j];

                    tg_yyyyzzzz_xxyzzzzz_0[j] = pb_y * tg_yyyzzzz_xxyzzzzz_0[j] + fr * tg_yyyzzzz_xxyzzzzz_1[j] + 1.5 * fl1_fx * (tg_yyzzzz_xxyzzzzz_0[j] - tg_yyzzzz_xxyzzzzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_yyyzzzz_xxzzzzz_1[j];

                    tg_yyyyzzzz_xxzzzzzz_0[j] = pb_y * tg_yyyzzzz_xxzzzzzz_0[j] + fr * tg_yyyzzzz_xxzzzzzz_1[j] + 1.5 * fl1_fx * (tg_yyzzzz_xxzzzzzz_0[j] - tg_yyzzzz_xxzzzzzz_1[j] * fl1_fza);

                    tg_yyyyzzzz_xyyyyyyy_0[j] = pb_y * tg_yyyzzzz_xyyyyyyy_0[j] + fr * tg_yyyzzzz_xyyyyyyy_1[j] + 1.5 * fl1_fx * (tg_yyzzzz_xyyyyyyy_0[j] - tg_yyzzzz_xyyyyyyy_1[j] * fl1_fza) + 3.5 * fl1_fxn * tg_yyyzzzz_xyyyyyy_1[j];

                    tg_yyyyzzzz_xyyyyyyz_0[j] = pb_y * tg_yyyzzzz_xyyyyyyz_0[j] + fr * tg_yyyzzzz_xyyyyyyz_1[j] + 1.5 * fl1_fx * (tg_yyzzzz_xyyyyyyz_0[j] - tg_yyzzzz_xyyyyyyz_1[j] * fl1_fza) + 3.0 * fl1_fxn * tg_yyyzzzz_xyyyyyz_1[j];

                    tg_yyyyzzzz_xyyyyyzz_0[j] = pb_y * tg_yyyzzzz_xyyyyyzz_0[j] + fr * tg_yyyzzzz_xyyyyyzz_1[j] + 1.5 * fl1_fx * (tg_yyzzzz_xyyyyyzz_0[j] - tg_yyzzzz_xyyyyyzz_1[j] * fl1_fza) + 2.5 * fl1_fxn * tg_yyyzzzz_xyyyyzz_1[j];

                    tg_yyyyzzzz_xyyyyzzz_0[j] = pb_y * tg_yyyzzzz_xyyyyzzz_0[j] + fr * tg_yyyzzzz_xyyyyzzz_1[j] + 1.5 * fl1_fx * (tg_yyzzzz_xyyyyzzz_0[j] - tg_yyzzzz_xyyyyzzz_1[j] * fl1_fza) + 2.0 * fl1_fxn * tg_yyyzzzz_xyyyzzz_1[j];

                    tg_yyyyzzzz_xyyyzzzz_0[j] = pb_y * tg_yyyzzzz_xyyyzzzz_0[j] + fr * tg_yyyzzzz_xyyyzzzz_1[j] + 1.5 * fl1_fx * (tg_yyzzzz_xyyyzzzz_0[j] - tg_yyzzzz_xyyyzzzz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_yyyzzzz_xyyzzzz_1[j];
                }

                idx++;
            }
        }
    }

    void
    compElectronRepulsionForSLSL_1833_1929(      CMemBlock2D<double>* primBuffer,
                                           const CRecursionMap&       recursionMap,
                                           const CMemBlock2D<double>& osFactors,
                                           const CMemBlock2D<double>& wpDistances,
                                           const CGtoPairsBlock&      braGtoPairsBlock,
                                           const CGtoPairsBlock&      ketGtoPairsBlock,
                                           const int32_t              nKetPrimPairs,
                                           const int32_t              iContrPair)
    {
        // Batch of Integrals (1833,1929)

        // set up pointers to primitives data on bra side

        auto spos = braGtoPairsBlock.getStartPositions();

        auto epos = braGtoPairsBlock.getEndPositions();

        // set up pointers to tensor of distance R(PB) = P - B

        auto r_pb_y = braGtoPairsBlock.getDistancesPBY();

        // set up pointers to common Obara-Saika factors

        auto b_fx = braGtoPairsBlock.getFactorsOneOverXi();

        // set up maximum order of integral

        auto mord = recursionMap.getMaxOrder({"Electron Repulsion"},
                                             {8, -1, -1, -1},
                                             {8, -1, -1, -1},
                                             1, 1);

        for (int32_t iord = 0; iord <= mord; iord++)
        {
            // set up index of integral

            auto pidx_g_8_8_m0 = recursionMap.index(CRecursionTerm({"Electron Repulsion"}, 0, true, 
                                                                   {8, -1, -1, -1}, {8, -1, -1, -1}, 
                                                                   1, 1, iord));

            // check if integral is needed in recursion expansion

            if (pidx_g_8_8_m0 == -1) continue;

            // set up indexes of auxilary integral

            auto pidx_g_7_8_m0 = recursionMap.index(CRecursionTerm({"Electron Repulsion"}, 0, true, 
                                                                   {7, -1, -1, -1}, {8, -1, -1, -1}, 
                                                                   1, 1, iord));

            auto pidx_g_7_8_m1 = recursionMap.index(CRecursionTerm({"Electron Repulsion"}, 0, true, 
                                                                   {7, -1, -1, -1}, {8, -1, -1, -1}, 
                                                                   1, 1, iord + 1));

            auto pidx_g_6_8_m0 = recursionMap.index(CRecursionTerm({"Electron Repulsion"}, 0, true, 
                                                                   {6, -1, -1, -1}, {8, -1, -1, -1}, 
                                                                   1, 1, iord));

            auto pidx_g_6_8_m1 = recursionMap.index(CRecursionTerm({"Electron Repulsion"}, 0, true, 
                                                                   {6, -1, -1, -1}, {8, -1, -1, -1}, 
                                                                   1, 1, iord + 1));

            auto pidx_g_7_7_m1 = recursionMap.index(CRecursionTerm({"Electron Repulsion"}, 0, true, 
                                                                   {7, -1, -1, -1}, {7, -1, -1, -1}, 
                                                                   1, 1, iord + 1));

            // loop over contracted GTO on bra side

            int32_t idx = 0;

            for (int32_t i = spos[iContrPair]; i < epos[iContrPair]; i++)
            {
                // set up pointers to Obara-Saika factors

                double fx = b_fx[i];

                auto fza = osFactors.data(4 * idx + 2);

                auto fxn = osFactors.data(4 * idx);

                // set up distances R(PB) = P - B

                auto pb_y = r_pb_y[i];

                // set up pointers to tensors product of distances R(WP) = W - P

                auto wp_y = wpDistances.data(3 * idx + 1);

                // set up pointers to auxilary integrals

                auto tg_yyyzzzz_xyyzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1473); 

                auto tg_yyyzzzz_xyzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1474); 

                auto tg_yyyzzzz_xzzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1475); 

                auto tg_yyyzzzz_yyyyyyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1476); 

                auto tg_yyyzzzz_yyyyyyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1477); 

                auto tg_yyyzzzz_yyyyyyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1478); 

                auto tg_yyyzzzz_yyyyyzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1479); 

                auto tg_yyyzzzz_yyyyzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1480); 

                auto tg_yyyzzzz_yyyzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1481); 

                auto tg_yyyzzzz_yyzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1482); 

                auto tg_yyyzzzz_yzzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1483); 

                auto tg_yyyzzzz_zzzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1484); 

                auto tg_yyzzzzz_xxxxxxxx_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1485); 

                auto tg_yyzzzzz_xxxxxxxy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1486); 

                auto tg_yyzzzzz_xxxxxxxz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1487); 

                auto tg_yyzzzzz_xxxxxxyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1488); 

                auto tg_yyzzzzz_xxxxxxyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1489); 

                auto tg_yyzzzzz_xxxxxxzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1490); 

                auto tg_yyzzzzz_xxxxxyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1491); 

                auto tg_yyzzzzz_xxxxxyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1492); 

                auto tg_yyzzzzz_xxxxxyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1493); 

                auto tg_yyzzzzz_xxxxxzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1494); 

                auto tg_yyzzzzz_xxxxyyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1495); 

                auto tg_yyzzzzz_xxxxyyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1496); 

                auto tg_yyzzzzz_xxxxyyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1497); 

                auto tg_yyzzzzz_xxxxyzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1498); 

                auto tg_yyzzzzz_xxxxzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1499); 

                auto tg_yyzzzzz_xxxyyyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1500); 

                auto tg_yyzzzzz_xxxyyyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1501); 

                auto tg_yyzzzzz_xxxyyyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1502); 

                auto tg_yyzzzzz_xxxyyzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1503); 

                auto tg_yyzzzzz_xxxyzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1504); 

                auto tg_yyzzzzz_xxxzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1505); 

                auto tg_yyzzzzz_xxyyyyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1506); 

                auto tg_yyzzzzz_xxyyyyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1507); 

                auto tg_yyzzzzz_xxyyyyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1508); 

                auto tg_yyzzzzz_xxyyyzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1509); 

                auto tg_yyzzzzz_xxyyzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1510); 

                auto tg_yyzzzzz_xxyzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1511); 

                auto tg_yyzzzzz_xxzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1512); 

                auto tg_yyzzzzz_xyyyyyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1513); 

                auto tg_yyzzzzz_xyyyyyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1514); 

                auto tg_yyzzzzz_xyyyyyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1515); 

                auto tg_yyzzzzz_xyyyyzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1516); 

                auto tg_yyzzzzz_xyyyzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1517); 

                auto tg_yyzzzzz_xyyzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1518); 

                auto tg_yyzzzzz_xyzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1519); 

                auto tg_yyzzzzz_xzzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1520); 

                auto tg_yyzzzzz_yyyyyyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1521); 

                auto tg_yyzzzzz_yyyyyyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1522); 

                auto tg_yyzzzzz_yyyyyyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1523); 

                auto tg_yyzzzzz_yyyyyzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1524); 

                auto tg_yyzzzzz_yyyyzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1525); 

                auto tg_yyzzzzz_yyyzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1526); 

                auto tg_yyzzzzz_yyzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1527); 

                auto tg_yyzzzzz_yzzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1528); 

                auto tg_yyzzzzz_zzzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1529); 

                auto tg_yzzzzzz_xxxxxxxx_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1530); 

                auto tg_yzzzzzz_xxxxxxxy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1531); 

                auto tg_yzzzzzz_xxxxxxxz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1532); 

                auto tg_yzzzzzz_xxxxxxyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1533); 

                auto tg_yzzzzzz_xxxxxxyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1534); 

                auto tg_yzzzzzz_xxxxxxzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1535); 

                auto tg_yzzzzzz_xxxxxyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1536); 

                auto tg_yzzzzzz_xxxxxyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1537); 

                auto tg_yzzzzzz_xxxxxyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1538); 

                auto tg_yzzzzzz_xxxxxzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1539); 

                auto tg_yzzzzzz_xxxxyyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1540); 

                auto tg_yzzzzzz_xxxxyyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1541); 

                auto tg_yzzzzzz_xxxxyyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1542); 

                auto tg_yzzzzzz_xxxxyzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1543); 

                auto tg_yzzzzzz_xxxxzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1544); 

                auto tg_yzzzzzz_xxxyyyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1545); 

                auto tg_yzzzzzz_xxxyyyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1546); 

                auto tg_yzzzzzz_xxxyyyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1547); 

                auto tg_yzzzzzz_xxxyyzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1548); 

                auto tg_yzzzzzz_xxxyzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1549); 

                auto tg_yzzzzzz_xxxzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1550); 

                auto tg_yzzzzzz_xxyyyyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1551); 

                auto tg_yzzzzzz_xxyyyyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1552); 

                auto tg_yzzzzzz_xxyyyyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1553); 

                auto tg_yzzzzzz_xxyyyzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1554); 

                auto tg_yzzzzzz_xxyyzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1555); 

                auto tg_yzzzzzz_xxyzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1556); 

                auto tg_yzzzzzz_xxzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1557); 

                auto tg_yzzzzzz_xyyyyyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1558); 

                auto tg_yzzzzzz_xyyyyyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1559); 

                auto tg_yzzzzzz_xyyyyyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1560); 

                auto tg_yzzzzzz_xyyyyzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1561); 

                auto tg_yzzzzzz_xyyyzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1562); 

                auto tg_yzzzzzz_xyyzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1563); 

                auto tg_yzzzzzz_xyzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1564); 

                auto tg_yzzzzzz_xzzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1565); 

                auto tg_yzzzzzz_yyyyyyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1566); 

                auto tg_yzzzzzz_yyyyyyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1567); 

                auto tg_yzzzzzz_yyyyyyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1568); 

                auto tg_yyyzzzz_xyyzzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1473); 

                auto tg_yyyzzzz_xyzzzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1474); 

                auto tg_yyyzzzz_xzzzzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1475); 

                auto tg_yyyzzzz_yyyyyyyy_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1476); 

                auto tg_yyyzzzz_yyyyyyyz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1477); 

                auto tg_yyyzzzz_yyyyyyzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1478); 

                auto tg_yyyzzzz_yyyyyzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1479); 

                auto tg_yyyzzzz_yyyyzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1480); 

                auto tg_yyyzzzz_yyyzzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1481); 

                auto tg_yyyzzzz_yyzzzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1482); 

                auto tg_yyyzzzz_yzzzzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1483); 

                auto tg_yyyzzzz_zzzzzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1484); 

                auto tg_yyzzzzz_xxxxxxxx_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1485); 

                auto tg_yyzzzzz_xxxxxxxy_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1486); 

                auto tg_yyzzzzz_xxxxxxxz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1487); 

                auto tg_yyzzzzz_xxxxxxyy_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1488); 

                auto tg_yyzzzzz_xxxxxxyz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1489); 

                auto tg_yyzzzzz_xxxxxxzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1490); 

                auto tg_yyzzzzz_xxxxxyyy_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1491); 

                auto tg_yyzzzzz_xxxxxyyz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1492); 

                auto tg_yyzzzzz_xxxxxyzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1493); 

                auto tg_yyzzzzz_xxxxxzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1494); 

                auto tg_yyzzzzz_xxxxyyyy_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1495); 

                auto tg_yyzzzzz_xxxxyyyz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1496); 

                auto tg_yyzzzzz_xxxxyyzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1497); 

                auto tg_yyzzzzz_xxxxyzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1498); 

                auto tg_yyzzzzz_xxxxzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1499); 

                auto tg_yyzzzzz_xxxyyyyy_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1500); 

                auto tg_yyzzzzz_xxxyyyyz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1501); 

                auto tg_yyzzzzz_xxxyyyzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1502); 

                auto tg_yyzzzzz_xxxyyzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1503); 

                auto tg_yyzzzzz_xxxyzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1504); 

                auto tg_yyzzzzz_xxxzzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1505); 

                auto tg_yyzzzzz_xxyyyyyy_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1506); 

                auto tg_yyzzzzz_xxyyyyyz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1507); 

                auto tg_yyzzzzz_xxyyyyzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1508); 

                auto tg_yyzzzzz_xxyyyzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1509); 

                auto tg_yyzzzzz_xxyyzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1510); 

                auto tg_yyzzzzz_xxyzzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1511); 

                auto tg_yyzzzzz_xxzzzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1512); 

                auto tg_yyzzzzz_xyyyyyyy_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1513); 

                auto tg_yyzzzzz_xyyyyyyz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1514); 

                auto tg_yyzzzzz_xyyyyyzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1515); 

                auto tg_yyzzzzz_xyyyyzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1516); 

                auto tg_yyzzzzz_xyyyzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1517); 

                auto tg_yyzzzzz_xyyzzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1518); 

                auto tg_yyzzzzz_xyzzzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1519); 

                auto tg_yyzzzzz_xzzzzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1520); 

                auto tg_yyzzzzz_yyyyyyyy_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1521); 

                auto tg_yyzzzzz_yyyyyyyz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1522); 

                auto tg_yyzzzzz_yyyyyyzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1523); 

                auto tg_yyzzzzz_yyyyyzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1524); 

                auto tg_yyzzzzz_yyyyzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1525); 

                auto tg_yyzzzzz_yyyzzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1526); 

                auto tg_yyzzzzz_yyzzzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1527); 

                auto tg_yyzzzzz_yzzzzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1528); 

                auto tg_yyzzzzz_zzzzzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1529); 

                auto tg_yzzzzzz_xxxxxxxx_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1530); 

                auto tg_yzzzzzz_xxxxxxxy_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1531); 

                auto tg_yzzzzzz_xxxxxxxz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1532); 

                auto tg_yzzzzzz_xxxxxxyy_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1533); 

                auto tg_yzzzzzz_xxxxxxyz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1534); 

                auto tg_yzzzzzz_xxxxxxzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1535); 

                auto tg_yzzzzzz_xxxxxyyy_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1536); 

                auto tg_yzzzzzz_xxxxxyyz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1537); 

                auto tg_yzzzzzz_xxxxxyzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1538); 

                auto tg_yzzzzzz_xxxxxzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1539); 

                auto tg_yzzzzzz_xxxxyyyy_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1540); 

                auto tg_yzzzzzz_xxxxyyyz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1541); 

                auto tg_yzzzzzz_xxxxyyzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1542); 

                auto tg_yzzzzzz_xxxxyzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1543); 

                auto tg_yzzzzzz_xxxxzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1544); 

                auto tg_yzzzzzz_xxxyyyyy_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1545); 

                auto tg_yzzzzzz_xxxyyyyz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1546); 

                auto tg_yzzzzzz_xxxyyyzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1547); 

                auto tg_yzzzzzz_xxxyyzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1548); 

                auto tg_yzzzzzz_xxxyzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1549); 

                auto tg_yzzzzzz_xxxzzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1550); 

                auto tg_yzzzzzz_xxyyyyyy_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1551); 

                auto tg_yzzzzzz_xxyyyyyz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1552); 

                auto tg_yzzzzzz_xxyyyyzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1553); 

                auto tg_yzzzzzz_xxyyyzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1554); 

                auto tg_yzzzzzz_xxyyzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1555); 

                auto tg_yzzzzzz_xxyzzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1556); 

                auto tg_yzzzzzz_xxzzzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1557); 

                auto tg_yzzzzzz_xyyyyyyy_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1558); 

                auto tg_yzzzzzz_xyyyyyyz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1559); 

                auto tg_yzzzzzz_xyyyyyzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1560); 

                auto tg_yzzzzzz_xyyyyzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1561); 

                auto tg_yzzzzzz_xyyyzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1562); 

                auto tg_yzzzzzz_xyyzzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1563); 

                auto tg_yzzzzzz_xyzzzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1564); 

                auto tg_yzzzzzz_xzzzzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1565); 

                auto tg_yzzzzzz_yyyyyyyy_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1566); 

                auto tg_yzzzzzz_yyyyyyyz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1567); 

                auto tg_yzzzzzz_yyyyyyzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1568); 

                auto tg_yyzzzz_xyyzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1158); 

                auto tg_yyzzzz_xyzzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1159); 

                auto tg_yyzzzz_xzzzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1160); 

                auto tg_yyzzzz_yyyyyyyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1161); 

                auto tg_yyzzzz_yyyyyyyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1162); 

                auto tg_yyzzzz_yyyyyyzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1163); 

                auto tg_yyzzzz_yyyyyzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1164); 

                auto tg_yyzzzz_yyyyzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1165); 

                auto tg_yyzzzz_yyyzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1166); 

                auto tg_yyzzzz_yyzzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1167); 

                auto tg_yyzzzz_yzzzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1168); 

                auto tg_yyzzzz_zzzzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1169); 

                auto tg_yzzzzz_xxxxxxxx_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1170); 

                auto tg_yzzzzz_xxxxxxxy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1171); 

                auto tg_yzzzzz_xxxxxxxz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1172); 

                auto tg_yzzzzz_xxxxxxyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1173); 

                auto tg_yzzzzz_xxxxxxyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1174); 

                auto tg_yzzzzz_xxxxxxzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1175); 

                auto tg_yzzzzz_xxxxxyyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1176); 

                auto tg_yzzzzz_xxxxxyyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1177); 

                auto tg_yzzzzz_xxxxxyzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1178); 

                auto tg_yzzzzz_xxxxxzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1179); 

                auto tg_yzzzzz_xxxxyyyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1180); 

                auto tg_yzzzzz_xxxxyyyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1181); 

                auto tg_yzzzzz_xxxxyyzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1182); 

                auto tg_yzzzzz_xxxxyzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1183); 

                auto tg_yzzzzz_xxxxzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1184); 

                auto tg_yzzzzz_xxxyyyyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1185); 

                auto tg_yzzzzz_xxxyyyyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1186); 

                auto tg_yzzzzz_xxxyyyzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1187); 

                auto tg_yzzzzz_xxxyyzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1188); 

                auto tg_yzzzzz_xxxyzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1189); 

                auto tg_yzzzzz_xxxzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1190); 

                auto tg_yzzzzz_xxyyyyyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1191); 

                auto tg_yzzzzz_xxyyyyyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1192); 

                auto tg_yzzzzz_xxyyyyzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1193); 

                auto tg_yzzzzz_xxyyyzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1194); 

                auto tg_yzzzzz_xxyyzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1195); 

                auto tg_yzzzzz_xxyzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1196); 

                auto tg_yzzzzz_xxzzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1197); 

                auto tg_yzzzzz_xyyyyyyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1198); 

                auto tg_yzzzzz_xyyyyyyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1199); 

                auto tg_yzzzzz_xyyyyyzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1200); 

                auto tg_yzzzzz_xyyyyzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1201); 

                auto tg_yzzzzz_xyyyzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1202); 

                auto tg_yzzzzz_xyyzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1203); 

                auto tg_yzzzzz_xyzzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1204); 

                auto tg_yzzzzz_xzzzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1205); 

                auto tg_yzzzzz_yyyyyyyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1206); 

                auto tg_yzzzzz_yyyyyyyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1207); 

                auto tg_yzzzzz_yyyyyyzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1208); 

                auto tg_yzzzzz_yyyyyzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1209); 

                auto tg_yzzzzz_yyyyzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1210); 

                auto tg_yzzzzz_yyyzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1211); 

                auto tg_yzzzzz_yyzzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1212); 

                auto tg_yzzzzz_yzzzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1213); 

                auto tg_yzzzzz_zzzzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1214); 

                auto tg_zzzzzz_xxxxxxxx_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1215); 

                auto tg_zzzzzz_xxxxxxxy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1216); 

                auto tg_zzzzzz_xxxxxxxz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1217); 

                auto tg_zzzzzz_xxxxxxyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1218); 

                auto tg_zzzzzz_xxxxxxyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1219); 

                auto tg_zzzzzz_xxxxxxzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1220); 

                auto tg_zzzzzz_xxxxxyyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1221); 

                auto tg_zzzzzz_xxxxxyyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1222); 

                auto tg_zzzzzz_xxxxxyzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1223); 

                auto tg_zzzzzz_xxxxxzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1224); 

                auto tg_zzzzzz_xxxxyyyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1225); 

                auto tg_zzzzzz_xxxxyyyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1226); 

                auto tg_zzzzzz_xxxxyyzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1227); 

                auto tg_zzzzzz_xxxxyzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1228); 

                auto tg_zzzzzz_xxxxzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1229); 

                auto tg_zzzzzz_xxxyyyyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1230); 

                auto tg_zzzzzz_xxxyyyyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1231); 

                auto tg_zzzzzz_xxxyyyzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1232); 

                auto tg_zzzzzz_xxxyyzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1233); 

                auto tg_zzzzzz_xxxyzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1234); 

                auto tg_zzzzzz_xxxzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1235); 

                auto tg_zzzzzz_xxyyyyyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1236); 

                auto tg_zzzzzz_xxyyyyyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1237); 

                auto tg_zzzzzz_xxyyyyzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1238); 

                auto tg_zzzzzz_xxyyyzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1239); 

                auto tg_zzzzzz_xxyyzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1240); 

                auto tg_zzzzzz_xxyzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1241); 

                auto tg_zzzzzz_xxzzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1242); 

                auto tg_zzzzzz_xyyyyyyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1243); 

                auto tg_zzzzzz_xyyyyyyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1244); 

                auto tg_zzzzzz_xyyyyyzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1245); 

                auto tg_zzzzzz_xyyyyzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1246); 

                auto tg_zzzzzz_xyyyzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1247); 

                auto tg_zzzzzz_xyyzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1248); 

                auto tg_zzzzzz_xyzzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1249); 

                auto tg_zzzzzz_xzzzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1250); 

                auto tg_zzzzzz_yyyyyyyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1251); 

                auto tg_zzzzzz_yyyyyyyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1252); 

                auto tg_zzzzzz_yyyyyyzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1253); 

                auto tg_yyzzzz_xyyzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1158); 

                auto tg_yyzzzz_xyzzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1159); 

                auto tg_yyzzzz_xzzzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1160); 

                auto tg_yyzzzz_yyyyyyyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1161); 

                auto tg_yyzzzz_yyyyyyyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1162); 

                auto tg_yyzzzz_yyyyyyzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1163); 

                auto tg_yyzzzz_yyyyyzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1164); 

                auto tg_yyzzzz_yyyyzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1165); 

                auto tg_yyzzzz_yyyzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1166); 

                auto tg_yyzzzz_yyzzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1167); 

                auto tg_yyzzzz_yzzzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1168); 

                auto tg_yyzzzz_zzzzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1169); 

                auto tg_yzzzzz_xxxxxxxx_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1170); 

                auto tg_yzzzzz_xxxxxxxy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1171); 

                auto tg_yzzzzz_xxxxxxxz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1172); 

                auto tg_yzzzzz_xxxxxxyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1173); 

                auto tg_yzzzzz_xxxxxxyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1174); 

                auto tg_yzzzzz_xxxxxxzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1175); 

                auto tg_yzzzzz_xxxxxyyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1176); 

                auto tg_yzzzzz_xxxxxyyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1177); 

                auto tg_yzzzzz_xxxxxyzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1178); 

                auto tg_yzzzzz_xxxxxzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1179); 

                auto tg_yzzzzz_xxxxyyyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1180); 

                auto tg_yzzzzz_xxxxyyyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1181); 

                auto tg_yzzzzz_xxxxyyzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1182); 

                auto tg_yzzzzz_xxxxyzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1183); 

                auto tg_yzzzzz_xxxxzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1184); 

                auto tg_yzzzzz_xxxyyyyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1185); 

                auto tg_yzzzzz_xxxyyyyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1186); 

                auto tg_yzzzzz_xxxyyyzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1187); 

                auto tg_yzzzzz_xxxyyzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1188); 

                auto tg_yzzzzz_xxxyzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1189); 

                auto tg_yzzzzz_xxxzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1190); 

                auto tg_yzzzzz_xxyyyyyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1191); 

                auto tg_yzzzzz_xxyyyyyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1192); 

                auto tg_yzzzzz_xxyyyyzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1193); 

                auto tg_yzzzzz_xxyyyzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1194); 

                auto tg_yzzzzz_xxyyzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1195); 

                auto tg_yzzzzz_xxyzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1196); 

                auto tg_yzzzzz_xxzzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1197); 

                auto tg_yzzzzz_xyyyyyyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1198); 

                auto tg_yzzzzz_xyyyyyyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1199); 

                auto tg_yzzzzz_xyyyyyzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1200); 

                auto tg_yzzzzz_xyyyyzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1201); 

                auto tg_yzzzzz_xyyyzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1202); 

                auto tg_yzzzzz_xyyzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1203); 

                auto tg_yzzzzz_xyzzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1204); 

                auto tg_yzzzzz_xzzzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1205); 

                auto tg_yzzzzz_yyyyyyyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1206); 

                auto tg_yzzzzz_yyyyyyyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1207); 

                auto tg_yzzzzz_yyyyyyzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1208); 

                auto tg_yzzzzz_yyyyyzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1209); 

                auto tg_yzzzzz_yyyyzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1210); 

                auto tg_yzzzzz_yyyzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1211); 

                auto tg_yzzzzz_yyzzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1212); 

                auto tg_yzzzzz_yzzzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1213); 

                auto tg_yzzzzz_zzzzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1214); 

                auto tg_zzzzzz_xxxxxxxx_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1215); 

                auto tg_zzzzzz_xxxxxxxy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1216); 

                auto tg_zzzzzz_xxxxxxxz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1217); 

                auto tg_zzzzzz_xxxxxxyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1218); 

                auto tg_zzzzzz_xxxxxxyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1219); 

                auto tg_zzzzzz_xxxxxxzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1220); 

                auto tg_zzzzzz_xxxxxyyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1221); 

                auto tg_zzzzzz_xxxxxyyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1222); 

                auto tg_zzzzzz_xxxxxyzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1223); 

                auto tg_zzzzzz_xxxxxzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1224); 

                auto tg_zzzzzz_xxxxyyyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1225); 

                auto tg_zzzzzz_xxxxyyyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1226); 

                auto tg_zzzzzz_xxxxyyzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1227); 

                auto tg_zzzzzz_xxxxyzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1228); 

                auto tg_zzzzzz_xxxxzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1229); 

                auto tg_zzzzzz_xxxyyyyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1230); 

                auto tg_zzzzzz_xxxyyyyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1231); 

                auto tg_zzzzzz_xxxyyyzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1232); 

                auto tg_zzzzzz_xxxyyzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1233); 

                auto tg_zzzzzz_xxxyzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1234); 

                auto tg_zzzzzz_xxxzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1235); 

                auto tg_zzzzzz_xxyyyyyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1236); 

                auto tg_zzzzzz_xxyyyyyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1237); 

                auto tg_zzzzzz_xxyyyyzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1238); 

                auto tg_zzzzzz_xxyyyzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1239); 

                auto tg_zzzzzz_xxyyzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1240); 

                auto tg_zzzzzz_xxyzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1241); 

                auto tg_zzzzzz_xxzzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1242); 

                auto tg_zzzzzz_xyyyyyyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1243); 

                auto tg_zzzzzz_xyyyyyyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1244); 

                auto tg_zzzzzz_xyyyyyzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1245); 

                auto tg_zzzzzz_xyyyyzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1246); 

                auto tg_zzzzzz_xyyyzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1247); 

                auto tg_zzzzzz_xyyzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1248); 

                auto tg_zzzzzz_xyzzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1249); 

                auto tg_zzzzzz_xzzzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1250); 

                auto tg_zzzzzz_yyyyyyyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1251); 

                auto tg_zzzzzz_yyyyyyyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1252); 

                auto tg_zzzzzz_yyyyyyzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1253); 

                auto tg_yyyzzzz_xyzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1178); 

                auto tg_yyyzzzz_xzzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1179); 

                auto tg_yyyzzzz_yyyyyyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1180); 

                auto tg_yyyzzzz_yyyyyyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1181); 

                auto tg_yyyzzzz_yyyyyzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1182); 

                auto tg_yyyzzzz_yyyyzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1183); 

                auto tg_yyyzzzz_yyyzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1184); 

                auto tg_yyyzzzz_yyzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1185); 

                auto tg_yyyzzzz_yzzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1186); 

                auto tg_yyyzzzz_zzzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1187); 

                auto tg_yyzzzzz_xxxxxxx_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1188); 

                auto tg_yyzzzzz_xxxxxxy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1189); 

                auto tg_yyzzzzz_xxxxxxz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1190); 

                auto tg_yyzzzzz_xxxxxyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1191); 

                auto tg_yyzzzzz_xxxxxyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1192); 

                auto tg_yyzzzzz_xxxxxzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1193); 

                auto tg_yyzzzzz_xxxxyyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1194); 

                auto tg_yyzzzzz_xxxxyyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1195); 

                auto tg_yyzzzzz_xxxxyzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1196); 

                auto tg_yyzzzzz_xxxxzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1197); 

                auto tg_yyzzzzz_xxxyyyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1198); 

                auto tg_yyzzzzz_xxxyyyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1199); 

                auto tg_yyzzzzz_xxxyyzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1200); 

                auto tg_yyzzzzz_xxxyzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1201); 

                auto tg_yyzzzzz_xxxzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1202); 

                auto tg_yyzzzzz_xxyyyyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1203); 

                auto tg_yyzzzzz_xxyyyyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1204); 

                auto tg_yyzzzzz_xxyyyzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1205); 

                auto tg_yyzzzzz_xxyyzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1206); 

                auto tg_yyzzzzz_xxyzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1207); 

                auto tg_yyzzzzz_xxzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1208); 

                auto tg_yyzzzzz_xyyyyyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1209); 

                auto tg_yyzzzzz_xyyyyyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1210); 

                auto tg_yyzzzzz_xyyyyzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1211); 

                auto tg_yyzzzzz_xyyyzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1212); 

                auto tg_yyzzzzz_xyyzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1213); 

                auto tg_yyzzzzz_xyzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1214); 

                auto tg_yyzzzzz_xzzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1215); 

                auto tg_yyzzzzz_yyyyyyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1216); 

                auto tg_yyzzzzz_yyyyyyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1217); 

                auto tg_yyzzzzz_yyyyyzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1218); 

                auto tg_yyzzzzz_yyyyzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1219); 

                auto tg_yyzzzzz_yyyzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1220); 

                auto tg_yyzzzzz_yyzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1221); 

                auto tg_yyzzzzz_yzzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1222); 

                auto tg_yyzzzzz_zzzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1223); 

                auto tg_yzzzzzz_xxxxxxx_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1224); 

                auto tg_yzzzzzz_xxxxxxy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1225); 

                auto tg_yzzzzzz_xxxxxxz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1226); 

                auto tg_yzzzzzz_xxxxxyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1227); 

                auto tg_yzzzzzz_xxxxxyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1228); 

                auto tg_yzzzzzz_xxxxxzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1229); 

                auto tg_yzzzzzz_xxxxyyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1230); 

                auto tg_yzzzzzz_xxxxyyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1231); 

                auto tg_yzzzzzz_xxxxyzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1232); 

                auto tg_yzzzzzz_xxxxzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1233); 

                auto tg_yzzzzzz_xxxyyyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1234); 

                auto tg_yzzzzzz_xxxyyyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1235); 

                auto tg_yzzzzzz_xxxyyzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1236); 

                auto tg_yzzzzzz_xxxyzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1237); 

                auto tg_yzzzzzz_xxxzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1238); 

                auto tg_yzzzzzz_xxyyyyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1239); 

                auto tg_yzzzzzz_xxyyyyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1240); 

                auto tg_yzzzzzz_xxyyyzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1241); 

                auto tg_yzzzzzz_xxyyzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1242); 

                auto tg_yzzzzzz_xxyzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1243); 

                auto tg_yzzzzzz_xxzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1244); 

                auto tg_yzzzzzz_xyyyyyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1245); 

                auto tg_yzzzzzz_xyyyyyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1246); 

                auto tg_yzzzzzz_xyyyyzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1247); 

                auto tg_yzzzzzz_xyyyzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1248); 

                auto tg_yzzzzzz_xyyzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1249); 

                auto tg_yzzzzzz_xyzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1250); 

                auto tg_yzzzzzz_xzzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1251); 

                auto tg_yzzzzzz_yyyyyyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1252); 

                auto tg_yzzzzzz_yyyyyyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1253); 

                auto tg_yzzzzzz_yyyyyzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1254); 

                // set up pointers to integrals

                auto tg_yyyyzzzz_xyyzzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1833); 

                auto tg_yyyyzzzz_xyzzzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1834); 

                auto tg_yyyyzzzz_xzzzzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1835); 

                auto tg_yyyyzzzz_yyyyyyyy_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1836); 

                auto tg_yyyyzzzz_yyyyyyyz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1837); 

                auto tg_yyyyzzzz_yyyyyyzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1838); 

                auto tg_yyyyzzzz_yyyyyzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1839); 

                auto tg_yyyyzzzz_yyyyzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1840); 

                auto tg_yyyyzzzz_yyyzzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1841); 

                auto tg_yyyyzzzz_yyzzzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1842); 

                auto tg_yyyyzzzz_yzzzzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1843); 

                auto tg_yyyyzzzz_zzzzzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1844); 

                auto tg_yyyzzzzz_xxxxxxxx_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1845); 

                auto tg_yyyzzzzz_xxxxxxxy_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1846); 

                auto tg_yyyzzzzz_xxxxxxxz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1847); 

                auto tg_yyyzzzzz_xxxxxxyy_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1848); 

                auto tg_yyyzzzzz_xxxxxxyz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1849); 

                auto tg_yyyzzzzz_xxxxxxzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1850); 

                auto tg_yyyzzzzz_xxxxxyyy_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1851); 

                auto tg_yyyzzzzz_xxxxxyyz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1852); 

                auto tg_yyyzzzzz_xxxxxyzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1853); 

                auto tg_yyyzzzzz_xxxxxzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1854); 

                auto tg_yyyzzzzz_xxxxyyyy_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1855); 

                auto tg_yyyzzzzz_xxxxyyyz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1856); 

                auto tg_yyyzzzzz_xxxxyyzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1857); 

                auto tg_yyyzzzzz_xxxxyzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1858); 

                auto tg_yyyzzzzz_xxxxzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1859); 

                auto tg_yyyzzzzz_xxxyyyyy_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1860); 

                auto tg_yyyzzzzz_xxxyyyyz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1861); 

                auto tg_yyyzzzzz_xxxyyyzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1862); 

                auto tg_yyyzzzzz_xxxyyzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1863); 

                auto tg_yyyzzzzz_xxxyzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1864); 

                auto tg_yyyzzzzz_xxxzzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1865); 

                auto tg_yyyzzzzz_xxyyyyyy_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1866); 

                auto tg_yyyzzzzz_xxyyyyyz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1867); 

                auto tg_yyyzzzzz_xxyyyyzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1868); 

                auto tg_yyyzzzzz_xxyyyzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1869); 

                auto tg_yyyzzzzz_xxyyzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1870); 

                auto tg_yyyzzzzz_xxyzzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1871); 

                auto tg_yyyzzzzz_xxzzzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1872); 

                auto tg_yyyzzzzz_xyyyyyyy_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1873); 

                auto tg_yyyzzzzz_xyyyyyyz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1874); 

                auto tg_yyyzzzzz_xyyyyyzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1875); 

                auto tg_yyyzzzzz_xyyyyzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1876); 

                auto tg_yyyzzzzz_xyyyzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1877); 

                auto tg_yyyzzzzz_xyyzzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1878); 

                auto tg_yyyzzzzz_xyzzzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1879); 

                auto tg_yyyzzzzz_xzzzzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1880); 

                auto tg_yyyzzzzz_yyyyyyyy_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1881); 

                auto tg_yyyzzzzz_yyyyyyyz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1882); 

                auto tg_yyyzzzzz_yyyyyyzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1883); 

                auto tg_yyyzzzzz_yyyyyzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1884); 

                auto tg_yyyzzzzz_yyyyzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1885); 

                auto tg_yyyzzzzz_yyyzzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1886); 

                auto tg_yyyzzzzz_yyzzzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1887); 

                auto tg_yyyzzzzz_yzzzzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1888); 

                auto tg_yyyzzzzz_zzzzzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1889); 

                auto tg_yyzzzzzz_xxxxxxxx_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1890); 

                auto tg_yyzzzzzz_xxxxxxxy_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1891); 

                auto tg_yyzzzzzz_xxxxxxxz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1892); 

                auto tg_yyzzzzzz_xxxxxxyy_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1893); 

                auto tg_yyzzzzzz_xxxxxxyz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1894); 

                auto tg_yyzzzzzz_xxxxxxzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1895); 

                auto tg_yyzzzzzz_xxxxxyyy_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1896); 

                auto tg_yyzzzzzz_xxxxxyyz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1897); 

                auto tg_yyzzzzzz_xxxxxyzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1898); 

                auto tg_yyzzzzzz_xxxxxzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1899); 

                auto tg_yyzzzzzz_xxxxyyyy_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1900); 

                auto tg_yyzzzzzz_xxxxyyyz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1901); 

                auto tg_yyzzzzzz_xxxxyyzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1902); 

                auto tg_yyzzzzzz_xxxxyzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1903); 

                auto tg_yyzzzzzz_xxxxzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1904); 

                auto tg_yyzzzzzz_xxxyyyyy_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1905); 

                auto tg_yyzzzzzz_xxxyyyyz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1906); 

                auto tg_yyzzzzzz_xxxyyyzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1907); 

                auto tg_yyzzzzzz_xxxyyzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1908); 

                auto tg_yyzzzzzz_xxxyzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1909); 

                auto tg_yyzzzzzz_xxxzzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1910); 

                auto tg_yyzzzzzz_xxyyyyyy_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1911); 

                auto tg_yyzzzzzz_xxyyyyyz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1912); 

                auto tg_yyzzzzzz_xxyyyyzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1913); 

                auto tg_yyzzzzzz_xxyyyzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1914); 

                auto tg_yyzzzzzz_xxyyzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1915); 

                auto tg_yyzzzzzz_xxyzzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1916); 

                auto tg_yyzzzzzz_xxzzzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1917); 

                auto tg_yyzzzzzz_xyyyyyyy_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1918); 

                auto tg_yyzzzzzz_xyyyyyyz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1919); 

                auto tg_yyzzzzzz_xyyyyyzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1920); 

                auto tg_yyzzzzzz_xyyyyzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1921); 

                auto tg_yyzzzzzz_xyyyzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1922); 

                auto tg_yyzzzzzz_xyyzzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1923); 

                auto tg_yyzzzzzz_xyzzzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1924); 

                auto tg_yyzzzzzz_xzzzzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1925); 

                auto tg_yyzzzzzz_yyyyyyyy_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1926); 

                auto tg_yyzzzzzz_yyyyyyyz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1927); 

                auto tg_yyzzzzzz_yyyyyyzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1928); 

                // Batch of Integrals (1833,1929)

                #pragma omp simd aligned(fxn, fza, tg_yyyyzzzz_xyyzzzzz_0, tg_yyyyzzzz_xyzzzzzz_0, \
                                         tg_yyyyzzzz_xzzzzzzz_0, tg_yyyyzzzz_yyyyyyyy_0, tg_yyyyzzzz_yyyyyyyz_0, \
                                         tg_yyyyzzzz_yyyyyyzz_0, tg_yyyyzzzz_yyyyyzzz_0, tg_yyyyzzzz_yyyyzzzz_0, \
                                         tg_yyyyzzzz_yyyzzzzz_0, tg_yyyyzzzz_yyzzzzzz_0, tg_yyyyzzzz_yzzzzzzz_0, \
                                         tg_yyyyzzzz_zzzzzzzz_0, tg_yyyzzzz_xyyzzzzz_0, tg_yyyzzzz_xyyzzzzz_1, \
                                         tg_yyyzzzz_xyzzzzz_1, tg_yyyzzzz_xyzzzzzz_0, tg_yyyzzzz_xyzzzzzz_1, \
                                         tg_yyyzzzz_xzzzzzz_1, tg_yyyzzzz_xzzzzzzz_0, tg_yyyzzzz_xzzzzzzz_1, \
                                         tg_yyyzzzz_yyyyyyy_1, tg_yyyzzzz_yyyyyyyy_0, tg_yyyzzzz_yyyyyyyy_1, \
                                         tg_yyyzzzz_yyyyyyyz_0, tg_yyyzzzz_yyyyyyyz_1, tg_yyyzzzz_yyyyyyz_1, \
                                         tg_yyyzzzz_yyyyyyzz_0, tg_yyyzzzz_yyyyyyzz_1, tg_yyyzzzz_yyyyyzz_1, \
                                         tg_yyyzzzz_yyyyyzzz_0, tg_yyyzzzz_yyyyyzzz_1, tg_yyyzzzz_yyyyzzz_1, \
                                         tg_yyyzzzz_yyyyzzzz_0, tg_yyyzzzz_yyyyzzzz_1, tg_yyyzzzz_yyyzzzz_1, \
                                         tg_yyyzzzz_yyyzzzzz_0, tg_yyyzzzz_yyyzzzzz_1, tg_yyyzzzz_yyzzzzz_1, \
                                         tg_yyyzzzz_yyzzzzzz_0, tg_yyyzzzz_yyzzzzzz_1, tg_yyyzzzz_yzzzzzz_1, \
                                         tg_yyyzzzz_yzzzzzzz_0, tg_yyyzzzz_yzzzzzzz_1, tg_yyyzzzz_zzzzzzz_1, \
                                         tg_yyyzzzz_zzzzzzzz_0, tg_yyyzzzz_zzzzzzzz_1, tg_yyyzzzzz_xxxxxxxx_0, \
                                         tg_yyyzzzzz_xxxxxxxy_0, tg_yyyzzzzz_xxxxxxxz_0, tg_yyyzzzzz_xxxxxxyy_0, \
                                         tg_yyyzzzzz_xxxxxxyz_0, tg_yyyzzzzz_xxxxxxzz_0, tg_yyyzzzzz_xxxxxyyy_0, \
                                         tg_yyyzzzzz_xxxxxyyz_0, tg_yyyzzzzz_xxxxxyzz_0, tg_yyyzzzzz_xxxxxzzz_0, \
                                         tg_yyyzzzzz_xxxxyyyy_0, tg_yyyzzzzz_xxxxyyyz_0, tg_yyyzzzzz_xxxxyyzz_0, \
                                         tg_yyyzzzzz_xxxxyzzz_0, tg_yyyzzzzz_xxxxzzzz_0, tg_yyyzzzzz_xxxyyyyy_0, \
                                         tg_yyyzzzzz_xxxyyyyz_0, tg_yyyzzzzz_xxxyyyzz_0, tg_yyyzzzzz_xxxyyzzz_0, \
                                         tg_yyyzzzzz_xxxyzzzz_0, tg_yyyzzzzz_xxxzzzzz_0, tg_yyyzzzzz_xxyyyyyy_0, \
                                         tg_yyyzzzzz_xxyyyyyz_0, tg_yyyzzzzz_xxyyyyzz_0, tg_yyyzzzzz_xxyyyzzz_0, \
                                         tg_yyyzzzzz_xxyyzzzz_0, tg_yyyzzzzz_xxyzzzzz_0, tg_yyyzzzzz_xxzzzzzz_0, \
                                         tg_yyyzzzzz_xyyyyyyy_0, tg_yyyzzzzz_xyyyyyyz_0, tg_yyyzzzzz_xyyyyyzz_0, \
                                         tg_yyyzzzzz_xyyyyzzz_0, tg_yyyzzzzz_xyyyzzzz_0, tg_yyyzzzzz_xyyzzzzz_0, \
                                         tg_yyyzzzzz_xyzzzzzz_0, tg_yyyzzzzz_xzzzzzzz_0, tg_yyyzzzzz_yyyyyyyy_0, \
                                         tg_yyyzzzzz_yyyyyyyz_0, tg_yyyzzzzz_yyyyyyzz_0, tg_yyyzzzzz_yyyyyzzz_0, \
                                         tg_yyyzzzzz_yyyyzzzz_0, tg_yyyzzzzz_yyyzzzzz_0, tg_yyyzzzzz_yyzzzzzz_0, \
                                         tg_yyyzzzzz_yzzzzzzz_0, tg_yyyzzzzz_zzzzzzzz_0, tg_yyzzzz_xyyzzzzz_0, \
                                         tg_yyzzzz_xyyzzzzz_1, tg_yyzzzz_xyzzzzzz_0, tg_yyzzzz_xyzzzzzz_1, tg_yyzzzz_xzzzzzzz_0, \
                                         tg_yyzzzz_xzzzzzzz_1, tg_yyzzzz_yyyyyyyy_0, tg_yyzzzz_yyyyyyyy_1, tg_yyzzzz_yyyyyyyz_0, \
                                         tg_yyzzzz_yyyyyyyz_1, tg_yyzzzz_yyyyyyzz_0, tg_yyzzzz_yyyyyyzz_1, tg_yyzzzz_yyyyyzzz_0, \
                                         tg_yyzzzz_yyyyyzzz_1, tg_yyzzzz_yyyyzzzz_0, tg_yyzzzz_yyyyzzzz_1, tg_yyzzzz_yyyzzzzz_0, \
                                         tg_yyzzzz_yyyzzzzz_1, tg_yyzzzz_yyzzzzzz_0, tg_yyzzzz_yyzzzzzz_1, tg_yyzzzz_yzzzzzzz_0, \
                                         tg_yyzzzz_yzzzzzzz_1, tg_yyzzzz_zzzzzzzz_0, tg_yyzzzz_zzzzzzzz_1, tg_yyzzzzz_xxxxxxx_1, \
                                         tg_yyzzzzz_xxxxxxxx_0, tg_yyzzzzz_xxxxxxxx_1, tg_yyzzzzz_xxxxxxxy_0, \
                                         tg_yyzzzzz_xxxxxxxy_1, tg_yyzzzzz_xxxxxxxz_0, tg_yyzzzzz_xxxxxxxz_1, \
                                         tg_yyzzzzz_xxxxxxy_1, tg_yyzzzzz_xxxxxxyy_0, tg_yyzzzzz_xxxxxxyy_1, \
                                         tg_yyzzzzz_xxxxxxyz_0, tg_yyzzzzz_xxxxxxyz_1, tg_yyzzzzz_xxxxxxz_1, \
                                         tg_yyzzzzz_xxxxxxzz_0, tg_yyzzzzz_xxxxxxzz_1, tg_yyzzzzz_xxxxxyy_1, \
                                         tg_yyzzzzz_xxxxxyyy_0, tg_yyzzzzz_xxxxxyyy_1, tg_yyzzzzz_xxxxxyyz_0, \
                                         tg_yyzzzzz_xxxxxyyz_1, tg_yyzzzzz_xxxxxyz_1, tg_yyzzzzz_xxxxxyzz_0, \
                                         tg_yyzzzzz_xxxxxyzz_1, tg_yyzzzzz_xxxxxzz_1, tg_yyzzzzz_xxxxxzzz_0, \
                                         tg_yyzzzzz_xxxxxzzz_1, tg_yyzzzzz_xxxxyyy_1, tg_yyzzzzz_xxxxyyyy_0, \
                                         tg_yyzzzzz_xxxxyyyy_1, tg_yyzzzzz_xxxxyyyz_0, tg_yyzzzzz_xxxxyyyz_1, \
                                         tg_yyzzzzz_xxxxyyz_1, tg_yyzzzzz_xxxxyyzz_0, tg_yyzzzzz_xxxxyyzz_1, \
                                         tg_yyzzzzz_xxxxyzz_1, tg_yyzzzzz_xxxxyzzz_0, tg_yyzzzzz_xxxxyzzz_1, \
                                         tg_yyzzzzz_xxxxzzz_1, tg_yyzzzzz_xxxxzzzz_0, tg_yyzzzzz_xxxxzzzz_1, \
                                         tg_yyzzzzz_xxxyyyy_1, tg_yyzzzzz_xxxyyyyy_0, tg_yyzzzzz_xxxyyyyy_1, \
                                         tg_yyzzzzz_xxxyyyyz_0, tg_yyzzzzz_xxxyyyyz_1, tg_yyzzzzz_xxxyyyz_1, \
                                         tg_yyzzzzz_xxxyyyzz_0, tg_yyzzzzz_xxxyyyzz_1, tg_yyzzzzz_xxxyyzz_1, \
                                         tg_yyzzzzz_xxxyyzzz_0, tg_yyzzzzz_xxxyyzzz_1, tg_yyzzzzz_xxxyzzz_1, \
                                         tg_yyzzzzz_xxxyzzzz_0, tg_yyzzzzz_xxxyzzzz_1, tg_yyzzzzz_xxxzzzz_1, \
                                         tg_yyzzzzz_xxxzzzzz_0, tg_yyzzzzz_xxxzzzzz_1, tg_yyzzzzz_xxyyyyy_1, \
                                         tg_yyzzzzz_xxyyyyyy_0, tg_yyzzzzz_xxyyyyyy_1, tg_yyzzzzz_xxyyyyyz_0, \
                                         tg_yyzzzzz_xxyyyyyz_1, tg_yyzzzzz_xxyyyyz_1, tg_yyzzzzz_xxyyyyzz_0, \
                                         tg_yyzzzzz_xxyyyyzz_1, tg_yyzzzzz_xxyyyzz_1, tg_yyzzzzz_xxyyyzzz_0, \
                                         tg_yyzzzzz_xxyyyzzz_1, tg_yyzzzzz_xxyyzzz_1, tg_yyzzzzz_xxyyzzzz_0, \
                                         tg_yyzzzzz_xxyyzzzz_1, tg_yyzzzzz_xxyzzzz_1, tg_yyzzzzz_xxyzzzzz_0, \
                                         tg_yyzzzzz_xxyzzzzz_1, tg_yyzzzzz_xxzzzzz_1, tg_yyzzzzz_xxzzzzzz_0, \
                                         tg_yyzzzzz_xxzzzzzz_1, tg_yyzzzzz_xyyyyyy_1, tg_yyzzzzz_xyyyyyyy_0, \
                                         tg_yyzzzzz_xyyyyyyy_1, tg_yyzzzzz_xyyyyyyz_0, tg_yyzzzzz_xyyyyyyz_1, \
                                         tg_yyzzzzz_xyyyyyz_1, tg_yyzzzzz_xyyyyyzz_0, tg_yyzzzzz_xyyyyyzz_1, \
                                         tg_yyzzzzz_xyyyyzz_1, tg_yyzzzzz_xyyyyzzz_0, tg_yyzzzzz_xyyyyzzz_1, \
                                         tg_yyzzzzz_xyyyzzz_1, tg_yyzzzzz_xyyyzzzz_0, tg_yyzzzzz_xyyyzzzz_1, \
                                         tg_yyzzzzz_xyyzzzz_1, tg_yyzzzzz_xyyzzzzz_0, tg_yyzzzzz_xyyzzzzz_1, \
                                         tg_yyzzzzz_xyzzzzz_1, tg_yyzzzzz_xyzzzzzz_0, tg_yyzzzzz_xyzzzzzz_1, \
                                         tg_yyzzzzz_xzzzzzz_1, tg_yyzzzzz_xzzzzzzz_0, tg_yyzzzzz_xzzzzzzz_1, \
                                         tg_yyzzzzz_yyyyyyy_1, tg_yyzzzzz_yyyyyyyy_0, tg_yyzzzzz_yyyyyyyy_1, \
                                         tg_yyzzzzz_yyyyyyyz_0, tg_yyzzzzz_yyyyyyyz_1, tg_yyzzzzz_yyyyyyz_1, \
                                         tg_yyzzzzz_yyyyyyzz_0, tg_yyzzzzz_yyyyyyzz_1, tg_yyzzzzz_yyyyyzz_1, \
                                         tg_yyzzzzz_yyyyyzzz_0, tg_yyzzzzz_yyyyyzzz_1, tg_yyzzzzz_yyyyzzz_1, \
                                         tg_yyzzzzz_yyyyzzzz_0, tg_yyzzzzz_yyyyzzzz_1, tg_yyzzzzz_yyyzzzz_1, \
                                         tg_yyzzzzz_yyyzzzzz_0, tg_yyzzzzz_yyyzzzzz_1, tg_yyzzzzz_yyzzzzz_1, \
                                         tg_yyzzzzz_yyzzzzzz_0, tg_yyzzzzz_yyzzzzzz_1, tg_yyzzzzz_yzzzzzz_1, \
                                         tg_yyzzzzz_yzzzzzzz_0, tg_yyzzzzz_yzzzzzzz_1, tg_yyzzzzz_zzzzzzz_1, \
                                         tg_yyzzzzz_zzzzzzzz_0, tg_yyzzzzz_zzzzzzzz_1, tg_yyzzzzzz_xxxxxxxx_0, \
                                         tg_yyzzzzzz_xxxxxxxy_0, tg_yyzzzzzz_xxxxxxxz_0, tg_yyzzzzzz_xxxxxxyy_0, \
                                         tg_yyzzzzzz_xxxxxxyz_0, tg_yyzzzzzz_xxxxxxzz_0, tg_yyzzzzzz_xxxxxyyy_0, \
                                         tg_yyzzzzzz_xxxxxyyz_0, tg_yyzzzzzz_xxxxxyzz_0, tg_yyzzzzzz_xxxxxzzz_0, \
                                         tg_yyzzzzzz_xxxxyyyy_0, tg_yyzzzzzz_xxxxyyyz_0, tg_yyzzzzzz_xxxxyyzz_0, \
                                         tg_yyzzzzzz_xxxxyzzz_0, tg_yyzzzzzz_xxxxzzzz_0, tg_yyzzzzzz_xxxyyyyy_0, \
                                         tg_yyzzzzzz_xxxyyyyz_0, tg_yyzzzzzz_xxxyyyzz_0, tg_yyzzzzzz_xxxyyzzz_0, \
                                         tg_yyzzzzzz_xxxyzzzz_0, tg_yyzzzzzz_xxxzzzzz_0, tg_yyzzzzzz_xxyyyyyy_0, \
                                         tg_yyzzzzzz_xxyyyyyz_0, tg_yyzzzzzz_xxyyyyzz_0, tg_yyzzzzzz_xxyyyzzz_0, \
                                         tg_yyzzzzzz_xxyyzzzz_0, tg_yyzzzzzz_xxyzzzzz_0, tg_yyzzzzzz_xxzzzzzz_0, \
                                         tg_yyzzzzzz_xyyyyyyy_0, tg_yyzzzzzz_xyyyyyyz_0, tg_yyzzzzzz_xyyyyyzz_0, \
                                         tg_yyzzzzzz_xyyyyzzz_0, tg_yyzzzzzz_xyyyzzzz_0, tg_yyzzzzzz_xyyzzzzz_0, \
                                         tg_yyzzzzzz_xyzzzzzz_0, tg_yyzzzzzz_xzzzzzzz_0, tg_yyzzzzzz_yyyyyyyy_0, \
                                         tg_yyzzzzzz_yyyyyyyz_0, tg_yyzzzzzz_yyyyyyzz_0, tg_yzzzzz_xxxxxxxx_0, \
                                         tg_yzzzzz_xxxxxxxx_1, tg_yzzzzz_xxxxxxxy_0, tg_yzzzzz_xxxxxxxy_1, tg_yzzzzz_xxxxxxxz_0, \
                                         tg_yzzzzz_xxxxxxxz_1, tg_yzzzzz_xxxxxxyy_0, tg_yzzzzz_xxxxxxyy_1, tg_yzzzzz_xxxxxxyz_0, \
                                         tg_yzzzzz_xxxxxxyz_1, tg_yzzzzz_xxxxxxzz_0, tg_yzzzzz_xxxxxxzz_1, tg_yzzzzz_xxxxxyyy_0, \
                                         tg_yzzzzz_xxxxxyyy_1, tg_yzzzzz_xxxxxyyz_0, tg_yzzzzz_xxxxxyyz_1, tg_yzzzzz_xxxxxyzz_0, \
                                         tg_yzzzzz_xxxxxyzz_1, tg_yzzzzz_xxxxxzzz_0, tg_yzzzzz_xxxxxzzz_1, tg_yzzzzz_xxxxyyyy_0, \
                                         tg_yzzzzz_xxxxyyyy_1, tg_yzzzzz_xxxxyyyz_0, tg_yzzzzz_xxxxyyyz_1, tg_yzzzzz_xxxxyyzz_0, \
                                         tg_yzzzzz_xxxxyyzz_1, tg_yzzzzz_xxxxyzzz_0, tg_yzzzzz_xxxxyzzz_1, tg_yzzzzz_xxxxzzzz_0, \
                                         tg_yzzzzz_xxxxzzzz_1, tg_yzzzzz_xxxyyyyy_0, tg_yzzzzz_xxxyyyyy_1, tg_yzzzzz_xxxyyyyz_0, \
                                         tg_yzzzzz_xxxyyyyz_1, tg_yzzzzz_xxxyyyzz_0, tg_yzzzzz_xxxyyyzz_1, tg_yzzzzz_xxxyyzzz_0, \
                                         tg_yzzzzz_xxxyyzzz_1, tg_yzzzzz_xxxyzzzz_0, tg_yzzzzz_xxxyzzzz_1, tg_yzzzzz_xxxzzzzz_0, \
                                         tg_yzzzzz_xxxzzzzz_1, tg_yzzzzz_xxyyyyyy_0, tg_yzzzzz_xxyyyyyy_1, tg_yzzzzz_xxyyyyyz_0, \
                                         tg_yzzzzz_xxyyyyyz_1, tg_yzzzzz_xxyyyyzz_0, tg_yzzzzz_xxyyyyzz_1, tg_yzzzzz_xxyyyzzz_0, \
                                         tg_yzzzzz_xxyyyzzz_1, tg_yzzzzz_xxyyzzzz_0, tg_yzzzzz_xxyyzzzz_1, tg_yzzzzz_xxyzzzzz_0, \
                                         tg_yzzzzz_xxyzzzzz_1, tg_yzzzzz_xxzzzzzz_0, tg_yzzzzz_xxzzzzzz_1, tg_yzzzzz_xyyyyyyy_0, \
                                         tg_yzzzzz_xyyyyyyy_1, tg_yzzzzz_xyyyyyyz_0, tg_yzzzzz_xyyyyyyz_1, tg_yzzzzz_xyyyyyzz_0, \
                                         tg_yzzzzz_xyyyyyzz_1, tg_yzzzzz_xyyyyzzz_0, tg_yzzzzz_xyyyyzzz_1, tg_yzzzzz_xyyyzzzz_0, \
                                         tg_yzzzzz_xyyyzzzz_1, tg_yzzzzz_xyyzzzzz_0, tg_yzzzzz_xyyzzzzz_1, tg_yzzzzz_xyzzzzzz_0, \
                                         tg_yzzzzz_xyzzzzzz_1, tg_yzzzzz_xzzzzzzz_0, tg_yzzzzz_xzzzzzzz_1, tg_yzzzzz_yyyyyyyy_0, \
                                         tg_yzzzzz_yyyyyyyy_1, tg_yzzzzz_yyyyyyyz_0, tg_yzzzzz_yyyyyyyz_1, tg_yzzzzz_yyyyyyzz_0, \
                                         tg_yzzzzz_yyyyyyzz_1, tg_yzzzzz_yyyyyzzz_0, tg_yzzzzz_yyyyyzzz_1, tg_yzzzzz_yyyyzzzz_0, \
                                         tg_yzzzzz_yyyyzzzz_1, tg_yzzzzz_yyyzzzzz_0, tg_yzzzzz_yyyzzzzz_1, tg_yzzzzz_yyzzzzzz_0, \
                                         tg_yzzzzz_yyzzzzzz_1, tg_yzzzzz_yzzzzzzz_0, tg_yzzzzz_yzzzzzzz_1, tg_yzzzzz_zzzzzzzz_0, \
                                         tg_yzzzzz_zzzzzzzz_1, tg_yzzzzzz_xxxxxxx_1, tg_yzzzzzz_xxxxxxxx_0, \
                                         tg_yzzzzzz_xxxxxxxx_1, tg_yzzzzzz_xxxxxxxy_0, tg_yzzzzzz_xxxxxxxy_1, \
                                         tg_yzzzzzz_xxxxxxxz_0, tg_yzzzzzz_xxxxxxxz_1, tg_yzzzzzz_xxxxxxy_1, \
                                         tg_yzzzzzz_xxxxxxyy_0, tg_yzzzzzz_xxxxxxyy_1, tg_yzzzzzz_xxxxxxyz_0, \
                                         tg_yzzzzzz_xxxxxxyz_1, tg_yzzzzzz_xxxxxxz_1, tg_yzzzzzz_xxxxxxzz_0, \
                                         tg_yzzzzzz_xxxxxxzz_1, tg_yzzzzzz_xxxxxyy_1, tg_yzzzzzz_xxxxxyyy_0, \
                                         tg_yzzzzzz_xxxxxyyy_1, tg_yzzzzzz_xxxxxyyz_0, tg_yzzzzzz_xxxxxyyz_1, \
                                         tg_yzzzzzz_xxxxxyz_1, tg_yzzzzzz_xxxxxyzz_0, tg_yzzzzzz_xxxxxyzz_1, \
                                         tg_yzzzzzz_xxxxxzz_1, tg_yzzzzzz_xxxxxzzz_0, tg_yzzzzzz_xxxxxzzz_1, \
                                         tg_yzzzzzz_xxxxyyy_1, tg_yzzzzzz_xxxxyyyy_0, tg_yzzzzzz_xxxxyyyy_1, \
                                         tg_yzzzzzz_xxxxyyyz_0, tg_yzzzzzz_xxxxyyyz_1, tg_yzzzzzz_xxxxyyz_1, \
                                         tg_yzzzzzz_xxxxyyzz_0, tg_yzzzzzz_xxxxyyzz_1, tg_yzzzzzz_xxxxyzz_1, \
                                         tg_yzzzzzz_xxxxyzzz_0, tg_yzzzzzz_xxxxyzzz_1, tg_yzzzzzz_xxxxzzz_1, \
                                         tg_yzzzzzz_xxxxzzzz_0, tg_yzzzzzz_xxxxzzzz_1, tg_yzzzzzz_xxxyyyy_1, \
                                         tg_yzzzzzz_xxxyyyyy_0, tg_yzzzzzz_xxxyyyyy_1, tg_yzzzzzz_xxxyyyyz_0, \
                                         tg_yzzzzzz_xxxyyyyz_1, tg_yzzzzzz_xxxyyyz_1, tg_yzzzzzz_xxxyyyzz_0, \
                                         tg_yzzzzzz_xxxyyyzz_1, tg_yzzzzzz_xxxyyzz_1, tg_yzzzzzz_xxxyyzzz_0, \
                                         tg_yzzzzzz_xxxyyzzz_1, tg_yzzzzzz_xxxyzzz_1, tg_yzzzzzz_xxxyzzzz_0, \
                                         tg_yzzzzzz_xxxyzzzz_1, tg_yzzzzzz_xxxzzzz_1, tg_yzzzzzz_xxxzzzzz_0, \
                                         tg_yzzzzzz_xxxzzzzz_1, tg_yzzzzzz_xxyyyyy_1, tg_yzzzzzz_xxyyyyyy_0, \
                                         tg_yzzzzzz_xxyyyyyy_1, tg_yzzzzzz_xxyyyyyz_0, tg_yzzzzzz_xxyyyyyz_1, \
                                         tg_yzzzzzz_xxyyyyz_1, tg_yzzzzzz_xxyyyyzz_0, tg_yzzzzzz_xxyyyyzz_1, \
                                         tg_yzzzzzz_xxyyyzz_1, tg_yzzzzzz_xxyyyzzz_0, tg_yzzzzzz_xxyyyzzz_1, \
                                         tg_yzzzzzz_xxyyzzz_1, tg_yzzzzzz_xxyyzzzz_0, tg_yzzzzzz_xxyyzzzz_1, \
                                         tg_yzzzzzz_xxyzzzz_1, tg_yzzzzzz_xxyzzzzz_0, tg_yzzzzzz_xxyzzzzz_1, \
                                         tg_yzzzzzz_xxzzzzz_1, tg_yzzzzzz_xxzzzzzz_0, tg_yzzzzzz_xxzzzzzz_1, \
                                         tg_yzzzzzz_xyyyyyy_1, tg_yzzzzzz_xyyyyyyy_0, tg_yzzzzzz_xyyyyyyy_1, \
                                         tg_yzzzzzz_xyyyyyyz_0, tg_yzzzzzz_xyyyyyyz_1, tg_yzzzzzz_xyyyyyz_1, \
                                         tg_yzzzzzz_xyyyyyzz_0, tg_yzzzzzz_xyyyyyzz_1, tg_yzzzzzz_xyyyyzz_1, \
                                         tg_yzzzzzz_xyyyyzzz_0, tg_yzzzzzz_xyyyyzzz_1, tg_yzzzzzz_xyyyzzz_1, \
                                         tg_yzzzzzz_xyyyzzzz_0, tg_yzzzzzz_xyyyzzzz_1, tg_yzzzzzz_xyyzzzz_1, \
                                         tg_yzzzzzz_xyyzzzzz_0, tg_yzzzzzz_xyyzzzzz_1, tg_yzzzzzz_xyzzzzz_1, \
                                         tg_yzzzzzz_xyzzzzzz_0, tg_yzzzzzz_xyzzzzzz_1, tg_yzzzzzz_xzzzzzz_1, \
                                         tg_yzzzzzz_xzzzzzzz_0, tg_yzzzzzz_xzzzzzzz_1, tg_yzzzzzz_yyyyyyy_1, \
                                         tg_yzzzzzz_yyyyyyyy_0, tg_yzzzzzz_yyyyyyyy_1, tg_yzzzzzz_yyyyyyyz_0, \
                                         tg_yzzzzzz_yyyyyyyz_1, tg_yzzzzzz_yyyyyyz_1, tg_yzzzzzz_yyyyyyzz_0, \
                                         tg_yzzzzzz_yyyyyyzz_1, tg_yzzzzzz_yyyyyzz_1, tg_zzzzzz_xxxxxxxx_0, tg_zzzzzz_xxxxxxxx_1, \
                                         tg_zzzzzz_xxxxxxxy_0, tg_zzzzzz_xxxxxxxy_1, tg_zzzzzz_xxxxxxxz_0, tg_zzzzzz_xxxxxxxz_1, \
                                         tg_zzzzzz_xxxxxxyy_0, tg_zzzzzz_xxxxxxyy_1, tg_zzzzzz_xxxxxxyz_0, tg_zzzzzz_xxxxxxyz_1, \
                                         tg_zzzzzz_xxxxxxzz_0, tg_zzzzzz_xxxxxxzz_1, tg_zzzzzz_xxxxxyyy_0, tg_zzzzzz_xxxxxyyy_1, \
                                         tg_zzzzzz_xxxxxyyz_0, tg_zzzzzz_xxxxxyyz_1, tg_zzzzzz_xxxxxyzz_0, tg_zzzzzz_xxxxxyzz_1, \
                                         tg_zzzzzz_xxxxxzzz_0, tg_zzzzzz_xxxxxzzz_1, tg_zzzzzz_xxxxyyyy_0, tg_zzzzzz_xxxxyyyy_1, \
                                         tg_zzzzzz_xxxxyyyz_0, tg_zzzzzz_xxxxyyyz_1, tg_zzzzzz_xxxxyyzz_0, tg_zzzzzz_xxxxyyzz_1, \
                                         tg_zzzzzz_xxxxyzzz_0, tg_zzzzzz_xxxxyzzz_1, tg_zzzzzz_xxxxzzzz_0, tg_zzzzzz_xxxxzzzz_1, \
                                         tg_zzzzzz_xxxyyyyy_0, tg_zzzzzz_xxxyyyyy_1, tg_zzzzzz_xxxyyyyz_0, tg_zzzzzz_xxxyyyyz_1, \
                                         tg_zzzzzz_xxxyyyzz_0, tg_zzzzzz_xxxyyyzz_1, tg_zzzzzz_xxxyyzzz_0, tg_zzzzzz_xxxyyzzz_1, \
                                         tg_zzzzzz_xxxyzzzz_0, tg_zzzzzz_xxxyzzzz_1, tg_zzzzzz_xxxzzzzz_0, tg_zzzzzz_xxxzzzzz_1, \
                                         tg_zzzzzz_xxyyyyyy_0, tg_zzzzzz_xxyyyyyy_1, tg_zzzzzz_xxyyyyyz_0, tg_zzzzzz_xxyyyyyz_1, \
                                         tg_zzzzzz_xxyyyyzz_0, tg_zzzzzz_xxyyyyzz_1, tg_zzzzzz_xxyyyzzz_0, tg_zzzzzz_xxyyyzzz_1, \
                                         tg_zzzzzz_xxyyzzzz_0, tg_zzzzzz_xxyyzzzz_1, tg_zzzzzz_xxyzzzzz_0, tg_zzzzzz_xxyzzzzz_1, \
                                         tg_zzzzzz_xxzzzzzz_0, tg_zzzzzz_xxzzzzzz_1, tg_zzzzzz_xyyyyyyy_0, tg_zzzzzz_xyyyyyyy_1, \
                                         tg_zzzzzz_xyyyyyyz_0, tg_zzzzzz_xyyyyyyz_1, tg_zzzzzz_xyyyyyzz_0, tg_zzzzzz_xyyyyyzz_1, \
                                         tg_zzzzzz_xyyyyzzz_0, tg_zzzzzz_xyyyyzzz_1, tg_zzzzzz_xyyyzzzz_0, tg_zzzzzz_xyyyzzzz_1, \
                                         tg_zzzzzz_xyyzzzzz_0, tg_zzzzzz_xyyzzzzz_1, tg_zzzzzz_xyzzzzzz_0, tg_zzzzzz_xyzzzzzz_1, \
                                         tg_zzzzzz_xzzzzzzz_0, tg_zzzzzz_xzzzzzzz_1, tg_zzzzzz_yyyyyyyy_0, tg_zzzzzz_yyyyyyyy_1, \
                                         tg_zzzzzz_yyyyyyyz_0, tg_zzzzzz_yyyyyyyz_1, tg_zzzzzz_yyyyyyzz_0, tg_zzzzzz_yyyyyyzz_1, \
                                         wp_y: VLX_ALIGN)
                for (int32_t j = 0; j < nKetPrimPairs; j++)
                {
                    double fl1_fx = fx;

                    double fl1_fxn = fxn[j];

                    double fl1_fza = fza[j];

                    double fr = wp_y[j]; 

                    tg_yyyyzzzz_xyyzzzzz_0[j] = pb_y * tg_yyyzzzz_xyyzzzzz_0[j] + fr * tg_yyyzzzz_xyyzzzzz_1[j] + 1.5 * fl1_fx * (tg_yyzzzz_xyyzzzzz_0[j] - tg_yyzzzz_xyyzzzzz_1[j] * fl1_fza) + fl1_fxn * tg_yyyzzzz_xyzzzzz_1[j];

                    tg_yyyyzzzz_xyzzzzzz_0[j] = pb_y * tg_yyyzzzz_xyzzzzzz_0[j] + fr * tg_yyyzzzz_xyzzzzzz_1[j] + 1.5 * fl1_fx * (tg_yyzzzz_xyzzzzzz_0[j] - tg_yyzzzz_xyzzzzzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_yyyzzzz_xzzzzzz_1[j];

                    tg_yyyyzzzz_xzzzzzzz_0[j] = pb_y * tg_yyyzzzz_xzzzzzzz_0[j] + fr * tg_yyyzzzz_xzzzzzzz_1[j] + 1.5 * fl1_fx * (tg_yyzzzz_xzzzzzzz_0[j] - tg_yyzzzz_xzzzzzzz_1[j] * fl1_fza);

                    tg_yyyyzzzz_yyyyyyyy_0[j] = pb_y * tg_yyyzzzz_yyyyyyyy_0[j] + fr * tg_yyyzzzz_yyyyyyyy_1[j] + 1.5 * fl1_fx * (tg_yyzzzz_yyyyyyyy_0[j] - tg_yyzzzz_yyyyyyyy_1[j] * fl1_fza) + 4.0 * fl1_fxn * tg_yyyzzzz_yyyyyyy_1[j];

                    tg_yyyyzzzz_yyyyyyyz_0[j] = pb_y * tg_yyyzzzz_yyyyyyyz_0[j] + fr * tg_yyyzzzz_yyyyyyyz_1[j] + 1.5 * fl1_fx * (tg_yyzzzz_yyyyyyyz_0[j] - tg_yyzzzz_yyyyyyyz_1[j] * fl1_fza) + 3.5 * fl1_fxn * tg_yyyzzzz_yyyyyyz_1[j];

                    tg_yyyyzzzz_yyyyyyzz_0[j] = pb_y * tg_yyyzzzz_yyyyyyzz_0[j] + fr * tg_yyyzzzz_yyyyyyzz_1[j] + 1.5 * fl1_fx * (tg_yyzzzz_yyyyyyzz_0[j] - tg_yyzzzz_yyyyyyzz_1[j] * fl1_fza) + 3.0 * fl1_fxn * tg_yyyzzzz_yyyyyzz_1[j];

                    tg_yyyyzzzz_yyyyyzzz_0[j] = pb_y * tg_yyyzzzz_yyyyyzzz_0[j] + fr * tg_yyyzzzz_yyyyyzzz_1[j] + 1.5 * fl1_fx * (tg_yyzzzz_yyyyyzzz_0[j] - tg_yyzzzz_yyyyyzzz_1[j] * fl1_fza) + 2.5 * fl1_fxn * tg_yyyzzzz_yyyyzzz_1[j];

                    tg_yyyyzzzz_yyyyzzzz_0[j] = pb_y * tg_yyyzzzz_yyyyzzzz_0[j] + fr * tg_yyyzzzz_yyyyzzzz_1[j] + 1.5 * fl1_fx * (tg_yyzzzz_yyyyzzzz_0[j] - tg_yyzzzz_yyyyzzzz_1[j] * fl1_fza) + 2.0 * fl1_fxn * tg_yyyzzzz_yyyzzzz_1[j];

                    tg_yyyyzzzz_yyyzzzzz_0[j] = pb_y * tg_yyyzzzz_yyyzzzzz_0[j] + fr * tg_yyyzzzz_yyyzzzzz_1[j] + 1.5 * fl1_fx * (tg_yyzzzz_yyyzzzzz_0[j] - tg_yyzzzz_yyyzzzzz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_yyyzzzz_yyzzzzz_1[j];

                    tg_yyyyzzzz_yyzzzzzz_0[j] = pb_y * tg_yyyzzzz_yyzzzzzz_0[j] + fr * tg_yyyzzzz_yyzzzzzz_1[j] + 1.5 * fl1_fx * (tg_yyzzzz_yyzzzzzz_0[j] - tg_yyzzzz_yyzzzzzz_1[j] * fl1_fza) + fl1_fxn * tg_yyyzzzz_yzzzzzz_1[j];

                    tg_yyyyzzzz_yzzzzzzz_0[j] = pb_y * tg_yyyzzzz_yzzzzzzz_0[j] + fr * tg_yyyzzzz_yzzzzzzz_1[j] + 1.5 * fl1_fx * (tg_yyzzzz_yzzzzzzz_0[j] - tg_yyzzzz_yzzzzzzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_yyyzzzz_zzzzzzz_1[j];

                    tg_yyyyzzzz_zzzzzzzz_0[j] = pb_y * tg_yyyzzzz_zzzzzzzz_0[j] + fr * tg_yyyzzzz_zzzzzzzz_1[j] + 1.5 * fl1_fx * (tg_yyzzzz_zzzzzzzz_0[j] - tg_yyzzzz_zzzzzzzz_1[j] * fl1_fza);

                    tg_yyyzzzzz_xxxxxxxx_0[j] = pb_y * tg_yyzzzzz_xxxxxxxx_0[j] + fr * tg_yyzzzzz_xxxxxxxx_1[j] + fl1_fx * (tg_yzzzzz_xxxxxxxx_0[j] - tg_yzzzzz_xxxxxxxx_1[j] * fl1_fza);

                    tg_yyyzzzzz_xxxxxxxy_0[j] = pb_y * tg_yyzzzzz_xxxxxxxy_0[j] + fr * tg_yyzzzzz_xxxxxxxy_1[j] + fl1_fx * (tg_yzzzzz_xxxxxxxy_0[j] - tg_yzzzzz_xxxxxxxy_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_yyzzzzz_xxxxxxx_1[j];

                    tg_yyyzzzzz_xxxxxxxz_0[j] = pb_y * tg_yyzzzzz_xxxxxxxz_0[j] + fr * tg_yyzzzzz_xxxxxxxz_1[j] + fl1_fx * (tg_yzzzzz_xxxxxxxz_0[j] - tg_yzzzzz_xxxxxxxz_1[j] * fl1_fza);

                    tg_yyyzzzzz_xxxxxxyy_0[j] = pb_y * tg_yyzzzzz_xxxxxxyy_0[j] + fr * tg_yyzzzzz_xxxxxxyy_1[j] + fl1_fx * (tg_yzzzzz_xxxxxxyy_0[j] - tg_yzzzzz_xxxxxxyy_1[j] * fl1_fza) + fl1_fxn * tg_yyzzzzz_xxxxxxy_1[j];

                    tg_yyyzzzzz_xxxxxxyz_0[j] = pb_y * tg_yyzzzzz_xxxxxxyz_0[j] + fr * tg_yyzzzzz_xxxxxxyz_1[j] + fl1_fx * (tg_yzzzzz_xxxxxxyz_0[j] - tg_yzzzzz_xxxxxxyz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_yyzzzzz_xxxxxxz_1[j];

                    tg_yyyzzzzz_xxxxxxzz_0[j] = pb_y * tg_yyzzzzz_xxxxxxzz_0[j] + fr * tg_yyzzzzz_xxxxxxzz_1[j] + fl1_fx * (tg_yzzzzz_xxxxxxzz_0[j] - tg_yzzzzz_xxxxxxzz_1[j] * fl1_fza);

                    tg_yyyzzzzz_xxxxxyyy_0[j] = pb_y * tg_yyzzzzz_xxxxxyyy_0[j] + fr * tg_yyzzzzz_xxxxxyyy_1[j] + fl1_fx * (tg_yzzzzz_xxxxxyyy_0[j] - tg_yzzzzz_xxxxxyyy_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_yyzzzzz_xxxxxyy_1[j];

                    tg_yyyzzzzz_xxxxxyyz_0[j] = pb_y * tg_yyzzzzz_xxxxxyyz_0[j] + fr * tg_yyzzzzz_xxxxxyyz_1[j] + fl1_fx * (tg_yzzzzz_xxxxxyyz_0[j] - tg_yzzzzz_xxxxxyyz_1[j] * fl1_fza) + fl1_fxn * tg_yyzzzzz_xxxxxyz_1[j];

                    tg_yyyzzzzz_xxxxxyzz_0[j] = pb_y * tg_yyzzzzz_xxxxxyzz_0[j] + fr * tg_yyzzzzz_xxxxxyzz_1[j] + fl1_fx * (tg_yzzzzz_xxxxxyzz_0[j] - tg_yzzzzz_xxxxxyzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_yyzzzzz_xxxxxzz_1[j];

                    tg_yyyzzzzz_xxxxxzzz_0[j] = pb_y * tg_yyzzzzz_xxxxxzzz_0[j] + fr * tg_yyzzzzz_xxxxxzzz_1[j] + fl1_fx * (tg_yzzzzz_xxxxxzzz_0[j] - tg_yzzzzz_xxxxxzzz_1[j] * fl1_fza);

                    tg_yyyzzzzz_xxxxyyyy_0[j] = pb_y * tg_yyzzzzz_xxxxyyyy_0[j] + fr * tg_yyzzzzz_xxxxyyyy_1[j] + fl1_fx * (tg_yzzzzz_xxxxyyyy_0[j] - tg_yzzzzz_xxxxyyyy_1[j] * fl1_fza) + 2.0 * fl1_fxn * tg_yyzzzzz_xxxxyyy_1[j];

                    tg_yyyzzzzz_xxxxyyyz_0[j] = pb_y * tg_yyzzzzz_xxxxyyyz_0[j] + fr * tg_yyzzzzz_xxxxyyyz_1[j] + fl1_fx * (tg_yzzzzz_xxxxyyyz_0[j] - tg_yzzzzz_xxxxyyyz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_yyzzzzz_xxxxyyz_1[j];

                    tg_yyyzzzzz_xxxxyyzz_0[j] = pb_y * tg_yyzzzzz_xxxxyyzz_0[j] + fr * tg_yyzzzzz_xxxxyyzz_1[j] + fl1_fx * (tg_yzzzzz_xxxxyyzz_0[j] - tg_yzzzzz_xxxxyyzz_1[j] * fl1_fza) + fl1_fxn * tg_yyzzzzz_xxxxyzz_1[j];

                    tg_yyyzzzzz_xxxxyzzz_0[j] = pb_y * tg_yyzzzzz_xxxxyzzz_0[j] + fr * tg_yyzzzzz_xxxxyzzz_1[j] + fl1_fx * (tg_yzzzzz_xxxxyzzz_0[j] - tg_yzzzzz_xxxxyzzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_yyzzzzz_xxxxzzz_1[j];

                    tg_yyyzzzzz_xxxxzzzz_0[j] = pb_y * tg_yyzzzzz_xxxxzzzz_0[j] + fr * tg_yyzzzzz_xxxxzzzz_1[j] + fl1_fx * (tg_yzzzzz_xxxxzzzz_0[j] - tg_yzzzzz_xxxxzzzz_1[j] * fl1_fza);

                    tg_yyyzzzzz_xxxyyyyy_0[j] = pb_y * tg_yyzzzzz_xxxyyyyy_0[j] + fr * tg_yyzzzzz_xxxyyyyy_1[j] + fl1_fx * (tg_yzzzzz_xxxyyyyy_0[j] - tg_yzzzzz_xxxyyyyy_1[j] * fl1_fza) + 2.5 * fl1_fxn * tg_yyzzzzz_xxxyyyy_1[j];

                    tg_yyyzzzzz_xxxyyyyz_0[j] = pb_y * tg_yyzzzzz_xxxyyyyz_0[j] + fr * tg_yyzzzzz_xxxyyyyz_1[j] + fl1_fx * (tg_yzzzzz_xxxyyyyz_0[j] - tg_yzzzzz_xxxyyyyz_1[j] * fl1_fza) + 2.0 * fl1_fxn * tg_yyzzzzz_xxxyyyz_1[j];

                    tg_yyyzzzzz_xxxyyyzz_0[j] = pb_y * tg_yyzzzzz_xxxyyyzz_0[j] + fr * tg_yyzzzzz_xxxyyyzz_1[j] + fl1_fx * (tg_yzzzzz_xxxyyyzz_0[j] - tg_yzzzzz_xxxyyyzz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_yyzzzzz_xxxyyzz_1[j];

                    tg_yyyzzzzz_xxxyyzzz_0[j] = pb_y * tg_yyzzzzz_xxxyyzzz_0[j] + fr * tg_yyzzzzz_xxxyyzzz_1[j] + fl1_fx * (tg_yzzzzz_xxxyyzzz_0[j] - tg_yzzzzz_xxxyyzzz_1[j] * fl1_fza) + fl1_fxn * tg_yyzzzzz_xxxyzzz_1[j];

                    tg_yyyzzzzz_xxxyzzzz_0[j] = pb_y * tg_yyzzzzz_xxxyzzzz_0[j] + fr * tg_yyzzzzz_xxxyzzzz_1[j] + fl1_fx * (tg_yzzzzz_xxxyzzzz_0[j] - tg_yzzzzz_xxxyzzzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_yyzzzzz_xxxzzzz_1[j];

                    tg_yyyzzzzz_xxxzzzzz_0[j] = pb_y * tg_yyzzzzz_xxxzzzzz_0[j] + fr * tg_yyzzzzz_xxxzzzzz_1[j] + fl1_fx * (tg_yzzzzz_xxxzzzzz_0[j] - tg_yzzzzz_xxxzzzzz_1[j] * fl1_fza);

                    tg_yyyzzzzz_xxyyyyyy_0[j] = pb_y * tg_yyzzzzz_xxyyyyyy_0[j] + fr * tg_yyzzzzz_xxyyyyyy_1[j] + fl1_fx * (tg_yzzzzz_xxyyyyyy_0[j] - tg_yzzzzz_xxyyyyyy_1[j] * fl1_fza) + 3.0 * fl1_fxn * tg_yyzzzzz_xxyyyyy_1[j];

                    tg_yyyzzzzz_xxyyyyyz_0[j] = pb_y * tg_yyzzzzz_xxyyyyyz_0[j] + fr * tg_yyzzzzz_xxyyyyyz_1[j] + fl1_fx * (tg_yzzzzz_xxyyyyyz_0[j] - tg_yzzzzz_xxyyyyyz_1[j] * fl1_fza) + 2.5 * fl1_fxn * tg_yyzzzzz_xxyyyyz_1[j];

                    tg_yyyzzzzz_xxyyyyzz_0[j] = pb_y * tg_yyzzzzz_xxyyyyzz_0[j] + fr * tg_yyzzzzz_xxyyyyzz_1[j] + fl1_fx * (tg_yzzzzz_xxyyyyzz_0[j] - tg_yzzzzz_xxyyyyzz_1[j] * fl1_fza) + 2.0 * fl1_fxn * tg_yyzzzzz_xxyyyzz_1[j];

                    tg_yyyzzzzz_xxyyyzzz_0[j] = pb_y * tg_yyzzzzz_xxyyyzzz_0[j] + fr * tg_yyzzzzz_xxyyyzzz_1[j] + fl1_fx * (tg_yzzzzz_xxyyyzzz_0[j] - tg_yzzzzz_xxyyyzzz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_yyzzzzz_xxyyzzz_1[j];

                    tg_yyyzzzzz_xxyyzzzz_0[j] = pb_y * tg_yyzzzzz_xxyyzzzz_0[j] + fr * tg_yyzzzzz_xxyyzzzz_1[j] + fl1_fx * (tg_yzzzzz_xxyyzzzz_0[j] - tg_yzzzzz_xxyyzzzz_1[j] * fl1_fza) + fl1_fxn * tg_yyzzzzz_xxyzzzz_1[j];

                    tg_yyyzzzzz_xxyzzzzz_0[j] = pb_y * tg_yyzzzzz_xxyzzzzz_0[j] + fr * tg_yyzzzzz_xxyzzzzz_1[j] + fl1_fx * (tg_yzzzzz_xxyzzzzz_0[j] - tg_yzzzzz_xxyzzzzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_yyzzzzz_xxzzzzz_1[j];

                    tg_yyyzzzzz_xxzzzzzz_0[j] = pb_y * tg_yyzzzzz_xxzzzzzz_0[j] + fr * tg_yyzzzzz_xxzzzzzz_1[j] + fl1_fx * (tg_yzzzzz_xxzzzzzz_0[j] - tg_yzzzzz_xxzzzzzz_1[j] * fl1_fza);

                    tg_yyyzzzzz_xyyyyyyy_0[j] = pb_y * tg_yyzzzzz_xyyyyyyy_0[j] + fr * tg_yyzzzzz_xyyyyyyy_1[j] + fl1_fx * (tg_yzzzzz_xyyyyyyy_0[j] - tg_yzzzzz_xyyyyyyy_1[j] * fl1_fza) + 3.5 * fl1_fxn * tg_yyzzzzz_xyyyyyy_1[j];

                    tg_yyyzzzzz_xyyyyyyz_0[j] = pb_y * tg_yyzzzzz_xyyyyyyz_0[j] + fr * tg_yyzzzzz_xyyyyyyz_1[j] + fl1_fx * (tg_yzzzzz_xyyyyyyz_0[j] - tg_yzzzzz_xyyyyyyz_1[j] * fl1_fza) + 3.0 * fl1_fxn * tg_yyzzzzz_xyyyyyz_1[j];

                    tg_yyyzzzzz_xyyyyyzz_0[j] = pb_y * tg_yyzzzzz_xyyyyyzz_0[j] + fr * tg_yyzzzzz_xyyyyyzz_1[j] + fl1_fx * (tg_yzzzzz_xyyyyyzz_0[j] - tg_yzzzzz_xyyyyyzz_1[j] * fl1_fza) + 2.5 * fl1_fxn * tg_yyzzzzz_xyyyyzz_1[j];

                    tg_yyyzzzzz_xyyyyzzz_0[j] = pb_y * tg_yyzzzzz_xyyyyzzz_0[j] + fr * tg_yyzzzzz_xyyyyzzz_1[j] + fl1_fx * (tg_yzzzzz_xyyyyzzz_0[j] - tg_yzzzzz_xyyyyzzz_1[j] * fl1_fza) + 2.0 * fl1_fxn * tg_yyzzzzz_xyyyzzz_1[j];

                    tg_yyyzzzzz_xyyyzzzz_0[j] = pb_y * tg_yyzzzzz_xyyyzzzz_0[j] + fr * tg_yyzzzzz_xyyyzzzz_1[j] + fl1_fx * (tg_yzzzzz_xyyyzzzz_0[j] - tg_yzzzzz_xyyyzzzz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_yyzzzzz_xyyzzzz_1[j];

                    tg_yyyzzzzz_xyyzzzzz_0[j] = pb_y * tg_yyzzzzz_xyyzzzzz_0[j] + fr * tg_yyzzzzz_xyyzzzzz_1[j] + fl1_fx * (tg_yzzzzz_xyyzzzzz_0[j] - tg_yzzzzz_xyyzzzzz_1[j] * fl1_fza) + fl1_fxn * tg_yyzzzzz_xyzzzzz_1[j];

                    tg_yyyzzzzz_xyzzzzzz_0[j] = pb_y * tg_yyzzzzz_xyzzzzzz_0[j] + fr * tg_yyzzzzz_xyzzzzzz_1[j] + fl1_fx * (tg_yzzzzz_xyzzzzzz_0[j] - tg_yzzzzz_xyzzzzzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_yyzzzzz_xzzzzzz_1[j];

                    tg_yyyzzzzz_xzzzzzzz_0[j] = pb_y * tg_yyzzzzz_xzzzzzzz_0[j] + fr * tg_yyzzzzz_xzzzzzzz_1[j] + fl1_fx * (tg_yzzzzz_xzzzzzzz_0[j] - tg_yzzzzz_xzzzzzzz_1[j] * fl1_fza);

                    tg_yyyzzzzz_yyyyyyyy_0[j] = pb_y * tg_yyzzzzz_yyyyyyyy_0[j] + fr * tg_yyzzzzz_yyyyyyyy_1[j] + fl1_fx * (tg_yzzzzz_yyyyyyyy_0[j] - tg_yzzzzz_yyyyyyyy_1[j] * fl1_fza) + 4.0 * fl1_fxn * tg_yyzzzzz_yyyyyyy_1[j];

                    tg_yyyzzzzz_yyyyyyyz_0[j] = pb_y * tg_yyzzzzz_yyyyyyyz_0[j] + fr * tg_yyzzzzz_yyyyyyyz_1[j] + fl1_fx * (tg_yzzzzz_yyyyyyyz_0[j] - tg_yzzzzz_yyyyyyyz_1[j] * fl1_fza) + 3.5 * fl1_fxn * tg_yyzzzzz_yyyyyyz_1[j];

                    tg_yyyzzzzz_yyyyyyzz_0[j] = pb_y * tg_yyzzzzz_yyyyyyzz_0[j] + fr * tg_yyzzzzz_yyyyyyzz_1[j] + fl1_fx * (tg_yzzzzz_yyyyyyzz_0[j] - tg_yzzzzz_yyyyyyzz_1[j] * fl1_fza) + 3.0 * fl1_fxn * tg_yyzzzzz_yyyyyzz_1[j];

                    tg_yyyzzzzz_yyyyyzzz_0[j] = pb_y * tg_yyzzzzz_yyyyyzzz_0[j] + fr * tg_yyzzzzz_yyyyyzzz_1[j] + fl1_fx * (tg_yzzzzz_yyyyyzzz_0[j] - tg_yzzzzz_yyyyyzzz_1[j] * fl1_fza) + 2.5 * fl1_fxn * tg_yyzzzzz_yyyyzzz_1[j];

                    tg_yyyzzzzz_yyyyzzzz_0[j] = pb_y * tg_yyzzzzz_yyyyzzzz_0[j] + fr * tg_yyzzzzz_yyyyzzzz_1[j] + fl1_fx * (tg_yzzzzz_yyyyzzzz_0[j] - tg_yzzzzz_yyyyzzzz_1[j] * fl1_fza) + 2.0 * fl1_fxn * tg_yyzzzzz_yyyzzzz_1[j];

                    tg_yyyzzzzz_yyyzzzzz_0[j] = pb_y * tg_yyzzzzz_yyyzzzzz_0[j] + fr * tg_yyzzzzz_yyyzzzzz_1[j] + fl1_fx * (tg_yzzzzz_yyyzzzzz_0[j] - tg_yzzzzz_yyyzzzzz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_yyzzzzz_yyzzzzz_1[j];

                    tg_yyyzzzzz_yyzzzzzz_0[j] = pb_y * tg_yyzzzzz_yyzzzzzz_0[j] + fr * tg_yyzzzzz_yyzzzzzz_1[j] + fl1_fx * (tg_yzzzzz_yyzzzzzz_0[j] - tg_yzzzzz_yyzzzzzz_1[j] * fl1_fza) + fl1_fxn * tg_yyzzzzz_yzzzzzz_1[j];

                    tg_yyyzzzzz_yzzzzzzz_0[j] = pb_y * tg_yyzzzzz_yzzzzzzz_0[j] + fr * tg_yyzzzzz_yzzzzzzz_1[j] + fl1_fx * (tg_yzzzzz_yzzzzzzz_0[j] - tg_yzzzzz_yzzzzzzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_yyzzzzz_zzzzzzz_1[j];

                    tg_yyyzzzzz_zzzzzzzz_0[j] = pb_y * tg_yyzzzzz_zzzzzzzz_0[j] + fr * tg_yyzzzzz_zzzzzzzz_1[j] + fl1_fx * (tg_yzzzzz_zzzzzzzz_0[j] - tg_yzzzzz_zzzzzzzz_1[j] * fl1_fza);

                    tg_yyzzzzzz_xxxxxxxx_0[j] = pb_y * tg_yzzzzzz_xxxxxxxx_0[j] + fr * tg_yzzzzzz_xxxxxxxx_1[j] + 0.5 * fl1_fx * (tg_zzzzzz_xxxxxxxx_0[j] - tg_zzzzzz_xxxxxxxx_1[j] * fl1_fza);

                    tg_yyzzzzzz_xxxxxxxy_0[j] = pb_y * tg_yzzzzzz_xxxxxxxy_0[j] + fr * tg_yzzzzzz_xxxxxxxy_1[j] + 0.5 * fl1_fx * (tg_zzzzzz_xxxxxxxy_0[j] - tg_zzzzzz_xxxxxxxy_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_yzzzzzz_xxxxxxx_1[j];

                    tg_yyzzzzzz_xxxxxxxz_0[j] = pb_y * tg_yzzzzzz_xxxxxxxz_0[j] + fr * tg_yzzzzzz_xxxxxxxz_1[j] + 0.5 * fl1_fx * (tg_zzzzzz_xxxxxxxz_0[j] - tg_zzzzzz_xxxxxxxz_1[j] * fl1_fza);

                    tg_yyzzzzzz_xxxxxxyy_0[j] = pb_y * tg_yzzzzzz_xxxxxxyy_0[j] + fr * tg_yzzzzzz_xxxxxxyy_1[j] + 0.5 * fl1_fx * (tg_zzzzzz_xxxxxxyy_0[j] - tg_zzzzzz_xxxxxxyy_1[j] * fl1_fza) + fl1_fxn * tg_yzzzzzz_xxxxxxy_1[j];

                    tg_yyzzzzzz_xxxxxxyz_0[j] = pb_y * tg_yzzzzzz_xxxxxxyz_0[j] + fr * tg_yzzzzzz_xxxxxxyz_1[j] + 0.5 * fl1_fx * (tg_zzzzzz_xxxxxxyz_0[j] - tg_zzzzzz_xxxxxxyz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_yzzzzzz_xxxxxxz_1[j];

                    tg_yyzzzzzz_xxxxxxzz_0[j] = pb_y * tg_yzzzzzz_xxxxxxzz_0[j] + fr * tg_yzzzzzz_xxxxxxzz_1[j] + 0.5 * fl1_fx * (tg_zzzzzz_xxxxxxzz_0[j] - tg_zzzzzz_xxxxxxzz_1[j] * fl1_fza);

                    tg_yyzzzzzz_xxxxxyyy_0[j] = pb_y * tg_yzzzzzz_xxxxxyyy_0[j] + fr * tg_yzzzzzz_xxxxxyyy_1[j] + 0.5 * fl1_fx * (tg_zzzzzz_xxxxxyyy_0[j] - tg_zzzzzz_xxxxxyyy_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_yzzzzzz_xxxxxyy_1[j];

                    tg_yyzzzzzz_xxxxxyyz_0[j] = pb_y * tg_yzzzzzz_xxxxxyyz_0[j] + fr * tg_yzzzzzz_xxxxxyyz_1[j] + 0.5 * fl1_fx * (tg_zzzzzz_xxxxxyyz_0[j] - tg_zzzzzz_xxxxxyyz_1[j] * fl1_fza) + fl1_fxn * tg_yzzzzzz_xxxxxyz_1[j];

                    tg_yyzzzzzz_xxxxxyzz_0[j] = pb_y * tg_yzzzzzz_xxxxxyzz_0[j] + fr * tg_yzzzzzz_xxxxxyzz_1[j] + 0.5 * fl1_fx * (tg_zzzzzz_xxxxxyzz_0[j] - tg_zzzzzz_xxxxxyzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_yzzzzzz_xxxxxzz_1[j];

                    tg_yyzzzzzz_xxxxxzzz_0[j] = pb_y * tg_yzzzzzz_xxxxxzzz_0[j] + fr * tg_yzzzzzz_xxxxxzzz_1[j] + 0.5 * fl1_fx * (tg_zzzzzz_xxxxxzzz_0[j] - tg_zzzzzz_xxxxxzzz_1[j] * fl1_fza);

                    tg_yyzzzzzz_xxxxyyyy_0[j] = pb_y * tg_yzzzzzz_xxxxyyyy_0[j] + fr * tg_yzzzzzz_xxxxyyyy_1[j] + 0.5 * fl1_fx * (tg_zzzzzz_xxxxyyyy_0[j] - tg_zzzzzz_xxxxyyyy_1[j] * fl1_fza) + 2.0 * fl1_fxn * tg_yzzzzzz_xxxxyyy_1[j];

                    tg_yyzzzzzz_xxxxyyyz_0[j] = pb_y * tg_yzzzzzz_xxxxyyyz_0[j] + fr * tg_yzzzzzz_xxxxyyyz_1[j] + 0.5 * fl1_fx * (tg_zzzzzz_xxxxyyyz_0[j] - tg_zzzzzz_xxxxyyyz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_yzzzzzz_xxxxyyz_1[j];

                    tg_yyzzzzzz_xxxxyyzz_0[j] = pb_y * tg_yzzzzzz_xxxxyyzz_0[j] + fr * tg_yzzzzzz_xxxxyyzz_1[j] + 0.5 * fl1_fx * (tg_zzzzzz_xxxxyyzz_0[j] - tg_zzzzzz_xxxxyyzz_1[j] * fl1_fza) + fl1_fxn * tg_yzzzzzz_xxxxyzz_1[j];

                    tg_yyzzzzzz_xxxxyzzz_0[j] = pb_y * tg_yzzzzzz_xxxxyzzz_0[j] + fr * tg_yzzzzzz_xxxxyzzz_1[j] + 0.5 * fl1_fx * (tg_zzzzzz_xxxxyzzz_0[j] - tg_zzzzzz_xxxxyzzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_yzzzzzz_xxxxzzz_1[j];

                    tg_yyzzzzzz_xxxxzzzz_0[j] = pb_y * tg_yzzzzzz_xxxxzzzz_0[j] + fr * tg_yzzzzzz_xxxxzzzz_1[j] + 0.5 * fl1_fx * (tg_zzzzzz_xxxxzzzz_0[j] - tg_zzzzzz_xxxxzzzz_1[j] * fl1_fza);

                    tg_yyzzzzzz_xxxyyyyy_0[j] = pb_y * tg_yzzzzzz_xxxyyyyy_0[j] + fr * tg_yzzzzzz_xxxyyyyy_1[j] + 0.5 * fl1_fx * (tg_zzzzzz_xxxyyyyy_0[j] - tg_zzzzzz_xxxyyyyy_1[j] * fl1_fza) + 2.5 * fl1_fxn * tg_yzzzzzz_xxxyyyy_1[j];

                    tg_yyzzzzzz_xxxyyyyz_0[j] = pb_y * tg_yzzzzzz_xxxyyyyz_0[j] + fr * tg_yzzzzzz_xxxyyyyz_1[j] + 0.5 * fl1_fx * (tg_zzzzzz_xxxyyyyz_0[j] - tg_zzzzzz_xxxyyyyz_1[j] * fl1_fza) + 2.0 * fl1_fxn * tg_yzzzzzz_xxxyyyz_1[j];

                    tg_yyzzzzzz_xxxyyyzz_0[j] = pb_y * tg_yzzzzzz_xxxyyyzz_0[j] + fr * tg_yzzzzzz_xxxyyyzz_1[j] + 0.5 * fl1_fx * (tg_zzzzzz_xxxyyyzz_0[j] - tg_zzzzzz_xxxyyyzz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_yzzzzzz_xxxyyzz_1[j];

                    tg_yyzzzzzz_xxxyyzzz_0[j] = pb_y * tg_yzzzzzz_xxxyyzzz_0[j] + fr * tg_yzzzzzz_xxxyyzzz_1[j] + 0.5 * fl1_fx * (tg_zzzzzz_xxxyyzzz_0[j] - tg_zzzzzz_xxxyyzzz_1[j] * fl1_fza) + fl1_fxn * tg_yzzzzzz_xxxyzzz_1[j];

                    tg_yyzzzzzz_xxxyzzzz_0[j] = pb_y * tg_yzzzzzz_xxxyzzzz_0[j] + fr * tg_yzzzzzz_xxxyzzzz_1[j] + 0.5 * fl1_fx * (tg_zzzzzz_xxxyzzzz_0[j] - tg_zzzzzz_xxxyzzzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_yzzzzzz_xxxzzzz_1[j];

                    tg_yyzzzzzz_xxxzzzzz_0[j] = pb_y * tg_yzzzzzz_xxxzzzzz_0[j] + fr * tg_yzzzzzz_xxxzzzzz_1[j] + 0.5 * fl1_fx * (tg_zzzzzz_xxxzzzzz_0[j] - tg_zzzzzz_xxxzzzzz_1[j] * fl1_fza);

                    tg_yyzzzzzz_xxyyyyyy_0[j] = pb_y * tg_yzzzzzz_xxyyyyyy_0[j] + fr * tg_yzzzzzz_xxyyyyyy_1[j] + 0.5 * fl1_fx * (tg_zzzzzz_xxyyyyyy_0[j] - tg_zzzzzz_xxyyyyyy_1[j] * fl1_fza) + 3.0 * fl1_fxn * tg_yzzzzzz_xxyyyyy_1[j];

                    tg_yyzzzzzz_xxyyyyyz_0[j] = pb_y * tg_yzzzzzz_xxyyyyyz_0[j] + fr * tg_yzzzzzz_xxyyyyyz_1[j] + 0.5 * fl1_fx * (tg_zzzzzz_xxyyyyyz_0[j] - tg_zzzzzz_xxyyyyyz_1[j] * fl1_fza) + 2.5 * fl1_fxn * tg_yzzzzzz_xxyyyyz_1[j];

                    tg_yyzzzzzz_xxyyyyzz_0[j] = pb_y * tg_yzzzzzz_xxyyyyzz_0[j] + fr * tg_yzzzzzz_xxyyyyzz_1[j] + 0.5 * fl1_fx * (tg_zzzzzz_xxyyyyzz_0[j] - tg_zzzzzz_xxyyyyzz_1[j] * fl1_fza) + 2.0 * fl1_fxn * tg_yzzzzzz_xxyyyzz_1[j];

                    tg_yyzzzzzz_xxyyyzzz_0[j] = pb_y * tg_yzzzzzz_xxyyyzzz_0[j] + fr * tg_yzzzzzz_xxyyyzzz_1[j] + 0.5 * fl1_fx * (tg_zzzzzz_xxyyyzzz_0[j] - tg_zzzzzz_xxyyyzzz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_yzzzzzz_xxyyzzz_1[j];

                    tg_yyzzzzzz_xxyyzzzz_0[j] = pb_y * tg_yzzzzzz_xxyyzzzz_0[j] + fr * tg_yzzzzzz_xxyyzzzz_1[j] + 0.5 * fl1_fx * (tg_zzzzzz_xxyyzzzz_0[j] - tg_zzzzzz_xxyyzzzz_1[j] * fl1_fza) + fl1_fxn * tg_yzzzzzz_xxyzzzz_1[j];

                    tg_yyzzzzzz_xxyzzzzz_0[j] = pb_y * tg_yzzzzzz_xxyzzzzz_0[j] + fr * tg_yzzzzzz_xxyzzzzz_1[j] + 0.5 * fl1_fx * (tg_zzzzzz_xxyzzzzz_0[j] - tg_zzzzzz_xxyzzzzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_yzzzzzz_xxzzzzz_1[j];

                    tg_yyzzzzzz_xxzzzzzz_0[j] = pb_y * tg_yzzzzzz_xxzzzzzz_0[j] + fr * tg_yzzzzzz_xxzzzzzz_1[j] + 0.5 * fl1_fx * (tg_zzzzzz_xxzzzzzz_0[j] - tg_zzzzzz_xxzzzzzz_1[j] * fl1_fza);

                    tg_yyzzzzzz_xyyyyyyy_0[j] = pb_y * tg_yzzzzzz_xyyyyyyy_0[j] + fr * tg_yzzzzzz_xyyyyyyy_1[j] + 0.5 * fl1_fx * (tg_zzzzzz_xyyyyyyy_0[j] - tg_zzzzzz_xyyyyyyy_1[j] * fl1_fza) + 3.5 * fl1_fxn * tg_yzzzzzz_xyyyyyy_1[j];

                    tg_yyzzzzzz_xyyyyyyz_0[j] = pb_y * tg_yzzzzzz_xyyyyyyz_0[j] + fr * tg_yzzzzzz_xyyyyyyz_1[j] + 0.5 * fl1_fx * (tg_zzzzzz_xyyyyyyz_0[j] - tg_zzzzzz_xyyyyyyz_1[j] * fl1_fza) + 3.0 * fl1_fxn * tg_yzzzzzz_xyyyyyz_1[j];

                    tg_yyzzzzzz_xyyyyyzz_0[j] = pb_y * tg_yzzzzzz_xyyyyyzz_0[j] + fr * tg_yzzzzzz_xyyyyyzz_1[j] + 0.5 * fl1_fx * (tg_zzzzzz_xyyyyyzz_0[j] - tg_zzzzzz_xyyyyyzz_1[j] * fl1_fza) + 2.5 * fl1_fxn * tg_yzzzzzz_xyyyyzz_1[j];

                    tg_yyzzzzzz_xyyyyzzz_0[j] = pb_y * tg_yzzzzzz_xyyyyzzz_0[j] + fr * tg_yzzzzzz_xyyyyzzz_1[j] + 0.5 * fl1_fx * (tg_zzzzzz_xyyyyzzz_0[j] - tg_zzzzzz_xyyyyzzz_1[j] * fl1_fza) + 2.0 * fl1_fxn * tg_yzzzzzz_xyyyzzz_1[j];

                    tg_yyzzzzzz_xyyyzzzz_0[j] = pb_y * tg_yzzzzzz_xyyyzzzz_0[j] + fr * tg_yzzzzzz_xyyyzzzz_1[j] + 0.5 * fl1_fx * (tg_zzzzzz_xyyyzzzz_0[j] - tg_zzzzzz_xyyyzzzz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_yzzzzzz_xyyzzzz_1[j];

                    tg_yyzzzzzz_xyyzzzzz_0[j] = pb_y * tg_yzzzzzz_xyyzzzzz_0[j] + fr * tg_yzzzzzz_xyyzzzzz_1[j] + 0.5 * fl1_fx * (tg_zzzzzz_xyyzzzzz_0[j] - tg_zzzzzz_xyyzzzzz_1[j] * fl1_fza) + fl1_fxn * tg_yzzzzzz_xyzzzzz_1[j];

                    tg_yyzzzzzz_xyzzzzzz_0[j] = pb_y * tg_yzzzzzz_xyzzzzzz_0[j] + fr * tg_yzzzzzz_xyzzzzzz_1[j] + 0.5 * fl1_fx * (tg_zzzzzz_xyzzzzzz_0[j] - tg_zzzzzz_xyzzzzzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_yzzzzzz_xzzzzzz_1[j];

                    tg_yyzzzzzz_xzzzzzzz_0[j] = pb_y * tg_yzzzzzz_xzzzzzzz_0[j] + fr * tg_yzzzzzz_xzzzzzzz_1[j] + 0.5 * fl1_fx * (tg_zzzzzz_xzzzzzzz_0[j] - tg_zzzzzz_xzzzzzzz_1[j] * fl1_fza);

                    tg_yyzzzzzz_yyyyyyyy_0[j] = pb_y * tg_yzzzzzz_yyyyyyyy_0[j] + fr * tg_yzzzzzz_yyyyyyyy_1[j] + 0.5 * fl1_fx * (tg_zzzzzz_yyyyyyyy_0[j] - tg_zzzzzz_yyyyyyyy_1[j] * fl1_fza) + 4.0 * fl1_fxn * tg_yzzzzzz_yyyyyyy_1[j];

                    tg_yyzzzzzz_yyyyyyyz_0[j] = pb_y * tg_yzzzzzz_yyyyyyyz_0[j] + fr * tg_yzzzzzz_yyyyyyyz_1[j] + 0.5 * fl1_fx * (tg_zzzzzz_yyyyyyyz_0[j] - tg_zzzzzz_yyyyyyyz_1[j] * fl1_fza) + 3.5 * fl1_fxn * tg_yzzzzzz_yyyyyyz_1[j];

                    tg_yyzzzzzz_yyyyyyzz_0[j] = pb_y * tg_yzzzzzz_yyyyyyzz_0[j] + fr * tg_yzzzzzz_yyyyyyzz_1[j] + 0.5 * fl1_fx * (tg_zzzzzz_yyyyyyzz_0[j] - tg_zzzzzz_yyyyyyzz_1[j] * fl1_fza) + 3.0 * fl1_fxn * tg_yzzzzzz_yyyyyzz_1[j];
                }

                idx++;
            }
        }
    }

    void
    compElectronRepulsionForSLSL_1929_2025(      CMemBlock2D<double>* primBuffer,
                                           const CRecursionMap&       recursionMap,
                                           const CMemBlock2D<double>& osFactors,
                                           const CMemBlock2D<double>& wpDistances,
                                           const CGtoPairsBlock&      braGtoPairsBlock,
                                           const CGtoPairsBlock&      ketGtoPairsBlock,
                                           const int32_t              nKetPrimPairs,
                                           const int32_t              iContrPair)
    {
        // Batch of Integrals (1929,2025)

        // set up pointers to primitives data on bra side

        auto spos = braGtoPairsBlock.getStartPositions();

        auto epos = braGtoPairsBlock.getEndPositions();

        // set up pointers to tensor of distance R(PB) = P - B

        auto r_pb_y = braGtoPairsBlock.getDistancesPBY();

        auto r_pb_z = braGtoPairsBlock.getDistancesPBZ();

        // set up pointers to common Obara-Saika factors

        auto b_fx = braGtoPairsBlock.getFactorsOneOverXi();

        // set up maximum order of integral

        auto mord = recursionMap.getMaxOrder({"Electron Repulsion"},
                                             {8, -1, -1, -1},
                                             {8, -1, -1, -1},
                                             1, 1);

        for (int32_t iord = 0; iord <= mord; iord++)
        {
            // set up index of integral

            auto pidx_g_8_8_m0 = recursionMap.index(CRecursionTerm({"Electron Repulsion"}, 0, true, 
                                                                   {8, -1, -1, -1}, {8, -1, -1, -1}, 
                                                                   1, 1, iord));

            // check if integral is needed in recursion expansion

            if (pidx_g_8_8_m0 == -1) continue;

            // set up indexes of auxilary integral

            auto pidx_g_7_8_m0 = recursionMap.index(CRecursionTerm({"Electron Repulsion"}, 0, true, 
                                                                   {7, -1, -1, -1}, {8, -1, -1, -1}, 
                                                                   1, 1, iord));

            auto pidx_g_7_8_m1 = recursionMap.index(CRecursionTerm({"Electron Repulsion"}, 0, true, 
                                                                   {7, -1, -1, -1}, {8, -1, -1, -1}, 
                                                                   1, 1, iord + 1));

            auto pidx_g_6_8_m0 = recursionMap.index(CRecursionTerm({"Electron Repulsion"}, 0, true, 
                                                                   {6, -1, -1, -1}, {8, -1, -1, -1}, 
                                                                   1, 1, iord));

            auto pidx_g_6_8_m1 = recursionMap.index(CRecursionTerm({"Electron Repulsion"}, 0, true, 
                                                                   {6, -1, -1, -1}, {8, -1, -1, -1}, 
                                                                   1, 1, iord + 1));

            auto pidx_g_7_7_m1 = recursionMap.index(CRecursionTerm({"Electron Repulsion"}, 0, true, 
                                                                   {7, -1, -1, -1}, {7, -1, -1, -1}, 
                                                                   1, 1, iord + 1));

            // loop over contracted GTO on bra side

            int32_t idx = 0;

            for (int32_t i = spos[iContrPair]; i < epos[iContrPair]; i++)
            {
                // set up pointers to Obara-Saika factors

                double fx = b_fx[i];

                auto fza = osFactors.data(4 * idx + 2);

                auto fxn = osFactors.data(4 * idx);

                // set up distances R(PB) = P - B

                auto pb_y = r_pb_y[i];

                auto pb_z = r_pb_z[i];

                // set up pointers to tensors product of distances R(WP) = W - P

                auto wp_y = wpDistances.data(3 * idx + 1);

                auto wp_z = wpDistances.data(3 * idx + 2);

                // set up pointers to auxilary integrals

                auto tg_yzzzzzz_yyyyyzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1569); 

                auto tg_yzzzzzz_yyyyzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1570); 

                auto tg_yzzzzzz_yyyzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1571); 

                auto tg_yzzzzzz_yyzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1572); 

                auto tg_yzzzzzz_yzzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1573); 

                auto tg_yzzzzzz_zzzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1574); 

                auto tg_zzzzzzz_xxxxxxxx_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1575); 

                auto tg_zzzzzzz_xxxxxxxy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1576); 

                auto tg_zzzzzzz_xxxxxxxz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1577); 

                auto tg_zzzzzzz_xxxxxxyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1578); 

                auto tg_zzzzzzz_xxxxxxyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1579); 

                auto tg_zzzzzzz_xxxxxxzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1580); 

                auto tg_zzzzzzz_xxxxxyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1581); 

                auto tg_zzzzzzz_xxxxxyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1582); 

                auto tg_zzzzzzz_xxxxxyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1583); 

                auto tg_zzzzzzz_xxxxxzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1584); 

                auto tg_zzzzzzz_xxxxyyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1585); 

                auto tg_zzzzzzz_xxxxyyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1586); 

                auto tg_zzzzzzz_xxxxyyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1587); 

                auto tg_zzzzzzz_xxxxyzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1588); 

                auto tg_zzzzzzz_xxxxzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1589); 

                auto tg_zzzzzzz_xxxyyyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1590); 

                auto tg_zzzzzzz_xxxyyyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1591); 

                auto tg_zzzzzzz_xxxyyyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1592); 

                auto tg_zzzzzzz_xxxyyzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1593); 

                auto tg_zzzzzzz_xxxyzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1594); 

                auto tg_zzzzzzz_xxxzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1595); 

                auto tg_zzzzzzz_xxyyyyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1596); 

                auto tg_zzzzzzz_xxyyyyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1597); 

                auto tg_zzzzzzz_xxyyyyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1598); 

                auto tg_zzzzzzz_xxyyyzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1599); 

                auto tg_zzzzzzz_xxyyzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1600); 

                auto tg_zzzzzzz_xxyzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1601); 

                auto tg_zzzzzzz_xxzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1602); 

                auto tg_zzzzzzz_xyyyyyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1603); 

                auto tg_zzzzzzz_xyyyyyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1604); 

                auto tg_zzzzzzz_xyyyyyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1605); 

                auto tg_zzzzzzz_xyyyyzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1606); 

                auto tg_zzzzzzz_xyyyzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1607); 

                auto tg_zzzzzzz_xyyzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1608); 

                auto tg_zzzzzzz_xyzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1609); 

                auto tg_zzzzzzz_xzzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1610); 

                auto tg_zzzzzzz_yyyyyyyy_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1611); 

                auto tg_zzzzzzz_yyyyyyyz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1612); 

                auto tg_zzzzzzz_yyyyyyzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1613); 

                auto tg_zzzzzzz_yyyyyzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1614); 

                auto tg_zzzzzzz_yyyyzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1615); 

                auto tg_zzzzzzz_yyyzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1616); 

                auto tg_zzzzzzz_yyzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1617); 

                auto tg_zzzzzzz_yzzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1618); 

                auto tg_zzzzzzz_zzzzzzzz_0 = primBuffer[pidx_g_7_8_m0].data(1620 * idx + 1619); 

                auto tg_yzzzzzz_yyyyyzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1569); 

                auto tg_yzzzzzz_yyyyzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1570); 

                auto tg_yzzzzzz_yyyzzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1571); 

                auto tg_yzzzzzz_yyzzzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1572); 

                auto tg_yzzzzzz_yzzzzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1573); 

                auto tg_yzzzzzz_zzzzzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1574); 

                auto tg_zzzzzzz_xxxxxxxx_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1575); 

                auto tg_zzzzzzz_xxxxxxxy_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1576); 

                auto tg_zzzzzzz_xxxxxxxz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1577); 

                auto tg_zzzzzzz_xxxxxxyy_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1578); 

                auto tg_zzzzzzz_xxxxxxyz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1579); 

                auto tg_zzzzzzz_xxxxxxzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1580); 

                auto tg_zzzzzzz_xxxxxyyy_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1581); 

                auto tg_zzzzzzz_xxxxxyyz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1582); 

                auto tg_zzzzzzz_xxxxxyzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1583); 

                auto tg_zzzzzzz_xxxxxzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1584); 

                auto tg_zzzzzzz_xxxxyyyy_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1585); 

                auto tg_zzzzzzz_xxxxyyyz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1586); 

                auto tg_zzzzzzz_xxxxyyzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1587); 

                auto tg_zzzzzzz_xxxxyzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1588); 

                auto tg_zzzzzzz_xxxxzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1589); 

                auto tg_zzzzzzz_xxxyyyyy_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1590); 

                auto tg_zzzzzzz_xxxyyyyz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1591); 

                auto tg_zzzzzzz_xxxyyyzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1592); 

                auto tg_zzzzzzz_xxxyyzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1593); 

                auto tg_zzzzzzz_xxxyzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1594); 

                auto tg_zzzzzzz_xxxzzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1595); 

                auto tg_zzzzzzz_xxyyyyyy_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1596); 

                auto tg_zzzzzzz_xxyyyyyz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1597); 

                auto tg_zzzzzzz_xxyyyyzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1598); 

                auto tg_zzzzzzz_xxyyyzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1599); 

                auto tg_zzzzzzz_xxyyzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1600); 

                auto tg_zzzzzzz_xxyzzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1601); 

                auto tg_zzzzzzz_xxzzzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1602); 

                auto tg_zzzzzzz_xyyyyyyy_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1603); 

                auto tg_zzzzzzz_xyyyyyyz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1604); 

                auto tg_zzzzzzz_xyyyyyzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1605); 

                auto tg_zzzzzzz_xyyyyzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1606); 

                auto tg_zzzzzzz_xyyyzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1607); 

                auto tg_zzzzzzz_xyyzzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1608); 

                auto tg_zzzzzzz_xyzzzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1609); 

                auto tg_zzzzzzz_xzzzzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1610); 

                auto tg_zzzzzzz_yyyyyyyy_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1611); 

                auto tg_zzzzzzz_yyyyyyyz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1612); 

                auto tg_zzzzzzz_yyyyyyzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1613); 

                auto tg_zzzzzzz_yyyyyzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1614); 

                auto tg_zzzzzzz_yyyyzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1615); 

                auto tg_zzzzzzz_yyyzzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1616); 

                auto tg_zzzzzzz_yyzzzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1617); 

                auto tg_zzzzzzz_yzzzzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1618); 

                auto tg_zzzzzzz_zzzzzzzz_1 = primBuffer[pidx_g_7_8_m1].data(1620 * idx + 1619); 

                auto tg_zzzzzz_xxxxxxxx_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1215); 

                auto tg_zzzzzz_xxxxxxxy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1216); 

                auto tg_zzzzzz_xxxxxxxz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1217); 

                auto tg_zzzzzz_xxxxxxyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1218); 

                auto tg_zzzzzz_xxxxxxyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1219); 

                auto tg_zzzzzz_xxxxxxzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1220); 

                auto tg_zzzzzz_xxxxxyyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1221); 

                auto tg_zzzzzz_xxxxxyyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1222); 

                auto tg_zzzzzz_xxxxxyzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1223); 

                auto tg_zzzzzz_xxxxxzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1224); 

                auto tg_zzzzzz_xxxxyyyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1225); 

                auto tg_zzzzzz_xxxxyyyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1226); 

                auto tg_zzzzzz_xxxxyyzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1227); 

                auto tg_zzzzzz_xxxxyzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1228); 

                auto tg_zzzzzz_xxxxzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1229); 

                auto tg_zzzzzz_xxxyyyyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1230); 

                auto tg_zzzzzz_xxxyyyyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1231); 

                auto tg_zzzzzz_xxxyyyzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1232); 

                auto tg_zzzzzz_xxxyyzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1233); 

                auto tg_zzzzzz_xxxyzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1234); 

                auto tg_zzzzzz_xxxzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1235); 

                auto tg_zzzzzz_xxyyyyyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1236); 

                auto tg_zzzzzz_xxyyyyyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1237); 

                auto tg_zzzzzz_xxyyyyzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1238); 

                auto tg_zzzzzz_xxyyyzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1239); 

                auto tg_zzzzzz_xxyyzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1240); 

                auto tg_zzzzzz_xxyzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1241); 

                auto tg_zzzzzz_xxzzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1242); 

                auto tg_zzzzzz_xyyyyyyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1243); 

                auto tg_zzzzzz_xyyyyyyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1244); 

                auto tg_zzzzzz_xyyyyyzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1245); 

                auto tg_zzzzzz_xyyyyzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1246); 

                auto tg_zzzzzz_xyyyzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1247); 

                auto tg_zzzzzz_xyyzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1248); 

                auto tg_zzzzzz_xyzzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1249); 

                auto tg_zzzzzz_xzzzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1250); 

                auto tg_zzzzzz_yyyyyyyy_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1251); 

                auto tg_zzzzzz_yyyyyyyz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1252); 

                auto tg_zzzzzz_yyyyyyzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1253); 

                auto tg_zzzzzz_yyyyyzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1254); 

                auto tg_zzzzzz_yyyyzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1255); 

                auto tg_zzzzzz_yyyzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1256); 

                auto tg_zzzzzz_yyzzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1257); 

                auto tg_zzzzzz_yzzzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1258); 

                auto tg_zzzzzz_zzzzzzzz_0 = primBuffer[pidx_g_6_8_m0].data(1260 * idx + 1259); 

                auto tg_zzzzzz_xxxxxxxx_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1215); 

                auto tg_zzzzzz_xxxxxxxy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1216); 

                auto tg_zzzzzz_xxxxxxxz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1217); 

                auto tg_zzzzzz_xxxxxxyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1218); 

                auto tg_zzzzzz_xxxxxxyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1219); 

                auto tg_zzzzzz_xxxxxxzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1220); 

                auto tg_zzzzzz_xxxxxyyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1221); 

                auto tg_zzzzzz_xxxxxyyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1222); 

                auto tg_zzzzzz_xxxxxyzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1223); 

                auto tg_zzzzzz_xxxxxzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1224); 

                auto tg_zzzzzz_xxxxyyyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1225); 

                auto tg_zzzzzz_xxxxyyyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1226); 

                auto tg_zzzzzz_xxxxyyzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1227); 

                auto tg_zzzzzz_xxxxyzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1228); 

                auto tg_zzzzzz_xxxxzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1229); 

                auto tg_zzzzzz_xxxyyyyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1230); 

                auto tg_zzzzzz_xxxyyyyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1231); 

                auto tg_zzzzzz_xxxyyyzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1232); 

                auto tg_zzzzzz_xxxyyzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1233); 

                auto tg_zzzzzz_xxxyzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1234); 

                auto tg_zzzzzz_xxxzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1235); 

                auto tg_zzzzzz_xxyyyyyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1236); 

                auto tg_zzzzzz_xxyyyyyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1237); 

                auto tg_zzzzzz_xxyyyyzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1238); 

                auto tg_zzzzzz_xxyyyzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1239); 

                auto tg_zzzzzz_xxyyzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1240); 

                auto tg_zzzzzz_xxyzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1241); 

                auto tg_zzzzzz_xxzzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1242); 

                auto tg_zzzzzz_xyyyyyyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1243); 

                auto tg_zzzzzz_xyyyyyyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1244); 

                auto tg_zzzzzz_xyyyyyzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1245); 

                auto tg_zzzzzz_xyyyyzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1246); 

                auto tg_zzzzzz_xyyyzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1247); 

                auto tg_zzzzzz_xyyzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1248); 

                auto tg_zzzzzz_xyzzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1249); 

                auto tg_zzzzzz_xzzzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1250); 

                auto tg_zzzzzz_yyyyyyyy_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1251); 

                auto tg_zzzzzz_yyyyyyyz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1252); 

                auto tg_zzzzzz_yyyyyyzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1253); 

                auto tg_zzzzzz_yyyyyzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1254); 

                auto tg_zzzzzz_yyyyzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1255); 

                auto tg_zzzzzz_yyyzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1256); 

                auto tg_zzzzzz_yyzzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1257); 

                auto tg_zzzzzz_yzzzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1258); 

                auto tg_zzzzzz_zzzzzzzz_1 = primBuffer[pidx_g_6_8_m1].data(1260 * idx + 1259); 

                auto tg_yzzzzzz_yyyyzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1255); 

                auto tg_yzzzzzz_yyyzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1256); 

                auto tg_yzzzzzz_yyzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1257); 

                auto tg_yzzzzzz_yzzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1258); 

                auto tg_yzzzzzz_zzzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1259); 

                auto tg_zzzzzzz_xxxxxxx_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1260); 

                auto tg_zzzzzzz_xxxxxxy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1261); 

                auto tg_zzzzzzz_xxxxxxz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1262); 

                auto tg_zzzzzzz_xxxxxyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1263); 

                auto tg_zzzzzzz_xxxxxyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1264); 

                auto tg_zzzzzzz_xxxxxzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1265); 

                auto tg_zzzzzzz_xxxxyyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1266); 

                auto tg_zzzzzzz_xxxxyyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1267); 

                auto tg_zzzzzzz_xxxxyzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1268); 

                auto tg_zzzzzzz_xxxxzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1269); 

                auto tg_zzzzzzz_xxxyyyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1270); 

                auto tg_zzzzzzz_xxxyyyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1271); 

                auto tg_zzzzzzz_xxxyyzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1272); 

                auto tg_zzzzzzz_xxxyzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1273); 

                auto tg_zzzzzzz_xxxzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1274); 

                auto tg_zzzzzzz_xxyyyyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1275); 

                auto tg_zzzzzzz_xxyyyyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1276); 

                auto tg_zzzzzzz_xxyyyzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1277); 

                auto tg_zzzzzzz_xxyyzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1278); 

                auto tg_zzzzzzz_xxyzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1279); 

                auto tg_zzzzzzz_xxzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1280); 

                auto tg_zzzzzzz_xyyyyyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1281); 

                auto tg_zzzzzzz_xyyyyyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1282); 

                auto tg_zzzzzzz_xyyyyzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1283); 

                auto tg_zzzzzzz_xyyyzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1284); 

                auto tg_zzzzzzz_xyyzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1285); 

                auto tg_zzzzzzz_xyzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1286); 

                auto tg_zzzzzzz_xzzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1287); 

                auto tg_zzzzzzz_yyyyyyy_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1288); 

                auto tg_zzzzzzz_yyyyyyz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1289); 

                auto tg_zzzzzzz_yyyyyzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1290); 

                auto tg_zzzzzzz_yyyyzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1291); 

                auto tg_zzzzzzz_yyyzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1292); 

                auto tg_zzzzzzz_yyzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1293); 

                auto tg_zzzzzzz_yzzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1294); 

                auto tg_zzzzzzz_zzzzzzz_1 = primBuffer[pidx_g_7_7_m1].data(1296 * idx + 1295); 

                // set up pointers to integrals

                auto tg_yyzzzzzz_yyyyyzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1929); 

                auto tg_yyzzzzzz_yyyyzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1930); 

                auto tg_yyzzzzzz_yyyzzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1931); 

                auto tg_yyzzzzzz_yyzzzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1932); 

                auto tg_yyzzzzzz_yzzzzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1933); 

                auto tg_yyzzzzzz_zzzzzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1934); 

                auto tg_yzzzzzzz_xxxxxxxx_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1935); 

                auto tg_yzzzzzzz_xxxxxxxy_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1936); 

                auto tg_yzzzzzzz_xxxxxxxz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1937); 

                auto tg_yzzzzzzz_xxxxxxyy_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1938); 

                auto tg_yzzzzzzz_xxxxxxyz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1939); 

                auto tg_yzzzzzzz_xxxxxxzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1940); 

                auto tg_yzzzzzzz_xxxxxyyy_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1941); 

                auto tg_yzzzzzzz_xxxxxyyz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1942); 

                auto tg_yzzzzzzz_xxxxxyzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1943); 

                auto tg_yzzzzzzz_xxxxxzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1944); 

                auto tg_yzzzzzzz_xxxxyyyy_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1945); 

                auto tg_yzzzzzzz_xxxxyyyz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1946); 

                auto tg_yzzzzzzz_xxxxyyzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1947); 

                auto tg_yzzzzzzz_xxxxyzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1948); 

                auto tg_yzzzzzzz_xxxxzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1949); 

                auto tg_yzzzzzzz_xxxyyyyy_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1950); 

                auto tg_yzzzzzzz_xxxyyyyz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1951); 

                auto tg_yzzzzzzz_xxxyyyzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1952); 

                auto tg_yzzzzzzz_xxxyyzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1953); 

                auto tg_yzzzzzzz_xxxyzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1954); 

                auto tg_yzzzzzzz_xxxzzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1955); 

                auto tg_yzzzzzzz_xxyyyyyy_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1956); 

                auto tg_yzzzzzzz_xxyyyyyz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1957); 

                auto tg_yzzzzzzz_xxyyyyzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1958); 

                auto tg_yzzzzzzz_xxyyyzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1959); 

                auto tg_yzzzzzzz_xxyyzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1960); 

                auto tg_yzzzzzzz_xxyzzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1961); 

                auto tg_yzzzzzzz_xxzzzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1962); 

                auto tg_yzzzzzzz_xyyyyyyy_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1963); 

                auto tg_yzzzzzzz_xyyyyyyz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1964); 

                auto tg_yzzzzzzz_xyyyyyzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1965); 

                auto tg_yzzzzzzz_xyyyyzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1966); 

                auto tg_yzzzzzzz_xyyyzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1967); 

                auto tg_yzzzzzzz_xyyzzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1968); 

                auto tg_yzzzzzzz_xyzzzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1969); 

                auto tg_yzzzzzzz_xzzzzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1970); 

                auto tg_yzzzzzzz_yyyyyyyy_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1971); 

                auto tg_yzzzzzzz_yyyyyyyz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1972); 

                auto tg_yzzzzzzz_yyyyyyzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1973); 

                auto tg_yzzzzzzz_yyyyyzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1974); 

                auto tg_yzzzzzzz_yyyyzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1975); 

                auto tg_yzzzzzzz_yyyzzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1976); 

                auto tg_yzzzzzzz_yyzzzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1977); 

                auto tg_yzzzzzzz_yzzzzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1978); 

                auto tg_yzzzzzzz_zzzzzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1979); 

                auto tg_zzzzzzzz_xxxxxxxx_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1980); 

                auto tg_zzzzzzzz_xxxxxxxy_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1981); 

                auto tg_zzzzzzzz_xxxxxxxz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1982); 

                auto tg_zzzzzzzz_xxxxxxyy_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1983); 

                auto tg_zzzzzzzz_xxxxxxyz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1984); 

                auto tg_zzzzzzzz_xxxxxxzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1985); 

                auto tg_zzzzzzzz_xxxxxyyy_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1986); 

                auto tg_zzzzzzzz_xxxxxyyz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1987); 

                auto tg_zzzzzzzz_xxxxxyzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1988); 

                auto tg_zzzzzzzz_xxxxxzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1989); 

                auto tg_zzzzzzzz_xxxxyyyy_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1990); 

                auto tg_zzzzzzzz_xxxxyyyz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1991); 

                auto tg_zzzzzzzz_xxxxyyzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1992); 

                auto tg_zzzzzzzz_xxxxyzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1993); 

                auto tg_zzzzzzzz_xxxxzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1994); 

                auto tg_zzzzzzzz_xxxyyyyy_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1995); 

                auto tg_zzzzzzzz_xxxyyyyz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1996); 

                auto tg_zzzzzzzz_xxxyyyzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1997); 

                auto tg_zzzzzzzz_xxxyyzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1998); 

                auto tg_zzzzzzzz_xxxyzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 1999); 

                auto tg_zzzzzzzz_xxxzzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 2000); 

                auto tg_zzzzzzzz_xxyyyyyy_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 2001); 

                auto tg_zzzzzzzz_xxyyyyyz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 2002); 

                auto tg_zzzzzzzz_xxyyyyzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 2003); 

                auto tg_zzzzzzzz_xxyyyzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 2004); 

                auto tg_zzzzzzzz_xxyyzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 2005); 

                auto tg_zzzzzzzz_xxyzzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 2006); 

                auto tg_zzzzzzzz_xxzzzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 2007); 

                auto tg_zzzzzzzz_xyyyyyyy_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 2008); 

                auto tg_zzzzzzzz_xyyyyyyz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 2009); 

                auto tg_zzzzzzzz_xyyyyyzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 2010); 

                auto tg_zzzzzzzz_xyyyyzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 2011); 

                auto tg_zzzzzzzz_xyyyzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 2012); 

                auto tg_zzzzzzzz_xyyzzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 2013); 

                auto tg_zzzzzzzz_xyzzzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 2014); 

                auto tg_zzzzzzzz_xzzzzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 2015); 

                auto tg_zzzzzzzz_yyyyyyyy_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 2016); 

                auto tg_zzzzzzzz_yyyyyyyz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 2017); 

                auto tg_zzzzzzzz_yyyyyyzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 2018); 

                auto tg_zzzzzzzz_yyyyyzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 2019); 

                auto tg_zzzzzzzz_yyyyzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 2020); 

                auto tg_zzzzzzzz_yyyzzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 2021); 

                auto tg_zzzzzzzz_yyzzzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 2022); 

                auto tg_zzzzzzzz_yzzzzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 2023); 

                auto tg_zzzzzzzz_zzzzzzzz_0 = primBuffer[pidx_g_8_8_m0].data(2025 * idx + 2024); 

                // Batch of Integrals (1929,2025)

                #pragma omp simd aligned(fxn, fza, tg_yyzzzzzz_yyyyyzzz_0, tg_yyzzzzzz_yyyyzzzz_0, \
                                         tg_yyzzzzzz_yyyzzzzz_0, tg_yyzzzzzz_yyzzzzzz_0, tg_yyzzzzzz_yzzzzzzz_0, \
                                         tg_yyzzzzzz_zzzzzzzz_0, tg_yzzzzzz_yyyyyzzz_0, tg_yzzzzzz_yyyyyzzz_1, \
                                         tg_yzzzzzz_yyyyzzz_1, tg_yzzzzzz_yyyyzzzz_0, tg_yzzzzzz_yyyyzzzz_1, \
                                         tg_yzzzzzz_yyyzzzz_1, tg_yzzzzzz_yyyzzzzz_0, tg_yzzzzzz_yyyzzzzz_1, \
                                         tg_yzzzzzz_yyzzzzz_1, tg_yzzzzzz_yyzzzzzz_0, tg_yzzzzzz_yyzzzzzz_1, \
                                         tg_yzzzzzz_yzzzzzz_1, tg_yzzzzzz_yzzzzzzz_0, tg_yzzzzzz_yzzzzzzz_1, \
                                         tg_yzzzzzz_zzzzzzz_1, tg_yzzzzzz_zzzzzzzz_0, tg_yzzzzzz_zzzzzzzz_1, \
                                         tg_yzzzzzzz_xxxxxxxx_0, tg_yzzzzzzz_xxxxxxxy_0, tg_yzzzzzzz_xxxxxxxz_0, \
                                         tg_yzzzzzzz_xxxxxxyy_0, tg_yzzzzzzz_xxxxxxyz_0, tg_yzzzzzzz_xxxxxxzz_0, \
                                         tg_yzzzzzzz_xxxxxyyy_0, tg_yzzzzzzz_xxxxxyyz_0, tg_yzzzzzzz_xxxxxyzz_0, \
                                         tg_yzzzzzzz_xxxxxzzz_0, tg_yzzzzzzz_xxxxyyyy_0, tg_yzzzzzzz_xxxxyyyz_0, \
                                         tg_yzzzzzzz_xxxxyyzz_0, tg_yzzzzzzz_xxxxyzzz_0, tg_yzzzzzzz_xxxxzzzz_0, \
                                         tg_yzzzzzzz_xxxyyyyy_0, tg_yzzzzzzz_xxxyyyyz_0, tg_yzzzzzzz_xxxyyyzz_0, \
                                         tg_yzzzzzzz_xxxyyzzz_0, tg_yzzzzzzz_xxxyzzzz_0, tg_yzzzzzzz_xxxzzzzz_0, \
                                         tg_yzzzzzzz_xxyyyyyy_0, tg_yzzzzzzz_xxyyyyyz_0, tg_yzzzzzzz_xxyyyyzz_0, \
                                         tg_yzzzzzzz_xxyyyzzz_0, tg_yzzzzzzz_xxyyzzzz_0, tg_yzzzzzzz_xxyzzzzz_0, \
                                         tg_yzzzzzzz_xxzzzzzz_0, tg_yzzzzzzz_xyyyyyyy_0, tg_yzzzzzzz_xyyyyyyz_0, \
                                         tg_yzzzzzzz_xyyyyyzz_0, tg_yzzzzzzz_xyyyyzzz_0, tg_yzzzzzzz_xyyyzzzz_0, \
                                         tg_yzzzzzzz_xyyzzzzz_0, tg_yzzzzzzz_xyzzzzzz_0, tg_yzzzzzzz_xzzzzzzz_0, \
                                         tg_yzzzzzzz_yyyyyyyy_0, tg_yzzzzzzz_yyyyyyyz_0, tg_yzzzzzzz_yyyyyyzz_0, \
                                         tg_yzzzzzzz_yyyyyzzz_0, tg_yzzzzzzz_yyyyzzzz_0, tg_yzzzzzzz_yyyzzzzz_0, \
                                         tg_yzzzzzzz_yyzzzzzz_0, tg_yzzzzzzz_yzzzzzzz_0, tg_yzzzzzzz_zzzzzzzz_0, \
                                         tg_zzzzzz_xxxxxxxx_0, tg_zzzzzz_xxxxxxxx_1, tg_zzzzzz_xxxxxxxy_0, tg_zzzzzz_xxxxxxxy_1, \
                                         tg_zzzzzz_xxxxxxxz_0, tg_zzzzzz_xxxxxxxz_1, tg_zzzzzz_xxxxxxyy_0, tg_zzzzzz_xxxxxxyy_1, \
                                         tg_zzzzzz_xxxxxxyz_0, tg_zzzzzz_xxxxxxyz_1, tg_zzzzzz_xxxxxxzz_0, tg_zzzzzz_xxxxxxzz_1, \
                                         tg_zzzzzz_xxxxxyyy_0, tg_zzzzzz_xxxxxyyy_1, tg_zzzzzz_xxxxxyyz_0, tg_zzzzzz_xxxxxyyz_1, \
                                         tg_zzzzzz_xxxxxyzz_0, tg_zzzzzz_xxxxxyzz_1, tg_zzzzzz_xxxxxzzz_0, tg_zzzzzz_xxxxxzzz_1, \
                                         tg_zzzzzz_xxxxyyyy_0, tg_zzzzzz_xxxxyyyy_1, tg_zzzzzz_xxxxyyyz_0, tg_zzzzzz_xxxxyyyz_1, \
                                         tg_zzzzzz_xxxxyyzz_0, tg_zzzzzz_xxxxyyzz_1, tg_zzzzzz_xxxxyzzz_0, tg_zzzzzz_xxxxyzzz_1, \
                                         tg_zzzzzz_xxxxzzzz_0, tg_zzzzzz_xxxxzzzz_1, tg_zzzzzz_xxxyyyyy_0, tg_zzzzzz_xxxyyyyy_1, \
                                         tg_zzzzzz_xxxyyyyz_0, tg_zzzzzz_xxxyyyyz_1, tg_zzzzzz_xxxyyyzz_0, tg_zzzzzz_xxxyyyzz_1, \
                                         tg_zzzzzz_xxxyyzzz_0, tg_zzzzzz_xxxyyzzz_1, tg_zzzzzz_xxxyzzzz_0, tg_zzzzzz_xxxyzzzz_1, \
                                         tg_zzzzzz_xxxzzzzz_0, tg_zzzzzz_xxxzzzzz_1, tg_zzzzzz_xxyyyyyy_0, tg_zzzzzz_xxyyyyyy_1, \
                                         tg_zzzzzz_xxyyyyyz_0, tg_zzzzzz_xxyyyyyz_1, tg_zzzzzz_xxyyyyzz_0, tg_zzzzzz_xxyyyyzz_1, \
                                         tg_zzzzzz_xxyyyzzz_0, tg_zzzzzz_xxyyyzzz_1, tg_zzzzzz_xxyyzzzz_0, tg_zzzzzz_xxyyzzzz_1, \
                                         tg_zzzzzz_xxyzzzzz_0, tg_zzzzzz_xxyzzzzz_1, tg_zzzzzz_xxzzzzzz_0, tg_zzzzzz_xxzzzzzz_1, \
                                         tg_zzzzzz_xyyyyyyy_0, tg_zzzzzz_xyyyyyyy_1, tg_zzzzzz_xyyyyyyz_0, tg_zzzzzz_xyyyyyyz_1, \
                                         tg_zzzzzz_xyyyyyzz_0, tg_zzzzzz_xyyyyyzz_1, tg_zzzzzz_xyyyyzzz_0, tg_zzzzzz_xyyyyzzz_1, \
                                         tg_zzzzzz_xyyyzzzz_0, tg_zzzzzz_xyyyzzzz_1, tg_zzzzzz_xyyzzzzz_0, tg_zzzzzz_xyyzzzzz_1, \
                                         tg_zzzzzz_xyzzzzzz_0, tg_zzzzzz_xyzzzzzz_1, tg_zzzzzz_xzzzzzzz_0, tg_zzzzzz_xzzzzzzz_1, \
                                         tg_zzzzzz_yyyyyyyy_0, tg_zzzzzz_yyyyyyyy_1, tg_zzzzzz_yyyyyyyz_0, tg_zzzzzz_yyyyyyyz_1, \
                                         tg_zzzzzz_yyyyyyzz_0, tg_zzzzzz_yyyyyyzz_1, tg_zzzzzz_yyyyyzzz_0, tg_zzzzzz_yyyyyzzz_1, \
                                         tg_zzzzzz_yyyyzzzz_0, tg_zzzzzz_yyyyzzzz_1, tg_zzzzzz_yyyzzzzz_0, tg_zzzzzz_yyyzzzzz_1, \
                                         tg_zzzzzz_yyzzzzzz_0, tg_zzzzzz_yyzzzzzz_1, tg_zzzzzz_yzzzzzzz_0, tg_zzzzzz_yzzzzzzz_1, \
                                         tg_zzzzzz_zzzzzzzz_0, tg_zzzzzz_zzzzzzzz_1, tg_zzzzzzz_xxxxxxx_1, \
                                         tg_zzzzzzz_xxxxxxxx_0, tg_zzzzzzz_xxxxxxxx_1, tg_zzzzzzz_xxxxxxxy_0, \
                                         tg_zzzzzzz_xxxxxxxy_1, tg_zzzzzzz_xxxxxxxz_0, tg_zzzzzzz_xxxxxxxz_1, \
                                         tg_zzzzzzz_xxxxxxy_1, tg_zzzzzzz_xxxxxxyy_0, tg_zzzzzzz_xxxxxxyy_1, \
                                         tg_zzzzzzz_xxxxxxyz_0, tg_zzzzzzz_xxxxxxyz_1, tg_zzzzzzz_xxxxxxz_1, \
                                         tg_zzzzzzz_xxxxxxzz_0, tg_zzzzzzz_xxxxxxzz_1, tg_zzzzzzz_xxxxxyy_1, \
                                         tg_zzzzzzz_xxxxxyyy_0, tg_zzzzzzz_xxxxxyyy_1, tg_zzzzzzz_xxxxxyyz_0, \
                                         tg_zzzzzzz_xxxxxyyz_1, tg_zzzzzzz_xxxxxyz_1, tg_zzzzzzz_xxxxxyzz_0, \
                                         tg_zzzzzzz_xxxxxyzz_1, tg_zzzzzzz_xxxxxzz_1, tg_zzzzzzz_xxxxxzzz_0, \
                                         tg_zzzzzzz_xxxxxzzz_1, tg_zzzzzzz_xxxxyyy_1, tg_zzzzzzz_xxxxyyyy_0, \
                                         tg_zzzzzzz_xxxxyyyy_1, tg_zzzzzzz_xxxxyyyz_0, tg_zzzzzzz_xxxxyyyz_1, \
                                         tg_zzzzzzz_xxxxyyz_1, tg_zzzzzzz_xxxxyyzz_0, tg_zzzzzzz_xxxxyyzz_1, \
                                         tg_zzzzzzz_xxxxyzz_1, tg_zzzzzzz_xxxxyzzz_0, tg_zzzzzzz_xxxxyzzz_1, \
                                         tg_zzzzzzz_xxxxzzz_1, tg_zzzzzzz_xxxxzzzz_0, tg_zzzzzzz_xxxxzzzz_1, \
                                         tg_zzzzzzz_xxxyyyy_1, tg_zzzzzzz_xxxyyyyy_0, tg_zzzzzzz_xxxyyyyy_1, \
                                         tg_zzzzzzz_xxxyyyyz_0, tg_zzzzzzz_xxxyyyyz_1, tg_zzzzzzz_xxxyyyz_1, \
                                         tg_zzzzzzz_xxxyyyzz_0, tg_zzzzzzz_xxxyyyzz_1, tg_zzzzzzz_xxxyyzz_1, \
                                         tg_zzzzzzz_xxxyyzzz_0, tg_zzzzzzz_xxxyyzzz_1, tg_zzzzzzz_xxxyzzz_1, \
                                         tg_zzzzzzz_xxxyzzzz_0, tg_zzzzzzz_xxxyzzzz_1, tg_zzzzzzz_xxxzzzz_1, \
                                         tg_zzzzzzz_xxxzzzzz_0, tg_zzzzzzz_xxxzzzzz_1, tg_zzzzzzz_xxyyyyy_1, \
                                         tg_zzzzzzz_xxyyyyyy_0, tg_zzzzzzz_xxyyyyyy_1, tg_zzzzzzz_xxyyyyyz_0, \
                                         tg_zzzzzzz_xxyyyyyz_1, tg_zzzzzzz_xxyyyyz_1, tg_zzzzzzz_xxyyyyzz_0, \
                                         tg_zzzzzzz_xxyyyyzz_1, tg_zzzzzzz_xxyyyzz_1, tg_zzzzzzz_xxyyyzzz_0, \
                                         tg_zzzzzzz_xxyyyzzz_1, tg_zzzzzzz_xxyyzzz_1, tg_zzzzzzz_xxyyzzzz_0, \
                                         tg_zzzzzzz_xxyyzzzz_1, tg_zzzzzzz_xxyzzzz_1, tg_zzzzzzz_xxyzzzzz_0, \
                                         tg_zzzzzzz_xxyzzzzz_1, tg_zzzzzzz_xxzzzzz_1, tg_zzzzzzz_xxzzzzzz_0, \
                                         tg_zzzzzzz_xxzzzzzz_1, tg_zzzzzzz_xyyyyyy_1, tg_zzzzzzz_xyyyyyyy_0, \
                                         tg_zzzzzzz_xyyyyyyy_1, tg_zzzzzzz_xyyyyyyz_0, tg_zzzzzzz_xyyyyyyz_1, \
                                         tg_zzzzzzz_xyyyyyz_1, tg_zzzzzzz_xyyyyyzz_0, tg_zzzzzzz_xyyyyyzz_1, \
                                         tg_zzzzzzz_xyyyyzz_1, tg_zzzzzzz_xyyyyzzz_0, tg_zzzzzzz_xyyyyzzz_1, \
                                         tg_zzzzzzz_xyyyzzz_1, tg_zzzzzzz_xyyyzzzz_0, tg_zzzzzzz_xyyyzzzz_1, \
                                         tg_zzzzzzz_xyyzzzz_1, tg_zzzzzzz_xyyzzzzz_0, tg_zzzzzzz_xyyzzzzz_1, \
                                         tg_zzzzzzz_xyzzzzz_1, tg_zzzzzzz_xyzzzzzz_0, tg_zzzzzzz_xyzzzzzz_1, \
                                         tg_zzzzzzz_xzzzzzz_1, tg_zzzzzzz_xzzzzzzz_0, tg_zzzzzzz_xzzzzzzz_1, \
                                         tg_zzzzzzz_yyyyyyy_1, tg_zzzzzzz_yyyyyyyy_0, tg_zzzzzzz_yyyyyyyy_1, \
                                         tg_zzzzzzz_yyyyyyyz_0, tg_zzzzzzz_yyyyyyyz_1, tg_zzzzzzz_yyyyyyz_1, \
                                         tg_zzzzzzz_yyyyyyzz_0, tg_zzzzzzz_yyyyyyzz_1, tg_zzzzzzz_yyyyyzz_1, \
                                         tg_zzzzzzz_yyyyyzzz_0, tg_zzzzzzz_yyyyyzzz_1, tg_zzzzzzz_yyyyzzz_1, \
                                         tg_zzzzzzz_yyyyzzzz_0, tg_zzzzzzz_yyyyzzzz_1, tg_zzzzzzz_yyyzzzz_1, \
                                         tg_zzzzzzz_yyyzzzzz_0, tg_zzzzzzz_yyyzzzzz_1, tg_zzzzzzz_yyzzzzz_1, \
                                         tg_zzzzzzz_yyzzzzzz_0, tg_zzzzzzz_yyzzzzzz_1, tg_zzzzzzz_yzzzzzz_1, \
                                         tg_zzzzzzz_yzzzzzzz_0, tg_zzzzzzz_yzzzzzzz_1, tg_zzzzzzz_zzzzzzz_1, \
                                         tg_zzzzzzz_zzzzzzzz_0, tg_zzzzzzz_zzzzzzzz_1, tg_zzzzzzzz_xxxxxxxx_0, \
                                         tg_zzzzzzzz_xxxxxxxy_0, tg_zzzzzzzz_xxxxxxxz_0, tg_zzzzzzzz_xxxxxxyy_0, \
                                         tg_zzzzzzzz_xxxxxxyz_0, tg_zzzzzzzz_xxxxxxzz_0, tg_zzzzzzzz_xxxxxyyy_0, \
                                         tg_zzzzzzzz_xxxxxyyz_0, tg_zzzzzzzz_xxxxxyzz_0, tg_zzzzzzzz_xxxxxzzz_0, \
                                         tg_zzzzzzzz_xxxxyyyy_0, tg_zzzzzzzz_xxxxyyyz_0, tg_zzzzzzzz_xxxxyyzz_0, \
                                         tg_zzzzzzzz_xxxxyzzz_0, tg_zzzzzzzz_xxxxzzzz_0, tg_zzzzzzzz_xxxyyyyy_0, \
                                         tg_zzzzzzzz_xxxyyyyz_0, tg_zzzzzzzz_xxxyyyzz_0, tg_zzzzzzzz_xxxyyzzz_0, \
                                         tg_zzzzzzzz_xxxyzzzz_0, tg_zzzzzzzz_xxxzzzzz_0, tg_zzzzzzzz_xxyyyyyy_0, \
                                         tg_zzzzzzzz_xxyyyyyz_0, tg_zzzzzzzz_xxyyyyzz_0, tg_zzzzzzzz_xxyyyzzz_0, \
                                         tg_zzzzzzzz_xxyyzzzz_0, tg_zzzzzzzz_xxyzzzzz_0, tg_zzzzzzzz_xxzzzzzz_0, \
                                         tg_zzzzzzzz_xyyyyyyy_0, tg_zzzzzzzz_xyyyyyyz_0, tg_zzzzzzzz_xyyyyyzz_0, \
                                         tg_zzzzzzzz_xyyyyzzz_0, tg_zzzzzzzz_xyyyzzzz_0, tg_zzzzzzzz_xyyzzzzz_0, \
                                         tg_zzzzzzzz_xyzzzzzz_0, tg_zzzzzzzz_xzzzzzzz_0, tg_zzzzzzzz_yyyyyyyy_0, \
                                         tg_zzzzzzzz_yyyyyyyz_0, tg_zzzzzzzz_yyyyyyzz_0, tg_zzzzzzzz_yyyyyzzz_0, \
                                         tg_zzzzzzzz_yyyyzzzz_0, tg_zzzzzzzz_yyyzzzzz_0, tg_zzzzzzzz_yyzzzzzz_0, \
                                         tg_zzzzzzzz_yzzzzzzz_0, tg_zzzzzzzz_zzzzzzzz_0, wp_y, wp_z: VLX_ALIGN)
                for (int32_t j = 0; j < nKetPrimPairs; j++)
                {
                    double fl1_fx = fx;

                    double fl1_fxn = fxn[j];

                    double fl1_fza = fza[j];

                    double fr = wp_y[j]; 

                    tg_yyzzzzzz_yyyyyzzz_0[j] = pb_y * tg_yzzzzzz_yyyyyzzz_0[j] + fr * tg_yzzzzzz_yyyyyzzz_1[j] + 0.5 * fl1_fx * (tg_zzzzzz_yyyyyzzz_0[j] - tg_zzzzzz_yyyyyzzz_1[j] * fl1_fza) + 2.5 * fl1_fxn * tg_yzzzzzz_yyyyzzz_1[j];

                    tg_yyzzzzzz_yyyyzzzz_0[j] = pb_y * tg_yzzzzzz_yyyyzzzz_0[j] + fr * tg_yzzzzzz_yyyyzzzz_1[j] + 0.5 * fl1_fx * (tg_zzzzzz_yyyyzzzz_0[j] - tg_zzzzzz_yyyyzzzz_1[j] * fl1_fza) + 2.0 * fl1_fxn * tg_yzzzzzz_yyyzzzz_1[j];

                    tg_yyzzzzzz_yyyzzzzz_0[j] = pb_y * tg_yzzzzzz_yyyzzzzz_0[j] + fr * tg_yzzzzzz_yyyzzzzz_1[j] + 0.5 * fl1_fx * (tg_zzzzzz_yyyzzzzz_0[j] - tg_zzzzzz_yyyzzzzz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_yzzzzzz_yyzzzzz_1[j];

                    tg_yyzzzzzz_yyzzzzzz_0[j] = pb_y * tg_yzzzzzz_yyzzzzzz_0[j] + fr * tg_yzzzzzz_yyzzzzzz_1[j] + 0.5 * fl1_fx * (tg_zzzzzz_yyzzzzzz_0[j] - tg_zzzzzz_yyzzzzzz_1[j] * fl1_fza) + fl1_fxn * tg_yzzzzzz_yzzzzzz_1[j];

                    tg_yyzzzzzz_yzzzzzzz_0[j] = pb_y * tg_yzzzzzz_yzzzzzzz_0[j] + fr * tg_yzzzzzz_yzzzzzzz_1[j] + 0.5 * fl1_fx * (tg_zzzzzz_yzzzzzzz_0[j] - tg_zzzzzz_yzzzzzzz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_yzzzzzz_zzzzzzz_1[j];

                    tg_yyzzzzzz_zzzzzzzz_0[j] = pb_y * tg_yzzzzzz_zzzzzzzz_0[j] + fr * tg_yzzzzzz_zzzzzzzz_1[j] + 0.5 * fl1_fx * (tg_zzzzzz_zzzzzzzz_0[j] - tg_zzzzzz_zzzzzzzz_1[j] * fl1_fza);

                    tg_yzzzzzzz_xxxxxxxx_0[j] = pb_y * tg_zzzzzzz_xxxxxxxx_0[j] + fr * tg_zzzzzzz_xxxxxxxx_1[j];

                    tg_yzzzzzzz_xxxxxxxy_0[j] = pb_y * tg_zzzzzzz_xxxxxxxy_0[j] + fr * tg_zzzzzzz_xxxxxxxy_1[j] + 0.5 * fl1_fxn * tg_zzzzzzz_xxxxxxx_1[j];

                    tg_yzzzzzzz_xxxxxxxz_0[j] = pb_y * tg_zzzzzzz_xxxxxxxz_0[j] + fr * tg_zzzzzzz_xxxxxxxz_1[j];

                    tg_yzzzzzzz_xxxxxxyy_0[j] = pb_y * tg_zzzzzzz_xxxxxxyy_0[j] + fr * tg_zzzzzzz_xxxxxxyy_1[j] + fl1_fxn * tg_zzzzzzz_xxxxxxy_1[j];

                    tg_yzzzzzzz_xxxxxxyz_0[j] = pb_y * tg_zzzzzzz_xxxxxxyz_0[j] + fr * tg_zzzzzzz_xxxxxxyz_1[j] + 0.5 * fl1_fxn * tg_zzzzzzz_xxxxxxz_1[j];

                    tg_yzzzzzzz_xxxxxxzz_0[j] = pb_y * tg_zzzzzzz_xxxxxxzz_0[j] + fr * tg_zzzzzzz_xxxxxxzz_1[j];

                    tg_yzzzzzzz_xxxxxyyy_0[j] = pb_y * tg_zzzzzzz_xxxxxyyy_0[j] + fr * tg_zzzzzzz_xxxxxyyy_1[j] + 1.5 * fl1_fxn * tg_zzzzzzz_xxxxxyy_1[j];

                    tg_yzzzzzzz_xxxxxyyz_0[j] = pb_y * tg_zzzzzzz_xxxxxyyz_0[j] + fr * tg_zzzzzzz_xxxxxyyz_1[j] + fl1_fxn * tg_zzzzzzz_xxxxxyz_1[j];

                    tg_yzzzzzzz_xxxxxyzz_0[j] = pb_y * tg_zzzzzzz_xxxxxyzz_0[j] + fr * tg_zzzzzzz_xxxxxyzz_1[j] + 0.5 * fl1_fxn * tg_zzzzzzz_xxxxxzz_1[j];

                    tg_yzzzzzzz_xxxxxzzz_0[j] = pb_y * tg_zzzzzzz_xxxxxzzz_0[j] + fr * tg_zzzzzzz_xxxxxzzz_1[j];

                    tg_yzzzzzzz_xxxxyyyy_0[j] = pb_y * tg_zzzzzzz_xxxxyyyy_0[j] + fr * tg_zzzzzzz_xxxxyyyy_1[j] + 2.0 * fl1_fxn * tg_zzzzzzz_xxxxyyy_1[j];

                    tg_yzzzzzzz_xxxxyyyz_0[j] = pb_y * tg_zzzzzzz_xxxxyyyz_0[j] + fr * tg_zzzzzzz_xxxxyyyz_1[j] + 1.5 * fl1_fxn * tg_zzzzzzz_xxxxyyz_1[j];

                    tg_yzzzzzzz_xxxxyyzz_0[j] = pb_y * tg_zzzzzzz_xxxxyyzz_0[j] + fr * tg_zzzzzzz_xxxxyyzz_1[j] + fl1_fxn * tg_zzzzzzz_xxxxyzz_1[j];

                    tg_yzzzzzzz_xxxxyzzz_0[j] = pb_y * tg_zzzzzzz_xxxxyzzz_0[j] + fr * tg_zzzzzzz_xxxxyzzz_1[j] + 0.5 * fl1_fxn * tg_zzzzzzz_xxxxzzz_1[j];

                    tg_yzzzzzzz_xxxxzzzz_0[j] = pb_y * tg_zzzzzzz_xxxxzzzz_0[j] + fr * tg_zzzzzzz_xxxxzzzz_1[j];

                    tg_yzzzzzzz_xxxyyyyy_0[j] = pb_y * tg_zzzzzzz_xxxyyyyy_0[j] + fr * tg_zzzzzzz_xxxyyyyy_1[j] + 2.5 * fl1_fxn * tg_zzzzzzz_xxxyyyy_1[j];

                    tg_yzzzzzzz_xxxyyyyz_0[j] = pb_y * tg_zzzzzzz_xxxyyyyz_0[j] + fr * tg_zzzzzzz_xxxyyyyz_1[j] + 2.0 * fl1_fxn * tg_zzzzzzz_xxxyyyz_1[j];

                    tg_yzzzzzzz_xxxyyyzz_0[j] = pb_y * tg_zzzzzzz_xxxyyyzz_0[j] + fr * tg_zzzzzzz_xxxyyyzz_1[j] + 1.5 * fl1_fxn * tg_zzzzzzz_xxxyyzz_1[j];

                    tg_yzzzzzzz_xxxyyzzz_0[j] = pb_y * tg_zzzzzzz_xxxyyzzz_0[j] + fr * tg_zzzzzzz_xxxyyzzz_1[j] + fl1_fxn * tg_zzzzzzz_xxxyzzz_1[j];

                    tg_yzzzzzzz_xxxyzzzz_0[j] = pb_y * tg_zzzzzzz_xxxyzzzz_0[j] + fr * tg_zzzzzzz_xxxyzzzz_1[j] + 0.5 * fl1_fxn * tg_zzzzzzz_xxxzzzz_1[j];

                    tg_yzzzzzzz_xxxzzzzz_0[j] = pb_y * tg_zzzzzzz_xxxzzzzz_0[j] + fr * tg_zzzzzzz_xxxzzzzz_1[j];

                    tg_yzzzzzzz_xxyyyyyy_0[j] = pb_y * tg_zzzzzzz_xxyyyyyy_0[j] + fr * tg_zzzzzzz_xxyyyyyy_1[j] + 3.0 * fl1_fxn * tg_zzzzzzz_xxyyyyy_1[j];

                    tg_yzzzzzzz_xxyyyyyz_0[j] = pb_y * tg_zzzzzzz_xxyyyyyz_0[j] + fr * tg_zzzzzzz_xxyyyyyz_1[j] + 2.5 * fl1_fxn * tg_zzzzzzz_xxyyyyz_1[j];

                    tg_yzzzzzzz_xxyyyyzz_0[j] = pb_y * tg_zzzzzzz_xxyyyyzz_0[j] + fr * tg_zzzzzzz_xxyyyyzz_1[j] + 2.0 * fl1_fxn * tg_zzzzzzz_xxyyyzz_1[j];

                    tg_yzzzzzzz_xxyyyzzz_0[j] = pb_y * tg_zzzzzzz_xxyyyzzz_0[j] + fr * tg_zzzzzzz_xxyyyzzz_1[j] + 1.5 * fl1_fxn * tg_zzzzzzz_xxyyzzz_1[j];

                    tg_yzzzzzzz_xxyyzzzz_0[j] = pb_y * tg_zzzzzzz_xxyyzzzz_0[j] + fr * tg_zzzzzzz_xxyyzzzz_1[j] + fl1_fxn * tg_zzzzzzz_xxyzzzz_1[j];

                    tg_yzzzzzzz_xxyzzzzz_0[j] = pb_y * tg_zzzzzzz_xxyzzzzz_0[j] + fr * tg_zzzzzzz_xxyzzzzz_1[j] + 0.5 * fl1_fxn * tg_zzzzzzz_xxzzzzz_1[j];

                    tg_yzzzzzzz_xxzzzzzz_0[j] = pb_y * tg_zzzzzzz_xxzzzzzz_0[j] + fr * tg_zzzzzzz_xxzzzzzz_1[j];

                    tg_yzzzzzzz_xyyyyyyy_0[j] = pb_y * tg_zzzzzzz_xyyyyyyy_0[j] + fr * tg_zzzzzzz_xyyyyyyy_1[j] + 3.5 * fl1_fxn * tg_zzzzzzz_xyyyyyy_1[j];

                    tg_yzzzzzzz_xyyyyyyz_0[j] = pb_y * tg_zzzzzzz_xyyyyyyz_0[j] + fr * tg_zzzzzzz_xyyyyyyz_1[j] + 3.0 * fl1_fxn * tg_zzzzzzz_xyyyyyz_1[j];

                    tg_yzzzzzzz_xyyyyyzz_0[j] = pb_y * tg_zzzzzzz_xyyyyyzz_0[j] + fr * tg_zzzzzzz_xyyyyyzz_1[j] + 2.5 * fl1_fxn * tg_zzzzzzz_xyyyyzz_1[j];

                    tg_yzzzzzzz_xyyyyzzz_0[j] = pb_y * tg_zzzzzzz_xyyyyzzz_0[j] + fr * tg_zzzzzzz_xyyyyzzz_1[j] + 2.0 * fl1_fxn * tg_zzzzzzz_xyyyzzz_1[j];

                    tg_yzzzzzzz_xyyyzzzz_0[j] = pb_y * tg_zzzzzzz_xyyyzzzz_0[j] + fr * tg_zzzzzzz_xyyyzzzz_1[j] + 1.5 * fl1_fxn * tg_zzzzzzz_xyyzzzz_1[j];

                    tg_yzzzzzzz_xyyzzzzz_0[j] = pb_y * tg_zzzzzzz_xyyzzzzz_0[j] + fr * tg_zzzzzzz_xyyzzzzz_1[j] + fl1_fxn * tg_zzzzzzz_xyzzzzz_1[j];

                    tg_yzzzzzzz_xyzzzzzz_0[j] = pb_y * tg_zzzzzzz_xyzzzzzz_0[j] + fr * tg_zzzzzzz_xyzzzzzz_1[j] + 0.5 * fl1_fxn * tg_zzzzzzz_xzzzzzz_1[j];

                    tg_yzzzzzzz_xzzzzzzz_0[j] = pb_y * tg_zzzzzzz_xzzzzzzz_0[j] + fr * tg_zzzzzzz_xzzzzzzz_1[j];

                    tg_yzzzzzzz_yyyyyyyy_0[j] = pb_y * tg_zzzzzzz_yyyyyyyy_0[j] + fr * tg_zzzzzzz_yyyyyyyy_1[j] + 4.0 * fl1_fxn * tg_zzzzzzz_yyyyyyy_1[j];

                    tg_yzzzzzzz_yyyyyyyz_0[j] = pb_y * tg_zzzzzzz_yyyyyyyz_0[j] + fr * tg_zzzzzzz_yyyyyyyz_1[j] + 3.5 * fl1_fxn * tg_zzzzzzz_yyyyyyz_1[j];

                    tg_yzzzzzzz_yyyyyyzz_0[j] = pb_y * tg_zzzzzzz_yyyyyyzz_0[j] + fr * tg_zzzzzzz_yyyyyyzz_1[j] + 3.0 * fl1_fxn * tg_zzzzzzz_yyyyyzz_1[j];

                    tg_yzzzzzzz_yyyyyzzz_0[j] = pb_y * tg_zzzzzzz_yyyyyzzz_0[j] + fr * tg_zzzzzzz_yyyyyzzz_1[j] + 2.5 * fl1_fxn * tg_zzzzzzz_yyyyzzz_1[j];

                    tg_yzzzzzzz_yyyyzzzz_0[j] = pb_y * tg_zzzzzzz_yyyyzzzz_0[j] + fr * tg_zzzzzzz_yyyyzzzz_1[j] + 2.0 * fl1_fxn * tg_zzzzzzz_yyyzzzz_1[j];

                    tg_yzzzzzzz_yyyzzzzz_0[j] = pb_y * tg_zzzzzzz_yyyzzzzz_0[j] + fr * tg_zzzzzzz_yyyzzzzz_1[j] + 1.5 * fl1_fxn * tg_zzzzzzz_yyzzzzz_1[j];

                    tg_yzzzzzzz_yyzzzzzz_0[j] = pb_y * tg_zzzzzzz_yyzzzzzz_0[j] + fr * tg_zzzzzzz_yyzzzzzz_1[j] + fl1_fxn * tg_zzzzzzz_yzzzzzz_1[j];

                    tg_yzzzzzzz_yzzzzzzz_0[j] = pb_y * tg_zzzzzzz_yzzzzzzz_0[j] + fr * tg_zzzzzzz_yzzzzzzz_1[j] + 0.5 * fl1_fxn * tg_zzzzzzz_zzzzzzz_1[j];

                    tg_yzzzzzzz_zzzzzzzz_0[j] = pb_y * tg_zzzzzzz_zzzzzzzz_0[j] + fr * tg_zzzzzzz_zzzzzzzz_1[j];

                    fr = wp_z[j]; 

                    tg_zzzzzzzz_xxxxxxxx_0[j] = pb_z * tg_zzzzzzz_xxxxxxxx_0[j] + fr * tg_zzzzzzz_xxxxxxxx_1[j] + 3.5 * fl1_fx * (tg_zzzzzz_xxxxxxxx_0[j] - tg_zzzzzz_xxxxxxxx_1[j] * fl1_fza);

                    tg_zzzzzzzz_xxxxxxxy_0[j] = pb_z * tg_zzzzzzz_xxxxxxxy_0[j] + fr * tg_zzzzzzz_xxxxxxxy_1[j] + 3.5 * fl1_fx * (tg_zzzzzz_xxxxxxxy_0[j] - tg_zzzzzz_xxxxxxxy_1[j] * fl1_fza);

                    tg_zzzzzzzz_xxxxxxxz_0[j] = pb_z * tg_zzzzzzz_xxxxxxxz_0[j] + fr * tg_zzzzzzz_xxxxxxxz_1[j] + 3.5 * fl1_fx * (tg_zzzzzz_xxxxxxxz_0[j] - tg_zzzzzz_xxxxxxxz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_zzzzzzz_xxxxxxx_1[j];

                    tg_zzzzzzzz_xxxxxxyy_0[j] = pb_z * tg_zzzzzzz_xxxxxxyy_0[j] + fr * tg_zzzzzzz_xxxxxxyy_1[j] + 3.5 * fl1_fx * (tg_zzzzzz_xxxxxxyy_0[j] - tg_zzzzzz_xxxxxxyy_1[j] * fl1_fza);

                    tg_zzzzzzzz_xxxxxxyz_0[j] = pb_z * tg_zzzzzzz_xxxxxxyz_0[j] + fr * tg_zzzzzzz_xxxxxxyz_1[j] + 3.5 * fl1_fx * (tg_zzzzzz_xxxxxxyz_0[j] - tg_zzzzzz_xxxxxxyz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_zzzzzzz_xxxxxxy_1[j];

                    tg_zzzzzzzz_xxxxxxzz_0[j] = pb_z * tg_zzzzzzz_xxxxxxzz_0[j] + fr * tg_zzzzzzz_xxxxxxzz_1[j] + 3.5 * fl1_fx * (tg_zzzzzz_xxxxxxzz_0[j] - tg_zzzzzz_xxxxxxzz_1[j] * fl1_fza) + fl1_fxn * tg_zzzzzzz_xxxxxxz_1[j];

                    tg_zzzzzzzz_xxxxxyyy_0[j] = pb_z * tg_zzzzzzz_xxxxxyyy_0[j] + fr * tg_zzzzzzz_xxxxxyyy_1[j] + 3.5 * fl1_fx * (tg_zzzzzz_xxxxxyyy_0[j] - tg_zzzzzz_xxxxxyyy_1[j] * fl1_fza);

                    tg_zzzzzzzz_xxxxxyyz_0[j] = pb_z * tg_zzzzzzz_xxxxxyyz_0[j] + fr * tg_zzzzzzz_xxxxxyyz_1[j] + 3.5 * fl1_fx * (tg_zzzzzz_xxxxxyyz_0[j] - tg_zzzzzz_xxxxxyyz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_zzzzzzz_xxxxxyy_1[j];

                    tg_zzzzzzzz_xxxxxyzz_0[j] = pb_z * tg_zzzzzzz_xxxxxyzz_0[j] + fr * tg_zzzzzzz_xxxxxyzz_1[j] + 3.5 * fl1_fx * (tg_zzzzzz_xxxxxyzz_0[j] - tg_zzzzzz_xxxxxyzz_1[j] * fl1_fza) + fl1_fxn * tg_zzzzzzz_xxxxxyz_1[j];

                    tg_zzzzzzzz_xxxxxzzz_0[j] = pb_z * tg_zzzzzzz_xxxxxzzz_0[j] + fr * tg_zzzzzzz_xxxxxzzz_1[j] + 3.5 * fl1_fx * (tg_zzzzzz_xxxxxzzz_0[j] - tg_zzzzzz_xxxxxzzz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_zzzzzzz_xxxxxzz_1[j];

                    tg_zzzzzzzz_xxxxyyyy_0[j] = pb_z * tg_zzzzzzz_xxxxyyyy_0[j] + fr * tg_zzzzzzz_xxxxyyyy_1[j] + 3.5 * fl1_fx * (tg_zzzzzz_xxxxyyyy_0[j] - tg_zzzzzz_xxxxyyyy_1[j] * fl1_fza);

                    tg_zzzzzzzz_xxxxyyyz_0[j] = pb_z * tg_zzzzzzz_xxxxyyyz_0[j] + fr * tg_zzzzzzz_xxxxyyyz_1[j] + 3.5 * fl1_fx * (tg_zzzzzz_xxxxyyyz_0[j] - tg_zzzzzz_xxxxyyyz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_zzzzzzz_xxxxyyy_1[j];

                    tg_zzzzzzzz_xxxxyyzz_0[j] = pb_z * tg_zzzzzzz_xxxxyyzz_0[j] + fr * tg_zzzzzzz_xxxxyyzz_1[j] + 3.5 * fl1_fx * (tg_zzzzzz_xxxxyyzz_0[j] - tg_zzzzzz_xxxxyyzz_1[j] * fl1_fza) + fl1_fxn * tg_zzzzzzz_xxxxyyz_1[j];

                    tg_zzzzzzzz_xxxxyzzz_0[j] = pb_z * tg_zzzzzzz_xxxxyzzz_0[j] + fr * tg_zzzzzzz_xxxxyzzz_1[j] + 3.5 * fl1_fx * (tg_zzzzzz_xxxxyzzz_0[j] - tg_zzzzzz_xxxxyzzz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_zzzzzzz_xxxxyzz_1[j];

                    tg_zzzzzzzz_xxxxzzzz_0[j] = pb_z * tg_zzzzzzz_xxxxzzzz_0[j] + fr * tg_zzzzzzz_xxxxzzzz_1[j] + 3.5 * fl1_fx * (tg_zzzzzz_xxxxzzzz_0[j] - tg_zzzzzz_xxxxzzzz_1[j] * fl1_fza) + 2.0 * fl1_fxn * tg_zzzzzzz_xxxxzzz_1[j];

                    tg_zzzzzzzz_xxxyyyyy_0[j] = pb_z * tg_zzzzzzz_xxxyyyyy_0[j] + fr * tg_zzzzzzz_xxxyyyyy_1[j] + 3.5 * fl1_fx * (tg_zzzzzz_xxxyyyyy_0[j] - tg_zzzzzz_xxxyyyyy_1[j] * fl1_fza);

                    tg_zzzzzzzz_xxxyyyyz_0[j] = pb_z * tg_zzzzzzz_xxxyyyyz_0[j] + fr * tg_zzzzzzz_xxxyyyyz_1[j] + 3.5 * fl1_fx * (tg_zzzzzz_xxxyyyyz_0[j] - tg_zzzzzz_xxxyyyyz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_zzzzzzz_xxxyyyy_1[j];

                    tg_zzzzzzzz_xxxyyyzz_0[j] = pb_z * tg_zzzzzzz_xxxyyyzz_0[j] + fr * tg_zzzzzzz_xxxyyyzz_1[j] + 3.5 * fl1_fx * (tg_zzzzzz_xxxyyyzz_0[j] - tg_zzzzzz_xxxyyyzz_1[j] * fl1_fza) + fl1_fxn * tg_zzzzzzz_xxxyyyz_1[j];

                    tg_zzzzzzzz_xxxyyzzz_0[j] = pb_z * tg_zzzzzzz_xxxyyzzz_0[j] + fr * tg_zzzzzzz_xxxyyzzz_1[j] + 3.5 * fl1_fx * (tg_zzzzzz_xxxyyzzz_0[j] - tg_zzzzzz_xxxyyzzz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_zzzzzzz_xxxyyzz_1[j];

                    tg_zzzzzzzz_xxxyzzzz_0[j] = pb_z * tg_zzzzzzz_xxxyzzzz_0[j] + fr * tg_zzzzzzz_xxxyzzzz_1[j] + 3.5 * fl1_fx * (tg_zzzzzz_xxxyzzzz_0[j] - tg_zzzzzz_xxxyzzzz_1[j] * fl1_fza) + 2.0 * fl1_fxn * tg_zzzzzzz_xxxyzzz_1[j];

                    tg_zzzzzzzz_xxxzzzzz_0[j] = pb_z * tg_zzzzzzz_xxxzzzzz_0[j] + fr * tg_zzzzzzz_xxxzzzzz_1[j] + 3.5 * fl1_fx * (tg_zzzzzz_xxxzzzzz_0[j] - tg_zzzzzz_xxxzzzzz_1[j] * fl1_fza) + 2.5 * fl1_fxn * tg_zzzzzzz_xxxzzzz_1[j];

                    tg_zzzzzzzz_xxyyyyyy_0[j] = pb_z * tg_zzzzzzz_xxyyyyyy_0[j] + fr * tg_zzzzzzz_xxyyyyyy_1[j] + 3.5 * fl1_fx * (tg_zzzzzz_xxyyyyyy_0[j] - tg_zzzzzz_xxyyyyyy_1[j] * fl1_fza);

                    tg_zzzzzzzz_xxyyyyyz_0[j] = pb_z * tg_zzzzzzz_xxyyyyyz_0[j] + fr * tg_zzzzzzz_xxyyyyyz_1[j] + 3.5 * fl1_fx * (tg_zzzzzz_xxyyyyyz_0[j] - tg_zzzzzz_xxyyyyyz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_zzzzzzz_xxyyyyy_1[j];

                    tg_zzzzzzzz_xxyyyyzz_0[j] = pb_z * tg_zzzzzzz_xxyyyyzz_0[j] + fr * tg_zzzzzzz_xxyyyyzz_1[j] + 3.5 * fl1_fx * (tg_zzzzzz_xxyyyyzz_0[j] - tg_zzzzzz_xxyyyyzz_1[j] * fl1_fza) + fl1_fxn * tg_zzzzzzz_xxyyyyz_1[j];

                    tg_zzzzzzzz_xxyyyzzz_0[j] = pb_z * tg_zzzzzzz_xxyyyzzz_0[j] + fr * tg_zzzzzzz_xxyyyzzz_1[j] + 3.5 * fl1_fx * (tg_zzzzzz_xxyyyzzz_0[j] - tg_zzzzzz_xxyyyzzz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_zzzzzzz_xxyyyzz_1[j];

                    tg_zzzzzzzz_xxyyzzzz_0[j] = pb_z * tg_zzzzzzz_xxyyzzzz_0[j] + fr * tg_zzzzzzz_xxyyzzzz_1[j] + 3.5 * fl1_fx * (tg_zzzzzz_xxyyzzzz_0[j] - tg_zzzzzz_xxyyzzzz_1[j] * fl1_fza) + 2.0 * fl1_fxn * tg_zzzzzzz_xxyyzzz_1[j];

                    tg_zzzzzzzz_xxyzzzzz_0[j] = pb_z * tg_zzzzzzz_xxyzzzzz_0[j] + fr * tg_zzzzzzz_xxyzzzzz_1[j] + 3.5 * fl1_fx * (tg_zzzzzz_xxyzzzzz_0[j] - tg_zzzzzz_xxyzzzzz_1[j] * fl1_fza) + 2.5 * fl1_fxn * tg_zzzzzzz_xxyzzzz_1[j];

                    tg_zzzzzzzz_xxzzzzzz_0[j] = pb_z * tg_zzzzzzz_xxzzzzzz_0[j] + fr * tg_zzzzzzz_xxzzzzzz_1[j] + 3.5 * fl1_fx * (tg_zzzzzz_xxzzzzzz_0[j] - tg_zzzzzz_xxzzzzzz_1[j] * fl1_fza) + 3.0 * fl1_fxn * tg_zzzzzzz_xxzzzzz_1[j];

                    tg_zzzzzzzz_xyyyyyyy_0[j] = pb_z * tg_zzzzzzz_xyyyyyyy_0[j] + fr * tg_zzzzzzz_xyyyyyyy_1[j] + 3.5 * fl1_fx * (tg_zzzzzz_xyyyyyyy_0[j] - tg_zzzzzz_xyyyyyyy_1[j] * fl1_fza);

                    tg_zzzzzzzz_xyyyyyyz_0[j] = pb_z * tg_zzzzzzz_xyyyyyyz_0[j] + fr * tg_zzzzzzz_xyyyyyyz_1[j] + 3.5 * fl1_fx * (tg_zzzzzz_xyyyyyyz_0[j] - tg_zzzzzz_xyyyyyyz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_zzzzzzz_xyyyyyy_1[j];

                    tg_zzzzzzzz_xyyyyyzz_0[j] = pb_z * tg_zzzzzzz_xyyyyyzz_0[j] + fr * tg_zzzzzzz_xyyyyyzz_1[j] + 3.5 * fl1_fx * (tg_zzzzzz_xyyyyyzz_0[j] - tg_zzzzzz_xyyyyyzz_1[j] * fl1_fza) + fl1_fxn * tg_zzzzzzz_xyyyyyz_1[j];

                    tg_zzzzzzzz_xyyyyzzz_0[j] = pb_z * tg_zzzzzzz_xyyyyzzz_0[j] + fr * tg_zzzzzzz_xyyyyzzz_1[j] + 3.5 * fl1_fx * (tg_zzzzzz_xyyyyzzz_0[j] - tg_zzzzzz_xyyyyzzz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_zzzzzzz_xyyyyzz_1[j];

                    tg_zzzzzzzz_xyyyzzzz_0[j] = pb_z * tg_zzzzzzz_xyyyzzzz_0[j] + fr * tg_zzzzzzz_xyyyzzzz_1[j] + 3.5 * fl1_fx * (tg_zzzzzz_xyyyzzzz_0[j] - tg_zzzzzz_xyyyzzzz_1[j] * fl1_fza) + 2.0 * fl1_fxn * tg_zzzzzzz_xyyyzzz_1[j];

                    tg_zzzzzzzz_xyyzzzzz_0[j] = pb_z * tg_zzzzzzz_xyyzzzzz_0[j] + fr * tg_zzzzzzz_xyyzzzzz_1[j] + 3.5 * fl1_fx * (tg_zzzzzz_xyyzzzzz_0[j] - tg_zzzzzz_xyyzzzzz_1[j] * fl1_fza) + 2.5 * fl1_fxn * tg_zzzzzzz_xyyzzzz_1[j];

                    tg_zzzzzzzz_xyzzzzzz_0[j] = pb_z * tg_zzzzzzz_xyzzzzzz_0[j] + fr * tg_zzzzzzz_xyzzzzzz_1[j] + 3.5 * fl1_fx * (tg_zzzzzz_xyzzzzzz_0[j] - tg_zzzzzz_xyzzzzzz_1[j] * fl1_fza) + 3.0 * fl1_fxn * tg_zzzzzzz_xyzzzzz_1[j];

                    tg_zzzzzzzz_xzzzzzzz_0[j] = pb_z * tg_zzzzzzz_xzzzzzzz_0[j] + fr * tg_zzzzzzz_xzzzzzzz_1[j] + 3.5 * fl1_fx * (tg_zzzzzz_xzzzzzzz_0[j] - tg_zzzzzz_xzzzzzzz_1[j] * fl1_fza) + 3.5 * fl1_fxn * tg_zzzzzzz_xzzzzzz_1[j];

                    tg_zzzzzzzz_yyyyyyyy_0[j] = pb_z * tg_zzzzzzz_yyyyyyyy_0[j] + fr * tg_zzzzzzz_yyyyyyyy_1[j] + 3.5 * fl1_fx * (tg_zzzzzz_yyyyyyyy_0[j] - tg_zzzzzz_yyyyyyyy_1[j] * fl1_fza);

                    tg_zzzzzzzz_yyyyyyyz_0[j] = pb_z * tg_zzzzzzz_yyyyyyyz_0[j] + fr * tg_zzzzzzz_yyyyyyyz_1[j] + 3.5 * fl1_fx * (tg_zzzzzz_yyyyyyyz_0[j] - tg_zzzzzz_yyyyyyyz_1[j] * fl1_fza) + 0.5 * fl1_fxn * tg_zzzzzzz_yyyyyyy_1[j];

                    tg_zzzzzzzz_yyyyyyzz_0[j] = pb_z * tg_zzzzzzz_yyyyyyzz_0[j] + fr * tg_zzzzzzz_yyyyyyzz_1[j] + 3.5 * fl1_fx * (tg_zzzzzz_yyyyyyzz_0[j] - tg_zzzzzz_yyyyyyzz_1[j] * fl1_fza) + fl1_fxn * tg_zzzzzzz_yyyyyyz_1[j];

                    tg_zzzzzzzz_yyyyyzzz_0[j] = pb_z * tg_zzzzzzz_yyyyyzzz_0[j] + fr * tg_zzzzzzz_yyyyyzzz_1[j] + 3.5 * fl1_fx * (tg_zzzzzz_yyyyyzzz_0[j] - tg_zzzzzz_yyyyyzzz_1[j] * fl1_fza) + 1.5 * fl1_fxn * tg_zzzzzzz_yyyyyzz_1[j];

                    tg_zzzzzzzz_yyyyzzzz_0[j] = pb_z * tg_zzzzzzz_yyyyzzzz_0[j] + fr * tg_zzzzzzz_yyyyzzzz_1[j] + 3.5 * fl1_fx * (tg_zzzzzz_yyyyzzzz_0[j] - tg_zzzzzz_yyyyzzzz_1[j] * fl1_fza) + 2.0 * fl1_fxn * tg_zzzzzzz_yyyyzzz_1[j];

                    tg_zzzzzzzz_yyyzzzzz_0[j] = pb_z * tg_zzzzzzz_yyyzzzzz_0[j] + fr * tg_zzzzzzz_yyyzzzzz_1[j] + 3.5 * fl1_fx * (tg_zzzzzz_yyyzzzzz_0[j] - tg_zzzzzz_yyyzzzzz_1[j] * fl1_fza) + 2.5 * fl1_fxn * tg_zzzzzzz_yyyzzzz_1[j];

                    tg_zzzzzzzz_yyzzzzzz_0[j] = pb_z * tg_zzzzzzz_yyzzzzzz_0[j] + fr * tg_zzzzzzz_yyzzzzzz_1[j] + 3.5 * fl1_fx * (tg_zzzzzz_yyzzzzzz_0[j] - tg_zzzzzz_yyzzzzzz_1[j] * fl1_fza) + 3.0 * fl1_fxn * tg_zzzzzzz_yyzzzzz_1[j];

                    tg_zzzzzzzz_yzzzzzzz_0[j] = pb_z * tg_zzzzzzz_yzzzzzzz_0[j] + fr * tg_zzzzzzz_yzzzzzzz_1[j] + 3.5 * fl1_fx * (tg_zzzzzz_yzzzzzzz_0[j] - tg_zzzzzz_yzzzzzzz_1[j] * fl1_fza) + 3.5 * fl1_fxn * tg_zzzzzzz_yzzzzzz_1[j];

                    tg_zzzzzzzz_zzzzzzzz_0[j] = pb_z * tg_zzzzzzz_zzzzzzzz_0[j] + fr * tg_zzzzzzz_zzzzzzzz_1[j] + 3.5 * fl1_fx * (tg_zzzzzz_zzzzzzzz_0[j] - tg_zzzzzz_zzzzzzzz_1[j] * fl1_fza) + 4.0 * fl1_fxn * tg_zzzzzzz_zzzzzzz_1[j];
                }

                idx++;
            }
        }
    }


} // erirecfunc namespace

